within ;
package HumMod

  model HumMod_GolemEdition "Main model"
    import HumMod;

  HumMod.Blood.CVS CVS 
      annotation (Placement(transformation(extent={{40,78},{60,100}})));
    HumMod.Metabolism.NutrientsAndMetabolism nutrientsAndMetabolism 
      annotation (Placement(transformation(extent={{-56,70},{-36,90}})));
    Electrolytes.Electrolytes2 electrolytes 
      annotation (Placement(transformation(extent={{74,-28},{94,-8}})));
    Hormones.Hormones hormones 
      annotation (Placement(transformation(extent={{40,12},{60,32}})));
    Nerves.Nerves nerves 
      annotation (Placement(transformation(extent={{74,44},{94,64}})));
    HumMod.Setup.SetupFromFile setup 
      annotation (Placement(transformation(extent={{-16,-100},{4,-80}})));
    Water.Water water 
      annotation (Placement(transformation(extent={{-90,30},{-70,50}})));
    Proteins.Proteins proteins 
      annotation (Placement(transformation(extent={{-54,-8},{-34,12}})));
    HumMod.Status.TissuesFitness status 
      annotation (Placement(transformation(extent={{42,-74},{62,-54}})));
    Gases.Gases gases 
      annotation (Placement(transformation(extent={{-76,-48},{-56,-28}})));
    HumMod.setup.WriteVariablesToFile writeVariablesToFile 
      annotation (Placement(transformation(extent={{-40,-82},{-20,-62}})));
  equation

    connect(setup.busConnector, hormones.busConnector) annotation (Line(
        points={{2,-84},{2,27.9},{43.9,27.9}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(setup.busConnector, proteins.busConnector) annotation (Line(
        points={{2,-84},{2,10.3},{-37.7,10.3}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(setup.busConnector, CVS.busConnector) annotation (Line(
        points={{2,-84},{2,97.8},{42,97.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(setup.busConnector, nutrientsAndMetabolism.busConnector) 
      annotation (Line(
        points={{2,-84},{2,88},{-38,88}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(setup.busConnector, water.busConnector) annotation (Line(
        points={{2,-84},{2,47},{-73,47}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(setup.busConnector, nerves.busConnector) annotation (Line(
        points={{2,-84},{2,62},{76,62}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(status.busConnector, setup.busConnector)         annotation (Line(
        points={{43.2,-54.8},{2,-54.8},{2,-84}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(electrolytes.busConnector, setup.busConnector) annotation (Line(
        points={{74,-14},{2,-14},{2,-84}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gases.busConnector, setup.busConnector) annotation (Line(
        points={{-58,-30},{2,-30},{2,-84}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(setup.busConnector, writeVariablesToFile.busConnector) annotation (
        Line(
        points={{2,-84},{2,-64},{-30,-64}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics), Documentation(info="<html>
<p><h4><font color=\"#008000\">QHP Golem Edition</font></h4></p>
<p>Signal bus connect all submodels with their signal inputs/outputs variables.</p>
</html>", revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
<tr>
<td></td>
<td><p><br/><br/><br/>Siggaard Andersen: OSA (2005), University of Copenhagen</p></td>
</tr>
<tr>
<td></td>
<td><p><br/><br/><br/>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</p></td>
</tr>
</table>
</html>"),
      Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
              100}}), graphics={Bitmap(extent={{-100,100},{102,-100}}, fileName
              ="icons/golem.png")}),
      experiment(NumberOfIntervals=200, Tolerance=0.01),
      experimentSetupOutput,
      Commands(file="view.mos" "view"));
  end HumMod_GolemEdition;

  package Library "Physical domains library"

    package Interfaces "Abstract Interfaces"

      partial model BaseModel

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,127,0},
                fillColor={215,215,215},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-100,-74},{100,-52}},
                lineColor={0,0,177},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="%name")}), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end BaseModel;

      partial model BaseFactorIcon

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,80}),
              iconTransformation(extent={{-10,10},{10,30}}, rotation=-90)));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-60}),
              iconTransformation(extent={{-10,-30},{10,-10}}, rotation=-90)));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={95,95,95},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-90,-10},{92,10}},
                textString="%name",
                lineColor={0,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon;

      partial model BaseFactorIcon2

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,100}),
              iconTransformation(extent={{-10,-10},{10,10}},rotation=270,
              origin={0,50})));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-80}),
              iconTransformation(extent={{-10,-10},{10,10}},  rotation=270,
              origin={0,-52})));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,50},{100,-50}},
                lineColor={0,127,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-86,-36},{100,40}},
                textString="%name",
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere)}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon2;

      partial model BaseFactorIcon3

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,80}),
              iconTransformation(extent={{-10,10},{10,30}}, rotation=-90)));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-60}),
              iconTransformation(extent={{-10,-30},{10,-10}}, rotation=-90)));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={0,127,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-90,-10},{92,10}},
                textString="%name",
                lineColor={0,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon3;

      partial model BaseFactorIcon4

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,80}),
              iconTransformation(extent={{-10,10},{10,30}}, rotation=-90)));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-60}),
              iconTransformation(extent={{-10,-30},{10,-10}}, rotation=-90)));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={127,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-90,-10},{92,10}},
                textString="%name",
                lineColor={0,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon4;

      partial model BaseFactorIcon5

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,80}),
              iconTransformation(extent={{-10,10},{10,30}}, rotation=-90)));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-60}),
              iconTransformation(extent={{-10,-30},{10,-10}}, rotation=-90)));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-90,-10},{92,10}},
                textString="%name",
                lineColor={0,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon5;

      partial model BaseResistorModel

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-70,30},{70,-30}},
                lineColor={0,0,0},
                fillColor={241,241,241},
                fillPattern=FillPattern.Solid),
              Line(points={{-90,0},{-70,0}}, color={0,0,0}),
              Line(points={{70,0},{90,0}}, color={0,0,0})}));
      end BaseResistorModel;

      partial connector SignalBusBlue "Icon for signal bus"

        annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Rectangle(
                extent={{-20,2},{20,-2}},
                lineColor={255,204,51},
                lineThickness=0.5),
              Polygon(
                points={{-80,50},{80,50},{100,30},{80,-40},{60,-50},{-60,-50},{
                    -80,-40},{-100,30},{-80,50}},
                lineColor={0,0,0},
                fillColor={0,0,255},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-65,25},{-55,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-5,25},{5,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{55,25},{65,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-35,-15},{-25,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{25,-15},{35,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Polygon(
                points={{-40,25},{40,25},{50,15},{40,-20},{30,-25},{-30,-25},{-40,
                    -20},{-50,15},{-40,25}},
                lineColor={0,0,0},
                fillColor={0,0,255},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-32.5,7.5},{-27.5,12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-2.5,12.5},{2.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{27.5,12.5},{32.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-17.5,-7.5},{-12.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{12.5,-7.5},{17.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,70},{150,40}},
                lineColor={0,0,0},
                textString="%name")}),
          Documentation(info="<html>
<p>
This icon is designed for a <b>signal bus</b> connector.
</p>
</html>"));

      end SignalBusBlue;

      connector RealInput = input Real "'input Real' as connector" 
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,0,127},
              fillColor={0,0,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{98,-50},{724,58}},
              lineColor={0,0,127},
              textString="%name")},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,0,127},
              fillColor={0,0,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,0,127},
              textString="%name")}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Real.
</p>
</html>"));

      connector RealInput_ =input Real "'input Real' as connector" 
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,0,127},
              fillColor={0,0,127},
              fillPattern=FillPattern.Solid)},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,0,127},
              fillColor={0,0,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,0,127},
              textString="%name")}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Real.
</p>
</html>"));

      connector RealOutput = output Real "'output Real' as connector" 
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-690,-58},{-100,60}},
              lineColor={0,0,127},
              textString="%name")},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,0,127},
              textString="%name")}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Real.
</p>
</html>"));

      connector RealOutput_ =output Real "'output Real' as connector" 
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid)},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-100,-50},{358,-92}},
              lineColor={0,0,255},
              textString="%name")}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Real.
</p>
</html>"));

    connector BooleanInput = input Boolean "'input Boolean' as connector" 
      annotation (defaultComponentName="u",
           Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={255,0,255},
              fillColor={255,0,255},
              fillPattern=FillPattern.Solid)},
                coordinateSystem(extent={{-100,-100},{100,100}},
            preserveAspectRatio=true, initialScale=0.2)),    Diagram(coordinateSystem(
            preserveAspectRatio=true, initialScale=0.2,
            extent={{-100,-100},{100,100}},
            grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={255,0,255},
              fillColor={255,0,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={255,0,255},
              textString="%name")}),
        Documentation(info="<html>
<p>
Connector with one input signal of type Boolean.
</p>
</html>"));

    connector BooleanOutput =output Boolean "'output Boolean' as connector" 
      annotation (defaultComponentName="u",
           Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={255,0,255},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid)},
                coordinateSystem(extent={{-100,-100},{100,100}},
            preserveAspectRatio=true, initialScale=0.2)),    Diagram(coordinateSystem(
            preserveAspectRatio=true, initialScale=0.2,
            extent={{-100,-100},{100,100}},
            grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={255,0,255},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={255,0,255},
              textString="%name")}),
        Documentation(info="<html>
<p>
Connector with one input signal of type Boolean.
</p>
</html>"));

        expandable connector BusConnector
        "Empty control bus that is adapted to the signals connected to it"
          extends HumMod.Library.Interfaces.SignalBusBlue;

          annotation (
            Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}), graphics={Rectangle(
                extent={{-20,2},{22,-2}},
                lineColor={0,0,255},
                lineThickness=0.5)}),
            Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                    graphics),
            Documentation(info="<html>
<p>
This connector defines the \"expandable connector\" ControlBus that
is used as bus in the
<a href=\"Modelica://Modelica.Blocks.Examples.BusUsage\">BusUsage</a> example.
Note, this connector is \"empty\". When using it, the actual content is
constructed by the signals connected to this bus.
</p>
</html>"));

        end BusConnector;

    partial block SIMO "Single Input Multiple Output continuous control block"
      parameter Integer nout=1 "Number of outputs";
          Modelica.Blocks.Interfaces.RealInput u
          "Connector of Real input signal" 
            annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                rotation=0)));
          Modelica.Blocks.Interfaces.RealOutput y[nout]
          "Connector of Real output signals" 
            annotation (Placement(transformation(extent={{100,-10},{120,10}},
                rotation=0)));

      annotation (Documentation(info="<HTML>
<p> Block has one continuous Real input signal and a
    vector of continuous Real output signals.</p>
 
</HTML>
"),   Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{100,
                  100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}));
    end SIMO;

        partial block SISO
        "Single Input Single Output continuous control block"

          Modelica.Blocks.Interfaces.RealInput u
          "Connector of Real input signals" 
            annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                rotation=0)));
          Modelica.Blocks.Interfaces.RealOutput y
          "Connector of Real output signal" 
            annotation (Placement(transformation(extent={{100,-10},{120,10}},
                rotation=0)));
          annotation (Documentation(info="<HTML>
<p>
Block has a vector of continuous Real input signals and
one continuous Real output signal.
</p>
</HTML>
"),         Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                  {100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}));
        end SISO;

      partial class ConversionIcon "Base icon for conversion functions"

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={191,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(points={{-74,0},{30,0}}, color={191,0,0}),
              Polygon(
                points={{80,0},{20,20},{20,-20},{80,0}},
                lineColor={191,0,0},
                fillColor={191,0,0},
                fillPattern=FillPattern.Solid)}));

      end ConversionIcon;

      package Tissues
        model SkeletalMuscle

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-70,92},{40,-80}},
                    fileName="icons/sval.png")}));
        end SkeletalMuscle;

        model Bone

          annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                    -100},{100,100}}), graphics={Rectangle(
                  extent={{-100,100},{100,-100}},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid,
                  pattern=LinePattern.None), Bitmap(extent={{-88,96},{52,-84}},
                    fileName="icons/bone.jpg")}));
        end Bone;

        model OtherTissue

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-74,60},{48,-94}},
                    fileName="icons/pojivovaTkan.png")}));
        end OtherTissue;

        model RespiratoryMuscle

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-66,86},{44,-86}},
                    fileName="icons/respiracniSvaly.png")}));
        end RespiratoryMuscle;

        model Fat

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-84,86},{38,-68}},
                    fileName="icons/fat.jpg")}));
        end Fat;

        model Skin

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-74,56},{48,-84}},
                    fileName="icons/skin.jpg")}));
        end Skin;

        model Brain

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-78,62},{44,-92}},
                    fileName="icons/brain.jpg")}));
        end Brain;

        model GITract

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-80,74},{42,-80}},
                    fileName="icons/traviciTrakt.png")}));
        end GITract;

        model LeftHeart

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-80,100},{44,-84}},
                    fileName="icons/srdceLeva.png")}));
        end LeftHeart;

        model RightHeart

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-78,70},{44,-84}},
                    fileName="icons/srdceprava.png")}));
        end RightHeart;

        model Liver

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-84,34},{86,-100}},
                    fileName="icons/jatra.png")}));
        end Liver;

        model Kidney

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-92,86},{40,-88}}, 
                    fileName="icons/kidney.jpg")}));
        end Kidney;

        model Bladder

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Rectangle(
                  extent={{-100,100},{100,-100}},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid,
                  pattern=LinePattern.None), Bitmap(extent={{-92,86},{40,-88}},
                    fileName="icons/mocovyMechyr.png")}));
        end Bladder;

        model GILumen

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,
                      -100}}, fileName="icons/traviciTrakt2.png")}));
        end GILumen;

        model ThyroidGland

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-92,86},{40,-88}},
                    fileName="icons/stitnaZlaza.png")}));
        end ThyroidGland;

        model Pancreas

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,
                      -100}}, fileName="icons/pankreas.png")}));
        end Pancreas;

        model AdrenalGland

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,
                      -100}}, fileName="icons/nadledviny.png")}));
        end AdrenalGland;

        model Lungs

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-70,92},{40,-80}},
                    fileName="icons/plice.png")}));
        end Lungs;

        model Tissues

          annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,0},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Bitmap(extent={{-46,98},{32,26}}, fileName="icons/bone.jpg"),
                Bitmap(extent={{-62,-10},{50,-92}}, fileName="icons/skin.jpg"),
                Bitmap(extent={{-38,90},{64,-20}}, fileName="icons/sval.png"),
                Bitmap(extent={{-10,36},{102,-56}}, fileName=
                      "icons/traviciTrakt.png"),
                Text(
                  extent={{64,-66},{94,-96}},
                  lineColor={0,0,0},
                  textString="..."),
                Bitmap(extent={{-98,36},{-24,-30}}, fileName="icons/brain.jpg")}));

        end Tissues;

        model Peritoneum

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-70,92},{40,-80}},
                    fileName="icons/peritoneum.png")}));
        end Peritoneum;

        model Plasma

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-70,92},{40,-80}},
                    fileName="icons/plazma.png")}));
        end Plasma;

        model Hypophysis

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,
                      -100}}, fileName="icons/hypofyza.png")}));
        end Hypophysis;

        model Heart

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,
                      -100}}, fileName="icons/heart.png")}));
        end Heart;
      end Tissues;
    end Interfaces;

    package NonSIunits "Non SI-units Support"

     constant Real PaTOmmHg(final unit="mmHg/Pa") = 760/101325;

     type Pressure_mmHg = Real (final quantity="Pressure", final unit="mmHg")
        "Pressure in mmHg";

      function to_mmHg "Convert from Pascal to mmHg"
        extends Modelica.SIunits.Conversions.ConversionIcon;
        input Modelica.SIunits.Pressure Pa "Pascal value";
        output Pressure_mmHg mmHg "mmHg value";
        //1 mmHg = 1 torr; 1/760 atm = 1 torr; 1 atm = 101325 Pa   =>   1 mmHg = 101325/760 Pa
        constant Real PaTOmmHg(final unit="mmHg/Pa") = 760/101325;
      algorithm
        mmHg := Pa * PaTOmmHg;
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-20,100},{-100,20}},
                lineColor={0,0,0},
                textString="Pa"), Text(
                extent={{100,-20},{20,-100}},
                lineColor={0,0,0},
                textString="mmHg")}));
      end to_mmHg;
    end NonSIunits;

    package Curves "Empirical Dependence of Two Variables"

      package NonlinearSystemPatch
         model Curve2
          "2D natural cubic interpolation spline defined with (x,y,slope) points"
            // extends Library.BaseModel;
             parameter Real x[2];
             parameter Real y[2];
             parameter Real slope[2];

             HumMod.Library.Interfaces.RealInput_ u 
                          annotation (Placement(transformation(extent={{-100,-60},{-60,-20}}),
                    iconTransformation(extent={{-120,-20},{-80,20}})));
             HumMod.Library.Interfaces.RealOutput_ val 
                             annotation (Placement(transformation(extent={{60,-20},{100,20}}),
                    iconTransformation(extent={{82,-20},{122,20}})));

             //parameter Integer iconNP = 20;
             //Real iconU[iconNP];
             //Real iconPoint[iconNP,2](final unit="mm"); // = {{-70,-42},{-22,38},{32,36},{82,-74},{72,-36}};
             //Real iconActualPoint[2,2](final unit="mm");

        protected
             Real a[size(x,1)-1,4];
             Real c1;
             Real c2;
             Integer iFrom;

             //Integer iconFrom[20];

         equation
             // only icon drawing
             /*
       iconPoint[1,1] = -80;
       iconU[1]=min(x[j] for j in 1:size(x,1));
       iconPoint[1,2] = (-50 +
                        (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                          (a[iconFrom[1],1]*(min(x[j] for j in 1:size(x,1)))^3 +
                           a[iconFrom[1],2]*(min(x[j] for j in 1:size(x,1)))^2 +
                           a[iconFrom[1],3]*(min(x[j] for j in 1:size(x,1))) +
                           a[iconFrom[1],4]
                           - min(y[j] for j in 1:size(y,1))));
       iconFrom[1] = if (size(x,1)==4) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 
                          if (min(x[j] for j in 1:size(x,1)))<=x[3] then 2 else 3) else 
                     if (size(x,1)==3) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 2) else 
                     1;

       for i in 1:(iconNP-1) loop
          iconPoint[i+1,1] = i*(160/(iconNP-1)) - 80;
      //x.. min(x)+ (i*(max(x)-min(x)))/(iconNP-1);
          iconU[i+1]=(min(x[j] for j in 1:size(x,1))+(i*(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))))/(iconNP-1));
          iconPoint[i+1,2] = (-50 +
                        (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                          (a[iconFrom[i],1]*iconU[i+1]^3 +
                           a[iconFrom[i],2]*iconU[i+1]^2 +
                           a[iconFrom[i],3]*iconU[i+1] +
                           a[iconFrom[i],4]
                           - min(y[j] for j in 1:size(y,1))));
          iconFrom[i+1] = if (size(x,1)==8) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else if iconU[i+1]<x[7] then 6 else 7) else 
                          if (size(x,1)==7) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else 6) else 
                          if (size(x,1)==6) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[4] then 4 else 5) else 
                          if (size(x,1)==5) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else 4) else 
                          if (size(x,1)==4) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else 3) else 
                          if (size(x,1)==3) then (if iconU[i+1]<=x[2] then 1 else 2) else 
                             1;
       end for;

       iconActualPoint[1,1]=(u-min(x[j] for j in 1:size(x,1)))*160/(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))) - 80 -2;
       iconActualPoint[1,2]=(val-min(y[j] for j in 1:size(y,1)))*100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1))) - 50 -2;
       iconActualPoint[2,1]=iconActualPoint[1,1]+4;
       iconActualPoint[2,2]=iconActualPoint[1,2]+4;
*/
            //main equations
             for i in 1:size(x,1)-1 loop
               a[i,1]*x[i]^3 + a[i,2]*x[i]^2 + a[i,3]*x[i] + a[i,4] = y[i];
               3*a[i,1]*x[i]^2 + 2*a[i,2]*x[i] + a[i,3] = slope[i];
               a[i,1]*x[i+1]^3 + a[i,2]*x[i+1]^2 + a[i,3]*x[i+1] + a[i,4] = y[i+1];
               3*a[i,1]*x[i+1]^2 + 2*a[i,2]*x[i+1] + a[i,3] = slope[i+1];
             end for;
             slope[1]*x[1]+c1 = y[1];
             slope[size(x,1)]*x[size(x,1)]+c2 = y[size(x,1)];

             val = if (u<x[1]) then slope[1]*u + c1 else 
                    if (u>x[size(x,1)]) then slope[size(x,1)]*u + c2 else 
                    a[iFrom,1]*u^3 + a[iFrom,2]*u^2 + a[iFrom,3]*u + a[iFrom,4];

             iFrom =   1;
                       //if (size(x,1)==8) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else if u<x[7] then 6 else 7) else
                       //if (size(x,1)==7) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else 6) else
                       //if (size(x,1)==6) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[4] then 4 else 5) else
                       //if (size(x,1)==5) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else 4) else
                       //if (size(x,1)==4) then (if u<=x[2] then 1 else if u<=x[3] then 2 else 3) else
                       //if (size(x,1)==3) then (if u<=x[2] then 1 else 2) else
                       //    1;
                       //if u<=x[2] then 1 else 2;

         end Curve2;

          model Curve3
          "2D natural cubic interpolation spline defined with (x,y,slope) points"
            // extends Library.BaseModel;
             parameter Real x[3];
             parameter Real y[3];
             parameter Real slope[3];

             HumMod.Library.Interfaces.RealInput_ u 
                          annotation (Placement(transformation(extent={{-100,-60},{-60,-20}}),
                    iconTransformation(extent={{-120,-20},{-80,20}})));
             HumMod.Library.Interfaces.RealOutput_ val 
                             annotation (Placement(transformation(extent={{60,-20},{100,20}}),
                    iconTransformation(extent={{82,-20},{122,20}})));

             //parameter Integer iconNP = 20;
             //Real iconU[iconNP];
             //Real iconPoint[iconNP,2](final unit="mm"); // = {{-70,-42},{-22,38},{32,36},{82,-74},{72,-36}};
             //Real iconActualPoint[2,2](final unit="mm");

        protected
             Real a[size(x,1)-1,4];
             Real c1;
             Real c2;
             Integer iFrom;

             //Integer iconFrom[20];

          equation
             // only icon drawing
             /*
       iconPoint[1,1] = -80;
       iconU[1]=min(x[j] for j in 1:size(x,1));
       iconPoint[1,2] = (-50 +
                        (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                          (a[iconFrom[1],1]*(min(x[j] for j in 1:size(x,1)))^3 +
                           a[iconFrom[1],2]*(min(x[j] for j in 1:size(x,1)))^2 +
                           a[iconFrom[1],3]*(min(x[j] for j in 1:size(x,1))) +
                           a[iconFrom[1],4]
                           - min(y[j] for j in 1:size(y,1))));
       iconFrom[1] = if (size(x,1)==4) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 
                          if (min(x[j] for j in 1:size(x,1)))<=x[3] then 2 else 3) else 
                     if (size(x,1)==3) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 2) else 
                     1;

       for i in 1:(iconNP-1) loop
          iconPoint[i+1,1] = i*(160/(iconNP-1)) - 80;
      //x.. min(x)+ (i*(max(x)-min(x)))/(iconNP-1);
          iconU[i+1]=(min(x[j] for j in 1:size(x,1))+(i*(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))))/(iconNP-1));
          iconPoint[i+1,2] = (-50 +
                        (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                          (a[iconFrom[i],1]*iconU[i+1]^3 +
                           a[iconFrom[i],2]*iconU[i+1]^2 +
                           a[iconFrom[i],3]*iconU[i+1] +
                           a[iconFrom[i],4]
                           - min(y[j] for j in 1:size(y,1))));
          iconFrom[i+1] = if (size(x,1)==8) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else if iconU[i+1]<x[7] then 6 else 7) else 
                          if (size(x,1)==7) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else 6) else 
                          if (size(x,1)==6) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[4] then 4 else 5) else 
                          if (size(x,1)==5) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else 4) else 
                          if (size(x,1)==4) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else 3) else 
                          if (size(x,1)==3) then (if iconU[i+1]<=x[2] then 1 else 2) else 
                             1;
       end for;

       iconActualPoint[1,1]=(u-min(x[j] for j in 1:size(x,1)))*160/(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))) - 80 -2;
       iconActualPoint[1,2]=(val-min(y[j] for j in 1:size(y,1)))*100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1))) - 50 -2;
       iconActualPoint[2,1]=iconActualPoint[1,1]+4;
       iconActualPoint[2,2]=iconActualPoint[1,2]+4;
*/
            //main equations
             for i in 1:size(x,1)-1 loop
               a[i,1]*x[i]^3 + a[i,2]*x[i]^2 + a[i,3]*x[i] + a[i,4] = y[i];
               3*a[i,1]*x[i]^2 + 2*a[i,2]*x[i] + a[i,3] = slope[i];
               a[i,1]*x[i+1]^3 + a[i,2]*x[i+1]^2 + a[i,3]*x[i+1] + a[i,4] = y[i+1];
               3*a[i,1]*x[i+1]^2 + 2*a[i,2]*x[i+1] + a[i,3] = slope[i+1];
             end for;
             slope[1]*x[1]+c1 = y[1];
             slope[size(x,1)]*x[size(x,1)]+c2 = y[size(x,1)];

             val = if (u<x[1]) then slope[1]*u + c1 else 
                    if (u>x[size(x,1)]) then slope[size(x,1)]*u + c2 else 
                    a[iFrom,1]*u^3 + a[iFrom,2]*u^2 + a[iFrom,3]*u + a[iFrom,4];

             iFrom =   if u<=x[2] then 1 else 2;
                       //if (size(x,1)==8) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else if u<x[7] then 6 else 7) else
                       //if (size(x,1)==7) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else 6) else
                       //if (size(x,1)==6) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[4] then 4 else 5) else
                       //if (size(x,1)==5) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else 4) else
                       //if (size(x,1)==4) then (if u<=x[2] then 1 else if u<=x[3] then 2 else 3) else
                       //if (size(x,1)==3) then (if u<=x[2] then 1 else 2) else
                       //    1;

          end Curve3;
      end NonlinearSystemPatch;

      package old_version
        model Curve
          "2D natural cubic interpolation spline defined with (x,y,slope) points"
        // extends Library.BaseModel;
         parameter Real x[:];
         parameter Real y[:];
         parameter Real slope[:];

         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-100,-60},{-60,-20}}),
                iconTransformation(extent={{-120,-20},{-80,20}})));
         HumMod.Library.Interfaces.RealOutput_ val 
                         annotation (Placement(transformation(extent={{60,-20},{100,20}}),
                iconTransformation(extent={{82,-20},{122,20}})));

         parameter Integer iconNP = 20;
         Real iconU[iconNP];
         Real iconPoint[iconNP,2](final unit="mm"); // = {{-70,-42},{-22,38},{32,36},{82,-74},{72,-36}};
         Real iconActualPoint[2,2](final unit="mm");
         Integer iFrom;

        protected
         Real a[size(x,1)-1,4];
         Real c1;
         Real c2;

         Integer iconFrom[20];

        equation
         // only icon drawing
         iconPoint[1,1] = -80;
         iconU[1]=min(x[j] for j in 1:size(x,1));
         iconPoint[1,2] = (-50 +
                          (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                            (a[iconFrom[1],1]*(min(x[j] for j in 1:size(x,1)))^3 +
                             a[iconFrom[1],2]*(min(x[j] for j in 1:size(x,1)))^2 +
                             a[iconFrom[1],3]*(min(x[j] for j in 1:size(x,1))) +
                             a[iconFrom[1],4]
                             - min(y[j] for j in 1:size(y,1))));
         iconFrom[1] = if (size(x,1)==4) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 
                            if (min(x[j] for j in 1:size(x,1)))<=x[3] then 2 else 3) else 
                       if (size(x,1)==3) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 2) else 
                       1;

         for i in 1:(iconNP-1) loop
            iconPoint[i+1,1] = i*(160/(iconNP-1)) - 80;
        //x.. min(x)+ (i*(max(x)-min(x)))/(iconNP-1);
            iconU[i+1]=(min(x[j] for j in 1:size(x,1))+(i*(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))))/(iconNP-1));
            iconPoint[i+1,2] = (-50 +
                          (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                            (a[iconFrom[i],1]*iconU[i+1]^3 +
                             a[iconFrom[i],2]*iconU[i+1]^2 +
                             a[iconFrom[i],3]*iconU[i+1] +
                             a[iconFrom[i],4]
                             - min(y[j] for j in 1:size(y,1))));
            iconFrom[i+1] = if (size(x,1)==8) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else if iconU[i+1]<x[7] then 6 else 7) else 
                            if (size(x,1)==7) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else 6) else 
                            if (size(x,1)==6) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[4] then 4 else 5) else 
                            if (size(x,1)==5) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else 4) else 
                            if (size(x,1)==4) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else 3) else 
                            if (size(x,1)==3) then (if iconU[i+1]<=x[2] then 1 else 2) else 
                               1;
         end for;

         iconActualPoint[1,1]=(u-min(x[j] for j in 1:size(x,1)))*160/(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))) - 80 -2;
         iconActualPoint[1,2]=(val-min(y[j] for j in 1:size(y,1)))*100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1))) - 50 -2;
         iconActualPoint[2,1]=iconActualPoint[1,1]+4;
         iconActualPoint[2,2]=iconActualPoint[1,2]+4;

        //main equations
         for i in 1:size(x,1)-1 loop
           a[i,1]*x[i]^3 + a[i,2]*x[i]^2 + a[i,3]*x[i] + a[i,4] = y[i];
           3*a[i,1]*x[i]^2 + 2*a[i,2]*x[i] + a[i,3] = slope[i];
           a[i,1]*x[i+1]^3 + a[i,2]*x[i+1]^2 + a[i,3]*x[i+1] + a[i,4] = y[i+1];
           3*a[i,1]*x[i+1]^2 + 2*a[i,2]*x[i+1] + a[i,3] = slope[i+1];
         end for;
         slope[1]*x[1]+c1 = y[1];
         slope[size(x,1)]*x[size(x,1)]+c2 = y[size(x,1)];

         val = if (u<x[1]) then slope[1]*u + c1 else 
                if (u>x[size(x,1)]) then slope[size(x,1)]*u + c2 else 
                a[iFrom,1]*u^3 + a[iFrom,2]*u^2 + a[iFrom,3]*u + a[iFrom,4];

         iFrom =   if (size(x,1)==8) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else if u<x[7] then 6 else 7) else 
                   if (size(x,1)==7) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else 6) else 
                   if (size(x,1)==6) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[4] then 4 else 5) else 
                   if (size(x,1)==5) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else 4) else 
                   if (size(x,1)==4) then (if u<=x[2] then 1 else if u<=x[3] then 2 else 3) else 
                   if (size(x,1)==3) then (if u<=x[2] then 1 else 2) else 
                       1;
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,0},
                  fillPattern=FillPattern.Solid,
                  fillColor={255,255,255}),
                Text(
                  extent={{-94,-44},{100,-100}},
                  lineColor={0,0,255},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid,
                  textString="%name"),
                Text(
                  extent={{-100,100},{100,50}},
                  lineColor={0,0,0},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid,
                  textString="curve"),
                Line(
                  points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
                  color={0,0,0},
                  smooth=Smooth.None),
                Ellipse(
                  extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
                  lineColor={0,0,0},
                  fillColor={255,0,0},
                  fillPattern=FillPattern.Solid)}),
         Diagram(coordinateSystem(preserveAspectRatio=false,
                           extent={{-100,-100},{100,100}}), graphics),
            Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Curve;

        model CurveBase
          "2D natural cubic interpolation spline defined with (x,y,slope) points"
        // extends Library.BaseModel;
         parameter Real x[:];
         parameter Real y[:];
         parameter Real slope[:];

         Real u;
         Real val;

         parameter Integer iconNP = 20;
         Real iconU[iconNP];
         Real iconPoint[iconNP,2](final unit="mm"); // = {{-70,-42},{-22,38},{32,36},{82,-74},{72,-36}};
         Real iconActualPoint[2,2](final unit="mm");

        protected
         Real a[size(x,1)-1,4];
         Real c1;
         Real c2;
         Integer iFrom;

         Integer iconFrom[20];

        equation
         // only icon drawing
         iconPoint[1,1] = -80;
         iconU[1]=min(x[j] for j in 1:size(x,1));
         iconPoint[1,2] = (-50 +
                          (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                            (a[iconFrom[1],1]*(min(x[j] for j in 1:size(x,1)))^3 +
                             a[iconFrom[1],2]*(min(x[j] for j in 1:size(x,1)))^2 +
                             a[iconFrom[1],3]*(min(x[j] for j in 1:size(x,1))) +
                             a[iconFrom[1],4]
                             - min(y[j] for j in 1:size(y,1))));
         iconFrom[1] = if (size(x,1)==4) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 
                            if (min(x[j] for j in 1:size(x,1)))<=x[3] then 2 else 3) else 
                       if (size(x,1)==3) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 2) else 
                       1;

         for i in 1:(iconNP-1) loop
            iconPoint[i+1,1] = i*(160/(iconNP-1)) - 80;
        //x.. min(x)+ (i*(max(x)-min(x)))/(iconNP-1);
            iconU[i+1]=(min(x[j] for j in 1:size(x,1))+(i*(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))))/(iconNP-1));
            iconPoint[i+1,2] = (-50 +
                          (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                            (a[iconFrom[i],1]*iconU[i+1]^3 +
                             a[iconFrom[i],2]*iconU[i+1]^2 +
                             a[iconFrom[i],3]*iconU[i+1] +
                             a[iconFrom[i],4]
                             - min(y[j] for j in 1:size(y,1))));
            iconFrom[i+1] = if (size(x,1)==8) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else if iconU[i+1]<x[7] then 6 else 7) else 
                            if (size(x,1)==7) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else 6) else 
                            if (size(x,1)==6) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[4] then 4 else 5) else 
                            if (size(x,1)==5) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else 4) else 
                            if (size(x,1)==4) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else 3) else 
                            if (size(x,1)==3) then (if iconU[i+1]<=x[2] then 1 else 2) else 
                               1;
         end for;

         iconActualPoint[1,1]=(u-min(x[j] for j in 1:size(x,1)))*160/(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))) - 80 -2;
         iconActualPoint[1,2]=(val-min(y[j] for j in 1:size(y,1)))*100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1))) - 50 -2;
         iconActualPoint[2,1]=iconActualPoint[1,1]+4;
         iconActualPoint[2,2]=iconActualPoint[1,2]+4;

        //main equations
         for i in 1:size(x,1)-1 loop
           a[i,1]*x[i]^3 + a[i,2]*x[i]^2 + a[i,3]*x[i] + a[i,4] = y[i];
           3*a[i,1]*x[i]^2 + 2*a[i,2]*x[i] + a[i,3] = slope[i];
           a[i,1]*x[i+1]^3 + a[i,2]*x[i+1]^2 + a[i,3]*x[i+1] + a[i,4] = y[i+1];
           3*a[i,1]*x[i+1]^2 + 2*a[i,2]*x[i+1] + a[i,3] = slope[i+1];
         end for;
         slope[1]*x[1]+c1 = y[1];
         slope[size(x,1)]*x[size(x,1)]+c2 = y[size(x,1)];

         val = if (u<x[1]) then slope[1]*u + c1 else 
                if (u>x[size(x,1)]) then slope[size(x,1)]*u + c2 else 
                a[iFrom,1]*u^3 + a[iFrom,2]*u^2 + a[iFrom,3]*u + a[iFrom,4];

         iFrom =   if (size(x,1)==8) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else if u<x[7] then 6 else 7) else 
                   if (size(x,1)==7) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else 6) else 
                   if (size(x,1)==6) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[4] then 4 else 5) else 
                   if (size(x,1)==5) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else 4) else 
                   if (size(x,1)==4) then (if u<=x[2] then 1 else if u<=x[3] then 2 else 3) else 
                   if (size(x,1)==3) then (if u<=x[2] then 1 else 2) else 
                       1;
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,0},
                  fillPattern=FillPattern.Solid,
                  fillColor={255,255,255}),
                Text(
                  extent={{-94,-44},{100,-100}},
                  lineColor={0,0,255},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid,
                  textString="%name"),
                Line(
                  points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
                  color={0,0,0},
                  smooth=Smooth.None),
                Ellipse(
                  extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
                  lineColor={0,0,0},
                  fillColor={255,0,0},
                  fillPattern=FillPattern.Solid)}),
         Diagram(coordinateSystem(preserveAspectRatio=false,
                           extent={{-100,-100},{100,100}}), graphics),
            Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end CurveBase;
      end old_version;

      package pavol_version
       function Spline

            input Real[:] x; //souradnice x souradnice uzlovych bodu
            input Real[:,4] a; //parametry kubiky
            input Real xVal; //vstupni hodnota

            output Real yVal;
       //     output Real outExtra;
        protected
          Integer index;
          Integer n;

       algorithm
              // Najdi interval, ve kterem se nachazi xVal

              if (xVal <= x[1]) then //kdyz je hodnota xVal pred prvnim uzlovym bodem

                yVal := xVal * a[1,3] + a[1,4]; //pocitam primku

              else
                n := size(x,1); //pocet uzlovych bodu
                if (xVal>=x[n]) then //kdyz je hodnota xVal za poslednim uzlovym bodem

                   yVal := xVal * a[n+1,3] + a[n+1,4];  //pocitam primku

              else
                index := 2;
                while  xVal > x[index] and index < n loop
                  index:=index+1;
                end while;
                yVal := ((a[index,1]*xVal + a[index,2])*xVal + a[index,3])*xVal + a[index,4];

                /*
         x1:=x[index-1];
         x2:=x[index];
         y1:=y[index-1];
         y2:=y[index];
         slope1:=slope[index-1];
         slope2:=slope[index];

         a1:=-(-x2*slope2 - x2*slope1 + slope2*x1 + slope1*x1 + 2*y2 - 2*y1)/(x2 - x1)^3;
         a2:=(-x2^2*slope2-2*x2^2*slope1-3*x2*y1+x2*slope1*x1+3*x2*y2-x2*slope2*x1-3*y1*x1+slope1*x1^2+3*y2*x1+2*slope2*x1^2)/(x2-x1)^3;
         a3:=-(-slope1*x2^3-2*x2^2*slope2*x1-x2^2*slope1*x1+x2*slope2*x1^2+2*x2*slope1*x1^2+6*x2*x1*y2-6*x2*x1*y1+slope2*x1^3)/(x2-x1)^3;
         a4:=(-slope1*x2^3*x1+y1*x2^3-slope2*x1^2*x2^2+slope1*x1^2*x2^2-3*y1*x2^2*x1+3*y2*x1^2*x2+slope2*x1^3*x2-y2*x1^3)/(x2-x1)^3;

         yVal :=a1*(xVal)^3 + a2*(xVal)^2 + a3*(xVal) + a4;
         */
                end if;
             end if;
         //    outExtra := xVal + yVal;
              annotation (Documentation(revisions="<html>
<p>author: Ondrej Vacek</p>
</html>"));
       end Spline;

       function SplineCoeficients

            input Real[:] x;
            input Real[:] y;
            input Real[:] slope;

            output Real[size(x,1)+1,4] a;//poset hodnot ctyrech parametru kubiky je o jeden vic nez pocet bodu

        protected
          Integer n;
          Integer i;
          //Real a1; //parametry kubiky
          //Real a2; //parametry kubiky
          //Real a3; //parametry kubiky
          //Real a4; //parametry kubiky
          Real x1;
          Real x2;

          Real y1;
          Real y2;
          Real slope1;
          Real slope2;

       algorithm
              // Najdi interval, ve kterem se nachazi xVal
       /*
  if (xVal<= x[1]) then

         yVal :=(xVal)*slope[1] + y[1]- x[1]*slope[1];
         
         yVal :=0 *(xVal)^3 + 0*(xVal)^2 + slope[1]*(xVal) + (y[1]- x[1]*slope[1]);
         
         yVal :=a1*(xVal)^3 + a2*(xVal)^2 + a3*(xVal) + a4;
 
       elseif (xVal>=x[size(x,1)]) then

        yVal :=(xVal)*slope[size(slope,1)] + y[size(y,1)]-(x[size(x,1)]*slope[size(slope,1)]);
        
        yVal :=0 *(xVal)^3 + 0 *(xVal)^2 + slope[size(slope,1)]*(xVal) + (y[size(y,1)]-(x[size(x,1)]*slope[size(slope,1)]));
        
        yVal :=a1*(xVal)^3 + a2*(xVal)^2 + a3*(xVal) + a4;
        yVal := ((a1*xVal + a2)*xVal + a3)*xVal + a4;

else
 
 yVal :=a1*(xVal)^3 + a2*(xVal)^2 + a3*(xVal) + a4;

  */
          n := size(x,1);//pocet uzlovych bodu
          for i in 2:n loop //cyklus od 2 do n
                x1:=x[i-1]; //predchozi bod
                x2:=x[i];  //soucasny bod
                y1:=y[i-1]; //predchozi bod
                y2:=y[i]; //soucasny bod
                slope1:=slope[i-1]; //predchozi bod
                slope2:=slope[i]; //soucasny bod
                //vypocty parametru kubiky (od 2 do n) podle souradnic a smernic dvou bodu : y=a[i,4]+a[i,3]*x+a[i,2]*x^2+a[i,1]*x^3
                a[i,1]:=-(-x2*slope2 - x2*slope1 + x1*slope2 + x1*slope1 + 2*y2 - 2*y1)/(x2 - x1)^3;
                a[i,2]:=(-x2^2*slope2-2*x2^2*slope1-3*x2*y1+x2*slope1*x1+3*x2*y2-x2*slope2*x1-3*y1*x1+slope1*x1^2+3*y2*x1+2*slope2*x1^2)/(x2-x1)^3;
                a[i,3]:=-(-slope1*x2^3-2*x2^2*slope2*x1-x2^2*slope1*x1+x2*slope2*x1^2+2*x2*slope1*x1^2+6*x2*x1*y2-6*x2*x1*y1+slope2*x1^3)/(x2-x1)^3;
                a[i,4]:=(-slope1*x2^3*x1+y1*x2^3-slope2*x1^2*x2^2+slope1*x1^2*x2^2-3*y1*x2^2*x1+3*y2*x1^2*x2+slope2*x1^3*x2-y2*x1^3)/(x2-x1)^3;
          end for;
          a[1,  :] := { 0, 0, slope[1], y[1] - x[1]*slope[1]}; //vypocet prvni sady parametru kubiky  - primky
          a[n+1,:] := { 0, 0, slope[n], y[n] - x[n]*slope[n]}; //vypocet posledni sady parametru kubiky - primky

              annotation (Documentation(revisions="<html>
<p>author: Ondrej Vacek</p>
</html>"));
       end SplineCoeficients;

            model Curve
          "2D natural cubic interpolation spline defined with (x,y,slope) points"
          import QHP = HumMod;

                 parameter Real x[:];
                 parameter Real y[:];
                 parameter Real slope[:];

                 parameter Integer iFrom=0;
                 QHP.Library.Interfaces.RealInput_ u 
                              annotation (Placement(transformation(extent={{-100,-60},{-60,-20}}),
                        iconTransformation(extent={{-120,-20},{-80,20}})));
                 QHP.Library.Interfaces.RealOutput_ val 
                                 annotation (Placement(transformation(extent={{60,-20},{100,20}}),
                        iconTransformation(extent={{82,-20},{122,20}})));

        protected
                parameter Real a[:,:] = QHP.Library.Curves.SplineCoeficients(
                                                          x,y,slope);

            equation
          val = QHP.Library.Curves.Spline(
                        x, 
                        a, 
                        u);

               annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}),      graphics));
            end Curve;
      end pavol_version;

      model Curve
        "2D natural cubic interpolation spline defined with (x,y,slope) points"
      // extends Library.BaseModel;
       parameter Real x[:](fixed=true);
       parameter Real y[:](fixed=true);
       parameter Real slope[:](fixed=true);

       HumMod.Library.Interfaces.RealInput_ u 
                    annotation (Placement(transformation(extent={{-100,-60},{-60,-20}}),
              iconTransformation(extent={{-120,-20},{-80,20}})));
       HumMod.Library.Interfaces.RealOutput_ val 
                       annotation (Placement(transformation(extent={{60,-20},{100,20}}),
              iconTransformation(extent={{82,-20},{122,20}})));

       parameter Integer iconNP(fixed=true) = 20;
       parameter Real iconU[iconNP](fixed=false);
       parameter Real iconPoint[iconNP,2](final unit="mm",fixed=false); // = {{-70,-42},{-22,38},{32,36},{82,-74},{72,-36}};
       parameter Integer iconFrom[20](fixed=false);
       Real iconActualPoint[2,2](final unit="mm");

       Integer iFrom(start=1);

       parameter Real a[size(x,1)-1,4](fixed=false);
      //   parameter Real a[:,:] = QHP.Library.Curves.pavol_version.SplineCoeficients( x,y,slope);

       parameter Real c1(fixed=false);
       parameter Real c2(fixed=false);

      initial equation
        // only icon drawing
       iconPoint[1,1] = -80;
       iconU[1]=min(x[j] for j in 1:size(x,1));
       iconPoint[1,2] = (-50 +
                        (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                          (a[iconFrom[1],1]*(min(x[j] for j in 1:size(x,1)))^3 +
                           a[iconFrom[1],2]*(min(x[j] for j in 1:size(x,1)))^2 +
                           a[iconFrom[1],3]*(min(x[j] for j in 1:size(x,1))) +
                           a[iconFrom[1],4]
                           - min(y[j] for j in 1:size(y,1))));
       iconFrom[1] = if (size(x,1)==4) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 
                          if (min(x[j] for j in 1:size(x,1)))<=x[3] then 2 else 3) else 
                     if (size(x,1)==3) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 2) else 
                     1;

       for i in 1:(iconNP-1) loop
          iconPoint[i+1,1] = i*(160/(iconNP-1)) - 80;
      //x.. min(x)+ (i*(max(x)-min(x)))/(iconNP-1);
          iconU[i+1]=(min(x[j] for j in 1:size(x,1))+(i*(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))))/(iconNP-1));
          iconPoint[i+1,2] = (-50 +
                        (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                          (a[iconFrom[i],1]*iconU[i+1]^3 +
                           a[iconFrom[i],2]*iconU[i+1]^2 +
                           a[iconFrom[i],3]*iconU[i+1] +
                           a[iconFrom[i],4]
                           - min(y[j] for j in 1:size(y,1))));
          iconFrom[i+1] = if (size(x,1)==8) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else if iconU[i+1]<x[7] then 6 else 7) else 
                          if (size(x,1)==7) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else 6) else 
                          if (size(x,1)==6) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[4] then 4 else 5) else 
                          if (size(x,1)==5) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else 4) else 
                          if (size(x,1)==4) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else 3) else 
                          if (size(x,1)==3) then (if iconU[i+1]<=x[2] then 1 else 2) else 
                             1;
       end for;

        //main curve
        for i in 1:size(x,1)-1 loop
         a[i,1]*x[i]^3 + a[i,2]*x[i]^2 + a[i,3]*x[i] + a[i,4] = y[i];
         3*a[i,1]*x[i]^2 + 2*a[i,2]*x[i] + a[i,3] = slope[i];
         a[i,1]*x[i+1]^3 + a[i,2]*x[i+1]^2 + a[i,3]*x[i+1] + a[i,4] = y[i+1];
         3*a[i,1]*x[i+1]^2 + 2*a[i,2]*x[i+1] + a[i,3] = slope[i+1];
        end for;

        slope[1]*x[1]+c1 = y[1];
        slope[size(x,1)]*x[size(x,1)]+c2 = y[size(x,1)];

      equation
       // only icon drawing
       iconActualPoint[1,1]=(u-min(x[j] for j in 1:size(x,1)))*160/(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))) - 80 -2;
       iconActualPoint[1,2]=(val-min(y[j] for j in 1:size(y,1)))*100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1))) - 50 -2;
       iconActualPoint[2,1]=iconActualPoint[1,1]+4;
       iconActualPoint[2,2]=iconActualPoint[1,2]+4;

      //main equations
       val = if (u<x[1]) then slope[1]*u + c1 else 
              if (u>x[size(x,1)]) then slope[size(x,1)]*u + c2 else 
              a[iFrom,1]*u^3 + a[iFrom,2]*u^2 + a[iFrom,3]*u + a[iFrom,4];

       iFrom =   if (size(x,1)==8) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else if u<x[7] then 6 else 7) else 
                 if (size(x,1)==7) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else 6) else 
                 if (size(x,1)==6) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[4] then 4 else 5) else 
                 if (size(x,1)==5) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else 4) else 
                 if (size(x,1)==4) then (if u<=x[2] then 1 else if u<=x[3] then 2 else 3) else 
                 if (size(x,1)==3) then (if u<=x[2] then 1 else 2) else 
                     1;
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-94,-44},{100,-100}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name"),
              Text(
                extent={{-100,100},{100,50}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="curve"),
              Line(
                points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
                color={0,0,0},
                smooth=Smooth.None),
              Ellipse(
                extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
                lineColor={0,0,0},
                fillColor={255,0,0},
                fillPattern=FillPattern.Solid)}),
       Diagram(coordinateSystem(preserveAspectRatio=false,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end Curve;

      model CurveBase
        "2D natural cubic interpolation spline defined with (x,y,slope) points"
      // extends Library.BaseModel;
       parameter Real x[:];
       parameter Real y[:];
       parameter Real slope[:];

       Real u;
       Real val;

       parameter Integer iconNP = 20;
       Real iconU[iconNP];
       Real iconPoint[iconNP,2](final unit="mm"); // = {{-70,-42},{-22,38},{32,36},{82,-74},{72,-36}};
       Real iconActualPoint[2,2](final unit="mm");

      protected
       Real a[size(x,1)-1,4];
       Real c1;
       Real c2;
       Integer iFrom;

       Integer iconFrom[20];

      equation
       // only icon drawing
       iconPoint[1,1] = -80;
       iconU[1]=min(x[j] for j in 1:size(x,1));
       iconPoint[1,2] = (-50 +
                        (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                          (a[iconFrom[1],1]*(min(x[j] for j in 1:size(x,1)))^3 +
                           a[iconFrom[1],2]*(min(x[j] for j in 1:size(x,1)))^2 +
                           a[iconFrom[1],3]*(min(x[j] for j in 1:size(x,1))) +
                           a[iconFrom[1],4]
                           - min(y[j] for j in 1:size(y,1))));
       iconFrom[1] = if (size(x,1)==4) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 
                          if (min(x[j] for j in 1:size(x,1)))<=x[3] then 2 else 3) else 
                     if (size(x,1)==3) then (if (min(x[j] for j in 1:size(x,1)))<=x[2] then 1 else 2) else 
                     1;

       for i in 1:(iconNP-1) loop
          iconPoint[i+1,1] = i*(160/(iconNP-1)) - 80;
      //x.. min(x)+ (i*(max(x)-min(x)))/(iconNP-1);
          iconU[i+1]=(min(x[j] for j in 1:size(x,1))+(i*(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))))/(iconNP-1));
          iconPoint[i+1,2] = (-50 +
                        (100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1)))) *
                          (a[iconFrom[i],1]*iconU[i+1]^3 +
                           a[iconFrom[i],2]*iconU[i+1]^2 +
                           a[iconFrom[i],3]*iconU[i+1] +
                           a[iconFrom[i],4]
                           - min(y[j] for j in 1:size(y,1))));
          iconFrom[i+1] = if (size(x,1)==8) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else if iconU[i+1]<x[7] then 6 else 7) else 
                          if (size(x,1)==7) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[5] then 4 else if iconU[i+1]<x[6] then 5 else 6) else 
                          if (size(x,1)==6) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else if iconU[i+1]<x[4] then 4 else 5) else 
                          if (size(x,1)==5) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else if iconU[i+1]<x[4] then 3 else 4) else 
                          if (size(x,1)==4) then (if iconU[i+1]<=x[2] then 1 else if iconU[i+1]<=x[3] then 2 else 3) else 
                          if (size(x,1)==3) then (if iconU[i+1]<=x[2] then 1 else 2) else 
                             1;
       end for;

       iconActualPoint[1,1]=(u-min(x[j] for j in 1:size(x,1)))*160/(max(x[j] for j in 1:size(x,1))-min(x[j] for j in 1:size(x,1))) - 80 -2;
       iconActualPoint[1,2]=(val-min(y[j] for j in 1:size(y,1)))*100/(max(y[j] for j in 1:size(y,1))-min(y[j] for j in 1:size(y,1))) - 50 -2;
       iconActualPoint[2,1]=iconActualPoint[1,1]+4;
       iconActualPoint[2,2]=iconActualPoint[1,2]+4;

      //main equations
       for i in 1:size(x,1)-1 loop
         a[i,1]*x[i]^3 + a[i,2]*x[i]^2 + a[i,3]*x[i] + a[i,4] = y[i];
         3*a[i,1]*x[i]^2 + 2*a[i,2]*x[i] + a[i,3] = slope[i];
         a[i,1]*x[i+1]^3 + a[i,2]*x[i+1]^2 + a[i,3]*x[i+1] + a[i,4] = y[i+1];
         3*a[i,1]*x[i+1]^2 + 2*a[i,2]*x[i+1] + a[i,3] = slope[i+1];
       end for;
       slope[1]*x[1]+c1 = y[1];
       slope[size(x,1)]*x[size(x,1)]+c2 = y[size(x,1)];

       val = if (u<x[1]) then slope[1]*u + c1 else 
              if (u>x[size(x,1)]) then slope[size(x,1)]*u + c2 else 
              a[iFrom,1]*u^3 + a[iFrom,2]*u^2 + a[iFrom,3]*u + a[iFrom,4];

       iFrom =   if (size(x,1)==8) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else if u<x[7] then 6 else 7) else 
                 if (size(x,1)==7) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[5] then 4 else if u<x[6] then 5 else 6) else 
                 if (size(x,1)==6) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else if u<x[4] then 4 else 5) else 
                 if (size(x,1)==5) then (if u<=x[2] then 1 else if u<=x[3] then 2 else if u<x[4] then 3 else 4) else 
                 if (size(x,1)==4) then (if u<=x[2] then 1 else if u<=x[3] then 2 else 3) else 
                 if (size(x,1)==3) then (if u<=x[2] then 1 else 2) else 
                     1;
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-94,-44},{100,-100}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name"),
              Line(
                points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
                color={0,0,0},
                smooth=Smooth.None),
              Ellipse(
                extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
                lineColor={0,0,0},
                fillColor={255,0,0},
                fillPattern=FillPattern.Solid)}),
       Diagram(coordinateSystem(preserveAspectRatio=false,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end CurveBase;
    end Curves;

    package Factors "Multiplication Effect Types"

      model SimpleMultiply "multiplication"
       extends HumMod.Library.Interfaces.BaseFactorIcon;
       HumMod.Library.Interfaces.RealInput_ u 
                    annotation (Placement(transformation(extent={{-102,-24},{-62,16}}),
              iconTransformation(extent={{-108,-10},{-88,10}})));

       Modelica.Blocks.Math.Product product  annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-32})));
        Real effect;
      equation
        effect = u;
        connect(yBase, product.u1) annotation (Line(
            points={{6,80},{6,30},{6,-20},{6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, y) annotation (Line(
            points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(u, product.u2) annotation (Line(
            points={{-82,-4},{-6,-4},{-6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>", info="<html>
<p><h4>y = yBase * u</h4></p>
</html>"));
      end SimpleMultiply;

      model ZeroIfFalse
        "return zero if condition is false, else return yBase value"
       extends HumMod.Library.Interfaces.BaseFactorIcon;

       Modelica.Blocks.Interfaces.BooleanInput condition 
                    annotation (Placement(transformation(extent={{-102,-24},{-62,16}}),
              iconTransformation(extent={{-108,-10},{-88,10}})));

        Real effect;
      equation
        effect = if condition then 1 else 0;
        y = if condition then yBase else 0;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ZeroIfFalse;

      model SplineValue "calculate multiplication factor from spline value"
       extends HumMod.Library.Interfaces.BaseFactorIcon4;
       HumMod.Library.Interfaces.RealInput_ u 
                    annotation (Placement(transformation(extent={{-102,-24},{-62,16}}),
              iconTransformation(extent={{-108,-10},{-88,10}})));

       parameter Real[:,3] data;
        Curves.Curve curve(
          x=data[:, 1],
          y=data[:, 2],
          slope=data[:, 3]) 
          annotation (Placement(transformation(extent={{-46,-10},{-26,10}})));
        Modelica.Blocks.Math.Product product annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-32})));

        Real effect;
      equation
        effect = curve.val;
        connect(curve.u, u) annotation (Line(
            points={{-46,0},{-64,0},{-64,-4},{-82,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(yBase, product.u1) annotation (Line(
            points={{6,80},{6,30},{6,-20},{6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(curve.val, product.u2) annotation (Line(
            points={{-25.8,0},{-6,0},{-6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, y) annotation (Line(
            points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end SplineValue;

      model DelayedToSpline
        "adapt the signal, from which is by curve multiplication coeficient calculated"
       extends HumMod.Library.Interfaces.BaseFactorIcon5;
       HumMod.Library.Interfaces.RealInput_ u 
                    annotation (Placement(transformation(extent={{-118,44},{-78,
                  84}}),
              iconTransformation(extent={{-108,-10},{-88,10}})));
       parameter Real Tau = 40;
       parameter Real initialValue = 1; //40;
       parameter Real[:,3] data;
       parameter String adaptationSignalName;
        Curves.Curve curve(
          x=data[:, 1],
          y=data[:, 2],
          slope=data[:, 3]) 
          annotation (Placement(transformation(extent={{-38,-16},{-18,4}})));
        Modelica.Blocks.Math.Product product annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-32})));
        Blocks.Integrator integrator(                    k=(1/Tau)/Library.SecPerMin,
            y_start=initialValue,
          stateName=adaptationSignalName) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-60,14})));
        Modelica.Blocks.Math.Feedback feedback annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-60,46})));
        Real effect;
      equation
        effect = curve.val;
        connect(yBase, product.u1) annotation (Line(
            points={{6,80},{6,30},{6,-20},{6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, y) annotation (Line(
            points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, integrator.u) annotation (Line(
            points={{-60,37},{-60,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, feedback.u2) annotation (Line(
            points={{-60,3},{-60,-6},{-84,-6},{-84,46},{-68,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.u1, u) annotation (Line(
            points={{-60,54},{-60,64},{-98,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, curve.u) annotation (Line(
            points={{-60,3},{-60,-6},{-38,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(curve.val, product.u2) annotation (Line(
            points={{-17.8,-6},{-6,-6},{-6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end DelayedToSpline;

      model SplineDelayByDay
        "adapt the value of multiplication coeficient calculated from curve"
       extends HumMod.Library.Interfaces.BaseFactorIcon3;
       HumMod.Library.Interfaces.RealInput_ u 
                    annotation (Placement(transformation(extent={{-118,44},{-78,
                  84}}),
              iconTransformation(extent={{-108,-10},{-88,10}})));
       parameter Real Tau;
       parameter Real[:,3] data;
        Curves.Curve curve(
          x=data[:, 1],
          y=data[:, 2],
          slope=data[:, 3]) 
          annotation (Placement(transformation(extent={{-68,58},{-48,78}})));
        Modelica.Blocks.Math.Product product annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-32})));
        Modelica.Blocks.Continuous.Integrator integrator(
            y_start=1, k=(1/(Tau*1440))/Library.SecPerMin,
          initType=Modelica.Blocks.Types.Init.SteadyState) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-26,12})));
        Modelica.Blocks.Math.Feedback feedback annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-26,44})));
        Real effect;
      equation
        effect = integrator.y;
        connect(curve.u, u) annotation (Line(
            points={{-68,68},{-83,68},{-83,64},{-98,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(yBase, product.u1) annotation (Line(
            points={{6,80},{6,30},{6,-20},{6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, y) annotation (Line(
            points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(curve.val, feedback.u1) annotation (Line(
            points={{-47.8,68},{-26,68},{-26,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, integrator.u) annotation (Line(
            points={{-26,35},{-26,29.5},{-26,24},{-26,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, feedback.u2) annotation (Line(
            points={{-26,1},{-26,-8},{-50,-8},{-50,44},{-34,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, product.u2) annotation (Line(
            points={{-26,1},{-26,-8},{-6,-8},{-6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end SplineDelayByDay;

      model SplineDelayFactorByDayWithFailture
        "combination of SplineDelayByDay and ZeroIfFalse"
       extends HumMod.Library.Interfaces.BaseFactorIcon2;
       HumMod.Library.Interfaces.RealInput_ u 
                    annotation (Placement(transformation(extent={{-118,6},{-78,46}}),
              iconTransformation(extent={{-108,-30},{-88,-10}})));
       parameter Real Tau;
       parameter Real[:,3] data;
        Curves.Curve curve(
          x=data[:, 1],
          y=data[:, 2],
          slope=data[:, 3]) 
          annotation (Placement(transformation(extent={{-76,20},{-56,40}})));
        Modelica.Blocks.Math.Product product annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-50})));
        Modelica.Blocks.Continuous.Integrator integrator(                y_start=
             1, k=(1/(Tau*1440))/Library.SecPerMin,
          initType=Modelica.Blocks.Types.Init.SteadyState) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-14,-6})));
        Modelica.Blocks.Math.Feedback feedback annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-14,26})));
        Modelica.Blocks.Logical.Switch switch1 
          annotation (Placement(transformation(extent={{-36,40},{-16,60}})));
        HumMod.Library.Blocks.Constant Constant1(k=0) 
          annotation (Placement(transformation(extent={{-82,62},{-62,82}})));
        HumMod.Library.Interfaces.BooleanInput Failed 
                            annotation (Placement(transformation(extent={{-118,30},{
                  -78,70}}), iconTransformation(extent={{-108,30},{-88,50}})));
        Real effect;
      equation
        effect = integrator.y;
        connect(curve.u, u) annotation (Line(
            points={{-76,30},{-87,30},{-87,26},{-98,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(yBase, product.u1) annotation (Line(
            points={{6,100},{6,31},{6,-38},{6,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, y) annotation (Line(
            points={{-2.02067e-015,-61},{-2.02067e-015,-55.5},{0,-55.5},{0,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, integrator.u) annotation (Line(
            points={{-14,17},{-14,14.25},{-14,14.25},{-14,11.5},{-14,6},{-14,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, feedback.u2) annotation (Line(
            points={{-14,-17},{-14,-26},{-38,-26},{-38,26},{-22,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, product.u2) annotation (Line(
            points={{-14,-17},{-14,-26},{-6,-26},{-6,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(switch1.y, feedback.u1) annotation (Line(
            points={{-15,50},{-14,50},{-14,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(curve.val, switch1.u3) annotation (Line(
            points={{-55.8,30},{-54,30},{-54,42},{-38,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, switch1.u1) annotation (Line(
            points={{-61,72},{-58,72},{-58,58},{-38,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(switch1.u2, Failed) annotation (Line(
            points={{-38,50},{-98,50}},
            color={255,0,255},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end SplineDelayFactorByDayWithFailture;

      package NonlinearSystemPatch
        model SplineValue3
          "calculate multiplication factor from spline value defined by 3 points"
         extends HumMod.Library.Interfaces.BaseFactorIcon4;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-102,-24},{-62,16}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));

         parameter Real[:,3] data;
          HumMod.Library.Curves.NonlinearSystemPatch.Curve3 curve(
            x=data[:, 1],
            y=data[:, 2],
            slope=data[:, 3]) 
            annotation (Placement(transformation(extent={{-46,-10},{-26,10}})));
          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
        equation
          connect(curve.u, u) annotation (Line(
              points={{-46,0},{-64,0},{-64,-4},{-82,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(curve.val, product.u2) annotation (Line(
              points={{-25.8,0},{-6,0},{-6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end SplineValue3;

        model SplineValue2
          "calculate multiplication factor from spline value defined by 2 points"
         extends HumMod.Library.Interfaces.BaseFactorIcon4;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-102,-24},{-62,16}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));

         parameter Real[:,3] data;
          HumMod.Library.Curves.NonlinearSystemPatch.Curve2 curve(
            x=data[:, 1],
            y=data[:, 2],
            slope=data[:, 3]) 
            annotation (Placement(transformation(extent={{-46,-10},{-26,10}})));
          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
        equation
          connect(curve.u, u) annotation (Line(
              points={{-46,0},{-64,0},{-64,-4},{-82,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(curve.val, product.u2) annotation (Line(
              points={{-25.8,0},{-6,0},{-6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end SplineValue2;

        model Spline3DelayByDay
          "adapt the value of multiplication coeficient calculated from curve defined by 3 points"
         extends HumMod.Library.Interfaces.BaseFactorIcon3;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real Tau;
         parameter Real[:,3] data;
          HumMod.Library.Curves.NonlinearSystemPatch.Curve3 curve(
            x=data[:, 1],
            y=data[:, 2],
            slope=data[:, 3]) 
            annotation (Placement(transformation(extent={{-68,58},{-48,78}})));
          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
          Modelica.Blocks.Continuous.Integrator integrator(
              y_start=1, k=(1/(Tau*1440))/Library.SecPerMin,
            initType=Modelica.Blocks.Types.Init.SteadyState) 
            annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-26,12})));
          Modelica.Blocks.Math.Feedback feedback annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-26,44})));
        equation
          connect(curve.u, u) annotation (Line(
              points={{-68,68},{-83,68},{-83,64},{-98,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(curve.val, feedback.u1) annotation (Line(
              points={{-47.8,68},{-26,68},{-26,52}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(feedback.y, integrator.u) annotation (Line(
              points={{-26,35},{-26,29.5},{-26,24},{-26,24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(integrator.y, feedback.u2) annotation (Line(
              points={{-26,1},{-26,-8},{-50,-8},{-50,44},{-34,44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(integrator.y, product.u2) annotation (Line(
              points={{-26,1},{-26,-8},{-6,-8},{-6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Spline3DelayByDay;
      end NonlinearSystemPatch;

    end Factors;

    package Blocks "Base Signal Blocks Library"

        block BooleanConstant "Generate constant signal of type Boolean"
          parameter Boolean k=true "Constant output value";
          extends Modelica.Blocks.Interfaces.partialBooleanSource;

        equation
          y = k;
          annotation (
            Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Line(points={{-80,0},{80,0}}, color={0,0,0}),
                Text(
                extent={{-150,-140},{150,-110}},
                lineColor={0,0,0},
                textString="%k")}),
            Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Line(
                points={{-70,0},{80,0}},
                color={0,0,255},
                thickness=0.5),
              Text(
                extent={{-69,20},{-49,0}},
                lineColor={0,0,0},
                fillColor={95,95,95},
                fillPattern=FillPattern.Solid,
                textString="k"),
              Text(
                extent={{-96,6},{-76,-4}},
                lineColor={0,0,0},
                fillColor={95,95,95},
                fillPattern=FillPattern.Solid,
                textString="true"),
              Text(
                extent={{-98,-58},{-72,-68}},
                lineColor={0,0,0},
                fillColor={95,95,95},
                fillPattern=FillPattern.Solid,
                textString="false")}),
            Documentation(info="<html>
<p>
The Boolean output y is a constant signal:
</p>
 
<p>
<img src=\"../Images/Blocks/Sources/BooleanConstant.png\">
</p>
</html>"));
        end BooleanConstant;

          block Parts "Divide the input value by weights"
            extends HumMod.Library.Interfaces.SIMO;
            parameter Real w[nout]=ones(nout) "Optional: weight coeficients";
      protected
           Real coef;
           Real weight[nout];
          equation
            ones(nout)*weight = 1;
            for i in 1:nout loop
                weight[i] = w[i] * coef;
                y[i] = u * weight[i];
            end for;
            annotation (defaultComponentName="parts1",
              Documentation(info="
<HTML>
<p>
This blocks divide input value <b>y</b> to
<i>outputs</i> by weights. The sum of output values is equal to input value.
<b>u</b>:
</p>
<pre>
    <b>y</b> = (<b>u</b>[1] + <b>u</b>[2] + ... + <b>u</b>[n]) / n;
</pre>
<p>
Example:
</p>
<pre>
     parameter:   nin = 3;
 
  results in the following equations:
 
     y = (u[1] + u[2] + u[3]) / 3;
</pre>
 
</HTML>
"),           Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="Parts")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,255},
                textString="AVG")}));
          end Parts;

          block Add "Output the addition of a value with the input signal"

            parameter Real k(start=1) "value added to input signal";
      public
            Modelica.Blocks.Interfaces.RealInput u "Input signal connector" 
              annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                rotation=0)));
            Modelica.Blocks.Interfaces.RealOutput y "Output signal connector" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                rotation=0)));

          equation
            y = k+u;
            annotation (
              Documentation(info="
<HTML>
<p>
This block computes output <i>y</i> as
<i>product</i> of gain <i>k</i> with the
input <i>u</i>:
</p>
<pre>
    y = k * u;
</pre>
 
</HTML>
"),           Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Polygon(
                points={{-100,-100},{-100,100},{100,0},{-100,-100}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-98,-52},{30,34}},
                lineColor={0,0,0},
                textString="%k+u"),
              Text(
                extent={{-150,140},{150,100}},
                textString="%name",
                lineColor={0,0,255})}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Polygon(
                points={{-100,-100},{-100,100},{100,0},{-100,-100}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-76,38},{0,-34}},
                lineColor={0,0,255},
                textString="k")}));
          end Add;

          block Pow "the power of parameter"
            extends HumMod.Library.Interfaces.SISO;
            parameter Real power_base=10 "base";
          equation
            y = power_base^u;
             annotation (defaultComponentName="avg1",
              Documentation(info="
<HTML>
<p>
This blocks computes output <b>y</b> as
<i>average value</i> of the elements of the input signal vector
<b>u</b>:
</p>
<pre>
    <b>y</b> = (<b>u</b>[1] + <b>u</b>[2] + ... + <b>u</b>[n]) / n;
</pre>
<p>
Example:
</p>
<pre>
     parameter:   nin = 3;
 
  results in the following equations:
 
     y = (u[1] + u[2] + u[3]) / 3;
</pre>
 
</HTML>
"),           Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
                  initialScale=0.04), graphics={Text(
                extent={{-100,-40},{100,40}},
                lineColor={0,0,0},
                textString="%power_base^u")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
                  initialScale=0.04), graphics={Rectangle(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-100,-46},{100,52}},
                lineColor={0,0,255},
                textString="Pow")}));
          end Pow;

          block Inv "Output the inverse value of the input"
            extends Modelica.Blocks.Interfaces.SISO;
          equation
            y = 1/u;
            annotation (defaultComponentName="inv1",
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                textString="1/u")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics),
              Documentation(info="<HTML>
<p>
This blocks computes the output <b>y</b>
as <i>inverse value</i> of the input <b>u</b>:
</p>
<pre>
    y = 1 / u ;
</pre>
 
</HTML>
"));
          end Inv;

          block MultiProduct
        "Output the product of the elements of the input vector"
            extends Modelica.Blocks.Interfaces.MISO;
          equation
            y = product(u);
            annotation (defaultComponentName="product1",
              Documentation(info="
<HTML>
<p>
This blocks computes output <b>y</b> as
<i>product</i> of the elements of the input signal vector
<b>u</b>:
</p>
<pre>
    <b>y</b> = <b>u</b>[1] * <b>u</b>[2] * ...;
</pre>
<p>
Example:
</p>
<pre>
     parameter:   nin = 3;

  results in the following equations:

     y = u[1] * u[2] * u[3];
</pre>

</HTML>
"),           Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Text(
                extent={{-150,150},{150,110}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{56,38},{-48,38},{-10,38},{-10,-42},{-10,-42}},
                color={0,0,0},
                thickness=0.25),
              Line(
                points={{16,38},{16,-44}},
                color={0,0,0},
                smooth=Smooth.None)}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(
                points={{26,42},{-34,42},{-10,42},{-10,-38},{-10,-38}},
                color={0,0,0},
                thickness=0.25),
              Line(
                points={{0,42},{0,-38}},
                color={0,0,0},
                smooth=Smooth.None)}));
          end MultiProduct;

          block Log10AsEffect
        "Output the base 10 logarithm of the input > 1, or 0 otherwise"

            extends Modelica.Blocks.Interfaces.SISO;
          equation
            y = if u>1 then Modelica.Math.log10(u) else 0;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Polygon(
                points={{90,0},{68,8},{68,-8},{90,0}},
                lineColor={192,192,192},
                fillColor={192,192,192},
                fillPattern=FillPattern.Solid),
              Line(points={{-90,0},{68,0}}, color={192,192,192}),
              Polygon(
                points={{-80,90},{-88,68},{-72,68},{-80,90}},
                lineColor={192,192,192},
                fillColor={192,192,192},
                fillPattern=FillPattern.Solid),
              Line(points={{-80,-80},{-80,68}}, color={192,192,192}),
              Text(
                extent={{-44,-56},{94,-80}},
                lineColor={192,192,192},
                textString="max(log10,0)"),
              Line(points={{-100,0},{-80,0},{-78,0},{-74,0},{-76,0},{-74,0},{-72,
                    0},{-69.5,6.08},{-64.7,15.9},{-57.5,26},{-47,36.1},{-31.8,
                    46.1},{-10.1,56},{22.1,66},{68.7,76.1},{80,78}}, color={0,0,
                    0})}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Line(points={{-80,80},{-88,80}}, color={192,192,192}),
              Line(points={{-80,-80},{-88,-80}}, color={192,192,192}),
              Line(points={{-80,-90},{-80,84}}, color={192,192,192}),
              Text(
                extent={{-65,96},{-38,78}},
                lineColor={160,160,164},
                textString="y"),
              Polygon(
                points={{-80,100},{-86,84},{-74,84},{-80,100}},
                lineColor={192,192,192},
                fillColor={192,192,192},
                fillPattern=FillPattern.Solid),
              Line(points={{-100,0},{84,0}}, color={192,192,192}),
              Polygon(
                points={{100,0},{84,6},{84,-6},{100,0}},
                lineColor={192,192,192},
                fillColor={192,192,192},
                fillPattern=FillPattern.Solid),
              Line(points={{-100,0},{-80,0},{-78,0},{-74,0},{-76,0},{-74,0},{-72,0},
                    {-69.5,6.08},{-64.7,15.9},{-57.5,26},{-47,36.1},{-31.8,46.1},{
                    -10.1,56},{22.1,66},{68.7,76.1},{80,78}}, color={0,0,0}),
              Text(
                extent={{70,-3},{90,-23}},
                textString="20",
                lineColor={0,0,255}),
              Text(
                extent={{-78,-1},{-58,-21}},
                textString="1",
                lineColor={0,0,255}),
              Text(
                extent={{-109,72},{-89,88}},
                textString=" 1.3",
                lineColor={0,0,255}),
              Text(
                extent={{-109,-88},{-89,-72}},
                textString="-1.3",
                lineColor={0,0,255}),
              Text(
                extent={{62,30},{90,10}},
                lineColor={160,160,164},
                textString="u")}),
              Documentation(info="<HTML>
<p>
This blocks computes the output <b>y</b> as the
<i>base 10 logarithm</i> of the input <b>u</b>:
</p>
<pre>
    y = <b>log10</b>( u );
</pre>
<p>
An error occurs if the elements of the input <b>u</b> are
zero or negative.
</p>

<p>
<img src=\"../Images/Math/log10.png\">
</p>

</HTML>
"));
          end Log10AsEffect;

      block IntegratorWithRestart "Output the integral of the input signal"
        import Modelica.Blocks.Types.Init;
        parameter Real k=1/Library.SecPerMin
          "Integrator gain .. default derivation per minute -> do a smaller steps per seconds";

        /* InitialState is the default, because it was the default in Modelica 2.2
     and therefore this setting is backward compatible
  */
        parameter Modelica.Blocks.Types.Init initType=Modelica.Blocks.Types.Init.InitialState
          "Type of initialization (1: no init, 2: steady state, 3,4: initial output)"
                                                                                          annotation(Evaluate=true,
            Dialog(group="Initialization"));
        parameter Real y_start=0 "Initial or guess value of output (= state)" 
          annotation (Dialog(group="Initialization"));
        extends Modelica.Blocks.Interfaces.SISO(y(start=y_start));

        Interfaces.BooleanInput restart annotation (Placement(transformation(extent={{-100,
                  60},{-60,100}}), iconTransformation(extent={{-140,-100},{-100,-60}})));
      initial equation
        if initType == Init.SteadyState then
           der(y) = 0;
        elseif initType == Init.InitialState or 
               initType == Init.InitialOutput then
          y = y_start;
        end if;
      equation
          der(y) = k*u;
        when restart then
          reinit(y,y_start);
        end when;
        annotation (
          Documentation(info="<html>
<p>
This blocks computes output <b>y</b> (element-wise) as
<i>integral</i> of the input <b>u</b> multiplied with
the gain <i>k</i>:
</p>
<pre>
         k
     y = - u
         s
</pre>

<p>
It might be difficult to initialize the integrator in steady state.
This is discussed in the description of package
<a href=\"Modelica://Modelica.Blocks.Continuous#info\">Continuous</a>.
</p>

</html>
"),       Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Line(points={{-80,78},{-80,-90}}, color={192,192,192}),
              Polygon(
                points={{-80,90},{-88,68},{-72,68},{-80,90}},
                lineColor={192,192,192},
                fillColor={192,192,192},
                fillPattern=FillPattern.Solid),
              Line(points={{-90,-80},{82,-80}}, color={192,192,192}),
              Polygon(
                points={{90,-80},{68,-72},{68,-88},{90,-80}},
                lineColor={192,192,192},
                fillColor={192,192,192},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{0,-10},{60,-70}},
                lineColor={192,192,192},
                textString="I"),
              Text(
                extent={{-150,-150},{150,-110}},
                lineColor={0,0,0},
                textString="k=%k"),
              Line(points={{-80,-80},{80,80}}, color={0,0,127})}),
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(extent={{-60,60},{60,-60}}, lineColor={0,0,255}),
              Line(points={{-100,0},{-60,0}}, color={0,0,255}),
              Line(points={{60,0},{100,0}}, color={0,0,255}),
              Text(
                extent={{-36,60},{32,2}},
                lineColor={0,0,0},
                textString="k"),
              Text(
                extent={{-32,0},{36,-58}},
                lineColor={0,0,0},
                textString="s"),
              Line(points={{-46,0},{46,0}}, color={0,0,0})}));
      end IntegratorWithRestart;

          block Constant "Generate constant signal of type Real"
            parameter Real k(start=1) "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-40},{100,46}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end Constant;

          block FractConstant "Generate constant signal in part from 1"
            parameter Real k(start=1, final unit="%") "Part in percent";

            HumMod.Library.Interfaces.RealOutput_ y(final unit="1")
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k/100;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-94,-50},{94,56}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                textString="%k%%")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end FractConstant;

          block Fract2Constant
        "Generate constant signal y as part on interval <0,1> and signal 1-y"
            parameter Real k(start=1, final unit="%") "Part in percent";

            HumMod.Library.Interfaces.RealOutput_ y(final unit="1")
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0), iconTransformation(extent={{100,48},{120,68}})));

            HumMod.Library.Interfaces.RealOutput_ y2(final unit="1")
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0), iconTransformation(extent={{100,-62},{120,-42}})));
          equation
            y = k/100;
            y2 = 1-y;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,2},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k %%"),
              Text(
                extent={{-100,-100},{100,-2}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="100-%k %%")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end Fract2Constant;

          block PressureConstant
        "Generate constant signal of type Pressure_mmHg"
            parameter Real k(start=1, final quantity="Pressure", final unit="mmHg")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Pressure",
            final unit="mmHg") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
        connect(y, y) annotation (Line(
            points={{110,0},{110,0}},
            color={0,0,127},
            smooth=Smooth.None));
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,-6},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-98,-82},{98,-20}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mmHg")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end PressureConstant;

          block VolumeConstant "Generate constant signal of type Volume_ml"
            parameter Real k(start=1, final quantity="Volume", final unit="ml")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Volume",
            final unit="ml") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k ml")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end VolumeConstant;

          block OsmolarityConstant "Generate constant signal of type mOsm"
            parameter Real k(start=1, final quantity="Osmolarity", final unit="mOsm")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Osmolarity",
            final unit="mOsm") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            connect(y, y) annotation (Line(
                points={{110,0},{106,0},{106,0},{110,0}},
                color={0,0,127},
                smooth=Smooth.None));
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-98,6},{100,86}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-80},{100,-18}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mOsm")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end OsmolarityConstant;

          block TemperatureConstant
        "Generate constant signal of type temperature in Celsius degrees"
            parameter Real k(start=1, final quantity="Temperature", final unit="degC")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity=
              "Temperature", final unit="degC")
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k C")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end TemperatureConstant;

          block TimeConstant "Generate constant signal in minutes"
            parameter Real k(start=1, final quantity="Time", final unit="min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Time",
            final unit="min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end TimeConstant;

          block FlowConstant "Generate constant signal in units ml/min"
            parameter Real k(start=1, final quantity="Flow", final unit="ml/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="ml/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="ml")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end FlowConstant;

          block CaloriesConstant
        "Generate constant signal of type Energy in calories"
            parameter Real k(start=1, final quantity="Energy", final unit="Cal")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Energy",
            final unit="Cal") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k Cal")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end CaloriesConstant;

          block ElectrolytesMassConstant
        "Generate constant signal of type Mass_mEq"
            parameter Real k(start=1, final quantity="Mass", final unit="mEq")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Mass",
            final unit="mEq") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k mEq")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end ElectrolytesMassConstant;

          block ComplianceConstant "Generate constant signal in units ml/mmHg"
            parameter Real k(start=1, final quantity="Compliance", final unit="ml/mmHg")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Compliance",
            final unit="ml/mmHg") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mmHg"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="ml")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end ComplianceConstant;

          block CondConstant "Generate constant signal in units (ml/min)/mmHg"
            parameter Real k(start=1, final quantity="Conductance", final unit="ml/(min.mmHg)")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity=
              "Conductance", final unit="ml/(min.mmHg)")
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-86},{98,-50}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min.mmHg"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-98,-40},{94,0}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="ml")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end CondConstant;

          block ElectrolytesConcentrationConstant_per_l
        "Generate constant signal of type mEq/L"
            parameter Real k(start=1, final quantity="Concentration", final unit
            =                                                                    "mEq/l")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity=
              "Concentration", final unit="mEq/l")
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mEq"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="l")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end ElectrolytesConcentrationConstant_per_l;

          block ConcentrationConstant_pg_per_ml
        "Generate constant signal in units pg/ml"
            parameter Real k(start=1, final quantity="Concentration", final unit
            =                                                                    "pg/ml")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity=
              "Concentration", final unit="pg/ml")
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="ml"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="pG")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end ConcentrationConstant_pg_per_ml;

          block ConcentrationConstant_uU_per_ml
        "Generate constant signal in units uU/ml"
            parameter Real k(start=1, final quantity="Concentration", final unit
            =                                                                    "uU/ml")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity=
              "Concentration", final unit="uU/ml")
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="ml"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="uU")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end ConcentrationConstant_uU_per_ml;

          block MassFlowConstant "Generate constant signal in units mg/min"
            parameter Real k(start=1, final quantity="Flow", final unit="mg/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="mg/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mg")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end MassFlowConstant;

          block ElectrolytesFlowConstant
        "Generate constant signal of type Mass_mEq_per_min"
            parameter Real k(start=1, final quantity="Flow", final unit="mEq/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="mEq/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,-6},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mEq")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end ElectrolytesFlowConstant;

      block HeightConstant "Generate height constant signal in meter"
        parameter Real k(start=1, final quantity="Height", final unit="m")
          "Constant output value";

        HumMod.Library.Interfaces.RealOutput_ y(final quantity="Height", final unit
            =    "m") "Connector of Real output signal" 
          annotation (Placement(transformation(extent={{100,-10},{120,10}},
              rotation=0)));

      equation
        y = k;
        annotation (
          Icon(coordinateSystem(
          preserveAspectRatio=true,
          extent={{-100,-100},{100,100}},
          grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="m")}),
          Diagram(coordinateSystem(
          preserveAspectRatio=true,
          extent={{-100,-100},{100,100}},
          grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
      Documentation(info="<html>
<p>
The Real output y is a constant height:
</p>
</html>"));
      end HeightConstant;

      block GConstant "Generate gravity constant signal in meter/s.s"
        parameter Real k(start=1, final quantity="G", final unit="m/(s.s)")
          "Constant output value";

        HumMod.Library.Interfaces.RealOutput_ y(final quantity="G", final unit=
              "m/(s.s)") "Connector of Real output signal" 
          annotation (Placement(transformation(extent={{100,-10},{120,10}},
              rotation=0)));

      equation
        y = k;
        annotation (
          Icon(coordinateSystem(
          preserveAspectRatio=true,
          extent={{-100,-100},{100,100}},
          grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="m/(s.s)")}),
          Diagram(coordinateSystem(
          preserveAspectRatio=true,
          extent={{-100,-100},{100,100}},
          grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
      Documentation(info="<html>
<p>
The Real output y is a constant height:
</p>
</html>"));
      end GConstant;

          block HormoneFlowConstant_mU
        "Generate constant signal in units mU/min"
            parameter Real k(start=1, final quantity="Flow", final unit="mU/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="mU/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mU")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end HormoneFlowConstant_mU;

          block HormoneFlowConstant_nG
        "Generate constant signal in units nG/min"
            parameter Real k(start=1, final quantity="Flow", final unit="ng/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="ng/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="nG")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end HormoneFlowConstant_nG;

          block HormoneFlowConstant_pmol
        "Generate constant signal in units pmol/min"
            parameter Real k(start=1, final quantity="Flow", final unit="pmol/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="pmol/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="pmol")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end HormoneFlowConstant_pmol;

          block HormoneFlowConstant_uG
        "Generate constant signal in units uG/min"
            parameter Real k(start=1, final quantity="Flow", final unit="ug/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="ug/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="uG")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end HormoneFlowConstant_uG;

          block HormoneFlowConstant_GU
        "Generate constant signal in units U/min"
            parameter Real k(start=1, final quantity="Flow", final unit="GU/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="GU/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="GU")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end HormoneFlowConstant_GU;

          block CaloriesFlowConstant
        "Generate constant signal of type Energy Flow in calories per minute"
            parameter Real k(start=1, final quantity="Flow", final unit="Cal/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="Cal/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,2},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-52},{100,24}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-44},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="Cal")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end CaloriesFlowConstant;

          block HormoneFlowConstant_nmol
        "Generate constant signal in units nmol/min"
            parameter Real k(start=1, final quantity="Flow", final unit="nmol/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="nmol/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="nmol")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end HormoneFlowConstant_nmol;

          block HormoneFlowConstant_IU
        "Generate constant signal in units IU/min"
            parameter Real k(start=1, final quantity="Flow", final unit="IU/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="IU/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="IU")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end HormoneFlowConstant_IU;

          block MassFlowConstant_kg "Generate constant signal in units kg/min"
            parameter Real k(start=1, final quantity="Flow", final unit="kg/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="kg/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,20},{100,92}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="kg")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end MassFlowConstant_kg;

          block SafeDivision
        "Output first input divided by second input, if the second input is zero return parameter"
            extends Modelica.Blocks.Interfaces.SI2SO;
            parameter Real ZeroDivisorResult=0;
            parameter Real Zero=1e-20;
          equation
            y = if u2<=Zero and u2>=-Zero then ZeroDivisorResult else u1/u2;
            annotation (
              Documentation(info="
<HTML>
<p>
This block computes the output <b>y</b> (element-wise)
by <i>dividing</i> the corresponding elements of
the two inputs <b>u1</b> and <b>u2</b>:
</p>
<pre>
    y = u1 / u2;
</pre>

</HTML>
"),           Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Line(points={{50,0},{100,0}}, color={0,0,127}),
              Line(points={{-30,0},{30,0}}, color={0,0,0}),
              Ellipse(
                extent={{-5,20},{5,30}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-5,-20},{5,-30}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(extent={{-50,50},{50,-50}}, lineColor={0,0,127}),
              Text(
                extent={{-150,150},{150,110}},
                textString="%name",
                lineColor={0,0,255}),
              Line(points={{-100,60},{-66,60},{-40,30}}, color={0,0,127}),
              Line(points={{-100,-60},{0,-60},{0,-50}}, color={0,0,127}),
              Text(
                extent={{-96,-62},{98,-98}},
                lineColor={0,0,0},
                textString="u/0 = %ZeroDivisorResult")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(points={{50,0},{100,0}}, color={0,0,255}),
              Line(points={{-30,0},{30,0}}, color={0,0,0}),
              Ellipse(
                extent={{-5,20},{5,30}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-5,-20},{5,-30}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(extent={{-50,50},{50,-50}}, lineColor={0,0,255}),
              Line(points={{-100,60},{-66,60},{-40,30}}, color={0,0,255}),
              Line(points={{-100,-60},{0,-60},{0,-50}}, color={0,0,255})}),
              uses(Modelica(version="3.1")));
          end SafeDivision;

      block Min "Pass through the smallest signal"
        extends Modelica.Blocks.Interfaces.MISO;
      equation
         y = min(u);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-90,36},{90,-36}},
                lineColor={160,160,164},
                textString="min()")}),
                                Documentation(info="<html>
<p>
This block computes the output <b>y</b> as <i>minimum</i> of
the Real inputs <b>u[1]</b>,<b>u[2]</b> .. <b>u[nin]</b>:
</p>
<pre>    y = <b>min</b> ( u );
</pre>
</html>
"));
      end Min;

      block WriteValue

        parameter String VariableName;
        inner parameter String FileName;

      Interfaces.RealInput_ u 
          annotation (Placement(transformation(extent={{-48,2},{-34,16}}),
               iconTransformation(extent={{-100,-20},{-60,20}})));

      algorithm
        when ( terminal()) then
            Modelica.Utilities.Streams.print(VariableName+"|"+String(u),FileName);
        end when;
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-60}},
                lineColor={0,0,0},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-98,-22},{100,-52}},
                lineColor={0,0,0},
                textString="%VariableName"),
              Text(
                extent={{-36,16},{68,-14}},
                lineColor={0,0,0},
                textString="write")}));
      end WriteValue;

          block HormoneFlowConstant_U "Generate constant signal in units U/min"
            parameter Real k(start=1, final quantity="Flow", final unit="U/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="U/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="U")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end HormoneFlowConstant_U;

          block HormoneFlowConstant_mmol
        "Generate constant signal in units mmol/min"
            parameter Real k(start=1, final quantity="Flow", final unit="mmol/min")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="mmol/min") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="min"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mmol")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end HormoneFlowConstant_mmol;

          block SoluteMassConstant "Generate constant signal of type mMol"
            parameter Real k(start=1, final quantity="Mass", final unit="mmol")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Mass",
            final unit="mmol") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,4},{100,74}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-96},{100,-20}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mmol")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end SoluteMassConstant;

          block FlowConstant_mmol_per_hour
        "Generate constant signal in units mmol/h"
            parameter Real k(start=1, final quantity="Flow", final unit="mmol/h")
          "Constant output value";

            HumMod.Library.Interfaces.RealOutput_ y(final quantity="Flow",
            final unit="mmol/h") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}),
              Text(
                extent={{-100,0},{100,100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k"),
              Text(
                extent={{-100,-100},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="h"),
              Text(
                extent={{-100,-46},{100,30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="____"),
              Text(
                extent={{-100,-38},{100,16}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="mmol")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end FlowConstant_mmol_per_hour;

      model Integrator
        extends Utilities.DynamicState;

        parameter Real k=1 "Integrator gain";

        parameter Real y_start=0 "Initial or guess value of output (= state)" 
          annotation (Dialog(group="Initialization"));
        extends Interfaces.SISO(y(start=y_start));

      equation
        stateValue = y;
        changePerMin = u*Library.SecPerMin;

        annotation (
          Documentation(info="<html>
<p>
This blocks computes output <b>y</b> (element-wise) as
<i>integral</i> of the input <b>u</b> multiplied with
the gain <i>k</i>:
</p>
<pre>
         k
     y = - u
         s
</pre>

<p>
It might be difficult to initialize the integrator in steady state.
This is discussed in the description of package
<a href=\"Modelica://Modelica.Blocks.Continuous#info\">Continuous</a>.
</p>

</html>
"),       Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Line(points={{-80,78},{-80,-90}}, color={192,192,192}),
              Polygon(
                points={{-80,90},{-88,68},{-72,68},{-80,90}},
                lineColor={192,192,192},
                fillColor={192,192,192},
                fillPattern=FillPattern.Solid),
              Line(points={{-90,-80},{82,-80}}, color={192,192,192}),
              Polygon(
                points={{90,-80},{68,-72},{68,-88},{90,-80}},
                lineColor={192,192,192},
                fillColor={192,192,192},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{0,-10},{60,-70}},
                lineColor={192,192,192},
                textString="I"),
              Text(
                extent={{-150,-150},{150,-110}},
                lineColor={0,0,0},
                textString="k=%k"),
              Line(points={{-80,-80},{80,80}}, color={0,0,127}),
              Text(
                extent={{-150,106},{150,146}},
                lineColor={0,0,0},
                textString="%stateName")}),
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(extent={{-60,60},{60,-60}}, lineColor={0,0,255}),
              Line(points={{-100,0},{-60,0}}, color={0,0,255}),
              Line(points={{60,0},{100,0}}, color={0,0,255}),
              Text(
                extent={{-36,60},{32,2}},
                lineColor={0,0,0},
                textString="k"),
              Text(
                extent={{-32,0},{36,-58}},
                lineColor={0,0,0},
                textString="s"),
              Line(points={{-46,0},{46,0}}, color={0,0,0})}));
      end Integrator;

          model InitialVolumeConstant "Set initial value of input signal"
            parameter Real k(start=1, final quantity="Volume", final unit="ml")
          "Constant output value";

            HumMod.Library.Interfaces.RealInput_ y(final quantity="Volume",
            final unit="ml") "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{-120,-14},{-100,6}},
                  rotation=0), iconTransformation(extent={{-120,-10},{-100,10}})));

          initial equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-46},{100,54}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k ml")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end InitialVolumeConstant;

          block ConstantFromFile
        "Generate constant signal of type Real with value from file"
            parameter Real k(fixed=false) "Constant output value";
            parameter String SETUP_FILE = "setup/default.txt";
            parameter String varName;
            parameter String units;

            HumMod.Library.Interfaces.RealOutput_ y
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          initial equation
            k=Library.Utilities.readRealParameter( SETUP_FILE, varName);
          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.1), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-10},{100,10}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%varName")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.1), graphics),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end ConstantFromFile;
    end Blocks;

    package PressureFlow "Hydraulic Physical Domain"

      connector PressureFlow "Pressure[mmHg] and Flow[ml/min]"
        Real pressure( final quantity="Pressure", final unit="mmHg");
        flow Real q( final quantity="Flow", final unit="ml/min") "flow";
        annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague, Czech Republic</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
</table>
</html>", info="<html>
<p><font style=\"font-size: 9pt; \">This connector connects hydraulic domains elements. The elements contains one equation for each his pressure-flow connector. The equation defines relation between variables in the connector. Variables are hydraulic pressure and volume flow of hydraulic medium. The pressure is the same in each connector that are connected together. The sum of flow in connectors connected together is zero (</font><b><font style=\"font-size: 9pt; \">Kirchhoff&apos;s circuit laws</font></b><font style=\"font-size: 9pt; \">).</font> </p>
</html>"));
      end PressureFlow;

      connector PositivePressureFlow "Pressure[mmHg] and Inflow[ml/min]"
        extends PressureFlow;

      annotation (
          defaultComponentName="q_in",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={0,0,0},
                lineThickness=1), Polygon(
                points={{0,100},{100,0},{0,-100},{-100,0},{0,100}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={0,0,0})}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))));
      end PositivePressureFlow;

      connector NegativePressureFlow
        "Pressure[mmHg] and negative Outflow[ml/min]"
        extends PressureFlow;

      annotation (
          defaultComponentName="q_out",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={0,0,0},
                lineThickness=1), Polygon(
                points={{0,100},{100,0},{0,-100},{-100,0},{0,100}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={200,200,200})}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))));
      end NegativePressureFlow;

      model FlowMeasure
        "Convert connector volume flow value to signal flow value"

        NegativePressureFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{18,-10},{38,10}}), iconTransformation(
                extent={{50,-10},{70,10}})));

        PositivePressureFlow q_in annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-70,-10},
                  {-50,10}})));
        HumMod.Library.Interfaces.RealOutput_ actualFlow(final quantity="Flow",
            final unit="ml/min") 
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={0,54})));
      equation
        q_in.q + q_out.q = 0;
        q_out.pressure = q_in.pressure;

        actualFlow = q_in.q;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Bitmap(extent={{-60,60},{60,-60}},
                  fileName="icons/flowMeassure.png")}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end FlowMeasure;

      model PressureMeasure
        "Convert connector hydraulic pressure value to signal flow value"

        HumMod.Library.PressureFlow.PositivePressureFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-30,-50},
                  {-10,-30}})));
        HumMod.Library.Interfaces.RealOutput_ actualPressure 
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=0,
              origin={52,-20})));
      equation

        actualPressure = q_in.pressure;
        q_in.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Bitmap(extent={{-56,60},{64,-60}},
                  fileName="icons/pressureMeassure.png")}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end PressureMeasure;

      partial model ResistorBase "Hydraulic Volume Flow Resistance"
       extends HumMod.Library.Interfaces.BaseResistorModel;
        PositivePressureFlow q_in 
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        NegativePressureFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
      Real ActualConductance;
      equation
        ActualConductance = if 
                              (q_in.pressure == q_out.pressure) then 0 else q_in.q/(q_in.pressure - q_out.pressure);
        annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague, Czech Republic</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
</table>
</html>",       info="<html>
<p>This hydraulic conductance (resistance) element contains two connector sides. No hydraulic medium volume is changing in this element during simulation. That means that sum of flow in both connector sides is zero. The flow through element is determined by <b>Ohm&apos;s law</b>. It is used conductance (=1/resistance) because it could be numerical zero better then infinity in resistance. </p>
</html>"));
      end ResistorBase;

      partial model ResistorBase2 "Hydraulic Volume Flow Resistance"
       extends HumMod.Library.Interfaces.BaseResistorModel;
        PositivePressureFlow q_in 
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(
                extent={{90,-10},{110,10}})));
        NegativePressureFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
      Real ActualConductance;
      equation
        ActualConductance = if 
                              (q_in.pressure == q_out.pressure) then 0 else q_in.q/(q_in.pressure - q_out.pressure);
        annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague, Czech Republic</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
</table>
</html>",       info="<html>
<p>This hydraulic conductance (resistance) element contains two connector sides. No hydraulic medium volume is changing in this element during simulation. That means that sum of flow in both connector sides is zero. The flow through element is determined by <b>Ohm&apos;s law</b>. It is used conductance (=1/resistance) because it could be numerical zero better then infinity in resistance. </p>
</html>"), Icon(graphics));
      end ResistorBase2;

      partial model Resistor
       extends ResistorBase;
      equation
        q_in.q + q_out.q = 0;
        annotation (Icon(graphics));
      end Resistor;

      model ResistorWithCond
       extends Resistor;
        HumMod.Library.Interfaces.RealInput_ cond(final quantity="Conductance",
            final unit="ml/(min.mmHg)") 
                                 annotation (extent=[-5,30; 5,50], rotation=-90);
      equation
        q_in.q = cond * (q_in.pressure - q_out.pressure);
        annotation (Icon(graphics={Text(
                extent={{-70,-30},{70,30}},
                textString="%name",
                lineColor={0,0,255})}));
      end ResistorWithCond;

      model ResistorWithCondParam
       extends Resistor;
       parameter Real cond(  final quantity="Conductance", final unit="ml/(min.mmHg)");
      equation
        q_in.q = cond * (q_in.pressure - q_out.pressure);

        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(graphics={
              Text(
                extent={{-70,0},{70,30}},
                lineColor={0,0,0},
                textString="%cond"),
              Text(
                extent={{-134,-90},{154,-30}},
                textString="%name",
                lineColor={0,0,255}),
              Text(
                extent={{-70,-20},{70,0}},
                lineColor={0,0,0},
                textString="ml/min/mmHg")}));
      end ResistorWithCondParam;

      model OneWayResistorWithCondParam
       extends Resistor;
       parameter Real cond(  final quantity="Conductance", final unit="ml/(min.mmHg)");
       parameter Real zero = 1.E-5;
        HumMod.Library.Interfaces.RealOutput_ actualFlow(final quantity="Flow",
            final unit="ml/min") 
                               annotation (Placement(transformation(extent={{72,-48},
                  {112,-8}}), iconTransformation(extent={{70,-32},{94,-8}})));
      equation
        q_in.q = max(cond * (q_in.pressure - q_out.pressure), zero);
        actualFlow = q_in.q;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(graphics={
              Text(
                extent={{-70,-30},{28,30}},
                lineColor={0,0,0},
                textString="%cond"),
              Text(
                extent={{-134,-90},{154,-30}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{30,30},{30,-30},{70,0},{30,30}},
                color={0,0,255},
                smooth=Smooth.None)}));
      end OneWayResistorWithCondParam;

      model PumpBase "Defined flow to/from/in system by real signal"

        Interfaces.RealInput_ desiredFlow( quantity="Flow", unit = "ml/min")
          "desired volume flow value"                                                                    annotation (Placement(transformation(
                extent={{-66,50},{-26,90}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,60})));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-40},{100,60}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,35},{80,10},{-80,-15},{-80,35}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-90},{150,-50}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague, Czech Republic</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
</table>
</html>",       info="<html>
<p><font style=\"font-size: 9pt; \">This element needs to be connected only to next hydraulic elements, which contain calculation of hydraulic pressure in connector. It is because equation contains only </font><b><font style=\"font-size: 9pt; \">hydraulic volume flow</font></b><font style=\"font-size: 9pt; \"> variable, which is set to value of input signal variable. </font></p>
</html>"));
      end PumpBase;

      model InputPump
        extends PumpBase;
        NegativePressureFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,0},{110,20}}),   iconTransformation(
                extent={{90,0},{110,20}})));

      equation
        q_out.q = - desiredFlow;

        annotation (Icon(graphics));
      end InputPump;

      model OutputPump
        extends PumpBase;
        PositivePressureFlow q_in 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent=
                  {{-110,-10},{-90,10}})));

      equation
        q_in.q = desiredFlow;
      end OutputPump;

      model Pump
        extends PumpBase;
        NegativePressureFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        PositivePressureFlow q_in annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
      equation
        q_in.q + q_out.q = 0;
        q_in.q = desiredFlow;
      end Pump;

      model PressurePumpBase
        "Defined pressure to/from/in system by real signal"

        Interfaces.RealInput_ desiredPressure(quantity="Pressure", unit="mmHg")
          "desired pressure flow value"                                                                  annotation (Placement(transformation(
                extent={{-66,50},{-26,90}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,60})));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-80,60},{80,-60}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={255,170,170},
                fillColor={255,170,170},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-94},{150,-54}},
                textString="%name",
                lineColor={0,0,0},
                fillPattern=FillPattern.Solid,
                fillColor={255,170,170}),
              Text(
                extent={{-36,-72},{-152,98}},
                lineColor={255,170,170},
                fillColor={255,170,170},
                fillPattern=FillPattern.Solid,
                textString="")}));
      end PressurePumpBase;

      model InputPressurePump
        extends PressurePumpBase;
        NegativePressureFlow p_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,0},{110,20}}),   iconTransformation(
                extent={{70,-10},{90,10}})));

      equation
        p_out.pressure = desiredPressure;

        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics));
      end InputPressurePump;

      model OutputPressurePump
        extends PressurePumpBase;
        PositivePressureFlow p_in 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,0},{110,20}}),   iconTransformation(
                extent={{-90,-10},{-70,10}})));

      equation
        p_in.pressure = desiredPressure;

        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics), Icon(graphics));
      end OutputPressurePump;

      model ReabsorbtionWithMinimalOutflow
        "Divide inflow to outflow and reabsorbtion if it is under defined treshold"

        Library.PressureFlow.PositivePressureFlow Inflow 
                                                       annotation (Placement(
              transformation(extent={{-100,40},{-60,80}}),  iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Library.PressureFlow.NegativePressureFlow Outflow 
          annotation (Placement(transformation(extent={{58,40},{98,80}}),
              iconTransformation(extent={{90,-10},{110,10}})));
        Library.PressureFlow.NegativePressureFlow Reabsorbtion 
                                                         annotation (Placement(
              transformation(extent={{-12,-98},{28,-58}}), iconTransformation(
                extent={{-10,-110},{10,-90}})));
        HumMod.Library.Interfaces.RealInput_ FractReab 
                                     annotation (Placement(transformation(extent={{-60,-26},
                  {-48,-14}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=180,
              origin={94,-56})));
        HumMod.Library.Interfaces.RealInput_ OutflowMin(final quantity="Flow",
            final unit="ml/min")     annotation (Placement(transformation(extent={{-44,84},
                  {-32,96}}),  iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=180,
              origin={34,50})));
        FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{-38,22},{-18,2}})));
        Factors.SimpleMultiply simpleMultiply annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-28,-20})));
        Pump reabsorbtion annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={10,-34})));
        Pump MinimalFlow annotation (Placement(transformation(
              extent={{10,10},{-10,-10}},
              rotation=180,
              origin={-2,60})));
        FlowMeasure flowMeasure1 
          annotation (Placement(transformation(extent={{-66,50},{-46,70}})));
        Modelica.Blocks.Math.Min min 
          annotation (Placement(transformation(extent={{-24,82},{-14,92}})));
      equation
        connect(flowMeasure.actualFlow, simpleMultiply.yBase) annotation (Line(
            points={{-28,6.6},{-28,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(simpleMultiply.u, FractReab) annotation (Line(
            points={{-37.8,-20},{-54,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(reabsorbtion.q_out, Reabsorbtion) annotation (Line(
            points={{10,-44},{10,-78},{8,-78}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(simpleMultiply.y, reabsorbtion.desiredFlow) annotation (Line(
            points={{-28,-22},{-28,-34},{4,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, Outflow) annotation (Line(
            points={{-22,12},{43,12},{43,60},{78,60}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, reabsorbtion.q_in) annotation (Line(
            points={{-22,12},{10,12},{10,-24}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Inflow, flowMeasure1.q_in) annotation (Line(
            points={{-80,60},{-62,60}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.q_out, flowMeasure.q_in) annotation (Line(
            points={{-50,60},{-42,60},{-42,12},{-34,12}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.q_out, MinimalFlow.q_in) annotation (Line(
            points={{-50,60},{-12,60}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(MinimalFlow.q_out, Outflow) annotation (Line(
            points={{8,60},{78,60}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(OutflowMin, min.u1) annotation (Line(
            points={{-38,90},{-25,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure1.actualFlow, min.u2) annotation (Line(
            points={{-56,65.4},{-56,84},{-25,84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(min.y, MinimalFlow.desiredFlow) annotation (Line(
            points={{-13.5,87},{-2,87},{-2,66}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-100,134},{100,106}},
                lineColor={0,0,255},
                textString="%name"), Bitmap(extent={{-100,100},{100,-100}},
                  fileName="icons/reabsorbtion2.jpg")}),
                                       Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ReabsorbtionWithMinimalOutflow;

      model Reabsorbtion "Divide inflow to outflow and reabsorbtion"

        Library.PressureFlow.PositivePressureFlow Inflow 
                                                       annotation (Placement(
              transformation(extent={{-106,-18},{-66,22}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Library.PressureFlow.NegativePressureFlow Outflow 
          annotation (Placement(transformation(extent={{50,-18},{90,22}}),
              iconTransformation(extent={{90,-10},{110,10}})));
        Library.PressureFlow.NegativePressureFlow Reabsorbtion 
                                                         annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-110},{10,-90}})));
        HumMod.Library.Interfaces.RealInput_ FractReab 
                                     annotation (Placement(transformation(extent={{-74,-38},
                  {-58,-22}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=180,
              origin={104,-46})));
        FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{-48,12},{-28,-8}})));
        Factors.SimpleMultiply simpleMultiply annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-38,-30})));
        Pump pump annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={0,-44})));
      equation
        connect(Inflow, flowMeasure.q_in) annotation (Line(
            points={{-86,2},{-44,2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, simpleMultiply.yBase) annotation (Line(
            points={{-38,-3.4},{-38,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(simpleMultiply.u, FractReab) annotation (Line(
            points={{-47.8,-30},{-66,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pump.q_out, Reabsorbtion) annotation (Line(
            points={{-1.83697e-015,-54},{0,-54},{0,-80},{0,-80}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(simpleMultiply.y, pump.desiredFlow) annotation (Line(
            points={{-38,-32},{-38,-44},{-6,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, Outflow) annotation (Line(
            points={{-32,2},{70,2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, pump.q_in) annotation (Line(
            points={{-32,2},{1.83697e-015,2},{1.83697e-015,-34}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-100,130},{100,108}},
                lineColor={0,0,255},
                textString="%name"), Bitmap(extent={{-100,100},{100,-100}},
                  fileName="icons/reabsorbtion.png")}),
                                       Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end Reabsorbtion;

      model GravityHydrostaticDifferenceWithPumpEffect
        "Create hydrostatic pressure between connectors in different altitude with specific pressure pump effect"

        Library.PressureFlow.PositivePressureFlow q_up 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{62,38},
                  {82,58}})));

        Library.PressureFlow.PositivePressureFlow q_down 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{60,-64},
                  {80,-44}})));
        Library.Interfaces.RealInput_ height(final unit="m") 
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{15,-15},{-15,15}},
              rotation=180,
              origin={-61,-3})));

       // constant Real g(final unit="m/s2")=9.81; //gravity acceleration constant
        parameter Real ro(final unit="kg/m3")=1060; //liquid density

       //TorsoArtyGradient  =  TorsoCM * Gravity_Gz * ArtyFractGz;  //Hydrostatic pressure: P=ro.g.h
         //cm *  .01 m/cm * 9.81 m/s * 1060 kg/m3 * 1/133.322 mmHg/Pa
         //= height[cm] * .77996129671022036873134216408395 [mmHg]
         //Blood density = 1060 kg/m3: Cutnell, John & Johnson, Kenneth. Physics, Fourth Edition. Wiley, 1998: 308.

         //bloodDensity = 1060 kg/m3
         //gravityAcceleration = 9.81 m/s2
         //Pa2mmHg = 1/133.322 mmHg/Pa
         //cm2m = .01 m/cm
         //averageHydrostaticHeight = TorsoCM * postureCoef[Status_Posture]
         //hydrostaticPressure = averageHydrostaticHeight * cm2m * bloodDensity * gravityAcceleration * Pa2mmHg
         //                    = .77996 * averageHydrostaticHeight

        Library.Interfaces.RealInput_ pumpEffect     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{15,-15},{-15,15}},
              rotation=90,
              origin={-15,95})));

        Library.Interfaces.RealInput_ G(final unit="m/(s.s)") 
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{15,-15},{-15,15}},
              rotation=270,
              origin={15,-85})));
      equation
        q_down.pressure = q_up.pressure + Library.NonSIunits.to_mmHg(G*ro*height)
          *pumpEffect;
        q_up.q + q_down.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-30,-58},{30,72}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-62,-21},{62,21}},
                textString="%name",
                lineColor={0,0,255},
                origin={0,5},
                rotation=90),
              Line(
                points={{-28,44},{0,72},{28,44}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Bitmap(extent={{-100,102},{100,-98}}, fileName=
                    "icons/hydrostaticGradient.png")}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end GravityHydrostaticDifferenceWithPumpEffect;

      model GravityHydrostaticDifference
        "Create hydrostatic pressure between connectors in different altitude"

        Library.PressureFlow.PositivePressureFlow q_up 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{62,38},
                  {82,58}})));

        Library.PressureFlow.PositivePressureFlow q_down 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{60,-66},
                  {80,-46}})));
        Library.Interfaces.RealInput_ height(final unit="m") 
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{15,-15},{-15,15}},
              rotation=180,
              origin={-61,-5})));

      //  constant Real g(final unit="m/s2")=9.81; //gravity acceleration constant
        parameter Real ro(final unit="kg/m3")=1060; //liquid density

       //TorsoArtyGradient  =  TorsoCM * Gravity_Gz * ArtyFractGz;  //Hydrostatic pressure: P=ro.g.h
         //cm *  .01 m/cm * 9.81 m/s * 1060 kg/m3 * 1/133.322 mmHg/Pa
         //= height[cm] * .77996129671022036873134216408395 [mmHg]
         //Blood density = 1060 kg/m3: Cutnell, John & Johnson, Kenneth. Physics, Fourth Edition. Wiley, 1998: 308.

         //bloodDensity = 1060 kg/m3
         //gravityAcceleration = 9.81 m/s2
         //Pa2mmHg = 1/133.322 mmHg/Pa
         //cm2m = .01 m/cm
         //averageHydrostaticHeight = TorsoCM * postureCoef[Status_Posture]
         //hydrostaticPressure = averageHydrostaticHeight * cm2m * bloodDensity * gravityAcceleration * Pa2mmHg
         //                    = .77996 * averageHydrostaticHeight

        Library.Interfaces.RealInput_ G(final unit="m/(s.s)") 
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{15,-15},{-15,15}},
              rotation=270,
              origin={15,-85})));
      equation
        q_down.pressure = q_up.pressure + Library.NonSIunits.to_mmHg(G*ro*height);
        q_up.q + q_down.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-30,-58},{30,72}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-62,-21},{62,21}},
                textString="%name",
                lineColor={0,0,255},
                origin={0,5},
                rotation=90),
              Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/hydrostaticGradient.png")}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end GravityHydrostaticDifference;

        model VolumeCompartement
        "Generate constant pressure independ on inflow or outflow"
         //extends Library.Interfaces.BaseModel;
          extends HumMod.Library.Utilities.DynamicState;

          parameter Real pressure=0;

          PositivePressureFlow con 
            annotation (Placement(transformation(extent={{100,-20},{140,20}},
                rotation=0), iconTransformation(extent={{-120,-20},{-80,20}})));

          parameter Real initialVolume;

          Interfaces.RealOutput_ Volume(start=initialVolume) annotation (Placement(transformation(extent={{
                    -8,-120},{32,-80}}), iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={12,-100})));
        //initial equation
        //  Volume = initialVolume;
        equation
          /*if STEADY then
    der(Volume) = 0;
  else
    der(Volume) = con.q/Library.SecPerMin;
  end if;
*/
          /*if Volume<=0 and con.q<=0 then
    der(Volume) = 0;
  else
    con.pressure = pressure;
  end if;
 */
          if Volume>0 or con.q>0 then
                    con.pressure = pressure;
                  else
                    con.q = 0;
                  end if;

          stateValue = Volume;
          changePerMin = con.q;
          annotation (
            Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}),
            graphics,
                  lineColor={0,0,0}), Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid));
        end VolumeCompartement;

        model PressureControledCompartment
        "Multiple PressureFlow connector with pressures from multiple inputs"
         extends Library.Interfaces.BaseModel;
         extends HumMod.Library.Utilities.DynamicState;

          parameter Integer ncon=1 "Number of inputs";
          Library.Interfaces.RealInput_ pressure[ncon](final quantity="Pressure",
              final unit="mmHg") "Connector of Pressure values input signals" 
            annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                rotation=0), iconTransformation(extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,100})));
          PositivePressureFlow y[ncon]
          "Connector of PressureFlow output connectors" 
            annotation (Placement(transformation(extent={{100,-20},{140,20}},
                rotation=0), iconTransformation(extent={{-120,-20},{-80,20}})));

          parameter Real initialVolume;
          Interfaces.RealOutput_ Volume(start=initialVolume, final quantity="Volume", final unit =                    "ml") 
            annotation (Placement(transformation(extent={{-20,-120},{20,-80}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-100})));

        //initial equation
        //  Volume = initialVolume;
         // der(Volume) = 0;
        equation
        /*  if STEADY then
      der(Volume) = 0;
  else
      der(Volume) = (ones(ncon)*y.q)/Library.SecPerMin;
  end if;
*/
          for i in 1:ncon loop
              y[i].pressure = pressure[i];
          end for;

          stateValue = Volume;
          changePerMin = ones(ncon)*y.q;
          annotation (Documentation(info="<html>
<p>Model has a vector of continuous Real input signals as pressures for vector of pressure-flow connectors. </p>
<p>Usage in tests: Set defaul volume&GT;0 and try to set STEADY in instances to &QUOT;false&QUOT;!</p>
</html>",  revisions=
             "<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),  Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}),
                            graphics));
        end PressureControledCompartment;

      model Gas_FromMLtoMMOL
        "ideal gas conversion of flow units from ml to mmol"
        extends Modelica.SIunits.Conversions.ConversionIcon;
        PositivePressureFlow q_ML "flow in ml" annotation (Placement(transformation(
                extent={{-110,-12},{-90,8}}), iconTransformation(extent={{-110,-10},{-90,
                  10}})));
        NegativePressureFlow q_MMOL "flow in mmol" annotation (Placement(
              transformation(extent={{-110,-12},{-90,8}}), iconTransformation(extent={
                  {90,-10},{110,10}})));
        parameter Real gasConstant(unit="l.mmHg/(K.mol)") = 62.36367
          "gas constant";
        parameter Real T(unit="K")=273.15;
        parameter Real P(unit="mmHg")=760;

        parameter Real mmolPerML(final unit="mmol/ml") = (P/T)/gasConstant
          "this density depends on substance";

      equation
        q_ML.q * mmolPerML + q_MMOL.q = 0;
        q_ML.pressure = q_MMOL.pressure;
        annotation (Icon(graphics={
              Text(
                extent={{-56,60},{-94,8}},
                lineColor={0,0,0},
                textString="ml"),
              Text(
                extent={{96,-20},{-28,-70}},
                lineColor={0,0,0},
                textString="mmol"),
              Text(
                extent={{100,-108},{-102,-130}},
                lineColor={0,0,0},
                textString="%mmolPerML mmol/ml")}), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end Gas_FromMLtoMMOL;

      model InternalElasticCompartment

        PositivePressureFlow q_int 
          annotation (Placement(transformation(extent={{-86,-10},{-66,10}}),
              iconTransformation(extent={{-86,-10},{-66,10}})));
        NegativePressureFlow q_ext annotation (Placement(transformation(extent={{64,-10},
                  {84,10}}),  iconTransformation(extent={{64,-10},{84,10}})));

       parameter Real Compliance(unit="ml/mmHg");
       parameter Real V0(unit="ml")=0;
       parameter Real initialVolume(unit="ml");
       Real volume(start=initialVolume,unit="ml");
       Real stressedVolume(unit="ml");

      equation
        der(volume) = q_int.q / Library.SecPerMin;  //derivation time in Modelica is in seconds
        q_int.q + q_ext.q = 0;
        q_int.pressure = (stressedVolume/Compliance) + q_ext.pressure;
        stressedVolume = max(volume-V0,0);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}), graphics={Bitmap(extent={{-80,84},{120,-116}},
                  fileName="icons/ventilatorCapacitance.png")}));
      end InternalElasticCompartment;

      model FlowInertance

        PositivePressureFlow q_in 
          annotation (Placement(transformation(extent={{-110,-10},{-90,10}})));
        NegativePressureFlow q_out 
          annotation (Placement(transformation(extent={{90,-10},{110,10}})));

        parameter Real L(unit="mmHg/ml/min2");
      equation
        q_in.q + q_out.q = 0;
        L*der(q_in.q) = ( q_in.pressure - q_out.pressure)  / Library.SecPerMin;
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}},
                  fileName="icons/ventilatorInertance.png")}));
      end FlowInertance;
      annotation (Documentation(revisions="<html>
</html>"));
    end PressureFlow;

    package VolumeFlow "Volume and Volume Flow domains"

      connector VolumeFlow
        Real volume(  final quantity="Volume", final unit="ml");
        flow Real q(  final quantity="Flow", final unit="ml/min");
      end VolumeFlow;

      connector PositiveVolumeFlow
        extends VolumeFlow;

      annotation (
          defaultComponentName="q_in",
          Coordsys(
            extent=[-100, -100; 100, 100],
            grid=[1, 1],
            component=[20, 20],
            scale=0.2),
          Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-50,-5;
                  0,40; 50,-5; 0,-51; -50,-5],            style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0}))),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
      end PositiveVolumeFlow;

      connector NegativeVolumeFlow
         extends VolumeFlow;

      annotation (
          defaultComponentName="q_out",
          Coordsys(
            extent=[-100, -100; 100, 100],
            grid=[1, 1],
            component=[20, 20],
            scale=0.2),
          Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-50,-5;
                  0,40; 50,-5; 0,-51; -50,-5],            style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255}))),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
      end NegativeVolumeFlow;

      model VolumeMeasure

        PositiveVolumeFlow q_in   annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-20,-60},
                  {20,-20}})));
        HumMod.Library.Interfaces.RealOutput_ actualVolume 
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={0,40})));
      equation
        q_in.q = 0;

        actualVolume = q_in.volume;

        annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-40,-40},{40,40}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-28,18},{30,-40}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="Vol")}),    Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics));
      end VolumeMeasure;

      model InputPump

        NegativeVolumeFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        HumMod.Library.Interfaces.RealInput desiredFlow(final quantity="Flow",
            final unit="ml/min")      annotation ( extent = [-10,50;10,70], rotation = -90);

      equation
        q_out.q = - desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end InputPump;

      model OutputPump

        PositiveVolumeFlow q_in 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        HumMod.Library.Interfaces.RealInput desiredFlow(final quantity="Flow",
            final unit="ml/min")      annotation ( extent = [-10,50;10,70], rotation = -90);

      equation
        q_in.q = desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end OutputPump;

    end VolumeFlow;

    package ConcentrationFlow "Concentration Physical Domain"

      replaceable type Concentration = Real (final quantity="Concentration");

      replaceable type SoluteFlow = Real (final quantity="Flow");

      replaceable type SoluteMass = Real (final quantity="Mass");

      connector ConcentrationFlow "Concentration and Solute flow"
        Concentration conc;
        flow SoluteFlow q;
        annotation (Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ConcentrationFlow;

      connector PositiveConcentrationFlow "Concentration and Solute inflow"
        extends HumMod.Library.ConcentrationFlow.ConcentrationFlow;

      annotation (
          defaultComponentName="q_in",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={200,0,0},
                lineThickness=1), Polygon(
                points={{0,100},{100,0},{0,-100},{-100,0},{0,100}},
                lineColor={200,0,0},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={200,0,0})}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>", revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));

      end PositiveConcentrationFlow;

      connector NegativeConcentrationFlow
        "Concentration and negative Solute outflow"
        extends HumMod.Library.ConcentrationFlow.ConcentrationFlow;

      annotation (
          defaultComponentName="q_out",
          Icon(coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=false),
              graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={200,0,0},
                lineThickness=1), Polygon(
                points={{-100,0},{0,100},{100,0},{0,-100},{-100,0}},
                lineColor={200,0,0},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={255,240,240})}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>", revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));

      end NegativeConcentrationFlow;

      model FlowMeasure

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{18,-10},{38,10}}), iconTransformation(
                extent={{30,-10},{50,10}})));

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-50,-10},
                  {-30,10}})));
        HumMod.Library.Interfaces.RealOutput_ actualFlow 
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={0,50})));
      equation
        q_in.q + q_out.q = 0;
        q_out.conc = q_in.conc;

        actualFlow = q_in.q;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-40,30},{40,-30}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end FlowMeasure;

      model ConcentrationMeasure
        parameter String unitsString="";
        parameter Real toAnotherUnitCoef=1;

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-10},
                  {10,10}})));
        HumMod.Library.Interfaces.RealOutput_ actualConc 
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={0,40})));
      equation

        actualConc =  toAnotherUnitCoef * q_in.conc;
        q_in.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Text(
                extent={{-48,-24},{48,-40}},
                lineColor={0,0,0},
                textString="%unitsString"), Rectangle(
                extent={{-20,20},{20,-20}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ConcentrationMeasure;

      partial model ResistorBase
       extends HumMod.Library.Interfaces.BaseResistorModel;
        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-96,-10},{-76,10}}), iconTransformation(
                extent={{-96,-10},{-76,10}})));
        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(
                extent={{76,-10},{96,10}})));
        annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                  fileName="icons/diffusion.png")}), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ResistorBase;

      partial model Resistor
       extends ResistorBase;
      equation
        q_in.q + q_out.q = 0;
        annotation (Icon(graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end Resistor;

      model ResistorWithCondParam
       extends Resistor;
       parameter Real cond
          "speed of solute in dependence on concentration gradient";
      equation
        q_in.q = cond * (q_in.conc - q_out.conc);
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(graphics={Text(
                extent={{-70,38},{70,80}},
                lineColor={0,0,0},
                textString="%cond"), Text(
                extent={{-142,-90},{142,-40}},
                textString="%name",
                lineColor={0,0,255})}),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ResistorWithCondParam;

      model SolventFlowPump

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
          "second side connector with value of q (solute mass flow) and conc (concentration)"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        Interfaces.RealInput_ solventFlow
          "solvent flow (solution volume flow = solventFlow + solute volume flow)"
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
          "first side connector with value of q (solute mass flow) and conc (concentration)"
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));

      equation
        q_in.q + q_out.q = 0;
        q_in.q = if initial() or (solventFlow>=0) then 
           solventFlow*q_in.conc else 
           solventFlow*q_out.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
</html>",       info="<html>
<p><h4><font color=\"#008000\">Bidirectional mass flow by concentration</font></h4></p>
<p>Possible field values: </p>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0.1\"><tr>
<td></td>
<td><p align=\"center\">forward flow</p></td>
<td><p align=\"center\">backward flow</p></td>
</tr>
<tr>
<td><p align=\"center\"><h4>solventFlow</h4></p></td>
<td><p align=\"center\">&GT;=0</p></td>
<td><p align=\"center\">&LT;0</p></td>
</tr>
<tr>
<td><p align=\"center\"><h4>q_in.q</h4></p></td>
<td><p align=\"center\">=solventFlow*q_in.conc</p></td>
<td><p align=\"center\">=solventFlow*q_out.conc</p></td>
</tr>
<tr>
<td><p align=\"center\"><h4>q_out.q</h4></p></td>
<td><p align=\"center\">=-q_in.q</p></td>
<td><p align=\"center\">=-q_in.q</p></td>
</tr>
</table>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SolventFlowPump;

      model SolventOutflowPump

        HumMod.Library.Interfaces.RealInput solventFlow "solvent outflow" 
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
          "solute outflow"        annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));

        parameter Real K=1 "part of real mass flow in solution outflow";
      equation
        q_in.q = K*solventFlow*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Text(
                extent={{-100,-30},{100,-50}},
                lineColor={0,0,0},
                textString="K=%K")}),   Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SolventOutflowPump;

      model Synthesis
        parameter SoluteFlow SynthesisBasic =   0.01;
        parameter Real[:,3] data =  {{ 20.0,  3.0,  0.0}, { 28.0,  1.0,  -0.2}, { 40.0,  0.0,  0.0}}
          "COPEffect";
        Library.Curves.Curve c(x=data[:,1],y=data[:,2],slope=data[:,3]);

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        Real COP;
        SoluteMass synthetized( start=0);
      protected
        parameter Real C1 =    320.0;
        parameter Real C2 =    1160.0;
      equation
        COP = if  q_out.conc > 0.0 then   ( C1 * q_out.conc)  + ( C2 * q_out.conc * q_out.conc) else   0.0;
        c.u=COP;
        q_out.q = - SynthesisBasic*c.val;

        der(synthetized) = -q_out.q / Library.SecPerMin;
       annotation (
          defaultComponentName="synthesis",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-100,-50},{90,50}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Synthesis;

      model Degradation
        parameter SoluteFlow DegradationBasic =   0.01;
        parameter Real[:,3] data =  {{ 0.00,  0.0,  0.0}, { 0.07,  1.0,  40.0}, { 0.09,  6.0,  0.0}}
          "ProteinEffect";
        Library.Curves.Curve c(x=data[:,1],y=data[:,2],slope=data[:,3]);
        PositiveConcentrationFlow q_in 
          annotation (Placement(transformation(extent={{-100,0},{-60,40}}),
              iconTransformation(extent={{-110,-10},{-90,10}})));

      SoluteMass degraded( start=0);
      equation
        c.u=q_in.conc;
        q_in.q = DegradationBasic*c.val;

        der(degraded) = q_in.q / Library.SecPerMin;
       annotation (
          defaultComponentName="degradation",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-88,-50},{100,50}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Degradation;

      model InputPump

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(extent={
                  {50,-10},{70,10}})));
        HumMod.Library.Interfaces.RealInput_ desiredFlow "speed of solute flow"
                                                                      annotation ( extent = [-10,30;10,50], rotation = -90);

      equation
        q_out.q = - desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-30},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,20},{50,0},{-48,-21},{-48,20}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-92,-54},{80,-30}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end InputPump;

      model OutputPump

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-70,-10},
                  {-50,10}})));
        HumMod.Library.Interfaces.RealInput_ desiredFlow 
                                       annotation ( extent = [-10,30;10,50], rotation = -90);

      equation
        q_in.q = desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-32},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,18},{50,-2},{-48,-26},{-48,18}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-78,-54},{72,-32}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end OutputPump;

      model SoluteFlowPump

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        HumMod.Library.Interfaces.RealInput soluteFlow 
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
      equation
        q_in.q + q_out.q = 0;
        q_in.q = soluteFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SoluteFlowPump;

      model PartialPressure
        "partial gas concentration in ml/ml multiplied by ambient pressure"

        Library.PressureFlow.NegativePressureFlow outflow annotation (Placement(
              transformation(extent={{-20,-120},{20,-80}}), iconTransformation(extent=
                 {{-10,-110},{10,-90}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
          annotation (Placement(transformation(extent={{-20,80},{20,120}}),
              iconTransformation(extent={{-10,90},{10,110}})));
        Interfaces.RealInput_ ambientPressure(final unit="mmHg") annotation (Placement(transformation(extent={{
                  -60,-20},{-20,20}}), iconTransformation(extent={{-60,-20},{-20,20}})));
      equation
        q_in.q+outflow.q=0;
        outflow.pressure=q_in.conc*ambientPressure;
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-40,100},{40,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid)}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end PartialPressure;

      model Dilution
      // parameter Real DilutionCoef=1-47/760;

        NegativeConcentrationFlow q_diluted 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{90,50},
                  {110,70}})));
        PositiveConcentrationFlow q_concentrated 
                                  annotation (Placement(
              transformation(extent={{-130,-28},{-90,12}}), iconTransformation(extent={{-110,50},
                  {-90,70}})));
        Interfaces.RealInput_ addedSolventPart
          "part of added solvent volume(not containing solute) normalized to whole summed volume"
          annotation (Placement(transformation(extent={{-16,8},{24,48}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=0,
              origin={-92,-68})));
      equation
        q_diluted.q+q_concentrated.q=0;
        q_diluted.conc = (1-addedSolventPart) * q_concentrated.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Bitmap(extent={{-100,100},{100,-102}},
                  fileName="icons/dilution.png")}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Dilution;

      model Reabsorbtion

        Library.ConcentrationFlow.PositiveConcentrationFlow Inflow 
                                                       annotation (Placement(
              transformation(extent={{-120,-18},{-80,22}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow Outflow 
          annotation (Placement(transformation(extent={{0,-100},{40,-60}}),
              iconTransformation(extent={{90,-10},{110,10}})));

        Library.ConcentrationFlow.NegativeConcentrationFlow Reabsorbtion 
                                                         annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-50},{10,-30}})));
        HumMod.Library.Interfaces.RealInput_ ReabsorbedFract(final unit="1") 
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                      rotation=-90,
              origin={0,40})));

      equation
        Outflow.q + Inflow.q + Reabsorbtion.q = 0;
        Outflow.conc = Inflow.conc;
        Reabsorbtion.q = - ReabsorbedFract * Inflow.q;
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,-28},
                    {6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,8},{-58,
                    12},{-70,14}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{12,-54},{166,-84}},
                lineColor={0,0,255},
                textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end Reabsorbtion;

      model FractReabsorbtion

        Library.ConcentrationFlow.PositiveConcentrationFlow Inflow 
                                                       annotation (Placement(
              transformation(extent={{-120,-18},{-80,22}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow Outflow 
          annotation (Placement(transformation(extent={{0,-100},{40,-60}}),
              iconTransformation(extent={{90,-10},{110,10}})));

        Library.ConcentrationFlow.NegativeConcentrationFlow Reabsorbtion 
                                                         annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-50},{10,-30}})));
        HumMod.Library.Interfaces.RealInput_ Normal(final unit="1") 
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                      rotation=-90,
              origin={-60,40})));
        HumMod.Library.Interfaces.RealInput_ Effects(final unit="1") 
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{60,20},{100,60}},rotation=-90)));

      parameter SoluteFlow MaxReab=14 "maximum reabsorbtion solute flow";
        Interfaces.RealOutput_ ReabFract(final unit="1") annotation (Placement(transformation(extent={{80,-60},
                  {120,-20}}), iconTransformation(extent={{80,-60},{120,-20}})));
      equation
        Outflow.q + Inflow.q + Reabsorbtion.q = 0;
        Outflow.conc = Inflow.conc;
        Reabsorbtion.q = -min(ReabFract * Inflow.q, MaxReab);
        ReabFract = if (Normal<=0) or (Effects<=0) then 0 else if Normal>1 then 1 else Normal^(1/Effects);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,-28},
                    {6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,8},{-58,
                    12},{-70,14}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{12,-54},{166,-84}},
                lineColor={0,0,255},
                textString="%name"),
              Text(
                extent={{-100,-40},{-4,-62}},
                lineColor={0,0,255},
                textString="%MaxReab = MaxReab")}),
                                       Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end FractReabsorbtion;

      model FractReabsorbtion2

        Library.ConcentrationFlow.PositiveConcentrationFlow Inflow 
                                                       annotation (Placement(
              transformation(extent={{-120,-18},{-80,22}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow Outflow 
          annotation (Placement(transformation(extent={{0,-100},{40,-60}}),
              iconTransformation(extent={{90,-10},{110,10}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow Reabsorbtion 
                                                         annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-50},{10,-30}})));
        HumMod.Library.Interfaces.RealInput_ Normal(final unit="1") 
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                      rotation=-90,
              origin={-60,40})));
        HumMod.Library.Interfaces.RealInput_ Effects(final unit="1") 
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                      rotation=-90,
              origin={80,40})));
        Real ReabFract(final unit="1");
        HumMod.Library.Interfaces.RealInput_ MaxReab 
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                      rotation=90,
              origin={-60,-42})));
      equation
        Outflow.q + Inflow.q + Reabsorbtion.q = 0;
        Outflow.conc = Inflow.conc;
        Reabsorbtion.q = -min(ReabFract * Inflow.q, MaxReab);
        ReabFract = if (Normal<=0) or (Effects<=0) then 0 else if Normal>1 then 1 else Normal^(1/Effects);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,-28},
                    {6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,8},{-58,
                    12},{-70,14}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{12,-42},{166,-72}},
                lineColor={0,0,255},
                textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end FractReabsorbtion2;

      model ConstLimitedReabsorbtion

        Library.ConcentrationFlow.PositiveConcentrationFlow Inflow 
                                                       annotation (Placement(
              transformation(extent={{-120,-18},{-80,22}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow Outflow 
          annotation (Placement(transformation(extent={{0,-100},{40,-60}}),
              iconTransformation(extent={{90,-10},{110,10}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow Reabsorbtion 
                                                         annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-50},{10,-30}})));

      parameter SoluteFlow MaxReab=250 "maximum reabsorbtion solute flow";
      equation
        Outflow.q + Inflow.q + Reabsorbtion.q = 0;
        Outflow.conc = Inflow.conc;
        Reabsorbtion.q = -min( Inflow.q, MaxReab);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,-28},
                    {6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,8},{-58,
                    12},{-70,14}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{12,-42},{166,-72}},
                lineColor={0,0,255},
                textString="%name"),
              Text(
                extent={{-100,-40},{-4,-62}},
                lineColor={0,0,255},
                textString="%MaxReab = MaxReab")}),
                                       Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ConstLimitedReabsorbtion;

      model FlowConcentrationMeasure

        PositiveConcentrationFlow q_in 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent=
                  {{-110,-10},{-90,10}})));
        HumMod.Library.Interfaces.RealInput_ SolventFlow(final quantity="Flow",
            final unit="ml/min")       annotation ( extent = [-10,50;10,70], rotation = -90);

        Interfaces.RealInput_ AdditionalSoluteFlow annotation (Placement(
              transformation(extent={{-60,60},{-20,100}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,-60})));
        Interfaces.RealOutput_ Conc annotation (Placement(transformation(extent=
                 {{82,-20},{122,20}}), iconTransformation(extent={{82,-20},{122,
                  20}})));
      equation
        Conc = q_in.conc + AdditionalSoluteFlow/SolventFlow;
        q_in.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-88,-50},{80,50}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end FlowConcentrationMeasure;

      model SimpleReaction

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        HumMod.Library.Interfaces.RealInput_ coef
          "who much units of q_out produce one unit of q_in" 
                                      annotation ( extent = [-10,30;10,50], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
      equation
        q_out.q + coef*q_in.q = 0;
        q_out.conc = coef*q_in.conc;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-28},{100,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-128,-60},{142,-34}},
                textString="%name",
                lineColor={0,0,255}),
              Polygon(
                points={{-60,4},{-60,2},{54,2},{54,2},{18,12},{18,4},{-60,4}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SimpleReaction;

      model SimpleReaction2

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,20},{110,40}}), iconTransformation(extent={{90,
                  20},{110,40}})));
        HumMod.Library.Interfaces.RealInput_ coef
          "who much units of q_out produce one unit of q_in" 
                                      annotation ( extent = [-10,30;10,50], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out2 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(extent={{
                  90,-40},{110,-20}})));
        Interfaces.RealInput_ coef2
          "who much units of q_out2 produce one unit of q_in"                           annotation (Placement(transformation(extent={{-54,
                  20},{-14,60}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={60,40})));
      equation
        q_out.q + coef*q_in.q = 0;
        q_out2.q + coef2*q_in.q = 0;
        q_out.conc = coef*q_in.conc;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-30},{100,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-128,-66},{142,-40}},
                textString="%name",
                lineColor={0,0,255}),
              Polygon(
                points={{-60,4},{-60,2},{54,2},{54,2},{18,12},{18,4},{-60,4}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SimpleReaction2;

      model UnlimitedStorage
        //extends HumMod.Library.Interfaces.BaseModel;

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-8,-10},
                  {12,10}})));
        parameter Real concentration(final unit="%");

      equation
        q_out.conc = 0.01*concentration;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-100,52},{100,74}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="(%concentration%%)")}),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end UnlimitedStorage;

      model ConcentrationCompartment
        extends HumMod.Library.Utilities.DynamicState;
        //extends QHP.Library.Interfaces.BaseModel;

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-10,-10},
                  {10,10}})));
        parameter Real initialSoluteMass;

        HumMod.Library.Interfaces.RealInput_ SolventVolume(final quantity=
              "Volume", final unit="ml") 
                                 annotation (Placement(transformation(extent={{-120,68},{-80,108}}),
              iconTransformation(extent={{-100,40},{-60,80}})));
        HumMod.Library.Interfaces.RealOutput_ SoluteMass(start=initialSoluteMass) 
          annotation (Placement(transformation(extent={{-20,-120},{20,-80}}, rotation=
                 -90,
              origin={102,-102}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-78})));

      //initial equation
      //  SoluteMass = initialSoluteMass;
      equation
          q_out.conc = if (SolventVolume>0) then SoluteMass / SolventVolume else 0;
      //  q_out.conc = if initial() or (SolventVolume>0) then SoluteMass / SolventVolume else 0;
      //  der(SoluteMass) = q_out.q / Library.SecPerMin;
        stateValue = SoluteMass;

        changePerMin = q_out.q;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/concentrationCompartement.png"), Text(
                extent={{-22,-102},{220,-136}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ConcentrationCompartment;

      model MassStorageCompartment
        //extends QHP.Library.Interfaces.BaseModel;

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-10,-10},
                  {10,10}})));
        parameter SoluteMass initialSoluteMass;

        HumMod.Library.Interfaces.RealOutput_ SoluteMass 
          annotation (Placement(transformation(extent={{-14,-120},{26,-80}},rotation=-90,
              origin={0,2}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-74})));

      initial equation
        SoluteMass = initialSoluteMass;
      equation
        q_out.conc = SoluteMass;
        der(SoluteMass) = q_out.q / Library.SecPerMin;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/massStorage.png"), Text(
                extent={{-94,134},{98,106}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end MassStorageCompartment;

      model SolventFlowPump_InitialPatch

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
          "second side connector with value of q (solute mass flow) and conc (concentration)"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        Interfaces.RealInput_ solventFlow
          "solvent flow (solution volume flow = solventFlow + solute volume flow)"
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
          "first side connector with value of q (solute mass flow) and conc (concentration)"
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));

      equation
        q_in.q + q_out.q = 0;
        q_in.q = solventFlow*q_in.conc;

       // assert(solventFlow < 0, "BAD FLOW DIRECTION !!!");
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
</html>",       info="<html>
<p><h4><font color=\"#008000\">Bidirectional mass flow by concentration</font></h4></p>
<p>Possible field values: </p>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0.1\"><tr>
<td></td>
<td><p align=\"center\">forward flow</p></td>
<td><p align=\"center\">backward flow</p></td>
</tr>
<tr>
<td><p align=\"center\"><h4>solventFlow</h4></p></td>
<td><p align=\"center\">&GT;=0</p></td>
<td><p align=\"center\">&LT;0</p></td>
</tr>
<tr>
<td><p align=\"center\"><h4>q_in.q</h4></p></td>
<td><p align=\"center\">=solventFlow*q_in.conc</p></td>
<td><p align=\"center\">=solventFlow*q_out.conc</p></td>
</tr>
<tr>
<td><p align=\"center\"><h4>q_out.q</h4></p></td>
<td><p align=\"center\">=-q_in.q</p></td>
<td><p align=\"center\">=-q_in.q</p></td>
</tr>
</table>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SolventFlowPump_InitialPatch;

      model SolventFlowToConcentraton

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
          "second side connector with unknown value of conc (concentration)" 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        Interfaces.RealInput_ solventFlow
          "solvent flow (solution volume flow = solventFlow + solute volume flow)"
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
          "first side connector with known value of q (solute mass flow)" 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));

      equation
        if (solventFlow>=0) then
          q_in.q + q_out.q = 0;
          q_in.q = solventFlow*q_out.conc;
        else
          q_in.q + q_out.q = 0;
          q_out.q = solventFlow*q_in.conc;
        end if;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{16,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Ellipse(
                extent={{74,22},{24,-22}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
</html>",       info="<html>
<p><h4><font color=\"#008000\">Bidirectional mass flow by concentration</font></h4></p>
<p>Possible field values: </p>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0.1\"><tr>
<td></td>
<td><p align=\"center\">forward flow</p></td>
<td><p align=\"center\">backward flow</p></td>
</tr>
<tr>
<td><p align=\"center\"><h4>solventFlow</h4></p></td>
<td><p align=\"center\">&GT;=0</p></td>
<td><p align=\"center\">&LT;0</p></td>
</tr>
<tr>
<td><p align=\"center\"><h4>q_in.q</h4></p></td>
<td><p align=\"center\">=solventFlow*q_in.conc</p></td>
<td><p align=\"center\">=solventFlow*q_out.conc</p></td>
</tr>
<tr>
<td><p align=\"center\"><h4>q_out.q</h4></p></td>
<td><p align=\"center\">=-q_in.q</p></td>
<td><p align=\"center\">=-q_in.q</p></td>
</tr>
</table>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SolventFlowToConcentraton;

      package old
        model ConcentrationCompartment_unknown
          extends HumMod.Library.Utilities.DynamicState;
          // extends QHP.Library.Interfaces.BaseModel;

          HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                                     annotation (Placement(
                transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-10,-10},
                    {10,10}})));

          HumMod.Library.Interfaces.RealInput_ SolventVolume(final quantity=
                "Volume", final unit="ml") 
                                   annotation (Placement(transformation(extent={{-120,68},{-80,108}}),
                iconTransformation(extent={{-120,60},{-80,100}})));
          HumMod.Library.Interfaces.RealOutput_ SoluteMass 
            annotation (Placement(transformation(extent={{-20,-120},{20,-80}}),
                iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={0,-78})));

        equation
          q_out.conc*SolventVolume = SoluteMass;
        //  der(SoluteMass) = q_out.q / Library.SecPerMin;
          stateValue = SoluteMass;

          changePerMin = q_out.q;
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "icons/concentrationCompartement.png"), Text(
                  extent={{20,-58},{212,-86}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end ConcentrationCompartment_unknown;

        model ConcentrationCompartment_knownConc
          import HumMod;
           extends ConcentrationCompartment_unknown(
              q_out(conc(start=concentration)));
           parameter Concentration concentration;

        initial equation
          //if there is not initialization from file or steady state calculation
          if initType == Library.Utilities.Init.NoInit then
              q_out.conc = concentration;
          end if;

        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Text(
                  extent={{-100,38},{100,60}},
                  lineColor={0,0,0},
                  fillPattern=FillPattern.VerticalCylinder,
                  fillColor={215,215,215},
                  textString="%concentration")}), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end ConcentrationCompartment_knownConc;
      end old;
    end ConcentrationFlow;

    package Semipermeable "Osmotic Physical Domain"

       connector OsmoticFlow
        "H2O flow throught semipermeable membrane by osmotic pressure gradient"
        Real o(quantity="Osmolarity", unit="mOsm");
        flow Real q(quantity="Flow", unit="ml/min");
        annotation (Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
       end OsmoticFlow;

      connector PositiveOsmoticFlow "H2O inflow"
        extends OsmoticFlow;

      annotation (
          defaultComponentName="q_in",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={127,127,0},
                lineThickness=1), Polygon(
                points={{0,100},{100,0},{0,-100},{-100,0},{0,100}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={127,127,0})}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>", revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));

      end PositiveOsmoticFlow;

      connector NegativeOsmoticFlow "H2O outflow"
        extends OsmoticFlow;

      annotation (
          defaultComponentName="q_out",
          Icon(coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=false),
              graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={127,127,0},
                lineThickness=1), Polygon(
                points={{-100,0},{0,100},{100,0},{0,-100},{-100,0}},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={225,235,129},
                pattern=LinePattern.None)}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>", revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));

      end NegativeOsmoticFlow;

      model FlowMeasure

        NegativeOsmoticFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{18,-10},{38,10}}), iconTransformation(
                extent={{78,-42},{98,-22}})));

        PositiveOsmoticFlow q_in  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-100,
                  -44},{-80,-24}})));
        HumMod.Library.Interfaces.RealOutput_ actualFlow(final quantity="Flow",
            final unit="ml/min") 
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={-2,82})));
      equation
        q_in.q + q_out.q = 0;
        q_out.o = q_in.o;

        actualFlow = q_in.q;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Bitmap(extent={{-100,102},{100,-102}},
                  fileName="icons/flowMeassure.png")}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end FlowMeasure;

      partial model ResistorBase "semipermeable membrane"
       extends HumMod.Library.Interfaces.BaseResistorModel;
        PositiveOsmoticFlow q_in 
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        NegativeOsmoticFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        annotation (Icon(graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ResistorBase;

      partial model Resistor
       extends ResistorBase;
      equation
        q_in.q + q_out.q = 0;
        annotation (Icon(graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end Resistor;

      model ResistorWithCondParam
       extends Resistor;
       parameter Real cond "H2O membrane permeability";
      equation
        q_in.q = cond * (q_out.o - q_in.o);
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(graphics={Text(
                extent={{-70,-30},{70,30}},
                lineColor={0,0,0},
                textString="%cond"), Text(
                extent={{-134,-90},{154,-30}},
                textString="%name",
                lineColor={0,0,255})}),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ResistorWithCondParam;

      model InputPump

        NegativeOsmoticFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(extent={
                  {50,-10},{70,10}})));
        HumMod.Library.Interfaces.RealInput_ desiredFlow "pure H2O inflow" 
                                                                      annotation ( extent = [-10,30;10,50], rotation = -90);

      equation
        q_out.q = - desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-30},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,20},{50,0},{-48,-21},{-48,20}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-92,-54},{80,-30}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end InputPump;

      model OutputPump

        PositiveOsmoticFlow q_in 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-70,-10},
                  {-50,10}})));
        HumMod.Library.Interfaces.RealInput_ desiredFlow 
                                       annotation ( extent = [-10,30;10,50], rotation = -90);

      equation
        q_in.q = desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-32},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,18},{50,-2},{-48,-26},{-48,18}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-78,-54},{72,-32}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end OutputPump;

      model ColloidOsmolarity "set osmolarity from protein mass flow"
        extends Interfaces.ConversionIcon;
        Interfaces.RealInput_ proteinMassFlow(unit="g/min") 
                                annotation (Placement(transformation(extent={{-20,80},
                  {20,120}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={48,116})));
        PressureFlow.PositivePressureFlow q_in "hydraulic pressure" 
                                  annotation (Placement(transformation(extent={{-110,-110},
                  {-90,-90}}),iconTransformation(extent={{-110,-110},{-90,-90}})));
        NegativeOsmoticFlow q_out(o(final unit="g/ml"))
          "colloid osmotic pressure" 
          annotation (Placement(transformation(extent={{90,-10},{110,10}}),
              iconTransformation(extent={{90,-10},{110,10}})));

      parameter Real C1 =   320.0;
      parameter Real C2 =   1160.0;

        Interfaces.RealOutput_ P annotation (Placement(transformation(extent={{42,86},
                  {82,126}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,-120})));
      equation
        q_in.q + q_out.q = 0;
        q_out.o = abs(proteinMassFlow/q_in.q);
        P = q_in.pressure;

        annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}},
              initialScale=0.04), graphics={Text(
                extent={{22,92},{84,18}},
                lineColor={0,0,0},
                textString="O"), Text(
                extent={{-94,-12},{-10,-90}},
                lineColor={0,0,0},
                textString="P")}), Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              initialScale=0.04), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}));
      end ColloidOsmolarity;

      model ColloidHydraulicPressure
        "set pressure as sum of osmotic pressure(from osmoles) and hydrostatic/hydrodynamic pressure(from signal)"
        extends Interfaces.ConversionIcon;
        Interfaces.RealInput_ hydraulicPressure(unit="mmHg") 
                                annotation (Placement(transformation(extent={{-20,80},
                  {20,120}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={40,120})));
        PressureFlow.NegativePressureFlow q_out
          "pressure on semipermeable membrane wall = osmotic + hydrostatic" 
                                  annotation (Placement(transformation(extent={{90,-10},
                  {110,10}}), iconTransformation(extent={{90,-10},{110,10}})));
        PositiveOsmoticFlow q_in(o(unit="g")) "osmoles" 
          annotation (Placement(transformation(extent={{-110,-10},{-90,10}})));

      parameter Real C1 =   320.0;
      parameter Real C2 =   1160.0;

      equation
        q_in.q + q_out.q = 0;
        q_out.pressure = hydraulicPressure - ( (C1 * q_in.o)  + ( C2 * (q_in.o^2)));

        annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}},
              initialScale=0.04), graphics={Text(
                extent={{-94,-10},{-32,-84}},
                lineColor={0,0,0},
                textString="O"), Text(
                extent={{8,92},{92,14}},
                lineColor={0,0,0},
                textString="P")}), Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              initialScale=0.04), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}));
      end ColloidHydraulicPressure;

      model ColloidHydraulicPressure2
       extends Interfaces.ConversionIcon;
        Interfaces.RealInput_ hydraulicPressure(unit="mmHg") 
                                annotation (Placement(transformation(extent={{-20,80},
                  {20,120}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={40,120})));
        PressureFlow.NegativePressureFlow q_out
          "pressure on semipermeable membrane wall = osmotic + hydrostatic" 
                                  annotation (Placement(transformation(extent={{90,-10},
                  {110,10}}), iconTransformation(extent={{90,-10},{110,10}})));
        PositiveOsmoticFlow q_in(o(unit="g")) "osmoles" 
          annotation (Placement(transformation(extent={{-110,-10},{-90,10}})));

      parameter Real C1 =   320.0;
      parameter Real C2 =   1160.0;

      PressureFlow.NegativePressureFlow withoutCOP
          "only hydrostatic pressure without colloid osmotic pressure" 
                                  annotation (Placement(transformation(extent={{90,90},
                  {110,110}}),iconTransformation(extent={{90,90},{110,110}})));

      equation
        q_in.q + q_out.q + withoutCOP.q = 0;
        q_out.pressure = hydraulicPressure - ( (C1 * q_in.o)  + ( C2 * (q_in.o^2)));

        withoutCOP.pressure = hydraulicPressure;

        annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}},
              initialScale=0.04), graphics={Text(
                extent={{-94,-10},{-32,-84}},
                lineColor={0,0,0},
                textString="O"), Text(
                extent={{8,92},{92,14}},
                lineColor={0,0,0},
                textString="P")}), Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              initialScale=0.04), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}));
      end ColloidHydraulicPressure2;

      model ColloidHydraulicPressure0
       extends Interfaces.ConversionIcon;
        Interfaces.RealInput_ hydraulicPressure(unit="mmHg") 
                                annotation (Placement(transformation(extent={{-20,80},
                  {20,120}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={40,120})));
        PositiveOsmoticFlow q_in(o(unit="g")) "osmoles" 
          annotation (Placement(transformation(extent={{-110,-10},{-90,10}})));

      parameter Real C1 =   320.0;
      parameter Real C2 =   1160.0;

      PressureFlow.NegativePressureFlow withoutCOP
          "only hydrostatic pressure without colloid osmotic pressure" 
                                  annotation (Placement(transformation(extent={{90,90},
                  {110,110}}),iconTransformation(extent={{90,90},{110,110}})));

      equation
        q_in.q + withoutCOP.q = 0;
        withoutCOP.pressure = hydraulicPressure;

        annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}},
              initialScale=0.04), graphics={Text(
                extent={{-94,-10},{-32,-84}},
                lineColor={0,0,0},
                textString="O"), Text(
                extent={{8,92},{92,14}},
                lineColor={0,0,0},
                textString="P")}), Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              initialScale=0.04), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}));
      end ColloidHydraulicPressure0;

      model WaterColloidOsmoticCompartment
        extends HumMod.Library.Interfaces.BaseModel;
        NegativeOsmoticFlow q_out(o(final unit="g")) 
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-10,-10},
                  {10,10}})));
        parameter Real initialWaterVolume(final quantity="Volume", unit="ml");

        HumMod.Library.Interfaces.RealInput_ NotpermeableSolutes(quantity=
              "Mass", unit="g") 
                        annotation (Placement(transformation(extent={{-120,60},
                  {-80,100}}),
              iconTransformation(extent={{-120,60},{-80,100}})));
        HumMod.Library.Interfaces.RealOutput_ WaterVolume(final quantity=
              "Volume", unit="ml") 
          annotation (Placement(transformation(extent={{-20,-120},{20,-80}}, rotation=
                 -90)));

      initial equation
        WaterVolume = initialWaterVolume;
      equation
        q_out.o = if (WaterVolume>0) then NotpermeableSolutes / WaterVolume else 0;
        der(WaterVolume) = q_out.q / Library.SecPerMin;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                     graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end WaterColloidOsmoticCompartment;

      model OsmoticControlledCompartment
        extends HumMod.Library.Interfaces.BaseModel;
        NegativeOsmoticFlow q_out  annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-10,-10},
                  {10,10}})));
        parameter Real initialWaterVolume(final quantity="Volume", unit="ml") = 0;

        HumMod.Library.Interfaces.RealInput_ Osmolarity(quantity="Osmolarity",
            unit="mOsm/ml") 
                           annotation (Placement(transformation(extent={{-20,80},
                  {20,120}}),
              iconTransformation(extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-2,100})));
        HumMod.Library.Interfaces.RealOutput_ WaterVolume(final quantity=
              "Volume", unit="ml") 
          annotation (Placement(transformation(extent={{-20,-120},{20,-80}}, rotation=
                 -90)));

      initial equation
        WaterVolume = initialWaterVolume;
      equation
        q_out.o = Osmolarity;
        der(WaterVolume) = q_out.q / Library.SecPerMin;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                     graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end OsmoticControlledCompartment;

      model OsmoticPump
        extends OsmoticPumpBase;
        PositiveOsmoticFlow q_in 
          annotation (Placement(transformation(extent={{-90,-10},{-70,10}})));
        NegativeOsmoticFlow q_out annotation (Placement(transformation(extent={{70,-10},
                  {90,10}}), iconTransformation(extent={{70,-10},{90,10}})));
      equation
        q_in.q + q_out.q = 0;
        q_in.o = desiredOsmoles;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
                                                     graphics));
      end OsmoticPump;

      model OsmoticPumpBase "Defined osmoles to/from/in system by real signal"

        Interfaces.RealInput_ desiredOsmoles(quantity="Osmolarity", unit="mOsm")
          "desired pressure flow value"                                                                  annotation (Placement(transformation(
                extent={{-66,50},{-26,90}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,60})));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-80,60},{80,-60}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={255,170,170},
                fillColor={255,170,170},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-94},{150,-54}},
                textString="%name",
                lineColor={0,0,0},
                fillPattern=FillPattern.Solid,
                fillColor={255,170,170}),
              Text(
                extent={{-36,-72},{-152,98}},
                lineColor={255,170,170},
                fillColor={255,170,170},
                fillPattern=FillPattern.Solid,
                textString="")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));
      end OsmoticPumpBase;
    end Semipermeable;

    package HeatFlow "Temperature Physical Domain"

      connector HeatFlowConnector "Heat flow connector"
        Real T(final unit="K") "temperature";
        flow Real q(final unit="kCal/min") "heat flow";
        annotation (Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end HeatFlowConnector;

      connector PositiveHeatFlow "Heat inflow"
        extends HumMod.Library.HeatFlow.HeatFlowConnector;

        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-18,10},{22,-10}},
                lineColor={255,128,0},
                lineThickness=1), Ellipse(
                extent={{-100,100},{100,-100}},
                lineColor={176,88,0},
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid)}), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end PositiveHeatFlow;

      connector NegativeHeatFlow "Heat outflow"
        extends HumMod.Library.HeatFlow.HeatFlowConnector;

      annotation (
          defaultComponentName="q_out",
          Coordsys(
            extent=[-100, -100; 100, 100],
            grid=[1, 1],
            component=[20, 20],
            scale=0.2),
          Icon(coordinateSystem(extent={{-100,-100},{100,100}},
                preserveAspectRatio=true),                      Polygon(points=[-100,0;
                  0,100; 100,0; 0,-100; -100,0],            style(
                color=74,
                rgbcolor={200,200,0},
                fillColor=0,
                rgbfillColor={255,240,240})),
            graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={255,128,0},
                lineThickness=1), Ellipse(
                extent={{-100,100},{100,-100}},
                lineColor={176,88,0},
                fillColor={255,170,85},
                fillPattern=FillPattern.Solid)}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>", revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end NegativeHeatFlow;

      partial model ResistorBase
       extends HumMod.Library.Interfaces.BaseResistorModel;
        PositiveHeatFlow q_in annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        NegativeHeatFlow q_out annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
      Real ActualConductance;
      equation
        ActualConductance = if 
                              (q_in.T == q_out.T) then 0 else q_in.q/(q_in.T - q_out.T);
        annotation (Icon(graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ResistorBase;

      partial model Resistor
       extends ResistorBase;
      equation
        q_in.q + q_out.q = 0;
        annotation (Icon(graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end Resistor;

      model ResistorWithCond
       extends Resistor;
        HumMod.Library.Interfaces.RealInput_ cond(final quantity="Conductance",
            final unit="kCal/(min.K)") 
                                 annotation (extent=[-5,30; 5,50], rotation=-90);
      equation
        q_in.q = cond * (q_in.T - q_out.T);
        annotation (Icon(graphics={Text(
                extent={{-70,-30},{70,30}},
                textString="%name",
                lineColor={0,0,255})}), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ResistorWithCond;

      model ResistorWithCondParam
       extends Resistor;
       parameter Real cond;
      equation
        q_in.q = cond * (q_in.T - q_out.T);
        annotation (Icon(graphics={Text(
                extent={{-70,-8},{70,10}},
                lineColor={0,0,0},
                textString="%cond (kcal/min)/K")}),
                                        Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                          graphics));
      end ResistorWithCondParam;

      model HeatFlux "flow circuit through mass with different temperature"

        NegativeHeatFlow q_out "surrounding mass" annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-10,-60},{10,-40}}), iconTransformation(extent={
                  {-10,-60},{10,-40}})));
        Interfaces.RealInput_ substanceFlow(final unit="kg/min")
          "flowing speed in circuit"  annotation ( extent = [-10,50;10,70], rotation = -90);

        PositiveHeatFlow q_in "flow circuit"     annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));

      parameter Real specificHeat(unit="kCal/kg/K") "of flow circuit medium";

      equation
        q_in.q + q_out.q = 0;
        q_in.q = substanceFlow*(q_in.T-q_out.T)*specificHeat;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{20,-84},{320,-44}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end HeatFlux;

      model HeatVaporOutflow
        "heat outflow through vaporization and outflowing heatted steam"

        Interfaces.RealInput_ liquidOutflow(final unit="kg/min")
          "speed of vaporization"  annotation ( extent = [-10,50;10,70], rotation = -90);

        PositiveHeatFlow q_in "flow circuit"     annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
      parameter Real TempToolsVapor(final unit="kCal/kg")
          "needed heat to vaporization";
      parameter Real specificHeat(final unit="kCal/kg/K") "of liquid";

      equation
        q_in.q = liquidOutflow*(q_in.T*specificHeat + TempToolsVapor);

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{20,-84},{320,-44}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end HeatVaporOutflow;

      model InputPump

        NegativeHeatFlow q_out annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(extent={
                  {50,-10},{70,10}})));
        HumMod.Library.Interfaces.RealInput_ desiredFlow "speed of heat flow" 
                                                                      annotation ( extent = [-10,30;10,50], rotation = -90);

      equation
        q_out.q = - desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-30},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,20},{50,0},{-48,-21},{-48,20}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-92,-54},{80,-30}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end InputPump;

      model HeatAccumulation
        "accumulating heat to substance mass with specific heat constant"
        extends HumMod.Library.Utilities.DynamicState;
        extends Library.Interfaces.BaseModel;
        PositiveHeatFlow q_in(T(start=initialTemperature))
          "heat inflow/outflow connector" 
          annotation (Placement(transformation(extent={{-20,-20},{20,20}})));

        parameter Real initialTemperature(final unit="K")=310.15
          "to calculate initial heat";                                                        //==37 degC
        parameter Real specificHeat(final unit="kCal/kg/K")=1
          "of the mass, where the heat are accumulated";
        Real heatMass(start=weight*specificHeat*initialTemperature, final unit="kCal")
          "accumulated heat";
        Real T_degC(final unit="degC") "temperature in celsius degrees";
        Interfaces.RealInput_ weight(final unit="kg")
          "weight of mass, where the heat are accumulated"                            annotation (Placement(transformation(extent={{-122,60},
                  {-82,100}}), iconTransformation(extent={{-120,60},{-80,100}})));
        Interfaces.RealOutput_ T(unit="degC") annotation (Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-100})));
      //initial equation
      //  heatMass=weight*specificHeat*initialTemperature;
      equation
      //  der(heatMass)=q_in.q/Library.SecPerMin;
        q_in.T=heatMass/(weight*specificHeat);
        T_degC = q_in.T - 273.15;
        T=T_degC;
        stateValue = heatMass;

        changePerMin = q_in.q;
        annotation (Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"), Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics));
      end HeatAccumulation;

      model AmbientTemperature "constant temperature, undefinned heat flow"
        extends Library.Interfaces.BaseModel;
        PositiveHeatFlow q_in "heat inflow/outflow connector" 
          annotation (Placement(transformation(extent={{-20,-20},{20,20}})));

        parameter Real Temperature(final unit="K")=295.37
          "to calculate initial heat";
                                                                //==22 degC
        Real T_degC(final unit="degC") "temperature in celsius degrees";
      equation
        q_in.T=Temperature;
        T_degC = q_in.T - 273.15;
        annotation (Icon(graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end AmbientTemperature;

      model Pump

        NegativeHeatFlow q_out annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(extent={
                  {50,-10},{70,10}})));
        HumMod.Library.Interfaces.RealInput_ desiredFlow(unit="ml/min")
          "speed of liquid flow"                                      annotation ( extent = [-10,30;10,50], rotation = -90);

        PositiveHeatFlow q_in 
          annotation (Placement(transformation(extent={{-70,-10},{-50,10}})));

        parameter Real specificHeat(unit="kCal/ml/K") "of flow circuit medium";
      equation
        q_in.q + q_out.q = 0;
        q_in.q = specificHeat * q_in.T * desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-30},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,20},{50,0},{-48,-21},{-48,20}},
                lineColor={255,0,0},
                fillColor={255,0,0},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-92,-54},{80,-30}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Pump;
    end HeatFlow;

    constant Real SecPerMin(unit="s/min") = 60
      "Conversion coeficient from minutes to seconds";
    package Utilities

      function readRealParameter "Read the value of a Real parameter from file"
        import Modelica.Utilities.*;
        extends Modelica.Icons.Function;

        //parameter String PARAMETERS_FILE = "parameters/default.txt";
        input String fileName "Name of file"       annotation(Dialog(
                               __Dymola_loadSelector(filter="Text files (*.txt)",
                               caption="Open file in which Real parameters are present")));

        input String name "Name of parameter";
        output Real result "Actual value of parameter on file";

      protected
        String line;
        Integer nextIndex;
        Integer iline=1;
        Boolean found = false;
        Boolean endOfFile=false;
      algorithm
       (line, endOfFile) :=Streams.readLine(fileName, iline);

        while not found and not endOfFile loop
             if line == name then
                 // name found, get value of "name = value;"
                 (line, endOfFile) :=Streams.readLine(fileName, iline+1);
                 result := Strings.scanReal(line, 1);
                 found := true;
              else
                 // wrong name, skip line
                 iline := iline + 2;
                 // read next line
                 (line, endOfFile) :=Streams.readLine(fileName, iline);
              end if;
        end while;

        if not found then
           Streams.error("Parameter \"" + name + "\" not found in file \"" + fileName + "\"");
        end if;

        annotation (Documentation(info="<html>
<h4>Syntax</h4>
<blockquote><pre>
result = <b>readRealParameter</b>(fileName, name);
</pre></blockquote>
<h4>Description</h4>
<p>
This function demonstrates how a function can be implemented
that reads the value of a parameter from file. The function
performs the following actions:
</p>
<ol>
<li> It opens file \"fileName\" and reads the lines of the file.</li>
<li> In every line, Modelica line comments (\"// ... end-of-line\")
     are skipped </li>
<li> If a line consists of \"name = expression\" and the \"name\"
     in this line is identical to the second argument \"name\"
     of the function call, the expression calculator Examples.expression
     is used to evaluate the expression after the \"=\" character.
     The expression can optionally be terminated with a \";\".</li>
<li> The result of the expression evaluation is returned as
     the value of the parameter \"name\". </li>
</ol>
<h4>Example</h4>
<p>
On file \"test.txt\" the following lines might be present:
</p>
<blockquote><pre>
// Motor data
J        = 2.3     // inertia
w_rel0   = 1.5*2;  // relative angular velocity
phi_rel0 = pi/3
</pre></blockquote>
<p>
The function returns the value \"3.0\" when called as:
</p>
<blockquote><pre>
readRealParameter(\"test.txt\", \"w_rel0\")
</pre></blockquote>
</html>"));
      end readRealParameter;

      type Init = enumeration(
          NoInit
            "No abstract initialization (start values are used as guess values with fixed=false or from start=value in instances)", 

          CalculateInitialSteadyState
            "Steady state initialization (derivatives of states are zero)",
          FromFile "Initialization from file");

      partial model DynamicState
      //  extends DynamicStateSteady;
        extends DynamicStateDynamic;
      //  extends DynamicStateDynamicNoInit;

        import Modelica.Utilities.*;

        parameter String stateName
          "state name must be unique for each instance";
        parameter String PARAMETERS_FILE = "setup/default.txt"; //"parameters/default.txt"; //"setup/old_saveInit.txt"; //
        parameter String PARAMETERS2_FILE = "setup/initialState.txt";

        Real stateValue "state must be connected in inherited class definition";
        Real changePerMin "dynamic change of state value per minute";
      initial equation
        if initType == Init.CalculateInitialSteadyState then
          der(stateValue)=0;
        elseif initType == Init.FromFile then
          stateValue=Library.Utilities.readRealParameter( PARAMETERS_FILE, stateName);
        end if;

      equation
        if SAVE_VALUES and initial() then // and terminal() then
           Streams.print( stateName, PARAMETERS2_FILE);
           Streams.print( String(stateValue), PARAMETERS2_FILE);
        end if;

        if STEADY then
          changePerMin = 0;
      //    der(stateValue) = 0;
        else
          der(stateValue) =  changePerMin / Library.SecPerMin;  //derivation time in Modelica is in seconds
        end if;

      end DynamicState;

      partial model DynamicStateSteady

        parameter Boolean STEADY = true;
        parameter Boolean SAVE_VALUES = true;
        parameter Init initType = Init.NoInit;

      end DynamicStateSteady;

      partial model DynamicStateDynamic

        parameter Boolean STEADY = false;
        parameter Boolean SAVE_VALUES = true; //false;
        parameter Init initType = Init.FromFile;

      end DynamicStateDynamic;

      partial model DynamicStateDynamicNoInit

        parameter Boolean STEADY = false;
        parameter Boolean SAVE_VALUES = true; //false;
        parameter Init initType = Init.NoInit;

      end DynamicStateDynamicNoInit;

          block ConstantFromFile
        "Generate constant signal of type Real with value from file"
            parameter Real k(fixed=false) "Constant output value";
            parameter String SETUP_FILE = "setup/default.txt";
            parameter String varName;

            HumMod.Library.Interfaces.RealOutput_ y
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          initial equation
            k=Library.Utilities.readRealParameter( SETUP_FILE, varName);
          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.1), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-10},{100,10}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%varName")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.1), graphics),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end ConstantFromFile;

          block VariableToFile "Save variable to file"
            import Modelica.Utilities.*;

            parameter String SAVE_FILE = "setup/saveInit.txt";
            parameter String varName;

            Interfaces.RealInput_ y "Connector of Real input signal" 
              annotation (Placement(transformation(extent={{-100,-10},{-80,10}},
                  rotation=0), iconTransformation(extent={{-120,-10},{-100,10}})));

          equation
            //if terminal() then
            if initial() then
               Streams.print( varName, SAVE_FILE);
               Streams.print( String(y), SAVE_FILE);
            end if;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-10},{100,10}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%varName")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.04), graphics),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end VariableToFile;

          block BooleanConstantFromFile
        "Generate boolean constant signal from file"
            parameter Boolean k(fixed=false) "Constant output value";
            parameter String SETUP_FILE = "setup/default.txt";
            parameter String varName;

            HumMod.Library.Interfaces.BooleanOutput y
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{100,-10},{120,10}},
                  rotation=0)));

          initial equation
            k=( Library.Utilities.readRealParameter( SETUP_FILE, varName) <> 0);
          equation
            y = k;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.1), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-10},{100,10}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%varName")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.1), graphics),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end BooleanConstantFromFile;

          block BooleanVariableToFile "Save boolean value to file"
            import Modelica.Utilities.*;

            parameter String SAVE_FILE = "setup/saveInit.txt";
            parameter String varName;

            HumMod.Library.Interfaces.BooleanInput y
          "Connector of Real output signal" 
              annotation (Placement(transformation(extent={{-100,-10},{-80,10}},
                  rotation=0), iconTransformation(extent={{-100,-10},{-80,10}})));

          equation
            if initial() then
               Streams.print( varName, SAVE_FILE);
               Streams.print( String(y), SAVE_FILE);
            end if;
            annotation (
              Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.1), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-10},{100,10}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%varName")}),
              Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.1), graphics),
          Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
          end BooleanVariableToFile;
    end Utilities;
    annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2008-2009</td>
</tr>
</table>
</html>"));
  end Library;

  package Blood "Blood and Cardio-Vascular System"

    package VascularCompartments "Blood Cardio-Vascular Distribution"

      package heart "Heart Ventricle Components"

        model Diastole
          Real iconPoint[20,2](final unit="mm");
          Real iconActualPoint[2,2](final unit="mm");

          Library.PressureFlow.PositivePressureFlow inflow annotation (Placement(
                transformation(extent={{-122,-24},{-82,16}}), iconTransformation(extent={{-120,20},
                    {-80,60}})));

          HumMod.Library.Interfaces.RealInput_ externalPressure(final quantity=
                "Pressure", final unit="mmHg")
            "pericardium pressure around ventricle" 
                                         annotation ( Placement(transformation(extent={{94,-58},
                    {114,-38}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={100,-60})));

        parameter Real stiffnes "parametrization of end diastolic volume curve";
        parameter Real n_Diastole
            "parametrization of end systolic volume curve";
        parameter Real Abasic_Diastole
            "parametrization of end diastolic volume curve";

          HumMod.Library.Interfaces.RealOutput EDV(final quantity="Volume",
              final unit="ml")   annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={100,80})));

          HumMod.Library.Interfaces.RealOutput_ P(final quantity="Pressure",
              final unit="mmHg") annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={60,-60})));
          HumMod.Library.Interfaces.RealOutput_ Stiffness 
                                 annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-68,100})));
        equation
          inflow.q = 0;
          P = inflow.pressure;
          EDV = ((inflow.pressure-externalPressure)/(stiffnes*Abasic_Diastole))^(1/n_Diastole);
          Stiffness = stiffnes;

        // drawing icon
          for i in 1:size(iconPoint,1) loop
            iconPoint[i,1]=((i-1)/(size(iconPoint,1)))*180 - 90;
            (iconPoint[i,1]+90)*200/180 = ( ( ( (iconPoint[i,2]+40)*200/130)-externalPressure)/(stiffnes*Abasic_Diastole))^(1/n_Diastole);
          end for;
          iconActualPoint[1,1]=EDV*180/200-90 -2;
          iconActualPoint[1,2]=inflow.pressure*130/200-40 -2;
          iconActualPoint[2,1]=iconActualPoint[1,1]+4;
          iconActualPoint[2,2]=iconActualPoint[1,2]+4;
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-60}},
                  lineColor={255,0,0},
                  fillPattern=FillPattern.HorizontalCylinder,
                  fillColor={255,255,255}),
                Text(
                  extent={{-100,-60},{100,-100}},
                  lineColor={0,0,255},
                  textString="%name"),
                Line(
                  points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
                  color={0,0,255},
                  smooth=Smooth.None),
                Ellipse(
                  extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
                  lineColor={0,0,0},
                  fillColor={255,0,0},
                  fillPattern=FillPattern.Solid)}),
                                              Diagram(coordinateSystem(
                  preserveAspectRatio=true,  extent={{-100,-100},{100,100}}), graphics));
        end Diastole;

        model Systole

          Real iconPoint[20,2](final unit="mm");
          Real iconActualPoint[2,2](final unit="mm");

          Library.PressureFlow.NegativePressureFlow outflow 
            annotation (Placement(transformation(extent={{80,20},{120,60}}),
                iconTransformation(extent={{80,20},{120,60}})));

          HumMod.Library.Interfaces.RealInput_ contractility
            "heart muscle contractility [xNormal]" 
                                         annotation ( extent = [70,90;90,110], rotation = -90);

        parameter Real n_Systole
            "parametrization of end diastolic volume curve";
        parameter Real Abasic_Systole
            "parametrization of end systolic volume curve";
        parameter Real additionalPressure_Systolic
            "parametrization of end systolic volume curve";

          HumMod.Library.Interfaces.RealOutput ESV(final quantity="Volume",
              final unit="ml")   annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={-100,80})));

          Library.Interfaces.RealInput_ externalPressure(      final quantity="Pressure", final unit
              =                                                                                     "mmHg")
            "pressure around ventricle"                                           annotation (
        Placement(transformation(extent={{-110,-70},{-90,-50}}), iconTransformation(
                  extent={{-110,-70},{-90,-50}})));
          HumMod.Library.Interfaces.RealOutput_ P(final quantity="Pressure",
              final unit="mmHg") annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-60,-60})));
        equation
          outflow.q = 0;
          P=outflow.pressure;
          ESV = ((outflow.pressure+additionalPressure_Systolic-externalPressure)/(contractility*Abasic_Systole))^(1/n_Systole);

        // drawing icon
          for i in 1:size(iconPoint,1) loop
            iconPoint[i,1]=((i-1)/(size(iconPoint,1)))*180 - 90;
            (iconPoint[i,1]+90)*200/180= ((((iconPoint[i,2]+40)*200/130)+additionalPressure_Systolic-externalPressure)/(contractility*Abasic_Systole))^(1/n_Systole);
          end for;
          iconActualPoint[1,1]=ESV*180/200-90 -2;
          iconActualPoint[1,2]=outflow.pressure*130/200-40 -2;
          iconActualPoint[2,1]=iconActualPoint[1,1]+4;
          iconActualPoint[2,2]=iconActualPoint[1,2]+4;
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-60}},
                  lineColor={255,0,0},
                  fillPattern=FillPattern.HorizontalCylinder,
                  fillColor={255,255,255}),
                Text(
                  extent={{-100,-60},{100,-100}},
                  lineColor={0,0,255},
                  textString="%name"),
                Line(
                  points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
                  color={0,0,255},
                  smooth=Smooth.None),
                Ellipse(
                  extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
                  lineColor={0,0,0},
                  fillColor={255,0,0},
                  fillPattern=FillPattern.Solid)}),      Diagram(coordinateSystem(
                  preserveAspectRatio=true,  extent={{-100,-100},{100,100}}), graphics));
        end Systole;

        model Ventricle
         extends HumMod.Blood.VascularCompartments.Interfaces.IVentricle;

          HumMod.Library.Blocks.Constant basicContractility(k=
                contractilityBasic) 
            annotation (Placement(transformation(extent={{60,2},{68,10}})));

          HumMod.Nerves.BetaReceptorsActivityFactor betaReceptorsActivityFactor
            annotation (Placement(transformation(extent={{64,-20},{84,0}})));

          Modelica.Blocks.Math.Add Vol_SteadyState(k1=.5, k2=.5) 
                                                     annotation (Placement(
                transformation(
                extent={{10,-10},{-10,10}},
                rotation=270,
                origin={-34,18})));

          Diastole diastole(
            stiffnes=stiffnes,
            n_Diastole=n_Diastole,
            Abasic_Diastole=Abasic_Diastole) 
            annotation (Placement(transformation(extent={{-76,-44},{-56,-24}})));

          Systole systole(
            n_Systole=n_Systole,
            Abasic_Systole=Abasic_Systole,
            additionalPressure_Systolic=additionalPressure_Systolic) 
            annotation (Placement(transformation(extent={{56,-44},{76,-24}})));

          Modelica.Blocks.Math.Feedback StrokeVolume 
            annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-8,-6})));

          VentricleVolumeAndPumping2 ventricle(
            initialVolume=initialVol,
            K=K,
            BasicCompliance=BasicCompliance) 
                   annotation (Placement(transformation(extent={{-8,66},{12,86}})));

          Modelica.Blocks.Math.Product BloodFlow     annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={16,40})));

        equation
          connect(basicContractility.y, betaReceptorsActivityFactor.yBase) 
                                                                 annotation (Line(
              points={{68.4,6},{74,6},{74,-3}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(bloodFlowSignals.BetaPool_Effect, betaReceptorsActivityFactor.BetaPool_Effect) 
            annotation (Line(
              points={{22,2},{22,-4},{64.2,-4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(bloodFlowSignals.BetaBlocade_Effect, betaReceptorsActivityFactor.BetaBlockade_Effect) 
            annotation (Line(
              points={{22,2},{22,-10},{64.2,-10}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(bloodFlowSignals.GangliaGeneral_NA, betaReceptorsActivityFactor.GangliaGeneral_NA) 
            annotation (Line(
              points={{22,2},{22,-16},{64.2,-16}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(diastole.externalPressure, bloodFlowSignals.Pericardium_Pressure) 
            annotation (Line(
              points={{-56,-40},{22,-40},{22,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(bloodFlowSignals.Pericardium_Pressure, systole.externalPressure) 
            annotation (Line(
              points={{22,2},{22,-40},{56,-40}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(betaReceptorsActivityFactor.y, systole.contractility) 
            annotation (Line(
              points={{74,-17},{74,-24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(diastole.EDV,StrokeVolume. u1) annotation (Line(
              points={{-56,-26},{-40,-26},{-40,-6},{-16,-6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Vol_SteadyState.u2, diastole.EDV) annotation (Line(
              points={{-40,6},{-40,-26},{-56,-26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systole.outflow, q_out) annotation (Line(
              points={{76,-30},{86,-30},{86,100},{-20,100}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(q_in, diastole.inflow) annotation (Line(
              points={{20,80},{-82,80},{-82,-30},{-76,-30}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(systole.ESV, Vol_SteadyState.u1) annotation (Line(
              points={{56,-26},{-28,-26},{-28,6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systole.ESV,StrokeVolume. u2) annotation (Line(
              points={{56,-26},{-8,-26},{-8,-14}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Vol_SteadyState.y, ventricle.VentricleSteadyStateVolume) 
            annotation (Line(
              points={{-34,29},{-34,58},{-6,58},{-6,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(q_in, ventricle.q_in)                 annotation (Line(
              points={{20,80},{-54,80},{-54,76},{-8,76}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(ventricle.q_out, q_out)                 annotation (Line(
              points={{12,76},{56,76},{56,100},{-20,100}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(StrokeVolume.y, BloodFlow.u1)     annotation (Line(
              points={{1,-6},{10,-6},{10,28}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow.y, ventricle.BloodFlow)                 annotation (Line(
              points={{16,51},{16,58},{10,58},{10,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ventricle.Volume, Vol)                 annotation (Line(
              points={{12.4,71},{14.7,71},{14.7,93},{17,93}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow.u2, bloodFlowSignals.HeartVentricleRate) 
            annotation (Line(
              points={{22,28},{22,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BloodFlow.y, CO) annotation (Line(
              points={{16,51},{16,59},{77,59}},
              color={0,0,127},
              smooth=Smooth.None));
         annotation (
            Documentation(info="<HTML>
<PRE>
Heart ventricle.
 
like
QHP 2008 / VascularCompartments/LeftVentricle/*
 
Created : 16-May-05
Last Modified : 05-Aug-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2008
Schema : 2008.0
 
The pressure-volume characteristics of both ventricles in diastole
and systole will be described using a power function.
 
  P = A * (V ^ n)
 
P = Pressure
V = Volume
A = Scale Factor
n = curvature
 
The function is invertable.
 
  V = (P/A) ^ (1/n)
 
Some typical values
 
                                 Right                 Left
                           ---------------------- ------------------------
Nominal Vol                     87.5                  87.5
Nominal TMP                      3.0                   6.0
Compliance                      29.2                  14.6
Pericardial P                   -3.0                  -3.0
 
DIASTOLE
  EDP                            1.0                   5.0
  EDV                          125.0                 125.0
  TMP                            4.0                   8.0
  n                              2.0                   2.0
  V^n                        15625.0               15625.0
  A                              0.00026               0.00051
 
SYSTOLE
  ESP                           22.0                 120.0
  ESV                           50.0                  50.0
  TMP                           25.0                 123.0
  n                              0.5                   0.5
  V^n                            7.07                  7.07
  A                              3.53                 17.39
</PRE>
</HTML>
",       revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"),  Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={Text(
                  extent={{-82,6},{76,-8}},
                  lineColor={0,0,255},
                  textString="(initial %initialVol ml)")}),
                                          Diagram(coordinateSystem(preserveAspectRatio=true,
                           extent={{-100,-100},{100,100}}), graphics={Text(
                  extent={{-32,62},{-8,60}},
                  lineColor={0,0,0},
                  textString="Volume_SteadyState"), Text(
                  extent={{8,62},{32,60}},
                  lineColor={0,0,0},
                  textString="Blood_Inflow")}),
            DymolaStoredErrors);
        end Ventricle;

          model VentricleVolumeAndPumping2
          "Multiple PressureFlow connector with pressures from multiple inputs"
           extends Library.Interfaces.BaseModel;
           extends HumMod.Library.Utilities.DynamicState;

            Library.Interfaces.RealInput_ BloodFlow(final quantity="Flow", final unit
              =  "ml/min") "heart cardiac output" 
              annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                  rotation=0), iconTransformation(extent={{-20,-20},{20,20}},
                rotation=90,
                origin={80,-100})));
            Library.PressureFlow.PositivePressureFlow q_in 
               annotation (Placement(transformation(extent={{100,-20},{140,20}},
                  rotation=0), iconTransformation(extent={{-110,-10},{-90,10}})));

            parameter Real initialVolume(final quantity="Volume", final unit="ml");

            Library.PressureFlow.NegativePressureFlow q_out 
                                   annotation (extent=[-10, -110; 10, -90], Placement(
                  transformation(extent={{90,-10},{110,10}}), iconTransformation(extent={{90,-10},
                      {110,10}})));

            Real delta(final quantity="Flow", final unit="ml/min");

            Library.Interfaces.RealInput_ VentricleSteadyStateVolume(final
              quantity=
                  "Volume", final unit="ml")
            "heart ventricle steady state volume" 
              annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                  rotation=0), iconTransformation(extent={{-20,-20},{20,20}},
                rotation=90,
                origin={-80,-100})));

            parameter Real K(final unit="1/min") = 1;
            parameter Real V0(final quantity="Volume", final unit="ml") = 0;
            parameter Real BasicCompliance(final quantity="Compliance", final unit
              =                                                                    "ml/mmHg");
            Library.Interfaces.RealOutput_ Volume(start=initialVolume, final
              quantity =                                                              "Volume", final unit
              =                                                                                            "ml") annotation (Placement(transformation(
                    extent={{84,-70},{124,-30}}), iconTransformation(extent={{84,-70},{
                      124,-30}})));

          //  Real Compliance(final quantity="Compliance", final unit="ml/mmHg");
          //  Real StressedVol(final quantity="Volume", final unit="ml");
          //  Real Pressure(final quantity="Pressure", final unit="mmHg");
          //initial equation
          //  Volume = initialVolume;
            //der(Volume) = 0;
          equation

            delta = (VentricleSteadyStateVolume - Volume)*K;
          /*  if STEADY then
    der(Volume) = 0;
  else
    der(Volume) = delta / Library.SecPerMin;
  end if;
*/
            q_in.q + q_out.q = delta;
            q_in.q = if (delta<0) then BloodFlow else BloodFlow+delta;

            //increase (delta>0) average ventricle volume means flow delta from q_in (veins)
            //decrease (delta<0) average ventricle volume means flow delta to q_to (atrys)

           // StressedVol  =  max( Volume - V0,  0.0);
           // Compliance  =  BasicCompliance / VentricleDiastole_Stiffness;
           // Pressure  =  ( StressedVol / Compliance)  + ExternalPressure;

            stateValue = Volume;
            changePerMin = delta;
            annotation (Documentation(info="<HTML>
<p>
Model has a vector of continuous Real input signals as pressures for
vector of pressure-flow connectors.
</p>
</HTML>
"),           Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                    -100},{100,100}}), graphics={Rectangle(
                  extent={{-40,-24},{42,22}},
                  lineColor={0,0,127},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid), Polygon(
                  points={{-30,12},{34,-2},{-30,-18},{-30,12}},
                  lineColor={0,0,127},
                  fillColor={0,0,127},
                  fillPattern=FillPattern.Solid)}),
              DymolaStoredErrors);
          end VentricleVolumeAndPumping2;
      end heart;

      model SystemicVeinsElacticBloodCompartment
      // extends QHP.Library.Interfaces.BaseModel;

        Library.PressureFlow.PositivePressureFlow referencePoint 
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}}), iconTransformation(extent={{-10,-10},
                  {10,10}},
              rotation=0,
              origin={0,0})));
        Library.Interfaces.RealInput_ ExternalPressure(     final quantity="Pressure", final unit
            =                                                                                     "mmHg")
          "external pressure around the compartment"                            annotation (extent = [-10,90;10,110], rotation = -90);
        Library.Interfaces.RealInput_ Compliance(     final quantity="Compliance", final unit
            =                                                                                 "ml/mmHg")
          "elasticity of the stressed walls"                             annotation (extent = [50,90;70,110], rotation = -90);

        Modelica.Blocks.Interfaces.RealOutput Pressure(  final quantity="Pressure", final unit
            =                                                                                  "mmHg")
          "blod pressure in compartment" 
          annotation (Placement(transformation(extent={{30,-110},{50,-90}}, rotation=-90)));
        Modelica.Blocks.Interfaces.RealOutput Vol(start, final quantity="Volume", final unit
            =                                                                                "ml")
          "blood volume in compartment" 
          annotation (Placement(transformation(extent={{-50,-110},{-30,-90}}, rotation=-90),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-40,-100})));
        Library.Interfaces.BusConnector organBloodFlowSignals annotation (Placement(
              transformation(extent={{-88,72},{-68,92}}), iconTransformation(
                extent={{88,51},{108,71}})));
        HumMod.Blood.VascularCompartments.VascularElasticBloodCompartment
          systemicVeins(initialVol=initialSystemisVeinsVol,
          stateName="SystemicVeins.Vol") "systemic veins" 
          annotation ( Placement(transformation(extent={{-14,-10},{6,10}})));
        Library.Factors.SplineValue V0_A2_Effect( data={{0.0,1.05,0.0},{1.3,1.00,-0.10},
              {3.0,0.85,0.0}}) 
          annotation (Placement(transformation(extent={{-30,7},{-10,27}})));
        Library.Blocks.ConstantFromFile const4(units="ml",
                                k=1700,
          varName="SystemicVeins.V0Basic") 
          annotation (Placement(transformation(extent={{-32,48},{-23,39}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor AplhaReceptors(
          NEURALK=.333,
          HUMORALK=.5,
          data={{0.0,1.2,0.0},{1.0,1.0,-0.30},{3.0,0.6,0.0}},
          SympsOnConductance(iFrom(start=1))) 
          annotation (Placement(transformation(extent={{-30,20},{-10,40}})));
        Modelica.Blocks.Interfaces.RealOutput V0(final quantity="Volume", final unit
            =                                                                        "ml")
          "maximal zero pressure blood volume in compartment" 
          annotation (Placement(transformation(extent={{-4.5,-4.5},{4.5,4.5}},rotation=180,
              origin={-27.5,5.5}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-68,100})));

        parameter Real initialSystemisVeinsVol(final quantity="Volume", final unit =   "ml")= 2329.57; // = 2200;// = 2980;

        Modelica.Blocks.Interfaces.RealOutput NormalizedVolume(final quantity=
              "NormalizedVolume", final unit="1")
          "maximal zero pressure blood volume in compartment" 
          annotation (Placement(transformation(extent={{-4.5,-4.5},{4.5,4.5}},rotation=0,
              origin={22.5,9.5}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,56})));
      equation
        connect(V0_A2_Effect.y,systemicVeins. V0) annotation (Line(
            points={{-20,15},{-20,12},{-10,12},{-10,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors.y,V0_A2_Effect. yBase) annotation (Line(
            points={{-20,23},{-20,19}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors.yBase,const4. y) annotation (Line(
            points={{-20,37},{-20,43.5},{-22.55,43.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeins.referencePoint, referencePoint) annotation (Line(
            points={{-4,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(systemicVeins.Vol, Vol) annotation (Line(
            points={{-8,-10},{-8,-67},{-40,-67},{-40,-100}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeins.Pressure, Pressure) annotation (Line(
            points={{0,-10},{0,-67},{40,-67},{40,-100}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeins.ExternalPressure, ExternalPressure) annotation (Line(
            points={{-4,10},{-4,67},{0,67},{0,100}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeins.Compliance, Compliance) annotation (Line(
            points={{2,10},{2,50},{60,50},{60,100}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.A2Pool_Log10Conc, V0_A2_Effect.u) annotation (
            Line(
            points={{-78,82},{-78,17},{-29.8,17}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GangliaGeneral_NA, AplhaReceptors.GangliaGeneral_NA) 
          annotation (Line(
            points={{-78,82},{-78,24},{-29.8,24}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaPool_Effect, AplhaReceptors.AlphaPool_Effect) 
          annotation (Line(
            points={{-78,82},{-78,36},{-29.8,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaBlocade_Effect, AplhaReceptors.AlphaBlockade_Effect) 
          annotation (Line(
            points={{-78,82},{-78,30},{-29.8,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(V0_A2_Effect.y, V0) annotation (Line(
            points={{-20,15},{-20,5.5},{-27.5,5.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeins.NormalizedVolume, NormalizedVolume) annotation (
            Line(
            points={{6,6.6},{12,6.6},{12,9.5},{22.5,9.5}},
            color={0,0,127},
            smooth=Smooth.None));
       annotation (
          Documentation(info="<HTML>
<PRE>
  Elastic blood flow compartment. 
 
like 
QHP 2008 / VascularCompartments/SystemicArtys.DES
 
Created : 21-Oct-04
Last Modified : 13-Aug-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Design:</td>
<td>Zuzana Rubaninska</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"), Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Bitmap(extent={{-100,100},{100,-100}},
                  fileName="icons/elastickyKompartment.png")}),
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics));
      end SystemicVeinsElacticBloodCompartment;

      model SequesteredBlood
       extends Interfaces.ISequesteredBlood;

      parameter Real initialVol(  final quantity="Volume", final unit="ml")
          "initial compartment blood volume";
       parameter Real[:,3] data;

        Library.PressureFlow.PressureControledCompartment
          pressureControledCompartment(initialVolume=initialVol) 
          annotation (Placement(transformation(extent={{-16,-10},{4,10}})));
        Library.Curves.Curve curve(
          x=data[:, 1],
          y=data[:, 2],
          slope=data[:, 3]) 
          annotation (Placement(transformation(extent={{-60,50},{-40,70}})));

        Modelica.Blocks.Math.Add add annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-6,40})));
      equation
        connect(pressureControledCompartment.Volume, curve.u) annotation (Line(
            points={{-6,-10},{-6,-18},{-70,-18},{-70,60},{-60,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureControledCompartment.Volume, Vol) annotation (Line(
            points={{-6,-10},{-6,-60},{-40,-60},{-40,-100}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(referencePoint, pressureControledCompartment.y[1]) annotation (Line(
            points={{-100,0},{-16,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(add.y, pressureControledCompartment.pressure[1]) annotation (Line(
            points={{-6,29},{-6,19.5},{-6,19.5},{-6,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(curve.val, add.u2) annotation (Line(
            points={{-39.8,60},{-12,60},{-12,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExternalPressure, add.u1) annotation (Line(
            points={{-90,100},{-90,52},{1.77636e-015,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.y, Pressure) annotation (Line(
            points={{-6,29},{-6,20},{40,20},{40,-100}},
            color={0,0,127},
            smooth=Smooth.None));
       annotation (
          Documentation(info="<HTML>
<PRE>
  Elastic blood flow compartment. 
 
like 
QHP 2008 / VascularCompartments/SystemicArtys.DES
 
Created : 21-Oct-04
Last Modified : 13-Aug-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Design:</td>
<td>Zuzana Rubaninska</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"), Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                  {100,100}}), graphics={Text(
                extent={{-100,-16},{100,-32}},
                lineColor={0,0,255},
                textString="(initial %initialVol ml)"), Bitmap(extent={{-100,
                    100},{100,-100}}, fileName="icons/sequerestedVolume.png")}),
          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),
                          graphics));
      end SequesteredBlood;

      package Interfaces "Abstract Interfaces"

        partial model IVascularElasticBloodCompartment
         //extends QHP.Library.Interfaces.BaseModel;

          Library.PressureFlow.PositivePressureFlow referencePoint 
                                annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{-110,-10},{-90,10}}), iconTransformation(extent=
                   {{-10,-10},{10,10}})));
          Library.Interfaces.RealInput_ V0(    final quantity="Volume", final unit
              =                                                                    "ml")
            "maximal nonstressed volume"                                                                              annotation (extent = [-70,90;-50,110], rotation = -90);
          Library.Interfaces.RealInput_ ExternalPressure(   final quantity="Pressure", final unit
              =                                                                                   "mmHg")
            "external pressure around the compartment"                            annotation (extent = [-10,90;10,110], rotation = -90);
          Library.Interfaces.RealInput_ Compliance(     final quantity="Compliance", final unit
              =                                                                                 "ml/mmHg")
            "elasticity of the stressed walls"                             annotation (extent = [50,90;70,110], rotation = -90);

          Modelica.Blocks.Interfaces.RealOutput Pressure(  final quantity="Pressure", final unit
              =                                                                                  "mmHg")
            "blod pressure in compartment" 
            annotation (Placement(transformation(extent={{30,-110},{50,-90}}, rotation=-90)));
         // Real Vol "blood volume in compartment";

          parameter Real initialVol = 0;
          Modelica.Blocks.Interfaces.RealOutput Vol(start=initialVol, final
              quantity =                                                             "Volume", final unit
              ="ml") "blood volume in compartment" 
            annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-40,-100})));

         // parameter Real initialVol = 0;
         annotation (
            preferredView = text,
            Documentation(info="<HTML>
<PRE>
  Elastic blood flow compartment. 
 
like 
QHP 2008 / VascularCompartments/SystemicArtys.DES
 
Created : 21-Oct-04
Last Modified : 13-Aug-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2008
Schema : 2008.0
</PRE>
</HTML>
",       revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),   Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                    -100},{100,100}}), graphics),
            Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}),
                                graphics));
        end IVascularElasticBloodCompartment;

        model ISequesteredBlood
        // extends QHP.Library.Interfaces.BaseModel;

          Library.PressureFlow.PositivePressureFlow referencePoint 
                                annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{-110,-10},{-90,10}}), iconTransformation(extent=
                   {{-10,-10},{10,10}})));
          Library.Interfaces.RealInput_ ExternalPressure(   final quantity="Pressure", final unit
              =                                                                                   "mmHg")
            "external pressure around the compartment"                            annotation (extent = [-100,90;-80,110], rotation = -90);

          Modelica.Blocks.Interfaces.RealOutput Pressure(  final quantity="Pressure", final unit
              =                                                                                  "mmHg")
            "blod pressure in compartment" 
            annotation (Placement(transformation(extent={{30,-110},{50,-90}}, rotation=-90)));
          Modelica.Blocks.Interfaces.RealOutput Vol(  final quantity="Volume", final unit
              =                                                                           "ml")
            "blood volume in compartment" 
            annotation (Placement(transformation(extent={{-50,-110},{-30,-90}}, rotation=-90)));

         annotation (
            Documentation(info="<HTML>
<PRE>
  Elastic blood flow compartment. 
 
like 
QHP 2008 / VascularCompartments/SystemicArtys.DES
 
Created : 21-Oct-04
Last Modified : 13-Aug-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2008
Schema : 2008.0
</PRE>
</HTML>
",       revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),   Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}),
                  graphics),
            Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                            graphics));
        end ISequesteredBlood;

        partial model IVentricle

          parameter Real initialVol( final quantity="Volume", final unit="ml") = 90;
          parameter Real initialESV( final quantity="Volume", final unit="ml") = 50;

        parameter Real stiffnes = 1
            "parametrization of end diastolic volume curve";
        parameter Real n_Diastole = 2
            "parametrization of end systolic volume curve";
        parameter Real n_Systole=.5
            "parametrization of end diastolic volume curve";
        parameter Real Abasic_Diastole = 0.00051
            "parametrization of end diastolic volume curve";
        parameter Real Abasic_Systole = 17.39
            "parametrization of end systolic volume curve";
        parameter Real additionalPressure_Systolic = 24
            "parametrization of end systolic volume curve";
        parameter Real contractilityBasic = 1
            "parametrization of end systolic volume curve";
        parameter Real K(  final quantity="TimeCoefficient", final unit="1/min") = 1
            "time adaptation coeficient of average ventricle blood volume";
        parameter Real BasicCompliance(final quantity="Compliance", final unit="ml/mmHg") = 1;

        parameter Real MaxContractionCompliance(final quantity="Compliance", final unit
              =                                                                         "ml/mmHg") = 1;
        parameter Real Cond1=1;
        parameter Real Cond2=1;

          Library.PressureFlow.PositivePressureFlow q_in 
                                annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{10,70},{30,90}}),
                iconTransformation(extent={{10,70},{30,90}})));
          Library.PressureFlow.NegativePressureFlow q_out 
                                 annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{-30,90},{-10,110}}),iconTransformation(
                  extent={{-30,90},{-10,110}})));

          HumMod.Library.Interfaces.BusConnector bloodFlowSignals 
                                                annotation (Placement(transformation(
                  extent={{12,-8},{32,12}}),   iconTransformation(extent={{-10,-64},{10,
                    -44}})));

          Library.Interfaces.RealOutput_ Vol(final quantity="Volume", final unit
              =                                                                  "ml") annotation (Placement(transformation(
                  extent={{14,90},{20,96}}),    iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={40,-40})));
          Library.Interfaces.RealOutput_ CO(final quantity="Flow", final unit=
                "ml/min")                                                              annotation (Placement(transformation(
                  extent={{74,56},{80,62}}),    iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=180,
                origin={-68,-20})));

         annotation (
            Documentation(info="<HTML>
<PRE>
Heart ventricle.
 
like
QHP 2008 / VascularCompartments/LeftVentricle/*
 
Created : 16-May-05
Last Modified : 05-Aug-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2008
Schema : 2008.0
 
The pressure-volume characteristics of both ventricles in diastole
and systole will be described using a power function.
 
  P = A * (V ^ n)
 
P = Pressure
V = Volume
A = Scale Factor
n = curvature
 
The function is invertable.
 
  V = (P/A) ^ (1/n)
 
Some typical values
 
                                 Right                 Left
                           ---------------------- ------------------------
Nominal Vol                     87.5                  87.5
Nominal TMP                      3.0                   6.0
Compliance                      29.2                  14.6
Pericardial P                   -3.0                  -3.0
 
DIASTOLE
  EDP                            1.0                   5.0
  EDV                          125.0                 125.0
  TMP                            4.0                   8.0
  n                              2.0                   2.0
  V^n                        15625.0               15625.0
  A                              0.00026               0.00051
 
SYSTOLE
  ESP                           22.0                 120.0
  ESV                           50.0                  50.0
  TMP                           25.0                 123.0
  n                              0.5                   0.5
  V^n                            7.07                  7.07
  A                              3.53                 17.39
</PRE>
</HTML>
",       revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),  Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={Text(
                  extent={{-100,-126},{100,-92}},
                  textString="%name",
                  lineColor={0,0,0}), Bitmap(extent={{-100,100},{100,-100}},
                    fileName="icons/komoraSrdce.png")}),
                                          Diagram(coordinateSystem(preserveAspectRatio=true,
                           extent={{-100,-100},{100,100}}), graphics),
            DymolaStoredErrors);
        end IVentricle;
      end Interfaces;

      model VascularElasticBloodCompartment
        extends HumMod.Library.Utilities.DynamicState;
        extends
          HumMod.Blood.VascularCompartments.Interfaces.IVascularElasticBloodCompartment;

        Real StressedVolume(   final quantity="Volume", final unit="ml");

        Modelica.Blocks.Interfaces.RealOutput NormalizedVolume(final quantity="NormalizedVolume",
            final unit="1")
          "actual volume divided by standard compartement volume" 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-40,-100}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={100,66})));
      //initial equation
      //  Vol = initialVol;
       // der(Vol) = 0;
      equation

        StressedVolume = max(Vol-V0,0);
        Pressure = (StressedVolume/Compliance) + ExternalPressure;
        referencePoint.pressure = Pressure;

        NormalizedVolume = if initialVol==0 then 0 else Vol/initialVol;

        stateValue = Vol;
        changePerMin = referencePoint.q;

       annotation (
          preferredView = text,
          Documentation(info="<HTML>
<PRE>
  Elastic blood flow compartment. 
 
like 
QHP 2008 / VascularCompartments/SystemicArtys.DES
 
Created : 21-Oct-04
Last Modified : 13-Aug-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Design:</td>
<td>Zuzana Rubaninska</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"), Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}), graphics={Text(
                extent={{-100,-16},{100,-32}},
                lineColor={0,0,255},
                textString="(initial %initialVol ml)"), Bitmap(extent={{-100,
                    100},{100,-100}}, fileName="icons/elastickyKompartment.png")}));
      end VascularElasticBloodCompartment;

      model PulmonaryCirculation
        extends Library.PressureFlow.ResistorBase;

        VascularElasticBloodCompartment pulmCapys(initialVol=200.141,
          stateName="PulmCapys.Vol") "pulmonary capilaries" 
                                          annotation (Placement(transformation(extent={{-22,-10},
                  {-2,10}})));
        VascularElasticBloodCompartment pulmArty(initialVol=200.488,
          stateName="PulmArty.Vol") 
                   annotation (Placement(transformation(extent={{-86,-10},{-66,
                  10}})));
        VascularElasticBloodCompartment pulmVeins(initialVol=210.463,
          stateName="PulmVeins.Vol") "pulmonary veins" 
                                     annotation (Placement(transformation(extent={{38,-10},
                  {58,10}})));
        Library.PressureFlow.ResistorWithCondParam pulmArtyConductance(cond=1350) 
          annotation (Placement(transformation(extent={{-61,-11},{-39,11}})));
        Library.Blocks.ConstantFromFile const13(units="ml",k=110,
          varName="PulmArty.V0") 
          annotation (Placement(transformation(extent={{-94,16},{-86,24}})));
        Library.Blocks.ComplianceConstant const14(k=5.3) 
          annotation (Placement(transformation(extent={{-54,16},{-62,24}})));
        Library.Blocks.ConstantFromFile const15(units="ml",k=140,
          varName="PulmCapys.V0") 
          annotation (Placement(transformation(extent={{-28,16},{-20,24}})));
        Library.Blocks.ComplianceConstant const16(k=4.6) 
          annotation (Placement(transformation(extent={{4,16},{-4,24}})));
        Library.PressureFlow.ResistorWithCondParam pulmCapysConductance(cond=
              1800) 
          annotation (Placement(transformation(extent={{2,-11},{24,11}})));
        Library.Blocks.ConstantFromFile const17(units="ml",k=150,
          varName="PulmVeins.V0") 
          annotation (Placement(transformation(extent={{30,16},{38,24}})));
        Library.Blocks.ComplianceConstant const18(k=6) 
          annotation (Placement(transformation(extent={{66,14},{58,22}})));
        Library.PressureFlow.ResistorWithCondParam pulmVeinsConductance(cond=
              5400) 
          annotation (Placement(transformation(extent={{62,-11},{84,11}})));
        Library.Interfaces.BusConnector busConnector
          "signals of organ bood flow resistence"                                          annotation (Placement(
              transformation(extent={{18,66},{38,86}}),    iconTransformation(
                extent={{-108,42},{-92,58}})));
        LungBloodFlow lungBloodFlow 
          annotation (Placement(transformation(extent={{-26,74},{-6,94}})));
        Library.PressureFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{-42,-10},{-22,10}})));
        Modelica.Blocks.Math.Sum sum1(nin=3) 
          annotation (Placement(transformation(extent={{-28,28},{-20,36}})));
        Modelica.Blocks.Math.Sum sum2(nin=2) 
          annotation (Placement(transformation(extent={{82,-38},{74,-30}})));
      equation
        connect(pulmArty.referencePoint,pulmArtyConductance. q_in) annotation (Line(
            points={{-76,0},{-61,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(pulmArty.ExternalPressure,busConnector. Thorax_AvePressure) annotation (Line(
            points={{-76,10},{-76,14},{28,14},{28,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmCapys.ExternalPressure,busConnector. Thorax_AvePressure) annotation (Line(
            points={{-12,10},{-12,14},{28,14},{28,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmVeins.ExternalPressure,busConnector. Thorax_AvePressure) annotation (Line(
            points={{48,10},{48,14},{28,14},{28,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmArty.V0,const13. y) annotation (Line(
            points={{-82,10},{-82,20},{-85.6,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmArty.Compliance,const14. y) annotation (Line(
            points={{-70,10},{-70,20},{-62.4,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const15.y,pulmCapys. V0) annotation (Line(
            points={{-19.6,20},{-18,20},{-18,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const16.y,pulmCapys. Compliance) annotation (Line(
            points={{-4.4,20},{-6,20},{-6,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmCapys.referencePoint,pulmCapysConductance. q_in) annotation (Line(
            points={{-12,0},{2,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(pulmCapysConductance.q_out,pulmVeins. referencePoint) annotation (Line(
            points={{24,0},{48,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(pulmVeins.V0,const17. y) annotation (Line(
            points={{42,10},{42,20},{38.4,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const18.y,pulmVeins. Compliance) annotation (Line(
            points={{57.6,18},{54,18},{54,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmVeins.referencePoint,pulmVeinsConductance. q_in) annotation (Line(
            points={{48,0},{62,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(lungBloodFlow.AlveolarVentilated, busConnector.AlveolarVentilated_BloodFlow) 
          annotation (Line(
            points={{-6,90},{28,90},{28,76}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(pulmArtyConductance.q_out, flowMeasure.q_in) annotation (Line(
            points={{-39,0},{-38,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, pulmCapys.referencePoint) annotation (Line(
            points={{-26,0},{-12,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, lungBloodFlow.CardiacOutput) 
          annotation (Line(
            points={{-32,5.4},{-32,90},{-26,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const13.y, sum1.u[1]) annotation (Line(
            points={{-85.6,20},{-82,20},{-82,32},{-28,32},{-28,31.4667},{-28.8,
                31.4667}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(const15.y, sum1.u[2]) annotation (Line(
            points={{-19.6,20},{-18,20},{-18,26},{-80,26},{-80,32},{-28.8,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const17.y, sum1.u[3]) annotation (Line(
            points={{38.4,20},{42,20},{42,26},{-78,26},{-78,32.5333},{-28.8,
                32.5333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmCapys.Vol, sum2.u[1]) annotation (Line(
            points={{-16,-10},{-16,-42},{88,-42},{88,-34.4},{82.8,-34.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmVeins.Vol, sum2.u[2]) annotation (Line(
            points={{44,-10},{44,-20},{88,-20},{88,-32},{82.8,-33.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmCapys.Pressure, busConnector.PulmCapys_Pressure) annotation (Line(
            points={{-8,-10},{-8,-20},{28,-20},{28,76}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-6},{6,-6}}));
        connect(sum1.y, busConnector.PulmonaryCirculation_V0) annotation (Line(
            points={{-19.6,32},{28,32},{28,76}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(pulmArty.Vol, busConnector.PulmonaryCirculation_DeoxygenatedBloodVolume) 
          annotation (Line(
            points={{-80,-10},{-80,-28},{28,-28},{28,76}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-16},{6,-16}}));
        connect(busConnector.PulmonaryCirculation_OxygenatedBloodVolume, sum2.y) 
          annotation (Line(
            points={{28,76},{28,-34},{73.6,-34}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(q_in, pulmArty.referencePoint) annotation (Line(
            points={{-100,0},{-76,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmVeinsConductance.q_out, q_out) annotation (Line(
            points={{84,0},{100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Bitmap(extent={{-100,104},{100,-100}}, fileName=
                    "icons/perfusion2.png"),
              Text(
                extent={{-108,-48},{106,-70}},
                lineColor={0,0,255},
                textString="%name"),
              Bitmap(extent={{-34,46},{34,-48}}, fileName="icons/plice.png")}),
        Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Design:</td>
<td>Zuzana Rubaninska</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>", info="<html>
<p>Blood volume (and pressures) distribution between </p>
<p><ul>
<li>pulmonary arteries, </li>
<li>pulmonary veins and </li>
<li>pulmonary capilaries.</li>
</ul></p>
<p>Blood flow through ventilated alveoli.</p>
</html>"));
      end PulmonaryCirculation;

      model SystemicCirculation
        extends Library.PressureFlow.ResistorBase2;

        /*
  Library.PressureFlow.NegativePressureFlow fromSystemicVeins annotation (
      Placement(transformation(extent={{-110,-10},{-90,10}}),iconTransformation(
          extent={{-112,44},{-92,64}})));
  Library.PressureFlow.PositivePressureFlow systemicArteries 
    annotation (Placement(transformation(extent={{88,-10},{108,10}}),
        iconTransformation(extent={{90,46},{110,66}})));
*/

        VascularElasticBloodCompartment systemicArtys(initialVol=1000.36,
          stateName="SystemicArtys.Vol") 
          annotation (Placement(transformation(extent={{65,-10},{86,11}})));
        Library.Blocks.ConstantFromFile V0_artys(units="ml",k=850,
          varName="SystemicArtys.V0") 
          annotation (Placement(transformation(extent={{98,18},{88,28}})));
        Library.Blocks.ComplianceConstant const7(k=88.6) 
          annotation (Placement(transformation(extent={{-27,10},{-35,18}})));
        OrganFlow.PeripheralFlow peripheral 
          annotation (Placement(transformation(extent={{-2,-14},{26,14}})));
        Library.PressureFlow.InputPump volumeCorrections 
          annotation (Placement(transformation(extent={{-28,24},{-42,38}})));
        OrganFlow.SystemicVeins veins(BaseConductance=856)
          "scaled to coronary vessels reorganisation" 
          annotation (Placement(transformation(extent={{-72,-8},{-56,8}})));
        SystemicVeinsElacticBloodCompartment
          systemicVeinsElacticBloodCompartment 
          annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
        Library.Blocks.PressureConstant const4(k=0) 
          annotation (Placement(transformation(extent={{86,14},{79,21}})));
        Library.Blocks.PressureConstant const6(k=0) 
          annotation (Placement(transformation(extent={{-36,16},{-43,23}})));
        Library.Interfaces.BusConnector busConnector
          "signals of organ bood flow resistence"                                          annotation (Placement(
              transformation(extent={{36,40},{56,60}}),    iconTransformation(
                extent={{-110,32},{-94,48}})));
        Library.Blocks.ComplianceConstant const5(k=1.55) 
          annotation (Placement(transformation(extent={{96,8},{89,15}})));
        OrganFlow.CollapsingVeins collapsedVeins 
                                                annotation (Placement(transformation(
              extent={{-10,10.5},{10,-10.5}},
              rotation=180,
              origin={-84.5,0})));
        Library.PressureFlow.GravityHydrostaticDifference
          gravityHydrostaticDifference annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={55,35})));
        Library.PressureFlow.PressureMeasure pressureMeasure annotation (
            Placement(transformation(
              extent={{8.5,-8.5},{-8.5,8.5}},
              rotation=0,
              origin={78.5,45.5})));
        Library.PressureFlow.ResistorWithCondParam legsArtys(cond=40) 
          annotation (Placement(transformation(extent={{80,-76},{64,-60}})));
        Library.Blocks.PressureConstant const8(k=0) 
          annotation (Placement(transformation(extent={{93,-58},{86,-51}})));
        Library.PressureFlow.GravityHydrostaticDifference hydrostaticDifference
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=0,
              origin={54,-62})));
        SequesteredBlood sequesteredBlood(data={{0,0,10^(-10)},{50,97,1.0},{200,150,0.5}},
            initialVol=50.0044,
          pressureControledCompartment(stateName="BVSeqArtys.Vol")) 
          annotation (Placement(transformation(extent={{80,-78},{100,-58}})));
        SequesteredBlood sequesteredBlood1(                data={{0,-100,2.00},{150,11,
              0.11},{600,50,0.15}}, initialVol=120.691,
          pressureControledCompartment(stateName="BVSeqVeins.Vol")) 
          annotation (Placement(transformation(extent={{-62,-72},{-44,-54}})));
        Library.PressureFlow.ResistorWithCondParam legsVeins(cond=100) 
          annotation (Placement(transformation(extent={{-42,-70},{-28,-56}})));
        Library.PressureFlow.GravityHydrostaticDifferenceWithPumpEffect
          hydrostaticDifference1 
          annotation (Placement(transformation(extent={{-5,-68},{-25,-48}})));
        Library.Blocks.PressureConstant const12(k=0) 
          annotation (Placement(transformation(extent={{-52,-50},{-59,-43}})));
        Modelica.Blocks.Math.Gain G(k=9.81) annotation (Placement(transformation(
              extent={{4,-4},{-4,4}},
              rotation=90,
              origin={34,26})));
        OrganFlow.LeftHeart leftCororaryCirculation(BasicLargeVeselsConductance=
             50*0.93677109469950528615290800207779, BasicSmallVeselsConductance=
             2.2*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg" 
          annotation (Placement(transformation(extent={{-10,76},{10,96}})));
        OrganFlow.RightHeart rightCororaryCirculation(
            BasicLargeVeselsConductance=10*0.93677109469950528615290800207779,
            BasicSmallVeselsConductance=0.4*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg" 
          annotation (Placement(transformation(extent={{-42,62},{-22,82}})));
         OrganFlow.SplanchnicCirculation splanchnicCirculation 
          annotation (Placement(transformation(extent={{-8,-44},{30,-6}})));
      equation
        connect(systemicArtys.Compliance, const5.y) annotation (Line(
            points={{81.8,11},{81.8,11.5},{88.65,11.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicArtys.V0, V0_artys.y) 
                                            annotation (Line(
            points={{69.2,11},{69.2,23},{87.5,23}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector, peripheral.organBloodFlowSignals)          annotation (
            Line(
            points={{46,50},{46,2.66},{21.66,2.66}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(veins.organBloodFlowSignals,busConnector)           annotation (
           Line(
            points={{-58.48,1.52},{-60,1.52},{-60,50},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(const7.y,systemicVeinsElacticBloodCompartment. Compliance) 
          annotation (Line(
            points={{-35.4,14},{-38.2,14},{-38.2,10},{-38,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(veins.q_out,systemicVeinsElacticBloodCompartment. referencePoint) 
          annotation (Line(
            points={{-56,0},{-44,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector,systemicVeinsElacticBloodCompartment. organBloodFlowSignals) 
          annotation (Line(
            points={{46,50},{-26,50},{-26,6.1},{-34.2,6.1}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.referencePoint,volumeCorrections. q_out) 
          annotation (Line(
            points={{-44,0},{-46,0},{-46,31.7},{-42,31.7}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(systemicArtys.ExternalPressure,const4. y) annotation (Line(
            points={{75.5,11},{75.5,17.5},{78.65,17.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.ExternalPressure,const6. y) 
          annotation (Line(
            points={{-44,10},{-44,19.5},{-43.35,19.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BloodVolume_change,volumeCorrections. desiredFlow) 
          annotation (Line(
            points={{46,50},{-35,50},{-35,35.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(systemicArtys.Compliance,const5. y) annotation (Line(
            points={{81.8,11},{81.8,11.5},{88.65,11.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(collapsedVeins.ExternalPressure, busConnector.Thorax_AvePressure) 
          annotation (Line(
            points={{-90.5,2.1},{-90,2.1},{-90,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(veins.q_in, collapsedVeins.q_in) annotation (Line(
            points={{-72,0},{-74.5,0},{-74.5,-1.22465e-015}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pressureMeasure.actualPressure,busConnector. CarotidSinus_Pressure) 
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gravityHydrostaticDifference.height, busConnector.CarotidSinusHeight) 
          annotation (Line(
            points={{48.9,34.5},{46,34},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gravityHydrostaticDifference.q_down, systemicArtys.referencePoint) 
          annotation (Line(
            points={{62,29.4},{62,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(legsArtys.q_in, sequesteredBlood.referencePoint) annotation (Line(
            points={{80,-68},{90,-68}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(sequesteredBlood.ExternalPressure, const8.y) annotation (Line(
            points={{81,-58},{81,-54.5},{85.65,-54.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(legsArtys.q_out, hydrostaticDifference.q_down) annotation (Line(
            points={{64,-68},{63.5,-68},{63.5,-67.6},{61,-67.6}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference.q_up, systemicArtys.referencePoint) annotation (
           Line(
            points={{61.2,-57.2},{62,-56},{62,0},{75.5,0},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(sequesteredBlood1.ExternalPressure, const12.y) annotation (Line(
            points={{-61.1,-54},{-61.1,-46.5},{-59.35,-46.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sequesteredBlood1.referencePoint, legsVeins.q_in) annotation (
            Line(
            points={{-53,-63},{-42,-63}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(legsVeins.q_out, hydrostaticDifference1.q_down) annotation (
            Line(
            points={{-28,-63},{-28,-63.4},{-22,-63.4}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference1.q_up,
          systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
            points={{-22.2,-53.2},{-22.2,0},{-44,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference1.height, busConnector.LowerTorsoVeinHeight) 
          annotation (Line(
            points={{-8.9,-58.3},{46,-58.3},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(hydrostaticDifference1.pumpEffect, busConnector.Exercise_MusclePump_Effect) 
          annotation (Line(
            points={{-13.5,-48.5},{46,-48.5},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(systemicArtys.Pressure, busConnector.SystemicArtys_Pressure) 
          annotation (Line(
            points={{79.7,-10},{80,-10},{80,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));

        connect(gravityHydrostaticDifference.q_up, pressureMeasure.q_in) 
          annotation (Line(
            points={{62.2,39.8},{80,39.8},{80,42.1},{80.2,42.1}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference.height, busConnector.LowerTorsoArtyHeight) 
          annotation (Line(
            points={{47.9,-62.5},{46,-62.5},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureMeasure.actualPressure, busConnector.CarotidSinusArteryPressure) 
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.Pressure, busConnector.SystemicVeins_Pressure) 
          annotation (Line(
            points={{-40,-10},{-40,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(peripheral.q_in, systemicVeinsElacticBloodCompartment.referencePoint) 
          annotation (Line(
            points={{-2,1.77636e-015},{-44,1.77636e-015},{-44,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(peripheral.q_out, systemicArtys.referencePoint) annotation (
            Line(
            points={{26,1.77636e-015},{26,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.V0, busConnector.SystemicVeins_V0) 
          annotation (Line(
            points={{-50.8,10},{-50.8,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(V0_artys.y, busConnector.SystemicArtys_V0) annotation (Line(
            points={{87.5,23},{70,23},{70,22},{46,22},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.Vol, busConnector.SystemicVeins_DeoxygenatedBloodVolume) 
          annotation (Line(
            points={{-48,-10},{-48,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sequesteredBlood1.Vol, busConnector.LegVeins_DeoxygenatedBloodVolume) 
          annotation (Line(
            points={{-56.6,-72},{-58,-72},{-58,-80},{46,-80},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicArtys.Vol, busConnector.SystemicArtys_OxygenatedBloodVolume) 
          annotation (Line(
            points={{71.3,-10},{72,-10},{72,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sequesteredBlood.Vol, busConnector.LegArtys_OxygenatedBloodVolume) 
          annotation (Line(
            points={{86,-78},{86,-80},{46,-80},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_out, q_out) annotation (Line(
            points={{-100,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, systemicArtys.referencePoint) annotation (Line(
            points={{100,0},{99.75,0},{99.75,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(collapsedVeins.q_out, q_out) annotation (Line(
            points={{-94.5,1.22465e-015},{-96.25,1.22465e-015},{-96.25,0},{-100,
                0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Gravity_Gz, G.u) annotation (Line(
            points={{46,50},{46,38},{34,38},{34,30.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(G.y, gravityHydrostaticDifference.G) annotation (Line(
            points={{34,21.6},{34,16},{56.5,16},{56.5,26.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(G.y, hydrostaticDifference1.G) annotation (Line(
            points={{34,21.6},{34,-80},{-16.5,-80},{-16.5,-66.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(G.y, hydrostaticDifference.G) annotation (Line(
            points={{34,21.6},{34,-80},{55.5,-80},{55.5,-70.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(rightCororaryCirculation.organBloodFlowSignals, busConnector) 
                                                                annotation (
            Line(
            points={{-25.1,73.9},{46,73.9},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(leftCororaryCirculation.organBloodFlowSignals, busConnector) 
                                                               annotation (Line(
            points={{6.9,87.9},{46,87.9},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(leftCororaryCirculation.BloodFlow, busConnector.leftHeart_BloodFlow) 
          annotation (Line(
            points={{7,84},{46,84},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(rightCororaryCirculation.BloodFlow, busConnector.rightHeart_BloodFlow) 
          annotation (Line(
            points={{-25,70},{22,70},{22,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(leftCororaryCirculation.BloodFlow, busConnector.LeftHeart_BloodFlow) 
          annotation (Line(
            points={{7,84},{46,84},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(rightCororaryCirculation.BloodFlow, busConnector.RightHeart_BloodFlow) 
          annotation (Line(
            points={{-25,70},{22,70},{22,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, leftCororaryCirculation.q_out) annotation (Line(
            points={{100,0},{100,86},{10,86}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, rightCororaryCirculation.q_out) annotation (Line(
            points={{100,0},{100,86},{28,86},{28,72},{-22,72}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, leftCororaryCirculation.q_in) annotation (Line(
            points={{-100,0},{-100,86},{-10,86}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, rightCororaryCirculation.q_in) annotation (Line(
            points={{-100,0},{-100,86},{-56,86},{-56,72},{-42,72}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(splanchnicCirculation.busConnector, busConnector) annotation (
            Line(
            points={{-8,-15.5},{-8,50},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(splanchnicCirculation.q_in, systemicArtys.referencePoint) 
          annotation (Line(
            points={{30,-25},{62,-25},{62,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(splanchnicCirculation.q_out,
          systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
            points={{-8,-25},{-22,-25},{-22,0},{-44,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
       annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{42,46},{74,46}},
                lineColor={0,0,255},
                textString="Carotid Artery Pressure")}),
                                       Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-100,-10},{100,-34}},
                lineColor={0,0,255},
                textString="%name"),
              Bitmap(extent={{-100,78},{102,-86}}, fileName=
                    "icons/systemicCirculation.jpg"),
              Text(
                extent={{-104,-54},{110,-76}},
                lineColor={0,0,255},
                textString="%name")}),
        Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Design:</td>
<td>Zuzana Rubaninska</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>", info="<html>
<p>Blood volume (and pressure) distributions between </p>
<p><ul>
<li>systemic arteries, </li>
<li>systemic veins and</li>
<li>portal (splanchnic) vein.</li>
</ul></p>
<p>Blood flow throught: </p>
<p><ul>
<li>GIT, hepatic artery, liver</li>
<li>Kidney</li>
<li>CNS</li>
<li>Skeletal muscle</li>
<li>Respiratory muscle</li>
<li>Skin</li>
<li>Bones</li>
<li>Adipose tissue</li>
<li>Other tissue</li>
</ul></p>
</html>"));
      end SystemicCirculation;

      model Heart

        VascularElasticBloodCompartment RightAtrium(initialVol=51.6454,
          stateName="RightAtrium.Vol") "right atrium" 
          annotation (Placement(transformation(extent={{-75,-1},{-55,19}})));
        Library.Blocks.ComplianceConstant const(k=12.5) 
          annotation (Placement(transformation(extent={{-48,18},{-55,25}})));
        Library.Blocks.ConstantFromFile const1(units="ml",k=0,
          varName="RightAtrium.V0") 
          annotation (Placement(transformation(extent={{-78,21},{-72,27}})));
        heart.Ventricle rightVentricle(
          stiffnes=1.0,
          n_Diastole=2.0,
          n_Systole=0.5,
          Abasic_Diastole=0.00026,
          Abasic_Systole=3.53,
          contractilityBasic=1,
          K=1,
          additionalPressure_Systolic=9,
          BasicCompliance=29.2,
          Cond1=60000000,
          Cond2=60000000,
          MaxContractionCompliance=2,
          initialVol=87.5,
          ventricle(stateName="RightVentricle.Vol")) 
          annotation (Placement(transformation(extent={{-6,-46},{-50,-2}})));
        VascularElasticBloodCompartment LeftAtrium(initialVol=50.5035,
          stateName="LeftAtrium.Vol") "left atrium" 
                               annotation (Placement(transformation(extent={{46,-8},
                  {66,12}})));
        Library.Blocks.ConstantFromFile const2(units="ml",k=0,
          varName="LeftAtrium.V0") 
          annotation (Placement(transformation(extent={{59,19},{53,25}})));
        Library.Blocks.ComplianceConstant const3(k=6.25) 
          annotation (Placement(transformation(extent={{75,11},{68,18}})));
        heart.Ventricle leftVentricle(
          stiffnes=1,
          n_Diastole=2,
          n_Systole=0.5,
          Abasic_Diastole=0.00051,
          Abasic_Systole=17.39,
          additionalPressure_Systolic=24,
          contractilityBasic=1,
          K=1,
          BasicCompliance=14.6,
          MaxContractionCompliance=0.4,
          Cond1=60000000,
          Cond2=60000000,
          initialVol=87.5,
          ventricle(stateName="LeftVentricle.Vol")) 
               annotation (Placement(transformation(extent={{10,-46},{54,-2}})));
        Library.Interfaces.BusConnector busConnector
          "signals of organ bood flow resistence"                                          annotation (Placement(
              transformation(extent={{-4,32},{16,52}}),    iconTransformation(
                extent={{-108,-38},{-92,-22}})));
        Library.PressureFlow.PositivePressureFlow rightAtrium
          "blood inflow to right atrium" 
                                       annotation (
            Placement(transformation(extent={{-102,-24},{-82,-4}}),
              iconTransformation(extent={{-66,30},{-46,50}})));
        Library.PressureFlow.NegativePressureFlow fromRightVentricle
          "blood outflow to pulmonary circulation" 
          annotation (Placement(transformation(extent={{-20,-12},{0,8}}),
              iconTransformation(extent={{-48,-38},{-28,-18}})));
        Library.PressureFlow.NegativePressureFlow fromLeftVentricle
          "blood outflow to aorta" 
                                 annotation (
           Placement(transformation(extent={{20,30},{40,50}}),
              iconTransformation(extent={{14,-38},{34,-18}})));
        Library.PressureFlow.PositivePressureFlow leftAtrium
          "blood inflow to left atrium" 
                                      annotation (
            Placement(transformation(extent={{78,-24},{98,-4}}),
              iconTransformation(extent={{34,32},{54,52}})));
        Modelica.Blocks.Math.Sum sum1(nin=2) 
          annotation (Placement(transformation(extent={{-32,26},{-24,34}})));
        Modelica.Blocks.Math.Sum sum3(nin=2) 
          annotation (Placement(transformation(extent={{-56,-94},{-48,-86}})));
        Modelica.Blocks.Math.Sum sum2(nin=2) 
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=180,
              origin={70,-90})));
        Modelica.Blocks.Math.Feedback rightAtrium_TMP 
          annotation (Placement(transformation(extent={{-70,34},{-54,50}})));
        Modelica.Blocks.Math.Feedback leftAtrium_TMP 
          annotation (Placement(transformation(extent={{64,34},{48,50}})));
        Nerves.SA_Node SA_node 
          annotation (Placement(transformation(extent={{34,68},{54,88}})));
      equation
        connect(RightAtrium.V0, const1.y) annotation (Line(
            points={{-71,19},{-71,24},{-71.7,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RightAtrium.Compliance, const.y) annotation (Line(
            points={{-59,19},{-59,21.5},{-55.35,21.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RightAtrium.referencePoint, rightVentricle.q_in) annotation (Line(
            points={{-65,9},{-66,8},{-32,8},{-32,-6.4},{-32.4,-6.4}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector.Pericardium_Pressure, RightAtrium.ExternalPressure) 
          annotation (Line(
            points={{6,42},{6,14},{-65,14},{-65,19}},
            color={0,0,255},
            thickness=.1,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{110,10},{110,10}}));
        connect(busConnector,rightVentricle. bloodFlowSignals)          annotation (
            Line(
            points={{6,42},{6,-37},{-28,-37},{-28,-35.88}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(LeftAtrium.V0,const2. y) annotation (Line(
            points={{50,12},{50,22},{52.7,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeftAtrium.Compliance,const3. y) annotation (Line(
            points={{62,12},{62,14.5},{67.65,14.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeftAtrium.referencePoint,leftVentricle. q_in) annotation (Line(
            points={{56,2},{44,2},{44,-6.4},{36.4,-6.4}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector,leftVentricle. bloodFlowSignals)          annotation (
            Line(
            points={{6,42},{6,-37},{32,-37},{32,-35.88}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Pericardium_Pressure,LeftAtrium. ExternalPressure) 
          annotation (Line(
            points={{6,42},{6,14},{56,14},{56,12}},
            color={0,0,255},
            thickness=0.1,
            smooth=Smooth.None));
        connect(rightAtrium, RightAtrium.referencePoint) annotation (Line(
            points={{-92,-14},{-92,9},{-65,9}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(rightVentricle.q_out, fromRightVentricle) annotation (Line(
            points={{-23.6,-2},{-10,-2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(leftVentricle.q_out, fromLeftVentricle) annotation (Line(
            points={{27.6,-2},{26,-2},{26,40},{30,40}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(LeftAtrium.referencePoint, leftAtrium) annotation (Line(
            points={{56,2},{88,2},{88,-14}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CardiacOutput, leftVentricle.CO) annotation (Line(
            points={{6,42},{6,-28},{17.04,-28},{17.04,-28.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-10},{-6,-10}}));
        connect(RightAtrium.Pressure, busConnector.RightAtrium_Pressure) annotation (
            Line(
            points={{-61,-1},{-61,-68},{6,-68},{6,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-5},{6,-5}}));
        connect(const1.y, sum1.u[1]) annotation (Line(
            points={{-71.7,24},{-70,24},{-70,30},{-32.8,30},{-32.8,29.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const2.y, sum1.u[2]) annotation (Line(
            points={{52.7,22},{-38,22},{-38,30.4},{-32.8,30.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RightAtrium.Vol, sum3.u[1]) annotation (Line(
            points={{-69,-1},{-69,-90.4},{-56.8,-90.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(rightVentricle.Vol, sum3.u[2]) annotation (Line(
            points={{-36.8,-32.8},{-36,-32.8},{-36,-34},{-70,-34},{-70,-89.6},{
                -56.8,-89.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeftAtrium.Vol, sum2.u[1]) annotation (Line(
            points={{52,-8},{52,-42},{78,-42},{78,-89.6},{74.8,-89.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(leftVentricle.Vol, sum2.u[2]) annotation (Line(
            points={{40.8,-32.8},{40.8,-32},{78,-32},{78,-90.4},{74.8,-90.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeftAtrium.Pressure, busConnector.LeftAtrium_Pressure) annotation (
            Line(
            points={{60,-8},{60,-68},{6,-68},{6,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(sum3.y, busConnector.Heart_DeoxygenatedBloodVolume) annotation (
           Line(
            points={{-47.6,-90},{6,-90},{6,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Heart_OxygenatedBloodVolume, sum2.y) annotation (
            Line(
            points={{6,42},{6,-90},{65.6,-90}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(sum1.y, busConnector.Heart_V0) annotation (Line(
            points={{-23.6,30},{6,30},{6,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(RightAtrium.Pressure, rightAtrium_TMP.u1) annotation (Line(
            points={{-61,-1},{-61,-12},{-78,-12},{-78,42},{-68.4,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(rightAtrium_TMP.u2, busConnector.Pericardium_Pressure) annotation (
            Line(
            points={{-62,35.6},{-62,14},{6,14},{6,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeftAtrium.Pressure, leftAtrium_TMP.u1)  annotation (Line(
            points={{60,-8},{60,-12},{74,-12},{74,42},{62.4,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Pericardium_Pressure, leftAtrium_TMP.u2)  annotation (
            Line(
            points={{6,42},{6,14},{56,14},{56,35.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(rightAtrium_TMP.y, busConnector.rightAtrium_TMP) annotation (
            Line(
            points={{-54.8,42},{-24,42},{-24,42},{6,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(leftAtrium_TMP.y, busConnector.leftAtrium_TMP) annotation (Line(
            points={{48.8,42},{6,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/heart.png"), Text(
                extent={{-164,-60},{156,-88}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(info="<html>
<p>Calculates hearth pumping (left and right atria and ventricles, as wel as coronary circulation). By pressure-flow connectors communicate with pulmonary and systemic circulation.</p>
<p>Blood volume (and pressure) distributions between </p>
<p><ul>
<li>right/left atrium and</li>
<li>right/left ventricle.</li>
</ul></p>
<p>Generate average blood flow throught ventricles.</p>
<p>On the contrary of Tom Coleman models: coronary circulation outflows to right atrium, average blood volume in the hearth are calculated more simple (with the same results in steady state).</p>
</html>", revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak, Jiri Kofranek</p></td>
</tr>
<tr>
<td><p>Design:</p></td>
<td><p>Zuzana Rubaninska</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>january 2009, August 2010</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3,, HumMod 2010, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
        connect(SA_node.Rate, busConnector.HeartVentricleRate) annotation (Line(
            points={{53.8,78},{62,78},{62,62},{6,62},{6,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.BetaPool_Effect,SA_node. BetaPool_Effect) 
          annotation (Line(
            points={{6,42},{-20,42},{-20,84},{34,84}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BetaBlocade_Effect,SA_node. BetaBlockade_Effect) 
          annotation (Line(
            points={{6,42},{-20,42},{-20,80},{34,80}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GangliaGeneral_NA, SA_node.GangliaGeneral_NA)
          annotation (Line(
            points={{6,42},{-20,42},{-20,76},{34,76}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.VagusNerve_NA, SA_node.VagusNerve_NA_Hz)
          annotation (Line(
            points={{6,42},{-20,42},{-20,72},{34,72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      end Heart;

      model LungBloodFlow

        Library.Interfaces.RealInput_ CardiacOutput 
          annotation (Placement(transformation(extent={{-120,40},{-80,80}})));

        parameter Real BasicRLShunt(final unit="ml/min") =   220.0;
        parameter Real RightHemithorax_Pressure(final unit="mmHg") =   -4;
        parameter Real LeftHemithorax_Pressure(final unit="mmHg") =   -4;

        Real PressureGradientRightLeft(final unit="mmHg");
        Real Thorax_RightLungFlowFract(final unit="1");
        Real Thorax_LeftLungFlowFract(final unit="1");
        Real RightHemithorax_LungInflation(final unit="1");
        Real LeftHemithorax_LungInflation(final unit="1");
        Real Total(final unit="ml/min");
        Real RightLeftShunt(final unit="ml/min");
        Real Alveolar(final unit="ml/min");
        Real RightLungTotal(final unit="ml/min");
        Real RightLungVentilated(final unit="ml/min");
        Real RightLungShunt(final unit="ml/min");
        Real LeftLungTotal(final unit="ml/min");
        Real LeftLungVentilated(final unit="ml/min");
        Real LeftLungShunt(final unit="ml/min");
        Real AlveolarShunt(final unit="ml/min");
        Real TotalShunt(final unit="ml/min");

        parameter Real[:,3] PressureOnInflation =   {{ -4.0,  1.0,  0}, {  4.0,  0.0,  0}};
        parameter Real[:,3] PressureGradientOnFlowDist =   {{ -25,  0.0,  0}, {   0,  0.5,  0.03}, {  25,  1.0,  0}};

        Library.Interfaces.RealOutput_ AlveolarVentilated(final unit="ml/min") annotation (Placement(transformation(extent={{80,40},{120,80}}),
              iconTransformation(extent={{80,40},{120,80}})));
        Library.Curves.Curve Thorax_PressureGradientOnFlowDist(
          x=PressureGradientOnFlowDist[:, 1],
          y=PressureGradientOnFlowDist[:, 2],
          slope=PressureGradientOnFlowDist[:, 3]) 
          annotation (Placement(transformation(extent={{-40,52},{-20,72}})));
        Library.Curves.Curve Thorax_PressureOnInflationR(
          x=PressureOnInflation[:, 1],
          y=PressureOnInflation[:, 2],
          slope=PressureOnInflation[:, 3]) 
          annotation (Placement(transformation(extent={{52,46},{72,66}})));
        Library.Curves.Curve Thorax_PressureOnInflationL(
          x=PressureOnInflation[:, 1],
          y=PressureOnInflation[:, 2],
          slope=PressureOnInflation[:, 3]) 
          annotation (Placement(transformation(extent={{-2,-24},{18,-4}})));
      equation
             PressureGradientRightLeft  =  RightHemithorax_Pressure - LeftHemithorax_Pressure;

             Thorax_PressureGradientOnFlowDist.u = PressureGradientRightLeft;
             Thorax_LeftLungFlowFract  =  Thorax_PressureGradientOnFlowDist.val;
             Thorax_RightLungFlowFract  =  1.0 - Thorax_LeftLungFlowFract;

             Thorax_PressureOnInflationR.u = RightHemithorax_Pressure;
             RightHemithorax_LungInflation = Thorax_PressureOnInflationR.val;
             Thorax_PressureOnInflationL.u = LeftHemithorax_Pressure;
             LeftHemithorax_LungInflation = Thorax_PressureOnInflationL.val;

             Total  =  CardiacOutput;
             RightLeftShunt  =  min(BasicRLShunt,Total);
             Alveolar  =  Total - RightLeftShunt;
             RightLungTotal  =  Alveolar * Thorax_RightLungFlowFract;
             RightLungVentilated  =  RightLungTotal * RightHemithorax_LungInflation;
             RightLungShunt  =  RightLungTotal - RightLungVentilated;
             LeftLungTotal  =  Alveolar * Thorax_LeftLungFlowFract;
             LeftLungVentilated  =  LeftLungTotal * LeftHemithorax_LungInflation;
             LeftLungShunt  =  LeftLungTotal - LeftLungVentilated;
             AlveolarVentilated  =  RightLungVentilated + LeftLungVentilated;
             AlveolarShunt  =  RightLungShunt + LeftLungShunt;
             TotalShunt  =  RightLeftShunt + AlveolarShunt;

        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics), Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>", info="<html>
<p>Calculation of blood flow fraction through ventilated alveoli.</p>
</html>"),Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                  {100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}}, 
                  fileName="icons/plicniZkrat.png"), Text(
                extent={{-102,-92},{112,-114}},
                lineColor={0,0,255},
                textString="%name")}));
      end LungBloodFlow;

      model GuytonPump

        Library.PressureFlow.NegativePressureFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}),   iconTransformation(
                extent={{90,-10},{110,10}})));
        Library.PressureFlow.PositivePressureFlow q_in 
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}}),
                                                          iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Library.Interfaces.RealInput_ inputPressure annotation (Placement(
              transformation(extent={{-96,54},{-56,94}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-80,60})));

      equation
        q_in.pressure = inputPressure;
        q_in.q + q_out.q = 0;

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Text(
                extent={{-104,-54},{110,-76}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid)}));
      end GuytonPump;

      model GuytonOutputPump

        Library.PressureFlow.PositivePressureFlow q_in 
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}}),
                                                          iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Library.Interfaces.RealInput_ inputPressure annotation (Placement(
              transformation(extent={{-96,54},{-56,94}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-80,60})));

      equation
        q_in.pressure = inputPressure;

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Text(
                extent={{-104,-54},{110,-76}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid)}), Diagram(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics));
      end GuytonOutputPump;

      model SystemicCirculation2
        extends Library.PressureFlow.ResistorBase2;

        /*
  Library.PressureFlow.NegativePressureFlow fromSystemicVeins annotation (
      Placement(transformation(extent={{-110,-10},{-90,10}}),iconTransformation(
          extent={{-112,44},{-92,64}})));
  Library.PressureFlow.PositivePressureFlow systemicArteries 
    annotation (Placement(transformation(extent={{88,-10},{108,10}}),
        iconTransformation(extent={{90,46},{110,66}})));
*/

        VascularElasticBloodCompartment systemicArtys(initialVol=1000.36,
          stateName="SystemicArtys.Vol") 
          annotation (Placement(transformation(extent={{65,-10},{86,11}})));
        Library.Blocks.ConstantFromFile V0_artys(units="ml",k=850) 
          annotation (Placement(transformation(extent={{98,18},{88,28}})));
        Library.Blocks.ComplianceConstant const7(k=88.6) 
          annotation (Placement(transformation(extent={{-27,10},{-35,18}})));
        Library.PressureFlow.InputPump volumeCorrections 
          annotation (Placement(transformation(extent={{-28,24},{-42,38}})));
        OrganFlow.SystemicVeins veins(BaseConductance=856)
          "scaled to coronary vessels reorganisation" 
          annotation (Placement(transformation(extent={{-72,-8},{-56,8}})));
        SystemicVeinsElacticBloodCompartment
          systemicVeinsElacticBloodCompartment 
          annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
        Library.Blocks.PressureConstant const4(k=0) 
          annotation (Placement(transformation(extent={{86,14},{79,21}})));
        Library.Blocks.PressureConstant const6(k=0) 
          annotation (Placement(transformation(extent={{-36,16},{-43,23}})));
        Library.Interfaces.BusConnector busConnector
          "signals of organ bood flow resistence"                                          annotation (Placement(
              transformation(extent={{36,40},{56,60}}),    iconTransformation(
                extent={{-110,32},{-94,48}})));
        Library.Blocks.ComplianceConstant const5(k=1.55) 
          annotation (Placement(transformation(extent={{96,8},{89,15}})));
        OrganFlow.CollapsingVeins collapsedVeins 
                                                annotation (Placement(transformation(
              extent={{-10,10.5},{10,-10.5}},
              rotation=180,
              origin={-84.5,0})));
        Library.PressureFlow.GravityHydrostaticDifference
          gravityHydrostaticDifference annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={55,35})));
        Library.PressureFlow.PressureMeasure pressureMeasure annotation (
            Placement(transformation(
              extent={{8.5,-8.5},{-8.5,8.5}},
              rotation=0,
              origin={78.5,45.5})));
        Library.PressureFlow.ResistorWithCondParam legsArtys(cond=40) 
          annotation (Placement(transformation(extent={{80,-76},{64,-60}})));
        Library.Blocks.PressureConstant const8(k=0) 
          annotation (Placement(transformation(extent={{93,-58},{86,-51}})));
        Library.PressureFlow.GravityHydrostaticDifference hydrostaticDifference
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=0,
              origin={54,-62})));
        SequesteredBlood sequesteredBlood(data={{0,0,10^(-10)},{50,97,1.0},{200,150,0.5}},
            initialVol=50.0044,
          pressureControledCompartment(stateName="BVSeqArtys.Vol")) 
          annotation (Placement(transformation(extent={{80,-78},{100,-58}})));
        SequesteredBlood sequesteredBlood1(                data={{0,-100,2.00},{150,11,
              0.11},{600,50,0.15}}, initialVol=120.691,
          pressureControledCompartment(stateName="BVSeqVeins.Vol")) 
          annotation (Placement(transformation(extent={{-62,-72},{-44,-54}})));
        Library.PressureFlow.ResistorWithCondParam legsVeins(cond=100) 
          annotation (Placement(transformation(extent={{-42,-70},{-28,-56}})));
        Library.PressureFlow.GravityHydrostaticDifferenceWithPumpEffect
          hydrostaticDifference1 
          annotation (Placement(transformation(extent={{-5,-68},{-25,-48}})));
        Library.Blocks.PressureConstant const12(k=0) 
          annotation (Placement(transformation(extent={{-52,-50},{-59,-43}})));
        Modelica.Blocks.Math.Gain G(k=9.81) annotation (Placement(transformation(
              extent={{4,-4},{-4,4}},
              rotation=90,
              origin={34,26})));
        OrganFlow.LeftHeart leftCororaryCirculation(BasicLargeVeselsConductance=
             50*0.93677109469950528615290800207779, BasicSmallVeselsConductance=
             2.2*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg" 
          annotation (Placement(transformation(extent={{-10,76},{10,96}})));
        OrganFlow.RightHeart rightCororaryCirculation(
            BasicLargeVeselsConductance=10*0.93677109469950528615290800207779,
            BasicSmallVeselsConductance=0.4*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg" 
          annotation (Placement(transformation(extent={{-42,62},{-22,82}})));
         OrganFlow.SplanchnicCirculation splanchnicCirculation 
          annotation (Placement(transformation(extent={{-8,-44},{30,-6}})));
        Library.PressureFlow.ResistorWithCondParam PERIPHERAL(cond=44.1534) 
          annotation (Placement(transformation(extent={{2,-6},{22,14}})));
      equation
        connect(systemicArtys.Compliance, const5.y) annotation (Line(
            points={{81.8,11},{81.8,11.5},{88.65,11.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicArtys.V0, V0_artys.y) 
                                            annotation (Line(
            points={{69.2,11},{69.2,23},{87.5,23}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(veins.organBloodFlowSignals,busConnector)           annotation (
           Line(
            points={{-58.48,1.52},{-60,1.52},{-60,50},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(const7.y,systemicVeinsElacticBloodCompartment. Compliance) 
          annotation (Line(
            points={{-35.4,14},{-38.2,14},{-38.2,10},{-38,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(veins.q_out,systemicVeinsElacticBloodCompartment. referencePoint) 
          annotation (Line(
            points={{-56,0},{-44,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector,systemicVeinsElacticBloodCompartment. organBloodFlowSignals) 
          annotation (Line(
            points={{46,50},{-26,50},{-26,6.1},{-34.2,6.1}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.referencePoint,volumeCorrections. q_out) 
          annotation (Line(
            points={{-44,0},{-46,0},{-46,31.7},{-42,31.7}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(systemicArtys.ExternalPressure,const4. y) annotation (Line(
            points={{75.5,11},{75.5,17.5},{78.65,17.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.ExternalPressure,const6. y) 
          annotation (Line(
            points={{-44,10},{-44,19.5},{-43.35,19.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BloodVolume_change,volumeCorrections. desiredFlow) 
          annotation (Line(
            points={{46,50},{-35,50},{-35,35.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(systemicArtys.Compliance,const5. y) annotation (Line(
            points={{81.8,11},{81.8,11.5},{88.65,11.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(collapsedVeins.ExternalPressure, busConnector.Thorax_AvePressure) 
          annotation (Line(
            points={{-90.5,2.1},{-90,2.1},{-90,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(veins.q_in, collapsedVeins.q_in) annotation (Line(
            points={{-72,0},{-74.5,0},{-74.5,-1.22465e-015}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pressureMeasure.actualPressure,busConnector. CarotidSinus_Pressure) 
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gravityHydrostaticDifference.height, busConnector.CarotidSinusHeight) 
          annotation (Line(
            points={{48.9,34.5},{46,34},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gravityHydrostaticDifference.q_down, systemicArtys.referencePoint) 
          annotation (Line(
            points={{62,29.4},{62,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(legsArtys.q_in, sequesteredBlood.referencePoint) annotation (Line(
            points={{80,-68},{90,-68}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(sequesteredBlood.ExternalPressure, const8.y) annotation (Line(
            points={{81,-58},{81,-54.5},{85.65,-54.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(legsArtys.q_out, hydrostaticDifference.q_down) annotation (Line(
            points={{64,-68},{63.5,-68},{63.5,-67.6},{61,-67.6}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference.q_up, systemicArtys.referencePoint) annotation (
           Line(
            points={{61.2,-57.2},{62,-56},{62,0},{75.5,0},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(sequesteredBlood1.ExternalPressure, const12.y) annotation (Line(
            points={{-61.1,-54},{-61.1,-46.5},{-59.35,-46.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sequesteredBlood1.referencePoint, legsVeins.q_in) annotation (
            Line(
            points={{-53,-63},{-42,-63}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(legsVeins.q_out, hydrostaticDifference1.q_down) annotation (
            Line(
            points={{-28,-63},{-28,-63.4},{-22,-63.4}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference1.q_up,
          systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
            points={{-22.2,-53.2},{-22.2,0},{-44,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference1.height, busConnector.LowerTorsoVeinHeight) 
          annotation (Line(
            points={{-8.9,-58.3},{46,-58.3},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(hydrostaticDifference1.pumpEffect, busConnector.Exercise_MusclePump_Effect) 
          annotation (Line(
            points={{-13.5,-48.5},{46,-48.5},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(systemicArtys.Pressure, busConnector.SystemicArtys_Pressure) 
          annotation (Line(
            points={{79.7,-10},{80,-10},{80,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));

        connect(gravityHydrostaticDifference.q_up, pressureMeasure.q_in) 
          annotation (Line(
            points={{62.2,39.8},{80,39.8},{80,42.1},{80.2,42.1}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference.height, busConnector.LowerTorsoArtyHeight) 
          annotation (Line(
            points={{47.9,-62.5},{46,-62.5},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureMeasure.actualPressure, busConnector.CarotidSinusArteryPressure) 
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.Pressure, busConnector.SystemicVeins_Pressure) 
          annotation (Line(
            points={{-40,-10},{-40,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(systemicVeinsElacticBloodCompartment.V0, busConnector.SystemicVeins_V0) 
          annotation (Line(
            points={{-50.8,10},{-50.8,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(V0_artys.y, busConnector.SystemicArtys_V0) annotation (Line(
            points={{87.5,23},{70,23},{70,22},{46,22},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.Vol, busConnector.SystemicVeins_DeoxygenatedBloodVolume) 
          annotation (Line(
            points={{-48,-10},{-48,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sequesteredBlood1.Vol, busConnector.LegVeins_DeoxygenatedBloodVolume) 
          annotation (Line(
            points={{-56.6,-72},{-58,-72},{-58,-80},{46,-80},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicArtys.Vol, busConnector.SystemicArtys_OxygenatedBloodVolume) 
          annotation (Line(
            points={{71.3,-10},{72,-10},{72,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sequesteredBlood.Vol, busConnector.LegArtys_OxygenatedBloodVolume) 
          annotation (Line(
            points={{86,-78},{86,-80},{46,-80},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_out, q_out) annotation (Line(
            points={{-100,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, systemicArtys.referencePoint) annotation (Line(
            points={{100,0},{99.75,0},{99.75,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(collapsedVeins.q_out, q_out) annotation (Line(
            points={{-94.5,1.22465e-015},{-96.25,1.22465e-015},{-96.25,0},{-100,
                0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Gravity_Gz, G.u) annotation (Line(
            points={{46,50},{46,38},{34,38},{34,30.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(G.y, gravityHydrostaticDifference.G) annotation (Line(
            points={{34,21.6},{34,16},{56.5,16},{56.5,26.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(G.y, hydrostaticDifference1.G) annotation (Line(
            points={{34,21.6},{34,-80},{-16.5,-80},{-16.5,-66.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(G.y, hydrostaticDifference.G) annotation (Line(
            points={{34,21.6},{34,-80},{55.5,-80},{55.5,-70.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(rightCororaryCirculation.organBloodFlowSignals, busConnector) 
                                                                annotation (
            Line(
            points={{-25.1,73.9},{46,73.9},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(leftCororaryCirculation.organBloodFlowSignals, busConnector) 
                                                               annotation (Line(
            points={{6.9,87.9},{46,87.9},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(leftCororaryCirculation.BloodFlow, busConnector.leftHeart_BloodFlow) 
          annotation (Line(
            points={{7,84},{46,84},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(rightCororaryCirculation.BloodFlow, busConnector.rightHeart_BloodFlow) 
          annotation (Line(
            points={{-25,70},{22,70},{22,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(leftCororaryCirculation.BloodFlow, busConnector.LeftHeart_BloodFlow) 
          annotation (Line(
            points={{7,84},{46,84},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(rightCororaryCirculation.BloodFlow, busConnector.RightHeart_BloodFlow) 
          annotation (Line(
            points={{-25,70},{22,70},{22,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, leftCororaryCirculation.q_out) annotation (Line(
            points={{100,0},{100,86},{10,86}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, rightCororaryCirculation.q_out) annotation (Line(
            points={{100,0},{100,86},{28,86},{28,72},{-22,72}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, leftCororaryCirculation.q_in) annotation (Line(
            points={{-100,0},{-100,86},{-10,86}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, rightCororaryCirculation.q_in) annotation (Line(
            points={{-100,0},{-100,86},{-56,86},{-56,72},{-42,72}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(splanchnicCirculation.busConnector, busConnector) annotation (
            Line(
            points={{-8,-15.5},{-8,50},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(splanchnicCirculation.q_in, systemicArtys.referencePoint) 
          annotation (Line(
            points={{30,-25},{62,-25},{62,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(splanchnicCirculation.q_out,
          systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
            points={{-8,-25},{-22,-25},{-22,0},{-44,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PERIPHERAL.q_out, systemicArtys.referencePoint) annotation (
            Line(
            points={{22,4},{48,4},{48,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PERIPHERAL.q_in, systemicVeinsElacticBloodCompartment.referencePoint) 
          annotation (Line(
            points={{2,4},{-20,4},{-20,0},{-44,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
       annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{42,46},{74,46}},
                lineColor={0,0,255},
                textString="Carotid Artery Pressure")}),
                                       Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-100,-10},{100,-34}},
                lineColor={0,0,255},
                textString="%name"),
              Bitmap(extent={{-100,78},{102,-86}}, fileName=
                    "icons/systemicCirculation.jpg"),
              Text(
                extent={{-104,-54},{110,-76}},
                lineColor={0,0,255},
                textString="%name")}),
        Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Design:</td>
<td>Zuzana Rubaninska</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>", info="<html>
<p>Blood volume (and pressure) distributions between </p>
<p><ul>
<li>systemic arteries, </li>
<li>systemic veins and</li>
<li>portal (splanchnic) vein.</li>
</ul></p>
<p>Blood flow throught: </p>
<p><ul>
<li>GIT, hepatic artery, liver</li>
<li>Kidney</li>
<li>CNS</li>
<li>Skeletal muscle</li>
<li>Respiratory muscle</li>
<li>Skin</li>
<li>Bones</li>
<li>Adipose tissue</li>
<li>Other tissue</li>
</ul></p>
</html>"));
      end SystemicCirculation2;
    annotation (Documentation(revisions="<html>
</html>"));
    end VascularCompartments;

    package OrganFlow "Tissue vessels hydraulic conductance (=1/resistance)"

      package ConductanceFactors
        "Multiplication factors on conductance (=1/resistance)"

        model HeartInfraction
         extends HumMod.Library.Interfaces.BaseFactorIcon;

         parameter Real DamagedArea_percent = 0;

          Library.Blocks.Constant Constant(k=DamagedArea_percent) 
            annotation (Placement(transformation(extent={{-94,-12},{-74,8}})));
          Library.Blocks.Constant Constant1(k=1) 
            annotation (Placement(transformation(extent={{-60,6},{-40,26}})));
          Library.Blocks.Constant Constant2(k=100) annotation (Placement(
                transformation(extent={{-94,-38},{-74,-18}})));
          Modelica.Blocks.Math.Division division 
            annotation (Placement(transformation(extent={{-60,-24},{-40,-4}})));
          Modelica.Blocks.Math.Feedback feedback 
            annotation (Placement(transformation(extent={{-32,6},{-12,26}})));
          Modelica.Blocks.Math.Product product annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-30})));
        equation

          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-41},{-2.02067e-015,-52.5},{0,-52.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.u1, yBase) annotation (Line(
              points={{6,-18},{6,-18},{6,80}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(feedback.y, product.u2) annotation (Line(
              points={{-13,16},{-6,16},{-6,-18}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant.y, division.u1) annotation (Line(
              points={{-73,-2},{-68,-2},{-68,-8},{-62,-8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant2.y, division.u2) annotation (Line(
              points={{-73,-28},{-68,-28},{-68,-20},{-62,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant1.y, feedback.u1) annotation (Line(
              points={{-39,16},{-30,16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(division.y, feedback.u2) annotation (Line(
              points={{-39,-14},{-22,-14},{-22,8}},
              color={0,0,127},
              smooth=Smooth.None));
        end HeartInfraction;

        model MetabolicVasolidation2
          extends HumMod.Library.Interfaces.BaseFactorIcon5;
          HumMod.Library.Interfaces.RealInput_ O2Need 
                       annotation (Placement(transformation(extent={{-110,60},{-82,88}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));

         parameter Real[:,3] data = {{   50,  1.0,  0}, { 1000,  3.5,  0.003}, { 3000,  5.5,  0}};
         parameter Real OnTau = 0.2;
         parameter Real OffTau = 1;
         parameter Real initialEffectValue = 1;

          Library.Curves.Curve SteadyState(
            x=data[:, 1],
            y=data[:, 2],
            slope=data[:, 3]) 
            annotation (Placement(transformation(extent={{-72,64},{-52,84}})));
          Modelica.Blocks.Continuous.Integrator effect(     y_start=initialEffectValue, k=1/
                Library.SecPerMin) 
            annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,-14})));
          Modelica.Blocks.Math.Feedback feedback annotation (Placement(
                transformation(
                extent={{-8,-12},{12,-32}},
                rotation=270,
                origin={8,64})));
          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-46})));
          Modelica.Blocks.Math.Product product1 annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,16})));
          Modelica.Blocks.Logical.Switch switch1 
            annotation (Placement(transformation(extent={{-54,24},{-34,44}})));
          Modelica.Blocks.Logical.GreaterThreshold greaterThreshold 
            annotation (Placement(transformation(extent={{-72,30},{-64,38}})));
          Library.Blocks.Inv OnK  annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-86,8})));
          Library.Blocks.Inv OffK  annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-60,8})));
          Library.Blocks.Constant Constant(k=OnTau) 
                                                 annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-86,-22})));
          Library.Blocks.Constant Constant1(k=OffTau) 
                                                 annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-60,-22})));

        equation
          connect(SteadyState.val, feedback.u1) 
                                          annotation (Line(
              points={{-51.8,74},{-14,74},{-14,70}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(effect.y, feedback.u2)     annotation (Line(
              points={{-20,-25},{-20,-28},{-2,-28},{-2,62},{-6,62}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SteadyState.u, O2Need)  annotation (Line(
              points={{-72,74},{-96,74}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.u2, effect.y)     annotation (Line(
              points={{-6,-34},{-6,-28},{-20,-28},{-20,-25}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.u1, yBase) annotation (Line(
              points={{6,-34},{6,80},{6,80}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-57},{-2.02067e-015,-61.5},{0,-61.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product1.y, effect.u)     annotation (Line(
              points={{-20,5},{-20,3.25},{-20,3.25},{-20,1.5},{-20,-2},{-20,-2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product1.u1, feedback.y) annotation (Line(
              points={{-14,28},{-14,34.25},{-14,34.25},{-14,40.5},{-14,53},{-14,
                  53}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(switch1.y, product1.u2) annotation (Line(
              points={{-33,34},{-26,34},{-26,28}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(greaterThreshold.u, feedback.y) annotation (Line(
              points={{-72.8,34},{-76,34},{-76,50},{-14,50},{-14,53}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(greaterThreshold.y, switch1.u2) annotation (Line(
              points={{-63.6,34},{-56,34}},
              color={255,0,255},
              smooth=Smooth.None));
          connect(OnK.y, switch1.u1)  annotation (Line(
              points={{-86,19},{-86,42},{-56,42}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(OffK.y, switch1.u3)  annotation (Line(
              points={{-60,19},{-60,26},{-56,26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant1.y, OffK.u)  annotation (Line(
              points={{-60,-11},{-60,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant.y, OnK.u)  annotation (Line(
              points={{-86,-11},{-86,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Icon(graphics), Diagram(graphics));
        end MetabolicVasolidation2;
      end ConductanceFactors;

      model CollapsingVeins
        extends Library.PressureFlow.Resistor;
        Library.Interfaces.RealInput_ ExternalPressure annotation (Placement(
              transformation(extent={{40,0},{80,40}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={60,20})));

        parameter Real PR1LL( final quantity="Pressure", final unit="mmHg") = 0
          "start-collapsing sucking pressure, when external pressure is zero";
      equation
         q_in.pressure = if (q_out.pressure > (PR1LL+ExternalPressure)) then q_out.pressure else (PR1LL+ExternalPressure);
        annotation (Icon(graphics={
              Rectangle(
                extent={{-100,38},{100,-40}},
                lineColor={255,255,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-64,10},{56,-16}},
                lineColor={0,0,255},
                textString="%name"),
              Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/kolaps.png")}));
      end CollapsingVeins;

      partial model Base
        extends Library.PressureFlow.ResistorBase;
         HumMod.Library.Interfaces.BusConnector organBloodFlowSignals
          "signals of organ bood flow resistence" 
          annotation (Placement(transformation(extent={{-100,80},{-80,100}}),
              iconTransformation(extent={{60,10},{78,28}})));

        Library.Interfaces.RealOutput_ BloodFlow annotation (Placement(transformation(
                extent={{-92,8},{-82,18}}),  iconTransformation(extent={{60,-30},{80,-10}})));
        Library.PressureFlow.FlowMeasure flowMeasure annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-88,0})));
      equation

        connect(q_in, flowMeasure.q_in) annotation (Line(
            points={{-100,0},{-94,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, BloodFlow) annotation (Line(
            points={{-88,5.4},{-88,14},{-87,14},{-87,13}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Documentation(info="<HTML>
<PRE>
Blood flow variable resistor abstract model.
</PRE>
</HTML>
",     revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
</html>"),      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={
              Polygon(
                points={{14,9},{-14,1},{14,-9},{14,-1},{14,9}},
                lineColor={135,135,135},
                smooth=Smooth.None,
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid,
                origin={34,-61},
                rotation=180),
              Rectangle(
                extent={{-34,-60},{20,-62}},
                lineColor={135,135,135},
                fillPattern=FillPattern.Solid,
                fillColor={175,175,175}),
              Bitmap(extent={{-178,110},{158,-104}}, fileName=
                    "icons/perfusion.png")}));
      end Base;

      partial model BaseBadDirection
        extends Library.PressureFlow.ResistorBase;
         HumMod.Library.Interfaces.BusConnector organBloodFlowSignals
          "signals of organ bood flow resistence" 
          annotation (Placement(transformation(extent={{-100,80},{-80,100}}),
              iconTransformation(extent={{60,10},{78,28}})));

        Library.Interfaces.RealOutput_ BloodFlow annotation (Placement(transformation(
                extent={{84,6},{96,18}}),    iconTransformation(extent={{60,-30},{80,-10}})));
        Library.PressureFlow.FlowMeasure flowMeasure annotation (Placement(
              transformation(
              extent={{10,-10},{-10,10}},
              rotation=0,
              origin={88,0})));
      equation

        connect(q_out, flowMeasure.q_in) annotation (Line(
            points={{100,0},{94,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, BloodFlow) annotation (Line(
            points={{88,5.4},{88,12},{90,12}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Documentation(info="<HTML>
<PRE>
Blood flow variable resistor abstract model.
</PRE>
</HTML>
",     revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
</html>"),      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(graphics={
              Text(
                extent={{-70,-20},{70,20}},
                textString="%name",
                lineColor={0,0,255}),
              Polygon(
                points={{-18,-52},{-46,-60},{-18,-70},{-18,-62},{-18,-52}},
                lineColor={135,135,135},
                smooth=Smooth.None,
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-18,-60},{36,-62}},
                lineColor={135,135,135},
                fillPattern=FillPattern.Solid,
                fillColor={175,175,175}),
              Bitmap(extent={{-184,112},{152,-102}}, fileName=
                    "icons/perfusion2.png")}));
      end BaseBadDirection;

      model SystemicVeins
        //extends QHP.Blood.OrganFlow.BaseBadDirection;
        extends Library.PressureFlow.ResistorBase;
        Library.PressureFlow.ResistorWithCond systemicVeinsConductance 
          annotation (Placement(transformation(extent={{-20,-10},{0,10}})));
        Library.Factors.SimpleMultiply ViscosityEffect 
          annotation (Placement(transformation(extent={{-20,0},{0,20}})));
        Library.Factors.SimpleMultiply ExerciseEffect 
          annotation (Placement(transformation(extent={{-20,7},{0,27}})));
        Library.Factors.SimpleMultiply CollapseEffect 
          annotation (Placement(transformation(extent={{-20,14},{0,34}})));
        Library.Blocks.CondConstant const12(k=BaseConductance) 
          annotation (Placement(transformation(extent={{-27,45},{-15,57}})));
        parameter Real BaseConductance( final quantity="Conductance", final unit
            =                                                                    "ml/(min.mmHg)") = 692;

        Library.PressureFlow.FlowMeasure flowMeasure annotation (Placement(
              transformation(
              extent={{10,-10},{-10,10}},
              rotation=0,
              origin={80,0})));
        Library.Interfaces.RealOutput_ BloodFlow annotation (Placement(transformation(
                extent={{76,6},{88,18}}),    iconTransformation(extent={{60,-30},{80,-10}})));
         Library.Interfaces.BusConnector organBloodFlowSignals
          "signals of organ bood flow resistence" 
          annotation (Placement(transformation(extent={{-96,77},{-76,97}}),
              iconTransformation(extent={{60,10},{78,28}})));
      equation
        connect(systemicVeinsConductance.cond,ViscosityEffect. y) annotation (Line(
            points={{-10,4},{-10,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ViscosityEffect.yBase,ExerciseEffect. y) annotation (Line(
            points={{-10,12},{-10,15}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExerciseEffect.yBase,CollapseEffect. y) annotation (Line(
            points={{-10,19},{-10,19.5},{-10.2,19.5},{-10.2,20},{-10,20},{-10,
                22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, systemicVeinsConductance.q_in) annotation (Line(
            points={{-100,0},{-20,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.Viscosity_ConductanceEffect,
          ViscosityEffect.u) annotation (Line(
            points={{-86,87},{-86,10},{-19.8,10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Exercise_MusclePump_Effect,
          ExerciseEffect.u) annotation (Line(
            points={{-86,87},{-86,17},{-19.8,17}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.BloodVol_CollapsedEffect, CollapseEffect.u) 
          annotation (Line(
            points={{-86,87},{-86,24},{-19.8,24}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(const12.y, CollapseEffect.yBase) annotation (Line(
            points={{-14.4,51},{-10,51},{-10,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeinsConductance.q_out, flowMeasure.q_out) annotation (
            Line(
            points={{0,0},{74,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out,flowMeasure. q_in) annotation (Line(
            points={{100,0},{86,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow,BloodFlow)  annotation (Line(
            points={{80,5.4},{80,12},{82,12}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Text(
                extent={{-70,-30},{70,30}},
                lineColor={0,0,0},
                textString="%BaseConductance ml/min/mmHg"), Text(
                extent={{-101,-58},{99,-30}},
                lineColor={0,0,255},
                textString="%name")}));
      end SystemicVeins;

      model GITract
        extends HumMod.Blood.OrganFlow.BaseBadDirection;
      extends Library.Interfaces.Tissues.GITract;

        HumMod.Library.Factors.SplineValue A2Effect(data={{0.0,1.05,0},{1.3,
              1.00,-0.08},{3.5,0.50,0}}) 
          annotation (Placement(transformation(extent={{0,22},{20,42}})));
        HumMod.Library.Factors.SplineValue ADHEffect(data={{0.8,1.0,0},{3.0,0.1,
              0}}) 
          annotation (Placement(transformation(extent={{0,-2},{20,18}})));
        HumMod.Library.Blocks.CondConstant BasicConductance(k=11.2) 
          annotation (Placement(transformation(extent={{-6,74},{6,86}})));
        HumMod.Library.Factors.SimpleMultiply Anesthesia 
          annotation (Placement(transformation(extent={{0,50},{20,70}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity 
          annotation (Placement(transformation(extent={{0,58},{20,78}})));
        HumMod.Library.Factors.SplineDelayFactorByDayWithFailture Vasculature(
            Tau=30, data={{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}}) 
          annotation (Placement(transformation(extent={{0,40},{20,60}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor AplhaReceptors(data={{0.0,
              1.3,0},{1.0,1.0,-0.3},{5.0,0.1,0}}) 
          annotation (Placement(transformation(extent={{0,10},{20,30}})));
        Library.PressureFlow.ResistorWithCond GITract 
          annotation (Placement(transformation(extent={{20,-10},{0,10}})));
        HumMod.Library.Factors.SplineValue PO2OnConductance(data={{10,2.0,0},{
              30,1.0,0}}) 
          annotation (Placement(transformation(extent={{0,30},{20,50}})));

      equation
        connect(Vasculature.y, PO2OnConductance.yBase) annotation (Line(
            points={{10,44.8},{10,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity.y, Anesthesia.yBase) annotation (Line(
            points={{10,66},{10,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature.yBase, Anesthesia.y) annotation (Line(
            points={{10,55},{10,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ADHEffect.y, GITract.cond) annotation (Line(
            points={{10,6},{10,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PO2OnConductance.y, A2Effect.yBase) annotation (Line(
            points={{10,38},{10,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BasicConductance.y, Viscosity.yBase)         annotation (Line(
            points={{6.6,80},{10,80},{10,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.AlphaBlocade_Effect, AplhaReceptors.AlphaBlockade_Effect) 
          annotation (Line(
            points={{-90,90},{-52,90},{-52,20},{0.2,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaPool_Effect, AplhaReceptors.AlphaPool_Effect) 
          annotation (Line(
            points={{-90,90},{-52,90},{-52,26},{0.2,26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GangliaGeneral_NA, AplhaReceptors.GangliaGeneral_NA) 
          annotation (Line(
            points={{-90,90},{-52,90},{-52,14},{0.2,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.ADHPool_Log10Conc, ADHEffect.u) annotation (Line(
            points={{-90,90},{-52,90},{-52,8},{0.2,8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.A2Pool_Log10Conc, A2Effect.u) annotation (Line(
            points={{-90,90},{-52,90},{-52,32},{0.2,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GITract_PO2, PO2OnConductance.u) annotation (Line(
            points={{-90,90},{-52,90},{-52,40},{0.2,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GITract_Function_Failed, Vasculature.Failed) annotation (
           Line(
            points={{-90,90},{-52,90},{-52,54},{0.2,54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GITract_PO2, Vasculature.u) annotation (Line(
            points={{-90,90},{-52,90},{-52,40},{-4,40},{-4,48},{0.2,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(organBloodFlowSignals.Anesthesia_VascularConductance, Anesthesia.u) 
          annotation (Line(
            points={{-90,90},{-52,90},{-52,60},{0.2,60}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Viscosity_ConductanceEffect, Viscosity.u) annotation (
            Line(
            points={{-90,90},{-52,90},{-52,68},{0.2,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(AplhaReceptors.yBase, A2Effect.y) annotation (Line(
            points={{10,27},{10,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors.y, ADHEffect.yBase) annotation (Line(
            points={{10,13},{10,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, GITract.q_out) annotation (Line(
            points={{-100,0},{0,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GITract.q_in, flowMeasure.q_out) annotation (Line(
            points={{20,0},{52,0},{52,0},{82,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in gastro interstitial tract.
 
QHP 2008 / GITract-Flow
 
Created : 23-May-05
Last Modified : 31-Mar-08
Author : Tom Coleman
Copyright : 2005-2008
By : University of Mississippi Medical Center
Solver : DES 2005
Schema : 2005.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),             graphics), Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-120,-106},{80,-86}},
                lineColor={0,0,255},
                textString="%name")}));
      end GITract;

      model Bone
        extends HumMod.Blood.OrganFlow.BaseBadDirection;
        extends Library.Interfaces.Tissues.Bone;

        HumMod.Library.Factors.SplineValue A2Effect_Bone(data={{0.0,1.05,0},{
              1.3,1.00,-0.08},{3.5,0.50,0}}) 
          annotation (Placement(transformation(extent={{-12,28},{8,48}})));
        HumMod.Library.Factors.SplineValue ADHEffect_Bone(data={{0.8,1.0,0},{
              3.0,0.1,0}}) 
          annotation (Placement(transformation(extent={{-12,20},{8,40}})));
        HumMod.Library.Blocks.CondConstant Bone_BasicConductance(k=3.62859)
          "scaled to new coronary circulation" 
          annotation (Placement(transformation(extent={{-16,72},{-4,84}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor AplhaReceptors_Bone(data={{
              0.0,1.3,0},{1.0,1.0,-0.3},{5.0,0.1,0}}) 
          annotation (Placement(transformation(extent={{-12,6},{8,26}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity_Bone 
          annotation (Placement(transformation(extent={{-12,58},{8,78}})));
        HumMod.Library.Factors.SimpleMultiply Anesthesia_Bone 
          annotation (Placement(transformation(extent={{-12,50},{8,70}})));
        HumMod.Library.Factors.SplineDelayFactorByDayWithFailture
          Vasculature_Bone(data={{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}}, Tau=30) 
          annotation (Placement(transformation(extent={{-12,39},{8,59}})));
        Library.PressureFlow.ResistorWithCond bone 
          annotation (Placement(transformation(extent={{-12,-10},{8,10}})));
      equation
        connect(Anesthesia_Bone.yBase,Viscosity_Bone. y) annotation (Line(
            points={{-2,62},{-2,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Anesthesia_Bone.y,Vasculature_Bone. yBase) annotation (Line(
            points={{-2,58},{-2,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature_Bone.y,A2Effect_Bone. yBase) annotation (Line(
            points={{-2,43.8},{-2,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bone_BasicConductance.y,Viscosity_Bone. yBase) annotation (Line(
            points={{-3.4,78},{-2,78},{-2,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, bone.q_in) annotation (Line(
            points={{-100,0},{-12,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.Viscosity_ConductanceEffect, Viscosity_Bone.u) 
          annotation (Line(
            points={{-90,90},{-75,90},{-75,68},{-11.8,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Anesthesia_VascularConductance, Anesthesia_Bone.u) 
          annotation (Line(
            points={{-90,90},{-75,90},{-75,60},{-11.8,60}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Bone_Function_Failed, Vasculature_Bone.Failed) 
          annotation (Line(
            points={{-90,90},{-75,90},{-75,53},{-11.8,53}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Bone_PO2, Vasculature_Bone.u) annotation (Line(
            points={{-90,90},{-75,90},{-75,47},{-11.8,47}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.A2Pool_Log10Conc, A2Effect_Bone.u) annotation (Line(
            points={{-90,90},{-75,90},{-75,38},{-11.8,38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GangliaGeneral_NA, AplhaReceptors_Bone.GangliaGeneral_NA) 
          annotation (Line(
            points={{-90,90},{-75,90},{-75,10},{-11.8,10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaBlocade_Effect, AplhaReceptors_Bone.AlphaBlockade_Effect) 
          annotation (Line(
            points={{-90,90},{-75,90},{-75,15.7},{-12,16},{-11.8,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaPool_Effect, AplhaReceptors_Bone.AlphaPool_Effect) 
          annotation (Line(
            points={{-90,90},{-75,90},{-75,22},{-11.8,22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.ADHPool_Log10Conc, ADHEffect_Bone.u) annotation (Line(
            points={{-90,90},{-75,90},{-75,30},{-11.8,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(A2Effect_Bone.y, ADHEffect_Bone.yBase) annotation (Line(
            points={{-2,36},{-2,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ADHEffect_Bone.y, AplhaReceptors_Bone.yBase) annotation (Line(
            points={{-2,28},{-2,23}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors_Bone.y, bone.cond) annotation (Line(
            points={{-2,9},{-2,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(bone.q_out, flowMeasure.q_out) annotation (Line(
            points={{8,0},{82,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in bones.
 
QHP 2008 / Bone-Flow
 
Created : 23-May-05
Last Modified : 19-Dec-05
Author : Tom Coleman
Copyright Status : In Public Domain
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}},
              initialScale=0.1,
              grid={1,1}),                 graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              initialScale=0.1,
              grid={1,1}), graphics={Text(
                extent={{-100,-90},{100,-70}},
                lineColor={0,0,255},
                textString="%name")}));
      end Bone;

      model Brain
        extends HumMod.Blood.OrganFlow.BaseBadDirection;
        extends Library.Interfaces.Tissues.Brain;

        HumMod.Library.Factors.SplineDelayFactorByDayWithFailture
          Vasculature_Brain(Tau=30, data={{27,1.2,0},{37,1.0,-0.03},{47,0.8,0}}) 
          annotation (Placement(transformation(extent={{-52,16},{-72,36}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity_Brain 
          annotation (Placement(transformation(extent={{-52,28},{-72,48}})));
        HumMod.Library.Factors.SplineValue PO2OnTension(data={{22,0.0,0},{36,
              1.0,0.02},{60,1.2,0}}, curve(iFrom(start=2))) 
          annotation (Placement(transformation(extent={{22,24},{2,44}})));
        HumMod.Library.Factors.SplineValue PCO2OnTension(data={{20,1.8,0},{45,
              1.0,-0.05},{75,0.0,0}}, curve(iFrom(start=2))) 
          annotation (Placement(transformation(extent={{22,16},{2,36}})));
        HumMod.Library.Factors.SplineValue TensionEffect(data={{0.0,2.2,0},{1.0,
              1.0,-0.5},{2.0,0.6,0}}, curve(iFrom(start=1))) 
          annotation (Placement(transformation(extent={{-52,4},{-72,24}})));
        Library.PressureFlow.ResistorWithCond brain 
          annotation (Placement(transformation(extent={{-72,-10},{-52,10}})));
        HumMod.Library.Blocks.CondConstant Brain_BasicConductance(k=9.1) 
          annotation (Placement(transformation(extent={{-76,42},{-64,54}})));
      equation
        connect(Viscosity_Brain.y,Vasculature_Brain. yBase) annotation (Line(
            points={{-62,36},{-62,31}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Brain_BasicConductance.y,Viscosity_Brain. yBase) annotation (
            Line(
            points={{-63.4,48},{-62,48},{-62,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PO2OnTension.y,PCO2OnTension. yBase) annotation (Line(
            points={{12,32},{12,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature_Brain.y,TensionEffect. yBase) annotation (Line(
            points={{-62,20.8},{-62,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TensionEffect.y,brain. cond) annotation (Line(
            points={{-62,12},{-62,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TensionEffect.u,PCO2OnTension. y) annotation (Line(
            points={{-52.2,14},{12,14},{12,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, brain.q_in) annotation (Line(
            points={{-100,0},{-72,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(PO2OnTension.u, organBloodFlowSignals.Brain_PO2) annotation (Line(
            points={{21.8,34},{72,34},{72,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(PCO2OnTension.u, organBloodFlowSignals.Brain_PCO2) annotation (Line(
            points={{21.8,26},{72,26},{72,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Vasculature_Brain.Failed, organBloodFlowSignals.Brain_Function_Failed) 
          annotation (Line(
            points={{-52.2,30},{-8,30},{-8,90},{-90,90}},
            color={255,0,255},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(PO2OnTension.yBase, organBloodFlowSignals.Anesthesia_VascularConductance) 
          annotation (Line(
            points={{12,36},{12,46},{72,46},{72,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,13},{6,13}}));
        connect(Vasculature_Brain.u, organBloodFlowSignals.Brain_PO2) 
          annotation (Line(
            points={{-52.2,24},{-8,24},{-8,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Viscosity_Brain.u, organBloodFlowSignals.Viscosity_ConductanceEffect) 
          annotation (Line(
            points={{-52.2,38},{-8,38},{-8,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(brain.q_out, flowMeasure.q_out) annotation (Line(
            points={{-52,0},{82,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in brain.
 
QHP 2008 / Brain-Flow
 
Created : 23-May-05
Last Modified : 20-Dec-05
Author : Tom Coleman
Copyright Status : In Public Domain
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),             graphics), Icon(graphics={Text(
                extent={{-100,-100},{100,-80}},
                lineColor={0,0,255},
                textString="%name")}),
                    Diagram(graphics));
      end Brain;

      model Fat
        extends HumMod.Blood.OrganFlow.BaseBadDirection;
        extends Library.Interfaces.Tissues.Fat;

        HumMod.Library.Factors.SplineValue A2Effect_Fat(data={{0.0,1.05,0},{1.3,
              1.00,-0.08},{3.5,0.50,0}}) 
          annotation (Placement(transformation(extent={{0,28},{20,48}})));
        HumMod.Library.Factors.SplineValue ADHEffect_Fat(data={{0.8,1.0,0},{3.0,
              0.1,0}}) 
          annotation (Placement(transformation(extent={{0,2},{20,22}})));
        Library.PressureFlow.ResistorWithCond fat 
          annotation (Placement(transformation(extent={{0,-10},{20,10}})));
        HumMod.Library.Blocks.CondConstant Fat_BasicConductance(k=2.7) 
          annotation (Placement(transformation(extent={{-4,70},{8,82}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor AplhaReceptors_Fat(data={{
              0.0,1.3,0},{1.0,1.0,-0.3},{5.0,0.1,0}}) 
          annotation (Placement(transformation(extent={{0,16},{20,36}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity_Fat 
          annotation (Placement(transformation(extent={{0,56},{20,76}})));
        HumMod.Library.Factors.SimpleMultiply Anesthesia_Fat 
          annotation (Placement(transformation(extent={{0,48},{20,68}})));
        HumMod.Library.Factors.SplineDelayFactorByDayWithFailture
          Vasculature_Fat(data={{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}}, Tau=30) 
          annotation (Placement(transformation(extent={{0,38},{20,58}})));
      equation
        connect(Anesthesia_Fat.yBase,Viscosity_Fat. y)   annotation (Line(
            points={{10,60},{10,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Anesthesia_Fat.y,Vasculature_Fat. yBase)   annotation (Line(
            points={{10,56},{10,53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature_Fat.y,A2Effect_Fat. yBase) annotation (Line(
            points={{10,42.8},{10,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity_Fat.yBase,Fat_BasicConductance. y) annotation (Line(
            points={{10,68},{10,76},{8.6,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.cond,ADHEffect_Fat. y) annotation (Line(
            points={{10,4},{10,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.Viscosity_ConductanceEffect, Viscosity_Fat.u) 
          annotation (Line(
            points={{-90,90},{-56,90},{-56,66},{0.2,66}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Anesthesia_VascularConductance, Anesthesia_Fat.u) 
          annotation (Line(
            points={{-90,90},{-56,90},{-56,58},{0.2,58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Fat_Function_Failed, Vasculature_Fat.Failed) annotation (
           Line(
            points={{-90,90},{-56,90},{-56,52},{0.2,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Fat_PO2, Vasculature_Fat.u) annotation (Line(
            points={{-90,90},{-56,90},{-56,46},{0.2,46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.A2Pool_Log10Conc, A2Effect_Fat.u) annotation (Line(
            points={{-90,90},{-56,90},{-56,38},{0.2,38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GangliaGeneral_NA, AplhaReceptors_Fat.GangliaGeneral_NA) 
          annotation (Line(
            points={{-90,90},{-56,90},{-56,20},{0.2,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaPool_Effect, AplhaReceptors_Fat.AlphaPool_Effect) 
          annotation (Line(
            points={{-90,90},{-56,90},{-56,32},{0.2,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaBlocade_Effect, AplhaReceptors_Fat.AlphaBlockade_Effect) 
          annotation (Line(
            points={{-90,90},{-56,90},{-56,26},{0.2,26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.ADHPool_Log10Conc, ADHEffect_Fat.u) annotation (Line(
            points={{-90,90},{-56,90},{-56,12},{0.2,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(q_in, fat.q_in) annotation (Line(
            points={{-100,0},{0,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(AplhaReceptors_Fat.yBase, A2Effect_Fat.y) annotation (Line(
            points={{10,33},{10,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors_Fat.y, ADHEffect_Fat.yBase) annotation (Line(
            points={{10,19},{10,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.q_out, flowMeasure.q_out) annotation (Line(
            points={{20,0},{82,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in adipose tissue.
 
QHP 2008 / Fat-Flow
 
Created : 23-May-05
Last Modified : 19-Dec-05
Author : Tom Coleman
Copyright Status : In Public Domain
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),             graphics), Icon(graphics={Text(
                extent={{-100,-100},{100,-80}},
                lineColor={0,0,255},
                textString="%name")}));
      end Fat;

      model Kidney
        extends HumMod.Blood.OrganFlow.Base;
        extends Library.Interfaces.Tissues.Kidney;

        HumMod.Library.Factors.SimpleMultiply NephronCountEffect_AfferentArtery
          annotation (Placement(transformation(extent={{-10,34},{10,54}})));
        HumMod.Library.Blocks.CondConstant Afferent_BasicConductance(k=34) 
          annotation (Placement(transformation(extent={{-14,48},{-2,60}})));
        VariableResistorWithMyogenicResponse AfferentArtery(
            PressureChangeOnMyogenicCondEffect={{-20.0,1.2,0.0},{0.0,1.0,-0.02},
              {20.0,0.8,0.0}}, pressureChange(start=0, fixed=true)) 
          annotation (Placement(transformation(extent={{-12,-12},{12,12}})));
        HumMod.Library.Factors.SplineValue A2Effect2(data={{0.0,1.2,0.0},{1.3,
              1.0,-0.4},{3.0,0.6,0.0}}) 
          annotation (Placement(transformation(extent={{62,18},{82,38}})));
        HumMod.Library.Blocks.CondConstant KidneyEfferent_BasicConductance(k=23) 
          annotation (Placement(transformation(extent={{58,48},{70,60}})));
        HumMod.Library.Factors.SimpleMultiply
          NephronCountEffect_KidneyEfferentArtery 
          annotation (Placement(transformation(extent={{62,34},{82,54}})));
        Library.PressureFlow.ResistorWithCond EfferentArtery 
          annotation (Placement(transformation(extent={{60,-12},{84,12}})));
        Library.PressureFlow.ResistorWithCondParam AcurateArtery(cond=600) 
          annotation (Placement(transformation(extent={{-54,-8},{-38,8}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor
          AplhaReceptors_KidneyAfferentArtery(data={{1.5,1.0,0.0},{7.0,0.9,0.0}}) 
          annotation (Placement(transformation(extent={{-10,14},{10,34}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor
          AplhaReceptors_KidneyEfferentArtery(data={{1.5,1.0,0.0},{7.0,0.9,0.0}}) 
          annotation (Placement(transformation(extent={{62,6},{82,26}})));
        HumMod.Library.Factors.SimpleMultiply Anesthesia_KidneyEfferentArtery 
          annotation (Placement(transformation(extent={{62,26},{82,46}})));
        Library.PressureFlow.PressureMeasure pressureMeasure annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={16,8})));
        Modelica.Blocks.Math.Product KidneyPlasmaFlow annotation (Placement(
              transformation(
              extent={{-5,-5},{5,5}},
              rotation=90,
              origin={-67,71})));
        Library.PressureFlow.PressureMeasure pressureMeasure1 
                                                             annotation (Placement(
              transformation(
              extent={{10,-10},{-10,10}},
              rotation=0,
              origin={-24,8})));
        Modelica.Blocks.Math.Gain IFP(k=0.042) 
          annotation (Placement(transformation(extent={{-50,-86},{-58,-78}})));
        Library.Factors.DelayedToSpline TGFEffect( data={{0.0,1.2,0.0},{1.3,1.0,
              -0.4},{3.0,0.6,0.0}}, Tau=1,
          initialValue=1.01309,
          adaptationSignalName="TGF-Vascular.Signal")
          "Macula Densa TGF vascular signal delay and effect to afferent arteriole"
          annotation (Placement(transformation(extent={{-10,26},{10,46}})));
        HumMod.Library.Factors.SplineValue FurosemideEffect(data={{0.0,1.0,0.0},
              {1.3,0.2,0.0}})
          "furosemide outflow on Macula Densa Na sensibility" 
          annotation (Placement(transformation(extent={{22,-52},{42,-32}})));
        HumMod.Library.Factors.SplineValue NaEffect_MaculaDensa(data={{0,0.0,
              0.0},{48,1.0,0.03},{100,3.0,0.0}}) 
          annotation (Placement(transformation(extent={{22,-48},{42,-28}})));
        HumMod.Library.Factors.SplineValue ANP_Effect(data={{0.0,1.2,0.0},{1.3,
              1.0,-0.3},{2.7,0.8,0.0}}) 
          annotation (Placement(transformation(extent={{22,-56},{42,-36}})));
       HumMod.Library.Factors.SplineValue A2Effect3(data={{0.0,0.0,0.0},{0.2,
              0.6,0.05},{1.3,1.0,0.1},{3.0,8.0,0.0}}) 
          annotation (Placement(transformation(extent={{22,-60},{42,-40}})));
        HumMod.Library.Blocks.Constant MedulaDensa_BaseTGFSignal(k=1) 
          annotation (Placement(transformation(extent={{22,-34},{30,-26}})));
        VasaRecta vasaRecta 
          annotation (Placement(transformation(extent={{-22,-92},{-2,-72}})));
      equation
        connect(Afferent_BasicConductance.y, NephronCountEffect_AfferentArtery.yBase) 
                                                                   annotation (Line(
            points={{-1.4,54},{0,54},{0,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.Kidney_NephronCount_Total_xNormal,
          NephronCountEffect_AfferentArtery.u) annotation (Line(
            points={{-90,90},{-90,44},{-9.8,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaPool_Effect, AplhaReceptors_KidneyAfferentArtery.AlphaPool_Effect) 
          annotation (Line(
            points={{-90,90},{-90,30},{-9.8,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaBlocade_Effect, AplhaReceptors_KidneyAfferentArtery.AlphaBlockade_Effect) 
          annotation (Line(
            points={{-90,90},{-90,24},{-9.8,24}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GangliaGeneral_NA,
          AplhaReceptors_KidneyAfferentArtery.GangliaGeneral_NA) annotation (
            Line(
            points={{-90,90},{-90,18},{-9.8,18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.A2Pool_Log10Conc, A2Effect2.u) annotation (Line(
            points={{-90,90},{22,90},{22,28},{62.2,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaPool_Effect, AplhaReceptors_KidneyEfferentArtery.AlphaPool_Effect) 
          annotation (Line(
            points={{-90,90},{22,90},{22,22},{62.2,22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GangliaGeneral_NA,
          AplhaReceptors_KidneyEfferentArtery.GangliaGeneral_NA) annotation (
            Line(
            points={{-90,90},{22,90},{22,10},{62.2,10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaBlocade_Effect, AplhaReceptors_KidneyEfferentArtery.AlphaBlockade_Effect) 
          annotation (Line(
            points={{-90,90},{22,90},{22,16},{62.2,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Kidney_NephronCount_Total_xNormal,
          NephronCountEffect_KidneyEfferentArtery.u) annotation (Line(
            points={{-90,90},{22,90},{22,44},{62.2,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Anesthesia_VascularConductance,
          Anesthesia_KidneyEfferentArtery.u) annotation (Line(
            points={{-90,90},{22,90},{22,36},{62.2,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(KidneyEfferent_BasicConductance.y,
          NephronCountEffect_KidneyEfferentArtery.yBase) annotation (Line(
            points={{70.6,54},{72,54},{72,46}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(A2Effect2.y, AplhaReceptors_KidneyEfferentArtery.yBase) 
          annotation (Line(
            points={{72,26},{72,23}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NephronCountEffect_KidneyEfferentArtery.y,
          Anesthesia_KidneyEfferentArtery.yBase) annotation (Line(
            points={{72,42},{72,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Anesthesia_KidneyEfferentArtery.y, A2Effect2.yBase) annotation (
           Line(
            points={{72,34},{72,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors_KidneyEfferentArtery.y, EfferentArtery.cond) 
          annotation (Line(
            points={{72,9},{72,4.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors_KidneyAfferentArtery.y, AfferentArtery.cond) 
          annotation (Line(
            points={{0,17},{0,4.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureMeasure.q_in, AfferentArtery.q_out) annotation (Line(
            points={{14,4},{14,0},{12,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pressureMeasure.actualPressure, organBloodFlowSignals.GlomerulusBloodPressure) 
          annotation (Line(
            points={{21.2,6},{21.2,-16},{-90,-16},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-3},{6,-3}}));
        connect(organBloodFlowSignals.BloodVol_PVCrit, KidneyPlasmaFlow.u2) 
          annotation (Line(
            points={{-90,90},{-54,90},{-54,60},{-64,60},{-64,65}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{6,-3},{6,-3}}));
        connect(KidneyPlasmaFlow.y, organBloodFlowSignals.KidneyPlasmaFlow) 
          annotation (Line(
            points={{-67,76.5},{-67,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,3},{3,3}}));
        connect(AcurateArtery.q_out, AfferentArtery.q_in) annotation (Line(
            points={{-38,0},{-12,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(EfferentArtery.q_in, AfferentArtery.q_out) annotation (Line(
            points={{60,0},{12,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(EfferentArtery.q_out, q_out) annotation (Line(
            points={{84,0},{100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(AfferentArtery.q_in, pressureMeasure1.q_in) annotation (Line(
            points={{-12,0},{-22,0},{-22,4}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(IFP.u, pressureMeasure1.actualPressure) annotation (Line(
            points={{-49.2,-82},{-32,-82},{-32,6},{-29.2,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANP_Effect.y,A2Effect3. yBase) annotation (Line(
            points={{32,-48},{32,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FurosemideEffect.y,ANP_Effect. yBase) annotation (Line(
            points={{32,-44},{32,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NaEffect_MaculaDensa.y,FurosemideEffect. yBase) annotation (
            Line(
            points={{32,-40},{32,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MedulaDensa_BaseTGFSignal.y,NaEffect_MaculaDensa. yBase) 
          annotation (Line(
            points={{30.4,-30},{32,-30},{32,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2Effect3.y,TGFEffect. u) annotation (Line(
            points={{32,-52},{32,-54},{-18,-54},{-18,36},{-9.8,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NephronCountEffect_AfferentArtery.y, TGFEffect.yBase) annotation (
            Line(
            points={{0,42},{0,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TGFEffect.y, AplhaReceptors_KidneyAfferentArtery.yBase) annotation (
            Line(
            points={{0,34},{0,31}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.FurosemidePool_Loss, FurosemideEffect.u) 
          annotation (Line(
            points={{-90,90},{-90,-42},{22.2,-42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.ANPPool_Log10Conc, ANP_Effect.u) annotation (
            Line(
            points={{-90,90},{-90,-46},{22.2,-46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.A2Pool_Log10Conc, A2Effect3.u) annotation (Line(
            points={{-90,90},{-90,-50},{22.2,-50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(flowMeasure.actualFlow, KidneyPlasmaFlow.u1) annotation (Line(
            points={{-88,5.4},{-88,50},{-70,50},{-70,65}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, AcurateArtery.q_in) annotation (Line(
            points={{-82,0},{-54,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(organBloodFlowSignals, vasaRecta.busConnector) annotation (Line(
            points={{-90,90},{-90,-74},{-20,-74}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(pressureMeasure1.actualPressure, vasaRecta.ArcuateArtery_Pressure) 
          annotation (Line(
            points={{-29.2,6},{-32,6},{-32,-82},{-20,-82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.NephronIFP_Pressure, IFP.y) annotation (
            Line(
            points={{-90,90},{-90,-82},{-58.4,-82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.MD_Na, NaEffect_MaculaDensa.u) 
          annotation (Line(
            points={{-90,90},{-90,-38},{22.2,-38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in kidneys.
 
QHP 2008 / Kidney-Flow
 
Created : 09-Apr-05
Last Modified : 09-Apr-05
Author : Tom Coleman
Copyright Status : In Public Domain
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}), graphics={Rectangle(extent={{14,-24},{50,-62}},
                  lineColor={127,0,0}), Text(
                extent={{14,-62},{50,-56}},
                lineColor={0,0,255},
                textString="Macula Densa")}),         Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-100,-100},{100,-80}},
                lineColor={0,0,255},
                textString="%name")}),
                    Diagram(graphics));
      end Kidney;

    model VariableResistorWithMyogenicResponse
      extends HumMod.Library.PressureFlow.Resistor; //(q_in(pressure(start=95.5)),q_out(pressure(start=61.5)));
      Library.Interfaces.RealInput_ cond(    final quantity="Conductance",       final unit
            =                                                                               "ml/(min.mmHg)") 
          annotation (Placement(transformation(extent={{-100,92},             {-80,112}}), iconTransformation(
                   extent={{-10,-10},{10,10}},         rotation=270,         origin={0,40})));
      Real myogenicEffect;
      Real pressureChange(start=0.161874);
      Real pressureChangeSteadyState;
      Real adaptedPressure(start=77.9546);
      Real interlobarPressure;
      parameter Real K_PressureChange(final unit="1/min") =  2.0;
      parameter Real Tau_PressureAdoption(final unit="hod") =  4.0;
      parameter Real[:,3] PressureChangeOnMyogenicCondEffect;
      Library.Curves.Curve PressureChangeOnCondEffect(     x=PressureChangeOnMyogenicCondEffect[:, 1],
      y=PressureChangeOnMyogenicCondEffect[:, 2],     slope=PressureChangeOnMyogenicCondEffect[:, 3]) 
      annotation (Placement(transformation(extent={{14,26},{34,46}})));

    initial equation
      der(adaptedPressure) = 0;
     // der(pressureChange) = 0;
    equation
      q_in.q = myogenicEffect * cond * (q_in.pressure - q_out.pressure);
      interlobarPressure = (q_in.pressure + q_out.pressure)/2;  //stredny tlak v arteriole
      der(adaptedPressure) = (1/(60*Tau_PressureAdoption)) * (interlobarPressure-adaptedPressure); //receptory sa adaptuju na tlak (polcas adaptacie nastane za 2hod a 45min)
      pressureChangeSteadyState = interlobarPressure-adaptedPressure;  //zmena tlaku sa taktiez adaptuje - neviem preco? => potom to vizera, ze stimulacia receptorov je postupny proces (polcas nabudenia stimulacie je 20 sekund)
      der(pressureChange) = K_PressureChange * (pressureChangeSteadyState - pressureChange);
      PressureChangeOnCondEffect.u = pressureChange; //zmena tlaku aktivuje receptory
      myogenicEffect = PressureChangeOnCondEffect.val; //stimulacia receptorov ma vplyv na vodivost (odpor) krvi aferentnej arterie
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),
      graphics), Icon(graphics={
              Text(
                extent={{-110,-68},{106,-32}},
                textString="%name",
                lineColor={0,0,255}),
              Text(
                extent={{-68,-20},{66,12}},
                lineColor={0,0,0},
                textString="blood flow"),
              Rectangle(
                extent={{-70,30},{70,-30}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Sphere),
              Text(
                extent={{-54,20},{52,-18}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere,
                fillColor={215,215,215},
                textString="Myogenic")}),
            Documentation(info="<html> <pre>Receptory sa adaptuju na priemerny tlak v arteriole - polcas adaptacie nastane za 2hod a 45min. 
        Zmena tlaku sa taktiez adaptuje - neviem preco? =&GT; potom to vizera, ze stimulacia receptorov je postupny proces (polcas nabudenia stimulacie je 20 sekund). 
        Zmena tlaku aktivuje receptory, ktorych stimulacia ma vplyv na vasokonstrikciu danej arterioly.</pre> </html>"));
    end VariableResistorWithMyogenicResponse;

      model Skin
        extends HumMod.Blood.OrganFlow.BaseBadDirection;
        extends Library.Interfaces.Tissues.Skin;

        HumMod.Library.Factors.SplineValue LocalTempVsNA(data={{1.2,1.0,0},{1.5,
              0.0,0}}) 
          annotation (Placement(transformation(extent={{-36,52},{-16,72}})));
        Library.PressureFlow.ResistorWithCond skin 
          annotation (Placement(transformation(extent={{56,-12},{80,12}})));
        HumMod.Library.Factors.SplineValue A2Effect_Skin(data={{0.0,1.05,0},{
              1.3,1.00,-0.08},{3.5,0.50,0}}) 
          annotation (Placement(transformation(extent={{58,30},{78,50}})));
        HumMod.Library.Factors.SplineValue ADHEffect_Skin(data={{0.8,1.0,0},{
              3.0,0.1,0}}) 
          annotation (Placement(transformation(extent={{58,6},{78,26}})));
        HumMod.Library.Blocks.CondConstant Skin_BasicConductance_(k=1.6) 
          annotation (Placement(transformation(extent={{54,72},{66,84}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor AplhaReceptors_Skin(data={{
              0.0,0.3,0},{1.0,0.0,-0.3},{5.0,-0.9,0}}) 
          annotation (Placement(transformation(extent={{-50,26},{-30,46}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity_Skin 
          annotation (Placement(transformation(extent={{58,58},{78,78}})));
        HumMod.Library.Factors.SimpleMultiply Anesthesia_Skin 
          annotation (Placement(transformation(extent={{58,50},{78,70}})));
        HumMod.Library.Factors.SplineDelayFactorByDayWithFailture
          Vasculature_Skin(Tau=30, data={{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}}) 
          annotation (Placement(transformation(extent={{58,40},{78,60}})));
        HumMod.Library.Factors.SplineValue LocalTempEffect(data={{10.8,-0.8,0},
              {29.0,0.0,0.1},{45.0,4.0,0}}) 
          annotation (Placement(transformation(extent={{-34,38},{-14,58}})));
        HumMod.Library.Blocks.Constant Skin_BasicConductance_1(k=1) 
          annotation (Placement(transformation(extent={{-20,70},{-24,66}})));
        HumMod.Library.Factors.SimpleMultiply LocalTempEffect_Skin 
          annotation (Placement(transformation(extent={{58,22},{78,42}})));
        HumMod.Library.Factors.SimpleMultiply SympsEffect_Skin 
          annotation (Placement(transformation(extent={{58,14},{78,34}})));
        HumMod.Library.Factors.SplineValue SympsDilateEffect(data={{0.0,0.3,0},
              {1.0,1.0,2.2},{4.0,8.0,0}}) 
          annotation (Placement(transformation(extent={{58,-2},{78,18}})));
        HumMod.Library.Blocks.Add add(k=1) 
          annotation (Placement(transformation(extent={{24,28},{32,36}})));
        HumMod.Library.Blocks.Add add1(k=1) 
          annotation (Placement(transformation(extent={{14,20},{22,28}})));
      equation
        connect(Anesthesia_Skin.yBase,Viscosity_Skin. y) annotation (Line(
            points={{68,62},{68,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Anesthesia_Skin.y,Vasculature_Skin. yBase) annotation (Line(
            points={{68,58},{68,55}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature_Skin.y,A2Effect_Skin. yBase) annotation (Line(
            points={{68,44.8},{68,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Skin_BasicConductance_.y,Viscosity_Skin. yBase) 
                                                               annotation (Line(
            points={{66.6,78},{68,78},{68,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LocalTempVsNA.yBase,Skin_BasicConductance_1. y) annotation (Line(
            points={{-26,64},{-26,68},{-24.2,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LocalTempEffect.yBase,LocalTempVsNA. y) annotation (Line(
            points={{-24,50},{-24,56},{-26,56},{-26,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LocalTempEffect_Skin.yBase,A2Effect_Skin. y) annotation (Line(
            points={{68,34},{68,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LocalTempEffect_Skin.y,SympsEffect_Skin. yBase) annotation (Line(
            points={{68,30},{68,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SympsEffect_Skin.y,ADHEffect_Skin. yBase) annotation (Line(
            points={{68,22},{68,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ADHEffect_Skin.y,SympsDilateEffect. yBase) annotation (Line(
            points={{68,14},{68,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SympsDilateEffect.y,skin. cond) annotation (Line(
            points={{68,6},{68,4.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.Viscosity_ConductanceEffect, Viscosity_Skin.u) 
          annotation (Line(
            points={{-90,90},{-12,90},{-12,68},{58.2,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Anesthesia_VascularConductance, Anesthesia_Skin.u) 
          annotation (Line(
            points={{-90,90},{-12,90},{-12,60},{58.2,60}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Skin_Function_Failed, Vasculature_Skin.Failed) 
          annotation (Line(
            points={{-90,90},{-12,90},{-12,54},{58.2,54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Skin_PO2, Vasculature_Skin.u) annotation (Line(
            points={{-90,90},{-12,90},{-12,48},{58.2,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.A2Pool_Log10Conc, A2Effect_Skin.u) annotation (Line(
            points={{-90,90},{-12,90},{-12,40},{58.2,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.ADHPool_Log10Conc, ADHEffect_Skin.u) annotation (Line(
            points={{-90,90},{-12,90},{-12,16},{58.2,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.HypothalamusSkinFlow_NervesActivity, SympsDilateEffect.u) 
          annotation (Line(
            points={{-90,90},{-88,90},{-88,8},{58.2,8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.HypothalamusSkinFlow_NervesActivity, LocalTempVsNA.u) 
          annotation (Line(
            points={{-90,90},{-88,90},{-88,62},{-35.8,62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.skin_T, LocalTempEffect.u) annotation (Line(
            points={{-90,90},{-90,48},{-33.8,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaPool_Effect, AplhaReceptors_Skin.AlphaPool_Effect) 
          annotation (Line(
            points={{-90,90},{-90,42},{-49.8,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaBlocade_Effect, AplhaReceptors_Skin.AlphaBlockade_Effect) 
          annotation (Line(
            points={{-90,90},{-90,36},{-49.8,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GangliaGeneral_NA, AplhaReceptors_Skin.GangliaGeneral_NA) 
          annotation (Line(
            points={{-90,90},{-90,30},{-49.8,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(q_in, skin.q_in) annotation (Line(
            points={{-100,0},{56,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(AplhaReceptors_Skin.yBase, LocalTempVsNA.y) annotation (Line(
            points={{-40,43},{-40,56},{-26,56},{-26,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LocalTempEffect.y, add.u) annotation (Line(
            points={{-24,46},{-24,32},{23.2,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.y, LocalTempEffect_Skin.u) annotation (Line(
            points={{32.4,32},{58.2,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SympsEffect_Skin.u, add1.y) annotation (Line(
            points={{58.2,24},{22.4,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add1.u, AplhaReceptors_Skin.y) annotation (Line(
            points={{13.2,24},{-40,24},{-40,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skin.q_out, flowMeasure.q_out) annotation (Line(
            points={{80,0},{82,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
         annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in skin.
 
QHP 2008 / Skin-Flow
 
Created : 23-May-05
Last Modified : 01-Jul-06
Author : Tom Coleman
Copyright Status : In Public Domain
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),             graphics), Icon(graphics={Text(
                extent={{-100,-100},{100,-80}},
                lineColor={0,0,255},
                textString="%name")}));
      end Skin;

      model OtherTissue
        extends HumMod.Blood.OrganFlow.BaseBadDirection;
        extends Library.Interfaces.Tissues.OtherTissue;

        HumMod.Library.Blocks.CondConstant OtherTissue_BasicConductance(k=4.2) 
          annotation (Placement(transformation(extent={{20,80},{32,92}})));
        Library.PressureFlow.ResistorWithCond OtherTissue 
          annotation (Placement(transformation(extent={{22,-12},{46,12}})));
        HumMod.Library.Factors.SplineValue A2Effect_OtherTissue(data={{0.0,1.05,
              0},{1.3,1.00,-0.08},{3.5,0.50,0}}) 
          annotation (Placement(transformation(extent={{24,28},{44,48}})));
        HumMod.Library.Factors.SplineValue ADHEffect_OtherTissue(data={{0.8,1.0,
              0},{3.0,0.1,0}}) 
          annotation (Placement(transformation(extent={{24,2},{44,22}})));
        HumMod.Library.Factors.SimpleMultiply Anesthesia_OtherTissue 
          annotation (Placement(transformation(extent={{24,56},{44,76}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity_OtherTissue 
          annotation (Placement(transformation(extent={{24,64},{44,84}})));
        HumMod.Library.Factors.SplineDelayFactorByDayWithFailture
          Vasculature_OtherTissue(Tau=30, data={{41,1.2,0},{51,1.0,-0.03},{61,
              0.8,0}}) 
          annotation (Placement(transformation(extent={{24,46},{44,66}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor AplhaReceptors_OtherTissue(
            data={{0.0,1.3,0},{1.0,1.0,-0.3},{5.0,0.1,0}}) 
          annotation (Placement(transformation(extent={{24,16},{44,36}})));
        HumMod.Library.Factors.SplineValue PO2OnConductance_OtherTissue(data={{
              10,2.0,0},{30,1.0,0}}) 
          annotation (Placement(transformation(extent={{24,36},{44,56}})));
      equation
        connect(Vasculature_OtherTissue.y,PO2OnConductance_OtherTissue. yBase) 
                                                       annotation (Line(
            points={{34,50.8},{34,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity_OtherTissue.y,Anesthesia_OtherTissue. yBase) 
                                               annotation (Line(
            points={{34,72},{34,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature_OtherTissue.yBase,Anesthesia_OtherTissue. y) 
                                                 annotation (Line(
            points={{34,61},{34,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PO2OnConductance_OtherTissue.y,A2Effect_OtherTissue. yBase) 
                                                    annotation (Line(
            points={{34,44},{34,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue_BasicConductance.y,Viscosity_OtherTissue. yBase) 
          annotation (Line(
            points={{32.6,86},{34,86},{34,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ADHEffect_OtherTissue.y, OtherTissue.cond) annotation (Line(
            points={{34,10},{34,4.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, OtherTissue.q_in) annotation (Line(
            points={{-100,0},{22,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.Viscosity_ConductanceEffect, Viscosity_OtherTissue.u) 
          annotation (Line(
            points={{-90,90},{-40,90},{-40,74},{24.2,74}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Anesthesia_VascularConductance, Anesthesia_OtherTissue.u) 
          annotation (Line(
            points={{-90,90},{-40,90},{-40,66},{24.2,66}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.OtherTissue_Function_Failed, Vasculature_OtherTissue.Failed) 
          annotation (Line(
            points={{-90,90},{-40,90},{-40,60},{24.2,60}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.OtherTissue_PO2, Vasculature_OtherTissue.u) annotation (
            Line(
            points={{-90,90},{-40,90},{-40,46},{22,46},{22,54},{24.2,54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(organBloodFlowSignals.OtherTissue_PO2, PO2OnConductance_OtherTissue.u) 
          annotation (Line(
            points={{-90,90},{-40,90},{-40,46},{24.2,46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.A2Pool_Log10Conc, A2Effect_OtherTissue.u) annotation (
            Line(
            points={{-90,90},{-40,90},{-40,38},{24.2,38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaPool_Effect, AplhaReceptors_OtherTissue.AlphaPool_Effect) 
          annotation (Line(
            points={{-90,90},{-40,90},{-40,32},{24.2,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GangliaGeneral_NA, AplhaReceptors_OtherTissue.GangliaGeneral_NA) 
          annotation (Line(
            points={{-90,90},{-40,90},{-40,20},{24.2,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaBlocade_Effect, AplhaReceptors_OtherTissue.AlphaBlockade_Effect) 
          annotation (Line(
            points={{-90,90},{-40,90},{-40,26},{24.2,26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.ADHPool_Log10Conc, ADHEffect_OtherTissue.u) annotation (
            Line(
            points={{-90,90},{-40,90},{-40,12},{24.2,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(AplhaReceptors_OtherTissue.yBase, A2Effect_OtherTissue.y) annotation (
           Line(
            points={{34,33},{34,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors_OtherTissue.y, ADHEffect_OtherTissue.yBase) 
          annotation (Line(
            points={{34,19},{34,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue.q_out, flowMeasure.q_out) annotation (Line(
            points={{46,0},{82,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in other tissue.
 
 
QHP 2008 / OtherTissue-Flow
 
Created : 31-Mar-05
Last Modified : 12-Dec-05
Author : Tom Coleman
Copyright Status : In Public Domain
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),             graphics), Icon(graphics={Text(
                extent={{-100,-100},{100,-80}},
                lineColor={0,0,255},
                textString="%name")}));
      end OtherTissue;

      model SkeletalMuscle
        extends HumMod.Blood.OrganFlow.BaseBadDirection;
        extends Library.Interfaces.Tissues.SkeletalMuscle;

        HumMod.Library.Factors.SplineValue A2Effect(data={{0.0,1.05,0},{1.3,
              1.00,-0.08},{3.5,0.50,0}}) 
          annotation (Placement(transformation(extent={{-42,-36},{-62,-16}})));
        HumMod.Library.Blocks.CondConstant SkeletalMuscle_BasicConductance(k=
              7.2) 
          annotation (Placement(transformation(extent={{-68,30},{-56,42}})));
        HumMod.Library.Factors.SplineValue ADHEffect(data={{0.8,1.0,0},{3.0,0.1,
              0}}) 
          annotation (Placement(transformation(extent={{-42,-60},{-62,-40}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity 
          annotation (Placement(transformation(extent={{-42,16},{-62,36}})));
        HumMod.Library.Factors.SimpleMultiply Anesthesia 
          annotation (Placement(transformation(extent={{-42,8},{-62,28}})));
        Library.PressureFlow.ResistorWithCond SkeletalMuscle 
          annotation (Placement(transformation(extent={{-66,-74},{-38,-46}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor aplhaReceptorsActivityFactor(
            data={{0.0,1.3,0},{1.0,1.0,-0.2},{4.0,0.5,0}}, SympsOnConductance(
              iFrom(start=1))) 
          annotation (Placement(transformation(extent={{-42,-48},{-62,-28}})));
        HumMod.Library.Factors.SplineDelayFactorByDayWithFailture
          Vasculature_skeletalMuscle(data={{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}},
            Tau=30) 
          annotation (Placement(transformation(extent={{-42,-2},{-62,18}})));
        HumMod.Library.Factors.SplineValue PO2Effect(data={{0,4.0,0},{25,2.5,-0.2},
              {35,1.0,0}}, curve(iFrom(start=2))) 
          annotation (Placement(transformation(extent={{-42,-12},{-62,8}})));
        HumMod.Library.Factors.SplineValue IntensityEffect(data={{0,0.0,0.007},
              {300,1.0,0.0}}) 
          annotation (Placement(transformation(extent={{24,44},{4,64}})));
        HumMod.Library.Factors.SplineValue RateEffect(data={{0,0.0,0.04},{60,
              1.0,0.0}}) 
          annotation (Placement(transformation(extent={{24,36},{4,56}})));
        HumMod.Library.Factors.SimpleMultiply MusclePumping_SkeletalMuscle 
          annotation (Placement(transformation(extent={{-42,-28},{-62,-8}})));
        HumMod.Library.Blocks.Constant const(k=1) 
          annotation (Placement(transformation(extent={{8,60},{12,64}})));
        ConductanceFactors.MetabolicVasolidation2 metabolicVasolidation(
          data={{50,1.0,0},{1000,3.5,0.003},{3000,5.5,0}},
          OnTau=0.2,
          OffTau=1) 
          annotation (Placement(transformation(extent={{-42,-20},{-62,0}})));
        HumMod.Library.Blocks.Add add(k=1) 
          annotation (Placement(transformation(extent={{-4,-22},{-12,-14}})));
      equation
        connect(SkeletalMuscle.q_in, q_in) annotation (Line(
            points={{-66,-60},{-92,-60},{-92,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(Viscosity.y,Anesthesia. yBase) annotation (Line(
            points={{-52,24},{-52,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature_skeletalMuscle.yBase,Anesthesia. y) annotation (
            Line(
            points={{-52,13},{-52,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature_skeletalMuscle.y,PO2Effect. yBase) annotation (Line(
            points={{-52,2.8},{-52,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MusclePumping_SkeletalMuscle.y,A2Effect. yBase) annotation (
            Line(
            points={{-52,-20},{-52,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity.yBase,SkeletalMuscle_BasicConductance. y) annotation (
           Line(
            points={{-52,28},{-52,36},{-55.4,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SkeletalMuscle.cond, ADHEffect.y) annotation (Line(
            points={{-52,-54.4},{-52,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const.y, IntensityEffect.yBase) annotation (Line(
            points={{12.2,62},{14,62},{14,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IntensityEffect.y, RateEffect.yBase) annotation (Line(
            points={{14,52},{14,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity.u, organBloodFlowSignals.Viscosity_ConductanceEffect) annotation (
            Line(
            points={{-42.2,26},{0,26},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Anesthesia.u, organBloodFlowSignals.Anesthesia_VascularConductance) 
          annotation (Line(
            points={{-42.2,18},{0,18},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Vasculature_skeletalMuscle.Failed, organBloodFlowSignals.SkeletalMuscle_Function_Failed) 
          annotation (Line(
            points={{-42.2,12},{0,12},{0,90},{-90,90}},
            color={255,0,255},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Vasculature_skeletalMuscle.u, organBloodFlowSignals.SkeletalMuscle_PO2) 
          annotation (Line(
            points={{-42.2,6},{0,6},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(PO2Effect.u, organBloodFlowSignals.SkeletalMuscle_PO2) annotation (Line(
            points={{-42.2,-2},{0,-2},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(metabolicVasolidation.O2Need, organBloodFlowSignals.SkeletalMuscle_O2Need) 
          annotation (Line(
            points={{-42.2,-10},{0,-10},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(A2Effect.u, organBloodFlowSignals.A2Pool_Log10Conc) annotation (Line(
            points={{-42.2,-26},{0,-26},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(aplhaReceptorsActivityFactor.AlphaPool_Effect, organBloodFlowSignals.AlphaPool_Effect) 
          annotation (Line(
            points={{-42.2,-32},{0,-32},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(aplhaReceptorsActivityFactor.AlphaBlockade_Effect, organBloodFlowSignals.AlphaBlocade_Effect) 
          annotation (Line(
            points={{-42.2,-38},{0,-38},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(aplhaReceptorsActivityFactor.GangliaGeneral_NA, organBloodFlowSignals.GangliaGeneral_NA) 
          annotation (Line(
            points={{-42.2,-44},{0,-44},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ADHEffect.u, organBloodFlowSignals.ADHPool_Log10Conc) annotation (Line(
            points={{-42.2,-50},{0,-50},{0,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(IntensityEffect.u, organBloodFlowSignals.Exercise_Metabolism_MotionWatts) 
          annotation (Line(
            points={{23.8,54},{82,54},{82,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(RateEffect.u, organBloodFlowSignals.Exercise_Metabolism_ContractionRate) 
          annotation (Line(
            points={{23.8,46},{82,46},{82,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(metabolicVasolidation.yBase, PO2Effect.y) annotation (Line(
            points={{-52,-8},{-52,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(metabolicVasolidation.y, MusclePumping_SkeletalMuscle.yBase) 
          annotation (Line(
            points={{-52,-12},{-52,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2Effect.y, aplhaReceptorsActivityFactor.yBase) annotation (Line(
            points={{-52,-28},{-52,-31}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ADHEffect.yBase, aplhaReceptorsActivityFactor.y) annotation (Line(
            points={{-52,-48},{-52,-45}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MusclePumping_SkeletalMuscle.u, add.y) annotation (Line(
            points={{-42.2,-18},{-12.4,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.u, RateEffect.y) annotation (Line(
            points={{-3.2,-18},{14,-18},{14,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SkeletalMuscle.q_out, flowMeasure.q_out) annotation (Line(
            points={{-38,-60},{38,-60},{38,0},{82,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in skeletal muscle.
 
QHP 2008 / SkeletalMuscle-Flow
 
Created : 23-May-05
Last Modified : 04-Aug-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),             graphics), Icon(graphics={Text(
                extent={{-100,-100},{100,-80}},
                lineColor={0,0,255},
                textString="%name")}));
      end SkeletalMuscle;

      model RespiratoryMuscle
        extends HumMod.Blood.OrganFlow.BaseBadDirection;
        extends Library.Interfaces.Tissues.RespiratoryMuscle;

        HumMod.Library.Factors.SplineValue A2Effect(data={{0.0,1.05,0},{1.3,
              1.00,-0.08},{3.5,0.50,0}}) 
          annotation (Placement(transformation(extent={{-6,10},{-26,30}})));
        HumMod.Library.Blocks.CondConstant BasicConductance(k=1.1) 
          annotation (Placement(transformation(extent={{-32,70},{-20,82}})));
        HumMod.Library.Factors.SplineValue ADHEffect(data={{0.8,1.0,0},{3.0,0.1,
              0}}) 
          annotation (Placement(transformation(extent={{-6,-14},{-26,6}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity 
          annotation (Placement(transformation(extent={{-6,54},{-26,74}})));
        HumMod.Library.Factors.SimpleMultiply Anesthesia 
          annotation (Placement(transformation(extent={{-6,46},{-26,66}})));
        Library.PressureFlow.ResistorWithCond respiratorylMuscle 
          annotation (Placement(transformation(extent={{-30,-30},{-2,-2}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor aplhaReceptorsActivityFactor(
            data={{0.0,1.3,0},{1.0,1.0,-0.3},{5.0,0.1,0}}) 
          annotation (Placement(transformation(extent={{-6,-2},{-26,18}})));
        HumMod.Library.Factors.SplineDelayFactorByDayWithFailture Vasculature(
            Tau=30, data={{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}}) 
          annotation (Placement(transformation(extent={{-6,36},{-26,56}})));
        HumMod.Library.Factors.SplineValue PO2Effect(data={{10,2.0,0},{30,1.0,0}}) 
          annotation (Placement(transformation(extent={{-6,26},{-26,46}})));
        HumMod.Library.Factors.SplineValue MetabolismEffect(data={{6,1.0,0},{12,
              1.3,0.08},{400,24.0,0}}) 
          annotation (Placement(transformation(extent={{-6,18},{-26,38}})));
      equation
        connect(respiratorylMuscle.q_in, q_in) 
                                           annotation (Line(
            points={{-30,-16},{-90,-16},{-90,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(Viscosity.y,Anesthesia. yBase) annotation (Line(
            points={{-16,62},{-16,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature.yBase, Anesthesia.y)                annotation (
            Line(
            points={{-16,51},{-16,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature.y, PO2Effect.yBase)                annotation (Line(
            points={{-16,40.8},{-16,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity.yBase, BasicConductance.y)                annotation (
           Line(
            points={{-16,66},{-16,76},{-19.4,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(respiratorylMuscle.cond, ADHEffect.y) annotation (Line(
            points={{-16,-10.4},{-16,-9.2},{-16,-6},{-16,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity.u, organBloodFlowSignals.Viscosity_ConductanceEffect) annotation (
            Line(
            points={{-6.2,64},{62,64},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Anesthesia.u, organBloodFlowSignals.Anesthesia_VascularConductance) 
          annotation (Line(
            points={{-6.2,56},{62,56},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Vasculature.Failed, organBloodFlowSignals.RespiratoryMuscle_Function_Failed) 
          annotation (Line(
            points={{-6.2,50},{62,50},{62,90},{-90,90}},
            color={255,0,255},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Vasculature.u, organBloodFlowSignals.RespiratoryMuscle_PO2) annotation (Line(
            points={{-6.2,44},{62,44},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(PO2Effect.u, organBloodFlowSignals.RespiratoryMuscle_PO2) annotation (Line(
            points={{-6.2,36},{62,36},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(A2Effect.u, organBloodFlowSignals.A2Pool_Log10Conc) annotation (Line(
            points={{-6.2,20},{62,20},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(aplhaReceptorsActivityFactor.AlphaPool_Effect, organBloodFlowSignals.AlphaPool_Effect) 
          annotation (Line(
            points={{-6.2,14},{62,14},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(aplhaReceptorsActivityFactor.AlphaBlockade_Effect, organBloodFlowSignals.AlphaBlocade_Effect) 
          annotation (Line(
            points={{-6.2,8},{62,8},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(aplhaReceptorsActivityFactor.GangliaGeneral_NA, organBloodFlowSignals.GangliaGeneral_NA) 
          annotation (Line(
            points={{-6.2,2},{62,2},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ADHEffect.u, organBloodFlowSignals.ADHPool_Log10Conc) annotation (Line(
            points={{-6.2,-4},{62,-4},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(PO2Effect.y, MetabolismEffect.yBase) annotation (Line(
            points={{-16,34},{-16,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MetabolismEffect.u, organBloodFlowSignals.RespiratoryMuscle_O2Need) 
          annotation (Line(
            points={{-6.2,28},{62,28},{62,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(MetabolismEffect.y, A2Effect.yBase) annotation (Line(
            points={{-16,26},{-16,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(aplhaReceptorsActivityFactor.yBase, A2Effect.y) annotation (Line(
            points={{-16,15},{-16,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(aplhaReceptorsActivityFactor.y, ADHEffect.yBase) annotation (Line(
            points={{-16,1},{-16,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(respiratorylMuscle.q_out, flowMeasure.q_out) annotation (Line(
            points={{-2,-16},{70,-16},{70,0},{82,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in respiratory musclet.
 
QHP 2008 / RespiratoryMuscle-Flow
 
Created : 23-May-05
Last Modified : 19-Dec-05
Author : Tom Coleman
Copyright Status : In Public Domain
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),             graphics), Icon(graphics={Text(
                extent={{-102,-100},{98,-80}},
                lineColor={0,0,255},
                textString="%name")}));
      end RespiratoryMuscle;

      model Heart
        extends HumMod.Blood.OrganFlow.BaseBadDirection;

      parameter Real BasicLargeVeselsConductance( final quantity="Conductance", final unit
            =                                                                              "ml/(min.mmHg)");
      parameter Real BasicSmallVeselsConductance( final quantity="Conductance", final unit
            =                                                                              "ml/(min.mmHg)");

        HumMod.Library.Factors.SplineValue PO2Effect(data={{12,2.0,0},{17,1.0,-0.04},
              {30,0.8,0}}) 
          annotation (Placement(transformation(extent={{60,20},{80,40}})));
        HumMod.Library.Factors.SplineValue ADHEffect2(data={{0.8,1.0,0},{3.0,
              0.1,0}}) 
          annotation (Placement(transformation(extent={{60,58},{80,78}})));
        HumMod.Library.Factors.SplineValue MetabolismEffect(data={{30,1.0,0},{
              100,3.0,0}}) 
          annotation (Placement(transformation(extent={{60,10},{80,30}})));
        HumMod.Library.Factors.SimpleMultiply Anesthesia 
          annotation (Placement(transformation(extent={{60,66},{80,86}})));
        Library.PressureFlow.ResistorWithCond SmallVessel 
          annotation (Placement(transformation(extent={{56,-14},{84,14}})));
        HumMod.Library.Blocks.CondConstant LargeVesselBasicConductance(k=
              BasicLargeVeselsConductance) 
          annotation (Placement(transformation(extent={{-6,18},{-18,30}})));
        Library.PressureFlow.ResistorWithCond LargeVessel 
          annotation (Placement(transformation(extent={{-34,-14},{-6,14}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity1 
          annotation (Placement(transformation(extent={{-30,4},{-10,24}})));
        HumMod.Library.Blocks.CondConstant SmallVesselBasicConductance(k=
              BasicSmallVeselsConductance) 
          annotation (Placement(transformation(extent={{90,86},{78,98}})));
        HumMod.Nerves.AplhaReceptorsActivityFactor aplhaReceptorsActivityFactor(
            data={{0.0,1.3,0},{1.0,1.0,-0.16},{4.0,0.8,0}}) 
          annotation (Placement(transformation(extent={{60,46},{80,66}})));
        ConductanceFactors.HeartInfraction Infraction 
          annotation (Placement(transformation(extent={{60,2},{80,22}})));
        HumMod.Library.Factors.SplineDelayFactorByDayWithFailture Vasculature(
            data={{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}}, Tau=30) 
          annotation (Placement(transformation(extent={{60,30},{80,50}})));
        HumMod.Library.Factors.SimpleMultiply Viscosity 
          annotation (Placement(transformation(extent={{60,74},{80,94}})));
      equation
        connect(LargeVesselBasicConductance.y, Viscosity1.yBase) annotation (Line(
            points={{-18.6,24},{-20,24},{-20,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity1.y, LargeVessel.cond) annotation (Line(
            points={{-20,12},{-20,5.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity.y, Anesthesia.yBase) annotation (Line(
            points={{70,82},{70,78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Infraction.y, SmallVessel.cond) annotation (Line(
            points={{70,10},{70,5.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(organBloodFlowSignals.Anesthesia_VascularConductance, Anesthesia.u) 
          annotation (Line(
            points={{-90,90},{6,90},{6,76},{60.2,76}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Viscosity_ConductanceEffect, Viscosity.u) annotation (
            Line(
            points={{-90,90},{6,90},{6,84},{60.2,84}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.ADHPool_Log10Conc, ADHEffect2.u) annotation (Line(
            points={{-90,90},{6,90},{6,68},{60.2,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaPool_Effect, aplhaReceptorsActivityFactor.AlphaPool_Effect) 
          annotation (Line(
            points={{-90,90},{6,90},{6,62},{60.2,62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.AlphaBlocade_Effect, aplhaReceptorsActivityFactor.AlphaBlockade_Effect) 
          annotation (Line(
            points={{-90,90},{6,90},{6,56},{60.2,56}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.GangliaGeneral_NA, aplhaReceptorsActivityFactor.GangliaGeneral_NA) 
          annotation (Line(
            points={{-90,90},{6,90},{6,50},{60.2,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.Viscosity_ConductanceEffect, Viscosity1.u) annotation (
            Line(
            points={{-90,90},{-74,90},{-74,14},{-29.8,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(q_in, LargeVessel.q_in) annotation (Line(
            points={{-100,0},{-67,0},{-67,1.77636e-015},{-34,1.77636e-015}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(LargeVessel.q_out, SmallVessel.q_in) annotation (Line(
            points={{-6,1.77636e-015},{14,1.77636e-015},{16,0},{56,1.77636e-015}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(Viscosity.yBase, SmallVesselBasicConductance.y) annotation (
            Line(
            points={{70,86},{70,92},{77.4,92}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Anesthesia.y, ADHEffect2.yBase) annotation (Line(
            points={{70,74},{70,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ADHEffect2.y, aplhaReceptorsActivityFactor.yBase) annotation (
            Line(
            points={{70,66},{70,63}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(aplhaReceptorsActivityFactor.y, Vasculature.yBase) annotation (
            Line(
            points={{70,49},{70,45}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature.y, PO2Effect.yBase) annotation (Line(
            points={{70,34.8},{70,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PO2Effect.y, MetabolismEffect.yBase) annotation (Line(
            points={{70,28},{70,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MetabolismEffect.y, Infraction.yBase) annotation (Line(
            points={{70,18},{70,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, SmallVessel.q_out) annotation (Line(
            points={{82,0},{82,1.77636e-015},{84,1.77636e-015}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in left heart.
 
QHP 2008 / LeftHeart-Flow
 
Created : 23-May-05
Last Modified : 23-May-05
Author : Tom Coleman
Copyright Status : In Public Domain
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),             graphics), Icon(graphics={Text(
                extent={{-100,-100},{100,-80}},
                lineColor={0,0,255},
                textString="%name")}),
                    Diagram(graphics));
      end Heart;

      model PeripheralFlow
        import QHP = HumMod;
        extends QHP.Blood.OrganFlow.BaseBadDirection;
        //extends Library.PressureFlow.ResistorBase;

        QHP.Blood.OrganFlow.Bone bone 
          annotation (Placement(transformation(extent={{-38,64},{-12,90}})));
        QHP.Blood.OrganFlow.Brain brain 
          annotation (Placement(transformation(extent={{18,46},{44,72}})));
        QHP.Blood.OrganFlow.Fat fat 
          annotation (Placement(transformation(extent={{-38,26},{-12,52}})));
        QHP.Blood.OrganFlow.Kidney kidney 
          annotation (Placement(transformation(extent={{44,8},{18,34}})));
        QHP.Blood.OrganFlow.Skin skin 
          annotation (Placement(transformation(extent={{22,-34},{46,-10}})));
        QHP.Blood.OrganFlow.OtherTissue otherTissue 
          annotation (Placement(transformation(extent={{-36,-98},{-10,-72}})));
        QHP.Blood.OrganFlow.SkeletalMuscle skeletalMuscle 
          annotation (Placement(transformation(extent={{-34,-54},{-8,-28}})));
        QHP.Blood.OrganFlow.RespiratoryMuscle respiratoryMuscle 
          annotation (Placement(transformation(extent={{20,-78},{46,-52}})));
         QHP.Library.Interfaces.BusConnector organBloodFlowSignals
          "signals of organ bood flow resistence" 
          annotation (Placement(transformation(extent={{-100,80},{-80,100}}),
              iconTransformation(extent={{60,10},{78,28}})));
      equation

        connect(bone.q_in, q_in) annotation (Line(
            points={{-38,77},{-76,77},{-76,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(brain.q_in, q_in) annotation (Line(
            points={{18,59},{-76,59},{-76,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.q_in, q_in) annotation (Line(
            points={{-38,39},{-76,39},{-76,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.q_in, q_in) annotation (Line(
            points={{22,-22},{-76,-22},{-76,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.q_in, q_in)  annotation (Line(
            points={{-36,-85},{-76,-85},{-76,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.q_in, q_in)  annotation (Line(
            points={{-34,-41},{-76,-41},{-76,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.q_in, q_in) annotation (Line(
            points={{20,-65},{-76,-65},{-76,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.q_out,flowMeasure.q_out) annotation (Line(
            points={{46,-65},{76,-65},{76,0},{82,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.q_out,flowMeasure.q_out)  annotation (Line(
            points={{-8,-41},{76,-41},{76,0},{82,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.q_out,flowMeasure.q_out)  annotation (Line(
            points={{-10,-85},{76,-85},{76,0},{82,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.q_out,flowMeasure.q_out) annotation (Line(
            points={{46,-22},{76,-22},{76,0},{82,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.q_out,flowMeasure.q_out) annotation (Line(
            points={{-12,39},{76,39},{76,0},{82,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(brain.q_out,flowMeasure.q_out) annotation (Line(
            points={{44,59},{76,59},{76,0},{82,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(bone.q_out,flowMeasure.q_out) annotation (Line(
            points={{-12,77},{76,77},{76,0},{82,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(organBloodFlowSignals, otherTissue.organBloodFlowSignals)  annotation (Line(
            points={{-90,90},{52,90},{52,-82.53},{-14.03,-82.53}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(organBloodFlowSignals, skin.organBloodFlowSignals) annotation (Line(
            points={{-90,90},{52,90},{52,-19.72},{42.28,-19.72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(organBloodFlowSignals, kidney.organBloodFlowSignals) annotation (Line(
            points={{-90,90},{14,90},{14,23.47},{22.03,23.47}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(organBloodFlowSignals, fat.organBloodFlowSignals) annotation (Line(
            points={{-90,90},{52,90},{52,41.47},{-16.03,41.47}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(organBloodFlowSignals, brain.organBloodFlowSignals) annotation (Line(
            points={{-90,90},{52,90},{52,61.47},{39.97,61.47}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(organBloodFlowSignals, bone.organBloodFlowSignals) annotation (Line(
            points={{-90,90},{52,90},{52,79.47},{-16.03,79.47}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(organBloodFlowSignals, skeletalMuscle.organBloodFlowSignals)  annotation (Line(
            points={{-90,90},{52,90},{52,-38.53},{-12.03,-38.53}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(organBloodFlowSignals, respiratoryMuscle.organBloodFlowSignals) annotation (
            Line(
            points={{-90,90},{52,90},{52,-62.53},{41.97,-62.53}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(bone.BloodFlow, organBloodFlowSignals.bone_BloodFlow) 
          annotation (Line(
            points={{-15.9,74.4},{52,74.4},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(brain.BloodFlow, organBloodFlowSignals.brain_BloodFlow) 
          annotation (Line(
            points={{40.1,56.4},{52,56.4},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.BloodFlow, organBloodFlowSignals.fat_BloodFlow) annotation (
           Line(
            points={{-15.9,36.4},{52,36.4},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.BloodFlow, organBloodFlowSignals.kidney_BloodFlow) 
          annotation (Line(
            points={{21.9,18.4},{14,18.4},{14,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skin.BloodFlow, organBloodFlowSignals.skin_BloodFlow) 
          annotation (Line(
            points={{42.4,-24.4},{52,-24.4},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscle.BloodFlow, organBloodFlowSignals.skeletalMuscle_BloodFlow) 
          annotation (Line(
            points={{-11.9,-43.6},{52,-43.6},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(respiratoryMuscle.BloodFlow, organBloodFlowSignals.respiratoryMuscle_BloodFlow) 
          annotation (Line(
            points={{42.1,-67.6},{52,-67.6},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.BloodFlow, organBloodFlowSignals.otherTissue_BloodFlow) 
          annotation (Line(
            points={{-13.9,-87.6},{52,-87.6},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));

          connect(bone.BloodFlow, organBloodFlowSignals.Bone_BloodFlow) 
          annotation (Line(
            points={{-15.9,74.4},{52,74.4},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(brain.BloodFlow, organBloodFlowSignals.Brain_BloodFlow) 
          annotation (Line(
            points={{40.1,56.4},{52,56.4},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.BloodFlow, organBloodFlowSignals.Fat_BloodFlow) annotation (
           Line(
            points={{-15.9,36.4},{52,36.4},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.BloodFlow, organBloodFlowSignals.Kidney_BloodFlow) 
          annotation (Line(
            points={{21.9,18.4},{14,18.4},{14,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skin.BloodFlow, organBloodFlowSignals.Skin_BloodFlow) 
          annotation (Line(
            points={{42.4,-24.4},{52,-24.4},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscle.BloodFlow, organBloodFlowSignals.SkeletalMuscle_BloodFlow) 
          annotation (Line(
            points={{-11.9,-43.6},{52,-43.6},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(respiratoryMuscle.BloodFlow, organBloodFlowSignals.RespiratoryMuscle_BloodFlow) 
          annotation (Line(
            points={{42.1,-67.6},{52,-67.6},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.BloodFlow, organBloodFlowSignals.OtherTissue_BloodFlow) 
          annotation (Line(
            points={{-13.9,-87.6},{52,-87.6},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(kidney.q_in,flowMeasure.q_out) annotation (Line(
            points={{44,21},{76,21},{76,0},{82,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kidney.q_out, q_in) annotation (Line(
            points={{18,21},{-76,21},{-76,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));

        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in peripheral organs except hepatic artery, gastro interstitional tract, vena porte, liver and liver veins.
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),             graphics), Icon(graphics={Text(
                extent={{-120,-108},{80,-80}},
                lineColor={0,0,255},
                textString="%name"), Bitmap(extent={{-66,98},{38,-80}},
                  fileName="icons/krevniReciste.png")}),
                    Diagram(graphics));
      end PeripheralFlow;

      package test
        model T
          import QHP = HumMod;
          Kidney kidney 
            annotation (Placement(transformation(extent={{-22,12},{-2,32}})));
          Library.PressureFlow.PressureControledCompartment veins(
            stateName="SystemicVeins.Vol",
            initialVolume=10,
            STEADY=false) 
            annotation (Placement(transformation(extent={{56,12},{76,32}})));
          Library.PressureFlow.PressureControledCompartment artys(
            stateName="SystemicArtys.Vol",
            initialVolume=10,
            STEADY=false) 
            annotation (Placement(transformation(extent={{-48,12},{-68,32}})));
          QHP.Blood.setup.CVSConstInputs cVSConstInputs 
            annotation (Placement(transformation(extent={{-92,62},{-72,82}})));
          QHP.Blood.OrganFlow.setup.otherConstInputs otherConstInputs 
            annotation (Placement(transformation(extent={{-92,38},{-72,58}})));
          QHP.Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-60,42},{-44,58}})));
        equation
          connect(artys.y[1], kidney.q_in) annotation (Line(
              points={{-48,22},{-22,22}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(kidney.q_out, veins.y[1]) annotation (Line(
              points={{-2,22},{56,22}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(cVSConstInputs.busConnector, kidney.organBloodFlowSignals) 
            annotation (Line(
              points={{-86.1,70.7},{-5.1,70.7},{-5.1,23.9}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(otherConstInputs.busConnector, busConnector) annotation (Line(
              points={{-81.3,47.7},{-66.65,47.7},{-66.65,50},{-52,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(busConnector.SystemicVeins_Pressure, veins.pressure[1]) 
            annotation (Line(
              points={{-52,50},{66,50},{66,32}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(artys.pressure[1], busConnector.SystemicArtys_Pressure) 
            annotation (Line(
              points={{-58,32},{-58,50},{-52,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(otherConstInputs.busConnector, kidney.organBloodFlowSignals) 
            annotation (Line(
              points={{-81.3,47.7},{-66,47.7},{-66,70},{-5.1,70},{-5.1,23.9}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
        end T;
      end test;

      package setup
        model otherConstInputs

          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{0,-10},{14,4}})));
          Library.Blocks.Constant const32(k=95.4078941631755) 
            annotation (Placement(transformation(extent={{-88,2},{-82,8}})));
          Library.Blocks.Constant const33(k=6.97968986938239) 
            annotation (Placement(transformation(extent={{-88,-6},{-82,0}})));
          Library.Blocks.Constant const1(k=0.55745602408794) 
            annotation (Placement(transformation(extent={{-88,-14},{-82,-8}})));
        equation
          connect(const32.y,busConnector. SystemicArtys_Pressure)          annotation (Line(
              points={{-81.7,5},{-46.85,5},{-46.85,-3},{7,-3}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(const33.y,busConnector. SystemicVeins_Pressure)          annotation (Line(
              points={{-81.7,-3},{-37.35,-3},{-37.35,-3},{7,-3}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(const1.y, busConnector.BloodVol_PVCrit)           annotation (Line(
              points={{-81.7,-11},{-46.85,-11},{-46.85,-3},{7,-3}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                                 graphics));
        end otherConstInputs;
      end setup;

      model VasaRecta

        Library.PressureFlow.ResistorWithCond resistorWithCond 
          annotation (Placement(transformation(extent={{2,0},{22,20}})));
        Library.Factors.SplineValue OsmOnConductance(data={{600,1.4,0},{1100,1.0,-0.0006},
              {2000,0.8,0}}) 
          annotation (Placement(transformation(extent={{2,38},{22,58}})));
        Library.Factors.SplineValue A2OnConductance(data={{0.0,1.3,0},{1.3,1.0,-0.6},{
              2.0,0.5,0}}) 
          annotation (Placement(transformation(extent={{2,26},{22,46}})));
        Library.Factors.SplineValue SympsOnConductance(data={{0.0,1.1,0},{1.0,1.0,-0.13},
              {1.4,0.6,0}}) 
          annotation (Placement(transformation(extent={{2,18},{22,38}})));
        Library.Blocks.CondConstant condConstant(k=0.27) 
          annotation (Placement(transformation(extent={{-4,62},{8,74}})));
        Library.Interfaces.BusConnector busConnector
          "signals of organ bood flow resistence"                                          annotation (Placement(
              transformation(extent={{-96,64},{-74,86}}),  iconTransformation(
                extent={{-100,60},{-60,100}})));
        Library.PressureFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{32,20},{52,0}})));
        Library.PressureFlow.InputPump inputPump 
          annotation (Placement(transformation(extent={{-54,-48},{-34,-28}})));
        Modelica.Blocks.Math.Add Osm 
          annotation (Placement(transformation(extent={{-14,44},{-6,52}})));
        Library.Interfaces.RealInput_ ArcuateArtery_Pressure annotation (
            Placement(transformation(extent={{-80,20},{-68,32}}),
              iconTransformation(extent={{-100,-20},{-60,20}})));
        Library.Factors.SplineValue NephroneADHOnConductance(
          data={{0.0,1.4,0},{0.3,1.0,-0.4},{1.0,0.9,0}}) 
          annotation (Placement(transformation(extent={{2,46},{22,66}})));
        Library.PressureFlow.InputPressurePump arcuateArtery 
          annotation (Placement(transformation(extent={{-74,0},{-54,20}})));
        Library.PressureFlow.OutputPressurePump veins 
          annotation (Placement(transformation(extent={{54,0},{74,20}})));
      equation
        connect(SympsOnConductance.y, resistorWithCond.cond) annotation (Line(
            points={{12,26},{12,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2OnConductance.y, SympsOnConductance.yBase) annotation (Line(
            points={{12,34},{12,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OsmOnConductance.y, A2OnConductance.yBase) annotation (Line(
            points={{12,46},{12,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.A2Pool_Log10Conc, A2OnConductance.u) annotation (Line(
            points={{-85,75},{-60,75},{-60,36},{2.2,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Kidney_Alpha_NA, SympsOnConductance.u) annotation (Line(
            points={{-85,75},{-60,75},{-60,28},{2.2,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(resistorWithCond.q_out, flowMeasure.q_in) annotation (Line(
            points={{22,10},{36,10}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, busConnector.VasaRecta_Outflow) annotation (
            Line(
            points={{42,4.6},{42,-10},{84,-10},{84,75},{-85,75}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-12},{6,-12}}));
        connect(inputPump.q_out, flowMeasure.q_in) annotation (Line(
            points={{-34,-37},{26,-37},{26,10},{36,10}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Osm.y, OsmOnConductance.u) annotation (Line(
            points={{-5.6,48},{2.2,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.MedullaNa_Osmolarity, Osm.u1) annotation (Line(
            points={{-85,75},{-60,75},{-60,50.4},{-14.8,50.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.MedullaUrea_Osmolarity, Osm.u2) annotation (Line(
            points={{-85,75},{-60,75},{-60,45.6},{-14.8,45.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_H2O_Reab, inputPump.desiredFlow) annotation (
            Line(
            points={{-85,75},{-76,75},{-76,-22},{-44,-22},{-44,-32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(NephroneADHOnConductance.y, OsmOnConductance.yBase) annotation (
           Line(
            points={{12,54},{12,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(condConstant.y, NephroneADHOnConductance.yBase) annotation (
            Line(
            points={{8.6,68},{12,68},{12,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.NephronADH, NephroneADHOnConductance.u) 
          annotation (Line(
            points={{-85,75},{-60,75},{-60,56},{2.2,56}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(arcuateArtery.p_out, resistorWithCond.q_in) annotation (Line(
            points={{-56,10},{2,10}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ArcuateArtery_Pressure, arcuateArtery.desiredPressure) 
          annotation (Line(
            points={{-74,26},{-64,26},{-64,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(veins.desiredPressure, busConnector.SystemicVeins_Pressure) 
          annotation (Line(
            points={{64,16},{64,75},{-85,75}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(flowMeasure.q_out, veins.p_in) annotation (Line(
            points={{48,10},{56,10}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2010</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
      end VasaRecta;

      model LeftHeart
        extends Heart(PO2Effect(curve(iFrom(start=2))));
        extends Library.Interfaces.Tissues.LeftHeart;
      equation
        connect(organBloodFlowSignals.LeftHeart_Function_Failed, Vasculature.Failed) 
          annotation (Line(
            points={{-90,90},{6,90},{6,44},{60.2,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.LeftHeart_PO2, PO2Effect.u) annotation (
            Line(
            points={{-90,90},{6,90},{6,30},{60.2,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.LeftHeart_O2Need, MetabolismEffect.u) 
          annotation (Line(
            points={{-90,90},{6,90},{6,20},{60.2,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.LeftHeart_PO2, Vasculature.u) annotation (
           Line(
            points={{-90,90},{6,90},{6,38},{60.2,38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(graphics));
      end LeftHeart;

      model RightHeart
        extends Heart(SmallVessel(q_in(pressure(start=44))));
        extends Library.Interfaces.Tissues.RightHeart;
      equation
        connect(organBloodFlowSignals.RightHeart_PO2, Vasculature.u) 
          annotation (Line(
            points={{-90,90},{6,90},{6,38},{60.2,38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.RightHeart_PO2, PO2Effect.u) annotation (
            Line(
            points={{-90,90},{6,90},{6,30},{60.2,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.RightHeart_O2Need, MetabolismEffect.u) 
          annotation (Line(
            points={{-90,90},{6,90},{6,20},{60.2,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(organBloodFlowSignals.RightHeart_Function_Failed, Vasculature.Failed) 
          annotation (Line(
            points={{-90,90},{6,90},{6,44},{60.2,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(graphics));
      end RightHeart;

      model SplanchnicCirculation
        extends Library.PressureFlow.ResistorBase2;

        Library.Interfaces.BusConnector busConnector
          "signals of organ bood flow resistence"                                          annotation (Placement(
              transformation(extent={{56,-56},{76,-36}}),  iconTransformation(
                extent={{-108,42},{-92,58}})));

        VascularCompartments.VascularElasticBloodCompartment portalVein(
            initialVol=1009.99,
          stateName="SplanchnicVeins.Vol") 
          annotation (Placement(transformation(extent={{-16,-10},{5,11}})));
        OrganFlow.GITract GITract 
          annotation (Placement(transformation(extent={{34,-12},{58,12}})));
        Library.Blocks.PressureConstant const9(k=0) 
          annotation (Placement(transformation(extent={{3,15},{-4,22}})));
        Library.Blocks.ComplianceConstant const10(k=62.5) 
          annotation (Placement(transformation(extent={{12,10},{4,18}})));
        Library.Blocks.ConstantFromFile const11(units="ml",k=500,
          varName="SplanchnicVeins.V0") 
          annotation (Placement(transformation(extent={{-27,11},{-19,19}})));
        Liver liver 
          annotation (Placement(transformation(extent={{-56,34},{-32,58}})));
      equation

        connect(portalVein.referencePoint,GITract. q_in)     annotation (Line(
            points={{-5.5,0.5},{20,0},{34,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GITract.organBloodFlowSignals,busConnector)           annotation (Line(
            points={{54.28,2.28},{66,2.28},{66,-46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(portalVein.ExternalPressure,const9. y)     annotation (Line(
            points={{-5.5,11},{-5.5,18.5},{-4.35,18.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(portalVein.Compliance,const10. y)     annotation (Line(
            points={{0.8,11},{0.8,14},{3.6,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(portalVein.V0,const11. y)     annotation (Line(
            points={{-11.8,11},{-11.8,15},{-18.6,15}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.BloodFlow, busConnector.GITract_BloodFlow) annotation (
            Line(
            points={{54.4,-2.4},{66,-2.4},{66,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(portalVein.Pressure, busConnector.SplanchnicVeins_Pressure) 
          annotation (Line(
            points={{-1.3,-10},{-1.3,-46},{66,-46}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));
        connect(const11.y, busConnector.PortalVein_V0) annotation (Line(
            points={{-18.6,15},{-14,15},{-14,-46},{66,-46}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(portalVein.Vol, busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume) 
          annotation (Line(
            points={{-9.7,-10},{-9.7,-46},{66,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, GITract.q_out) annotation (Line(
            points={{100,0},{58,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, liver.q_out) annotation (Line(
            points={{100,0},{84,0},{84,46},{-32,46}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(portalVein.referencePoint, liver.portalVein) annotation (Line(
            points={{-5.5,0.5},{-41.36,0.5},{-41.36,40.24}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(liver.q_in, q_out) annotation (Line(
            points={{-56,46},{-78,46},{-78,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, liver.organBloodFlowSignals) annotation (Line(
            points={{66,-46},{66,48.28},{-35.72,48.28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics),       Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/perfusion2.png"),
              Text(
                extent={{-108,-48},{106,-70}},
                lineColor={0,0,255},
                textString="%name"),
              Bitmap(extent={{-34,46},{34,-48}}, fileName=
                    "icons/traviciTrakt03.png")}),
        Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Design:</td>
<td>Zuzana Rubaninska</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>", info="<html>
<p>Blood volume (and pressures) distribution between </p>
<p><ul>
<li>pulmonary arteries, </li>
<li>pulmonary veins and </li>
<li>pulmonary capilaries.</li>
</ul></p>
<p>Blood flow through ventilated alveoli.</p>
</html>"));
      end SplanchnicCirculation;

      model Liver
        extends BaseBadDirection;
        extends Library.Interfaces.Tissues.Liver;
        Library.PressureFlow.PositivePressureFlow portalVein 
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-14,-10},{6,10}}),    iconTransformation(extent={{12,-58},
                  {32,-38}})));
        Library.PressureFlow.ResistorWithCondParam splachnicVeinsConductance(
            cond=178*5.4826929484432128619694687329025) 
          annotation (Placement(transformation(extent={{-70,-8},{-54,8}})));
        Library.PressureFlow.FlowMeasure flowMeasure1 annotation (Placement(
              transformation(
              extent={{-10,10},{10,-10}},
              rotation=180,
              origin={-82,0})));
        Library.PressureFlow.FlowMeasure flowMeasure2 annotation (Placement(
              transformation(
              extent={{-10,10},{10,-10}},
              rotation=180,
              origin={-26,0})));
        Library.PressureFlow.ResistorWithCondParam HepaticArtyConductance(cond=
              2.8) 
          annotation (Placement(transformation(extent={{-4,34},{16,54}})));
        Library.PressureFlow.FlowMeasure flowMeasure3 
                                                     annotation (Placement(
              transformation(
              extent={{-10,10},{10,-10}},
              rotation=180,
              origin={42,44})));
      equation
        connect(HepaticArtyConductance.q_in,splachnicVeinsConductance. q_out) 
          annotation (Line(
            points={{-4,44},{-51,44},{-51,0},{-54,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure1.q_in,splachnicVeinsConductance. q_in) annotation (
            Line(
            points={{-76,-7.34788e-016},{-74,-7.34788e-016},{-74,0},{-70,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.actualFlow, organBloodFlowSignals.Liver_BloodFlow) 
          annotation (Line(
            points={{-82,5.4},{-82,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure2.actualFlow, organBloodFlowSignals.PortalVein_BloodFlow) 
          annotation (Line(
            points={{-26,5.4},{-26,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splachnicVeinsConductance.q_out,flowMeasure2. q_out) annotation (Line(
            points={{-54,0},{-44,0},{-44,7.34788e-016},{-32,7.34788e-016}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure3.q_out, HepaticArtyConductance.q_out) 
                                                                 annotation (
            Line(
            points={{36,44},{16,44}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure3.actualFlow, organBloodFlowSignals.HepaticArty_BloodFlow) 
          annotation (Line(
            points={{42,49.4},{42,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(flowMeasure1.q_out, q_in) annotation (Line(
            points={{-88,7.34788e-016},{-94,7.34788e-016},{-94,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(portalVein, flowMeasure2.q_in) annotation (Line(
            points={{-4,0},{-12,0},{-12,-7.34788e-016},{-20,-7.34788e-016}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, flowMeasure3.q_in) annotation (Line(
            points={{82,0},{72,0},{72,44},{48,44}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),
                               graphics), Diagram(graphics));
      end Liver;
    end OrganFlow;

    package BlooodVolume "Red Cells and Blood Properties"

      model RedCells2

        Library.PressureFlow.OutputPump RBCClearance 
          annotation (Placement(transformation(extent={{48,-10},{68,10}})));
        Library.PressureFlow.VolumeCompartement RBCVolume(initialVolume=2373.2,
            stateName="RBCVol.Vol") 
          annotation (Placement(transformation(extent={{0,-10},{20,10}})));
        Library.PressureFlow.InputPump transfusion 
          annotation (Placement(transformation(extent={{-48,26},{-28,46}})));
        Library.PressureFlow.OutputPump hemorrhage 
          annotation (Placement(transformation(extent={{48,26},{68,46}})));
        Library.Factors.SplineDelayByDay EPOEffect(
          Tau=3,
          data={{0.0,0.0,0},{1.3,1.0,1.0},{4.0,4.0,0}}) 
          annotation (Placement(transformation(extent={{-76,4},{-56,24}})));
        Library.Blocks.FlowConstant RBCBaseSecretionRate(    k=0.013889) 
          annotation (Placement(transformation(extent={{-80,20},{-70,30}})));
        Library.PressureFlow.InputPump RBCProduction 
          annotation (Placement(transformation(extent={{-76,-10},{-56,10}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-98,54},{-78,74}})));
        Modelica.Blocks.Math.Gain gain(k=1/120*(1/1440)) 
          annotation (Placement(transformation(extent={{34,-14},{42,-6}})));
        Modelica.Blocks.Math.Gain H2O(k=1 - 0.34) 
          annotation (Placement(transformation(extent={{36,-44},{44,-36}})));
      equation
        connect(busConnector.Transfusion_RBCRate,transfusion. desiredFlow) 
                                                            annotation (Line(
            points={{-88,64},{-86,64},{-86,58},{-38,58},{-38,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Hemorrhage_RBCRate, hemorrhage.desiredFlow) 
                                                            annotation (Line(
            points={{-88,64},{-86,64},{-86,58},{58,58},{58,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RBCBaseSecretionRate.y,EPOEffect. yBase)              annotation (
            Line(
            points={{-69.5,25},{-66,25},{-66,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EPOEffect.u,busConnector. EPOPool_Log10Conc)              annotation (Line(
            points={{-75.8,14},{-86.9,14},{-86.9,64},{-88,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RBCProduction.desiredFlow, EPOEffect.y) 
                                                 annotation (Line(
            points={{-66,6},{-66,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RBCProduction.q_out, RBCVolume.con) 
                                                   annotation (Line(
            points={{-56,1},{-30.6,1},{-30.6,0},{0,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(transfusion.q_out, RBCVolume.con) annotation (Line(
            points={{-28,37},{-14,37},{-14,0},{0,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(RBCVolume.con, hemorrhage.q_in)  annotation (Line(
            points={{0,0},{26,0},{26,36},{48,36}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(RBCVolume.con, RBCClearance.q_in) annotation (Line(
            points={{0,0},{48,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(RBCVolume.Volume, gain.u) annotation (Line(
            points={{11.2,-10},{33.2,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, RBCClearance.desiredFlow) annotation (Line(
            points={{42.4,-10},{44,-10},{44,10},{58,10},{58,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RBCVolume.Volume,busConnector. RBCVol_Vol) annotation (Line(
            points={{11.2,-10},{11.2,-24},{100,-24},{100,58},{-86,58},{-86,64},
                {-88,64}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-5},{6,-5}}));
        connect(RBCVolume.Volume, H2O.u) annotation (Line(
            points={{11.2,-10},{10,-10},{10,-40},{35.2,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2O.y, busConnector.RBCH2O_Vol) annotation (Line(
            points={{44.4,-40},{100,-40},{100,58},{-88,58},{-88,64}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-70,80},{70,-40}}, fileName=
                    "icons/krvinka.png"), Text(
                extent={{-136,-46},{148,-68}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
      end RedCells2;

      model BloodProperties

        Modelica.Blocks.Math.Add BloodVolume 
          annotation (Placement(transformation(extent={{14,-70},{22,-62}})));
        Modelica.Blocks.Math.Min CollapsedEffect 
          annotation (Placement(transformation(extent={{50,-84},{58,-76}})));
        Modelica.Blocks.Math.Division division 
          annotation (Placement(transformation(extent={{38,-78},{46,-70}})));
        Library.Blocks.Constant const(
                               k=1) 
          annotation (Placement(transformation(extent={{38,-94},{46,-86}})));
        Modelica.Blocks.Math.Division HtcFract 
          annotation (Placement(transformation(extent={{32,-46},{40,-38}})));
        Library.Curves.Curve HtcOnVisc(
          x={0,.44,.8},
          y={.5,1,5},
          slope={.8,3,30}) 
          annotation (Placement(transformation(extent={{46,-52},{66,-32}})));
        Modelica.Blocks.Math.Division division1 
          annotation (Placement(transformation(extent={{78,-40},{86,-32}})));
        Library.Blocks.Constant const1(
                               k=1) 
          annotation (Placement(transformation(extent={{64,-30},{72,-22}})));
        Library.Blocks.Constant const2(
                               k=1) 
          annotation (Placement(transformation(extent={{28,-14},{36,-6}})));
        Modelica.Blocks.Math.Feedback PVCrit 
          annotation (Placement(transformation(extent={{38,-14},{46,-6}})));
        Library.Blocks.Constant Constant4(k=8.4) 
          annotation (Placement(transformation(extent={{-6,8},{-14,16}})));
        Library.Blocks.Constant Constant1(k=0.44) 
          annotation (Placement(transformation(extent={{-66,-8},{-58,0}})));
        Library.Factors.SimpleMultiply hematocritEffect 
          annotation (Placement(transformation(extent={{-30,-10},{-10,10}})));
        Modelica.Blocks.Math.Division division2 
          annotation (Placement(transformation(extent={{-50,-4},{-42,4}})));
        Library.Blocks.Constant Constant5(k=5.4) 
          annotation (Placement(transformation(extent={{26,90},{18,98}})));
        Library.Blocks.Constant Constant6(k=0.005) 
          annotation (Placement(transformation(extent={{26,82},{18,90}})));
        Library.Blocks.Constant Constant7(k=0.005) 
          annotation (Placement(transformation(extent={{26,74},{18,82}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-104,58},{-84,78}})));
        Modelica.Blocks.Math.Division division3(y(unit="mmol/l")) 
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={10,2})));
        Modelica.Blocks.Math.Feedback feedback 
          annotation (Placement(transformation(extent={{-20,32},{-40,52}})));
        Modelica.Blocks.Math.Add BloodVolume1 
          annotation (Placement(transformation(extent={{-46,24},{-38,32}})));
        Modelica.Blocks.Math.Product product 
          annotation (Placement(transformation(extent={{66,2},{74,10}})));
        Modelica.Blocks.Math.Sum V0(nin=5) 
          annotation (Placement(transformation(extent={{-32,-90},{-24,-82}})));
        Modelica.Blocks.Math.Sum ArtysVol(nin=4) "volume of oxygenated blood" 
          annotation (Placement(transformation(extent={{-28,-34},{-20,-26}})));
        Modelica.Blocks.Math.Sum VeinsVol(nin=5) "volume of deoxygenated blood"
          annotation (Placement(transformation(extent={{-28,-54},{-20,-46}})));
      equation
        connect(busConnector.PlasmaVol_Vol, BloodVolume.u2) 
                                                    annotation (Line(
            points={{-94,68},{-94,-68.4},{13.2,-68.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.RBCVol_Vol, BloodVolume.u1) 
                                                  annotation (Line(
            points={{-94,68},{-94,-63.6},{13.2,-63.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodVolume.y, busConnector.BloobVolume) 
                                                 annotation (Line(
            points={{22.4,-66},{90,-66},{90,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.y, CollapsedEffect.u1) 
                                    annotation (Line(
            points={{46.4,-74},{47.8,-74},{47.8,-77.6},{49.2,-77.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Vesseles_V0,division. u2) annotation (Line(
            points={{-94,68},{-94,-74},{37.2,-74},{37.2,-76.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodVolume.y, division.u1) 
                                    annotation (Line(
            points={{22.4,-66},{28,-66},{28,-71.6},{37.2,-71.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const.y, CollapsedEffect.u2) 
                                 annotation (Line(
            points={{46.4,-90},{48,-90},{48,-82.4},{49.2,-82.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CollapsedEffect.y, busConnector.BloodVol_CollapsedEffect) 
                                                              annotation (Line(
            points={{58.4,-80},{90,-80},{90,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.u2, BloodVolume.y) 
                                    annotation (Line(
            points={{31.2,-44.4},{28,-44.4},{28,-66},{22.4,-66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.u1,busConnector. RBCVol_Vol) annotation (Line(
            points={{31.2,-39.6},{-94,-39.6},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.y,HtcOnVisc. u) annotation (Line(
            points={{40.4,-42},{46,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const1.y,division1. u1) annotation (Line(
            points={{72.4,-26},{74,-26},{74,-33.6},{77.2,-33.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcOnVisc.val,division1. u2) annotation (Line(
            points={{66.2,-42},{75.5,-42},{75.5,-38.4},{77.2,-38.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division1.y,busConnector. Viscosity_ConductanceEffect) annotation (Line(
            points={{86.4,-36},{90,-36},{90,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.y,busConnector. BloodVol_Hct) annotation (Line(
            points={{40.4,-42},{42,-42},{42,-20},{-94,-20},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const2.y,PVCrit. u1) annotation (Line(
            points={{36.4,-10},{38.8,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.y,PVCrit. u2) annotation (Line(
            points={{40.4,-42},{42,-42},{42,-13.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PVCrit.y,busConnector. BloodVol_PVCrit) annotation (Line(
            points={{45.6,-10},{90,-10},{90,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Constant4.y,hematocritEffect. yBase) annotation (Line(
            points={{-14.4,12},{-20,12},{-20,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hematocritEffect.y,busConnector. ctHb) annotation (Line(
            points={{-20,-2},{-20,-10},{-94,-10},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(division2.y,hematocritEffect. u) annotation (Line(
            points={{-41.6,0},{-29.8,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y,division2. u2) annotation (Line(
            points={{-57.6,-4},{-55.2,-4},{-55.2,-2.4},{-50.8,-2.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.y,division2. u1) annotation (Line(
            points={{40.4,-42},{42,-42},{42,-20},{-72,-20},{-72,2.4},{-50.8,2.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.cDPG,Constant5. y) annotation (Line(
            points={{-94,68},{-4,68},{-4,94},{17.6,94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.FMetHb,Constant6. y) annotation (Line(
            points={{-94,68},{-4,68},{-4,86},{17.6,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.FHbF,Constant7. y) annotation (Line(
            points={{-94,68},{-4,68},{-4,78},{17.6,78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant4.y, division3.u1) annotation (Line(
            points={{-14.4,12},{-20,12},{-20,4},{5.2,4},{5.2,4.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.y, division3.u2) annotation (Line(
            points={{40.4,-42},{42,-42},{42,-20},{-2,-20},{-2,-0.4},{5.2,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(division3.y, busConnector.ctHb_ery) annotation (Line(
            points={{14.4,2},{20,2},{20,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVolume.y, feedback.u1) annotation (Line(
            points={{22.4,-66},{28,-66},{28,42},{-22,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ArtysVol, BloodVolume1.u1) annotation (Line(
            points={{-94,68},{-94,30},{-46.8,30},{-46.8,30.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.VeinsVol, BloodVolume1.u2) annotation (Line(
            points={{-94,68},{-94,26},{-46.8,26},{-46.8,25.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(BloodVolume1.y, feedback.u2) annotation (Line(
            points={{-37.6,28},{-30,28},{-30,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BloodVolume_change, feedback.y) annotation (Line(
            points={{-94,68},{-94,42},{-39,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(PVCrit.y, product.u2) annotation (Line(
            points={{45.6,-10},{54,-10},{54,3.6},{65.2,3.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PortalVein_BloodFlow, product.u1) annotation (Line(
            points={{-94,68},{54,68},{54,8.4},{65.2,8.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(product.y, busConnector.PortalVein_PlasmaFlow) annotation (Line(
            points={{74.4,6},{90,6},{90,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(V0.y, busConnector.Vesseles_V0) annotation (Line(
            points={{-23.6,-86},{0,-86},{0,-78},{-94,-78},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(VeinsVol.y, busConnector.VeinsVol) annotation (Line(
            points={{-19.6,-50},{0,-50},{0,-42},{-94,-42},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ArtysVol.y, busConnector.ArtysVol) annotation (Line(
            points={{-19.6,-30},{0,-30},{0,-22},{-94,-22},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.PulmonaryCirculation_OxygenatedBloodVolume, ArtysVol.u[1]) 
          annotation (Line(
            points={{-94,68},{-94,-26},{-30,-26},{-30,-30.6},{-28.8,-30.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.Heart_OxygenatedBloodVolume, ArtysVol.u[2]) annotation (
            Line(
            points={{-94,68},{-94,-30.2},{-28.8,-30.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,2},{-6,2}}));
        connect(busConnector.SystemicArtys_OxygenatedBloodVolume, ArtysVol.u[3]) 
          annotation (Line(
            points={{-94,68},{-94,-34},{-30,-34},{-30,-29.8},{-28.8,-29.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-2},{-6,-2}}));
        connect(busConnector.LegArtys_OxygenatedBloodVolume, ArtysVol.u[4]) 
          annotation (Line(
            points={{-94,68},{-94,-38},{-30,-38},{-30,-29.4},{-28.8,-29.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-6},{-6,-6}}));

        connect(busConnector.PulmonaryCirculation_DeoxygenatedBloodVolume, VeinsVol.u[1]) 
          annotation (Line(
            points={{-94,68},{-94,-46},{-30,-46},{-30,-50.64},{-28.8,-50.64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.Heart_DeoxygenatedBloodVolume, VeinsVol.u[2]) annotation (
            Line(
            points={{-94,68},{-94,-50.32},{-28.8,-50.32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,2},{-6,2}}));
        connect(busConnector.LegVeins_DeoxygenatedBloodVolume, VeinsVol.u[3]) 
          annotation (Line(
            points={{-94,68},{-94,-54},{-30,-54},{-30,-50},{-28.8,-50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-2},{-6,-2}}));
        connect(busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume, VeinsVol.u[4]) 
          annotation (Line(
            points={{-94,68},{-94,-58},{-30,-58},{-30,-49.68},{-28.8,-49.68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-6},{-6,-6}}));
        connect(busConnector.SystemicVeins_DeoxygenatedBloodVolume, VeinsVol.u[5]) 
          annotation (Line(
            points={{-94,68},{-94,-62},{-30,-62},{-30,-49.36},{-28.8,-49.36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-10},{-6,-10}}));

        connect(busConnector.PulmonaryCirculation_V0, V0.u[1]) 
          annotation (Line(
            points={{-94,68},{-94,-82},{-34,-82},{-34,-86.64},{-32.8,-86.64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.Heart_V0, V0.u[2]) annotation (
            Line(
            points={{-94,68},{-94,-86.32},{-32.8,-86.32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,2},{-6,2}}));
        connect(busConnector.SystemicArtys_V0, V0.u[3]) 
          annotation (Line(
            points={{-94,68},{-94,-90},{-34,-90},{-34,-86},{-32.8,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-2},{-6,-2}}));
        connect(busConnector.PortalVein_V0, V0.u[4]) annotation (Line(
            points={{-94,68},{-94,-94},{-34,-94},{-34,-86},{-32.8,-85.68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-6},{-6,-6}}));
        connect(busConnector.SystemicVeins_V0, V0.u[5]) annotation (Line(
            points={{-94,68},{-94,-98},{-34,-98},{-34,-86},{-32.8,-85.36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-10},{-6,-10}}));

        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-102,100},{102,-100}}, fileName=
                    "icons/bloodProperties.jpg"), Text(
                extent={{-142,-108},{142,-130}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(info="<html>
<p>BloodVolume .. whole blood volume</p>
<p>BloodVol_Hct .. haematocrit</p>
<p>BloodVol_PVCrit .. 1-BloodVol_Hct, plamacrit</p>
<p>ctHb_ery .. concentration of heme group in erythrocytes = 4 * MCHC (mean corpuscular hemoglobin concentration)</p>
<p>ctHb .. concentration of heme group in whole blood</p>
<p>FHbF .. featal Hb fraction from all Hb</p>
<p>FMetHb .. metha-Hb fraction from all Hb</p>
<p>cDPG .. concentration of 2,3-diphosphoglycerate in erythrocytes</p>
<p>Viscosity_ConductanceEffect .. multiply coeficient of blood resistance through vesseles</p>
<p>BloodVol_CollapsedEffect .. effect of small blood volume on systemic veins collasping</p>
<p>Vesseles_V0 .. volume of no-pressure generating blood in all vessels.</p>
<p>ArtysVol .. volume of all oxigenated blood</p>
<p>VeinsVol .. volume of all deoxigenated blood</p>
</html>", revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
      end BloodProperties;

      package ExpandableConnectorPatch
        connector RedCells2_InputBusConnector
          extends Library.Interfaces.SignalBusBlue;

          input Real Transfusion_RBCRate;
          input Real Hemorrhage_RBCRate;
          input Real EPOPool_Log10Conc;
          output Real RBCVol_Vol;
        end RedCells2_InputBusConnector;

        model RedCells2

          Library.PressureFlow.OutputPump RBCClearance 
            annotation (Placement(transformation(extent={{48,-10},{68,10}})));
          Library.PressureFlow.VolumeCompartement RBCVolume(
                                                         initialVolume=2516) 
            annotation (Placement(transformation(extent={{0,-10},{20,10}})));
          Library.PressureFlow.InputPump transfusion 
            annotation (Placement(transformation(extent={{-48,26},{-28,46}})));
          Library.PressureFlow.OutputPump hemmorrhage 
            annotation (Placement(transformation(extent={{48,26},{68,46}})));
          Library.Factors.SplineDelayByDay EPOEffect(
            Tau=3,
            data={{0.0,0.0,0},{1.3,1.0,1.0},{4.0,4.0,0}}) 
            annotation (Placement(transformation(extent={{-76,4},{-56,24}})));
          Library.Blocks.FlowConstant RBCBaseSecretionRate(    k=0.013889) 
            annotation (Placement(transformation(extent={{-80,20},{-70,30}})));
          Library.PressureFlow.InputPump RBCSecretion 
            annotation (Placement(transformation(extent={{-76,-10},{-56,10}})));
          RedCells2_InputBusConnector busConnector 
            annotation (Placement(transformation(extent={{-98,54},{-78,74}})));
          Modelica.Blocks.Math.Gain gain(k=1/120*(1/1440)) 
            annotation (Placement(transformation(extent={{34,-14},{42,-6}})));
        equation
          connect(busConnector.Transfusion_RBCRate,transfusion. desiredFlow) 
                                                              annotation (Line(
              points={{-88,64},{-86,64},{-86,58},{-38,58},{-38,42}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.Hemorrhage_RBCRate,hemmorrhage. desiredFlow) 
                                                              annotation (Line(
              points={{-88,64},{-86,64},{-86,58},{58,58},{58,42}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(RBCBaseSecretionRate.y,EPOEffect. yBase)              annotation (
              Line(
              points={{-69.5,25},{-66,25},{-66,16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(EPOEffect.u,busConnector. EPOPool_Log10Conc)              annotation (Line(
              points={{-75.8,14},{-86.9,14},{-86.9,64},{-88,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(RBCSecretion.desiredFlow,EPOEffect. y) 
                                                   annotation (Line(
              points={{-66,6},{-66,10},{-66,10},{-66,12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(RBCSecretion.q_out, RBCVolume.con) annotation (Line(
              points={{-56,1},{-30.6,1},{-30.6,0},{0,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(transfusion.q_out, RBCVolume.con) annotation (Line(
              points={{-28,37},{-14,37},{-14,0},{0,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(RBCVolume.con, hemmorrhage.q_in) annotation (Line(
              points={{0,0},{26,0},{26,36},{48,36}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(RBCVolume.con, RBCClearance.q_in) annotation (Line(
              points={{0,0},{48,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(RBCVolume.Volume, gain.u) annotation (Line(
              points={{11.2,-10},{33.2,-10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain.y, RBCClearance.desiredFlow) annotation (Line(
              points={{42.4,-10},{44,-10},{44,10},{58,10},{58,6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(RBCVolume.Volume,busConnector. RBCVol_Vol) annotation (Line(
              points={{11.2,-10},{11.2,-24},{100,-24},{100,58},{-86,58},{-86,64},
                  {-88,64}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,-5},{6,-5}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics), Icon(coordinateSystem(
                  preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "icons/redCell.jpg"), Text(
                  extent={{-142,-110},{142,-132}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
        end RedCells2;

        model RedCells2_Inputs

          RedCells2_OutputBusConnector busConnector 
            annotation (Placement(transformation(extent={{-38,6},{2,46}})));

          Library.Blocks.Constant const4(k=1.24259421313058) 
            annotation (Placement(transformation(extent={{52,-10},{46,-4}})));
          Library.Blocks.Constant const40(k=0) 
            annotation (Placement(transformation(extent={{52,2},{46,8}})));
          Library.Blocks.Constant const41(k=0) 
            annotation (Placement(transformation(extent={{52,-4},{46,2}})));
        equation
          connect(busConnector.Transfusion_RBCRate,const40. y) annotation (Line(
              points={{-18,26},{-18,5},{45.7,5}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.Hemorrhage_RBCRate,const41. y) annotation (Line(
              points={{-18,26},{-18,-1},{45.7,-1}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.EPOPool_Log10Conc,const4. y) annotation (Line(
              points={{-18,26},{-18,-7},{45.7,-7}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
        end RedCells2_Inputs;

        connector RedCells2_OutputBusConnector
          extends Library.Interfaces.SignalBusBlue;

          output Real Transfusion_RBCRate;
          output Real Hemorrhage_RBCRate;
          output Real EPOPool_Log10Conc;
          input Real RBCVol_Vol;
        end RedCells2_OutputBusConnector;

        model T
          RedCells2 redCells2_1 
            annotation (Placement(transformation(extent={{-58,-2},{-38,18}})));
          RedCells2_Inputs redCells2_Inputs 
            annotation (Placement(transformation(extent={{-70,50},{-50,70}})));
        equation
          connect(redCells2_Inputs.busConnector, redCells2_1.busConnector) 
            annotation (Line(
              points={{-61.8,62.6},{-61.8,38.3},{-56.8,38.3},{-56.8,14.4}},
              color={0,0,255},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false,
                  extent={{-100,-100},{100,100}}), graphics));
        end T;
      end ExpandableConnectorPatch;
    end BlooodVolume;

    model CVS
      extends HumMod.Library.Utilities.DynamicState(stateName="BloodVol.Vol", initType=Library.Utilities.Init.NoInit);

      VascularCompartments.Heart heart 
        annotation (Placement(transformation(extent={{0,-6},{26,20}})));
      VascularCompartments.PulmonaryCirculation pulmonaryCirculation 
        annotation (Placement(transformation(extent={{0,46},{28,74}})));
      VascularCompartments.SystemicCirculation systemicCirculation 
        annotation (Placement(transformation(extent={{-2,-68},{32,-34}})));
      Library.Interfaces.BusConnector busConnector
        "signals of organ bood flow resistence"                                          annotation (Placement(
            transformation(extent={{-38,-8},{-16,14}}),  iconTransformation(
              extent={{-100,60},{-60,100}})));
      BlooodVolume.RedCells2 redCells 
        annotation (Placement(transformation(extent={{-34,26},{-54,46}})));
      BlooodVolume.BloodProperties bloodProperties 
        annotation (Placement(transformation(extent={{-34,-34},{-54,-14}})));

    initial equation
      if STEADY then
         bloodProperties.feedback.y = 0;
      end if;

    equation
      connect(busConnector, pulmonaryCirculation.busConnector) annotation (
          Line(
          points={{-27,3},{-26,3},{-26,67},{0,67}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, systemicCirculation.busConnector) annotation (
          Line(
          points={{-27,3},{-26,3},{-26,-44.2},{-2.34,-44.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, redCells.busConnector)    annotation (Line(
          points={{-27,3},{-26,3},{-26,42.4},{-35.2,42.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, bloodProperties.busConnector) annotation (Line(
          points={{-27,3},{-26,3},{-26,-17.2},{-34.6,-17.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, heart.busConnector) annotation (Line(
          points={{-27,3},{-25.5,3},{-25.5,3.1},{0,3.1}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(heart.fromLeftVentricle, systemicCirculation.q_in) annotation (
          Line(
          points={{16.12,3.36},{16.12,18},{32,18},{32,-51}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(systemicCirculation.q_out, heart.rightAtrium) annotation (Line(
          points={{-2,-51},{-4,-51},{-4,12.2},{5.72,12.2}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pulmonaryCirculation.q_in, heart.fromRightVentricle) annotation (
          Line(
          points={{0,60},{-4,60},{-4,18},{8.06,18},{8.06,3.36}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pulmonaryCirculation.q_out, heart.leftAtrium) annotation (Line(
          points={{28,60},{36,60},{36,12.46},{18.72,12.46}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));

      stateValue = bloodProperties.BloodVolume1.y;

      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),       graphics), Documentation(info="<html>
<p><h4><font color=\"#008000\">Cardiovascular system</font></h4></p>
<p><font style=\"color: #008000; \">Connect heart with pulmonary and systemic part. This connection contains pressures and blood flows before and after heart.</font></p>
<p><font style=\"color: #008000; \">Output signal variables about blood volume between lungs capilaries and systemic tissue capilaries are used in gass transport submodels like O2 or CO2.</font></p>
<p><font style=\"color: #008000; \">Output signal Vesseles_V0 is used for systemic veins collapsing in massive blood lost.</font></p>
<p><font style=\"color: #008000; \">The blood properties convert known variables values to another meanings (haematocrit, viscosity, ..).</font></p>
<p><font style=\"color: #008000; \">Red cells contains volume, loss and gains all red blood cells.</font></p>
</html>", revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Design:</td>
<td>Zuzana Rubaninska</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"),
        Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},{
                100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/csv.png"), Text(
              extent={{-116,-96},{126,-130}},
              lineColor={0,0,255},
              textString="%name")}));
    end CVS;

    package setup

      model CVSConstInputs

        Library.Blocks.Constant const1(k=72.2) 
          annotation (Placement(transformation(extent={{-4,38},{-10,44}})));
        Library.Blocks.Constant const2(k=9.81) 
          annotation (Placement(transformation(extent={{-4,44},{-10,50}})));
        Library.Blocks.Constant const7(
                                k=1) 
          annotation (Placement(transformation(extent={{-98,-64},{-92,-58}})));
        Library.Blocks.Constant const8(
                                k=1.3) 
          annotation (Placement(transformation(extent={{10,90},{4,96}})));
        Library.Blocks.Constant const9(k=1.5) 
          annotation (Placement(transformation(extent={{-40,80},{-46,86}})));
        Library.Blocks.Constant const11(k=0.997136) 
          annotation (Placement(transformation(extent={{8,76},{4,80}})));
        Library.Blocks.Constant const12(
                                k=1) 
          annotation (Placement(transformation(extent={{8,70},{4,74}})));
        Library.Blocks.Constant const13(
                                k=1) 
          annotation (Placement(transformation(extent={{-98,-40},{-92,-34}})));
        Library.Blocks.Constant const6(
                                k=51) 
          annotation (Placement(transformation(extent={{-98,42},{-92,48}})));
        Library.Blocks.BooleanConstant booleanConstant1(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant2(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant3(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant4(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant5(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant6(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.Constant const14(k=0.2990222010403) 
          annotation (Placement(transformation(extent={{10,82},{4,88}})));
        Library.Blocks.Constant const15(k=51) 
          annotation (Placement(transformation(extent={{-98,50},{-92,56}})));
        Library.Blocks.Constant const16(k=39) 
          annotation (Placement(transformation(extent={{-98,58},{-92,64}})));
        Library.Blocks.Constant const17(k=51) 
          annotation (Placement(transformation(extent={{-98,74},{-92,80}})));
        Library.Blocks.Constant const18(k=46.973) 
          annotation (Placement(transformation(extent={{-98,66},{-92,72}})));
        Library.Blocks.Constant const19(k=51) 
          annotation (Placement(transformation(extent={{-98,82},{-92,88}})));
        Library.Blocks.Constant const20(k=51) 
          annotation (Placement(transformation(extent={{-98,90},{-92,96}})));
        Library.Blocks.Constant const21(
                                 k=1.3) 
          annotation (Placement(transformation(extent={{48,80},{42,74}})));
        Library.Blocks.Constant const23(
                                 k=1) 
          annotation (Placement(transformation(extent={{48,90},{42,96}})));
        Library.Blocks.Constant c1(k=27.58) 
          annotation (Placement(transformation(extent={{-98,-32},{-92,-26}})));
        Library.Blocks.Constant c2(k=1.0000000000001) 
          annotation (Placement(transformation(extent={{-46,88},{-52,94}})));
        Library.Blocks.Constant const28(k=51) 
          annotation (Placement(transformation(extent={{-98,0},{-92,6}})));
        Library.Blocks.Constant const29(k=51) 
          annotation (Placement(transformation(extent={{-98,34},{-92,40}})));
        Library.Blocks.Constant const30(
                                     k=6.2) 
          annotation (Placement(transformation(extent={{-98,8},{-92,14}})));
        Library.Blocks.Constant const31(
                                 k=51.8) 
          annotation (Placement(transformation(extent={{-98,26},{-92,32}})));
        Library.Blocks.Constant const32(
                                     k=27.3) 
          annotation (Placement(transformation(extent={{-98,-8},{-92,-2}})));
        Library.Blocks.Constant const33(k=51) 
          annotation (Placement(transformation(extent={{-98,-16},{-92,-10}})));
        Library.Blocks.BooleanConstant booleanConstant7(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant8(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant11(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.Constant const24(
                                 k=0) 
          annotation (Placement(transformation(extent={{-98,-56},{-92,-50}})));
        Modelica.Blocks.Sources.Step const25(
          startTime=600,
          height=0,
          offset=0) 
          annotation (Placement(transformation(extent={{-98,-48},{-92,-42}})));
        Library.Blocks.Constant const26(k=51) 
          annotation (Placement(transformation(extent={{-98,16},{-92,22}})));
        Library.Blocks.BooleanConstant booleanConstant9(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.Constant const27(
                                 k=1) 
          annotation (Placement(transformation(extent={{-4,56},{-10,62}})));
        Library.Blocks.Constant const34(
                                 k=1) 
          annotation (Placement(transformation(extent={{-4,50},{-10,56}})));
        Library.Blocks.Constant const35(k=1) 
          annotation (Placement(transformation(extent={{46,46},{40,52}})));
        Library.Blocks.Constant const36(k=0) 
          annotation (Placement(transformation(extent={{46,58},{40,64}})));
        Library.Blocks.Constant const37(k=0) 
          annotation (Placement(transformation(extent={{46,52},{40,58}})));
        Library.Blocks.Constant const10(k=0) 
          annotation (Placement(transformation(extent={{46,40},{40,46}})));
        Library.Blocks.Constant const39(k=1.3) 
          annotation (Placement(transformation(extent={{10,98},{4,104}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-48,-20},{-34,-6}})));
        Library.Blocks.Constant const22(k=419.355) 
          annotation (Placement(transformation(extent={{76,-82},{70,-76}})));
        Library.Blocks.Constant const38(k=0) 
          annotation (Placement(transformation(extent={{76,-88},{70,-82}})));
        Library.Blocks.Constant const4(k=1.3) 
          annotation (Placement(transformation(extent={{6,0},{0,6}})));
        Library.Blocks.Constant const5(k=3000) 
          annotation (Placement(transformation(extent={{6,6},{0,12}})));
        Library.Blocks.Constant const40(k=0) 
          annotation (Placement(transformation(extent={{6,18},{0,24}})));
        Library.Blocks.Constant const41(k=0) 
          annotation (Placement(transformation(extent={{6,12},{0,18}})));
        Library.Blocks.BooleanConstant booleanConstant10(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-70},{-92,-64}})));
        Library.Blocks.Constant const3( k=1) 
          annotation (Placement(transformation(extent={{16,-34},{10,-28}})));
        Library.Blocks.Constant Constant(k=194.998197576335) 
          annotation (Placement(transformation(extent={{16,-48},{4,-36}})));
        Library.Blocks.Constant Constant1(k=1122.53390426779) 
          annotation (Placement(transformation(extent={{16,-60},{4,-48}})));
        Library.Blocks.Constant const42(k=1.99078) 
          annotation (Placement(transformation(extent={{16,-16},{8,-8}})));
        Library.Blocks.Constant const43(k=3.06978620259696) 
          annotation (Placement(transformation(extent={{16,-26},{8,-18}})));
        Library.Blocks.Constant const44(k=-4) 
          annotation (Placement(transformation(extent={{-96,-88},{-90,-82}})));
        Library.Blocks.Constant const45(k=-3.34522126058954) 
          annotation (Placement(transformation(extent={{-96,-96},{-90,-90}})));
        Library.Blocks.Constant const46(k=47.834) 
          annotation (Placement(transformation(extent={{46,18},{40,24}})));
        Library.Blocks.Constant const47(k=2) 
          annotation (Placement(transformation(extent={{16,-70},{8,-62}})));
        Library.Blocks.Constant Gravity_Gz(k=1) 
          annotation (Placement(transformation(extent={{-4,32},{-10,38}})));
        Library.Blocks.Constant RightHeart_O2Need(k=5.08100332100305) 
          annotation (Placement(transformation(extent={{-78,-20},{-72,-14}})));
      equation
        connect(const7.y, busConnector.Exercise_MusclePump_Effect) annotation (
            Line(
            points={{-91.7,-61},{-56,-61},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const11.y, busConnector.AlphaPool_Effect) annotation (Line(
            points={{3.8,78},{-2,78},{-2,72},{-56,72},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const12.y, busConnector.AlphaBlocade_Effect) annotation (Line(
            points={{3.8,72},{-56,72},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const13.y, busConnector.Anesthesia_VascularConductance) annotation (
            Line(
            points={{-91.7,-37},{-56,-37},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const6.y, busConnector.GITract_PO2) annotation (Line(
            points={{-91.7,45},{-56,45},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant1.y, busConnector.GITract_Function_Failed) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None), Text(
            string="*_Failed",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const14.y, busConnector.ADHPool_Log10Conc) annotation (Line(
            points={{3.7,85},{-2,72},{-56,72},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const15.y, busConnector.Bone_PO2) annotation (Line(
            points={{-91.7,53},{-56,53},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant2.y, busConnector.Bone_Function_Failed) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const16.y, busConnector.Brain_PO2) annotation (Line(
            points={{-91.7,61},{-56,61},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const18.y, busConnector.Brain_PCO2) annotation (Line(
            points={{-91.7,69},{-56,69},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant3.y, busConnector.Brain_Function_Failed) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const17.y, busConnector.Fat_PO2) annotation (Line(
            points={{-91.7,77},{-56,77},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant4.y, busConnector.Fat_Function_Failed) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const19.y, busConnector.OtherTissue_PO2) annotation (Line(
            points={{-91.7,85},{-56,85},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const20.y, busConnector.Skin_PO2) annotation (Line(
            points={{-91.7,93},{-56,93},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant5.y, busConnector.OtherTissue_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(booleanConstant6.y, busConnector.Skin_Function_Fainled) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(c1.y, busConnector.skin_T) annotation (Line(
            points={{-91.7,-29},{-56,-29},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(c2.y, busConnector.HypothalamusSkinFlow_NervesActivity) annotation (
            Line(
            points={{-52.3,91},{-56,91},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const29.y, busConnector.SkeletalMuscle_PO2)          annotation (Line(
            points={{-91.7,37},{-56,37},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const30.y, busConnector.RespiratoryMuscle_O2Need) 
          annotation (Line(
            points={{-91.7,11},{-56,11},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const31.y, busConnector.SkeletalMuscle_O2Need)          annotation (
            Line(
            points={{-91.7,29},{-55.85,29},{-55.85,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const28.y, busConnector.LeftHeart_PO2)          annotation (Line(
            points={{-91.7,3},{-55.85,3},{-55.85,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const32.y, busConnector.LeftHeart_O2Need)          annotation (Line(
            points={{-91.7,-5},{-56.85,-5},{-56.85,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const33.y, busConnector.RightHeart_PO2)          annotation (Line(
            points={{-91.7,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant7.y, busConnector.SkeletalMuscle_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(booleanConstant8.y, busConnector.LeftHeart_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(booleanConstant11.y, busConnector.RightHeart_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const24.y, busConnector.Exercise_Metabolism_ContractionRate) 
          annotation (Line(
            points={{-91.7,-53},{-56,-53},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const25.y, busConnector.Exercise_Metabolism_MotionWatts) 
          annotation (Line(
            points={{-91.7,-45},{-56,-45},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const8.y, busConnector.A2Pool_Log10Conc)          annotation (Line(
            points={{3.7,93},{-2,93},{-2,72},{-56,72},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const21.y, busConnector.TGF_Vascular_signal)          annotation (
            Line(
            points={{41.7,77},{40,77},{40,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const23.y, busConnector.Kidney_NephronCount_Total_xNormal) 
          annotation (Line(
            points={{41.7,93},{40,93},{40,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const26.y, busConnector.RespiratoryMuscle_PO2)          annotation (
            Line(
            points={{-91.7,19},{-56,19},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant9.y, busConnector.RespiratoryMuscle_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-14},{-41,-14},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const27.y, busConnector.BetaPool_Effect)          annotation (
            Line(
            points={{-10.3,59},{-56,59},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const34.y, busConnector.BetaBlocade_Effect) 
          annotation (Line(
            points={{-10.3,53},{-56,53},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const36.y, busConnector.LowerTorsoArtyHeight) 
          annotation (Line(
            points={{39.7,61},{34,61},{34,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const37.y, busConnector.LowerTorsoVeinHeight) 
          annotation (Line(
            points={{39.7,55},{34,55},{34,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const35.y, busConnector.LegMusclePump_Effect) 
          annotation (Line(
            points={{39.7,49},{34,49},{34,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const10.y, busConnector.CarotidSinusHeight) 
          annotation (Line(
            points={{39.7,43},{34,43},{34,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const1.y, busConnector.HeartVentricleRate)          annotation (
           Line(
            points={{-10.3,41},{-41,41},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const9.y, busConnector.GangliaGeneral_NA)          annotation (
            Line(
            points={{-46.3,83},{-46.3,35.5},{-41,35.5},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const22.y, busConnector.MedullaNa_conc) annotation (Line(
            points={{69.7,-79},{-41,-79},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const38.y, busConnector.FurosemidePool_Loss) annotation (Line(
            points={{69.7,-85},{-41,-85},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const39.y, busConnector.ANPPool_Log10Conc) annotation (Line(
            points={{3.7,101},{-41,101},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Transfusion_RBCRate, const40.y) annotation (Line(
            points={{-41,-13},{-41,21},{-0.3,21}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Hemorrhage_RBCRate, const41.y) annotation (Line(
            points={{-41,-13},{-41,15},{-0.3,15}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.PlasmaVol_Vol, const5.y) annotation (Line(
            points={{-41,-13},{-41,9},{-0.3,9}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.EPOPool_Log10Conc, const4.y) annotation (Line(
            points={{-41,-13},{-41,3},{-0.3,3}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(booleanConstant10.y, busConnector.Skin_Function_Failed) annotation (
            Line(
            points={{-91.7,-67},{-74,-68},{-56,-68},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Kidney_Alpha_NA, const3.y) annotation (Line(
            points={{-41,-13},{-19.5,-13},{-19.5,-31},{9.7,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.MedullaUrea_Osmolarity, Constant.y) annotation (
            Line(
            points={{-41,-13},{-20,-13},{-20,-42},{3.4,-42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.MedullaNa_Osmolarity, Constant1.y) annotation (
            Line(
            points={{-41,-13},{-20,-13},{-20,-54},{3.4,-54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_H2O_Reab, const43.y) annotation (Line(
            points={{-41,-13},{-20,-13},{-20,-22},{7.6,-22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ADH, const42.y) annotation (Line(
            points={{-41,-13},{-18.5,-13},{-18.5,-12},{7.6,-12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(const44.y, busConnector.Thorax_AvePressure) annotation (Line(
            points={{-89.7,-85},{-41,-85},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const45.y, busConnector.Pericardium_Pressure) annotation (Line(
            points={{-89.7,-93},{-41,-93},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.MD_Na, const46.y) annotation (Line(
            points={{-41,-13},{-42,-8},{20,-4},{30,22},{39.7,21}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.NephronADH, const47.y) annotation (Line(
            points={{-41,-13},{-20,-13},{-20,-66},{7.6,-66}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Gravity_Gz.y, busConnector.Gravity_Gz) annotation (Line(
            points={{-10.3,35},{-41,35},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(RightHeart_O2Need.y, busConnector.RightHeart_O2Need) 
          annotation (Line(
            points={{-71.7,-17},{-66.85,-17},{-66.85,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Documentation(info="<html>
</html>"),   Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics),
          experiment(StopTime=1000),
          experimentSetupOutput);
      end CVSConstInputs;

      model CVSValsalvaInputs

        Library.Blocks.Constant const1(k=80) 
          annotation (Placement(transformation(extent={{-4,38},{-10,44}})));
        Library.Blocks.Constant const2(k=9.81) 
          annotation (Placement(transformation(extent={{-4,44},{-10,50}})));
        Library.Blocks.Constant const7(
                                k=1) 
          annotation (Placement(transformation(extent={{-98,-64},{-92,-58}})));
        Library.Blocks.Constant const8(
                                k=1.3) 
          annotation (Placement(transformation(extent={{10,90},{4,96}})));
        Library.Blocks.Constant const9(k=1.52) 
          annotation (Placement(transformation(extent={{-40,80},{-46,86}})));
        Library.Blocks.Constant const11(
                                k=1) 
          annotation (Placement(transformation(extent={{8,76},{4,80}})));
        Library.Blocks.Constant const12(
                                k=1) 
          annotation (Placement(transformation(extent={{8,70},{4,74}})));
        Library.Blocks.Constant const13(
                                k=1) 
          annotation (Placement(transformation(extent={{-98,-40},{-92,-34}})));
        Library.Blocks.Constant const6(
                                k=51) 
          annotation (Placement(transformation(extent={{-98,42},{-92,48}})));
        Library.Blocks.BooleanConstant booleanConstant1(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant2(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant3(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant4(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant5(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant6(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.Constant const14(
                                 k=.8) 
          annotation (Placement(transformation(extent={{10,82},{4,88}})));
        Library.Blocks.Constant const15(k=51) 
          annotation (Placement(transformation(extent={{-98,50},{-92,56}})));
        Library.Blocks.Constant const16(k=37) 
          annotation (Placement(transformation(extent={{-98,58},{-92,64}})));
        Library.Blocks.Constant const17(k=51) 
          annotation (Placement(transformation(extent={{-98,74},{-92,80}})));
        Library.Blocks.Constant const18(
                                 k=45) 
          annotation (Placement(transformation(extent={{-98,66},{-92,72}})));
        Library.Blocks.Constant const19(k=51) 
          annotation (Placement(transformation(extent={{-98,82},{-92,88}})));
        Library.Blocks.Constant const20(k=51) 
          annotation (Placement(transformation(extent={{-98,90},{-92,96}})));
        Library.Blocks.Constant const21(
                                 k=1.3) 
          annotation (Placement(transformation(extent={{48,80},{42,74}})));
        Library.Blocks.Constant const23(
                                 k=1) 
          annotation (Placement(transformation(extent={{48,90},{42,96}})));
        Library.Blocks.Constant c1(
                            k=25.8) 
          annotation (Placement(transformation(extent={{-98,-32},{-92,-26}})));
        Library.Blocks.Constant c2(
                            k=.7) 
          annotation (Placement(transformation(extent={{-46,88},{-52,94}})));
        Library.Blocks.Constant const28(k=51) 
          annotation (Placement(transformation(extent={{-98,0},{-92,6}})));
        Library.Blocks.Constant const29(k=51) 
          annotation (Placement(transformation(extent={{-98,34},{-92,40}})));
        Library.Blocks.Constant const30(
                                     k=6.2) 
          annotation (Placement(transformation(extent={{-98,8},{-92,14}})));
        Library.Blocks.Constant const31(
                                 k=51.8) 
          annotation (Placement(transformation(extent={{-98,26},{-92,32}})));
        Library.Blocks.Constant const32(
                                     k=27.3) 
          annotation (Placement(transformation(extent={{-98,-8},{-92,-2}})));
        Library.Blocks.Constant const33(k=51) 
          annotation (Placement(transformation(extent={{-98,-16},{-92,-10}})));
        Library.Blocks.BooleanConstant booleanConstant7(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant8(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.BooleanConstant booleanConstant11(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.Constant const24(
                                 k=0) 
          annotation (Placement(transformation(extent={{-98,-56},{-92,-50}})));
        Modelica.Blocks.Sources.Step const25(
          startTime=600,
          height=0,
          offset=0) 
          annotation (Placement(transformation(extent={{-98,-48},{-92,-42}})));
        Library.Blocks.Constant const26(k=51) 
          annotation (Placement(transformation(extent={{-98,16},{-92,22}})));
        Library.Blocks.BooleanConstant booleanConstant9(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
        Library.Blocks.Constant const27(
                                 k=1) 
          annotation (Placement(transformation(extent={{-4,56},{-10,62}})));
        Library.Blocks.Constant const34(
                                 k=1) 
          annotation (Placement(transformation(extent={{-4,50},{-10,56}})));
        Library.Blocks.Constant const35(k=1) 
          annotation (Placement(transformation(extent={{46,46},{40,52}})));
        Library.Blocks.Constant const36(k=0) 
          annotation (Placement(transformation(extent={{46,58},{40,64}})));
        Library.Blocks.Constant const37(k=0) 
          annotation (Placement(transformation(extent={{46,52},{40,58}})));
        Modelica.Blocks.Sources.Step step(
          startTime=600,
          height=4,
          offset=-4) 
          annotation (Placement(transformation(extent={{-100,-98},{-90,-88}})));
        Modelica.Blocks.Sources.Step step1(
          offset=-4,
          startTime=600,
          height=4) 
          annotation (Placement(transformation(extent={{-100,-84},{-90,-74}})));
        Modelica.Blocks.Sources.Step Gravity(
          startTime=600,
          offset=1.8*9.81,
          height=-1.8*9.81) 
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-11,-67})));
        Library.Blocks.Constant const10(k=0) 
          annotation (Placement(transformation(extent={{46,40},{40,46}})));
        Library.Blocks.Constant const39(k=1.25839) 
          annotation (Placement(transformation(extent={{76,-94},{70,-88}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-48,-20},{-34,-6}})));
        Library.Blocks.Constant const22(k=44.3) 
          annotation (Placement(transformation(extent={{76,-82},{70,-76}})));
        Library.Blocks.Constant const38(k=0) 
          annotation (Placement(transformation(extent={{76,-88},{70,-82}})));
        Library.Blocks.Constant const4(k=1.24259421313058) 
          annotation (Placement(transformation(extent={{6,0},{0,6}})));
        Library.Blocks.Constant const5(k=2990.99086915011) 
          annotation (Placement(transformation(extent={{6,6},{0,12}})));
        Library.Blocks.Constant const40(k=0) 
          annotation (Placement(transformation(extent={{6,18},{0,24}})));
        Library.Blocks.Constant const41(k=0) 
          annotation (Placement(transformation(extent={{6,12},{0,18}})));
        Library.Blocks.BooleanConstant booleanConstant10(
                                                 k=false) 
          annotation (Placement(transformation(extent={{-98,-70},{-92,-64}})));
        Library.Blocks.Constant const3( k=1) 
          annotation (Placement(transformation(extent={{16,-34},{10,-28}})));
        Library.Blocks.Constant Constant(k=194.998197576335) 
          annotation (Placement(transformation(extent={{16,-48},{4,-36}})));
        Library.Blocks.Constant Constant1(k=1122.53390426779) 
          annotation (Placement(transformation(extent={{16,-60},{4,-48}})));
        Library.Blocks.Constant const42(k=1.57900669573065) 
          annotation (Placement(transformation(extent={{16,-16},{8,-8}})));
        Library.Blocks.Constant const43(k=3.06978620259696) 
          annotation (Placement(transformation(extent={{16,-26},{8,-18}})));
      equation
        connect(const7.y, busConnector.Exercise_MusclePump_Effect) annotation (
            Line(
            points={{-91.7,-61},{-56,-61},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const11.y, busConnector.AlphaPool_Effect) annotation (Line(
            points={{3.8,78},{-2,78},{-2,72},{-56,72},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const12.y, busConnector.AlphaBlocade_Effect) annotation (Line(
            points={{3.8,72},{-56,72},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const13.y, busConnector.Anesthesia_VascularConductance) annotation (
            Line(
            points={{-91.7,-37},{-56,-37},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const6.y, busConnector.GITract_PO2) annotation (Line(
            points={{-91.7,45},{-56,45},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant1.y, busConnector.GITract_Function_Failed) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None), Text(
            string="*_Failed",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const14.y, busConnector.ADHPool_Log10Conc) annotation (Line(
            points={{3.7,85},{-2,72},{-56,72},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const15.y, busConnector.Bone_PO2) annotation (Line(
            points={{-91.7,53},{-56,53},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant2.y, busConnector.Bone_Function_Failed) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const16.y, busConnector.Brain_PO2) annotation (Line(
            points={{-91.7,61},{-56,61},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const18.y, busConnector.Brain_PCO2) annotation (Line(
            points={{-91.7,69},{-56,69},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant3.y, busConnector.Brain_Function_Failed) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const17.y, busConnector.Fat_PO2) annotation (Line(
            points={{-91.7,77},{-56,77},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant4.y, busConnector.Fat_Function_Failed) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const19.y, busConnector.OtherTissue_PO2) annotation (Line(
            points={{-91.7,85},{-56,85},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const20.y, busConnector.Skin_PO2) annotation (Line(
            points={{-91.7,93},{-56,93},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant5.y, busConnector.OtherTissue_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(booleanConstant6.y, busConnector.Skin_Function_Fainled) annotation (
            Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(c1.y, busConnector.skin_T) annotation (Line(
            points={{-91.7,-29},{-56,-29},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(c2.y, busConnector.HypothalamusSkinFlow_NervesActivity) annotation (
            Line(
            points={{-52.3,91},{-56,91},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const29.y, busConnector.SkeletalMuscle_PO2)          annotation (Line(
            points={{-91.7,37},{-56,37},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const30.y, busConnector.RespiratoryMuscle_O2Need) 
          annotation (Line(
            points={{-91.7,11},{-56,11},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const31.y, busConnector.SkeletalMuscle_O2Need)          annotation (
            Line(
            points={{-91.7,29},{-55.85,29},{-55.85,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const28.y, busConnector.LeftHeart_PO2)          annotation (Line(
            points={{-91.7,3},{-55.85,3},{-55.85,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const32.y, busConnector.LeftHeart_O2Need)          annotation (Line(
            points={{-91.7,-5},{-56.85,-5},{-56.85,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const33.y, busConnector.RightHeart_PO2)          annotation (Line(
            points={{-91.7,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant7.y, busConnector.SkeletalMuscle_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(booleanConstant8.y, busConnector.LeftHeart_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(booleanConstant11.y, busConnector.RightHeart_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const24.y, busConnector.Exercise_Metabolism_ContractionRate) 
          annotation (Line(
            points={{-91.7,-53},{-56,-53},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const25.y, busConnector.Exercise_Metabolism_MotionWatts) 
          annotation (Line(
            points={{-91.7,-45},{-56,-45},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const8.y, busConnector.A2Pool_Log10Conc)          annotation (Line(
            points={{3.7,93},{-2,93},{-2,72},{-56,72},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const21.y, busConnector.TGF_Vascular_signal)          annotation (
            Line(
            points={{41.7,77},{40,77},{40,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const23.y, busConnector.Kidney_NephronCount_Total_xNormal) 
          annotation (Line(
            points={{41.7,93},{40,93},{40,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const26.y, busConnector.RespiratoryMuscle_PO2)          annotation (
            Line(
            points={{-91.7,19},{-56,19},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(booleanConstant9.y, busConnector.RespiratoryMuscle_Function_Failed) 
          annotation (Line(
            points={{-91.7,-21},{-56,-21},{-56,-14},{-41,-14},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(const27.y, busConnector.BetaPool_Effect)          annotation (
            Line(
            points={{-10.3,59},{-56,59},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const34.y, busConnector.BetaBlocade_Effect) 
          annotation (Line(
            points={{-10.3,53},{-56,53},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const36.y, busConnector.LowerTorsoArtyHeight) 
          annotation (Line(
            points={{39.7,61},{34,61},{34,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const37.y, busConnector.LowerTorsoVeinHeight) 
          annotation (Line(
            points={{39.7,55},{34,55},{34,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const35.y, busConnector.LegMusclePump_Effect) 
          annotation (Line(
            points={{39.7,49},{34,49},{34,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(step.y, busConnector.Pericardium_Pressure)          annotation (
           Line(
            points={{-89.5,-93},{-40,-93},{-40,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const10.y, busConnector.CarotidSinusHeight) 
          annotation (Line(
            points={{39.7,43},{34,43},{34,66},{-56,66},{-56,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const1.y, busConnector.HeartVentricleRate)          annotation (
           Line(
            points={{-10.3,41},{-41,41},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const9.y, busConnector.GangliaGeneral_NA)          annotation (
            Line(
            points={{-46.3,83},{-46.3,35.5},{-41,35.5},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(step1.y, busConnector.Thorax_AvePressure)          annotation (
            Line(
            points={{-89.5,-79},{-41,-79},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const2.y, busConnector.G)          annotation (Line(
            points={{-10.3,47},{-41,47},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const22.y, busConnector.MedullaNa_conc) annotation (Line(
            points={{69.7,-79},{-41,-79},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const38.y, busConnector.FurosemidePool_Loss) annotation (Line(
            points={{69.7,-85},{-41,-85},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(const39.y, busConnector.ANPPool_Log10Conc) annotation (Line(
            points={{69.7,-91},{-41,-91},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Transfusion_RBCRate, const40.y) annotation (Line(
            points={{-41,-13},{-41,21},{-0.3,21}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Hemorrhage_RBCRate, const41.y) annotation (Line(
            points={{-41,-13},{-41,15},{-0.3,15}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.PlasmaVol_Vol, const5.y) annotation (Line(
            points={{-41,-13},{-41,9},{-0.3,9}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.EPOPool_Log10Conc, const4.y) annotation (Line(
            points={{-41,-13},{-41,3},{-0.3,3}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(booleanConstant10.y, busConnector.Skin_Function_Failed) annotation (
            Line(
            points={{-91.7,-67},{-72,-68},{-54,-68},{-54,-13},{-41,-13}},
            color={255,0,255},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Kidney_Alpha_NA, const3.y) annotation (Line(
            points={{-41,-13},{-19.5,-13},{-19.5,-31},{9.7,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.MedullaUrea_Osmolarity, Constant.y) annotation (
            Line(
            points={{-41,-13},{-20,-13},{-20,-42},{3.4,-42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.MedullaNa_Osmolarity, Constant1.y) annotation (
            Line(
            points={{-41,-13},{-20,-13},{-20,-54},{3.4,-54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_H2O_Reab, const43.y) annotation (Line(
            points={{-41,-13},{-20,-13},{-20,-22},{7.6,-22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ADH, const42.y) annotation (Line(
            points={{-41,-13},{-18.5,-13},{-18.5,-12},{7.6,-12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Documentation(info="<html>
</html>"),   Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics),
          experiment(StopTime=1000),
          experimentSetupOutput);
      end CVSValsalvaInputs;

      model SystemicCirculationConstInputs
        extends CVSConstInputs;
        Library.Blocks.Constant Viscosity_ConductanceEffect(k=1) 
          annotation (Placement(transformation(extent={{72,22},{66,28}})));
        Library.Blocks.Constant BloodVol_PVCrit(k=0.559) 
          annotation (Placement(transformation(extent={{72,2},{66,8}})));
        Library.Blocks.Constant BloodVol_CollapsedEffect(k=1) 
          annotation (Placement(transformation(extent={{72,12},{66,18}})));
        Library.Blocks.Constant BloodVolume_change(k=0) 
          annotation (Placement(transformation(extent={{72,-14},{66,-8}})));
      equation

        connect(BloodVol_CollapsedEffect.y, busConnector.BloodVol_CollapsedEffect) annotation (
            Line(
            points={{65.7,15},{52,15},{52,-2},{-41,-2},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
            points={{65.7,5},{52,5},{52,-2},{-41,-2},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVolume_change.y, busConnector.BloodVolume_change) annotation (Line(
            points={{65.7,-11},{52,-11},{52,-2},{-41,-2},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Viscosity_ConductanceEffect, Viscosity_ConductanceEffect.y) annotation (Line(
            points={{-41,-13},{-41,-2},{36,-2},{36,25},{65.7,25}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Documentation(info="<html>
</html>"),   Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics),
          experiment(StopTime=1000),
          experimentSetupOutput);
      end SystemicCirculationConstInputs;

      model HeartConstInputs
        extends CVSConstInputs;
        Library.Blocks.Constant Viscosity_ConductanceEffect(k=1) 
          annotation (Placement(transformation(extent={{48,-10},{40,-2}})));
      equation

        connect(Viscosity_ConductanceEffect.y, busConnector.Viscosity_ConductanceEffect) 
          annotation (Line(
            points={{39.6,-6},{-41.15,-6},{-41.15,-13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Documentation(info="<html>
</html>"),   Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics),
          experiment(StopTime=1000),
          experimentSetupOutput);
      end HeartConstInputs;

      model PeripheralResistanceConstInputs
        extends CVSConstInputs;
        Library.Blocks.Constant Viscosity_ConductanceEffect(k=1) 
          annotation (Placement(transformation(extent={{70,-8},{64,-2}})));
        Library.Blocks.Constant BloodVol_PVCrit(k=0.559) 
          annotation (Placement(transformation(extent={{70,0},{64,6}})));
        Library.Blocks.Constant BloodVol_CollapsedEffect(k=1) 
          annotation (Placement(transformation(extent={{70,10},{64,16}})));
        Library.Blocks.Constant BloodVolume_change(k=0) 
          annotation (Placement(transformation(extent={{70,-16},{64,-10}})));
        Library.Blocks.Constant SystemicVeins_Pressure(k=7.1) 
          annotation (Placement(transformation(extent={{70,-24},{64,-18}})));
      equation

        connect(Viscosity_ConductanceEffect.y, busConnector.Viscosity_ConductanceEffect) 
          annotation (Line(
            points={{63.7,-5},{50,-5},{50,-4},{-41,-4},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVol_CollapsedEffect.y, busConnector.BloodVol_CollapsedEffect) annotation (
            Line(
            points={{63.7,13},{50,13},{50,-4},{-41,-4},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
            points={{63.7,3},{50,3},{50,-4},{-41,-4},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVolume_change.y, busConnector.BloodVolume_change) annotation (Line(
            points={{63.7,-13},{50,-13},{50,-4},{-41,-4},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(SystemicVeins_Pressure.y, busConnector.SystemicVeins_Pressure) annotation (
            Line(
            points={{63.7,-21},{50,-21},{50,-4},{-41,-4},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Documentation(info="<html>
</html>"),   Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics),
          experiment(StopTime=1000),
          experimentSetupOutput);
      end PeripheralResistanceConstInputs;

      model CVSConstInputsFromFile

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-48,-20},{-34,-6}})));

      Library.Utilities.ConstantFromFile A2Pool_Log10Conc(varName="A2Pool.Log10Conc") 
      annotation (Placement(transformation(extent={{-112,-330},{-106,-324}})));
      Library.Utilities.ConstantFromFile ADH(varName="ADHPool.[ADH]") 
      annotation (Placement(transformation(extent={{-112,-320},{-106,-314}})));
      Library.Utilities.ConstantFromFile ADHPool_Log10Conc(varName="ADHPool.Log10Conc") 
      annotation (Placement(transformation(extent={{-112,-310},{-106,-304}})));
      Library.Utilities.ConstantFromFile AlphaBlocade_Effect(varName="AlphaBlockade.Effect") 
      annotation (Placement(transformation(extent={{-112,-300},{-106,-294}})));
      Library.Utilities.ConstantFromFile AlphaPool_Effect(varName="AlphaPool.Effect") 
      annotation (Placement(transformation(extent={{-112,-290},{-106,-284}})));
      Library.Utilities.ConstantFromFile Anesthesia_VascularConductance(varName="Anesthesia.VascularConductance") 
      annotation (Placement(transformation(extent={{-112,-280},{-106,-274}})));
      Library.Utilities.ConstantFromFile ANPPool_Log10Conc(varName="ANPPool.Log10Conc") 
      annotation (Placement(transformation(extent={{-112,-270},{-106,-264}})));
      Library.Utilities.ConstantFromFile BetaBlocade_Effect(varName="BetaBlockade.Effect") 
      annotation (Placement(transformation(extent={{-112,-260},{-106,-254}})));
      Library.Utilities.ConstantFromFile BetaPool_Effect(varName="BetaPool.Effect") 
      annotation (Placement(transformation(extent={{-112,-250},{-106,-244}})));
      Library.Utilities.ConstantFromFile Bone_PO2(varName="Bone-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-240},{-106,-234}})));
      Library.Utilities.ConstantFromFile Brain_PCO2(varName="Brain-CO2.PCO2") 
      annotation (Placement(transformation(extent={{-112,-230},{-106,-224}})));
      Library.Utilities.ConstantFromFile Brain_PO2(varName="Brain-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-220},{-106,-214}})));
      Library.Utilities.ConstantFromFile CarotidSinusHeight(varName="CarotidSinus.Level") 
      annotation (Placement(transformation(extent={{-112,-210},{-106,-204}})));
      Library.Utilities.ConstantFromFile CD_H2O_Reab(varName="CD_H2O.Reab") 
      annotation (Placement(transformation(extent={{-112,-200},{-106,-194}})));
      Library.Utilities.ConstantFromFile EPOPool_Log10Conc(varName="EPOPool.Log10Conc") 
      annotation (Placement(transformation(extent={{-112,-190},{-106,-184}})));
      Library.Utilities.ConstantFromFile Exercise_Metabolism_ContractionRate(varName="Exercise-Metabolism.ContractionRate") 
      annotation (Placement(transformation(extent={{-112,-180},{-106,-174}})));
      Library.Utilities.ConstantFromFile Exercise_Metabolism_MotionWatts(varName="Exercise-Metabolism.MotionWatts") 
      annotation (Placement(transformation(extent={{-112,-170},{-106,-164}})));
      Library.Utilities.ConstantFromFile Exercise_MusclePump_Effect(varName="Exercise-MusclePump.Effect") 
      annotation (Placement(transformation(extent={{-112,-160},{-106,-154}})));
      Library.Utilities.ConstantFromFile Fat_PO2(varName="Fat-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-150},{-106,-144}})));
      Library.Utilities.ConstantFromFile FurosemidePool_Loss(varName="FurosemidePool.Loss") 
      annotation (Placement(transformation(extent={{-112,-140},{-106,-134}})));
      Library.Utilities.ConstantFromFile Gravity_Gz(varName="Gravity.Gz") 
      annotation (Placement(transformation(extent={{-112,-130},{-106,-124}})));
      Library.Utilities.ConstantFromFile GangliaGeneral_NA(varName="GangliaGeneral.NA(Hz)") 
      annotation (Placement(transformation(extent={{-112,-120},{-106,-114}})));
      Library.Utilities.ConstantFromFile GITract_PO2(varName="GITract-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-110},{-106,-104}})));
      Library.Utilities.ConstantFromFile HeartVentricleRate(varName="Heart-Ventricles.Rate") 
      annotation (Placement(transformation(extent={{-112,-100},{-106,-94}})));
      Library.Utilities.ConstantFromFile Hemorrhage_RBCRate(varName="Hemorrhage.RBCRate") 
      annotation (Placement(transformation(extent={{-112,-90},{-106,-84}})));
      Library.Utilities.ConstantFromFile HypothalamusSkinFlow_NervesActivity(varName="HypothalamusSkinFlow.NerveActivity") 
      annotation (Placement(transformation(extent={{-112,-80},{-106,-74}})));
      Library.Utilities.ConstantFromFile Kidney_Alpha_NA(varName="Kidney-Alpha.NA") 
      annotation (Placement(transformation(extent={{-112,-70},{-106,-64}})));
      Library.Utilities.ConstantFromFile Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)") 
      annotation (Placement(transformation(extent={{-112,-60},{-106,-54}})));
      Library.Utilities.ConstantFromFile LeftHeart_O2Need(varName="LeftHeart-Metabolism.O2Need") 
      annotation (Placement(transformation(extent={{-112,-50},{-106,-44}})));
      Library.Utilities.ConstantFromFile LeftHeart_PO2(varName="LeftHeart-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-40},{-106,-34}})));
      Library.Utilities.ConstantFromFile LegMusclePump_Effect(varName="LegMusclePump.Effect") 
      annotation (Placement(transformation(extent={{-112,-30},{-106,-24}})));
      Library.Utilities.ConstantFromFile LowerTorsoArtyHeight(varName="Hydrostatics.LowerTorsoArtyGradient") 
      annotation (Placement(transformation(extent={{-112,-20},{-106,-14}})));
      Library.Utilities.ConstantFromFile LowerTorsoVeinHeight(varName="Hydrostatics.LowerTorsoVeinGradient") 
      annotation (Placement(transformation(extent={{-112,-10},{-106,-4}})));
      Library.Utilities.ConstantFromFile MD_Na(varName="MD_Na.[Na+(mEq/L)]") 
      annotation (Placement(transformation(extent={{-112,0},{-106,6}})));
      Library.Utilities.ConstantFromFile MedullaNa_conc(varName="MedullaNa.[Na+(mEq/L)]") 
      annotation (Placement(transformation(extent={{-112,10},{-106,16}})));
      Library.Utilities.ConstantFromFile MedullaNa_Osmolarity(varName="MedullaNa.Osmolarity") 
      annotation (Placement(transformation(extent={{-112,20},{-106,26}})));
      Library.Utilities.ConstantFromFile MedullaUrea_Osmolarity(varName="MedullaUrea.Osmolarity") 
      annotation (Placement(transformation(extent={{-112,30},{-106,36}})));
      Library.Utilities.ConstantFromFile NephronADH(varName="NephronADH.[ADH]") 
      annotation (Placement(transformation(extent={{-112,40},{-106,46}})));
      Library.Utilities.ConstantFromFile OtherTissue_PO2(varName="OtherTissue-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,50},{-106,56}})));
      Library.Utilities.ConstantFromFile Pericardium_Pressure(varName="Pericardium-Cavity.Pressure") 
      annotation (Placement(transformation(extent={{-112,60},{-106,66}})));
      Library.Utilities.ConstantFromFile PlasmaVol_Vol(varName="PlasmaVol.Vol") 
      annotation (Placement(transformation(extent={{-112,70},{-106,76}})));
      Library.Utilities.ConstantFromFile RespiratoryMuscle_O2Need(varName="RespiratoryMuscle-Metabolism.O2Need") 
      annotation (Placement(transformation(extent={{-112,80},{-106,86}})));
      Library.Utilities.ConstantFromFile RespiratoryMuscle_PO2(varName="RespiratoryMuscle-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,90},{-106,96}})));
      Library.Utilities.ConstantFromFile RightHeart_PO2(varName="RightHeart-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,100},{-106,106}})));
      Library.Utilities.ConstantFromFile SkeletalMuscle_O2Need(varName="SkeletalMuscle-Metabolism.O2Need") 
      annotation (Placement(transformation(extent={{-112,110},{-106,116}})));
      Library.Utilities.ConstantFromFile SkeletalMuscle_PO2(varName="SkeletalMuscle-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,120},{-106,126}})));
      Library.Utilities.ConstantFromFile Skin_PO2(varName="Skin-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,130},{-106,136}})));
      Library.Utilities.ConstantFromFile skin_T(varName="HeatSkin.Temp(C)") 
      annotation (Placement(transformation(extent={{-112,140},{-106,146}})));
      Library.Utilities.ConstantFromFile TGF_Vascular_Signal(varName="TGF-Vascular.Signal") 
      annotation (Placement(transformation(extent={{-112,150},{-106,156}})));
      Library.Utilities.ConstantFromFile Thorax_AvePressure(varName="Thorax.AvePressure") 
      annotation (Placement(transformation(extent={{-112,160},{-106,166}})));
      Library.Utilities.ConstantFromFile Transfusion_RBCRate(varName="Transfusion.RBCRate") 
      annotation (Placement(transformation(extent={{-112,170},{-106,176}})));
      Library.Utilities.BooleanConstantFromFile Bone_Function_Failed(varName="Bone-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,180},{-106,186}})));
      Library.Utilities.BooleanConstantFromFile Brain_Function_Failed(varName="Brain-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,190},{-106,196}})));
      Library.Utilities.BooleanConstantFromFile Fat_Function_Failed(varName="Fat-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,200},{-106,206}})));
      Library.Utilities.BooleanConstantFromFile GITract_Function_Failed(varName="GITract-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,210},{-106,216}})));
      Library.Utilities.BooleanConstantFromFile Kidney_Function_Failed(varName="Kidney-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,220},{-106,226}})));
      Library.Utilities.BooleanConstantFromFile LeftHeart_Function_Failed(varName="LeftHeart-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,230},{-106,236}})));
      Library.Utilities.BooleanConstantFromFile Liver_Function_Failed(varName="Liver-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,240},{-106,246}})));
      Library.Utilities.BooleanConstantFromFile OtherTissue_Function_Failed(varName="OtherTissue-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,250},{-106,256}})));
      Library.Utilities.BooleanConstantFromFile
          RespiratoryMuscle_Function_Failed(                                      varName="RespiratoryMuscle-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,260},{-106,266}})));
      Library.Utilities.BooleanConstantFromFile RightHeart_Function_Failed(varName="RightHeart-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,270},{-106,276}})));
      Library.Utilities.BooleanConstantFromFile SkeletalMuscle_Function_Failed(varName="SkeletalMuscle-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,280},{-106,286}})));
      Library.Utilities.BooleanConstantFromFile Skin_Function_Failed(varName="Skin-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,290},{-106,296}})));
      Library.Utilities.ConstantFromFile RightHeart_O2Need(varName="RightHeart-Metabolism.O2Need") 
      annotation (Placement(transformation(extent={{-118,-36},{-112,-30}})));

      equation
        connect(A2Pool_Log10Conc.y, busConnector.A2Pool_Log10Conc) annotation (Line(
       points={{-105.7,-327},{-41,-327},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ADH.y, busConnector.ADH) annotation (Line(
       points={{-105.7,-317},{-41,-317},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ADHPool_Log10Conc.y, busConnector.ADHPool_Log10Conc) annotation (Line(
       points={{-105.7,-307},{-41,-307},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlphaBlocade_Effect.y, busConnector.AlphaBlocade_Effect) annotation (Line(
       points={{-105.7,-297},{-41,-297},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlphaPool_Effect.y, busConnector.AlphaPool_Effect) annotation (Line(
       points={{-105.7,-287},{-41,-287},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Anesthesia_VascularConductance.y, busConnector.Anesthesia_VascularConductance) annotation (Line(
       points={{-105.7,-277},{-41,-277},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ANPPool_Log10Conc.y, busConnector.ANPPool_Log10Conc) annotation (Line(
       points={{-105.7,-267},{-41,-267},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BetaBlocade_Effect.y, busConnector.BetaBlocade_Effect) annotation (Line(
       points={{-105.7,-257},{-41,-257},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BetaPool_Effect.y, busConnector.BetaPool_Effect) annotation (Line(
       points={{-105.7,-247},{-41,-247},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_PO2.y, busConnector.Bone_PO2) annotation (Line(
       points={{-105.7,-237},{-41,-237},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_PCO2.y, busConnector.Brain_PCO2) annotation (Line(
       points={{-105.7,-227},{-41,-227},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_PO2.y, busConnector.Brain_PO2) annotation (Line(
       points={{-105.7,-217},{-41,-217},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CarotidSinusHeight.y, busConnector.CarotidSinusHeight) annotation (Line(
       points={{-105.7,-207},{-41,-207},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_H2O_Reab.y, busConnector.CD_H2O_Reab) annotation (Line(
       points={{-105.7,-197},{-41,-197},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(EPOPool_Log10Conc.y, busConnector.EPOPool_Log10Conc) annotation (Line(
       points={{-105.7,-187},{-41,-187},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Exercise_Metabolism_ContractionRate.y, busConnector.Exercise_Metabolism_ContractionRate) annotation (Line(
       points={{-105.7,-177},{-41,-177},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Exercise_Metabolism_MotionWatts.y, busConnector.Exercise_Metabolism_MotionWatts) annotation (Line(
       points={{-105.7,-167},{-41,-167},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Exercise_MusclePump_Effect.y, busConnector.Exercise_MusclePump_Effect) annotation (Line(
       points={{-105.7,-157},{-41,-157},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_PO2.y, busConnector.Fat_PO2) annotation (Line(
       points={{-105.7,-147},{-41,-147},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FurosemidePool_Loss.y, busConnector.FurosemidePool_Loss) annotation (Line(
       points={{-105.7,-137},{-41,-137},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Gravity_Gz.y, busConnector.Gravity_Gz) annotation (Line(
       points={{-105.7,-127},{-41,-127},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GangliaGeneral_NA.y, busConnector.GangliaGeneral_NA) annotation (Line(
       points={{-105.7,-117},{-41,-117},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_PO2.y, busConnector.GITract_PO2) annotation (Line(
       points={{-105.7,-107},{-41,-107},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeartVentricleRate.y, busConnector.HeartVentricleRate) annotation (Line(
       points={{-105.7,-97},{-41,-97},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Hemorrhage_RBCRate.y, busConnector.Hemorrhage_RBCRate) annotation (Line(
       points={{-105.7,-87},{-41,-87},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HypothalamusSkinFlow_NervesActivity.y, busConnector.HypothalamusSkinFlow_NervesActivity) annotation (Line(
       points={{-105.7,-77},{-41,-77},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_Alpha_NA.y, busConnector.Kidney_Alpha_NA) annotation (Line(
       points={{-105.7,-67},{-41,-67},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
       points={{-105.7,-57},{-41,-57},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_O2Need.y, busConnector.LeftHeart_O2Need) annotation (Line(
       points={{-105.7,-47},{-41,-47},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_PO2.y, busConnector.LeftHeart_PO2) annotation (Line(
       points={{-105.7,-37},{-41,-37},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LegMusclePump_Effect.y, busConnector.LegMusclePump_Effect) annotation (Line(
       points={{-105.7,-27},{-41,-27},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LowerTorsoArtyHeight.y, busConnector.LowerTorsoArtyHeight) annotation (Line(
       points={{-105.7,-17},{-41,-17},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LowerTorsoVeinHeight.y, busConnector.LowerTorsoVeinHeight) annotation (Line(
       points={{-105.7,-7},{-41,-7},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MD_Na.y, busConnector.MD_Na) annotation (Line(
       points={{-105.7,3},{-41,3},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaNa_conc.y, busConnector.MedullaNa_conc) annotation (Line(
       points={{-105.7,13},{-41,13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaNa_Osmolarity.y, busConnector.MedullaNa_Osmolarity) annotation (Line(
       points={{-105.7,23},{-41,23},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaUrea_Osmolarity.y, busConnector.MedullaUrea_Osmolarity) annotation (Line(
       points={{-105.7,33},{-41,33},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(NephronADH.y, busConnector.NephronADH) annotation (Line(
       points={{-105.7,43},{-41,43},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_PO2.y, busConnector.OtherTissue_PO2) annotation (Line(
       points={{-105.7,53},{-41,53},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Pericardium_Pressure.y, busConnector.Pericardium_Pressure) annotation (Line(
       points={{-105.7,63},{-41,63},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PlasmaVol_Vol.y, busConnector.PlasmaVol_Vol) annotation (Line(
       points={{-105.7,73},{-41,73},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_O2Need.y, busConnector.RespiratoryMuscle_O2Need) annotation (Line(
       points={{-105.7,83},{-41,83},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_PO2.y, busConnector.RespiratoryMuscle_PO2) annotation (Line(
       points={{-105.7,93},{-41,93},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_PO2.y, busConnector.RightHeart_PO2) annotation (Line(
       points={{-105.7,103},{-41,103},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_O2Need.y, busConnector.SkeletalMuscle_O2Need) annotation (Line(
       points={{-105.7,113},{-41,113},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_PO2.y, busConnector.SkeletalMuscle_PO2) annotation (Line(
       points={{-105.7,123},{-41,123},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_PO2.y, busConnector.Skin_PO2) annotation (Line(
       points={{-105.7,133},{-41,133},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y, busConnector.skin_T) annotation (Line(
       points={{-105.7,143},{-41,143},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(TGF_Vascular_Signal.y, busConnector.TGF_Vascular_Signal) annotation (Line(
       points={{-105.7,153},{-41,153},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Thorax_AvePressure.y, busConnector.Thorax_AvePressure) annotation (Line(
       points={{-105.7,163},{-41,163},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Transfusion_RBCRate.y, busConnector.Transfusion_RBCRate) annotation (Line(
       points={{-105.7,173},{-41,173},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_Function_Failed.y, busConnector.Bone_Function_Failed) annotation (Line(
       points={{-105.7,183},{-41,183},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_Function_Failed.y, busConnector.Brain_Function_Failed) annotation (Line(
       points={{-105.7,193},{-41,193},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_Function_Failed.y, busConnector.Fat_Function_Failed) annotation (Line(
       points={{-105.7,203},{-41,203},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_Function_Failed.y, busConnector.GITract_Function_Failed) annotation (Line(
       points={{-105.7,213},{-41,213},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_Function_Failed.y, busConnector.Kidney_Function_Failed) annotation (Line(
       points={{-105.7,223},{-41,223},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_Function_Failed.y, busConnector.LeftHeart_Function_Failed) annotation (Line(
       points={{-105.7,233},{-41,233},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_Function_Failed.y, busConnector.Liver_Function_Failed) annotation (Line(
       points={{-105.7,243},{-41,243},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_Function_Failed.y, busConnector.OtherTissue_Function_Failed) annotation (Line(
       points={{-105.7,253},{-41,253},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_Function_Failed.y, busConnector.RespiratoryMuscle_Function_Failed) annotation (Line(
       points={{-105.7,263},{-41,263},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_Function_Failed.y, busConnector.RightHeart_Function_Failed) annotation (Line(
       points={{-105.7,273},{-41,273},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_Function_Failed.y, busConnector.SkeletalMuscle_Function_Failed) annotation (Line(
       points={{-105.7,283},{-41,283},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_Function_Failed.y, busConnector.Skin_Function_Failed) annotation (Line(
       points={{-105.7,293},{-41,293},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(RightHeart_O2Need.y, busConnector.RightHeart_O2Need) 
                                                                 annotation (Line(
       points={{-111.7,-33},{-41,-33},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Documentation(info="<html>
</html>"),   Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics),
          experiment(StopTime=1000),
          experimentSetupOutput);
      end CVSConstInputsFromFile;

      model _CVSConstInputsFromFile

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-48,-20},{-34,-6}})));

      Library.Utilities.VariableToFile A2Pool_Log10Conc(varName="A2Pool.Log10Conc") 
      annotation (Placement(transformation(extent={{-112,-330},{-106,-324}})));
      Library.Utilities.VariableToFile ADH(varName="ADHPool.[ADH]") 
      annotation (Placement(transformation(extent={{-112,-320},{-106,-314}})));
      Library.Utilities.VariableToFile ADHPool_Log10Conc(varName="ADHPool.Log10Conc") 
      annotation (Placement(transformation(extent={{-112,-310},{-106,-304}})));
      Library.Utilities.VariableToFile AlphaBlocade_Effect(varName="AlphaBlockade.Effect") 
      annotation (Placement(transformation(extent={{-112,-300},{-106,-294}})));
      Library.Utilities.VariableToFile AlphaPool_Effect(varName="AlphaPool.Effect") 
      annotation (Placement(transformation(extent={{-112,-290},{-106,-284}})));
      Library.Utilities.VariableToFile Anesthesia_VascularConductance(varName="Anesthesia.VascularConductance") 
      annotation (Placement(transformation(extent={{-112,-280},{-106,-274}})));
      Library.Utilities.VariableToFile ANPPool_Log10Conc(varName="ANPPool.Log10Conc") 
      annotation (Placement(transformation(extent={{-112,-270},{-106,-264}})));
      Library.Utilities.VariableToFile BetaBlocade_Effect(varName="BetaBlockade.Effect") 
      annotation (Placement(transformation(extent={{-112,-260},{-106,-254}})));
      Library.Utilities.VariableToFile BetaPool_Effect(varName="BetaPool.Effect") 
      annotation (Placement(transformation(extent={{-112,-250},{-106,-244}})));
      Library.Utilities.VariableToFile Bone_PO2(varName="Bone-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-240},{-106,-234}})));
      Library.Utilities.VariableToFile Brain_PCO2(varName="Brain-CO2.PCO2") 
      annotation (Placement(transformation(extent={{-112,-230},{-106,-224}})));
      Library.Utilities.VariableToFile Brain_PO2(varName="Brain-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-220},{-106,-214}})));
      Library.Utilities.VariableToFile CarotidSinusHeight(varName="CarotidSinus.Level") 
      annotation (Placement(transformation(extent={{-112,-210},{-106,-204}})));
      Library.Utilities.VariableToFile CD_H2O_Reab(varName="CD_H2O.Reab") 
      annotation (Placement(transformation(extent={{-112,-200},{-106,-194}})));
      Library.Utilities.VariableToFile EPOPool_Log10Conc(varName="EPOPool.Log10Conc") 
      annotation (Placement(transformation(extent={{-112,-190},{-106,-184}})));
      Library.Utilities.VariableToFile Exercise_Metabolism_ContractionRate(varName="Exercise-Metabolism.ContractionRate") 
      annotation (Placement(transformation(extent={{-112,-180},{-106,-174}})));
      Library.Utilities.VariableToFile Exercise_Metabolism_MotionWatts(varName="Exercise-Metabolism.MotionWatts") 
      annotation (Placement(transformation(extent={{-112,-170},{-106,-164}})));
      Library.Utilities.VariableToFile Exercise_MusclePump_Effect(varName="Exercise-MusclePump.Effect") 
      annotation (Placement(transformation(extent={{-112,-160},{-106,-154}})));
      Library.Utilities.VariableToFile Fat_PO2(varName="Fat-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-150},{-106,-144}})));
      Library.Utilities.VariableToFile FurosemidePool_Loss(varName="FurosemidePool.Loss") 
      annotation (Placement(transformation(extent={{-112,-140},{-106,-134}})));
      Library.Utilities.VariableToFile Gravity_Gz(varName="Gravity.Gz") 
      annotation (Placement(transformation(extent={{-112,-130},{-106,-124}})));
      Library.Utilities.VariableToFile GangliaGeneral_NA(varName="GangliaGeneral.NA(Hz)") 
      annotation (Placement(transformation(extent={{-112,-120},{-106,-114}})));
      Library.Utilities.VariableToFile GITract_PO2(varName="GITract-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-110},{-106,-104}})));
      Library.Utilities.VariableToFile HeartVentricleRate(varName="Heart-Ventricles.Rate") 
      annotation (Placement(transformation(extent={{-112,-100},{-106,-94}})));
      Library.Utilities.VariableToFile Hemorrhage_RBCRate(varName="Hemorrhage.RBCRate") 
      annotation (Placement(transformation(extent={{-112,-90},{-106,-84}})));
      Library.Utilities.VariableToFile HypothalamusSkinFlow_NervesActivity(varName="HypothalamusSkinFlow.NerveActivity") 
      annotation (Placement(transformation(extent={{-112,-80},{-106,-74}})));
      Library.Utilities.VariableToFile Kidney_Alpha_NA(varName="Kidney-Alpha.NA") 
      annotation (Placement(transformation(extent={{-112,-70},{-106,-64}})));
      Library.Utilities.VariableToFile Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)") 
      annotation (Placement(transformation(extent={{-112,-60},{-106,-54}})));
      Library.Utilities.VariableToFile LeftHeart_O2Need(varName="LeftHeart-Metabolism.O2Need") 
      annotation (Placement(transformation(extent={{-112,-50},{-106,-44}})));
      Library.Utilities.VariableToFile LeftHeart_PO2(varName="LeftHeart-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,-40},{-106,-34}})));
      Library.Utilities.VariableToFile LegMusclePump_Effect(varName="LegMusclePump.Effect") 
      annotation (Placement(transformation(extent={{-112,-30},{-106,-24}})));
      Library.Utilities.VariableToFile LowerTorsoArtyHeight(varName="Hydrostatics.LowerTorsoArtyGradient") 
      annotation (Placement(transformation(extent={{-112,-20},{-106,-14}})));
      Library.Utilities.VariableToFile LowerTorsoVeinHeight(varName="Hydrostatics.LowerTorsoVeinGradient") 
      annotation (Placement(transformation(extent={{-112,-10},{-106,-4}})));
      Library.Utilities.VariableToFile MD_Na(varName="MD_Na.[Na+(mEq/L)]") 
      annotation (Placement(transformation(extent={{-112,0},{-106,6}})));
      Library.Utilities.VariableToFile MedullaNa_conc(varName="MedullaNa.[Na+(mEq/L)]") 
      annotation (Placement(transformation(extent={{-112,10},{-106,16}})));
      Library.Utilities.VariableToFile MedullaNa_Osmolarity(varName="MedullaNa.Osmolarity") 
      annotation (Placement(transformation(extent={{-112,20},{-106,26}})));
      Library.Utilities.VariableToFile MedullaUrea_Osmolarity(varName="MedullaUrea.Osmolarity") 
      annotation (Placement(transformation(extent={{-112,30},{-106,36}})));
      Library.Utilities.VariableToFile NephronADH(varName="NephronADH.[ADH]") 
      annotation (Placement(transformation(extent={{-112,40},{-106,46}})));
      Library.Utilities.VariableToFile OtherTissue_PO2(varName="OtherTissue-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,50},{-106,56}})));
      Library.Utilities.VariableToFile Pericardium_Pressure(varName="Pericardium-Cavity.Pressure") 
      annotation (Placement(transformation(extent={{-112,60},{-106,66}})));
      Library.Utilities.VariableToFile PlasmaVol_Vol(varName="PlasmaVol.Vol") 
      annotation (Placement(transformation(extent={{-112,70},{-106,76}})));
      Library.Utilities.VariableToFile RespiratoryMuscle_O2Need(varName="RespiratoryMuscle-Metabolism.O2Need") 
      annotation (Placement(transformation(extent={{-112,80},{-106,86}})));
      Library.Utilities.VariableToFile RespiratoryMuscle_PO2(varName="RespiratoryMuscle-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,90},{-106,96}})));
      Library.Utilities.VariableToFile RightHeart_PO2(varName="RightHeart-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,100},{-106,106}})));
      Library.Utilities.VariableToFile SkeletalMuscle_O2Need(varName="SkeletalMuscle-Metabolism.O2Need") 
      annotation (Placement(transformation(extent={{-112,110},{-106,116}})));
      Library.Utilities.VariableToFile SkeletalMuscle_PO2(varName="SkeletalMuscle-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,120},{-106,126}})));
      Library.Utilities.VariableToFile Skin_PO2(varName="Skin-Flow.PO2") 
      annotation (Placement(transformation(extent={{-112,130},{-106,136}})));
      Library.Utilities.VariableToFile skin_T(varName="HeatSkin.Temp(C)") 
      annotation (Placement(transformation(extent={{-112,140},{-106,146}})));
      Library.Utilities.VariableToFile Thorax_AvePressure(varName="Thorax.AvePressure") 
      annotation (Placement(transformation(extent={{-112,160},{-106,166}})));
      Library.Utilities.VariableToFile Transfusion_RBCRate(varName="Transfusion.RBCRate") 
      annotation (Placement(transformation(extent={{-112,170},{-106,176}})));
      Library.Utilities.BooleanVariableToFile Bone_Function_Failed(varName="Bone-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,180},{-106,186}})));
      Library.Utilities.BooleanVariableToFile Brain_Function_Failed(varName="Brain-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,190},{-106,196}})));
      Library.Utilities.BooleanVariableToFile Fat_Function_Failed(varName="Fat-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,200},{-106,206}})));
      Library.Utilities.BooleanVariableToFile GITract_Function_Failed(varName="GITract-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,210},{-106,216}})));
      Library.Utilities.BooleanVariableToFile LeftHeart_Function_Failed(varName="LeftHeart-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,230},{-106,236}})));
      Library.Utilities.BooleanVariableToFile OtherTissue_Function_Failed(varName="OtherTissue-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,250},{-106,256}})));
      Library.Utilities.BooleanVariableToFile RespiratoryMuscle_Function_Failed(varName="RespiratoryMuscle-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,260},{-106,266}})));
      Library.Utilities.BooleanVariableToFile RightHeart_Function_Failed(varName="RightHeart-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,270},{-106,276}})));
      Library.Utilities.BooleanVariableToFile SkeletalMuscle_Function_Failed(varName="SkeletalMuscle-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,280},{-106,286}})));
      Library.Utilities.BooleanVariableToFile Skin_Function_Failed(varName="Skin-Function.Failed") 
      annotation (Placement(transformation(extent={{-112,290},{-106,296}})));

      equation
        connect(A2Pool_Log10Conc.y, busConnector.A2Pool_Log10Conc) annotation (Line(
       points={{-112.3,-327},{-41,-327},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ADH.y, busConnector.ADH) annotation (Line(
       points={{-112.3,-317},{-41,-317},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ADHPool_Log10Conc.y, busConnector.ADHPool_Log10Conc) annotation (Line(
       points={{-112.3,-307},{-41,-307},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlphaBlocade_Effect.y, busConnector.AlphaBlocade_Effect) annotation (Line(
       points={{-112.3,-297},{-41,-297},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlphaPool_Effect.y, busConnector.AlphaPool_Effect) annotation (Line(
       points={{-112.3,-287},{-41,-287},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Anesthesia_VascularConductance.y, busConnector.Anesthesia_VascularConductance) annotation (Line(
       points={{-112.3,-277},{-41,-277},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ANPPool_Log10Conc.y, busConnector.ANPPool_Log10Conc) annotation (Line(
       points={{-112.3,-267},{-41,-267},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BetaBlocade_Effect.y, busConnector.BetaBlocade_Effect) annotation (Line(
       points={{-112.3,-257},{-41,-257},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BetaPool_Effect.y, busConnector.BetaPool_Effect) annotation (Line(
       points={{-112.3,-247},{-41,-247},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_PO2.y, busConnector.Bone_PO2) annotation (Line(
       points={{-112.3,-237},{-41,-237},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_PCO2.y, busConnector.Brain_PCO2) annotation (Line(
       points={{-112.3,-227},{-41,-227},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_PO2.y, busConnector.Brain_PO2) annotation (Line(
       points={{-112.3,-217},{-41,-217},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CarotidSinusHeight.y, busConnector.CarotidSinusHeight) annotation (Line(
       points={{-112.3,-207},{-41,-207},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_H2O_Reab.y, busConnector.CD_H2O_Reab) annotation (Line(
       points={{-112.3,-197},{-41,-197},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(EPOPool_Log10Conc.y, busConnector.EPOPool_Log10Conc) annotation (Line(
       points={{-112.3,-187},{-41,-187},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Exercise_Metabolism_ContractionRate.y, busConnector.Exercise_Metabolism_ContractionRate) annotation (Line(
       points={{-112.3,-177},{-41,-177},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Exercise_Metabolism_MotionWatts.y, busConnector.Exercise_Metabolism_MotionWatts) annotation (Line(
       points={{-112.3,-167},{-41,-167},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Exercise_MusclePump_Effect.y, busConnector.Exercise_MusclePump_Effect) annotation (Line(
       points={{-112.3,-157},{-41,-157},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_PO2.y, busConnector.Fat_PO2) annotation (Line(
       points={{-112.3,-147},{-41,-147},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FurosemidePool_Loss.y, busConnector.FurosemidePool_Loss) annotation (Line(
       points={{-112.3,-137},{-41,-137},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Gravity_Gz.y, busConnector.Gravity_Gz) annotation (Line(
       points={{-112.3,-127},{-41,-127},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GangliaGeneral_NA.y, busConnector.GangliaGeneral_NA) annotation (Line(
       points={{-112.3,-117},{-41,-117},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_PO2.y, busConnector.GITract_PO2) annotation (Line(
       points={{-112.3,-107},{-41,-107},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeartVentricleRate.y, busConnector.HeartVentricleRate) annotation (Line(
       points={{-112.3,-97},{-41,-97},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Hemorrhage_RBCRate.y, busConnector.Hemorrhage_RBCRate) annotation (Line(
       points={{-112.3,-87},{-41,-87},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HypothalamusSkinFlow_NervesActivity.y, busConnector.HypothalamusSkinFlow_NervesActivity) annotation (Line(
       points={{-112.3,-77},{-41,-77},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_Alpha_NA.y, busConnector.Kidney_Alpha_NA) annotation (Line(
       points={{-112.3,-67},{-41,-67},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
       points={{-112.3,-57},{-41,-57},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_O2Need.y, busConnector.LeftHeart_O2Need) annotation (Line(
       points={{-112.3,-47},{-41,-47},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_PO2.y, busConnector.LeftHeart_PO2) annotation (Line(
       points={{-112.3,-37},{-41,-37},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LegMusclePump_Effect.y, busConnector.LegMusclePump_Effect) annotation (Line(
       points={{-112.3,-27},{-41,-27},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LowerTorsoArtyHeight.y, busConnector.LowerTorsoArtyHeight) annotation (Line(
       points={{-112.3,-17},{-41,-17},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LowerTorsoVeinHeight.y, busConnector.LowerTorsoVeinHeight) annotation (Line(
       points={{-112.3,-7},{-41,-7},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MD_Na.y, busConnector.MD_Na) annotation (Line(
       points={{-112.3,3},{-41,3},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaNa_conc.y, busConnector.MedullaNa_conc) annotation (Line(
       points={{-112.3,13},{-41,13},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaNa_Osmolarity.y, busConnector.MedullaNa_Osmolarity) annotation (Line(
       points={{-112.3,23},{-41,23},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaUrea_Osmolarity.y, busConnector.MedullaUrea_Osmolarity) annotation (Line(
       points={{-112.3,33},{-41,33},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(NephronADH.y, busConnector.NephronADH) annotation (Line(
       points={{-112.3,43},{-41,43},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_PO2.y, busConnector.OtherTissue_PO2) annotation (Line(
       points={{-112.3,53},{-41,53},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Pericardium_Pressure.y, busConnector.Pericardium_Pressure) annotation (Line(
       points={{-112.3,63},{-41,63},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PlasmaVol_Vol.y, busConnector.PlasmaVol_Vol) annotation (Line(
       points={{-112.3,73},{-41,73},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_O2Need.y, busConnector.RespiratoryMuscle_O2Need) annotation (Line(
       points={{-112.3,83},{-41,83},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_PO2.y, busConnector.RespiratoryMuscle_PO2) annotation (Line(
       points={{-112.3,93},{-41,93},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_PO2.y, busConnector.RightHeart_PO2) annotation (Line(
       points={{-112.3,103},{-41,103},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_O2Need.y, busConnector.SkeletalMuscle_O2Need) annotation (Line(
       points={{-112.3,113},{-41,113},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_PO2.y, busConnector.SkeletalMuscle_PO2) annotation (Line(
       points={{-112.3,123},{-41,123},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_PO2.y, busConnector.Skin_PO2) annotation (Line(
       points={{-112.3,133},{-41,133},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y, busConnector.skin_T) annotation (Line(
       points={{-112.3,143},{-41,143},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Thorax_AvePressure.y, busConnector.Thorax_AvePressure) annotation (Line(
       points={{-112.3,163},{-41,163},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Transfusion_RBCRate.y, busConnector.Transfusion_RBCRate) annotation (Line(
       points={{-112.3,173},{-41,173},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_Function_Failed.y, busConnector.Bone_Function_Failed) annotation (Line(
       points={{-111.7,183},{-41,183},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_Function_Failed.y, busConnector.Brain_Function_Failed) annotation (Line(
       points={{-111.7,193},{-41,193},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_Function_Failed.y, busConnector.Fat_Function_Failed) annotation (Line(
       points={{-111.7,203},{-41,203},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_Function_Failed.y, busConnector.GITract_Function_Failed) annotation (Line(
       points={{-111.7,213},{-41,213},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_Function_Failed.y, busConnector.LeftHeart_Function_Failed) annotation (Line(
       points={{-111.7,233},{-41,233},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_Function_Failed.y, busConnector.OtherTissue_Function_Failed) annotation (Line(
       points={{-111.7,253},{-41,253},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_Function_Failed.y, busConnector.RespiratoryMuscle_Function_Failed) annotation (Line(
       points={{-111.7,263},{-41,263},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_Function_Failed.y, busConnector.RightHeart_Function_Failed) annotation (Line(
       points={{-111.7,273},{-41,273},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_Function_Failed.y, busConnector.SkeletalMuscle_Function_Failed) annotation (Line(
       points={{-111.7,283},{-41,283},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_Function_Failed.y, busConnector.Skin_Function_Failed) annotation (Line(
       points={{-111.7,293},{-41,293},{-41,-13}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Documentation(info="<html>
</html>"),   Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics),
          experiment(StopTime=1000),
          experimentSetupOutput);
      end _CVSConstInputsFromFile;
    end setup;

    package test
      model T

        setup.CVSConstInputsFromFile cVSConstInputs 
          annotation (Placement(transformation(extent={{-54,32},{-34,52}})));
        CVS cVS annotation (Placement(transformation(extent={{-2,34},{18,54}})));
      equation
        connect(cVSConstInputs.busConnector, cVS.busConnector) annotation (Line(
            points={{-48.1,40.7},{-25.05,40.7},{-25.05,52},{0,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics),
          experiment,
          experimentSetupOutput(equdistant=false));
      end T;

      model TValsalvaNormal
        setup.CVSValsalvaInputs cVSValsalvaInputs 
          annotation (Placement(transformation(extent={{-58,6},{-38,26}})));
        CVS cVS annotation (Placement(transformation(extent={{-8,10},{12,30}})));
      equation
        connect(cVSValsalvaInputs.busConnector, cVS.busConnector) annotation (
            Line(
            points={{-52.1,14.7},{-28.05,14.7},{-28.05,28},{-6,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end TValsalvaNormal;

      model TValsalvaPulmArtysHalfRadius
        setup.CVSValsalvaInputs cVSValsalvaInputs(const5(k=4000)) 
          annotation (Placement(transformation(extent={{-58,6},{-38,26}})));
        CVS cVS(pulmonaryCirculation(pulmArtyConductance(cond=170)), redCells(
              RBCVolume(initialVolume=3000))) 
          annotation (Placement(transformation(extent={{-8,10},{12,30}})));
      equation
        connect(cVSValsalvaInputs.busConnector, cVS.busConnector) annotation (
            Line(
            points={{-52.1,14.7},{-28.05,14.7},{-28.05,28},{-6,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end TValsalvaPulmArtysHalfRadius;

      model TValsalvaPulmCapysHalfRadius
        setup.CVSValsalvaInputs cVSValsalvaInputs(const5(k=4000)) 
          annotation (Placement(transformation(extent={{-58,6},{-38,26}})));
        CVS cVS(redCells(RBCVolume(initialVolume=3000)), pulmonaryCirculation(
              pulmCapysConductance(cond=225))) 
          annotation (Placement(transformation(extent={{-8,10},{12,30}})));
      equation
        connect(cVSValsalvaInputs.busConnector, cVS.busConnector) annotation (
            Line(
            points={{-52.1,14.7},{-28.05,14.7},{-28.05,28},{-6,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end TValsalvaPulmCapysHalfRadius;

      model TValsalvaSmallPulmonaryArtysCompliance
        setup.CVSValsalvaInputs cVSValsalvaInputs(const5(k=2800)) 
          annotation (Placement(transformation(extent={{-58,6},{-38,26}})));
        CVS cVS(pulmonaryCirculation(
            const14(k=2.65),
            const16(k=2.3),
            const18(k=3)), redCells(RBCVolume(initialVolume=2400))) 
          annotation (Placement(transformation(extent={{-8,10},{12,30}})));
      equation
        connect(cVSValsalvaInputs.busConnector, cVS.busConnector) annotation (
            Line(
            points={{-52.1,14.7},{-28.05,14.7},{-28.05,28},{-6,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end TValsalvaSmallPulmonaryArtysCompliance;

      model THeart

        setup.HeartConstInputs heartConstInputs 
          annotation (Placement(transformation(extent={{12,-20},{32,0}})));
        VascularCompartments.Heart heart 
          annotation (Placement(transformation(extent={{10,4},{36,30}})));
        Library.PressureFlow.PressureControledCompartment systemicArtys(
            initialVolume=0, STEADY=false) 
          annotation (Placement(transformation(extent={{54,-38},{74,-18}})));
        Library.PressureFlow.PressureControledCompartment pulmArtys(
            initialVolume=0, STEADY=false) 
          annotation (Placement(transformation(extent={{-8,42},{12,62}})));
        Library.Blocks.PressureConstant pressureConstant(k=13.1) 
          annotation (Placement(transformation(extent={{-10,64},{-2,72}})));
        Library.Blocks.PressureConstant pressureConstant3(k=97) 
          annotation (Placement(transformation(extent={{50,-8},{58,0}})));
        Library.PressureFlow.InputPump inputPump 
          annotation (Placement(transformation(extent={{-50,12},{-32,30}})));
        Library.Blocks.FlowConstant flowConstant(k=5136.3) 
          annotation (Placement(transformation(extent={{-54,34},{-46,42}})));
        Library.PressureFlow.InputPump inputPump1 
          annotation (Placement(transformation(extent={{22,44},{40,62}})));
      equation
        connect(heartConstInputs.busConnector, heart.busConnector) annotation (
            Line(
            points={{17.9,-11.3},{9.95,-11.3},{9.95,13.1},{10,13.1}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(pressureConstant3.y, systemicArtys.pressure[1]) annotation (
            Line(
            points={{58.4,-4},{64,-4},{64,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureConstant.y, pulmArtys.pressure[1]) annotation (Line(
            points={{-1.6,68},{2,68},{2,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(heart.fromLeftVentricle, systemicArtys.y[1]) annotation (Line(
            points={{26.12,13.36},{26.12,30},{40,30},{40,-28},{54,-28}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(heart.fromRightVentricle, pulmArtys.y[1]) annotation (Line(
            points={{18.06,13.36},{-18,13.36},{-18,52},{-8,52}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowConstant.y,inputPump. desiredFlow) annotation (Line(
            points={{-45.6,38},{-41,38},{-41,26.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inputPump.q_out, heart.rightAtrium) annotation (Line(
            points={{-32,21.9},{-8,21.9},{-8,22.2},{15.72,22.2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowConstant.y, inputPump1.desiredFlow) 
                                                       annotation (Line(
            points={{-45.6,38},{-40,38},{-40,82},{30,82},{31,58.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inputPump1.q_out, heart.leftAtrium) annotation (Line(
            points={{40,53.9},{50,53.9},{50,22.46},{28.72,22.46}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end THeart;

      model TSplanchnicCirculation

        setup.HeartConstInputs heartConstInputs 
          annotation (Placement(transformation(extent={{-6,52},{14,72}})));
        Library.PressureFlow.PressureControledCompartment systemicVeins(
            initialVolume=10000, STEADY=false) 
          annotation (Placement(transformation(extent={{-28,6},{-48,26}})));
        Library.PressureFlow.PressureControledCompartment systemicArtys(
            initialVolume=0, STEADY=false) 
          annotation (Placement(transformation(extent={{46,6},{66,26}})));
        Library.Blocks.PressureConstant pressureConstant2(k=1.1) 
          annotation (Placement(transformation(extent={{-50,34},{-42,42}})));
        Library.Blocks.PressureConstant pressureConstant3(k=97) 
          annotation (Placement(transformation(extent={{36,36},{44,44}})));
        HumMod.Blood.OrganFlow.SplanchnicCirculation splanchnicCirculation 
          annotation (Placement(transformation(extent={{0,6},{20,26}})));
      equation
        connect(pressureConstant3.y, systemicArtys.pressure[1]) annotation (
            Line(
            points={{44.4,40},{56,40},{56,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureConstant2.y, systemicVeins.pressure[1]) annotation (
            Line(
            points={{-41.6,38},{-38,38},{-38,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(heartConstInputs.busConnector, splanchnicCirculation.busConnector) 
          annotation (Line(
            points={{-0.1,60.7},{-0.05,60.7},{-0.05,21},{0,21}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(systemicArtys.y[1], splanchnicCirculation.q_in) annotation (
            Line(
            points={{46,16},{20,16}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(splanchnicCirculation.q_out, systemicVeins.y[1]) annotation (
            Line(
            points={{0,16},{-28,16}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end TSplanchnicCirculation;

      model TSystemicCirculation

        setup.SystemicCirculationConstInputs systemicCirculationConstInputs 
          annotation (Placement(transformation(extent={{-4,52},{16,72}})));
        Library.Blocks.PressureConstant pressureConstant2(k=1.1) 
          annotation (Placement(transformation(extent={{-6,-12},{2,-4}})));
        VascularCompartments.SystemicCirculation systemicCirculation(
            systemicVeinsElacticBloodCompartment(systemicVeins(STEADY=false))) 
          annotation (Placement(transformation(extent={{2,10},{22,30}})));
        VascularCompartments.GuytonPump guytonPump 
          annotation (Placement(transformation(extent={{6,-32},{26,-12}})));
        Modelica.Blocks.Sources.Clock clock(offset=1, startTime=0) 
          annotation (Placement(transformation(extent={{-52,-16},{-32,4}})));
      equation
        connect(systemicCirculationConstInputs.busConnector,
          systemicCirculation.busConnector) annotation (Line(
            points={{1.9,60.7},{1.95,60.7},{1.95,24},{1.8,24}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(guytonPump.q_out, systemicCirculation.q_in) annotation (Line(
            points={{26,-22},{36,-22},{36,20},{22,20}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(systemicCirculation.q_out, guytonPump.q_in) annotation (Line(
            points={{2,20},{-18,20},{-18,-22},{6,-22}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(clock.y, guytonPump.inputPressure) annotation (Line(
            points={{-31,-6},{8,-6},{8,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end TSystemicCirculation;

      model TPeripheralResistance

        setup.PeripheralResistanceConstInputs peripheralConstInputs 
          annotation (Placement(transformation(extent={{-6,52},{14,72}})));
        Library.PressureFlow.PressureControledCompartment systemicVeins(
            initialVolume=10000, STEADY=false) 
          annotation (Placement(transformation(extent={{-28,6},{-48,26}})));
        Library.PressureFlow.PressureControledCompartment systemicArtys(
            initialVolume=0, STEADY=false) 
          annotation (Placement(transformation(extent={{46,6},{66,26}})));
        Library.Blocks.PressureConstant pressureConstant2(k=7.1) 
          annotation (Placement(transformation(extent={{-50,34},{-42,42}})));
        Library.Blocks.PressureConstant pressureConstant3(k=97) 
          annotation (Placement(transformation(extent={{36,36},{44,44}})));
        OrganFlow.PeripheralFlow peripheral 
          annotation (Placement(transformation(extent={{0,6},{20,26}})));
      equation
        connect(pressureConstant3.y, systemicArtys.pressure[1]) annotation (
            Line(
            points={{44.4,40},{56,40},{56,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureConstant2.y, systemicVeins.pressure[1]) annotation (
            Line(
            points={{-41.6,38},{-38,38},{-38,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(peripheralConstInputs.busConnector, peripheral.organBloodFlowSignals) 
          annotation (Line(
            points={{-0.1,60.7},{-0.1,28},{16.9,28},{16.9,17.9}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(systemicVeins.y[1], peripheral.q_in) annotation (Line(
            points={{-28,16},{0,16}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(peripheral.q_out, systemicArtys.y[1]) annotation (Line(
            points={{20,16},{46,16}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end TPeripheralResistance;

      model TPulmonaryCirculation
       //  inner parameter Boolean STEADY=false;
        setup.SystemicCirculationConstInputs systemicCirculationConstInputs 
          annotation (Placement(transformation(extent={{-4,52},{16,72}})));
        VascularCompartments.PulmonaryCirculation systemicCirculation 
          annotation (Placement(transformation(extent={{2,10},{22,30}})));
        Library.Blocks.PressureConstant pressureConstant1(k=5) 
          annotation (Placement(transformation(extent={{-50,28},{-42,36}})));
        VascularCompartments.GuytonPump guytonPump 
          annotation (Placement(transformation(extent={{-38,10},{-18,30}})));
      equation
        connect(systemicCirculationConstInputs.busConnector,
          systemicCirculation.busConnector) annotation (Line(
            points={{1.9,60.7},{1.95,60.7},{1.95,25},{2,25}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(pressureConstant1.y, guytonPump.inputPressure) annotation (Line(
            points={{-41.6,32},{-36,32},{-36,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(guytonPump.q_out, systemicCirculation.q_in) annotation (Line(
            points={{-18,20},{2,20}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(systemicCirculation.q_out, guytonPump.q_in) annotation (Line(
            points={{22,20},{28,20},{28,-18},{-60,-18},{-60,20},{-38,20}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end TPulmonaryCirculation;

      model THeart2

        setup.HeartConstInputs heartConstInputs 
          annotation (Placement(transformation(extent={{-56,32},{-36,52}})));
        VascularCompartments.Heart heart 
          annotation (Placement(transformation(extent={{10,4},{36,30}})));
        Library.PressureFlow.PressureControledCompartment pulmVeins(
            initialVolume=10000, STEADY=false) 
          annotation (Placement(transformation(extent={{54,42},{74,62}})));
        Library.PressureFlow.PressureControledCompartment systemicVeins(
            initialVolume=10000, STEADY=false) 
          annotation (Placement(transformation(extent={{-8,-38},{12,-18}})));
        Library.PressureFlow.PressureControledCompartment systemicArtys(
            initialVolume=0, STEADY=false) 
          annotation (Placement(transformation(extent={{54,-38},{74,-18}})));
        Library.PressureFlow.PressureControledCompartment pulmArtys(
            initialVolume=0, STEADY=false) 
          annotation (Placement(transformation(extent={{-8,42},{12,62}})));
        Library.Blocks.PressureConstant pressureConstant(k=13.1) 
          annotation (Placement(transformation(extent={{-14,74},{-6,82}})));
        Library.Blocks.PressureConstant pressureConstant1(k=6.1) 
          annotation (Placement(transformation(extent={{52,74},{60,82}})));
        Library.Blocks.PressureConstant pressureConstant2(k=7.1) 
          annotation (Placement(transformation(extent={{-10,-10},{-2,-2}})));
        Library.Blocks.PressureConstant pressureConstant3(k=97) 
          annotation (Placement(transformation(extent={{50,-8},{58,0}})));
        Library.PressureFlow.ResistorWithCondParam resistorWithCondParam(cond=
              856)    annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-26,-4})));
        Library.PressureFlow.ResistorWithCondParam resistorWithCondParam1(cond=
              5400) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={48,38})));
      equation
        connect(heartConstInputs.busConnector, heart.busConnector) annotation (
            Line(
            points={{-50.1,40.7},{-20.05,40.7},{-20.05,13.1},{10,13.1}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(pressureConstant3.y, systemicArtys.pressure[1]) annotation (
            Line(
            points={{58.4,-4},{64,-4},{64,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureConstant2.y, systemicVeins.pressure[1]) annotation (
            Line(
            points={{-1.6,-6},{2,-6},{2,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureConstant.y, pulmArtys.pressure[1]) annotation (Line(
            points={{-5.6,78},{2,78},{2,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureConstant1.y, pulmVeins.pressure[1]) annotation (Line(
            points={{60.4,78},{64,78},{64,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(heart.fromLeftVentricle, systemicArtys.y[1]) annotation (Line(
            points={{26.12,13.36},{26.12,30},{40,30},{40,-28},{54,-28}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(heart.fromRightVentricle, pulmArtys.y[1]) annotation (Line(
            points={{18.06,13.36},{-18,13.36},{-18,52},{-8,52}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(systemicVeins.y[1], resistorWithCondParam.q_in) annotation (
            Line(
            points={{-8,-28},{-26,-28},{-26,-14}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(resistorWithCondParam.q_out, heart.rightAtrium) annotation (
            Line(
            points={{-26,6},{-26,22.2},{15.72,22.2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmVeins.y[1], resistorWithCondParam1.q_in) annotation (Line(
            points={{54,52},{48,52},{48,48}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(resistorWithCondParam1.q_out, heart.leftAtrium) annotation (
            Line(
            points={{48,28},{48,22.46},{28.72,22.46}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end THeart2;

      model _
        setup.CVSConstInputs cVSConstInputs 
          annotation (Placement(transformation(extent={{-32,10},{-12,30}})));
        setup._CVSConstInputsFromFile _CVSConstInputsFromFile 
          annotation (Placement(transformation(extent={{30,8},{50,28}})));
      equation
        connect(cVSConstInputs.busConnector, _CVSConstInputsFromFile.busConnector) 
          annotation (Line(
            points={{-26.1,18.7},{4.95,18.7},{4.95,16.7},{35.9,16.7}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end _;

      model TSteadyPulmonaryCirculation
       //  inner parameter Boolean STEADY=false;
        setup.SystemicCirculationConstInputs systemicCirculationConstInputs 
          annotation (Placement(transformation(extent={{-32,56},{-12,76}})));
        VascularCompartments.PulmonaryCirculation systemicCirculation(pulmVeins(
              STEADY=false)) 
          annotation (Placement(transformation(extent={{-26,14},{-6,34}})));
        Library.Blocks.PressureConstant pressureConstant1(k=5) 
          annotation (Placement(transformation(extent={{-78,32},{-70,40}})));
        VascularCompartments.GuytonPump guytonPump 
          annotation (Placement(transformation(extent={{-66,14},{-46,34}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-6,32},{14,52}})));
        Modelica.Blocks.Math.Add PulmonaryBloodVolume 
          annotation (Placement(transformation(extent={{36,-52},{56,-32}})));

        Modelica.Blocks.Sources.Clock clock 
          annotation (Placement(transformation(extent={{-92,52},{-72,72}})));
      initial equation
         PulmonaryBloodVolume.y = 600;
      equation
       // assert(systemicCirculation.q_in.q < 0);
        when systemicCirculation.q_in.q <= 0 then
          terminate("Atrium pressure touches the mean filling pressure");
        end when;

        connect(systemicCirculationConstInputs.busConnector,
          systemicCirculation.busConnector) annotation (Line(
            points={{-26.1,64.7},{-26.05,64.7},{-26.05,29},{-26,29}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(guytonPump.q_out, systemicCirculation.q_in) annotation (Line(
            points={{-46,24},{-26,24}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(systemicCirculation.q_out, guytonPump.q_in) annotation (Line(
            points={{-6,24},{0,24},{0,-14},{-88,-14},{-88,24},{-66,24}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(systemicCirculation.busConnector, busConnector) annotation (Line(
            points={{-26,29},{-26,42},{4,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.PulmonaryCirculation_DeoxygenatedBloodVolume,
          PulmonaryBloodVolume.u1) annotation (Line(
            points={{4,42},{16,42},{16,-36},{34,-36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.PulmonaryCirculation_OxygenatedBloodVolume,
          PulmonaryBloodVolume.u2) annotation (Line(
            points={{4,42},{16,42},{16,-48},{34,-48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(clock.y, guytonPump.inputPressure) annotation (Line(
            points={{-71,62},{-64,62},{-64,30}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end TSteadyPulmonaryCirculation;

      model TVenousReturn

        VascularCompartments.SystemicCirculation2 systemicCirculation 
          annotation (Placement(transformation(extent={{-26,-36},{-6,-16}})));
        setup.CVSConstInputsFromFile cVSConstInputs 
          annotation (Placement(transformation(extent={{-72,-4},{-52,16}})));
        VascularCompartments.GuytonOutputPump guytonPump 
          annotation (Placement(transformation(extent={{-34,-80},{-14,-60}})));
        Library.Blocks.PressureConstant pressureConstant(k=1.1) 
          annotation (Placement(transformation(extent={{-40,-40},{-32,-32}})));
      Library.Utilities.ConstantFromFile BloodVol_CollapsedEffect(varName="BloodVol.CollapsedEffect") 
      annotation (Placement(transformation(extent={{-100,32},{-94,38}})));

      Library.Utilities.ConstantFromFile Viscosity_ConductanceEffect(varName="Viscosity.ConductanceEffect") 
      annotation (Placement(transformation(extent={{-100,26},{-94,32}})));

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-34,36},{-20,50}})));
      Library.Utilities.ConstantFromFile BloodVol_PVCrit(varName="BloodVol.PVCrit") 
      annotation (Placement(transformation(extent={{-90,42},{-84,48}})));
      Library.Utilities.ConstantFromFile BloodVol_Change(k=0, varName="BloodVol.Change") 
      annotation (Placement(transformation(extent={{-80,52},{-74,58}})));

        Library.Blocks.ConstantFromFile V0_artys1(units="ml",k=4400) 
          annotation (Placement(transformation(extent={{82,84},{72,94}})));
        Modelica.Blocks.Math.Sum sum1(nin=4) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={22,74})));
        Modelica.Blocks.Math.Feedback feedback annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={50,74})));
        Modelica.Blocks.Math.Feedback stressedVolume annotation (Placement(
              transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={54,38})));
        Modelica.Blocks.Math.Division division annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={48,8})));
        Library.Blocks.ComplianceConstant const5(k=1.55) 
          annotation (Placement(transformation(extent={{26,34},{10,50}})));
        Library.Blocks.ConstantFromFile V0_artys(units="ml",k=850) 
          annotation (Placement(transformation(extent={{90,46},{80,56}})));
        VascularCompartments.GuytonOutputPump guytonPump1 
          annotation (Placement(transformation(extent={{20,-38},{40,-18}})));
        Modelica.Blocks.Math.Feedback feedback1 
          annotation (Placement(transformation(extent={{-78,-60},{-58,-40}})));
        Library.Blocks.PressureConstant minPRA(k=6) 
          annotation (Placement(transformation(extent={{-52,-80},{-62,-70}})));
        Modelica.Blocks.Sources.Clock clock 
          annotation (Placement(transformation(extent={{-102,-42},{-82,-22}})));
        Modelica.Blocks.Logical.TerminateSimulation terminateSimulation(
            condition=guytonPump.q_in.q <= 0) 
          annotation (Placement(transformation(extent={{0,-72},{80,-64}})));
      equation
       /* 4500 = systemicCirculation.systemicVeinsElacticBloodCompartment.Vol +
systemicCirculation.systemicArtys.Vol +
systemicCirculation.splanchnicCirculation.portalVein.Vol +
systemicCirculation.sequesteredBlood1.Vol +
systemicCirculation.sequesteredBlood.Vol;*/

        connect(cVSConstInputs.busConnector, systemicCirculation.busConnector) 
          annotation (Line(
            points={{-66.1,4.7},{-66.1,1.35},{-26.2,1.35},{-26.2,-22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(systemicCirculation.q_out, guytonPump.q_in) annotation (Line(
            points={{-26,-26},{-46,-26},{-46,-70},{-34,-70}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Viscosity_ConductanceEffect.y, busConnector.Viscosity_ConductanceEffect) 
          annotation (Line(
            points={{-93.7,29},{-60,30},{-60,43},{-27,43}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVol_CollapsedEffect.y, busConnector.BloodVol_CollapsedEffect) 
          annotation (Line(
            points={{-93.7,35},{-60,36},{-60,43},{-27,43}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
            points={{-83.7,45},{-28,28},{-27,43}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVol_Change.y, busConnector.BloodVolume_change) annotation (Line(
            points={{-73.7,55},{-49.85,55},{-49.85,43},{-27,43}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector, systemicCirculation.busConnector) annotation (Line(
            points={{-27,43},{-27,2},{-26.2,2},{-26.2,-22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(sum1.y, feedback.u2) annotation (Line(
            points={{33,74},{42,74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(V0_artys1.y, feedback.u1) annotation (Line(
            points={{71.5,89},{48,82},{50,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.SystemicVeins_DeoxygenatedBloodVolume, sum1.u[1]) 
          annotation (Line(
            points={{-27,43},{-27,72.5},{10,72.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume, sum1.u[2]) 
          annotation (Line(
            points={{-27,43},{-27,73.5},{10,73.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.LegArtys_OxygenatedBloodVolume, sum1.u[3]) annotation (
            Line(
            points={{-27,43},{-27,74.5},{10,74.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.LegVeins_DeoxygenatedBloodVolume, sum1.u[4]) annotation (
           Line(
            points={{-27,43},{-27,75.5},{10,75.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(const5.y, division.u2) annotation (Line(
            points={{9.2,42},{26,42},{26,20},{42,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(V0_artys.y, stressedVolume.u2) annotation (Line(
            points={{79.5,51},{71.75,51},{71.75,38},{62,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, stressedVolume.u1) annotation (Line(
            points={{50,65},{52,65},{52,46},{54,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(stressedVolume.y, division.u1) annotation (Line(
            points={{54,29},{54,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicCirculation.q_in, guytonPump1.q_in) annotation (Line(
            points={{-6,-26},{8,-26},{8,-28},{20,-28}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(guytonPump1.inputPressure, division.y) annotation (Line(
            points={{22,-22},{36,-22},{36,-3},{48,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback1.y, guytonPump.inputPressure) annotation (Line(
            points={{-59,-50},{-32,-50},{-32,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(minPRA.y, feedback1.u2) annotation (Line(
            points={{-62.5,-75},{-68,-75},{-68,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(clock.y, feedback1.u1) annotation (Line(
            points={{-81,-32},{-78,-32},{-78,-50},{-76,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics));
      end TVenousReturn;
    end test;
  annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
  end Blood;

  package Water "Body Water"

    package Hydrostatics
      "Hydrostatic pressure difference in upper, midle and lower torso"

    block Constant "Generate constant signal of type Posture"
      parameter Posture k=Posture.Lying "Constant output value";

      PostureOutput y "Connector of Real output signal" 
        annotation (Placement(transformation(extent={{100,-10},{120,10}},
            rotation=0)));

    equation
      y = k;
      annotation (
        Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={2,2},
        initialScale=0.04), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-40},{100,46}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k")}),
        Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={2,2},
        initialScale=0.04), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
    Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
    end Constant;

      type Posture = enumeration(
          Lying,
          Sitting,
          Standing,
          Tilting);

      model TorsoHydrostatics
       extends HumMod.Library.Interfaces.BaseModel;

         parameter Real Alpha =   0.1667
          "torso: capilary pressure coeficient between artery and vein pressure";
         parameter Real Gravity_Gz = 1 "gravity constant / 10";

         parameter Real TorsoCM(final quantity="Height", final unit="cm")
          "torso: center of gravity - height";

         parameter Real artyFractGz[Posture]
          "torso: arty hydrostatic effects for posturing";
         parameter Real veinFractGz[Posture]
          "torso: vein hydrostatic effects for posturing";

         Real ArtyFractGz;
         Real VeinFractGz;
         Real TorsoArtyGradient(final quantity="Pressure", final unit="mmHg");
         Real TorsoVeinGradient(final quantity="Pressure", final unit="mmHg");
         Real Arty(final quantity="Pressure", final unit="mmHg");
         Real Vein(final quantity="Pressure", final unit="mmHg");

        HumMod.Library.Interfaces.RealInput Pump_Effect(final unit="1")
          "xNormal"                              annotation (Placement(transformation(extent={{
                  -120,-100},{-80,-60}}), iconTransformation(extent={{-120,-100},{-80,
                  -60}})));
        HumMod.Library.Interfaces.RealInput fromPressure(final quantity=
              "Pressure", final unit="mmHg")
          "torso: systemic arteries pressure"                             annotation (Placement(transformation(extent={{
                  -120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,40}})));
        HumMod.Library.Interfaces.RealInput toPressure(final quantity=
              "Pressure", final unit="mmHg") "torso: systemic veins pressure" 
                                                                             annotation (Placement(transformation(extent={{-120,
                  -40},{-80,0}}),       iconTransformation(extent={{-120,-40},{-80,0}})));
        PostureInput Status_Posture "Lying, Sitting, Standing or Tilting"           annotation (Placement(transformation(
                extent={{-120,60},{-80,100}}), iconTransformation(extent={{-120,60},{
                  -80,100}})));
        HumMod.Library.Interfaces.RealOutput_ Capy(final quantity="Pressure",
            final unit="mmHg") "torso: average capilaries pressure"         annotation (Placement(transformation(extent={{80,-20},
                  {120,20}}), iconTransformation(extent={{80,-20},{120,20}})));
      equation
         ArtyFractGz = artyFractGz[Status_Posture];
         VeinFractGz = veinFractGz[Status_Posture]; //in legs veins are valves

         TorsoArtyGradient  =  TorsoCM * Gravity_Gz * ArtyFractGz;  //Hydrostatic pressure: P=ro.g.h
         //cm *  .01 m/cm * 9.81 m/s * 1060 kg/m3 * 1/133.322 mmHg/Pa
         //= height[cm] * .77996129671022036873134216408395 [mmHg]
         //Blood density = 1060 kg/m3: Cutnell, John & Johnson, Kenneth. Physics, Fourth Edition. Wiley, 1998: 308.

         //bloodDensity = 1060 kg/m3
         //gravityAcceleration = 9.81 m/s2
         //Pa2mmHg = 1/133.322 mmHg/Pa
         //cm2m = .01 m/cm
         //averageHydrostaticHeight = TorsoCM * postureCoef[Status_Posture]
         //hydrostaticPressure = averageHydrostaticHeight * cm2m * bloodDensity * gravityAcceleration * Pa2mmHg
         //                    = .77996 * averageHydrostaticHeight

         TorsoVeinGradient  =  TorsoCM * Gravity_Gz * VeinFractGz;

         Arty  = max( (fromPressure + TorsoArtyGradient), 0);
         Vein  = max( toPressure + ( TorsoVeinGradient * Pump_Effect));  //only lower torso has LegMusclePump_Effect
         Capy  = max( ( Alpha * Arty)   + ( 1.0 - Alpha)  * Vein, 0);
       annotation (
      Documentation(info="<HTML>
<PRE>
QHP 2008 / Hydrostatics
 
Created : 18-Jun-05
Last Modified : 18-Jun-05
Author : Tom Coleman
Copyright Status : In Public Domain
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
      end TorsoHydrostatics;

      model Hydrostatics
        //extends QHP.Library.Interfaces.BaseModel;

         parameter Real TiltTable_Degrees( final quantity="Angle", final unit="Deg")= 0;

        TorsoHydrostatics UpperTorsoHydrostatics(                         veinFractGz=
             {0,1,1,sin(Modelica.SIunits.Conversions.from_deg(TiltTable_Degrees))},
          TorsoCM=-10,
          artyFractGz={0,1,1,sin(Modelica.SIunits.Conversions.from_deg(
              TiltTable_Degrees))}) 
          annotation (Placement(transformation(extent={{-12,34},{16,62}})));
        TorsoHydrostatics LowerTorsoHydrostatics(
          TorsoCM=50.0,
          artyFractGz={0,.7,1,sin(Modelica.SIunits.Conversions.from_deg(
              TiltTable_Degrees))},
          veinFractGz={.2,.7,1,.2 + sin(Modelica.SIunits.Conversions.from_deg(
              TiltTable_Degrees))}) 
          annotation (Placement(transformation(extent={{-12,-42},{16,-14}})));
        TorsoHydrostatics MiddleTorsoHydrostatics(
                                            artyFractGz={0,1,1,sin(
              Modelica.SIunits.Conversions.from_deg(TiltTable_Degrees))}, veinFractGz=
             {0,1,1,sin(Modelica.SIunits.Conversions.from_deg(TiltTable_Degrees))},
          TorsoCM=4) 
          annotation (Placement(transformation(extent={{-12,-4},{16,24}})));
        HumMod.Library.Blocks.Constant PumpEffect(k=1) 
          annotation (Placement(transformation(extent={{-40,32},{-36,36}})));
        HumMod.Library.Interfaces.RealInput SystemicArtys_Pressure(final
            quantity="Pressure", final unit="mmHg") 
          annotation (Placement(transformation(extent={{-44,56},{-40,60}}),
              iconTransformation(extent={{-100,-30},{-80,-10}})));
        HumMod.Library.Interfaces.RealInput RightAtrium_Pressure(final quantity
            ="Pressure", final unit="mmHg") 
          annotation (Placement(transformation(extent={{-34,66},{-30,70}}),
              iconTransformation(extent={{-100,10},{-80,30}})));
        HumMod.Library.Interfaces.RealInput LegMusclePump_Effect(final quantity
            ="Flow", final unit="ml/min") 
          annotation (Placement(transformation(extent={{-46,-42},{-38,-34}}),
              iconTransformation(extent={{-100,-90},{-80,-70}})));
        Library.Interfaces.RealInput_ Status_Posture
          "Lying, Sitting, Standing or Tilting"                                   annotation (Placement(transformation(
                extent={{-90,22},{-86,26}}), iconTransformation(extent={{-100,70},{-80,
                  90}})));
        HumMod.Library.Interfaces.RealOutput RegionalPressure_UpperCapy(final
            quantity="Pressure", final unit="mmHg") 
                                                annotation (Placement(transformation(
                extent={{42,44},{50,52}}),     iconTransformation(extent={{90,20},{
                  110,40}})));
        HumMod.Library.Interfaces.RealOutput RegionalPressure_MiddleCapy(final
            quantity="Pressure", final unit="mmHg") 
                                                annotation (Placement(transformation(
                extent={{42,6},{50,14}}),      iconTransformation(extent={{90,-20},{
                  110,0}})));
        HumMod.Library.Interfaces.RealOutput RegionalPressure_LowerCapy(final
            quantity="Pressure", final unit="mmHg") 
                                                annotation (Placement(transformation(
                extent={{42,-32},{50,-24}}),   iconTransformation(extent={{90,-60},{
                  110,-40}})));
        Real2Posture real2Posture 
          annotation (Placement(transformation(extent={{-72,20},{-64,28}})));
      equation
        connect(RightAtrium_Pressure,LowerTorsoHydrostatics. toPressure) annotation (
            Line(
            points={{-32,68},{-28,68},{-28,-30.8},{-12,-30.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RightAtrium_Pressure,MiddleTorsoHydrostatics. toPressure) annotation (
           Line(
            points={{-32,68},{-28,68},{-28,7.2},{-12,7.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RightAtrium_Pressure,UpperTorsoHydrostatics. toPressure) annotation (
            Line(
            points={{-32,68},{-28,68},{-28,45.2},{-12,45.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PumpEffect.y,UpperTorsoHydrostatics. Pump_Effect) annotation (Line(
            points={{-35.8,34},{-26,34},{-26,36.8},{-12,36.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MiddleTorsoHydrostatics.Pump_Effect,PumpEffect. y) annotation (Line(
            points={{-12,-1.2},{-26,-1.2},{-26,34},{-35.8,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SystemicArtys_Pressure,LowerTorsoHydrostatics. fromPressure) 
          annotation (Line(
            points={{-42,58},{-30,58},{-30,-25.2},{-12,-25.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SystemicArtys_Pressure,MiddleTorsoHydrostatics. fromPressure) 
          annotation (Line(
            points={{-42,58},{-30,58},{-30,12.8},{-12,12.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SystemicArtys_Pressure,UpperTorsoHydrostatics. fromPressure) 
          annotation (Line(
            points={{-42,58},{-30,58},{-30,50.8},{-12,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LegMusclePump_Effect,LowerTorsoHydrostatics. Pump_Effect) annotation (
           Line(
            points={{-42,-38},{-32,-38},{-32,-39.2},{-12,-39.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(UpperTorsoHydrostatics.Capy, RegionalPressure_UpperCapy) annotation (
            Line(
            points={{16,48},{46,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MiddleTorsoHydrostatics.Capy, RegionalPressure_MiddleCapy) 
          annotation (Line(
            points={{16,10},{31,10},{31,10},{46,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LowerTorsoHydrostatics.Capy, RegionalPressure_LowerCapy) annotation (
            Line(
            points={{16,-28},{46,-28}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(UpperTorsoHydrostatics.Status_Posture, real2Posture.y) annotation (
            Line(
            points={{-12,59.2},{-32,59.2},{-32,24},{-63.2,24}},
            color={0,127,127},
            smooth=Smooth.None));

        connect(real2Posture.y, MiddleTorsoHydrostatics.Status_Posture) annotation (
            Line(
            points={{-63.2,24},{-32,24},{-32,21.2},{-12,21.2}},
            color={0,127,127},
            smooth=Smooth.None));
        connect(LowerTorsoHydrostatics.Status_Posture, real2Posture.y) annotation (
            Line(
            points={{-12,-16.8},{-32,-16.8},{-32,24},{-63.2,24}},
            color={0,127,127},
            smooth=Smooth.None));
        connect(real2Posture.u, Status_Posture) annotation (Line(
            points={{-72.8,24},{-88,24}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/hydrostatika.png"),
              Text(
                extent={{-100,122},{100,102}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
      end Hydrostatics;

      connector PostureInput = 
                            input Posture "'input Posture' as connector" 
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,127,127},
              fillColor={0,127,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{100,-50},{700,50}},
              lineColor={0,127,127},
              textString="%name")},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,127,127},
              fillColor={0,127,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,127,127},
              textString="%name")}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Posture.
</p>
</html>"));

      connector PostureOutput = 
                          output Posture "'input Posture' as connector" 
      annotation (defaultComponentName="u",
      Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,127,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{100,-50},{700,50}},
              lineColor={0,127,127},
              textString="%name")},
           coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
      Diagram(coordinateSystem(
            preserveAspectRatio=true, initialScale=0.2,
            extent={{-100,-100},{100,100}},
            grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,127,127},
              fillColor={0,127,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,127,127},
              textString="%name")}),
        Documentation(info="<html>
<p>
Connector with one input signal of type Posture.
</p>
</html>"));

    model Real2Posture "Convert Real to type Posture"
      extends Library.Interfaces.ConversionIcon;

      PostureOutput y "Connector of Real output signal" 
        annotation (Placement(transformation(extent={{60,-20},{80,0}},
            rotation=0), iconTransformation(extent={{100,-20},{140,20}})));

      Library.Interfaces.RealInput_ u annotation (Placement(transformation(extent={{-130,
                -20},{-90,20}}),      iconTransformation(extent={{-140,-20},{-100,20}})));
    equation
      y = integer(u);
      annotation (
        Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={2,2},
        initialScale=0.04), graphics),
        Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={2,2},
        initialScale=0.04), graphics),
    Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
    end Real2Posture;
    end Hydrostatics;

    package Osmoles "Intracellular vs. Extracellular Water"

      model OsmBody
        //extends QHP.Library.Interfaces.BaseModel;

        HumMod.Library.Interfaces.RealInput OsmECFV_Electrolytes(final unit=
              "mOsm")                                annotation (Placement(transformation(
                extent={{-120,50},{-80,90}}), iconTransformation(extent={{-100,88},{-76,
                  112}})));
        HumMod.Library.Interfaces.RealInput OsmCell_Electrolytes(final unit=
              "mOsm")                                annotation (Placement(transformation(
                extent={{-120,-10},{-80,30}}),
                                             iconTransformation(extent={{-100,48},{-76,
                  72}})));
        HumMod.Library.Interfaces.RealInput UreaECF(final unit="mOsm") 
                                                        annotation (Placement(
              transformation(extent={{-120,20},{-80,60}}), iconTransformation(extent={{-100,8},
                  {-76,32}})));
        HumMod.Library.Interfaces.RealInput UreaICF(final unit="mOsm") 
                                                        annotation (Placement(
              transformation(extent={{-120,-40},{-80,0}}),iconTransformation(extent={{-100,
                  -32},{-76,-8}})));
        HumMod.Library.Interfaces.RealInput BodyH2O_Vol(final unit="ml")
          "all water in body"                                  annotation (Placement(transformation(extent={{-120,
                  -110},{-80,-70}}),   iconTransformation(extent={{-100,-112},{-76,-88}})));
        HumMod.Library.Interfaces.RealOutput ECFV(final unit="ml")
          "extracellular water"                            annotation (Placement(transformation(extent={{60,-80},
                  {100,-40}}),iconTransformation(extent={{92,8},{116,32}})));
        HumMod.Library.Interfaces.RealOutput ICFV(final unit="ml")
          "intracellular water"                            annotation (Placement(transformation(extent={{60,60},
                  {100,100}}),iconTransformation(extent={{92,68},{116,92}})));

        parameter Real Dissociation = 0.890;

        Real OsmECFV_NonElectrolytes;
        Real OsmCell_NonElectrolytes;
        Real Electrolytes;
        Real NonElectrolytes;
        Real Total;
        Real ECFVActiveElectrolytes;
        Real ICFVActiveElectrolytes;
        Real ActiveElectrolytes;
        Real ECFVActiveOsmoles;
        Real ICFVActiveOsmoles;
        Real ActiveOsmoles;
      //  Real Osm_conc_CellWall;
        //Real Osm_conc_Osmoreceptors;
        HumMod.Library.Interfaces.RealOutput OsmBody_Osm_conc_CellWalls(final unit
            =    "mOsm/ml")                                       annotation (
            Placement(transformation(extent={{60,-20},{100,20}}), iconTransformation(
                extent={{92,-52},{116,-28}})));
        HumMod.Library.Interfaces.RealOutput Osmoreceptors(final unit="mOsm/ml") 
                                                                  annotation (
            Placement(transformation(extent={{60,-54},{100,-14}}),iconTransformation(
                extent={{92,-92},{116,-68}})));
        HumMod.Library.Interfaces.RealInput GlucoseECF(final unit="mOsm") 
                                                        annotation (Placement(
              transformation(extent={{-120,-40},{-80,0}}),iconTransformation(extent={{-100,
                  -72},{-76,-48}})));
      equation
            OsmECFV_NonElectrolytes = UreaECF + GlucoseECF + 340.0;
            OsmCell_NonElectrolytes = UreaICF + 354.0;

             Electrolytes  =  OsmECFV_Electrolytes + OsmCell_Electrolytes;
             NonElectrolytes  =  OsmECFV_NonElectrolytes + OsmCell_NonElectrolytes;
             Total  =  Electrolytes + NonElectrolytes;
             ECFVActiveElectrolytes  =  Dissociation * OsmECFV_Electrolytes;
             ICFVActiveElectrolytes  =  Dissociation * OsmCell_Electrolytes;
             ActiveElectrolytes  =  ECFVActiveElectrolytes + ICFVActiveElectrolytes;
             ECFVActiveOsmoles  =  ECFVActiveElectrolytes + OsmECFV_NonElectrolytes;
             ICFVActiveOsmoles  =  ICFVActiveElectrolytes + OsmCell_NonElectrolytes;
             ActiveOsmoles  =  ECFVActiveOsmoles + ICFVActiveOsmoles;
             OsmBody_Osm_conc_CellWalls  =  ActiveOsmoles / BodyH2O_Vol;
             Osmoreceptors  =  ActiveElectrolytes / BodyH2O_Vol;
             ICFV  =  ( ICFVActiveOsmoles / ActiveOsmoles)  * BodyH2O_Vol;
             ECFV  =  BodyH2O_Vol - ICFV;
      annotation (
      Documentation(info="<html>
<pre>QHP 2008 / OsmBody
 
Created : 31-May-05
Last Modified : 24-Mar-08
Author : Tom Coleman
Copyright : 2005-2008
By : University of Mississippi Medical Center
Solver : DES 2005
Schema : 2005.0 </pre>
<p><br/><br/>Intracellular water calculation from cells osmotic pressure.</p>
</html>",
       revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),       Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                      graphics),
          Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),
                          graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}),       graphics));
      end OsmBody;
    end Osmoles;

    package WaterCompartments "Body Water Distribution"

      model Outtake

        Library.VolumeFlow.PositiveVolumeFlow H2OLoss annotation (
            Placement(transformation(extent={{-120,-20},{-80,20}}),
              iconTransformation(extent={{-110,-10},{-90,10}})));

      parameter Real H2OTarget(final quantity="Flow",final unit="ml/min") = 0;

      parameter Real H2OMassEffect[ :,3] = {{  0.0,  0.0,  0.0}, { 50.0,  1.0,  0.0}};

        Library.VolumeFlow.OutputPump outputPump 
          annotation (Placement(transformation(extent={{20,-20},{60,20}})));
        Library.Blocks.FlowConstant Constant(k=H2OTarget) 
          annotation (Placement(transformation(extent={{-60,56},{-40,76}})));
        Library.Curves.Curve curve(x=H2OMassEffect[:,1],y=H2OMassEffect[:,2],slope=H2OMassEffect[:,3]) 
          annotation (Placement(transformation(extent={{-60,24},{-40,44}})));
        Modelica.Blocks.Math.Product product 
          annotation (Placement(transformation(extent={{-8,30},{12,50}})));
        Library.VolumeFlow.VolumeMeasure volumeMeasure 
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
      equation

        connect(curve.val, product.u2) annotation (Line(
            points={{-39.8,34},{-10,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, outputPump.desiredFlow) annotation (Line(
            points={{13,40},{40,40},{40,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.u1, Constant.y) annotation (Line(
            points={{-10,46},{-22,46},{-22,66},{-39,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OLoss, volumeMeasure.q_in) annotation (Line(
            points={{-100,0},{-76,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(volumeMeasure.q_in, outputPump.q_in) annotation (Line(
            points={{-76,0},{20,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(volumeMeasure.actualVolume, curve.u) annotation (Line(
            points={{-76,8},{-76,34},{-60,34}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-90,-40},{100,40}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));
      end Outtake;

      package Kidney "Kidney Water Excretion"

        model CD_H2OChannels
          extends HumMod.Library.Utilities.DynamicState(stateName="CD_H2OChannels.Inactive");
          extends HumMod.Library.Interfaces.BaseModel;

        parameter Real initialActive(final unit="1") = 1;
        parameter Real InactivateK(final unit="1/m1") = 0.000125;
        parameter Real ReactivateK(final unit="1/m1") = 0.0004;

          Library.PressureFlow.PositivePressureFlow CD_H2O_Reab annotation (Placement(
                transformation(extent={{-20,80},{20,120}}), iconTransformation(extent={
                    {-20,80},{20,120}})));

          Real Inactive( start = 2-initialActive, final unit="1");
          HumMod.Library.Interfaces.RealOutput_ Active(final unit="1") 
                                     annotation (Placement(transformation(extent={{96,46},
                    {136,86}}), iconTransformation(extent={{96,46},{136,86}})));
          Library.PressureFlow.NegativePressureFlow q_out annotation (Placement(
                transformation(extent={{-20,-120},{20,-80}}), iconTransformation(extent={{-20,
                    -120},{20,-80}})));
        equation
          q_out.q + CD_H2O_Reab.q = 0;
          q_out.pressure = CD_H2O_Reab.pressure;

        //  der(Inactive) = (InactivateK * CD_H2O_Reab.q - ReactivateK * Inactive) / Library.SecPerMin;
          Active = 2 - Inactive;

          stateValue = Inactive;
          changePerMin = InactivateK * CD_H2O_Reab.q - ReactivateK * Inactive;
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={Text(
                  extent={{-100,-22},{100,-38}},
                  lineColor={0,0,255},
                  textString="(initial %initialActive)")}));
        end CD_H2OChannels;

        model DistalTubule

          Library.PressureFlow.PositivePressureFlow Inflow 
                                                         annotation (Placement(
                transformation(extent={{-120,-18},{-80,22}}), iconTransformation(
                  extent={{-120,-20},{-80,20}})));
          Library.PressureFlow.NegativePressureFlow Outflow 
            annotation (Placement(transformation(extent={{80,-20},{120,20}})));
          Library.PressureFlow.NegativePressureFlow Reabsorbtion 
                                                           annotation (Placement(
                transformation(extent={{-20,-58},{20,-18}}), iconTransformation(
                  extent={{-20,-58},{20,-18}})));
          HumMod.Library.Interfaces.RealInput_ DesiredFlow(final quantity=
                "Flow", final unit="ml/min") 
                                       annotation (Placement(transformation(extent={{-20,20},{20,
                    60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                        rotation=-90,
                origin={60,40})));
        equation
          Outflow.q + Inflow.q + Reabsorbtion.q = 0;
          Inflow.pressure = Outflow.pressure;
          Outflow.q = - DesiredFlow;
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,40},{100,-40}},
                  lineColor={127,127,0},
                  fillColor={255,255,170},
                  fillPattern=FillPattern.HorizontalCylinder),
                Line(
                  points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,
                      -28},{6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,
                      8},{-58,12},{-70,14}},
                  color={0,0,255},
                  smooth=Smooth.None),
                Text(
                  extent={{12,-42},{166,-72}},
                  lineColor={0,0,255},
                  textString="%name"),
                Polygon(
                  points={{20,14},{20,-14},{82,-2},{20,14}},
                  lineColor={0,0,255},
                  smooth=Smooth.None,
                  fillColor={0,0,255},
                  fillPattern=FillPattern.Solid)}),
                                         Diagram(coordinateSystem(preserveAspectRatio=true,
                          extent={{-100,-100},{100,100}}), graphics));
        end DistalTubule;

        model Glomerulus4

          Library.Semipermeable.ColloidHydraulicPressure0
            colloidHydraulicPressure 
            annotation (Placement(transformation(extent={{-30,18},{-38,26}})));
          Library.Semipermeable.ColloidOsmolarity colloidOsmolarity(q_in(q(
                  start=-569.708))) 
            annotation (Placement(transformation(extent={{42,18},{34,26}})));
          Library.PressureFlow.ResistorWithCond Kf 
            annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-4,-54})));
          Library.Factors.SimpleMultiply NephronCountEffect 
            annotation (Placement(transformation(extent={{24,-54},{4,-34}})));
          Library.Blocks.Constant const(
                                 k=20) 
            annotation (Placement(transformation(extent={{24,-40},{18,-34}})));
          Library.Semipermeable.ColloidHydraulicPressure
            colloidHydraulicPressure1(q_in(q(start=132.696))) 
                                      annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={-4,-2})));
          Library.PressureFlow.PositivePressureFlow fromAffHydraulic 
                                                         annotation (Placement(
                transformation(extent={{-76,16},{-56,36}}),   iconTransformation(
                  extent={{-120,-20},{-80,20}})));
          Library.PressureFlow.NegativePressureFlow Filtration 
                                                           annotation (Placement(
                transformation(extent={{-14,-86},{6,-66}}),  iconTransformation(
                  extent={{-20,-58},{20,-18}})));
          Library.PressureFlow.NegativePressureFlow toEffHydraulic 
            annotation (Placement(transformation(extent={{64,8},{84,28}}),
                iconTransformation(extent={{80,-20},{120,20}})));
          Library.Interfaces.RealInput_ Protein_massFlow(    final quantity="Flow",
              final unit="g/min")                annotation (Placement(transformation(extent={{20,30},
                    {30,40}}),
                           iconTransformation(extent={{-30,-20},{10,20}},rotation=-90,
                origin={-60,40})));
          Library.Interfaces.RealInput_ NephronCount_xNormal(   final unit="1") 
            annotation (Placement(transformation(extent={{42,-46},{38,-42}}),
                iconTransformation(extent={{20,-20},{-20,20}},
                rotation=90,
                origin={60,50})));
        equation

          connect(colloidOsmolarity.q_out, colloidHydraulicPressure.q_in) 
            annotation (Line(
              points={{34,22},{-30,22}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(colloidOsmolarity.P, colloidHydraulicPressure.hydraulicPressure) 
            annotation (Line(
              points={{40.4,17.2},{40.4,16},{8,16},{8,40},{-35.6,40},{-35.6,26.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NephronCountEffect.y,Kf. cond) annotation (Line(
              points={{14,-46},{14,-54},{0,-54}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NephronCountEffect.yBase,const. y) annotation (Line(
              points={{14,-42},{14,-38},{17.7,-38},{17.7,-37}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NephronCountEffect.u,NephronCount_xNormal)  annotation (Line(
              points={{23.8,-44},{40,-44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Kf.q_out, Filtration) annotation (Line(
              points={{-4,-64},{-4,-70},{-4,-70},{-4,-76}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(Kf.q_in, colloidHydraulicPressure1.q_out) annotation (Line(
              points={{-4,-44},{-4,-34.5},{-4,-34.5},{-4,-25},{-4,-6},{-4,-6}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(colloidHydraulicPressure1.q_in, colloidHydraulicPressure.q_in) 
            annotation (Line(
              points={{-4,2},{-4,22},{-30,22}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(colloidOsmolarity.P, colloidHydraulicPressure1.hydraulicPressure) 
            annotation (Line(
              points={{40.4,17.2},{40.4,16},{8,16},{8,-3.6},{0.8,-3.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(fromAffHydraulic, colloidHydraulicPressure.withoutCOP) 
            annotation (Line(
              points={{-66,26},{-38,26}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(colloidOsmolarity.q_in, toEffHydraulic) annotation (Line(
              points={{42,18},{74,18}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(colloidOsmolarity.proteinMassFlow, Protein_massFlow) annotation (Line(
              points={{36.08,26.64},{36.08,35},{25,35}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,40},{100,-40}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.HorizontalCylinder,
                  fillColor={255,255,255}),
                Line(
                  points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,
                      -28},{6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,
                      8},{-58,12},{-70,14}},
                  color={0,0,255},
                  smooth=Smooth.None),
                Text(
                  extent={{12,-42},{166,-72}},
                  lineColor={0,0,255},
                  textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                          extent={{-100,-100},{100,100}}), graphics={
                Text(
                  extent={{-78,40},{-52,28}},
                  lineColor={0,127,0},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid,
                  textString="(plasma flow)"),
                Text(
                  extent={{58,32},{94,22}},
                  lineColor={0,127,0},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid,
                  textString="(hydraulic pressure)"),
                Text(
                  extent={{14,48},{48,42}},
                  lineColor={0,127,0},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid,
                  textString="(COP_Eff)"),
                Text(
                  extent={{2,-58},{30,-56}},
                  lineColor={0,0,255},
                  textString="ultrafiltration coefficient")}));
        end Glomerulus4;

        model Nephrons2
          import QHP = HumMod;
         //extends Library.BaseModel;
          Library.PressureFlow.NegativePressureFlow
            EfferentArtery_Water_Hydraulic "outgoing plasma from kidneys" 
                                                         annotation (Placement(
                transformation(extent={{-100,-22},{-80,-2}}), iconTransformation(extent={{22,90},
                    {42,110}})));
          Library.PressureFlow.NegativePressureFlow urine "H2O excretion" 
                                                          annotation (Placement(
                transformation(extent={{82,-8},{104,12}}),  iconTransformation(extent={{36,-80},
                    {56,-60}})));
          Library.PressureFlow.ResistorWithCondParam ProximalTubule_Conductance(
              cond=7, q_in(pressure(start=18.9565))) 
            annotation (Placement(transformation(extent={{-8,-8},{12,12}}, rotation=-90,
                origin={-64,18})));
          QHP.Library.PressureFlow.Reabsorbtion LoopOfHenle 
            annotation (Placement(transformation(extent={{-46,-58},{-28,-40}})));
          QHP.Library.PressureFlow.Reabsorbtion ProximalTubule 
            annotation (Placement(transformation(extent={{-11,-11},{9,9}},  rotation=-90,
                origin={-61,-9})));
          QHP.Library.Interfaces.RealInput PT_Na_FractReab(final unit="1") 
            annotation (Placement(transformation(extent={{2,-2},{-2,2}},
                rotation=180,
                origin={-74,-26}),
                iconTransformation(extent={{100,20},{90,30}})));
          Modelica.Blocks.Math.Gain gain(k=0.37) 
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},      rotation=180,
                origin={-17,-53})));
          QHP.Library.Interfaces.RealInput LH_Na_FractReab(final unit="1") 
            annotation (Placement(transformation(extent={{0,-56},{-6,-50}}),
                iconTransformation(extent={{100,10},{90,20}})));
          QHP.Library.Interfaces.RealInput DT_Na_Outflow(final quantity="Flow", final unit
              =                                                                            "mEq/min") 
            annotation (Placement(transformation(extent={{0,30},{4,34}}),
                iconTransformation(extent={{100,0},{90,10}})));
          QHP.Library.Factors.SimpleMultiply ADHEffect 
            annotation (Placement(transformation(extent={{-4,6},{16,26}})));
          QHP.Library.Interfaces.RealInput KidneyProtein_massFlow(final
              quantity =                                                         "Flow", final unit
              =                                                                                     "g/min") 
            annotation (Placement(transformation(extent={{-76,82},{-70,88}}),
                iconTransformation(extent={{100,50},{90,60}})));
          QHP.Library.PressureFlow.ReabsorbtionWithMinimalOutflow
            CollectingDuct 
            annotation (Placement(transformation(extent={{40,-8},{60,12}})));
          QHP.Library.Interfaces.RealInput CD_Na_Outflow(final quantity="Flow", final unit
              =                                                                            "mEq/min") 
            annotation (Placement(transformation(extent={{82,50},{78,54}}),
                iconTransformation(extent={{100,-10},{90,0}})));
          QHP.Library.Interfaces.RealInput CD_K_Outflow(final quantity="Flow", final unit
              =                                                                           "mEq/min") 
            annotation (Placement(transformation(extent={{82,46},{78,50}}),
                iconTransformation(extent={{100,-20},{90,-10}})));
          QHP.Library.Interfaces.RealInput CD_NH4_Outflow(final quantity="Flow", final unit
              =                                                                             "mEq/min") 
            annotation (Placement(transformation(extent={{82,42},{78,46}}),
                iconTransformation(extent={{100,-30},{90,-20}})));
          QHP.Library.Interfaces.RealInput CD_Glucose_Outflow(final quantity="Flow", final unit
              =                                                                                 "mg/min") 
            annotation (Placement(transformation(extent={{88,36},{84,40}}),
                iconTransformation(extent={{100,-40},{90,-30}})));
          QHP.Library.Interfaces.RealInput MedullaNa_conc(final quantity="Concentration", final unit
              =                                                                                      "mEq/ml") 
            annotation (Placement(transformation(extent={{5.3333,-5.3333},{
                    -2.66666,2.66666}},
                rotation=0,
                origin={96.6667,19.3333}),
                iconTransformation(extent={{100,-50},{90,-40}})));
          Modelica.Blocks.Math.Gain gain1(k=.5) 
            annotation (Placement(transformation(extent={{72,36},{68,40}})));
          Modelica.Blocks.Math.Sum sum1(nin=4) 
            annotation (Placement(transformation(extent={{3,-3},{-5,5}},
                rotation=90,
                origin={67,29})));
          QHP.Library.Factors.SimpleMultiply MedullaNaEffect 
            annotation (Placement(transformation(extent={{76,8},{56,28}})));
          QHP.Water.WaterCompartments.Kidney.Glomerulus4 glomerulus 
            annotation (Placement(transformation(extent={{-72,66},{-52,86}})));
          Library.PressureFlow.PositivePressureFlow
            AfferentArtery_Water_Hydraulic "ingoing plasma to kidney" 
                                                                  annotation (Placement(
                transformation(extent={{-88,66},{-68,86}}), iconTransformation(extent={{-20,92},
                    {0,112}})));
          CD_H2OChannels H2OChannels(initialActive=0.969492) 
            annotation (Placement(transformation(extent={{40,-58},{60,-38}})));
          QHP.Water.WaterCompartments.Kidney.DistalTubule distalTubule 
            annotation (Placement(transformation(extent={{-10,-8},{10,12}})));
          QHP.Library.Blocks.Inv inv1 annotation (Placement(transformation(
                extent={{-2,-2},{2,2}},
                rotation=0,
                origin={-8,16})));
          QHP.Library.Blocks.Inv inv2 annotation (Placement(transformation(
                extent={{-5,-5},{3,3}},
                rotation=180,
                origin={83,17})));
          QHP.Library.PressureFlow.FlowMeasure flowMeasure annotation (Placement(
                transformation(
                extent={{10,-10},{-10,10}},
                rotation=90,
                origin={-62,42})));
          QHP.Library.Interfaces.RealOutput_ GFR "glomerulus filtrate" 
            annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=180,
                origin={-76,42}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={-110,50})));
          QHP.Library.Interfaces.RealInput NephronCount_xNormal(final unit="1") 
            annotation (Placement(transformation(extent={{-40,84},{-44,88}}),
                iconTransformation(extent={{100,40},{90,50}})));
          QHP.Library.PressureFlow.FlowMeasure flowMeasure1 
            annotation (Placement(transformation(extent={{74,12},{94,-8}})));
          QHP.Library.Interfaces.RealOutput_ CD_H2O_Outflow "H2O to urine" 
            annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=0,
                origin={92,-10}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={-110,-60})));
          QHP.Library.Factors.SplineValue NephronADHOnPerm(
            data={{0.0,0.3,0},{2.0,1.0,0.5},{10.0,3.0,0}}) annotation (
              Placement(transformation(
                extent={{10,-10},{-10,10}},
                rotation=270,
                origin={72,-24})));
          QHP.Library.Factors.SplineValue PermOnOutflow(data={{0.3,0.00,0},{1.0,
                0.93,0.1},{3.0,1.00,0}}) annotation (Placement(transformation(
                extent={{10,-10},{-10,10}},
                rotation=270,
                origin={66,-10})));
          QHP.Library.Blocks.Constant Constant(k=1) 
            annotation (Placement(transformation(extent={{76,-12},{72,-8}})));
          QHP.Library.Interfaces.RealInput ADH(final quantity="Concentration",
              final unit="pg/ml") 
            annotation (Placement(transformation(extent={{-40,20},{-32,28}}),
                iconTransformation(extent={{100,30},{90,40}})));
          QHP.Library.Blocks.Constant Constant1(k=1) 
            annotation (Placement(transformation(extent={{-20,28},{-14,34}})));
          QHP.Library.Factors.SplineValue NephronADHEffect(
            data={{0.0,0.060,0},{2.0,0.110,0.02},{10.0,0.160,0}}) annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-12,24})));
          QHP.Library.PressureFlow.FlowMeasure flowMeasure2 
            annotation (Placement(transformation(extent={{-10,10},{10,-10}},
                rotation=180,
                origin={16,-62})));
          QHP.Library.Interfaces.RealOutput_ CD_H2O_Reab "H2O to urine" 
            annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=0,
                origin={22,-50}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={-110,-80})));
          QHP.Library.PressureFlow.FlowMeasure flowMeasure3 
            annotation (Placement(transformation(extent={{-10,10},{10,-10}},
                rotation=90,
                origin={-22,-20})));
          QHP.Library.Interfaces.RealOutput_ LH_H2O_Outflow
            "H2O from loop of Henle" 
            annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=0,
                origin={-8,-20}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-72,-70})));
        equation

          connect(ProximalTubule.Reabsorbtion, EfferentArtery_Water_Hydraulic) 
                                                       annotation (Line(
              points={{-72,-8},{-90,-8},{-90,-12}},
              color={0,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(ProximalTubule.FractReab, PT_Na_FractReab) annotation (Line(
              points={{-66.6,-18.4},{-66,-18.4},{-66,-26},{-74,-26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(LoopOfHenle.Reabsorbtion, EfferentArtery_Water_Hydraulic) 
                                                    annotation (Line(
              points={{-37,-58},{-37,-62},{-90,-62},{-90,-12}},
              color={0,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(gain.u, LH_Na_FractReab) annotation (Line(
              points={{-13.4,-53},{-3,-53}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(DT_Na_Outflow, ADHEffect.yBase)       annotation (Line(
              points={{2,32},{6,32},{6,18}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CD_Glucose_Outflow, gain1.u) annotation (Line(
              points={{86,38},{72.4,38}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain1.y, sum1.u[1]) annotation (Line(
              points={{67.8,38},{66.6,38},{66.6,32.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CD_NH4_Outflow, sum1.u[2]) annotation (Line(
              points={{80,44},{66,44},{66,32.8},{66.2,32.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CD_K_Outflow, sum1.u[3]) annotation (Line(
              points={{80,48},{65.3,48},{65.3,32.8},{65.8,32.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CD_Na_Outflow, sum1.u[4]) annotation (Line(
              points={{80,52},{66,52},{66,32.8},{65.4,32.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(MedullaNaEffect.yBase, sum1.y)   annotation (Line(
              points={{66,20},{66,23.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(distalTubule.Reabsorbtion, EfferentArtery_Water_Hydraulic) 
                                                         annotation (Line(
              points={{0,-1.8},{0,-62},{-90,-62},{-90,-12}},
              color={0,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(CollectingDuct.Inflow, distalTubule.Outflow) annotation (Line(
              points={{40,2},{10,2}},
              color={0,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(distalTubule.DesiredFlow, ADHEffect.y)       annotation (Line(
              points={{6,6},{6,14}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inv2.u, MedullaNa_conc) annotation (Line(
              points={{88.8,18},{93.4,18},{93.4,18},{98,18}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inv1.y, ADHEffect.u)  annotation (Line(
              points={{-5.8,16},{-3.8,16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inv2.y, MedullaNaEffect.u) annotation (Line(
              points={{79.6,18},{75.8,18}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ProximalTubule_Conductance.q_out, ProximalTubule.Inflow) 
            annotation (Line(
              points={{-62,6},{-62,2}},
              color={0,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(flowMeasure.q_out, ProximalTubule_Conductance.q_in) 
            annotation (Line(
              points={{-62,36},{-62,26}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.actualFlow, GFR) annotation (Line(
              points={{-67.4,42},{-76,42}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ProximalTubule.Outflow, LoopOfHenle.Inflow) annotation (Line(
              points={{-62,-18},{-62,-48},{-46,-48},{-46,-49}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(KidneyProtein_massFlow, glomerulus.Protein_massFlow) 
            annotation (Line(
              points={{-73,85},{-68,85},{-68,81}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(glomerulus.NephronCount_xNormal, NephronCount_xNormal) 
            annotation (Line(
              points={{-56,81},{-56,86},{-42,86}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AfferentArtery_Water_Hydraulic, glomerulus.fromAffHydraulic) 
            annotation (Line(
              points={{-78,76},{-72,76}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(glomerulus.Filtration, flowMeasure.q_in) annotation (Line(
              points={{-62,72.2},{-62,48}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(glomerulus.toEffHydraulic, EfferentArtery_Water_Hydraulic) 
            annotation (Line(
              points={{-52,76},{-32,76},{-32,94},{-90,94},{-90,-12}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(CollectingDuct.Outflow, flowMeasure1.q_in) annotation (Line(
              points={{60,2},{78,2}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure1.q_out, urine) annotation (Line(
              points={{90,2},{93,2}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure1.actualFlow, CD_H2O_Outflow) annotation (Line(
              points={{84,-3.4},{84,-10},{92,-10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(H2OChannels.Active, NephronADHOnPerm.yBase) annotation (Line(
              points={{61.6,-41.4},{78,-41.4},{78,-24},{74,-24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NephronADHOnPerm.y, PermOnOutflow.u) annotation (Line(
              points={{70,-24},{66,-24},{66,-19.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PermOnOutflow.y, CollectingDuct.FractReab) annotation (Line(
              points={{64,-10},{62,-10},{62,-4},{60,-4},{60,-3.6},{59.4,-3.6}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(Constant.y, PermOnOutflow.yBase) annotation (Line(
              points={{71.8,-10},{68,-10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CollectingDuct.Reabsorbtion, H2OChannels.CD_H2O_Reab) 
            annotation (Line(
              points={{50,-8},{50,-38}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(ADH, NephronADHOnPerm.u) annotation (Line(
              points={{-36,24},{-32,24},{-32,-68},{72,-68},{72,-33.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant1.y, NephronADHEffect.yBase) annotation (Line(
              points={{-13.7,31},{-12,31},{-12,26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NephronADHEffect.y, inv1.u) annotation (Line(
              points={{-12,22},{-12,16},{-10.4,16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ADH, NephronADHEffect.u) annotation (Line(
              points={{-36,24},{-21.8,24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(LoopOfHenle.FractReab, gain.y) annotation (Line(
              points={{-27.64,-53.14},{-23.82,-53.14},{-23.82,-53},{-20.3,-53}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(CollectingDuct.OutflowMin, MedullaNaEffect.y) annotation (
              Line(
              points={{53.4,7},{66,7},{66,16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(H2OChannels.q_out, flowMeasure2.q_in) annotation (Line(
              points={{50,-58},{50,-62},{22,-62}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure2.q_out, EfferentArtery_Water_Hydraulic) 
            annotation (Line(
              points={{10,-62},{-90,-62},{-90,-12}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure2.actualFlow, CD_H2O_Reab) annotation (Line(
              points={{16,-56.6},{16,-50},{22,-50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(LoopOfHenle.Outflow, flowMeasure3.q_in) annotation (Line(
              points={{-28,-49},{-22,-49},{-22,-26}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure3.q_out, distalTubule.Inflow) annotation (Line(
              points={{-22,-14},{-22,2},{-10,2}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure3.actualFlow, LH_H2O_Outflow) annotation (Line(
              points={{-16.6,-20},{-8,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -70},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,50},{100,-70}},
                  lineColor={99,0,99},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.VerticalCylinder),
                Text(
                  extent={{-72,-102},{76,-76}},
                  lineColor={0,0,0},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid,
                  textString="%name"),
                Bitmap(extent={{-96,96},{106,-74}}, fileName="icons/nefron.png")}),
                                                  Diagram(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-70},{100,100}}),
                graphics));
        end Nephrons2;
      end Kidney;

      model Torso2
      extends HumMod.Library.Interfaces.Tissues.OtherTissue;

        HumMod.Library.Interfaces.RealInput_ InterstitialProtein_Mass(final
            quantity="Mass", final unit="g") "interstitial protein mass"                  annotation (Placement(transformation(extent={{60,34},
                  {52,42}}),
                         iconTransformation(extent={{110,-110},{90,-90}})));
        HumMod.Library.Interfaces.RealInput_ CellH2O_Vol_part(final quantity=
              "Volume", final unit="ml") "water in cells"         annotation (Placement(transformation(
                extent={{72,26},{64,34}}),  iconTransformation(extent={{110,-70},{90,-50}})));

        parameter Real initialVolume(final quantity="Volume",final unit="ml") = 9800
          "initial water volume in torso";
        parameter Real PressureVolume[ :,3] = {{   600.0,  -30.0,   0.01}, {  2400.0,   -4.8,   0.0004}, {  6000.0,    0.0,   0.0004}, { 12000.0,   50.0,   0.01}}
          "curve of water pressure, that depends on interstitial water volume";
        parameter Real CapilaryWallPermeability(final unit="ml/(min.mmHg)") = 1
          "Capilary wall permeability for water";
        parameter Real InterstitialPressureOnLymphFlow[:,3]={{-14.0,0.0,0.0},{-4.0,1.0,0.1},{2.0,8.0,4.0},{6.0,25.0,0.0}}
          "dependence between interstitial water hydraulic pressure and lymph flow";
        parameter Real NormalLymphFlowRate(final unit="ml/min") = 0.4;

        HumMod.Library.Interfaces.RealOutput_ Vol(final quantity="Volume",
            final unit="ml") "volume of all water in torso"         annotation (Placement(transformation(extent={{32,-58},
                  {42,-48}}),  iconTransformation(extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-60,-100})));
        HumMod.Library.Interfaces.RealOutput_ InterstitialVol(final quantity=
              "Volume", final unit="ml")
          "volume of interstitial water in torso"                   annotation (Placement(
              transformation(extent={{48,8},{58,18}}),    iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-100})));
        Library.Curves.Curve PressureVolumeCurve(
          x=PressureVolume[:,1],y=PressureVolume[:,2],slope=PressureVolume[:,3])
          "curve of water hydraulic pressure, that depends on interstitial water volume"
          annotation (Placement(transformation(extent={{56,-16},{76,4}})));
        TorsoExtravascularWater H2O(NotpermeableSolutes(unit="g"),
            initialWaterVolume=initialVolume) 
          annotation (Placement(transformation(extent={{40,20},{20,40}})));
        Library.Semipermeable.PositiveOsmoticFlow q_in(o(final unit="g/ml"))
          "plasma capillary wall osmotic connector"    annotation (Placement(
              transformation(extent={{-110,10},{-90,30}}), iconTransformation(extent={{-110,30},
                  {-90,50}})));
        HumMod.Library.Semipermeable.ColloidHydraulicPressure toPressure 
          annotation (Placement(transformation(extent={{-86,16},{-78,24}})));
        HumMod.Library.Semipermeable.ColloidHydraulicPressure2 toPressure1 
          annotation (Placement(transformation(extent={{6,34},{-2,26}})));
        Library.PressureFlow.ResistorWithCondParam CapillaryWall(cond=
              CapilaryWallPermeability) 
          annotation (Placement(transformation(extent={{-65,32},{-43,54}})));
        Library.Interfaces.RealOutput_ LymphFlow(
                                                final quantity="Flow", final unit
            =                                                                     "ml/min") 
                                        annotation (Placement(transformation(extent={{-33,4},
                  {-27,10}}),       iconTransformation(extent={{-10,-10},{10,10}},
              rotation=270,
              origin={60,-100})));
        HumMod.Library.Interfaces.RealInput_ capilaryPressure(final quantity=
              "Pressure", final unit="mmHg")
          "average capilary hydraulic pressure in torso"                                annotation (Placement(transformation(extent={{5,-5},{
                  -5,5}},
              rotation=180,
              origin={-92,40}),
                         iconTransformation(extent={{110,-30},{90,-10}})));
        Library.PressureFlow.Pump pump annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=180,
              origin={-46,0})));
        Library.Factors.SplineValue InterstitialPressureEffect(data=
              InterstitialPressureOnLymphFlow) 
          annotation (Placement(transformation(extent={{-36,2},{-56,22}})));
        Library.Blocks.FlowConstant flowConstant(k=NormalLymphFlowRate) 
          annotation (Placement(transformation(extent={{-56,16},{-48,24}})));
        HumMod.Library.Interfaces.RealInput_ HeatInsensible_H2O(final quantity=
              "Flow", final unit="ml/min") "vaporization"                                 annotation (Placement(transformation(extent={{32,90},
                  {24,98}}),
                         iconTransformation(extent={{110,10},{90,30}})));
        HumMod.Library.Interfaces.RealInput_ HeatSweating_H2O(final quantity=
              "Flow", final unit="ml/min") "sweating"             annotation (Placement(transformation(
                extent={{-16,80},{-8,88}}), iconTransformation(extent={{110,50},{90,70}})));
        HumMod.Library.Interfaces.RealInput_ MetabolicH2O_Rate(final quantity=
              "Flow", final unit="ml/min") "water from cellular metabolism"             annotation (Placement(transformation(extent={{5,-5},{
                  -5,5}},
              rotation=180,
              origin={-30,74}),
                         iconTransformation(extent={{110,90},{90,110}})));
        Library.Semipermeable.InputPump metabolic 
          annotation (Placement(transformation(extent={{-30,54},{-10,74}})));
        Library.Semipermeable.OutputPump sweat 
          annotation (Placement(transformation(extent={{10,64},{-10,84}})));
        Library.Semipermeable.OutputPump vapor 
          annotation (Placement(transformation(extent={{26,74},{6,94}})));
      equation
        connect(toPressure.q_in, q_in) annotation (Line(
            points={{-86,20},{-100,20}},
            color={127,127,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(toPressure1.q_in, H2O.q_out)                     annotation (Line(
            points={{6,30},{30,30}},
            color={127,127,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(toPressure.q_out, CapillaryWall.q_in) 
                                                     annotation (Line(
            points={{-78,20},{-72,20},{-72,43},{-65,43}},
            color={0,0,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(CapillaryWall.q_out, toPressure1.q_out) 
                                                       annotation (Line(
            points={{-43,43},{-12,43},{-12,30},{-2,30}},
            color={0,0,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(InterstitialProtein_Mass, H2O.NotpermeableSolutes) 
          annotation (Line(
            points={{56,38},{40,38}},
            color={0,0,127},
            pattern=LinePattern.None,
            smooth=Smooth.None));
        connect(InterstitialPressureEffect.y, pump.desiredFlow) annotation (
            Line(
            points={{-46,10},{-46,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowConstant.y, InterstitialPressureEffect.yBase) annotation (
            Line(
            points={{-47.6,20},{-46,20},{-46,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InterstitialPressureEffect.y, LymphFlow) annotation (Line(
            points={{-46,10},{-46,7},{-30,7}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PressureVolumeCurve.val, InterstitialPressureEffect.u) 
          annotation (Line(
            points={{76.2,-6},{84,-6},{84,-64},{0,-64},{0,12},{-36.2,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(toPressure1.withoutCOP, pump.q_in) annotation (Line(
            points={{-2,26},{-12,26},{-12,0},{-36,0},{-36,-1.22465e-015}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pump.q_out, toPressure.q_out) annotation (Line(
            points={{-56,1.22465e-015},{-72,1.22465e-015},{-72,20},{-78,20}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(MetabolicH2O_Rate, metabolic.desiredFlow) annotation (Line(
            points={{-30,74},{-20,74},{-20,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(metabolic.q_out, H2O.q_out)                     annotation (Line(
            points={{-14,64},{30,64},{30,30}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(vapor.desiredFlow, HeatInsensible_H2O) annotation (Line(
            points={{16,88},{16,94},{28,94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sweat.desiredFlow, HeatSweating_H2O) annotation (Line(
            points={{0,78},{0,84},{-12,84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(vapor.q_in, H2O.q_out)                     annotation (Line(
            points={{22,84},{30,84},{30,30}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(sweat.q_in, H2O.q_out)                     annotation (Line(
            points={{6,74},{30,74},{30,30}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(toPressure1.hydraulicPressure, PressureVolumeCurve.val) annotation (
           Line(
            points={{0.4,25.2},{0.4,-64},{84,-64},{84,-6},{76.2,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(capilaryPressure, toPressure.hydraulicPressure) annotation (
            Line(
            points={{-92,40},{-80.4,40},{-80.4,24.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CellH2O_Vol_part, H2O.ICFV) annotation (Line(
            points={{68,30},{54,30},{54,34},{40,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2O.ECFV, InterstitialVol) annotation (Line(
            points={{26,20},{26,12},{53,13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2O.WaterVolume, Vol) annotation (Line(
            points={{30,20},{32,20},{32,-53},{37,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2O.ECFV, PressureVolumeCurve.u) annotation (Line(
            points={{26,20},{26,-6},{56,-6}},
            color={0,0,127},
            smooth=Smooth.None));
          annotation (
      Documentation(info="<HTML>
<PRE>
Torso water compartment.
 
like
QHP 2008 / TissueH2O/UT_H2O.DES
and
QHP 2008 / TissueH2O/InterstitialWater/UT_InterstitialWater.DES
 
Created : 24-Mar-08
Last Modified : 24-Mar-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2005
Schema : 2005.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),
        Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-100,64},{100,48}},
                lineColor={0,0,255},
                textString="(initial %initialVolume ml)"),
              Text(
                extent={{-100,94},{100,74}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
      end Torso2;

      model Lungs
      extends HumMod.Library.Interfaces.Tissues.Lungs;

       parameter Real initialVolume(unit="ml") = 0;

        HumMod.Library.Interfaces.RealOutput_ Vol(final quantity="Volume",
            final unit="ml") "volume of all water in torso"         annotation (Placement(transformation(extent={{32,8},{
                  42,18}}),    iconTransformation(extent={{-10,-110},{10,-90}},rotation=-90)));
        Library.Semipermeable.PositiveOsmoticFlow q_in(o(final unit="g/ml")) 
                                                       annotation (Placement(
              transformation(extent={{-110,10},{-90,30}}), iconTransformation(extent={
                  {-10,30},{10,50}})));
        HumMod.Library.Semipermeable.ColloidHydraulicPressure toPressure 
          annotation (Placement(transformation(extent={{-86,16},{-78,24}})));
        HumMod.Library.Interfaces.RealInput_ capilaryPressure(final quantity=
              "Pressure", final unit="mmHg")
          "average capilary hydraulic pressure in torso"                                annotation (Placement(transformation(extent={{5,-5},{
                  -5,5}},
              rotation=180,
              origin={-95,41}),
                         iconTransformation(extent={{108,40},{88,60}})));
        Library.PressureFlow.VolumeCompartement excessLungWater(initialVolume=
              initialVolume,
          stateName="ExcessLungWater.Volume",
          STEADY=false) 
          annotation (Placement(transformation(extent={{11,19},{31,39}})));
        Library.PressureFlow.ResistorWithCondParam PulmCapys(cond=3) 
          annotation (Placement(transformation(extent={{-38,24},{-16,46}})));
        Library.PressureFlow.Pump PulmLymph     annotation (Placement(
              transformation(
              extent={{-6,-6},{6,6}},
              rotation=180,
              origin={-28,20})));
        Library.Curves.Curve ExcessLungWaterOnLymph(
          x={10,1000},
          y={0,1},
          slope={0,0}) 
          annotation (Placement(transformation(extent={{-8,-20},{12,0}})));
      equation
        connect(toPressure.q_in, q_in) annotation (Line(
            points={{-86,20},{-100,20}},
            color={127,127,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(excessLungWater.Volume,ExcessLungWaterOnLymph. u) annotation (
            Line(
            points={{22.2,19},{22,10},{-14,10},{-14,-10},{-8,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExcessLungWaterOnLymph.val,PulmLymph. desiredFlow) annotation (
            Line(
            points={{12.2,-10},{20,-10},{20,-28},{-28,-28},{-28,16.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(toPressure.q_out, PulmCapys.q_in) annotation (Line(
            points={{-78,20},{-58,20},{-58,35},{-38,35}},
            color={0,0,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(toPressure.q_out, PulmLymph.q_out) annotation (Line(
            points={{-78,20},{-34,20}},
            color={0,0,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(PulmCapys.q_out, excessLungWater.con) annotation (Line(
            points={{-16,35},{-2,35},{-2,29},{11,29}},
            color={0,0,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(excessLungWater.con, PulmLymph.q_in) annotation (Line(
            points={{11,29},{-2,29},{-2,20},{-22,20}},
            color={0,0,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(excessLungWater.Volume, Vol) annotation (Line(
            points={{22.2,19},{22.2,13},{37,13}},
            color={0,0,127},
            pattern=LinePattern.None,
            smooth=Smooth.None));
        connect(capilaryPressure, toPressure.hydraulicPressure) annotation (Line(
            points={{-95,41},{-80.4,41},{-80.4,24.8}},
            color={0,0,127},
            smooth=Smooth.None));
          annotation (
      Documentation(info="<HTML>
<PRE>
Torso water compartment.
 
like
QHP 2008 / TissueH2O/UT_H2O.DES
and
QHP 2008 / TissueH2O/InterstitialWater/UT_InterstitialWater.DES
 
Created : 24-Mar-08
Last Modified : 24-Mar-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2005
Schema : 2005.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),
        Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-100,-50},{100,-66}},
                lineColor={0,0,255},
                textString="(initial %initialVolume ml)"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0}),
              Text(
                extent={{-100,88},{100,72}},
                lineColor={0,0,255},
                textString="%name")}));
      end Lungs;

      model Plasma2
        extends HumMod.Library.Utilities.DynamicState;
        extends HumMod.Library.Interfaces.Tissues.Plasma;

        parameter Real initialVolume(final quantity="Volume",final unit="ml") = 3000
          "initial plasma water volume";

        HumMod.Library.Interfaces.RealOutput_ Volume(start=initialVolume, final
            quantity =                                                                   "Volume",
            final unit="ml") "volume of plasma water"       annotation (Placement(transformation(extent={{78,66},
                  {118,106}}),iconTransformation(extent={{88,76},{112,100}})));

        Library.Semipermeable.PositiveOsmoticFlow q_in(o(unit="g/ml")) 
                                                       annotation (Placement(
              transformation(extent={{-50,10},{-30,30}}),iconTransformation(extent={{-50,10},
                  {-30,30}})));
        HumMod.Library.Interfaces.RealInput_ PlasmaProtein_Mass(final quantity=
              "Mass", final unit="g")                annotation (Placement(
              transformation(extent={{-120,-50},{-80,-10}}), iconTransformation(
                extent={{-100,80},{-80,100}})));
      //initial equation
      //  Volume = initialVolume;
      equation
        //der(Volume) = q_in.q  /Library.SecPerMin;

        q_in.o = PlasmaProtein_Mass/Volume;

        stateValue = Volume;
        changePerMin = q_in.q;

        annotation (
      Documentation(info="<HTML>
<PRE>
QHP 2008 / BloodVolume/PlasmaVol.DES
 
Created : 21-Oct-04
Last Modified : 20-Mar-08
Author : Tom Coleman
Copyright : 2005-2008
By : University of Mississippi Medical Center
Solver : DES 2005
Schema : 2005.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),
        Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-18,72},{124,58}},
                lineColor={0,0,255},
                textString="(initial %initialVolume ml)"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0}),
              Text(
                extent={{-100,-80},{100,-100}},
                lineColor={0,0,255},
                textString="%name")}));
      end Plasma2;

      model Peritoneum2
      extends HumMod.Library.Interfaces.Tissues.Peritoneum;
        Library.Semipermeable.PositiveOsmoticFlow flux
          "plasma proteins concentration"               annotation (Placement(
              transformation(extent={{56,30},{76,50}}),      iconTransformation(
                extent={{-10,30},{10,50}})));

        parameter Real initialVolume(final quantity="Volume",final unit="ml") = 0
          "initial water in peritoneum";

        HumMod.Library.Interfaces.RealOutput_ Volume(final quantity="Volume",
            final unit="ml") "water volume in peritoneum" 
          annotation (Placement(transformation(extent={{-82,24},{-74,32}}),   iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-100})));
        Library.PressureFlow.OneWayResistorWithCondParam peritoneumLymph(cond=1.5, zero=0) 
          annotation (Placement(transformation(extent={{-46,16},{-30,32}})));
        Library.PressureFlow.OneWayResistorWithCondParam HepaticEffusion(cond=0.9, zero=0) 
          annotation (Placement(transformation(extent={{-34,54},{-50,70}})));
        Library.Interfaces.RealOutput_ PeritoneumSpace_Gain(   final quantity="Flow",final unit
            =                                                                                   "ml/min") 
                                                annotation (Placement(transformation(
                extent={{-46,64},{-40,70}}),   iconTransformation(extent={{92,-80},
                  {112,-60}})));
        Library.Interfaces.RealOutput_ PeritoneumSpace_Loss(   final quantity="Flow",final unit
            =                                                                                   "ml/min") 
                                                annotation (Placement(transformation(
                extent={{-16,8},{-10,14}}),    iconTransformation(extent={{92,-80},
                  {112,-100}})));
        Library.Interfaces.RealInput_ SplanchnicVeins_Pressure(     final
            quantity =                                                             "Pressure",final unit
            =                                                                                            "mmHg")
          "pressure in splanchnic veins"                                          annotation (Placement(
              transformation(extent={{-18,68},{-10,76}}),     iconTransformation(
                extent={{-100,50},{-80,70}})));
        HumMod.Library.Semipermeable.ColloidHydraulicPressure0
          colloidhydraulicPressure0_1 
          annotation (Placement(transformation(extent={{14,54},{6,62}})));
        HumMod.Library.Semipermeable.ColloidHydraulicPressure0
          colloidhydraulicPressure0_2 
          annotation (Placement(transformation(extent={{14,16},{6,24}})));
        Library.Blocks.PressureConstant ExternalPressure(k=9) 
          annotation (Placement(transformation(extent={{-90,80},{-82,88}})));
        Blood.VascularCompartments.VascularElasticBloodCompartment
          vascularElasticBloodCompartment(initialVol=initialVolume, stateName=
              "PeritoneumSpace.Volume",
          STEADY=false) 
          annotation (Placement(transformation(extent={{-90,34},{-70,54}})));
        Library.Blocks.ConstantFromFile volumeConstant(units="ml",k=0,
          varName="PeritoneumSpace.V0") 
          annotation (Placement(transformation(extent={{-96,56},{-88,64}})));
        Library.Blocks.ComplianceConstant complianceConstant(k=760) 
          annotation (Placement(transformation(extent={{-64,56},{-72,64}})));

      equation
        connect(HepaticEffusion.actualFlow, PeritoneumSpace_Gain)    annotation (Line(
            points={{-48.56,60.4},{-52,60.4},{-52,67},{-43,67}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(peritoneumLymph.actualFlow, PeritoneumSpace_Loss)    annotation (Line(
            points={{-31.44,22.4},{-26,22.4},{-26,11},{-13,11}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flux, colloidhydraulicPressure0_1.q_in) annotation (Line(
            points={{66,40},{22,40},{22,58},{14,58}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(colloidhydraulicPressure0_1.withoutCOP, HepaticEffusion.q_in) 
          annotation (Line(
            points={{6,62},{-34,62}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(colloidhydraulicPressure0_2.q_in, flux) annotation (Line(
            points={{14,20},{22,20},{22,40},{66,40}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(peritoneumLymph.q_out, colloidhydraulicPressure0_2.withoutCOP) 
          annotation (Line(
            points={{-30,24},{6,24}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(vascularElasticBloodCompartment.Vol, Volume) annotation (Line(
            points={{-84,34},{-84,28},{-78,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExternalPressure.y, vascularElasticBloodCompartment.ExternalPressure) 
          annotation (Line(
            points={{-81.6,84},{-80,84},{-80,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(volumeConstant.y, vascularElasticBloodCompartment.V0) annotation (
            Line(
            points={{-87.6,60},{-86,60},{-86,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(complianceConstant.y, vascularElasticBloodCompartment.Compliance) 
          annotation (Line(
            points={{-72.4,60},{-74,60},{-74,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(vascularElasticBloodCompartment.referencePoint, HepaticEffusion.q_out) 
          annotation (Line(
            points={{-80,44},{-60,44},{-60,62},{-50,62}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(vascularElasticBloodCompartment.referencePoint, peritoneumLymph.q_in) 
          annotation (Line(
            points={{-80,44},{-60,44},{-60,24},{-46,24}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(colloidhydraulicPressure0_1.hydraulicPressure,
          SplanchnicVeins_Pressure) annotation (Line(
            points={{8.4,62.8},{8.4,72},{-14,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(colloidhydraulicPressure0_2.hydraulicPressure, ExternalPressure.y) 
          annotation (Line(
            points={{8.4,24.8},{8.4,32},{-28,32},{-28,84},{-81.6,84}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (
      Documentation(info="<HTML>
<PRE>
QHP 2008 / Peritoneum
 
Created : 19-Mar-08
Last Modified : 19-Mar-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : QHP 2008
Schema : 2008.0
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),       Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Text(
                extent={{-100,120},{100,104}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0}),
              Text(
                extent={{-100,-6},{100,-22}},
                lineColor={0,0,255},
                textString="(initial %initialVolume ml)")}),
          Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}), graphics));
      end Peritoneum2;

      model GILumen2
        import QHP = HumMod;
      extends QHP.Library.Interfaces.Tissues.GILumen;

        QHP.Library.Interfaces.RealInput_ GILumenSodium_Mass(final quantity="Mass",final unit
            =                                                                                 "mEq")
          "sodium in gastro intestinal lumen"                                             annotation (Placement(transformation(extent={{-78,58},
                  {-68,68}}),
                         iconTransformation(extent={{-100,90},{-80,110}})));
        QHP.Library.Interfaces.RealInput_ GILumenPotassium_Mass(final quantity="Mass",final unit
            =                                                                                    "mEq")
          "potasium in gastro intestinal lumen"                   annotation (Placement(transformation(
                extent={{-78,50},{-68,60}}),iconTransformation(extent={{-100,30},{-80,
                  50}})));

        Library.Semipermeable.NegativeOsmoticFlow toPlasma(o(unit="g/l")) 
                                                                       annotation (
            Placement(transformation(extent={{80,44},{100,64}}),  iconTransformation(
                extent={{90,-10},{110,10}})));
      parameter Real Fiber_mass(final quantity="Mass", final unit="mOsm") = 0.043;
      parameter Real Na_EqToAllConnectedOsm(final unit="mOsm/mEq") = 2;
      parameter Real K_EqToAllConnectedOsm(final unit="mOsm/mEq") = 2;
      //parameter Real initialVolume(final quantity="Volume", final unit="ml") =  1000;

        Library.Interfaces.RealOutput_ Vol annotation (Placement(transformation(
                extent={{-12,58},{-4,66}}),  iconTransformation(extent={{82,60},{122,100}})));
        QHP.Water.WaterCompartments.GILumen GILumen(
          Fiber_mass=Fiber_mass,
          Na_EqToAllConnectedOsm=Na_EqToAllConnectedOsm,
          K_EqToAllConnectedOsm=K_EqToAllConnectedOsm,
          stateName="GILumenVolume.Mass",
          STEADY=false) 
          annotation (Placement(transformation(extent={{-35,44},{-15,64}})));
        Outtake vomitus 
          annotation (Placement(transformation(extent={{-21,32},{-7,46}})));
        Outtake diarrhea 
          annotation (Placement(transformation(extent={{-29,32},{-43,46}})));
        Library.Semipermeable.ResistorWithCondParam absorbtion1(        cond=150) 
          annotation (Placement(transformation(extent={{-8,-8},{8,8}},
              rotation=0,
              origin={12,54})));
        Library.VolumeFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-65,8},{-55,18}})));
        QHP.Library.Interfaces.RealInput_ OsmBody_Osm_conc_CellWalls(                                final unit
            =                                                                                                  "mOsm/ml") 
                                                     annotation (Placement(
              transformation(extent={{38,68},{48,78}}),      iconTransformation(
                extent={{-100,-30},{-80,-10}})));
        QHP.Library.Semipermeable.FlowMeasure flowMeasure annotation (Placement(
              transformation(
              extent={{-6,6},{6,-6}},
              rotation=0,
              origin={38,52})));
        QHP.Library.Interfaces.RealInput_ OsmBody_Osmoreceptors(final quantity=
              "Osmolarity", final unit="mOsm/L")
          "potasium in gastro intestinal lumen"                   annotation (Placement(transformation(
                extent={{-104,20},{-94,30}}),
                                            iconTransformation(extent={{-100,-90},{-80,
                  -70}})));
        QHP.Library.Factors.SplineValue DietThirst(data={{233,0.0,0},{253,2.0,
              0.2},{313,30.0,0}}) 
          annotation (Placement(transformation(extent={{-70,16},{-50,36}})));
        QHP.Library.Blocks.Constant Constant(k=1/1.440) 
          annotation (Placement(transformation(extent={{-72,32},{-64,40}})));
        Modelica.Blocks.Math.Gain ML_TO_L(k=1000) 
          annotation (Placement(transformation(extent={{-82,22},{-76,28}})));
        Library.Interfaces.RealOutput_ Absorbtion(unit="ml/min") 
                                           annotation (Placement(transformation(
                extent={{38,38},{46,46}}),   iconTransformation(extent={{82,20},
                  {122,60}})));
        QHP.Library.Semipermeable.OsmoticPump osmoticPump 
          annotation (Placement(transformation(extent={{52,44},{74,64}})));
        Modelica.Blocks.Math.Gain per_ml(k=1) 
          annotation (Placement(transformation(extent={{56,64},{62,70}})));
        Library.Interfaces.RealOutput_ Intake(unit="ml/min") 
                                           annotation (Placement(transformation(
                extent={{-42,16},{-34,24}}), iconTransformation(extent={{80,-100},
                  {120,-60}})));
      equation

        connect(GILumen.outtake,diarrhea. H2OLoss) annotation (Line(
            points={{-25,44},{-25,39},{-29,39}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GILumen.outtake,vomitus. H2OLoss) annotation (Line(
            points={{-25,44},{-25,39},{-21,39}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GILumen.absorbtion, absorbtion1.q_in) 
                                                     annotation (Line(
            points={{-15,54},{4,54}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GILumen.intake,Diet. q_out) annotation (Line(
            points={{-35,50},{-49,50},{-49,13},{-55,13}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GILumen.Vol, Vol) annotation (Line(
            points={{-14.8,62},{-8,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumenSodium_Mass, GILumen.GILumenSodium_Mass) annotation (Line(
            points={{-73,63},{-59.5,63},{-59.5,62},{-34,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumenPotassium_Mass, GILumen.GILumenPotassium_Mass) annotation (
            Line(
            points={{-73,55},{-59.5,55},{-59.5,56},{-34,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(absorbtion1.q_out, flowMeasure.q_in) annotation (Line(
            points={{20,54},{27.5,54},{27.5,54.04},{32.6,54.04}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(DietThirst.y, Diet.desiredFlow) annotation (Line(
            points={{-60,24},{-60,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, DietThirst.yBase) annotation (Line(
            points={{-63.6,36},{-60,36},{-60,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ML_TO_L.y, DietThirst.u) annotation (Line(
            points={{-75.7,25},{-72.85,25},{-72.85,26},{-69.8,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OsmBody_Osmoreceptors, ML_TO_L.u) annotation (Line(
            points={{-99,25},{-82.6,25}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, Absorbtion) 
                                                annotation (Line(
            points={{37.88,47.08},{37.88,42},{42,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, osmoticPump.q_in) annotation (Line(
            points={{43.28,53.92},{53.4,53.92},{53.4,54},{54.2,54}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(osmoticPump.q_out, toPlasma) annotation (Line(
            points={{71.8,54},{90,54}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(OsmBody_Osm_conc_CellWalls, per_ml.u) annotation (Line(
            points={{43,73},{49.5,73},{49.5,67},{55.4,67}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(per_ml.y, osmoticPump.desiredOsmoles) annotation (Line(
            points={{62.3,67},{63,67},{63,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DietThirst.y, Intake) annotation (Line(
            points={{-60,24},{-60,20},{-38,20}},
            color={0,0,127},
            smooth=Smooth.None));

          annotation (
      Documentation(info="<HTML>
<PRE>
QHP 2008 / GILumenH2O.REF
 
Created : 13-Mar-08
Last Modified : 13-Mar-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : QHP 2008
Schema : 2008.0
 
Volume ========================================
 
Typical lumen volume is 1000 mL on an intake of 1.4 mL/Min.
This number is based on lumen volume being 1.4% body weight
from
 
   JCI 36:289-296, 1957.
 
Data suggests a 1L oral load is nearly all absorbed in
1 Hr.  Average rate would be 17 mL/Hr with a peak rate
of about 30.
 
   Baldes & Smirk. J.Physiol. 82:62,1934.
 
Osmolar gradient is assumed to be 0.200 mOsm/mL.
 
   Rate = Perm * Grad
   30 = Perm * 0.200
   Perm = 150
 
Temperature ===================================
 
Typical lumen heat content is 155 kCal.
 
Specific heat (SH) of H2O is 0.001 (kCal/G)/DegK.
 
To get temperature from heat
 
   DegK = 1000.0 * kCal/G (or mL)
   DegC = DegK - 273.15
   DegF = ( 9 / 5 ) * DegC + 32
 
To get heat from temperature
 
   kCal = 0.001 * DegK * mL
   kCal/Min = 0.001 * DegK * mL/Min
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),
        Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-100,-42},{100,-58}},
                lineColor={0,0,255},
                textString="(initial %initialVolume ml)"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0}),
              Text(
                extent={{-102,124},{98,108}},
                lineColor={0,0,255},
                textString="%name")}));
      end GILumen2;

      model Kidney2
       extends HumMod.Library.Interfaces.Tissues.Kidney;
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-62,72},{-42,92}}),
              iconTransformation(extent={{-106,-10},{-86,10}})));
        Kidney.Nephrons2 Nephron 
          annotation (Placement(transformation(extent={{36,-68},{-9,-30}})));
        Modelica.Blocks.Math.Product product 
          annotation (Placement(transformation(extent={{-20,-16},{-12,-8}})));
        Library.Semipermeable.PositiveOsmoticFlow q_in(o(unit="g/ml")) 
                                                       annotation (Placement(
              transformation(extent={{2,34},{22,54}}),   iconTransformation(extent={{2,34},{
                  22,54}})));
        Library.PressureFlow.NegativePressureFlow urine 
          annotation (Placement(transformation(extent={{-8,-110},{12,-90}}),
              iconTransformation(extent={{-8,-110},{12,-90}})));
        HumMod.Library.Semipermeable.ColloidHydraulicPressure0
          colloidhydraulicPressure0_1 
          annotation (Placement(transformation(extent={{20,40},{28,48}})));
        Library.PressureFlow.Pump kidneyFlow annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={38,22})));
        Modelica.Blocks.Math.Division conc 
          annotation (Placement(transformation(extent={{-48,-26},{-40,-18}})));
      equation

        connect(busConnector.Kidney_NephronCount_Total_xNormal, Nephron.NephronCount_xNormal) 
          annotation (Line(
            points={{-52,82},{-52,-42.2941},{-7.875,-42.2941}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.PT_Na_FractReab, Nephron.PT_Na_FractReab) 
          annotation (Line(
            points={{-52,82},{-52,-46.7647},{-7.875,-46.7647}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.LH_Na_FractReab, Nephron.LH_Na_FractReab) 
          annotation (Line(
            points={{-52,82},{-52,-49},{-7.875,-49}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.DT_Na_Outflow, Nephron.DT_Na_Outflow) 
          annotation (Line(
            points={{-52,82},{-52,-51.2353},{-7.875,-51.2353}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.CD_Na_Outflow, Nephron.CD_Na_Outflow) 
          annotation (Line(
            points={{-52,82},{-52,-53.4706},{-7.875,-53.4706}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.CD_K_Outflow, Nephron.CD_K_Outflow) 
          annotation (Line(
            points={{-52,82},{-52,-55.7059},{-7.875,-55.7059}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.CD_NH4_Outflow, Nephron.CD_NH4_Outflow) 
          annotation (Line(
            points={{-52,82},{-52,-57.9412},{-7.875,-57.9412}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.CD_Glucose_Outflow, Nephron.CD_Glucose_Outflow) 
          annotation (Line(
            points={{-52,82},{-52,-60.1765},{-7.875,-60.1765}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.MedullaNa_conc, Nephron.MedullaNa_conc) 
          annotation (Line(
            points={{-52,82},{-52,-62.4118},{-7.875,-62.4118}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(Nephron.KidneyProtein_massFlow, product.y)          annotation (
           Line(
            points={{-7.875,-40.0588},{-10,-40},{-14,-40},{-14,-30},{-8,-30},{
                -8,-12},{-11.6,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.KidneyPlasmaFlow, product.u1)         annotation (
            Line(
            points={{-52,82},{-52,-9.6},{-20.8,-9.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(conc.y, product.u2)                        annotation (
            Line(
            points={{-39.6,-22},{-36,-22},{-36,-14},{-20.8,-14},{-20.8,-14.4}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="PlasmaProtein_conc",
            index=-1,
            extent={{-6,2},{-6,2}}));
        connect(busConnector.PlasmaProtein_Mass, conc.u1) 
                                            annotation (Line(
            points={{-52,82},{-52,-19.6},{-48.8,-19.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Nephron.GFR, busConnector.GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{38.25,-41.1765},{68,-41.1765},{68,82},{-52,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Nephron.urine, urine) annotation (Line(
            points={{3.15,-68},{3.15,-68.8235},{2,-68.8235},{2,-100}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.GlomerulusBloodPressure,
          colloidhydraulicPressure0_1.hydraulicPressure) annotation (Line(
            points={{-52,82},{-52,50},{25.6,50},{25.6,48.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(q_in, colloidhydraulicPressure0_1.q_in) annotation (Line(
            points={{12,44},{20,44}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kidneyFlow.q_in, colloidhydraulicPressure0_1.withoutCOP) 
          annotation (Line(
            points={{38,32},{38,48},{28,48}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.PlasmaVol, conc.u2) 
          annotation (Line(
            points={{-52,82},{-52,-24.4},{-48.8,-24.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.KidneyPlasmaFlow, kidneyFlow.desiredFlow) 
          annotation (Line(
            points={{-52,82},{-52,22},{32,22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(kidneyFlow.q_out, Nephron.AfferentArtery_Water_Hydraulic) 
          annotation (Line(
            points={{38,12},{38,-29.5529},{15.75,-29.5529}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(colloidhydraulicPressure0_1.withoutCOP, Nephron.EfferentArtery_Water_Hydraulic) 
          annotation (Line(
            points={{28,48},{28,66},{-2,66},{-2,-30},{6.3,-30}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Nephron.CD_H2O_Outflow, busConnector.CD_H2O_Outflow) 
          annotation (Line(
            points={{38.25,-65.7647},{68,-65.7647},{68,82},{-52,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Nephron.GFR, busConnector.Glomerulus_GFR) annotation (Line(
            points={{38.25,-41.1765},{68,-41.1765},{68,82},{-52,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Nephron.CD_H2O_Reab, busConnector.CD_H2O_Reab) annotation (Line(
            points={{38.25,-70.2353},{68,-70.2353},{68,82},{-52,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Nephron.LH_H2O_Outflow, busConnector.LH_H2O_Outflow) annotation (Line(
            points={{29.7,-68},{30,-68},{30,-80},{80,-80},{80,82},{-52,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-9},{6,-9}}));
        connect(busConnector.NephronADH, Nephron.ADH) annotation (Line(
            points={{-52,82},{-52,-44.5294},{-7.875,-44.5294}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,
                    0,0}), Text(
                extent={{-100,120},{100,104}},
                lineColor={0,0,255},
                textString="%name")}));
      end Kidney2;

      package test
        model T
          import QHP = HumMod;
          Kidney2 kidney2_1 
            annotation (Placement(transformation(extent={{-24,-8},{-4,12}})));
          QHP.Water.setup.WaterConstInputs waterConstInputs 
            annotation (Placement(transformation(extent={{-78,-8},{-58,12}})));
          Library.PressureFlow.VolumeCompartement Bladder(    initialVolume=200) 
            annotation (Placement(transformation(extent={{-3,-36},{17,-16}})));
          Library.Semipermeable.OsmoticControlledCompartment plasma 
            annotation (Placement(transformation(extent={{26,22},{46,42}})));
          Library.Blocks.Constant Constant(k=0) 
            annotation (Placement(transformation(extent={{22,48},{30,56}})));
          QHP.Water.WaterCompartments.setup.KidnerConstInputsFromOtherWater
            kidnerConstInputsFromOtherWater annotation (Placement(
                transformation(extent={{-76,-32},{-56,-12}})));
        equation
          connect(waterConstInputs.busConnector, kidney2_1.busConnector) 
            annotation (Line(
              points={{-70,2},{-23.6,2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(kidney2_1.urine, Bladder.con) annotation (Line(
              points={{-13.8,-8},{-14,-8},{-14,-26},{-3,-26}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(plasma.q_out, kidney2_1.q_in) annotation (Line(
              points={{36,32},{-14,32},{-14,6.4}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(Constant.y, plasma.Osmolarity) annotation (Line(
              points={{30.4,52},{35.8,52},{35.8,42}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(kidnerConstInputsFromOtherWater.busConnector, kidney2_1.busConnector) 
            annotation (Line(
              points={{-68,-22},{-46,-22},{-46,2},{-23.6,2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
        end T;
      end test;

      package setup
        model KidnerConstInputsFromOtherWater

        Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{44,58},{64,78}}),
                 iconTransformation(extent={{-40,-20},{0,20}})));
        Library.Blocks.Constant PlasmaVol(k=2990.99086915011) 
        annotation (Placement(transformation(extent={{-20,48},{-14,54}})));
        equation

          connect(PlasmaVol.y, busConnector.PlasmaVol)                                                   annotation (Line(
         points={{-13.7,51},{54,51},{54,68}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                                 graphics));
        end KidnerConstInputsFromOtherWater;
      end setup;

      model TorsoExtravascularWater
        extends HumMod.Library.Utilities.DynamicState;
        extends HumMod.Library.Interfaces.Tissues.OtherTissue;
        Library.Semipermeable.NegativeOsmoticFlow q_out(o(final unit="g")) 
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-10,-10},
                  {10,10}})));
        parameter Real initialWaterVolume(final quantity="Volume", unit="ml");

        HumMod.Library.Interfaces.RealInput_ NotpermeableSolutes(quantity=
              "Mass", unit="g") 
                        annotation (Placement(transformation(extent={{-120,60},
                  {-80,100}}),
              iconTransformation(extent={{-120,60},{-80,100}})));
        HumMod.Library.Interfaces.RealOutput_ WaterVolume(start=initialWaterVolume, final
            quantity=
              "Volume", unit="ml") 
          annotation (Placement(transformation(extent={{-20,-120},{20,-80}}, rotation=
                 -90)));

        HumMod.Library.Interfaces.RealInput_ ICFV(quantity="Volume", unit="ml")
          "intracellular water volume" 
                        annotation (Placement(transformation(extent={{-120,20},
                  {-80,60}}),
              iconTransformation(extent={{-120,20},{-80,60}})));
        Library.Interfaces.RealOutput_ ECFV "extracellular water" annotation (
            Placement(transformation(extent={{34,-108},{74,-68}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={40,-100})));
      /*initial equation 
  if STEADY then
     WaterVolume = initialWaterVolume;
  end if;
*/
      equation
        ECFV = WaterVolume - ICFV;
        q_out.o = if (ECFV>0) then NotpermeableSolutes / ECFV else 0;
      //  der(WaterVolume) = q_out.q / Library.SecPerMin;
        stateValue = WaterVolume;

        changePerMin = q_out.q;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,
                    0,0}), Text(
                extent={{-100,88},{100,68}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end TorsoExtravascularWater;

      model GILumen
        extends HumMod.Library.Utilities.DynamicState;
        extends HumMod.Library.Interfaces.Tissues.GILumen;

        HumMod.Library.Interfaces.RealInput_ GILumenSodium_Mass(final quantity=
              "Mass", final unit="mEq") "sodium in gastro intestinal lumen"               annotation (Placement(transformation(extent={{120,20},
                  {80,60}}),
                         iconTransformation(extent={{-100,70},{-80,90}})));
        HumMod.Library.Interfaces.RealInput_ GILumenPotassium_Mass(final
            quantity="Mass", final unit="mEq")
          "potasium in gastro intestinal lumen"                   annotation (Placement(transformation(
                extent={{120,60},{80,100}}),iconTransformation(extent={{-100,10},{-80,
                  30}})));

        Library.Semipermeable.NegativeOsmoticFlow absorbtion           annotation (
            Placement(transformation(extent={{60,-20},{100,20}}), iconTransformation(
                extent={{90,-10},{110,10}})));
        Library.VolumeFlow.NegativeVolumeFlow outtake annotation (Placement(
              transformation(extent={{-20,-120},{20,-80}}), iconTransformation(extent=
                 {{-20,-120},{20,-80}})));
        Library.VolumeFlow.PositiveVolumeFlow intake 
          annotation (Placement(transformation(extent={{-120,-60},{-80,-20}}),
              iconTransformation(extent={{-120,-60},{-80,-20}})));
      parameter Real Fiber_mass(final quantity="Mass", final unit="mOsm") = 0.043;
      parameter Real Na_EqToAllConnectedOsm(final unit="mOsm/mEq") = 2;
      parameter Real K_EqToAllConnectedOsm(final unit="mOsm/mEq") = 2;
      parameter Real initialVolume(final quantity="Volume", final unit="ml") = 949.201;
      Real mass(final quantity="Volume",final unit="ml",start = initialVolume)
          "water volume in gastro intestinal lumen";
      Real OsmNa;
      Real OsmK;
      Real Fiber;

        Library.Interfaces.RealOutput_ Vol annotation (Placement(transformation(
                extent={{82,60},{122,100}}), iconTransformation(extent={{82,60},{122,100}})));
      equation
      //   der(mass) = (intake.q + absorbtion.q + outtake.q)/Library.SecPerMin;

         intake.volume = mass;
         OsmNa=Na_EqToAllConnectedOsm*GILumenSodium_Mass/mass;
         OsmK = K_EqToAllConnectedOsm*GILumenPotassium_Mass/mass;
         Fiber =Fiber_mass; ///mass;
         absorbtion.o = (Fiber + OsmNa + OsmK);
         outtake.volume = mass;

         Vol = mass;

         stateValue = mass;
         changePerMin = intake.q + absorbtion.q + outtake.q;
          annotation (
      Documentation(info="<HTML>
<PRE>
QHP 2008 / GILumenH2O.REF
 
Created : 13-Mar-08
Last Modified : 13-Mar-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : QHP 2008
Schema : 2008.0
 
Volume ========================================
 
Typical lumen volume is 1000 mL on an intake of 1.4 mL/Min.
This number is based on lumen volume being 1.4% body weight
from
 
   JCI 36:289-296, 1957.
 
Data suggests a 1L oral load is nearly all absorbed in
1 Hr.  Average rate would be 17 mL/Hr with a peak rate
of about 30.
 
   Baldes & Smirk. J.Physiol. 82:62,1934.
 
Osmolar gradient is assumed to be 0.200 mOsm/mL.
 
   Rate = Perm * Grad
   30 = Perm * 0.200
   Perm = 150
 
Temperature ===================================
 
Typical lumen heat content is 155 kCal.
 
Specific heat (SH) of H2O is 0.001 (kCal/G)/DegK.
 
To get temperature from heat
 
   DegK = 1000.0 * kCal/G (or mL)
   DegC = DegK - 273.15
   DegF = ( 9 / 5 ) * DegC + 32
 
To get heat from temperature
 
   kCal = 0.001 * DegK * mL
   kCal/Min = 0.001 * DegK * mL/Min
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),
        Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-100,-10},{100,-26}},
                lineColor={0,0,255},
                textString="(initial %initialVolume ml)"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0}),
              Text(
                extent={{-100,120},{100,104}},
                lineColor={0,0,255},
                textString="%name")}));
      end GILumen;

      model Bladder
        extends Library.PressureFlow.VolumeCompartement;
        extends HumMod.Library.Interfaces.Tissues.Bladder;
        annotation (Icon(graphics={Text(
                extent={{-100,96},{100,80}},
                lineColor={0,0,255},
                textString="%name")}));
      end Bladder;
    end WaterCompartments;

    package TissuesVolume
      "Division of intracellular and interstitial water into tissues"

      model Tissue
        "compute tissue size from global interstitial and cell H20 volume"
        //extends Library.Interfaces.BaseModel;

        parameter Real FractIFV;
        parameter Real FractOrganH2O;

        Library.Interfaces.RealInput_ InterstitialWater_Vol(final unit="ml") 
          annotation (Placement(transformation(extent={{-120,60},{-80,100}})));
        Library.Interfaces.RealInput_ CellH2O_Vol(final unit="ml") 
          annotation (Placement(transformation(extent={{-120,20},{-80,60}})));
        Library.Interfaces.RealOutput_ LiquidVol(final unit="ml")
          "all tissue water volume" 
          annotation (Placement(transformation(extent={{80,60},{120,100}}),
              iconTransformation(extent={{80,60},{120,100}})));
        Library.Interfaces.RealOutput_ OrganH2O(final unit="ml")
          "tissue cells water volume" 
          annotation (Placement(transformation(extent={{80,20},{120,60}}),
              iconTransformation(extent={{80,20},{120,60}})));

        Library.Interfaces.RealOutput_ InterstitialWater(final unit="ml")
          "tissue interstitial water volume" 
          annotation (Placement(transformation(extent={{80,20},{120,60}}),
              iconTransformation(extent={{80,-20},{120,20}})));
      equation
        OrganH2O = FractOrganH2O * CellH2O_Vol;
        LiquidVol = FractIFV*InterstitialWater_Vol + OrganH2O;
        InterstitialWater = LiquidVol - OrganH2O;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(preserveAspectRatio=false,
                        extent={{-100,-100},{100,100}}), graphics={
              Text(
                extent={{-72,64},{64,96}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="IST .. %FractIFV"),
              Text(
                extent={{-72,26},{64,58}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="ICF .. %FractOrganH2O"),
              Text(
                extent={{-98,-104},{102,-120}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
      end Tissue;

      model Tissues
        import QHP = HumMod;
       extends Library.Interfaces.Tissues.Tissues;
        SkeletalMuscle skeletalMuscle(FractIFV=0.597041124206978, FractOrganH2O=0.597041124206978) 
          annotation (Placement(transformation(extent={{-54,62},{-34,82}})));
        Bone bone(FractIFV=7.5535107692334e-002, FractOrganH2O=7.5535107692334e-002) 
          annotation (Placement(transformation(extent={{-54,36},{-34,56}})));
        Fat fat(FractIFV=6.86793125415955e-002, FractOrganH2O=6.86793125415955e-002) 
          annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));
        Brain brain(FractIFV=2.13850278381526e-002, FractOrganH2O=2.13850278381526e-002) 
          annotation (Placement(transformation(extent={{52,28},{72,48}})));
        QHP.Water.TissuesVolume.RightHeart rightHeart(FractIFV=7.11479063056408e-004,
            FractOrganH2O=7.11479063056408e-004) 
          annotation (Placement(transformation(extent={{52,-92},{72,-72}})));
        RespiratoryMuscle respiratoryMuscle(FractIFV=6.71126519181567e-002,
            FractOrganH2O=6.71126519181567e-002) 
          annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));
        OtherTissue otherTissue(FractIFV=6.70823116596042e-002, FractOrganH2O=6.70823116596042e-002) 
          annotation (Placement(transformation(extent={{-54,8},{-34,28}})));
        Liver liver(FractIFV=2.84998184687167e-002, FractOrganH2O=2.84998184687167e-002) 
          annotation (Placement(transformation(extent={{52,58},{72,78}})));
        QHP.Water.TissuesVolume.LeftHeart leftHeart(FractIFV=4.26887437833845e-003,
            FractOrganH2O=4.26887437833845e-003) 
          annotation (Placement(transformation(extent={{52,-62},{72,-42}})));
        QHP.Water.TissuesVolume.Kidney kidney(FractIFV=4.71608978940247e-003,
            FractOrganH2O=4.71608978940247e-003) 
          annotation (Placement(transformation(extent={{52,-34},{72,-14}})));
        QHP.Water.TissuesVolume.GITract GITract(FractIFV=2.34991370540916e-002,
            FractOrganH2O=2.34991370540916e-002) 
          annotation (Placement(transformation(extent={{52,-2},{72,18}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
        Skin skin(FractIFV=4.14690653895735e-002, FractOrganH2O=4.14690653895735e-002) 
          annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

      //Real ifv;
      //Real organ;
      equation

        connect(busConnector.InterstitialWater_Vol, bone.InterstitialWater_Vol)      annotation (
           Line(
            points={{-88,92},{-88,54},{-54,54}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.InterstitialWater_Vol, brain.InterstitialWater_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,46},{52,46}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, fat.InterstitialWater_Vol)      annotation (
            Line(
            points={{-88,92},{-88,-36},{-54,-36}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, GITract.InterstitialWater_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,16},{52,16}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, kidney.InterstitialWater_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-16},{52,-16}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, leftHeart.InterstitialWater_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-44},{52,-44}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, liver.InterstitialWater_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,76},{52,76}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, otherTissue.InterstitialWater_Vol) 
          annotation (Line(
            points={{-88,92},{-88,26},{-54,26}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, respiratoryMuscle.InterstitialWater_Vol) 
          annotation (Line(
            points={{-88,92},{-88,-6},{-54,-6}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, rightHeart.InterstitialWater_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-74},{52,-74}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, skin.InterstitialWater_Vol)      annotation (
           Line(
            points={{-88,92},{-88,-66},{-54,-66}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, skeletalMuscle.InterstitialWater_Vol) 
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,80},{-54,80}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.CellH2O_Vol, bone.CellH2O_Vol)         annotation (
           Line(
            points={{-88,92},{-88,50},{-54,50}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, brain.CellH2O_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,42},{52,42}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, fat.CellH2O_Vol)         annotation (
            Line(
            points={{-88,92},{-88,-40},{-54,-40}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, GITract.CellH2O_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,12},{52,12}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, kidney.CellH2O_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-20},{52,-20}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, leftHeart.CellH2O_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-48},{52,-48}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, liver.CellH2O_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,72},{52,72}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, otherTissue.CellH2O_Vol) 
          annotation (Line(
            points={{-88,92},{-88,22},{-54,22}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, respiratoryMuscle.CellH2O_Vol) 
          annotation (Line(
            points={{-88,92},{-88,-10},{-54,-10}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, rightHeart.CellH2O_Vol) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-78},{52,-78}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, skin.CellH2O_Vol)         annotation (
           Line(
            points={{-88,92},{-88,-70},{-54,-70}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, skeletalMuscle.CellH2O_Vol) 
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,76},{-54,76}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(bone.LiquidVol, busConnector.bone_LiquidVol)       annotation (
           Line(
            points={{-34,54},{6,54},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brain.LiquidVol, busConnector.brain_LiquidVol) 
          annotation (Line(
            points={{72,46},{98,46},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fat.LiquidVol, busConnector.fat_LiquidVol)     annotation (
            Line(
            points={{-34,-36},{6,-36},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITract.LiquidVol, busConnector.GITract_LiquidVol) 
          annotation (Line(
            points={{72,16},{98,16},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidney.LiquidVol, busConnector.kidney_LiquidVol) 
          annotation (Line(
            points={{72,-16},{98,-16},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeart.LiquidVol, busConnector.leftHeart_LiquidVol) 
          annotation (Line(
            points={{72,-44},{98,-44},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liver.LiquidVol, busConnector.liver_LiquidVol) 
          annotation (Line(
            points={{72,76},{98,76},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissue.LiquidVol, busConnector.otherTissue_LiquidVol) 
          annotation (Line(
            points={{-34,26},{6,26},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscle.LiquidVol, busConnector.respiratoryMuscle_LiquidVol) 
          annotation (Line(
            points={{-34,-6},{6,-6},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeart.LiquidVol, busConnector.rightHeart_LiquidVol) 
          annotation (Line(
            points={{72,-74},{98,-74},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skin.LiquidVol, busConnector.skin_LiquidVol)     annotation (
           Line(
            points={{-34,-66},{6,-66},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscle.LiquidVol, busConnector.skeletalMuscle_LiquidVol) 
          annotation (Line(
            points={{-34,80},{5.5,80},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

       connect(bone.LiquidVol, busConnector.Bone_LiquidVol)       annotation (
           Line(
            points={{-34,54},{6,54},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brain.LiquidVol, busConnector.Brain_LiquidVol) 
          annotation (Line(
            points={{72,46},{98,46},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fat.LiquidVol, busConnector.Fat_LiquidVol)     annotation (
            Line(
            points={{-34,-36},{6,-36},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidney.LiquidVol, busConnector.Kidney_LiquidVol) 
          annotation (Line(
            points={{72,-16},{98,-16},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeart.LiquidVol, busConnector.LeftHeart_LiquidVol) 
          annotation (Line(
            points={{72,-44},{98,-44},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liver.LiquidVol, busConnector.Liver_LiquidVol) 
          annotation (Line(
            points={{72,76},{98,76},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissue.LiquidVol, busConnector.OtherTissue_LiquidVol) 
          annotation (Line(
            points={{-34,26},{6,26},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscle.LiquidVol, busConnector.RespiratoryMuscle_LiquidVol) 
          annotation (Line(
            points={{-34,-6},{6,-6},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeart.LiquidVol, busConnector.RightHeart_LiquidVol) 
          annotation (Line(
            points={{72,-74},{98,-74},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skin.LiquidVol, busConnector.Skin_LiquidVol)     annotation (
           Line(
            points={{-34,-66},{6,-66},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscle.LiquidVol, busConnector.SkeletalMuscle_LiquidVol) 
          annotation (Line(
            points={{-34,80},{5.5,80},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

        connect(bone.OrganH2O, busConnector.bone_CellH2OVol)       annotation (
           Line(
            points={{-34,50},{6,50},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brain.OrganH2O, busConnector.brain_CellH2OVol) 
          annotation (Line(
            points={{72,42},{98,42},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fat.OrganH2O, busConnector.fat_CellH2OVol)     annotation (
            Line(
            points={{-34,-40},{6,-40},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITract.OrganH2O, busConnector.GITract_CellH2OVol) 
          annotation (Line(
            points={{72,12},{98,12},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidney.OrganH2O, busConnector.kidney_CellH2OVol) 
          annotation (Line(
            points={{72,-20},{98,-20},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeart.OrganH2O, busConnector.leftHeart_CellH2OVol) 
          annotation (Line(
            points={{72,-48},{98,-48},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liver.OrganH2O, busConnector.liver_CellH2OVol) 
          annotation (Line(
            points={{72,72},{98,72},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissue.OrganH2O, busConnector.otherTissue_CellH2OVol) 
          annotation (Line(
            points={{-34,22},{6,22},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscle.OrganH2O, busConnector.respiratoryMuscle_CellH2OVol) 
          annotation (Line(
            points={{-34,-10},{6,-10},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeart.OrganH2O, busConnector.rightHeart_CellH2OVol) 
          annotation (Line(
            points={{72,-78},{98,-78},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skin.OrganH2O, busConnector.skin_CellH2OVol)     annotation (
           Line(
            points={{-34,-70},{6,-70},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscle.OrganH2O, busConnector.skeletalMuscle_CellH2OVol) 
          annotation (Line(
            points={{-34,76},{5.5,76},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

       connect(bone.InterstitialWater, busConnector.bone_InterstitialWater)       annotation (
           Line(
            points={{-34,46},{6,46},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brain.InterstitialWater, busConnector.brain_InterstitialWater) 
          annotation (Line(
            points={{72,38},{98,38},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fat.InterstitialWater, busConnector.fat_InterstitialWater)     annotation (
            Line(
            points={{-34,-44},{6,-44},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITract.InterstitialWater, busConnector.GITract_InterstitialWater) 
          annotation (Line(
            points={{72,8},{98,8},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidney.InterstitialWater, busConnector.kidney_InterstitialWater) 
          annotation (Line(
            points={{72,-24},{98,-24},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeart.InterstitialWater, busConnector.leftHeart_InterstitialWater) 
          annotation (Line(
            points={{72,-52},{98,-52},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liver.InterstitialWater, busConnector.liver_InterstitialWater) 
          annotation (Line(
            points={{72,68},{98,68},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissue.InterstitialWater, busConnector.otherTissue_InterstitialWater) 
          annotation (Line(
            points={{-34,18},{6,18},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscle.InterstitialWater, busConnector.respiratoryMuscle_InterstitialWater) 
          annotation (Line(
            points={{-34,-14},{6,-14},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeart.InterstitialWater, busConnector.rightHeart_InterstitialWater) 
          annotation (Line(
            points={{72,-82},{98,-82},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skin.InterstitialWater, busConnector.skin_InterstitialWater)     annotation (
           Line(
            points={{-34,-74},{6,-74},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscle.InterstitialWater, busConnector.skeletalMuscle_InterstitialWater) 
          annotation (Line(
            points={{-34,72},{5.5,72},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
      //ifv=bone.FractIFV +brain.FractIFV +fat.FractIFV +GITract.FractIFV +kidney.FractIFV +leftHeart.FractIFV +liver.FractIFV +otherTissue.FractIFV +respiratoryMuscle.FractIFV +rightHeart.FractIFV +skin.FractIFV +skeletalMuscle.FractIFV;
      //organ=bone.FractOrganH2O +brain.FractOrganH2O +fat.FractOrganH2O +GITract.FractOrganH2O +kidney.FractOrganH2O +leftHeart.FractOrganH2O +liver.FractOrganH2O +otherTissue.FractOrganH2O +respiratoryMuscle.FractOrganH2O +rightHeart.FractOrganH2O +skin.FractOrganH2O +skeletalMuscle.FractOrganH2O;
      /*
 assert(bone.FractIFV +
brain.FractIFV +
fat.FractIFV +
GITract.FractIFV +
kidney.FractIFV +
leftHeart.FractIFV +
liver.FractIFV +
otherTissue.FractIFV +
respiratoryMuscle.FractIFV +
rightHeart.FractIFV +
skin.FractIFV +
skeletalMuscle.FractIFV <> 1, "Water.TissuesVolume.Tissues: Sum of FractIFV is not 1!");
 assert(bone.FractOrganH2O +
brain.FractOrganH2O +
fat.FractOrganH2O +
GITract.FractOrganH2O +
kidney.FractOrganH2O +
leftHeart.FractOrganH2O +
liver.FractOrganH2O +
otherTissue.FractOrganH2O +
respiratoryMuscle.FractOrganH2O +
rightHeart.FractOrganH2O +
skin.FractOrganH2O +
skeletalMuscle.FractOrganH2O <> 1, "Water.TissuesVolume.Tissues: Sum of FractOrganH20 is not 1!");
*/
        annotation (Icon(graphics={Text(
                extent={{-100,-104},{100,-120}},
                lineColor={0,0,255},
                textString="%name")}),
                                 Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));
      end Tissues;

      model SkeletalMuscle
        extends HumMod.Library.Interfaces.Tissues.SkeletalMuscle;
        extends Tissue;
      end SkeletalMuscle;

      model Bone
        extends HumMod.Library.Interfaces.Tissues.Bone;
        extends Tissue;
      end Bone;

      model OtherTissue
        extends HumMod.Library.Interfaces.Tissues.OtherTissue;
        extends Tissue;
      end OtherTissue;

      model RespiratoryMuscle
        extends HumMod.Library.Interfaces.Tissues.RespiratoryMuscle;
        extends Tissue;
      end RespiratoryMuscle;

      model Fat
        extends HumMod.Library.Interfaces.Tissues.Fat;
        extends Tissue;
      end Fat;

      model Skin
        extends HumMod.Library.Interfaces.Tissues.Skin;
        extends Tissue;
      end Skin;

      model Liver
        extends HumMod.Library.Interfaces.Tissues.Liver;
        extends Tissue;
      end Liver;

      model Brain
        extends HumMod.Library.Interfaces.Tissues.Brain;
        extends Tissue;
      end Brain;

      model GITract
        extends HumMod.Library.Interfaces.Tissues.GITract;
        extends Tissue;
      end GITract;

      model Kidney
        extends HumMod.Library.Interfaces.Tissues.Kidney;
        extends Tissue;
      end Kidney;

      model LeftHeart
        extends HumMod.Library.Interfaces.Tissues.LeftHeart;
        extends Tissue;
      end LeftHeart;

      model RightHeart
        extends HumMod.Library.Interfaces.Tissues.RightHeart;
        extends Tissue;
      end RightHeart;
    end TissuesVolume;

    package setup
      model WaterConstInputs

        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-10,-8},{4,6}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant BladderVoidFlow(k=0) 
      annotation (Placement(transformation(extent={{-98,-82},{-92,-76}})));
      Library.Blocks.Constant CD_Glucose_Outflow(k=0.) 
      annotation (Placement(transformation(extent={{-96,-76},{-90,-70}})));
      Library.Blocks.Constant CD_K_Outflow(k=4.56825290311951e-002) 
      annotation (Placement(transformation(extent={{-96,-66},{-90,-60}})));
      Library.Blocks.Constant CD_NH4_Outflow(k=3.45950195621061e-002) 
      annotation (Placement(transformation(extent={{-96,-56},{-90,-50}})));
      Library.Blocks.Constant CD_Na_Outflow(k=0.1194216432775) 
      annotation (Placement(transformation(extent={{-96,-46},{-90,-40}})));
      Library.Blocks.Constant DT_Na_Outflow(k=0.48247099389415) 
      annotation (Placement(transformation(extent={{-96,-36},{-90,-30}})));
      Library.Blocks.Constant DietIntakeH2O_Rate(k=1.20389600964301) 
      annotation (Placement(transformation(extent={{-96,-26},{-90,-20}})));
      Library.Blocks.Constant GILumenPotassium_Mass(k=24.8473) 
      annotation (Placement(transformation(extent={{-96,-16},{-90,-10}})));
      Library.Blocks.Constant GILumenSodium_Mass(k=83.2936) 
      annotation (Placement(transformation(extent={{-96,-6},{-90,0}})));
      Library.Blocks.Constant GlomerulusBloodPressure(k=60.6851911992974) 
      annotation (Placement(transformation(extent={{-96,4},{-90,10}})));
      Library.Blocks.Constant HeatInsensibleLung_H2O(k=0.281460196409109) 
      annotation (Placement(transformation(extent={{-96,14},{-90,20}})));
      Library.Blocks.Constant HeatInsensibleSkin_H2O(k=0.37) 
      annotation (Placement(transformation(extent={{-96,24},{-90,30}})));
      Library.Blocks.Constant HeatSweating_H2O(k=0.) 
      annotation (Placement(transformation(extent={{-96,34},{-90,40}})));
      Library.Blocks.Constant Hemorrhage_PlasmaRate(k=0.) 
      annotation (Placement(transformation(extent={{-96,44},{-90,50}})));
      Library.Blocks.Constant IVDrip_H2ORate(k=0.) 
      annotation (Placement(transformation(extent={{-96,54},{-90,60}})));
      Library.Blocks.Constant KidneyPlasmaFlow(k=686.662540707788) 
      annotation (Placement(transformation(extent={{-96,64},{-90,70}})));
      Library.Blocks.Constant NephronCound_xNormal(k=1.) 
      annotation (Placement(transformation(extent={{-96,74},{-90,80}})));
      Library.Blocks.Constant LH_Na_FractReab(k=0.759476340881585) 
      annotation (Placement(transformation(extent={{-96,84},{-90,90}})));
      Library.Blocks.Constant LT_InterstitialProtein_Mass(k=75.2615682859139) 
      annotation (Placement(transformation(extent={{72,-102},{66,-96}})));
      Library.Blocks.Constant LegMusclePump_Effect(k=1.) 
      annotation (Placement(transformation(extent={{72,-92},{66,-86}})));
      Library.Blocks.Constant MT_InterstitialProtein_Mass(k=150.186117655147) 
      annotation (Placement(transformation(extent={{72,-82},{66,-76}})));
      Library.Blocks.Constant MedullaNa_conc(k=0.561266952133897) 
      annotation (Placement(transformation(extent={{72,-72},{66,-66}})));
      Library.Blocks.Constant MetabolicH2O_Rate(k=0.216577482707408) 
      annotation (Placement(transformation(extent={{72,-62},{66,-56}})));
      Library.Blocks.Constant NephronADH_conc(k=2.27115) 
      annotation (Placement(transformation(extent={{72,-52},{66,-46}})));
      Library.Blocks.Constant OsmCell_Electrolytes(k=7923.4702850513) 
      annotation (Placement(transformation(extent={{72,-42},{66,-36}})));
      Library.Blocks.Constant OsmCell_NonElectrolytes(k=523.2005) 
      annotation (Placement(transformation(extent={{72,-32},{66,-26}})));
      Library.Blocks.Constant OsmECFV_Electrolytes(k=4028.50633467662) 
      annotation (Placement(transformation(extent={{72,-22},{66,-16}})));
      Library.Blocks.Constant OsmECFV_NonElectrolytes(k=522.67445813682) 
      annotation (Placement(transformation(extent={{72,-12},{66,-6}})));
      Library.Blocks.Constant PT_Na_FractReab(k=0.58791781042346) 
      annotation (Placement(transformation(extent={{72,-2},{66,4}})));
      Library.Blocks.Constant PlasmaProtein_Mass(k=209.473340067555) 
      annotation (Placement(transformation(extent={{72,8},{66,14}})));
      Library.Blocks.Constant PulmCapys_Pressure(k=8.73093338623239) 
      annotation (Placement(transformation(extent={{72,18},{66,24}})));
      Library.Blocks.Constant RBCH20_Vol(k=1566.31) 
      annotation (Placement(transformation(extent={{72,28},{66,34}})));
      Library.Blocks.Constant RightAtrium_Pressure(k=0.89677311588134) 
      annotation (Placement(transformation(extent={{72,38},{66,44}})));
      Library.Blocks.Constant SplanchnicVeins_Pressure(k=7.73298487727023) 
      annotation (Placement(transformation(extent={{72,48},{66,54}})));
      Hydrostatics.Constant Status_Posture(k=HumMod.Water.Hydrostatics.Posture.Lying) 
      annotation (Placement(transformation(extent={{72,58},{66,64}})));
      Library.Blocks.Constant SystemicArtys_Pressure(k=95.4078941631755) 
      annotation (Placement(transformation(extent={{72,68},{66,74}})));
      Library.Blocks.Constant Transfusion_PlasmaRate(k=0.) 
      annotation (Placement(transformation(extent={{72,78},{66,84}})));
      Library.Blocks.Constant UT_InterstitialProtein_Mass(k=75.119589586661) 
      annotation (Placement(transformation(extent={{72,88},{66,94}})));
      Library.Blocks.Constant UreaECF_Osmoles(k=95.3175284466562) 
      annotation (Placement(transformation(extent={{-96,-100},{-90,-94}})));
      Library.Blocks.Constant UreaICF_Osmoles(k=169.2005) 
      annotation (Placement(transformation(extent={{-96,-94},{-90,-88}})));
      Library.Blocks.Constant GlucoseEFC_Osmoles(k=87.3569296901635) 
      annotation (Placement(transformation(extent={{-96,-88},{-90,-82}})));
      equation

      connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
       points={{-91.7,-79},{-3,-79},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_Glucose_Outflow.y, busConnector.CD_Glucose_Outflow) annotation (Line(
       points={{-89.7,-73},{-3,-73},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_K_Outflow.y, busConnector.CD_K_Outflow) annotation (Line(
       points={{-89.7,-63},{-3,-63},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_NH4_Outflow.y, busConnector.CD_NH4_Outflow) annotation (Line(
       points={{-89.7,-53},{-3,-53},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_Na_Outflow.y, busConnector.CD_Na_Outflow) annotation (Line(
       points={{-89.7,-43},{-3,-43},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_Na_Outflow.y, busConnector.DT_Na_Outflow) annotation (Line(
       points={{-89.7,-33},{-3,-33},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeH2O_Rate.y, busConnector.DietIntakeH2O_Rate) annotation (Line(
       points={{-89.7,-23},{-3,-23},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenPotassium_Mass.y, busConnector.GILumenPotassium_Mass) annotation (Line(
       points={{-89.7,-13},{-3,-13},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenSodium_Mass.y, busConnector.GILumenSodium_Mass) annotation (Line(
       points={{-89.7,-3},{-3,-3},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GlomerulusBloodPressure.y, busConnector.GlomerulusBloodPressure) annotation (Line(
       points={{-89.7,7},{-3,7},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatInsensibleLung_H2O.y, busConnector.HeatInsensibleLung_H2O) annotation (Line(
       points={{-89.7,17},{-3,17},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatInsensibleSkin_H2O.y, busConnector.HeatInsensibleSkin_H2O) annotation (Line(
       points={{-89.7,27},{-3,27},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate.y, busConnector.Hemorrhage_PlasmaRate) annotation (Line(
       points={{-89.7,47},{-3,47},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(IVDrip_H2ORate.y, busConnector.IVDrip_H2ORate) annotation (Line(
       points={{-89.7,57},{-3,57},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyPlasmaFlow.y, busConnector.KidneyPlasmaFlow) annotation (Line(
       points={{-89.7,67},{-3,67},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(NephronCound_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
       points={{-89.7,77},{-3,77},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LH_Na_FractReab.y, busConnector.LH_Na_FractReab) annotation (Line(
       points={{-89.7,87},{-3,87},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LT_InterstitialProtein_Mass.y, busConnector.LT_InterstitialProtein_Mass) annotation (Line(
       points={{65.7,-99},{-3,-99},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LegMusclePump_Effect.y, busConnector.LegMusclePump_Effect) annotation (Line(
       points={{65.7,-89},{-3,-89},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MT_InterstitialProtein_Mass.y, busConnector.MT_InterstitialProtein_Mass) annotation (Line(
       points={{65.7,-79},{-3,-79},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaNa_conc.y, busConnector.MedullaNa_conc) annotation (Line(
       points={{65.7,-69},{-3,-69},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolicH2O_Rate.y, busConnector.MetabolicH2O_Rate) annotation (Line(
       points={{65.7,-59},{-3,-59},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmCell_Electrolytes.y, busConnector.OsmCell_Electrolytes) annotation (Line(
       points={{65.7,-39},{-3,-39},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmCell_NonElectrolytes.y, busConnector.OsmCell_NonElectrolytes) annotation (Line(
       points={{65.7,-29},{-3,-29},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmECFV_Electrolytes.y, busConnector.OsmECFV_Electrolytes) annotation (Line(
       points={{65.7,-19},{-3,-19},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmECFV_NonElectrolytes.y, busConnector.OsmECFV_NonElectrolytes) annotation (Line(
       points={{65.7,-9},{-3,-9},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PT_Na_FractReab.y, busConnector.PT_Na_FractReab) annotation (Line(
       points={{65.7,1},{-3,1},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PlasmaProtein_Mass.y, busConnector.PlasmaProtein_Mass) annotation (Line(
       points={{65.7,11},{-3,11},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PulmCapys_Pressure.y, busConnector.PulmCapys_Pressure) annotation (Line(
       points={{65.7,21},{-3,21},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightAtrium_Pressure.y, busConnector.RightAtrium_Pressure) annotation (Line(
       points={{65.7,41},{-3,41},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SplanchnicVeins_Pressure.y, busConnector.SplanchnicVeins_Pressure) annotation (Line(
       points={{65.7,51},{-3,51},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Status_Posture.y, busConnector.Status_Posture) annotation (Line(
       points={{65.7,61},{-3,61},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SystemicArtys_Pressure.y, busConnector.SystemicArtys_Pressure) annotation (Line(
       points={{65.7,71},{-3,71},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate.y, busConnector.Transfusion_PlasmaRate) annotation (Line(
       points={{65.7,81},{-3,81},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(UT_InterstitialProtein_Mass.y, busConnector.UT_InterstitialProtein_Mass) 
          annotation (Line(
            points={{65.7,91},{30,92},{-2,90},{-2,-1},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(GlucoseEFC_Osmoles.y, busConnector.GlucoseECF_Osmoles) 
          annotation (Line(
            points={{-89.7,-85},{-3,-85},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(UreaICF_Osmoles.y, busConnector.UreaICF_Osmoles) annotation (
            Line(
            points={{-89.7,-91},{-3,-91},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(UreaECF_Osmoles.y, busConnector.UreaECF_Osmoles) annotation (
            Line(
            points={{-89.7,-97},{-3,-97},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.NephronADH, NephronADH_conc.y) annotation (Line(
            points={{-3,-1},{-3,-49},{65.7,-49}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.RBCH2O_Vol, RBCH20_Vol.y) annotation (Line(
            points={{-3,-1},{-3,31},{65.7,31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(HeatSweating_H2O.y, busConnector.SweatDuct_H2OOutflow) 
          annotation (Line(
            points={{-89.7,37},{-2,36},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end WaterConstInputs;

      model WaterConstInputsFromFile

        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-10,-8},{4,6}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Utilities.ConstantFromFile DietIntakeH2O_Rate(varName="DietIntakeH2O.Rate(mL/Min)") 
      annotation (Placement(transformation(extent={{-108,-178},{-102,-172}})));
      Library.Utilities.ConstantFromFile HeatInsensibleLung_H2O(varName="HeatInsensibleLung.H2O") 
      annotation (Placement(transformation(extent={{-108,-168},{-102,-162}})));
      Library.Utilities.ConstantFromFile HeatInsensibleSkin_H2O(varName="HeatInsensibleSkin.H2O") 
      annotation (Placement(transformation(extent={{-108,-158},{-102,-152}})));
      Library.Utilities.ConstantFromFile SweatDuct_H2OOutflow(varName="SweatDuct.H2OOutflow") 
      annotation (Placement(transformation(extent={{-108,-148},{-102,-142}})));
      Library.Utilities.ConstantFromFile IVDrip_H2ORate(varName="IVDrip.H2ORate") 
      annotation (Placement(transformation(extent={{-108,-138},{-102,-132}})));
      Library.Utilities.ConstantFromFile MetabolicH2O_Rate(varName="MetabolicH2O.Rate") 
      annotation (Placement(transformation(extent={{-108,-128},{-102,-122}})));
      Library.Utilities.ConstantFromFile PlasmaProtein_Mass(varName="PlasmaProtein.Mass") 
      annotation (Placement(transformation(extent={{-108,-118},{-102,-112}})));
      Library.Utilities.ConstantFromFile BladderVoidFlow(varName="BloodVol.Loss") 
      annotation (Placement(transformation(extent={{-108,-108},{-102,-102}})));
      Library.Utilities.ConstantFromFile CD_Glucose_Outflow(varName="CD_Glucose.Outflow") 
      annotation (Placement(transformation(extent={{-108,-98},{-102,-92}})));
      Library.Utilities.ConstantFromFile CD_K_Outflow(varName="CD_K.Outflow") 
      annotation (Placement(transformation(extent={{-108,-88},{-102,-82}})));
      Library.Utilities.ConstantFromFile CD_Na_Outflow(varName="CD_Na.Outflow") 
      annotation (Placement(transformation(extent={{-108,-78},{-102,-72}})));
      Library.Utilities.ConstantFromFile CD_NH4_Outflow(varName="CD_NH4.Outflow") 
      annotation (Placement(transformation(extent={{-108,-68},{-102,-62}})));
      Library.Utilities.ConstantFromFile DT_Na_Outflow(varName="DT_Na.Outflow") 
      annotation (Placement(transformation(extent={{-108,-58},{-102,-52}})));
      Library.Utilities.ConstantFromFile GILumenPotassium_Mass(varName="GILumenPotassium.Mass") 
      annotation (Placement(transformation(extent={{-108,-48},{-102,-42}})));
      Library.Utilities.ConstantFromFile GILumenSodium_Mass(varName="GILumenSodium.Mass") 
      annotation (Placement(transformation(extent={{-108,-38},{-102,-32}})));
      Library.Utilities.ConstantFromFile GlomerulusBloodPressure(varName="GlomerulusFiltrate.Pressure") 
      annotation (Placement(transformation(extent={{-108,-28},{-102,-22}})));
      Library.Utilities.ConstantFromFile Hemorrhage_PlasmaRate(varName="Hemorrhage.PlasmaRate") 
      annotation (Placement(transformation(extent={{-108,-18},{-102,-12}})));
      Library.Utilities.ConstantFromFile KidneyPlasmaFlow(varName="Kidney-Flow.PlasmaFlow") 
      annotation (Placement(transformation(extent={{-108,-8},{-102,-2}})));
      Library.Utilities.ConstantFromFile LegMusclePump_Effect(varName="LegMusclePump.Effect") 
      annotation (Placement(transformation(extent={{-108,2},{-102,8}})));
      Library.Utilities.ConstantFromFile LH_Na_FractReab(varName="LH_Na.FractReab") 
      annotation (Placement(transformation(extent={{-108,12},{-102,18}})));
      Library.Utilities.ConstantFromFile LT_InterstitialProtein_Mass(varName="LT_InterstitialProtein.Mass") 
      annotation (Placement(transformation(extent={{-108,22},{-102,28}})));
      Library.Utilities.ConstantFromFile MedullaNa_conc(varName="MedullaNa.[Na+]") 
      annotation (Placement(transformation(extent={{-108,32},{-102,38}})));
      Library.Utilities.ConstantFromFile MT_InterstitialProtein_Mass(varName="MT_InterstitialProtein.Mass") 
      annotation (Placement(transformation(extent={{-108,42},{-102,48}})));
      Library.Utilities.ConstantFromFile NephronADH_conc(varName="NephronADH.[ADH]") 
      annotation (Placement(transformation(extent={{-108,52},{-102,58}})));
      Library.Utilities.ConstantFromFile Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)") 
      annotation (Placement(transformation(extent={{-108,62},{-102,68}})));
      Library.Utilities.ConstantFromFile OsmCell_Electrolytes(varName="OsmCell.Electrolytes") 
      annotation (Placement(transformation(extent={{-108,72},{-102,78}})));
      Library.Utilities.ConstantFromFile OsmCell_NonElectrolytes(varName="OsmCell.Non-Electrolytes") 
      annotation (Placement(transformation(extent={{-108,82},{-102,88}})));
      Library.Utilities.ConstantFromFile OsmECFV_Electrolytes(varName="OsmECFV.Electrolytes") 
      annotation (Placement(transformation(extent={{-108,92},{-102,98}})));
      Library.Utilities.ConstantFromFile OsmECFV_NonElectrolytes(varName="OsmECFV.Non-Electrolytes") 
      annotation (Placement(transformation(extent={{-108,102},{-102,108}})));
      Library.Utilities.ConstantFromFile PT_Na_FractReab(varName="PT_Na.FractReab") 
      annotation (Placement(transformation(extent={{-108,112},{-102,118}})));
      Library.Utilities.ConstantFromFile PulmCapys_Pressure(varName="PulmCapys.Pressure") 
      annotation (Placement(transformation(extent={{-108,122},{-102,128}})));
      Library.Utilities.ConstantFromFile RightAtrium_Pressure(varName="RightAtrium.Pressure") 
      annotation (Placement(transformation(extent={{-108,132},{-102,138}})));
      Library.Utilities.ConstantFromFile SplanchnicVeins_Pressure(varName="SplanchnicVeins.Pressure") 
      annotation (Placement(transformation(extent={{-108,142},{-102,148}})));
      Library.Utilities.ConstantFromFile Status_Posture(varName="Status.Posture") 
      annotation (Placement(transformation(extent={{-108,152},{-102,158}})));
      Library.Utilities.ConstantFromFile SystemicArtys_Pressure(varName="SystemicArtys.Pressure") 
      annotation (Placement(transformation(extent={{-108,162},{-102,168}})));
      Library.Utilities.ConstantFromFile Transfusion_PlasmaRate(varName="Transfusion.PlasmaRate") 
      annotation (Placement(transformation(extent={{-108,172},{-102,178}})));
      Library.Utilities.ConstantFromFile UT_InterstitialProtein_Mass(varName="UT_InterstitialProtein.Mass") 
      annotation (Placement(transformation(extent={{-108,182},{-102,188}})));
      Library.Utilities.ConstantFromFile GlucoseECF_Osmoles(varName="GlucosePool.Osmoles") 
      annotation (Placement(transformation(extent={{-108,192},{-102,198}})));
      Library.Utilities.ConstantFromFile UreaICF_Osmoles(varName="UreaCell.Osmoles") 
      annotation (Placement(transformation(extent={{-108,202},{-102,208}})));
      Library.Utilities.ConstantFromFile UreaECF_Osmoles(varName="UreaPool.Osmoles") 
      annotation (Placement(transformation(extent={{-108,212},{-102,218}})));
      Library.Utilities.ConstantFromFile RBCH2O_Vol(varName="RBCH2O.Vol") 
      annotation (Placement(transformation(extent={{-108,222},{-102,228}})));

      equation
      connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
       points={{-101.7,-105},{-3,-105},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_Glucose_Outflow.y, busConnector.CD_Glucose_Outflow) annotation (Line(
       points={{-101.7,-95},{-3,-95},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_K_Outflow.y, busConnector.CD_K_Outflow) annotation (Line(
       points={{-101.7,-85},{-3,-85},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_NH4_Outflow.y, busConnector.CD_NH4_Outflow) annotation (Line(
       points={{-101.7,-65},{-3,-65},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_Na_Outflow.y, busConnector.CD_Na_Outflow) annotation (Line(
       points={{-101.7,-75},{-3,-75},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_Na_Outflow.y, busConnector.DT_Na_Outflow) annotation (Line(
       points={{-101.7,-55},{-3,-55},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeH2O_Rate.y, busConnector.DietIntakeH2O_Rate) annotation (Line(
       points={{-101.7,-175},{-3,-175},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenPotassium_Mass.y, busConnector.GILumenPotassium_Mass) annotation (Line(
       points={{-101.7,-45},{-3,-45},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenSodium_Mass.y, busConnector.GILumenSodium_Mass) annotation (Line(
       points={{-101.7,-35},{-3,-35},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GlomerulusBloodPressure.y, busConnector.GlomerulusBloodPressure) annotation (Line(
       points={{-101.7,-25},{-3,-25},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatInsensibleLung_H2O.y, busConnector.HeatInsensibleLung_H2O) annotation (Line(
       points={{-101.7,-165},{-3,-165},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatInsensibleSkin_H2O.y, busConnector.HeatInsensibleSkin_H2O) annotation (Line(
       points={{-101.7,-155},{-3,-155},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate.y, busConnector.Hemorrhage_PlasmaRate) annotation (Line(
       points={{-101.7,-15},{-3,-15},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(IVDrip_H2ORate.y, busConnector.IVDrip_H2ORate) annotation (Line(
       points={{-101.7,-135},{-3,-135},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyPlasmaFlow.y, busConnector.KidneyPlasmaFlow) annotation (Line(
       points={{-101.7,-5},{-3,-5},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
       points={{-101.7,65},{-3,65},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LH_Na_FractReab.y, busConnector.LH_Na_FractReab) annotation (Line(
       points={{-101.7,15},{-3,15},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LT_InterstitialProtein_Mass.y, busConnector.LT_InterstitialProtein_Mass) annotation (Line(
       points={{-101.7,25},{-3,25},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LegMusclePump_Effect.y, busConnector.LegMusclePump_Effect) annotation (Line(
       points={{-101.7,5},{-3,5},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MT_InterstitialProtein_Mass.y, busConnector.MT_InterstitialProtein_Mass) annotation (Line(
       points={{-101.7,45},{-3,45},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaNa_conc.y, busConnector.MedullaNa_conc) annotation (Line(
       points={{-101.7,35},{-3,35},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolicH2O_Rate.y, busConnector.MetabolicH2O_Rate) annotation (Line(
       points={{-101.7,-125},{-3,-125},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmCell_Electrolytes.y, busConnector.OsmCell_Electrolytes) annotation (Line(
       points={{-101.7,75},{-3,75},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmCell_NonElectrolytes.y, busConnector.OsmCell_NonElectrolytes) annotation (Line(
       points={{-101.7,85},{-3,85},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmECFV_Electrolytes.y, busConnector.OsmECFV_Electrolytes) annotation (Line(
       points={{-101.7,95},{-3,95},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmECFV_NonElectrolytes.y, busConnector.OsmECFV_NonElectrolytes) annotation (Line(
       points={{-101.7,105},{-3,105},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PT_Na_FractReab.y, busConnector.PT_Na_FractReab) annotation (Line(
       points={{-101.7,115},{-3,115},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PlasmaProtein_Mass.y, busConnector.PlasmaProtein_Mass) annotation (Line(
       points={{-101.7,-115},{-3,-115},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PulmCapys_Pressure.y, busConnector.PulmCapys_Pressure) annotation (Line(
       points={{-101.7,125},{-3,125},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightAtrium_Pressure.y, busConnector.RightAtrium_Pressure) annotation (Line(
       points={{-101.7,135},{-3,135},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SplanchnicVeins_Pressure.y, busConnector.SplanchnicVeins_Pressure) annotation (Line(
       points={{-101.7,145},{-3,145},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Status_Posture.y, busConnector.Status_Posture) annotation (Line(
       points={{-101.7,155},{-3,155},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SystemicArtys_Pressure.y, busConnector.SystemicArtys_Pressure) annotation (Line(
       points={{-101.7,165},{-3,165},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate.y, busConnector.Transfusion_PlasmaRate) annotation (Line(
       points={{-101.7,175},{-3,175},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(UT_InterstitialProtein_Mass.y, busConnector.UT_InterstitialProtein_Mass) 
          annotation (Line(
            points={{-101.7,185},{-74,188},{-76,186},{-76,-1},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(GlucoseECF_Osmoles.y, busConnector.GlucoseECF_Osmoles) 
          annotation (Line(
            points={{-101.7,195},{-3,195},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(UreaICF_Osmoles.y, busConnector.UreaICF_Osmoles) annotation (
            Line(
            points={{-101.7,205},{-3,205},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(UreaECF_Osmoles.y, busConnector.UreaECF_Osmoles) annotation (
            Line(
            points={{-101.7,215},{-3,215},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.NephronADH, NephronADH_conc.y) annotation (Line(
            points={{-3,-1},{-3,55},{-101.7,55}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.RBCH2O_Vol, RBCH2O_Vol.y) annotation (Line(
            points={{-3,-1},{-3,225},{-101.7,225}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(SweatDuct_H2OOutflow.y, busConnector.SweatDuct_H2OOutflow) 
          annotation (Line(
            points={{-101.7,-145},{-3,-145},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end WaterConstInputsFromFile;

      model SaveWaterConstInputs

        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-10,-8},{4,6}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Utilities.VariableToFile DietIntakeH2O_Rate(varName="DietIntakeH2O.Rate(mL/Min)") 
      annotation (Placement(transformation(extent={{20,-158},{26,-152}})));
      Library.Utilities.VariableToFile HeatInsensibleLung_H2O(varName="HeatInsensibleLung.H2O") 
      annotation (Placement(transformation(extent={{20,-148},{26,-142}})));
      Library.Utilities.VariableToFile HeatInsensibleSkin_H2O(varName="HeatInsensibleSkin.H2O") 
      annotation (Placement(transformation(extent={{20,-138},{26,-132}})));
      Library.Utilities.VariableToFile SweatDuct_H2OOutflow(varName="SweatDuct.H2OOutflow") 
      annotation (Placement(transformation(extent={{20,-128},{26,-122}})));
      Library.Utilities.VariableToFile IVDrip_H2ORate(varName="IVDrip.H2ORate") 
      annotation (Placement(transformation(extent={{20,-118},{26,-112}})));
      Library.Utilities.VariableToFile MetabolicH2O_Rate(varName="MetabolicH2O.Rate") 
      annotation (Placement(transformation(extent={{20,-108},{26,-102}})));
      Library.Utilities.VariableToFile PlasmaProtein_Mass(varName="PlasmaProtein.Mass") 
      annotation (Placement(transformation(extent={{20,-98},{26,-92}})));
      Library.Utilities.VariableToFile BladderVoidFlow(varName="BloodVol.Loss") 
      annotation (Placement(transformation(extent={{20,-88},{26,-82}})));
      Library.Utilities.VariableToFile CD_Glucose_Outflow(varName="CD_Glucose.Outflow") 
      annotation (Placement(transformation(extent={{20,-78},{26,-72}})));
      Library.Utilities.VariableToFile CD_K_Outflow(varName="CD_K.Outflow") 
      annotation (Placement(transformation(extent={{20,-68},{26,-62}})));
      Library.Utilities.VariableToFile CD_Na_Outflow(varName="CD_Na.Outflow") 
      annotation (Placement(transformation(extent={{20,-58},{26,-52}})));
      Library.Utilities.VariableToFile CD_NH4_Outflow(varName="CD_NH4.Outflow") 
      annotation (Placement(transformation(extent={{20,-48},{26,-42}})));
      Library.Utilities.VariableToFile DT_Na_Outflow(varName="DT_Na.Outflow") 
      annotation (Placement(transformation(extent={{20,-38},{26,-32}})));
      Library.Utilities.VariableToFile GILumenPotassium_Mass(varName="GILumenPotassium.Mass") 
      annotation (Placement(transformation(extent={{20,-28},{26,-22}})));
      Library.Utilities.VariableToFile GILumenSodium_Mass(varName="GILumenSodium.Mass") 
      annotation (Placement(transformation(extent={{20,-18},{26,-12}})));
      Library.Utilities.VariableToFile GlomerulusBloodPressure(varName="GlomerulusFiltrate.Pressure") 
      annotation (Placement(transformation(extent={{20,-8},{26,-2}})));
      Library.Utilities.VariableToFile Hemorrhage_PlasmaRate(varName="Hemorrhage.PlasmaRate") 
      annotation (Placement(transformation(extent={{20,2},{26,8}})));
      Library.Utilities.VariableToFile KidneyPlasmaFlow(varName="Kidney-Flow.PlasmaFlow") 
      annotation (Placement(transformation(extent={{20,12},{26,18}})));
      Library.Utilities.VariableToFile LegMusclePump_Effect(varName="LegMusclePump.Effect") 
      annotation (Placement(transformation(extent={{20,22},{26,28}})));
      Library.Utilities.VariableToFile LH_Na_FractReab(varName="LH_Na.FractReab") 
      annotation (Placement(transformation(extent={{20,32},{26,38}})));
      Library.Utilities.VariableToFile LT_InterstitialProtein_Mass(varName="LT_InterstitialProtein.Mass") 
      annotation (Placement(transformation(extent={{20,42},{26,48}})));
      Library.Utilities.VariableToFile MedullaNa_conc(varName="MedullaNa.[Na+]") 
      annotation (Placement(transformation(extent={{20,52},{26,58}})));
      Library.Utilities.VariableToFile MT_InterstitialProtein_Mass(varName="MT_InterstitialProtein.Mass") 
      annotation (Placement(transformation(extent={{20,62},{26,68}})));
      Library.Utilities.VariableToFile NephronADH_conc(varName="NephronADH.[ADH]") 
      annotation (Placement(transformation(extent={{20,72},{26,78}})));
      Library.Utilities.VariableToFile Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)") 
      annotation (Placement(transformation(extent={{20,82},{26,88}})));
      Library.Utilities.VariableToFile OsmCell_Electrolytes(varName="OsmCell.Electrolytes") 
      annotation (Placement(transformation(extent={{20,92},{26,98}})));
      Library.Utilities.VariableToFile OsmCell_NonElectrolytes(varName="OsmCell.Non-Electrolytes") 
      annotation (Placement(transformation(extent={{20,102},{26,108}})));
      Library.Utilities.VariableToFile OsmECFV_Electrolytes(varName="OsmECFV.Electrolytes") 
      annotation (Placement(transformation(extent={{20,112},{26,118}})));
      Library.Utilities.VariableToFile OsmECFV_NonElectrolytes(varName="OsmECFV.Non-Electrolytes") 
      annotation (Placement(transformation(extent={{20,122},{26,128}})));
      Library.Utilities.VariableToFile PT_Na_FractReab(varName="PT_Na.FractReab") 
      annotation (Placement(transformation(extent={{20,132},{26,138}})));
      Library.Utilities.VariableToFile PulmCapys_Pressure(varName="PulmCapys.Pressure") 
      annotation (Placement(transformation(extent={{20,142},{26,148}})));
      Library.Utilities.VariableToFile RightAtrium_Pressure(varName="RightAtrium.Pressure") 
      annotation (Placement(transformation(extent={{20,152},{26,158}})));
      Library.Utilities.VariableToFile SplanchnicVeins_Pressure(varName="SplanchnicVeins.Pressure") 
      annotation (Placement(transformation(extent={{20,162},{26,168}})));
      Library.Utilities.VariableToFile Status_Posture(varName="Status.Posture") 
      annotation (Placement(transformation(extent={{20,172},{26,178}})));
      Library.Utilities.VariableToFile SystemicArtys_Pressure(varName="SystemicArtys.Pressure") 
      annotation (Placement(transformation(extent={{20,182},{26,188}})));
      Library.Utilities.VariableToFile Transfusion_PlasmaRate(varName="Transfusion.PlasmaRate") 
      annotation (Placement(transformation(extent={{20,192},{26,198}})));
      Library.Utilities.VariableToFile UT_InterstitialProtein_Mass(varName="UT_InterstitialProtein.Mass") 
      annotation (Placement(transformation(extent={{20,202},{26,208}})));
      Library.Utilities.VariableToFile GlucoseECF_Osmoles(varName="GlucosePool.Osmoles") 
      annotation (Placement(transformation(extent={{20,212},{26,218}})));
      Library.Utilities.VariableToFile UreaICF_Osmoles(varName="UreaCell.Osmoles") 
      annotation (Placement(transformation(extent={{20,222},{26,228}})));
      Library.Utilities.VariableToFile UreaECF_Osmoles(varName="UreaPool.Osmoles") 
      annotation (Placement(transformation(extent={{20,232},{26,238}})));
      Library.Utilities.VariableToFile RBCH2O_Vol(varName="RBCH2O.Vol") 
      annotation (Placement(transformation(extent={{20,242},{26,248}})));

      equation
      connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
       points={{19.7,-85},{-3,-85},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_Glucose_Outflow.y, busConnector.CD_Glucose_Outflow) annotation (Line(
       points={{19.7,-75},{-3,-75},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_K_Outflow.y, busConnector.CD_K_Outflow) annotation (Line(
       points={{19.7,-65},{-3,-65},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_NH4_Outflow.y, busConnector.CD_NH4_Outflow) annotation (Line(
       points={{19.7,-45},{-3,-45},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_Na_Outflow.y, busConnector.CD_Na_Outflow) annotation (Line(
       points={{19.7,-55},{-3,-55},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_Na_Outflow.y, busConnector.DT_Na_Outflow) annotation (Line(
       points={{19.7,-35},{-3,-35},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeH2O_Rate.y, busConnector.DietIntakeH2O_Rate) annotation (Line(
       points={{19.7,-155},{-3,-155},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenPotassium_Mass.y, busConnector.GILumenPotassium_Mass) annotation (Line(
       points={{19.7,-25},{-3,-25},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenSodium_Mass.y, busConnector.GILumenSodium_Mass) annotation (Line(
       points={{19.7,-15},{-3,-15},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GlomerulusBloodPressure.y, busConnector.GlomerulusBloodPressure) annotation (Line(
       points={{19.7,-5},{-3,-5},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatInsensibleLung_H2O.y, busConnector.HeatInsensibleLung_H2O) annotation (Line(
       points={{19.7,-145},{-3,-145},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatInsensibleSkin_H2O.y, busConnector.HeatInsensibleSkin_H2O) annotation (Line(
       points={{19.7,-135},{-3,-135},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate.y, busConnector.Hemorrhage_PlasmaRate) annotation (Line(
       points={{19.7,5},{-3,5},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(IVDrip_H2ORate.y, busConnector.IVDrip_H2ORate) annotation (Line(
       points={{19.7,-115},{-3,-115},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyPlasmaFlow.y, busConnector.KidneyPlasmaFlow) annotation (Line(
       points={{19.7,15},{-3,15},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
       points={{19.7,85},{-3,85},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LH_Na_FractReab.y, busConnector.LH_Na_FractReab) annotation (Line(
       points={{19.7,35},{-3,35},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LT_InterstitialProtein_Mass.y, busConnector.LT_InterstitialProtein_Mass) annotation (Line(
       points={{19.7,45},{-3,45},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LegMusclePump_Effect.y, busConnector.LegMusclePump_Effect) annotation (Line(
       points={{19.7,25},{-3,25},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MT_InterstitialProtein_Mass.y, busConnector.MT_InterstitialProtein_Mass) annotation (Line(
       points={{19.7,65},{-3,65},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaNa_conc.y, busConnector.MedullaNa_conc) annotation (Line(
       points={{19.7,55},{-3,55},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolicH2O_Rate.y, busConnector.MetabolicH2O_Rate) annotation (Line(
       points={{19.7,-105},{-3,-105},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmCell_Electrolytes.y, busConnector.OsmCell_Electrolytes) annotation (Line(
       points={{19.7,95},{-3,95},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmCell_NonElectrolytes.y, busConnector.OsmCell_NonElectrolytes) annotation (Line(
       points={{19.7,105},{-3,105},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmECFV_Electrolytes.y, busConnector.OsmECFV_Electrolytes) annotation (Line(
       points={{19.7,115},{-3,115},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmECFV_NonElectrolytes.y, busConnector.OsmECFV_NonElectrolytes) annotation (Line(
       points={{19.7,125},{-3,125},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PT_Na_FractReab.y, busConnector.PT_Na_FractReab) annotation (Line(
       points={{19.7,135},{-3,135},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PlasmaProtein_Mass.y, busConnector.PlasmaProtein_Mass) annotation (Line(
       points={{19.7,-95},{-3,-95},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PulmCapys_Pressure.y, busConnector.PulmCapys_Pressure) annotation (Line(
       points={{19.7,145},{-3,145},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightAtrium_Pressure.y, busConnector.RightAtrium_Pressure) annotation (Line(
       points={{19.7,155},{-3,155},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SplanchnicVeins_Pressure.y, busConnector.SplanchnicVeins_Pressure) annotation (Line(
       points={{19.7,165},{-3,165},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Status_Posture.y, busConnector.Status_Posture) annotation (Line(
       points={{19.7,175},{-3,175},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SystemicArtys_Pressure.y, busConnector.SystemicArtys_Pressure) annotation (Line(
       points={{19.7,185},{-3,185},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate.y, busConnector.Transfusion_PlasmaRate) annotation (Line(
       points={{19.7,195},{-3,195},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(UT_InterstitialProtein_Mass.y, busConnector.UT_InterstitialProtein_Mass) 
          annotation (Line(
            points={{19.7,205},{-2,206},{-4,204},{-4,-1},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(GlucoseECF_Osmoles.y, busConnector.GlucoseECF_Osmoles) 
          annotation (Line(
            points={{19.7,215},{-3,215},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(UreaICF_Osmoles.y, busConnector.UreaICF_Osmoles) annotation (
            Line(
            points={{19.7,225},{-3,225},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(UreaECF_Osmoles.y, busConnector.UreaECF_Osmoles) annotation (
            Line(
            points={{19.7,235},{-3,235},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.NephronADH, NephronADH_conc.y) annotation (Line(
            points={{-3,-1},{-3,75},{19.7,75}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.RBCH2O_Vol, RBCH2O_Vol.y) annotation (Line(
            points={{-3,-1},{-3,245},{19.7,245}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(SweatDuct_H2OOutflow.y, busConnector.SweatDuct_H2OOutflow) 
          annotation (Line(
            points={{19.7,-125},{-3,-125},{-3,-1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end SaveWaterConstInputs;
    end setup;

    package test
      model T
        HumMod.Water.setup.WaterConstInputsFromFile waterConstInputs 
          annotation (Placement(transformation(extent={{-56,-6},{-36,14}})));
        Water water 
          annotation (Placement(transformation(extent={{-4,4},{16,24}})));
      equation
        connect(waterConstInputs.busConnector, water.busConnector) annotation (
            Line(
            points={{-48,4},{-16,4},{-16,21},{13,21}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end T;

      model TT
        setup.WaterConstInputs waterConstInputs 
          annotation (Placement(transformation(extent={{-20,-8},{0,12}})));
        setup.SaveWaterConstInputs saveWaterConstInputs 
          annotation (Placement(transformation(extent={{28,-6},{48,14}})));
        HumMod.Water.setup.WaterConstInputsFromFile waterConstInputs2_1 
          annotation (Placement(transformation(extent={{-18,40},{2,60}})));
      equation
        connect(waterConstInputs2_1.busConnector, saveWaterConstInputs.busConnector) 
          annotation (Line(
            points={{-10,50},{14,50},{14,4},{36,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end TT;

      model T_to_calc_inverse_OsmBody
        HumMod.Water.setup.WaterConstInputsFromFile waterConstInputs 
          annotation (Placement(transformation(extent={{-56,-6},{-36,14}})));
        Water water 
          annotation (Placement(transformation(extent={{-4,4},{16,24}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{20,-14},{40,6}}),
              iconTransformation(extent={{-106,-10},{-86,10}})));
        Library.Utilities.VariableToFile variableToFile(varName="BodyH2O.Vol") 
          annotation (Placement(transformation(extent={{70,-24},{92,-2}})));
        Library.Utilities.VariableToFile variableToFile1(varName="OsmBody.ICFV") 
          annotation (Placement(transformation(extent={{70,-34},{92,-12}})));
        Library.Utilities.VariableToFile variableToFile2(varName="OsmBody.ECFV") 
          annotation (Placement(transformation(extent={{70,-44},{92,-22}})));
        Library.Factors.SplineValue DietThirst(    data={{233,0.0,0},{253,2.0,
              0.2},{313,30.0,0}}) 
          annotation (Placement(transformation(extent={{-22,-62},{-2,-42}})));
        Library.Blocks.Constant Constant(    k=1/1.440) 
          annotation (Placement(transformation(extent={{-24,-46},{-16,-38}})));
        Modelica.Blocks.Math.Gain ML_TO_L(k=1000) 
          annotation (Placement(transformation(extent={{-34,-56},{-28,-50}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{18,-70},{-48,-34}})));
        Library.Utilities.VariableToFile variableToFile3(varName=
              "OsmBody.[Osm(mOsm/L)]-Osmoreceptors") 
          annotation (Placement(transformation(extent={{-52,-94},{-30,-72}})));
      equation
        connect(waterConstInputs.busConnector, water.busConnector) annotation (
            Line(
            points={{-48,4},{-16,4},{-16,21},{13,21}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(water.busConnector, busConnector) annotation (Line(
            points={{13,21},{30,21},{30,-4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BodyH2O_Vol, variableToFile.y) annotation (Line(
            points={{30,-4},{44,-4},{44,-13},{68.9,-13}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ICFV_Vol, variableToFile1.y) annotation (Line(
            points={{30,-4},{44,-4},{44,-23},{68.9,-23}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ECFV_Vol, variableToFile2.y) annotation (Line(
            points={{30,-4},{44,-4},{44,-33},{68.9,-33}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant.y,DietThirst. yBase) annotation (Line(
            points={{-15.6,-42},{-12,-42},{-12,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ML_TO_L.y,DietThirst. u) annotation (Line(
            points={{-27.7,-53},{-24.85,-53},{-24.85,-52},{-21.8,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DietThirst.y, inverseBlockConstraints.u2) annotation (Line(
            points={{-12,-54},{-12,-60},{4,-60},{4,-52},{11.4,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y2, ML_TO_L.u) annotation (Line(
            points={{-43.05,-52},{-38.825,-52},{-38.825,-53},{-34.6,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.u1, busConnector.GILumenVolume_Absorption) 
          annotation (Line(
            points={{21.3,-52},{30,-52},{30,-4}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(inverseBlockConstraints.y1, variableToFile3.y) annotation (Line(
            points={{-49.65,-52},{-66,-52},{-66,-83},{-53.1,-83}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end T_to_calc_inverse_OsmBody;

      model calc_inverse_OsmBody
      Library.Utilities.ConstantFromFile UreaECF_Osmoles(varName="UreaPool.Osmoles") 
      annotation (Placement(transformation(extent={{-58,-8},{-32,18}})));
      Library.Utilities.ConstantFromFile UreaICF_Osmoles(varName="UreaCell.Osmoles") 
      annotation (Placement(transformation(extent={{-56,-16},{-28,12}})));
      Library.Utilities.ConstantFromFile GlucoseECF_Osmoles(varName="GlucosePool.Osmoles") 
      annotation (Placement(transformation(extent={{-86,-24},{-54,8}})));
        Osmoles.OsmBody osmBody "intra/extracellular water" 
          annotation (Placement(transformation(extent={{-14,-10},{6,10}})));
      Library.Utilities.ConstantFromFile BodyH2O_Vol(varName="BodyH2O.Vol",
            SETUP_FILE="setup/saveInit.txt") 
      annotation (Placement(transformation(extent={{-82,-42},{-46,-6}})));
      Library.Utilities.ConstantFromFile Osmoreceptors(varName=
              "OsmBody.[Osm(mOsm/L)]-Osmoreceptors", SETUP_FILE=
              "setup/saveInit.txt") 
      annotation (Placement(transformation(extent={{-50,-76},{10,-16}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{34,-18},{-58,38}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints1 
          annotation (Placement(transformation(extent={{72,-22},{-86,86}})));
      Library.Utilities.ConstantFromFile ICFV(varName="OsmBody.ICFV",
            SETUP_FILE="setup/saveInit.txt") 
      annotation (Placement(transformation(extent={{58,-12},{80,10}})));
      equation
        connect(UreaECF_Osmoles.y, osmBody.UreaECF) annotation (Line(
            points={{-30.7,5},{-22.85,5},{-22.85,2},{-12.8,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(UreaICF_Osmoles.y, osmBody.UreaICF) annotation (Line(
            points={{-26.6,-2},{-19.7,-2},{-19.7,-2},{-12.8,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GlucoseECF_Osmoles.y, osmBody.GlucoseECF) annotation (Line(
            points={{-52.4,-8},{-22.85,-8},{-22.85,-6},{-12.8,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BodyH2O_Vol.y, osmBody.BodyH2O_Vol) annotation (Line(
            points={{-44.2,-24},{-41.85,-24},{-41.85,-10},{-12.8,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Osmoreceptors.y, inverseBlockConstraints.u1) annotation (Line(
            points={{13,-46},{50,-46},{50,10},{38.6,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.u2, osmBody.Osmoreceptors) annotation (
            Line(
            points={{24.8,10},{18,10},{18,-8},{6.4,-8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(osmBody.ICFV, inverseBlockConstraints1.u2) annotation (Line(
            points={{6.4,8},{12,8},{12,32},{56.2,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(osmBody.OsmCell_Electrolytes, inverseBlockConstraints.y2) 
          annotation (Line(
            points={{-12.8,6},{-28,6},{-28,10},{-51.1,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(osmBody.OsmECFV_Electrolytes, inverseBlockConstraints1.y2) 
          annotation (Line(
            points={{-12.8,10},{-26,10},{-26,28},{-74.15,28},{-74.15,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ICFV.y, inverseBlockConstraints1.u1) annotation (Line(
            points={{81.1,-1},{94,-1},{94,32},{79.9,32}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={
                  {-100,-100},{100,100}}), graphics));
      end calc_inverse_OsmBody;
    end test;

    model WaterProperties
    // extends Library.Interfaces.BaseModel;
      Osmoles.OsmBody osmBody "intra/extracellular water" 
        annotation (Placement(transformation(extent={{-84,-22},{-64,-2}})));
      Hydrostatics.Hydrostatics hydrostatics 
        annotation (Placement(transformation(extent={{-62,62},{-38,86}})));
      Modelica.Blocks.Math.Feedback sub 
        annotation (Placement(transformation(extent={{-4,4},{4,-4}},
            rotation=90,
            origin={-34,4})));
      Library.Blocks.Parts CellH2O(         nout=3, w={.2,.5,.3}) 
        annotation (Placement(transformation(extent={{-28,22},{-16,34}})));
      Modelica.Blocks.Math.Sum BodyH2O(nin=5) 
        annotation (Placement(transformation(extent={{32,-30},{24,-22}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-12,34},{0,46}}),
            iconTransformation(extent={{-118,62},{-80,100}})));
      TissuesVolume.Tissues tissues 
        annotation (Placement(transformation(extent={{38,-92},{58,-72}})));
      Modelica.Blocks.Math.Sum InterstitialWater(nin=3) 
        annotation (Placement(transformation(extent={{42,-48},{34,-40}})));
    equation
      connect(hydrostatics.RegionalPressure_UpperCapy, busConnector.RegionalPressure_UpperCapy) 
        annotation (Line(
          points={{-38,77.6},{-6,77.6},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hydrostatics.RegionalPressure_MiddleCapy, busConnector.RegionalPressure_MiddleCapy) 
        annotation (Line(
          points={{-38,72.8},{-6,72.8},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hydrostatics.RegionalPressure_LowerCapy, busConnector.RegionalPressure_LowerCapy) 
        annotation (Line(
          points={{-38,68},{-6,68},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(osmBody.ICFV, sub.u1)      annotation (Line(
          points={{-63.6,-4},{-34,-4},{-34,0.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sub.y, CellH2O.u)      annotation (Line(
          points={{-34,7.6},{-34,28},{-29.2,28}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellH2O.y[1], busConnector.UT_Cell_H2O)  annotation (Line(
          points={{-15.4,27.6},{-12,24},{-6,24},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellH2O.y[2], busConnector.MT_Cell_H2O)  annotation (Line(
          points={{-15.4,28},{-6,28},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellH2O.y[3], busConnector.LT_Cell_H2O)  annotation (Line(
          points={{-15.4,28.4},{-12,32},{-6,32},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BodyH2O.y,osmBody. BodyH2O_Vol) annotation (Line(
          points={{23.6,-26},{-96,-26},{-96,-22},{-82.8,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(osmBody.OsmBody_Osm_conc_CellWalls, busConnector.OsmBody_Osm_conc_CellWalls) 
        annotation (Line(
          points={{-63.6,-16},{-6,-16},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Status_Posture, hydrostatics.Status_Posture) 
        annotation (Line(
          points={{-6,40},{-86,40},{-86,83.6},{-60.8,83.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.SystemicArtys_Pressure, hydrostatics.SystemicArtys_Pressure) 
        annotation (Line(
          points={{-6,40},{-86,40},{-86,71.6},{-60.8,71.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.RightAtrium_Pressure, hydrostatics.RightAtrium_Pressure) 
        annotation (Line(
          points={{-6,40},{-86,40},{-86,76.4},{-60.8,76.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.LegMusclePump_Effect, hydrostatics.LegMusclePump_Effect) 
        annotation (Line(
          points={{-6,40},{-86,40},{-86,64.4},{-60.8,64.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.OsmECFV_Electrolytes, osmBody.OsmECFV_Electrolytes) 
        annotation (Line(
          points={{-6,40},{-86,40},{-86,-2},{-82.8,-2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.OsmCell_Electrolytes, osmBody.OsmCell_Electrolytes) 
        annotation (Line(
          points={{-6,40},{-86,40},{-86,-6},{-82.8,-6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.RBCH2O_Vol, sub.u2)              annotation (Line(
          points={{-6,40},{-86,40},{-86,4},{-37.2,4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector, tissues.busConnector)         annotation (Line(
          points={{-6,40},{-6,-74},{39.2,-74},{39.2,-72.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(sub.y, busConnector.CellH2O_Vol)              annotation (Line(
          points={{-34,7.6},{-34,40},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(InterstitialWater.y, busConnector.InterstitialWater_Vol) 
        annotation (Line(
          points={{33.6,-44},{-6,-44},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(osmBody.ECFV, busConnector.ECFV_Vol)         annotation (Line(
          points={{-63.6,-10},{-6,-10},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(BodyH2O.y, busConnector.BodyH2O_Vol) annotation (Line(
          points={{23.6,-26},{-6,-26},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(osmBody.ICFV, busConnector.ICFV_Vol) annotation (Line(
          points={{-63.6,-4},{-6,-4},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(osmBody.Osmoreceptors, busConnector.Osmreceptors) annotation (
          Line(
          points={{-63.6,-20},{-6,-20},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.UreaECF_Osmoles, osmBody.UreaECF) annotation (Line(
          points={{-6,40},{-86,40},{-86,-10},{-82.8,-10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.UreaICF_Osmoles, osmBody.UreaICF) annotation (Line(
          points={{-6,40},{-86,40},{-86,-14},{-82.8,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GlucoseECF_Osmoles, osmBody.GlucoseECF) annotation (Line(
          points={{-6,40},{-86,40},{-86,-18},{-82.8,-18}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector.PlasmaVol,BodyH2O. u[1])   annotation (Line(
          points={{-6,40},{100,40},{100,-26},{32.8,-26},{32.8,-26.64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.LT_H2O_Vol,BodyH2O. u[2])  annotation (Line(
          points={{-6,40},{100,40},{100,-26.32},{32.8,-26.32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.MT_H2O_Vol,BodyH2O. u[3])  annotation (Line(
          points={{-6,40},{100,40},{100,-26},{32.8,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.UT_H2O_Vol,BodyH2O. u[4])  annotation (Line(
          points={{-6,40},{100,40},{100,-25.68},{32.8,-25.68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.RBCH2O_Vol, BodyH2O.u[5]) annotation (Line(
          points={{-6,40},{88,40},{88,-25.36},{32.8,-25.36}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    /*  connect(busConnector.ExcessLungWater_Volume, BodyH2O.u[6]) annotation (Line(
      points={{-6,40},{88,40},{88,-25.5429},{32.8,-25.5429}},
      color={0,0,255},
      thickness=0.5,
      smooth=Smooth.None));
  connect(busConnector.PeritoneumSpace_Vol, BodyH2O.u[7]) annotation (Line(
      points={{-6,40},{88,40},{88,-25.3143},{32.8,-25.3143}},
      color={0,0,255},
      thickness=0.5,
      smooth=Smooth.None));
*/
      connect(busConnector.UT_InterstitialWater_Vol, InterstitialWater.u[1]) 
        annotation (Line(
          points={{-6,40},{88,40},{88,-44.5333},{42.8,-44.5333}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.MT_InterstitialWater_Vol, InterstitialWater.u[2]) 
        annotation (Line(
          points={{-6,40},{88,40},{88,-44},{42.8,-44}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.LT_InterstitialWater_Vol, InterstitialWater.u[3]) 
        annotation (Line(
          points={{-6,40},{88,40},{88,-43.4667},{42.8,-43.4667}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));

      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                  "icons/water.png"), Text(
              extent={{-112,-82},{130,-116}},
              lineColor={0,0,255},
              textString="%name")}),
        Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Design:</p></td>
<td><p>Zuzana Rubaninska</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>",     info="<html>
<p>Distribution of H2O in whole body:</p>
<p><ul>
<li>blood plasma</li>
<li>erythrocytes</li>
<li>upper torso interstitium</li>
<li>midle torso interstitium</li>
<li>lower torso interstitium</li>
<li>intracellular water (constant fraction coeficient in different tissues(torsos))</li>
</ul></p>
<p><br/>Water redistribution flows:</p>
<p><ul>
<li>semipermeable capilary walls (plasma - GIT/interstitium/glomerulus filtrate)</li>
<li>lymph from upper/lower/midle torso</li>
<li>kidney nephron filtration/reabsorbtion</li>
</ul></p>
<p><br/>driving by hydraulic, hydrostatic and coloid osmotic pressures.</p>
</html>"));
    end WaterProperties;

    model Water
      import QHP = HumMod;
      //extends QHP.Library.Interfaces.BaseModel;

      QHP.Water.WaterCompartments.Plasma2 plasma(initialVolume=3020.4,
          stateName="PlasmaVol.Vol") 
        annotation (Placement(transformation(extent={{-31,31},{-11,51}})));
      QHP.Library.Semipermeable.OutputPump Hemorrhage 
        annotation (Placement(transformation(extent={{32,-82},{47,-67}})));
      QHP.Library.Semipermeable.InputPump Transfusion 
        annotation (Placement(transformation(extent={{66,-88},{51,-73}})));
      QHP.Library.Semipermeable.InputPump IVDrip 
        annotation (Placement(transformation(extent={{82,-95},{67,-80}})));
      QHP.Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-106,81},{-86,101}}),
            iconTransformation(extent={{60,60},{80,80}})));
      QHP.Water.WaterCompartments.Lungs Lungs 
        annotation (Placement(transformation(extent={{-10,-43},{-30,-23}})));
      QHP.Water.WaterCompartments.Torso2 UpperTorso(
        CapilaryWallPermeability=1,
        NormalLymphFlowRate=0.4,
        PressureVolume={{600.0,-30.0,0.01},{2000.0,-4.8,0.0004},{5000.0,0.0,
            0.0004},{12000.0,50.0,0.01}},
        InterstitialPressureOnLymphFlow={{-14.0,0.0,0.0},{-4.0,1.0,0.1},{2.0,
            8.0,4.0},{6.0,25.0,0.0}},
        H2O(stateName="UT_H2O.Vol"),
        initialVolume=8473) 
        annotation (Placement(transformation(extent={{33,35},{53,55}})));
      QHP.Water.WaterCompartments.Torso2 MiddleTorso(
        CapilaryWallPermeability=0.44,
        NormalLymphFlowRate=0.8,
        PressureVolume={{1200.0,-30.0,0.01},{4800.0,-4.8,0.0004},{12000.0,0.0,
            0.0004},{24000.0,50.0,0.01}},
        InterstitialPressureOnLymphFlow={{-14.0,0.0,0.0},{-4.0,1.0,0.1},{2.0,
            8.0,4.0},{6.0,25.0,0.0}},
        H2O(stateName="MT_H2O.Vol"),
        initialVolume=18613) 
        annotation (Placement(transformation(extent={{32,-13},{52,7}})));
      QHP.Water.WaterCompartments.Torso2 LowerTorso(
        CapilaryWallPermeability=0.27,
        NormalLymphFlowRate=1.3,
        PressureVolume={{600.0,-30.0,0.02},{3000.0,-4.8,0.0004},{4000.0,-4.0,
            0.0004},{6000.0,50.0,0.03}},
        InterstitialPressureOnLymphFlow={{-14.0,0.0,0.0},{-4.0,1.0,0.1},{2.0,
            8.0,4.0},{6.0,25.0,0.0}},
        initialVolume=10876.6,
        H2O(stateName="LT_H2O.Vol")) 
        annotation (Placement(transformation(extent={{32,-50},{52,-30}})));
      QHP.Water.WaterCompartments.Peritoneum2 Peritoneum 
        annotation (Placement(transformation(extent={{-69,-68},{-49,-48}})));
      QHP.Water.WaterCompartments.GILumen2 GILumen 
        annotation (Placement(transformation(extent={{-67,61},{-47,81}})));
      QHP.Water.WaterCompartments.Kidney2 Kidney 
        annotation (Placement(transformation(extent={{-67,10},{-47,30}})));
      QHP.Water.WaterCompartments.Bladder Bladder(
        stateName="BladderVolume.Mass",
        STEADY=false,
        initialVolume=200) 
        annotation (Placement(transformation(extent={{-47,-14},{-27,6}})));
      QHP.Library.PressureFlow.OutputPump bladderVoidFlow 
        annotation (Placement(transformation(extent={{-66,-17},{-81,-2}})));
      QHP.Library.Blocks.Parts MetabolicH2O(nout=3, w={25,50,25}) 
        annotation (Placement(transformation(extent={{70,80},{79,89}})));
      QHP.Library.Blocks.Parts HeatSweating(nout=3) 
        annotation (Placement(transformation(extent={{56,74},{65,83}})));
      QHP.Library.Blocks.Parts HeatInsensibleSkin(nout=3) 
        annotation (Placement(transformation(extent={{42,67},{51,76}})));
      Modelica.Blocks.Math.Add insensible 
        annotation (Placement(transformation(extent={{64,13},{57,20}})));
      QHP.Water.WaterProperties waterProperties 
        annotation (Placement(transformation(extent={{-83,-94},{-63,-74}})));
    equation

      connect(IVDrip.desiredFlow, busConnector.IVDrip_H2ORate)         annotation (
          Line(
          points={{74.5,-84.5},{97,-84.5},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion.desiredFlow, busConnector.Transfusion_PlasmaRate) 
        annotation (Line(
          points={{58.5,-77.5},{97,-77.5},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage.desiredFlow, busConnector.Hemorrhage_PlasmaRate) 
        annotation (Line(
          points={{39.5,-71.5},{97,-71.5},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(plasma.Volume, busConnector.PlasmaVol_Vol)         annotation (
          Line(
          points={{-11,49.8},{-11,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.PlasmaProtein_Mass, plasma.PlasmaProtein_Mass) 
        annotation (Line(
          points={{-96,91},{-96,50},{-30,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(plasma.q_in, Lungs.q_in) annotation (Line(
          points={{-25,43},{1,43},{1,-29},{-20,-29}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_in, UpperTorso.q_in) annotation (Line(
          points={{-25,43},{1,43},{1,49},{33,49}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_in, MiddleTorso.q_in) annotation (Line(
          points={{-25,43},{1,43},{1,1},{32,1}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_in, LowerTorso.q_in) annotation (Line(
          points={{-25,43},{1,43},{1,-36},{32,-36}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Peritoneum.flux, plasma.q_in) annotation (Line(
          points={{-59,-54},{-45,-54},{-45,-59},{1,-59},{1,43},{-25,43}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.SplanchnicVeins_Pressure, Peritoneum.SplanchnicVeins_Pressure) 
        annotation (Line(
          points={{-96,91},{-96,-52},{-68,-52}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(GILumen.toPlasma, plasma.q_in) annotation (Line(
          points={{-47,71},{-25,71},{-25,43}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.GILumenSodium_Mass, GILumen.GILumenSodium_Mass) 
        annotation (Line(
          points={{-96,91},{-96,81},{-66,81}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GILumenPotassium_Mass, GILumen.GILumenPotassium_Mass) 
        annotation (Line(
          points={{-96,91},{-96,75},{-66,75}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.PulmCapys_Pressure, Lungs.capilaryPressure) 
        annotation (Line(
          points={{-96,91},{-96,-28},{-29.8,-28}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.OsmBody_Osm_conc_CellWalls, GILumen.OsmBody_Osm_conc_CellWalls) 
        annotation (Line(
          points={{-96,91},{-96,69},{-66,69}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(plasma.q_in, Hemorrhage.q_in) annotation (Line(
          points={{-25,43},{1,43},{1,-74.5},{35,-74.5}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_in, Transfusion.q_out) annotation (Line(
          points={{-25,43},{1,43},{1,-79},{54,-79},{54,-80.5}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(IVDrip.q_out, plasma.q_in) annotation (Line(
          points={{70,-87.5},{1,-87.5},{1,43},{-25,43}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Kidney.q_in, plasma.q_in) annotation (Line(
          points={{-55.8,24.4},{-25,43}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(bladderVoidFlow.q_in,Bladder. con) annotation (Line(
          points={{-66,-9.5},{-47,-9.5},{-47,-4}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.BladderVoidFlow, bladderVoidFlow.desiredFlow) 
        annotation (Line(
          points={{-96,91},{-96,-4},{-73.5,-4},{-73.5,-5}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Bladder.Volume, busConnector.BladderVolume_Mass) 
        annotation (Line(
          points={{-35.8,-14},{-35.8,-17},{-96,-17},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney.urine, Bladder.con) annotation (Line(
          points={{-56.8,10},{-56.8,-4},{-47,-4}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.MetabolicH2O_Rate, MetabolicH2O.u)             annotation (Line(
          points={{-96,91},{24,91},{24,84.5},{69.1,84.5}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.HeatInsensibleSkin_H2O, HeatInsensibleSkin.u)       annotation (
          Line(
          points={{-96,91},{24,91},{24,71.5},{41.1,71.5}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(HeatInsensibleSkin.y[1], UpperTorso.HeatInsensible_H2O) annotation (
          Line(
          points={{51.45,71.2},{92,71.2},{92,47},{53,47}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="UT_%second",
          index=-1,
          extent={{30,2},{30,2}}));
      connect(HeatInsensibleSkin.y[2], insensible.u2) annotation (
          Line(
          points={{51.45,71.5},{92,71.5},{92,14.4},{64.7,14.4}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="MT_HeatInsensible_H2O",
          index=-1,
          extent={{28,2},{28,2}}));
      connect(HeatInsensibleSkin.y[3], LowerTorso.HeatInsensible_H2O) annotation (
          Line(
          points={{51.45,71.8},{92,71.8},{92,-38},{52,-38}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="LT_%second",
          index=-1,
          extent={{30,2},{30,2}}));
      connect(MetabolicH2O.y[1], UpperTorso.MetabolicH2O_Rate) annotation (Line(
          points={{79.45,84.2},{94,84.2},{94,55},{53,55}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="UT_%second",
          index=-1,
          extent={{30,2},{30,2}}));
      connect(MetabolicH2O.y[2], MiddleTorso.MetabolicH2O_Rate) annotation (Line(
          points={{79.45,84.5},{94,84.5},{94,7},{52,7}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="MT_%second",
          index=-1,
          extent={{30,2},{30,2}}));
      connect(MetabolicH2O.y[3], LowerTorso.MetabolicH2O_Rate) annotation (Line(
          points={{79.45,84.8},{94,84.8},{94,-30},{52,-30}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="LT_%second",
          index=-1,
          extent={{30,2},{30,2}}));
      connect(HeatSweating.y[1], UpperTorso.HeatSweating_H2O) annotation (Line(
          points={{65.45,78.2},{93,78.2},{93,51},{53,51}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="UT_%second",
          index=-1,
          extent={{30,2},{30,2}}));
      connect(HeatSweating.y[2], MiddleTorso.HeatSweating_H2O) annotation (Line(
          points={{65.45,78.5},{93,78.5},{93,3},{52,3}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="MT_%second",
          index=-1,
          extent={{30,2},{30,2}}));
      connect(HeatSweating.y[3], LowerTorso.HeatSweating_H2O) annotation (Line(
          points={{65.45,78.8},{93,78.8},{93,-34},{52,-34}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="LT_%second",
          index=-1,
          extent={{30,2},{30,2}}));

      connect(insensible.u1, busConnector.HeatInsensibleLung_H2O) 
        annotation (Line(
          points={{64.7,18.6},{97,18.6},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(insensible.y, MiddleTorso.HeatInsensible_H2O) annotation (Line(
          points={{56.65,16.5},{55,16.5},{55,-1},{52,-1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(UpperTorso.CellH2O_Vol_part, busConnector.UT_Cell_H2O) 
        annotation (Line(
          points={{53,39},{97,39},{97,91},{-96,91}},
          color={0,0,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,2},{6,2}}));
      connect(UpperTorso.capilaryPressure, busConnector.RegionalPressure_UpperCapy) 
        annotation (Line(
          points={{53,43},{97,43},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,2},{6,2}}));
      connect(UpperTorso.InterstitialProtein_Mass, busConnector.UT_InterstitialProtein_Mass) 
        annotation (Line(
          points={{53,35},{97,35},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,2},{6,2}}));
      connect(MiddleTorso.CellH2O_Vol_part, busConnector.MT_Cell_H2O) 
        annotation (Line(
          points={{52,-9},{97,-9},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,2},{6,2}}));
      connect(MiddleTorso.capilaryPressure, busConnector.RegionalPressure_MiddleCapy) 
        annotation (Line(
          points={{52,-5},{97,-5},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,2},{6,2}}));
      connect(MiddleTorso.InterstitialProtein_Mass, busConnector.MT_InterstitialProtein_Mass) 
        annotation (Line(
          points={{52,-13},{97,-13},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,2},{6,2}}));
      connect(LowerTorso.CellH2O_Vol_part, busConnector.LT_Cell_H2O) 
        annotation (Line(
          points={{52,-46},{97,-46},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,2},{6,2}}));
      connect(LowerTorso.InterstitialProtein_Mass, busConnector.LT_InterstitialProtein_Mass) 
        annotation (Line(
          points={{52,-50},{97,-50},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,2},{6,2}}));

      connect(busConnector, Kidney.busConnector) annotation (Line(
          points={{-96,91},{-96,20},{-66.6,20}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(plasma.Volume, busConnector.PlasmaVol) annotation (Line(
          points={{-11,49.8},{-11,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GILumen.Vol, busConnector.GILumenVolume_Mass) annotation (Line(
          points={{-46.8,79},{-25,79},{-25,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(plasma.Volume, busConnector.PlasmaVol)  annotation (Line(
          points={{-11,49.8},{-11,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,1},{3,1}}));
      connect(UpperTorso.InterstitialVol, busConnector.UT_InterstitialWater_Vol)  annotation (
          Line(
          points={{43,35},{43,28},{97,28},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,-6},{3,-6}}));
      connect(UpperTorso.Vol, busConnector.UT_H2O_Vol)  annotation (Line(
          points={{37,35},{37,24},{97,24},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,-9},{3,-9}}));
      connect(UpperTorso.LymphFlow, busConnector. UT_LymphFlow) annotation (Line(
          points={{49,35},{49,31},{97,31},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,-3},{3,-3}}));
      connect(MiddleTorso.InterstitialVol, busConnector.MT_InterstitialWater_Vol)  annotation (
          Line(
          points={{42,-13},{42,-20},{97,-20},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,-6},{3,-6}}));
      connect(MiddleTorso.Vol, busConnector.MT_H2O_Vol)  annotation (Line(
          points={{36,-13},{36,-24},{97,-24},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,-9},{3,-9}}));
      connect(MiddleTorso.LymphFlow, busConnector. MT_LymphFlow) annotation (Line(
          points={{48,-13},{48,-17},{97,-17},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,-3},{3,-3}}));
      connect(LowerTorso.InterstitialVol, busConnector.LT_InterstitialWater_Vol)  annotation (
          Line(
          points={{42,-50},{42,-57},{97,-57},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,-6},{3,-6}}));
      connect(LowerTorso.Vol, busConnector.LT_H2O_Vol)  annotation (Line(
          points={{36,-50},{36,-61},{97,-61},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,-9},{3,-9}}));
      connect(LowerTorso.LymphFlow, busConnector. LT_LymphFlow) annotation (Line(
          points={{48,-50},{48,-54},{97,-54},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,-3},{3,-3}}));
      connect(busConnector.PeritoneumSpace_Vol, Peritoneum.Volume) annotation (Line(
          points={{-96,91},{-96,-68},{-59,-68}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(Peritoneum.PeritoneumSpace_Loss, busConnector.PeritoneumSpace_Loss) 
        annotation (Line(
          points={{-48.8,-67},{11,-67},{11,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,1},{3,1}}));
      connect(Peritoneum.PeritoneumSpace_Gain, busConnector.PeritoneumSpace_Gain) 
        annotation (Line(
          points={{-48.8,-65},{11,-65},{11,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{3,1},{3,1}}));

      connect(busConnector, waterProperties.busConnector) annotation (Line(
          points={{-96,91},{-96,-75},{-82.9,-75},{-82.9,-75.9}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(LowerTorso.capilaryPressure, busConnector.RegionalPressure_UpperCapy) 
        annotation (Line(
          points={{52,-42},{97,-42},{97,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Osmreceptors, GILumen.OsmBody_Osmoreceptors) 
        annotation (Line(
          points={{-96,91},{-96,63},{-66,63}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(GILumen.Intake, busConnector.GILumenVolume_Intake) annotation (
          Line(
          points={{-47,63},{-25,63},{-25,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumen.Absorbtion, busConnector.GILumenVolume_Absorption) 
        annotation (Line(
          points={{-46.8,75},{-25,75},{-25,91},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.SweatDuct_H2OOutflow, HeatSweating.u) annotation (
          Line(
          points={{-96,91},{24,91},{24,78.5},{55.1,78.5}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Lungs.Vol, busConnector.ExcessLungWater_Volume) annotation (Line(
          points={{-20,-43},{-21,-43},{-21,-44},{-96,-44},{-96,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (
    Documentation(info="<HTML>
<PRE>
QHP 2008 / H2O Reference
 
Created : 26-Jun-06
Last Modified : 24-Mar-08
Author : Tom Coleman
Copyright : 2008-2008
By : University of Mississippi Medical Center
Solver : DES 2005
Schema : 2005.0
 
There are several different ways to describe the body's
water compartments while implementing mass balance.
 
Water compartments can initially be divided into two
basic types: intracellular (ICFV) and extracellular (ECFV).
 
Intracellular compartments are red blood cells and
(all other) cells.
 
Extracellular compartments are plasma and interstitium.
 
Red Cells     =  1.6
Cells         = 26.4
                -----
ICFV          = 28.0
 
Interstitium  = 12.0
Plasma        =  3.0
                -----
ECFV          = 15.0
 
Total         = 43.0
 
The problem with this scheme is that water cannot move
freely between plasma and interstitium but it can move
freely between interstitium and cell H2O.
 
So, we'll divide the body's water compartments into
vascular and extravascular. The vascular compartment
is futher subdivided into RBC water and plasma.
 
Red Cells     =  1.6
Plasma        =  3.0
                 ---
Vascular      =  4.6
 
Cells         = 26.4 (ICFV less RBC's H2O)
Interstitium  = 12.0
                ----
Extravascular = 38.4
 
Total         = 43.0
 
To relax the nomenclature a bit, extravascular water
is referred to as tissue H2O.
 
This scheme is implemented using three integrals: plasma,
RBC and extravascular.
 
Exchanges are internal and external.
 
Internal exchanges are capillary
filtration and lymph flow.
 
External exchanges are many: absorption
from gut, urine, IV drip, transfusion,
hemorrhage ...
 
External exchanges influence the derivative
of either plasma or extravasular H2O.
 
Traditional compartments are also
represented here.
 
Red Cell H2O  =  1584
Organ H2O     = 26428
                -----
Cell H2O      = 28012
 
IFV           = 11988
Plasma        =  3000
                -----
Extracellular = 14988
 
Total         = 43000
</PRE>
</HTML>
",   revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),
       Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                100,100}},
            grid={1,1}),                graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={1,1}), graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/indexVoda.png"), Text(
              extent={{-139,-99},{142,-124}},
              lineColor={0,0,255},
              textString="%name")}));
    end Water;
    annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
              -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}},
              fileName="icons/golem.png")}), Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
  end Water;

  package Proteins "Body Proteins"

    model Proteins

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{82,4},{102,24}}),
            iconTransformation(extent={{46,66},{80,100}})));
      Library.ConcentrationFlow.ResistorWithCondParam UT_Capillary(cond=.22) 
        annotation (Placement(transformation(extent={{-2,78},{10,90}})));
      Library.ConcentrationFlow.ResistorWithCondParam MT_Capillary(cond=0.44) 
        annotation (Placement(transformation(extent={{-2,32},{10,44}})));
      Library.ConcentrationFlow.ResistorWithCondParam LT_Capillary(cond=0.71) 
        annotation (Placement(transformation(extent={{0,-8},{12,4}})));
      Library.ConcentrationFlow.OutputPump Hemorrhage 
        annotation (Placement(transformation(extent={{-14,-102},{6,-82}})));
      Library.ConcentrationFlow.InputPump Transfusion 
        annotation (Placement(transformation(extent={{-36,-94},{-16,-74}})));
      Library.ConcentrationFlow.InputPump IVDrip 
        annotation (Placement(transformation(extent={{-44,-76},{-24,-56}})));
      Library.ConcentrationFlow.SolventFlowPump UT_Lymph 
        annotation (Placement(transformation(extent={{10,74},{0,64}})));
      Library.ConcentrationFlow.SolventFlowPump MT_Lymph 
        annotation (Placement(transformation(extent={{10,28},{0,18}})));
      Library.ConcentrationFlow.SolventFlowPump LT_Lymph 
        annotation (Placement(transformation(extent={{10,-12},{0,-22}})));
      Library.ConcentrationFlow.SolventFlowPump Change 
        annotation (Placement(transformation(extent={{-44,-36},{-56,-24}})));
      Library.ConcentrationFlow.ConcentrationCompartment plasma(
          initialSoluteMass=211.361, stateName="PlasmaProtein.Mass") 
        annotation (Placement(transformation(extent={{-76,32},{-56,52}})));
      Library.ConcentrationFlow.ConcentrationCompartment UpperTorso(
          initialSoluteMass=74.3639, stateName="UT_InterstitialProtein.Mass") 
        annotation (Placement(transformation(extent={{42,64},{22,84}})));
      Library.ConcentrationFlow.ConcentrationCompartment MiddleTorso(
          initialSoluteMass=148.686, stateName="MT_InterstitialProtein.Mass") 
        annotation (Placement(transformation(extent={{42,18},{22,38}})));
      Library.ConcentrationFlow.ConcentrationCompartment LowerTorso(
          initialSoluteMass=76.115, stateName="LT_InterstitialProtein.Mass") 
        annotation (Placement(transformation(extent={{42,-22},{22,-2}})));
      Library.ConcentrationFlow.ConcentrationCompartment peritoneum(
          initialSoluteMass=0,
        stateName="PeritoneumProtein.Mass",
        STEADY=false) 
        annotation (Placement(transformation(extent={{-80,-40},{-60,-20}})));
      Library.ConcentrationFlow.Synthesis synthesis(SynthesisBasic=0.01) 
        annotation (Placement(transformation(extent={{-68,80},{-48,100}})));
      Library.ConcentrationFlow.Degradation degradation(DegradationBasic=0.01) 
        annotation (Placement(transformation(extent={{28,-56},{48,-36}})));
      Library.ConcentrationFlow.ResistorWithCondParam GlomerulusProtein_Perm(cond=0) 
        annotation (Placement(transformation(extent={{8,-78},{28,-58}})));
      Library.ConcentrationFlow.ConcentrationCompartment Bladder(
        stateName="BladderProtein.Mass",
        STEADY=false,
        initialSoluteMass=0) 
        annotation (Placement(transformation(extent={{74,-78},{54,-58}})));
      Library.Blocks.Parts alb_glb(nout=2, w={60,40})
        "distribution to albumins(60%) and globulins(40%) " 
        annotation (Placement(transformation(extent={{-62,20},{-56,26}})));
      Modelica.Blocks.Math.Gain alb_molar_mass(
        y(unit="mmol/l"),
        k(unit="mmol/g") = 1/66.438,
        u(unit="g/l")) 
        annotation (Placement(transformation(extent={{-48,26},{-44,30}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="g/l", toAnotherUnitCoef=1000) 
        annotation (Placement(transformation(extent={{-80,14},{-60,34}})));
      Modelica.Blocks.Math.Feedback PeritoneumChange annotation (Placement(
            transformation(
            extent={{-6,-6},{6,6}},
            rotation=270,
            origin={-50,-14})));
    equation
     connect(Transfusion.desiredFlow, busConnector.Transfusion_ProteinRate) annotation (Line(
          points={{-26,-80},{-26,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(IVDrip.desiredFlow, busConnector.IVDripProteinRate) 
                                                  annotation (Line(
          points={{-34,-62},{-34,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(busConnector.Hemorrhage_ProteinRate,Hemorrhage. desiredFlow) 
                                                             annotation (Line(
          points={{92,14},{-4,14},{-4,-88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.PlasmaVol_Vol,plasma. SolventVolume) annotation (Line(
          points={{92,14},{-84,14},{-84,48},{-74,48}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(UpperTorso.SolventVolume, busConnector.UT_InterstitialWater_Vol) 
                                                    annotation (Line(
          points={{40,80},{50,80},{50,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(MiddleTorso.SolventVolume, busConnector.MT_InterstitialWater_Vol) 
                                                     annotation (Line(
          points={{40,34},{50,34},{50,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(LowerTorso.SolventVolume, busConnector.LT_InterstitialWater_Vol) 
                                                    annotation (Line(
          points={{40,-6},{50,-6},{50,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(busConnector.PeritoneumSpace_Vol,peritoneum. SolventVolume) annotation (Line(
          points={{92,14},{-84,14},{-84,-24},{-78,-24}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.LT_LymphFlow,LT_Lymph. solventFlow) annotation (Line(
          points={{92,14},{50,14},{50,-26},{6,-26},{6,-24},{5,-20}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.MT_LymphFlow,MT_Lymph. solventFlow) annotation (Line(
          points={{92,14},{6,14},{6,20},{5,20}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.UT_LymphFlow,UT_Lymph. solventFlow) annotation (Line(
          points={{92,14},{50,14},{50,60},{6,60},{6,64},{5,66}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.LT_InterstitialProtein_Mass,LowerTorso. SoluteMass) annotation (
          Line(
          points={{92,14},{50,14},{50,-26},{32,-26},{32,-19.8}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.MT_InterstitialProtein_Mass,MiddleTorso. SoluteMass) annotation (
          Line(
          points={{92,14},{32,14},{32,20.2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.UT_InterstitialProtein_Mass,UpperTorso. SoluteMass) annotation (
          Line(
          points={{92,14},{50,14},{50,60},{32,60},{32,66.2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(plasma.SoluteMass, busConnector.PlasmaProtein_Mass)  annotation (Line(
          points={{-66,34.2},{-66,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));

      connect(synthesis.q_out, plasma.q_out) annotation (Line(
          points={{-48,90},{-14,90},{-14,42},{-66,42}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(UT_Capillary.q_out, UpperTorso.q_out) annotation (Line(
          points={{9.16,84},{16,84},{16,74},{32,74}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(UT_Lymph.q_in, UpperTorso.q_out) annotation (Line(
          points={{10,69},{16,69},{16,74},{32,74}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, UT_Capillary.q_in) annotation (Line(
          points={{-66,42},{-14,42},{-14,84},{-1.16,84}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, UT_Lymph.q_out) annotation (Line(
          points={{-66,42},{-14,42},{-14,69},{0,69}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, MT_Capillary.q_in) annotation (Line(
          points={{-66,42},{-14,42},{-14,38},{-1.16,38}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(MT_Capillary.q_out, MiddleTorso.q_out) annotation (Line(
          points={{9.16,38},{20,38},{20,28},{32,28}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(MT_Lymph.q_in, MiddleTorso.q_out) annotation (Line(
          points={{10,23},{20,23},{20,28},{32,28}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, MT_Lymph.q_out) annotation (Line(
          points={{-66,42},{-14,42},{-14,23},{0,23}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, LT_Capillary.q_in) annotation (Line(
          points={{-66,42},{-14,42},{-14,-2},{0.84,-2}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, LT_Lymph.q_out) annotation (Line(
          points={{-66,42},{-14,42},{-14,-16},{0,-16},{0,-17}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, GlomerulusProtein_Perm.q_in) annotation (Line(
          points={{-66,42},{-14,42},{-14,-68},{9.4,-68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, Hemorrhage.q_in) annotation (Line(
          points={{-66,42},{-14,42},{-14,-92},{-10,-92}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, Transfusion.q_out) annotation (Line(
          points={{-66,42},{-14,42},{-14,-84},{-20,-84}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, IVDrip.q_out) annotation (Line(
          points={{-66,42},{-14,42},{-14,-66},{-28,-66}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, degradation.q_in) annotation (Line(
          points={{-66,42},{-14,42},{-14,-46},{28,-46}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, Change.q_in) 
                                       annotation (Line(
          points={{-66,42},{-14,42},{-14,-30},{-44,-30}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LT_Capillary.q_out, LowerTorso.q_out) annotation (Line(
          points={{11.16,-2},{20,-2},{20,-12},{32,-12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LT_Lymph.q_in, LowerTorso.q_out) annotation (Line(
          points={{10,-17},{20,-17},{20,-12},{32,-12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Change.q_out, peritoneum.q_out) 
                                            annotation (Line(
          points={{-56,-30},{-70,-30}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(GlomerulusProtein_Perm.q_out, Bladder.q_out) annotation (Line(
          points={{26.6,-68},{64,-68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(alb_molar_mass.u, alb_glb.y[1]) annotation (Line(
          points={{-48.4,28},{-54,28},{-54,22.85},{-55.7,22.85}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(alb_molar_mass.y, busConnector.ctAlb) annotation (Line(
          points={{-43.8,28},{-28,28},{-28,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(alb_glb.y[2], busConnector.ctGlb) annotation (Line(
          points={{-55.7,23.15},{-54,23.15},{-54,18},{-30,18},{-30,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,-3},{6,-3}}));
      connect(concentrationMeasure.actualConc, alb_glb.u) annotation (Line(
          points={{-70,28},{-70,23},{-62.6,23}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, plasma.q_out) annotation (Line(
          points={{-70,24},{-74,24},{-74,42},{-66,42}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.PeritoneumSpace_Gain, PeritoneumChange.u1) 
        annotation (Line(
          points={{92,14},{-50,14},{-50,-9.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.PeritoneumSpace_Loss, PeritoneumChange.u2) 
        annotation (Line(
          points={{92,14},{-84,14},{-84,-14},{-54.8,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(PeritoneumChange.y, Change.solventFlow) annotation (Line(
          points={{-50,-19.4},{-50,-26.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Bladder.SolventVolume, busConnector.BladderVolume_Mass) 
        annotation (Line(
          points={{72,-62},{96,-62},{96,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}}, 
                fileName="icons/protein.png"), Text(
              extent={{-114,-86},{128,-120}},
              lineColor={0,0,255},
              textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
              extent={{-100,-100},{100,100}}), graphics));
    end Proteins;

    package setup

     model ProteinsConstInputs

       Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{72,-2},{86,12}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
       Library.Blocks.Constant Hemorrhage_ProteinRate(k=0.) 
         annotation (Placement(transformation(extent={{-82,-46},{-76,-40}})));
       Library.Blocks.Constant IVDrip_ProteinRate(k=0.) 
         annotation (Placement(transformation(extent={{-82,-36},{-76,-30}})));
       Library.Blocks.Constant LT_InterstitialWater_Vol(k=3125.07786356537) 
         annotation (Placement(transformation(extent={{-82,-26},{-76,-20}})));
       Library.Blocks.Constant LT_LymphFlow(k=1.29454203270117) 
         annotation (Placement(transformation(extent={{-82,-16},{-76,-10}})));
       Library.Blocks.Constant MT_InterstitialWater_Vol(k=6250.15572713074) 
         annotation (Placement(transformation(extent={{-82,-6},{-76,0}})));
       Library.Blocks.Constant MT_LymphFlow(k=0.798585433714562) 
         annotation (Placement(transformation(extent={{-82,4},{-76,10}})));
       Library.Blocks.Constant PeritoneumSpace_Gain(k=0.) 
         annotation (Placement(transformation(extent={{-82,14},{-76,20}})));
       Library.Blocks.Constant PeritoneumSpace_Loss(k=0.) 
         annotation (Placement(transformation(extent={{-82,24},{-76,30}})));
       Library.Blocks.Constant PeritoneumSpace_Vol(k=0.) 
         annotation (Placement(transformation(extent={{-82,34},{-76,40}})));
       Library.Blocks.Constant PlasmaVol(k=2990.99086915011) 
         annotation (Placement(transformation(extent={{-82,44},{-76,50}})));
       Library.Blocks.Constant Transfusion_ProteinRate(k=0.) 
         annotation (Placement(transformation(extent={{-82,54},{-76,60}})));
       Library.Blocks.Constant UT_InterstitialWater_Vol(k=3125.07786356537) 
         annotation (Placement(transformation(extent={{-82,64},{-76,70}})));
       Library.Blocks.Constant UT_LymphFlow(k=0.393665531698635) 
         annotation (Placement(transformation(extent={{-82,74},{-76,80}})));
       Library.Blocks.Constant Hemorrhage_ProteinRate1(
                                                      k=0.) 
         annotation (Placement(transformation(extent={{-82,-56},{-76,-50}})));
     equation

       connect(Hemorrhage_ProteinRate.y, busConnector.Hemorrhage_ProteinRate) 
         annotation (Line(
     points={{-75.7,-43},{79,-43},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(IVDrip_ProteinRate.y, busConnector.IVDripProteinRate) annotation (
           Line(
     points={{-75.7,-33},{79,-33},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(LT_InterstitialWater_Vol.y, busConnector.LT_InterstitialWater_Vol) 
         annotation (Line(
     points={{-75.7,-23},{79,-23},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(LT_LymphFlow.y, busConnector.LT_LymphFlow) annotation (Line(
     points={{-75.7,-13},{79,-13},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(MT_InterstitialWater_Vol.y, busConnector.MT_InterstitialWater_Vol) 
         annotation (Line(
     points={{-75.7,-3},{79,-3},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(MT_LymphFlow.y, busConnector.MT_LymphFlow) annotation (Line(
     points={{-75.7,7},{79,7},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(PeritoneumSpace_Gain.y, busConnector.PeritoneumSpace_Gain) 
         annotation (Line(
     points={{-75.7,17},{79,17},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(PeritoneumSpace_Loss.y, busConnector.PeritoneumSpace_Loss) 
         annotation (Line(
     points={{-75.7,27},{79,27},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(PeritoneumSpace_Vol.y, busConnector.PeritoneumSpace_Vol) annotation (
           Line(
     points={{-75.7,37},{79,37},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(PlasmaVol.y, busConnector.PlasmaVol) annotation (Line(
     points={{-75.7,47},{79,47},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(Transfusion_ProteinRate.y, busConnector.Transfusion_ProteinRate) 
         annotation (Line(
     points={{-75.7,57},{79,57},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(UT_InterstitialWater_Vol.y, busConnector.UT_InterstitialWater_Vol) 
         annotation (Line(
     points={{-75.7,67},{79,67},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(UT_LymphFlow.y, busConnector.UT_LymphFlow) annotation (Line(
     points={{-75.7,77},{79,77},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

        connect(PlasmaVol.y, busConnector.PlasmaVol_Vol) annotation (Line(
            points={{-75.7,47},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Hemorrhage_ProteinRate1.y, busConnector.BladderVolume_Mass) 
          annotation (Line(
            points={{-75.7,-53},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
     end ProteinsConstInputs;

     model ProteinsConstInputsFromFile
     import HumMod;

     Library.Utilities.ConstantFromFile Hemorrhage_ProteinRate(varName="Hemorrhage.ProteinRate") 
     annotation (Placement(transformation(extent={{-56,-58},{-50,-52}})));
     Library.Utilities.ConstantFromFile IVDrip_ProteinRate(varName="IVDrip.ProteinRate") 
     annotation (Placement(transformation(extent={{-56,-48},{-50,-42}})));
     Library.Utilities.ConstantFromFile LT_InterstitialWater_Vol(varName="LT_InterstitialWater.Vol") 
     annotation (Placement(transformation(extent={{-56,-38},{-50,-32}})));
     Library.Utilities.ConstantFromFile LT_LymphFlow(varName="LT_LymphWater.Rate") 
     annotation (Placement(transformation(extent={{-56,-28},{-50,-22}})));
     Library.Utilities.ConstantFromFile MT_InterstitialWater_Vol(varName="MT_InterstitialWater.Vol") 
     annotation (Placement(transformation(extent={{-56,-18},{-50,-12}})));
     Library.Utilities.ConstantFromFile MT_LymphFlow(varName="MT_LymphWater.Rate") 
     annotation (Placement(transformation(extent={{-56,-8},{-50,-2}})));
     Library.Utilities.ConstantFromFile PeritoneumSpace_Gain(varName="PeritoneumSpace.Gain") 
     annotation (Placement(transformation(extent={{-56,2},{-50,8}})));
     Library.Utilities.ConstantFromFile PeritoneumSpace_Loss(varName="PeritoneumSpace.Loss") 
     annotation (Placement(transformation(extent={{-56,12},{-50,18}})));
     Library.Utilities.ConstantFromFile PeritoneumSpace_Vol(varName="PeritoneumSpace.Volume") 
     annotation (Placement(transformation(extent={{-56,22},{-50,28}})));
     Library.Utilities.ConstantFromFile PlasmaVol(varName="PlasmaVol.Vol") 
     annotation (Placement(transformation(extent={{-56,32},{-50,38}})));
     Library.Utilities.ConstantFromFile Transfusion_ProteinRate(varName="Transfusion.ProteinRate") 
     annotation (Placement(transformation(extent={{-56,42},{-50,48}})));
     Library.Utilities.ConstantFromFile UT_InterstitialWater_Vol(varName="UT_InterstitialWater.Vol") 
     annotation (Placement(transformation(extent={{-56,52},{-50,58}})));
     Library.Utilities.ConstantFromFile UT_LymphFlow(varName="UT_LymphWater.Rate") 
     annotation (Placement(transformation(extent={{-56,62},{-50,68}})));

       HumMod.Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{72,-6},{86,8}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
     Library.Utilities.ConstantFromFile Hemorrhage_ProteinRate1(varName=
              "BladderVolume.Mass") 
     annotation (Placement(transformation(extent={{-56,-68},{-50,-62}})));
     equation
       connect(Hemorrhage_ProteinRate.y, busConnector.Hemorrhage_ProteinRate) 
         annotation (Line(
     points={{-49.7,-55},{14.65,-55},{14.65,1},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(IVDrip_ProteinRate.y, busConnector.IVDripProteinRate) annotation (
           Line(
     points={{-49.7,-45},{79,-45},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(LT_InterstitialWater_Vol.y, busConnector.LT_InterstitialWater_Vol) 
         annotation (Line(
     points={{-49.7,-35},{79,-35},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(LT_LymphFlow.y, busConnector.LT_LymphFlow) annotation (Line(
     points={{-49.7,-25},{79,-25},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(MT_InterstitialWater_Vol.y, busConnector.MT_InterstitialWater_Vol) 
         annotation (Line(
     points={{-49.7,-15},{79,-15},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(MT_LymphFlow.y, busConnector.MT_LymphFlow) annotation (Line(
     points={{-49.7,-5},{79,-5},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(PeritoneumSpace_Gain.y, busConnector.PeritoneumSpace_Gain) 
         annotation (Line(
     points={{-49.7,5},{79,5},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(PeritoneumSpace_Loss.y, busConnector.PeritoneumSpace_Loss) 
         annotation (Line(
     points={{-49.7,15},{79,15},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(PeritoneumSpace_Vol.y, busConnector.PeritoneumSpace_Vol) annotation (
           Line(
     points={{-49.7,25},{79,25},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(PlasmaVol.y, busConnector.PlasmaVol) annotation (Line(
     points={{-49.7,35},{79,35},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(Transfusion_ProteinRate.y, busConnector.Transfusion_ProteinRate) 
         annotation (Line(
     points={{-49.7,45},{79,45},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(UT_InterstitialWater_Vol.y, busConnector.UT_InterstitialWater_Vol) 
         annotation (Line(
     points={{-49.7,55},{79,55},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
       connect(UT_LymphFlow.y, busConnector.UT_LymphFlow) annotation (Line(
     points={{-49.7,65},{79,65},{79,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

        connect(PlasmaVol.y, busConnector.PlasmaVol_Vol) annotation (Line(
            points={{-49.7,35},{79,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Hemorrhage_ProteinRate1.y, busConnector.BladderVolume_Mass) 
          annotation (Line(
            points={{-49.7,-65},{94,0},{79,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
     end ProteinsConstInputsFromFile;
    end setup;

    package test
      model T
        setup.ProteinsConstInputsFromFile proteinsConstInputs 
          annotation (Placement(transformation(extent={{-64,22},{-44,42}})));
        Proteins proteins 
          annotation (Placement(transformation(extent={{28,32},{48,52}})));
      equation
        connect(proteinsConstInputs.busConnector, proteins.busConnector) 
          annotation (Line(
            points={{-56,32},{-56,54},{44.3,54},{44.3,50.3}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end T;
    end test;
    annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
  end Proteins;

  package Electrolytes "Body Electrolytes"

    package Sodium "Body Sodium Distribution"

      model Sodium
        extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment NaPool(
            initialSoluteMass=2170.0) 
          annotation (Placement(transformation(extent={{-82,14},{-62,34}})));
        HumMod.Library.Interfaces.RealInput_ ECFV_Vol(final quantity="Volume",
            final unit="ml") "Extracellular fluid volume" 
          annotation (Placement(transformation(extent={{-98,28},{-90,36}}),
              iconTransformation(extent={{-100,70},{-88,82}})));
        Library.ConcentrationFlow.ConcentrationCompartment GILumen(
            initialSoluteMass=80.0) 
          annotation (Placement(transformation(extent={{-82,-36},{-62,-16}})));
        HumMod.Library.Interfaces.RealInput_ GILumenVolume_Mass(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{-98,-22},{-90,-14}}),
              iconTransformation(extent={{-100,58},{-88,70}})));
        Library.ConcentrationFlow.SoluteFlowPump Absorbtion 
          annotation (Placement(transformation(extent={{-58,-20},{-46,-32}})));
        Modelica.Blocks.Math.Gain Perm(k=.0015) 
          annotation (Placement(transformation(extent={{-62,-46},{-56,-40}})));
        Library.ConcentrationFlow.OutputPump Hemorrhage 
          annotation (Placement(transformation(extent={{-58,64},{-38,84}})));
        Library.ConcentrationFlow.OutputPump DialyzerActivity 
          annotation (Placement(transformation(extent={{-58,50},{-38,70}})));
        Library.ConcentrationFlow.OutputPump SweatDuct 
          annotation (Placement(transformation(extent={{-58,78},{-38,98}})));
        Library.ConcentrationFlow.InputPump IVDrip 
          annotation (Placement(transformation(extent={{-78,70},{-58,90}})));
        Library.ConcentrationFlow.InputPump Transfusion 
          annotation (Placement(transformation(extent={{-78,56},{-58,76}})));
        Library.ConcentrationFlow.SolventFlowPump glomerulusSudiumRate 
          annotation (Placement(transformation(extent={{-16,14},{4,34}})));
        HumMod.Library.Interfaces.RealInput_ GlomerulusFiltrate_GFR(final
            quantity="Flow", final unit="ml/min") 
          annotation (Placement(transformation(extent={{-16,30},{-8,38}}),
              iconTransformation(extent={{-100,-16},{-88,-4}})));
        HumMod.Electrolytes.Sodium.GlomerulusCationFiltration glomerulus 
          annotation (Placement(transformation(extent={{-40,14},{-20,34}})));
        HumMod.Library.Interfaces.RealInput_ KPool(final quantity=
              "Concentration", final unit="mEq/l") 
          annotation (Placement(transformation(extent={{-48,32},{-40,40}}),
              iconTransformation(extent={{-100,94},{-88,106}})));
        HumMod.Library.Interfaces.RealInput_ BloodIons_ProteinAnions(final
            quantity="Concentration", final unit="mEq/l") 
          annotation (Placement(transformation(extent={{-48,40},{-40,48}}),
              iconTransformation(extent={{-100,82},{-88,94}})));
        Library.ConcentrationFlow.FractReabsorbtion PT 
          annotation (Placement(transformation(extent={{8,14},{28,34}})));
        Library.Blocks.FractConstant const1(k=58) 
          annotation (Placement(transformation(extent={{2,30},{8,36}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 IFPEffect(data=
             {{1.0,1.4,0},{4.0,1.0,-0.2},{7.0,0.3,0}}) 
          annotation (Placement(transformation(extent={{14,32},{34,52}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 ANPEffect(data=
             {{0.0,1.2,0},{1.3,1.0,-0.2},{2.7,0.6,0}}) 
          annotation (Placement(transformation(extent={{14,40},{34,60}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 SympsEffect(
            data={{0.6,0.6,0},{1.0,1.0,0.5},{4.0,1.5,0}}) 
          annotation (Placement(transformation(extent={{14,48},{34,68}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 A2Effect(data=
              {{0.7,0.8,0},{1.3,1.0,0.8},{1.6,1.2,0}}) 
          annotation (Placement(transformation(extent={{14,56},{34,76}})));
        HumMod.Library.Interfaces.RealInput_ NephronIFP_Pressure(final quantity
            ="Pressure", final unit="mmHg") 
          annotation (Placement(transformation(extent={{-4,38},{4,46}}),
              iconTransformation(extent={{-100,-28},{-88,-16}})));
        HumMod.Library.Interfaces.RealInput_ NephronANP_Log10Conc(final unit=
              "log10(pMol/L)") 
          annotation (Placement(transformation(extent={{-4,46},{4,54}}),
              iconTransformation(extent={{-100,-64},{-88,-52}})));
        HumMod.Library.Interfaces.RealInput_ KidneyAlpha_PT_NA(final unit="Hz") 
          annotation (Placement(transformation(extent={{-4,54},{4,62}}),
              iconTransformation(extent={{-100,-40},{-88,-28}})));
        HumMod.Library.Interfaces.RealInput_ A2Pool_Log10Con(final unit=
              "log10(pG/mL)") 
          annotation (Placement(transformation(extent={{-4,62},{4,70}}),
              iconTransformation(extent={{-100,-52},{-88,-40}})));
        HumMod.Library.Interfaces.RealInput_ KidneyFunctionEffect(final unit=
              "1") 
          annotation (Placement(transformation(extent={{12,80},{20,88}}),
              iconTransformation(extent={{-100,8},{-88,20}})));
        Library.ConcentrationFlow.FractReabsorbtion LH(MaxReab=7) 
          annotation (Placement(transformation(extent={{68,14},{88,34}})));
        Library.Blocks.FractConstant const2(k=75) 
          annotation (Placement(transformation(extent={{64,30},{70,36}})));
        Library.ConcentrationFlow.FractReabsorbtion2 DT 
          annotation (Placement(transformation(extent={{80,-74},{60,-54}})));
        Library.ConcentrationFlow.FractReabsorbtion CD(MaxReab=.7) 
          annotation (Placement(transformation(extent={{30,-74},{10,-54}})));
        Library.Blocks.FractConstant const3(k=75) 
          annotation (Placement(transformation(extent={{18,-58},{24,-52}})));
        Library.Blocks.FractConstant const4(k=75) 
          annotation (Placement(transformation(extent={{68,-58},{74,-52}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0) 
          annotation (Placement(transformation(extent={{-28,-34},{-8,-14}})));
        HumMod.Library.Interfaces.RealInput_ BladderVolume_Mass(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{-12,-10},{-20,-2}}),
              iconTransformation(extent={{-100,46},{-88,58}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue2 Furosemide(
            data={{0.0,1.0,-1},{0.1,0.0,0}}) 
          annotation (Placement(transformation(extent={{64,62},{84,82}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue2 AldoEffect(
            data={{0.0,0.7,0},{10.0,1.0,0}}) 
          annotation (Placement(transformation(extent={{76,40},{96,60}})));
        HumMod.Library.Interfaces.RealInput_
          KidneyNephronCount_Filtering_xNormal(final unit="1") 
          annotation (Placement(transformation(extent={{50,60},{58,68}}),
              iconTransformation(extent={{-100,-4},{-88,8}})));
        HumMod.Library.Interfaces.RealInput_ FurosemidePool_Furosemide_conc(
            final quantity="Concentration", final unit="ug/ml") 
          annotation (Placement(transformation(extent={{50,68},{58,76}}),
              iconTransformation(extent={{-100,-88},{-88,-76}})));
        HumMod.Library.Interfaces.RealInput_ NephronAldo_conc_in_nG_per_dL(
            final quantity="Concentration", final unit="ng/dl") 
          annotation (Placement(transformation(extent={{56,46},{64,54}}),
              iconTransformation(extent={{-100,-76},{-88,-64}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 LoadEffect(
            data={{0.0,3.0,0},{7.2,1.0,-0.2},{20.0,0.5,0}}) 
          annotation (Placement(transformation(extent={{76,32},{96,52}})));
        HumMod.Library.Factors.SimpleMultiply FurosemideEffect 
          annotation (Placement(transformation(extent={{76,48},{96,68}})));
        HumMod.Library.Factors.SimpleMultiply Filtering_xNormal 
          annotation (Placement(transformation(extent={{64,54},{84,74}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure1 
          annotation (Placement(transformation(extent={{98,-74},{78,-54}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue2 LoadEffect1(
            data={{0.0,2.0,0},{1.6,1.0,0}}) 
          annotation (Placement(transformation(extent={{72,-56},{52,-36}})));
         HumMod.Library.Factors.NonlinearSystemPatch.SplineValue2
          ThiazideEffect(data={{0.0,1.0,-2.0},{0.6,0.2,0.0}}) 
          annotation (Placement(transformation(extent={{72,-40},{52,-20}})));
        HumMod.Library.Interfaces.RealInput_ ThiazidePool_Thiazide_conc(final
            quantity="Concentration", final unit="ug/ml") 
          annotation (Placement(transformation(extent={{92,-34},{84,-26}}),
              iconTransformation(extent={{-100,-100},{-88,-88}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure2 
          annotation (Placement(transformation(extent={{58,-74},{38,-54}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue2 LoadEffect2(
            data={{0.0,2.0,0},{0.4,1.0,0}}) 
          annotation (Placement(transformation(extent={{22,-58},{2,-38}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 ANPEffect2(
            data={{0.0,1.2,0},{1.3,1.0,-0.4},{2.7,0.2,0}}) 
          annotation (Placement(transformation(extent={{22,-50},{2,-30}})));
        HumMod.Library.Interfaces.RealInput_ IVDrip_NaRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-82,82},{-74,90}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-40,98})));
        HumMod.Library.Interfaces.RealInput_ Transfusion_NaRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-82,66},{-74,74}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-28,98})));
        HumMod.Library.Interfaces.RealInput_ SweatDuct_NaRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-36,90},{-42,96}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-16,98})));
        HumMod.Library.Interfaces.RealInput_ Hemorrhage_NaRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-36,76},{-42,82}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-4,98})));
        Library.Factors.SimpleMultiply AldoEffect2 
          annotation (Placement(transformation(extent={{10,-10},{-10,10}},
              rotation=270,
              origin={84,-78})));
        HumMod.Library.Blocks.Constant const5(k=2) 
          annotation (Placement(transformation(extent={{94,-80},{90,-76}})));
        HumMod.Library.Interfaces.RealInput_ DialyzerActivity_Na_Flux(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-36,62},{-42,68}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={8,98})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-100,-42},{-80,-22}})));
        HumMod.Library.Interfaces.RealInput_ DietIntakeElectrolytes_Na(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-100,-30},{-92,-22}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={20,98})));
        Library.ConcentrationFlow.OutputPump Diarrhea 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-90,-44})));
        HumMod.Library.Interfaces.RealInput_ GILumenDiarrhea_NaLoss(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{3,-3},{-3,3}},
              rotation=180,
              origin={-93,-51}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={32,98})));
        Library.Interfaces.RealOutput_ PT_FractReab 
                                        annotation (Placement(transformation(extent={{28,16},
                  {36,24}}),         iconTransformation(extent={{100,60},{120,
                  80}})));
        Library.Interfaces.RealOutput_ LH_FractReab 
                                        annotation (Placement(transformation(extent={{88,6},{
                  96,14}}),          iconTransformation(extent={{100,40},{120,
                  60}})));
        Library.Interfaces.RealOutput_ DT_Outflow 
                                        annotation (Placement(transformation(extent={{-4,-4},
                  {4,4}},
              rotation=180,
              origin={46,-54}),      iconTransformation(extent={{100,20},{120,
                  40}})));
        Library.Interfaces.RealOutput_ CD_Outflow 
                                        annotation (Placement(transformation(extent={{-4,-4},
                  {4,4}},
              rotation=180,
              origin={-4,-72}),      iconTransformation(extent={{100,0},{120,20}})));
        Library.Interfaces.RealOutput_ Medulla_Conc 
                                        annotation (Placement(transformation(extent={{54,-96},
                  {62,-88}}),        iconTransformation(extent={{100,-20},{120,
                  0}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure3 
          annotation (Placement(transformation(extent={{10,-54},{-10,-74}})));
        Library.ConcentrationFlow.ConcentrationCompartment Medulla(initialSoluteMass=13) 
          annotation (Placement(transformation(extent={{28,-102},{48,-82}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={46,-92})));
        Library.ConcentrationFlow.SolventFlowPump VasaRectaOutflow 
          annotation (Placement(transformation(extent={{-4,-100},{-20,-84}})));
        HumMod.Library.Interfaces.RealInput_ VasaRecta_Outflow(final quantity=
              "Flow", final unit="ml/min") 
          annotation (Placement(transformation(extent={{-46,-88},{-38,-80}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=0,
              origin={-94,26})));
        Modelica.Blocks.Math.Gain gain(k=.03) 
          annotation (Placement(transformation(extent={{-28,-88},{-20,-80}})));
        HumMod.Library.Interfaces.RealInput_ Medulla_Volume(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{8,-88},{16,-80}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=0,
              origin={-94,40})));
        Library.Interfaces.RealOutput_ NaPool_mass 
                                        annotation (Placement(transformation(extent={{-68,2},
                  {-60,10}}),        iconTransformation(extent={{100,100},{120,
                  120}})));
        Library.Interfaces.RealOutput_ NaPool_conc_per_liter 
                                        annotation (Placement(transformation(extent={{-64,-8},
                  {-56,0}}),         iconTransformation(extent={{100,80},{120,
                  100}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-80,-4})));
        Modelica.Blocks.Math.Gain gain1(k=1000) 
          annotation (Placement(transformation(extent={{-70,-6},{-66,-2}})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{12,-22},{24,-10}})));
        HumMod.Library.Interfaces.RealInput_ BladderVoidFlow(final quantity=
              "Flow", final unit="ml/min") 
          annotation (Placement(transformation(extent={{4,-10},{12,-2}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=0,
              origin={-94,-106})));
        Library.Interfaces.RealOutput_ GILumenSodium_Mass 
                                        annotation (Placement(transformation(extent={{-64,-60},
                  {-56,-52}}),       iconTransformation(extent={{100,-40},{120,
                  -20}})));
        HumMod.Library.Factors.SimpleMultiply AldosteroneEffect 
          annotation (Placement(transformation(extent={{72,-48},{52,-28}})));
        HumMod.Library.Curves.NonlinearSystemPatch.Curve3 DT_AldoEffect(
          x={0,12,50},
          y={.5,1,3},
          slope={0,.08,0}) 
          annotation (Placement(transformation(extent={{60,-22},{80,-2}})));
        Library.Interfaces.RealOutput_ DT_AldosteroneEffect 
                                        annotation (Placement(transformation(
                extent={{90,-16},{98,-8}}), iconTransformation(extent={{100,-60},
                  {120,-40}})));
        Library.Interfaces.RealOutput_ DT_Na_Reab 
                                        annotation (Placement(transformation(
                extent={{60,-86},{68,-78}}), iconTransformation(extent={{100,-80},
                  {120,-60}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure4 
          annotation (Placement(transformation(extent={{64,-68},{44,-88}})));
        Library.Interfaces.RealOutput_ LH_Na_Reab 
                                        annotation (Placement(transformation(
                extent={{76,-2},{84,6}}), iconTransformation(extent={{100,-100},
                  {120,-80}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure5 
          annotation (Placement(transformation(extent={{80,16},{60,-4}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure6 
          annotation (Placement(transformation(extent={{10,10},{-10,-10}},
              rotation=90,
              origin={18,12})));
        Library.Interfaces.RealOutput_ PT_Na_Reab 
                                        annotation (Placement(transformation(
                extent={{24,8},{32,16}}), iconTransformation(extent={{100,-120},
                  {120,-100}})));
      equation
        connect(NaPool.SolventVolume, ECFV_Vol) annotation (Line(
            points={{-80,30},{-87,30},{-87,32},{-94,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.SolventVolume, GILumenVolume_Mass) annotation (Line(
            points={{-80,-20},{-87,-20},{-87,-18},{-94,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
            points={{-72,-26},{-65,-26},{-65,-26},{-58,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Absorbtion.q_out, NaPool.q_out) annotation (Line(
            points={{-46,-26},{-44,-26},{-44,24},{-72,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Hemorrhage.q_in, NaPool.q_out) annotation (Line(
            points={{-54,74},{-58,74},{-58,24},{-72,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, NaPool.q_out) annotation (Line(
            points={{-54,60},{-58,60},{-58,24},{-72,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(NaPool.q_out, SweatDuct.q_in) annotation (Line(
            points={{-72,24},{-58,24},{-58,88},{-54,88}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, NaPool.q_out) annotation (Line(
            points={{-62,66},{-58,66},{-58,24},{-72,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, NaPool.q_out) annotation (Line(
            points={{-62,80},{-58,80},{-58,24},{-72,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusSudiumRate.solventFlow, GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{-6,30},{-6,34},{-12,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glomerulus.q_in, NaPool.q_out) annotation (Line(
            points={{-40,24},{-72,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulus.q_out, glomerulusSudiumRate.q_in) annotation (Line(
            points={{-20,24},{-16,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusSudiumRate.q_out, PT.Inflow) annotation (Line(
            points={{4,24},{8,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(const1.y, PT.Normal) annotation (Line(
            points={{8.3,33},{12,33},{12,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2Effect.yBase, KidneyFunctionEffect) annotation (Line(
            points={{24,68},{24,84},{16,84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2Effect.y, SympsEffect.yBase) annotation (Line(
            points={{24,64},{24,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SympsEffect.y, ANPEffect.yBase) annotation (Line(
            points={{24,56},{24,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect.y, IFPEffect.yBase) annotation (Line(
            points={{24,48},{24,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IFPEffect.y, PT.Effects) annotation (Line(
            points={{24,40},{24,28},{26,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2Pool_Log10Con, A2Effect.u) annotation (Line(
            points={{0,66},{14.2,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SympsEffect.u, KidneyAlpha_PT_NA) annotation (Line(
            points={{14.2,58},{0,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NephronANP_Log10Conc, ANPEffect.u) annotation (Line(
            points={{0,50},{14.2,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NephronIFP_Pressure, IFPEffect.u) annotation (Line(
            points={{0,42},{14.2,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const2.y, LH.Normal) annotation (Line(
            points={{70.3,33},{72,33},{72,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const3.y, CD.Normal) annotation (Line(
            points={{24.3,-55},{26,-55},{26,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const4.y, DT.Normal) annotation (Line(
            points={{74.3,-55},{76,-55},{76,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.SolventVolume, BladderVolume_Mass) annotation (Line(
            points={{-26,-18},{-36,-18},{-36,-6},{-16,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NephronAldo_conc_in_nG_per_dL, AldoEffect.u) 
                                             annotation (Line(
            points={{60,50},{76.2,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Furosemide.u, FurosemidePool_Furosemide_conc) 
                                                  annotation (Line(
            points={{64.2,72},{54,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect.y, LoadEffect.yBase) annotation (Line(
            points={{86,48},{86,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect.y, LH.Effects) annotation (Line(
            points={{86,40},{86,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FurosemideEffect.y, AldoEffect.yBase) annotation (Line(
            points={{86,56},{86,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Filtering_xNormal.u, KidneyNephronCount_Filtering_xNormal) 
          annotation (Line(
            points={{64.2,64},{54,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Filtering_xNormal.y, FurosemideEffect.u) annotation (Line(
            points={{74,62},{74,58},{76.2,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Furosemide.y, Filtering_xNormal.yBase) annotation (Line(
            points={{74,70},{74,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KidneyFunctionEffect, Furosemide.yBase) annotation (Line(
            points={{16,84},{74,84},{74,74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FurosemideEffect.yBase, KidneyFunctionEffect) annotation (Line(
            points={{86,60},{86,84},{16,84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PT.Outflow, flowMeasure.q_in) annotation (Line(
            points={{28,24},{56,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure.q_out, LH.Inflow) annotation (Line(
            points={{64,24},{68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure.actualFlow, LoadEffect.u) annotation (Line(
            points={{60,29},{60,42},{76.2,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DT.Inflow, flowMeasure1.q_out) annotation (Line(
            points={{80,-64},{84,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure1.q_in, LH.Outflow) annotation (Line(
            points={{92,-64},{100,-64},{100,24},{88,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(LoadEffect1.y, DT.Effects) annotation (Line(
            points={{62,-48},{62,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect1.u, flowMeasure1.actualFlow) annotation (Line(
            points={{71.8,-46},{88,-46},{88,-59}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DT_AldoEffect.u, NephronAldo_conc_in_nG_per_dL) 
                                                              annotation (Line(
            points={{60,-12},{50,-12},{50,48},{66,48},{66,50},{60,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.yBase, KidneyFunctionEffect) annotation (Line(
            points={{62,-28},{62,-26},{46,-26},{46,84},{16,84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.u, ThiazidePool_Thiazide_conc) annotation (Line(
            points={{71.8,-30},{88,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD.Inflow, flowMeasure2.q_out) annotation (Line(
            points={{30,-64},{44,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure2.q_in, DT.Outflow) annotation (Line(
            points={{52,-64},{60,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(LoadEffect2.y, CD.Effects) annotation (Line(
            points={{12,-50},{12,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect2.u, flowMeasure2.actualFlow) annotation (Line(
            points={{21.8,-48},{48,-48},{48,-59}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect2.y, LoadEffect2.yBase) annotation (Line(
            points={{12,-42},{12,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect2.yBase, KidneyFunctionEffect) annotation (Line(
            points={{12,-38},{12,-26},{46,-26},{46,84},{16,84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect2.u, NephronANP_Log10Conc) annotation (Line(
            points={{21.8,-40},{40,-40},{40,38},{6,38},{6,50},{0,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IVDrip.desiredFlow, IVDrip_NaRate) annotation (Line(
            points={{-68,84},{-68,86},{-78,86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Transfusion.desiredFlow, Transfusion_NaRate) annotation (Line(
            points={{-68,70},{-78,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatDuct.desiredFlow, SweatDuct_NaRate) annotation (Line(
            points={{-48,92},{-48,93},{-39,93}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const5.y, AldoEffect2.yBase) annotation (Line(
            points={{89.8,-78},{86,-78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect2.y, DT.MaxReab) annotation (Line(
            points={{82,-78},{76,-78},{76,-68.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hemorrhage_NaRate, Hemorrhage.desiredFlow) annotation (Line(
            points={{-39,79},{-47.5,79},{-47.5,78},{-48,78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DialyzerActivity.desiredFlow, DialyzerActivity_Na_Flux) 
          annotation (Line(
            points={{-48,64},{-48,65},{-39,65}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glomerulus.otherCations, KPool) annotation (Line(
            points={{-36,29},{-36,36},{-44,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glomerulus.ProteinAnions, BloodIons_ProteinAnions) annotation (
            Line(
            points={{-32,29},{-32,44},{-44,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.desiredFlow, DietIntakeElectrolytes_Na) 
                                                   annotation (Line(
            points={{-90,-28},{-94,-28},{-94,-26},{-96,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.q_out, GILumen.q_out) annotation (Line(
            points={{-84,-32},{-80,-32},{-80,-26},{-72,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diarrhea.desiredFlow, GILumenDiarrhea_NaLoss) 
                                                         annotation (Line(
            points={{-90,-48},{-90,-51},{-93,-51}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
            points={{-72,-26},{-80,-26},{-80,-44},{-84,-44}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GILumen.SoluteMass, Perm.u) annotation (Line(
            points={{-72,-33.8},{-72,-43},{-62.6,-43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
            points={{-55.7,-43},{-52,-43},{-52,-29.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PT.ReabFract, PT_FractReab) annotation (Line(
            points={{28,20},{32,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LH.ReabFract, LH_FractReab) annotation (Line(
            points={{88,20},{92,20},{92,10},{92,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure2.actualFlow, DT_Outflow) annotation (Line(
            points={{48,-59},{48,-54},{46,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD.Outflow, flowMeasure3.q_in) annotation (Line(
            points={{10,-64},{4,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure3.q_out, Bladder.q_out) annotation (Line(
            points={{-4,-64},{-6,-64},{-6,-24},{-18,-24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure3.actualFlow, CD_Outflow) annotation (Line(
            points={{0,-69},{0,-72},{-4,-72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD.Reabsorbtion, Medulla.q_out) annotation (Line(
            points={{20,-68},{20,-92},{38,-92}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Medulla.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{38,-92},{46,-92}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(concentrationMeasure.actualConc, Medulla_Conc) annotation (Line(
            points={{50,-92},{58,-92}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Medulla.q_out, VasaRectaOutflow.q_in) annotation (Line(
            points={{38,-92},{-4,-92}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(VasaRectaOutflow.q_out, NaPool.q_out) annotation (Line(
            points={{-20,-92},{-44,-92},{-44,24},{-72,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(gain.y, VasaRectaOutflow.solventFlow) annotation (Line(
            points={{-19.6,-84},{-12,-84},{-12,-87.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(VasaRecta_Outflow, gain.u) annotation (Line(
            points={{-42,-84},{-28.8,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Medulla.SolventVolume, Medulla_Volume) annotation (Line(
            points={{30,-86},{21,-86},{21,-84},{12,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NaPool.SoluteMass, NaPool_mass) annotation (Line(
            points={{-72,16.2},{-72,6},{-64,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure1.actualConc, gain1.u) annotation (Line(
            points={{-76,-4},{-73.2,-4},{-73.2,-4},{-70.4,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain1.y, NaPool_conc_per_liter) annotation (Line(
            points={{-65.8,-4},{-60,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure1.q_in, NaPool.q_out) annotation (Line(
            points={{-80,-4},{-80,24},{-72,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{-18,-24},{-4,-24},{-4,-16},{12,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, BladderVoidFlow) annotation (Line(
            points={{18,-12.4},{18,-6},{8,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.SoluteMass, GILumenSodium_Mass) annotation (Line(
            points={{-72,-33.8},{-72,-56},{-60,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldosteroneEffect.y, LoadEffect1.yBase) annotation (Line(
            points={{62,-40},{62,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.y, AldosteroneEffect.yBase) annotation (Line(
            points={{62,-32},{62,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldosteroneEffect.u, DT_AldoEffect.val) annotation (Line(
            points={{71.8,-38},{96,-38},{96,-12},{80.2,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DT_AldoEffect.val, AldoEffect2.u) annotation (Line(
            points={{80.2,-12},{96,-12},{96,-94},{84,-94},{84,-87.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DT_AldoEffect.val, DT_AldosteroneEffect) annotation (Line(
            points={{80.2,-12},{94,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure4.actualFlow, DT_Na_Reab) annotation (Line(
            points={{54,-83},{60,-83},{60,-82},{64,-82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DT.Reabsorbtion, flowMeasure4.q_in) annotation (Line(
            points={{70,-68},{70,-78},{58,-78}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure4.q_out, NaPool.q_out) annotation (Line(
            points={{50,-78},{-44,-78},{-44,24},{-72,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure5.actualFlow, LH_Na_Reab) annotation (Line(
            points={{70,1},{76,1},{76,2},{80,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LH.Reabsorbtion, flowMeasure5.q_in) annotation (Line(
            points={{78,20},{78,6},{74,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure5.q_out, NaPool.q_out) annotation (Line(
            points={{66,6},{-44,6},{-44,24},{-72,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure6.actualFlow, PT_Na_Reab) annotation (Line(
            points={{23,12},{28,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PT.Reabsorbtion, flowMeasure6.q_in) annotation (Line(
            points={{18,20},{18,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure6.q_out, NaPool.q_out) annotation (Line(
            points={{18,8},{18,6},{-44,6},{-44,24},{-72,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/Na.jpg")}));
      end Sodium;

      model GlomerulusCationFiltration

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));

        Library.Interfaces.RealInput_ otherCations( final quantity="Concentration", final unit
            =                                                                                  "mEq/l") annotation (Placement(
              transformation(extent={{-78,30},{-38,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,50})));
        Library.Interfaces.RealInput_ ProteinAnions(final quantity="Concentration",
            final unit="mEq/l")                                                                               annotation (Placement(
              transformation(extent={{-40,30},{0,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,50})));
        Real KAdjustment;
        Real Cations( final quantity="Concentration", final unit = "mEq/l");
        Real Anions( final quantity="Concentration", final unit = "mEq/l");
      equation
        q_in.q + q_out.q = 0;
        Cations = q_in.conc*1000+otherCations;
        Anions = Cations;
        KAdjustment = (Cations-(Anions-ProteinAnions))/(Cations+(Anions-ProteinAnions));
        q_out.conc = (1-KAdjustment)*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{0,42},{0,26}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,20},{0,4}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-4},{0,-20}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-26},{0,-42}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5)}),       Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end GlomerulusCationFiltration;

      model Sodium2
        //extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment NaPool(
            initialSoluteMass=2058.45, stateName="NaPool.Mass") 
          annotation (Placement(transformation(extent={{-86,14},{-66,34}})));
        Library.ConcentrationFlow.ConcentrationCompartment GILumen(
            initialSoluteMass=80, stateName="GILumenSodium.Mass") 
          annotation (Placement(transformation(extent={{-60,-46},{-40,-26}})));
        Library.ConcentrationFlow.SoluteFlowPump Absorbtion 
          annotation (Placement(transformation(extent={{-44,-10},{-56,-22}})));
        Modelica.Blocks.Math.Gain Perm(k=.0015) 
          annotation (Placement(transformation(extent={{-40,-56},{-34,-50}})));
        Library.ConcentrationFlow.OutputPump Hemorrhage 
          annotation (Placement(transformation(extent={{-58,64},{-38,84}})));
        Library.ConcentrationFlow.OutputPump DialyzerActivity 
          annotation (Placement(transformation(extent={{-58,50},{-38,70}})));
        Library.ConcentrationFlow.OutputPump SweatDuct 
          annotation (Placement(transformation(extent={{-58,76},{-38,96}})));
        Library.ConcentrationFlow.InputPump IVDrip 
          annotation (Placement(transformation(extent={{-78,70},{-58,90}})));
        Library.ConcentrationFlow.InputPump Transfusion 
          annotation (Placement(transformation(extent={{-78,56},{-58,76}})));
        Library.ConcentrationFlow.SolventFlowPump_InitialPatch
          glomerulusSudiumRate 
          annotation (Placement(transformation(extent={{-16,14},{4,34}})));
        HumMod.Electrolytes.Sodium.GlomerulusCationFiltration glomerulus 
          annotation (Placement(transformation(extent={{-40,14},{-20,34}})));
        Library.ConcentrationFlow.FractReabsorbtion PT 
          annotation (Placement(transformation(extent={{8,14},{28,34}})));
        Library.Blocks.FractConstant const1(k=58) 
          annotation (Placement(transformation(extent={{2,34},{8,40}})));
        HumMod.Library.Factors.SplineValue IFPEffect(data={{1.0,1.4,0},{4.0,1.0,
              -0.2},{7.0,0.3,0}}) 
          annotation (Placement(transformation(extent={{14,32},{34,52}})));
        HumMod.Library.Factors.SplineValue ANPEffect(data={{0.0,1.2,0},{1.3,1.0,
              -0.2},{2.7,0.6,0}}) 
          annotation (Placement(transformation(extent={{14,40},{34,60}})));
        HumMod.Library.Factors.SplineValue SympsEffect(data={{0.6,0.6,0},{1.0,
              1.0,0.5},{4.0,1.5,0}}) 
          annotation (Placement(transformation(extent={{14,48},{34,68}})));
        HumMod.Library.Factors.SplineValue A2Effect(data={{0.7,0.8,0},{1.3,1.0,
              0.8},{1.6,1.2,0}}) 
          annotation (Placement(transformation(extent={{14,56},{34,76}})));
        Library.ConcentrationFlow.FractReabsorbtion LH(MaxReab=7) 
          annotation (Placement(transformation(extent={{68,14},{88,34}})));
        Library.Blocks.FractConstant const2(k=75) 
          annotation (Placement(transformation(extent={{64,30},{70,36}})));
        Library.ConcentrationFlow.FractReabsorbtion2 DT 
          annotation (Placement(transformation(extent={{80,-74},{60,-54}})));
        Library.ConcentrationFlow.FractReabsorbtion CD(MaxReab=.7) 
          annotation (Placement(transformation(extent={{30,-74},{10,-54}})));
        Library.Blocks.FractConstant const3(k=75) 
          annotation (Placement(transformation(extent={{18,-58},{24,-52}})));
        Library.Blocks.FractConstant const4(k=75) 
          annotation (Placement(transformation(extent={{68,-58},{74,-52}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0,
          stateName="BladderSodium.Mass",
          STEADY=false) 
          annotation (Placement(transformation(extent={{-28,-26},{-8,-6}})));
        HumMod.Library.Factors.SplineValue Furosemide(data={{0.0,1.0,-1},{0.1,
              0.0,0}}) 
          annotation (Placement(transformation(extent={{64,62},{84,82}})));
        Library.Factors.SplineValue AldoEffect(data={{0.0,0.7,0},{10.0,1.0,0}}) 
          annotation (Placement(transformation(extent={{76,40},{96,60}})));
        HumMod.Library.Factors.SplineValue LoadEffect(data={{0.0,3.0,0},{7.2,
              1.0,-0.2},{20.0,0.5,0}}) 
          annotation (Placement(transformation(extent={{76,32},{96,52}})));
        HumMod.Library.Factors.SimpleMultiply FurosemideEffect 
          annotation (Placement(transformation(extent={{76,48},{96,68}})));
        HumMod.Library.Factors.SimpleMultiply Filtering_xNormal 
          annotation (Placement(transformation(extent={{64,54},{84,74}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure1 
          annotation (Placement(transformation(extent={{98,-74},{78,-54}})));
        HumMod.Library.Factors.SplineValue LoadEffect1(data={{0.0,2.0,0},{1.6,
              1.0,0}}) 
          annotation (Placement(transformation(extent={{72,-56},{52,-36}})));
         HumMod.Library.Factors.SplineValue ThiazideEffect(data={{0.0,1.0,-2.0},
              {0.6,0.2,0.0}}) 
          annotation (Placement(transformation(extent={{72,-48},{52,-28}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure2 
          annotation (Placement(transformation(extent={{58,-74},{38,-54}})));
        HumMod.Library.Factors.SplineValue LoadEffect2(data={{0.0,2.0,0},{0.4,
              1.0,0}}) 
          annotation (Placement(transformation(extent={{22,-58},{2,-38}})));
        HumMod.Library.Factors.SplineValue ANPEffect2(data={{0.0,1.2,0},{1.3,
              1.0,-0.4},{2.7,0.2,0}}) 
          annotation (Placement(transformation(extent={{22,-50},{2,-30}})));
        Library.Factors.SimpleMultiply AldoEffect2 
          annotation (Placement(transformation(extent={{10,-10},{-10,10}},
              rotation=270,
              origin={84,-78})));
        HumMod.Library.Blocks.Constant const5(k=2) 
          annotation (Placement(transformation(extent={{94,-80},{90,-76}})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-90,-60},{-70,-40}})));
        Library.ConcentrationFlow.OutputPump Diarrhea 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-80,-64})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure3 
          annotation (Placement(transformation(extent={{10,-54},{-10,-74}})));
        Library.ConcentrationFlow.ConcentrationCompartment Medulla(
                                       stateName="MedullaNa.Mass",
            initialSoluteMass=13) 
          annotation (Placement(transformation(extent={{28,-102},{48,-82}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
            unitsString="mEq/l", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-9,-9},{9,9}},
              rotation=270,
              origin={57,-97})));
        Library.ConcentrationFlow.SolventFlowPump VasaRectaOutflow 
          annotation (Placement(transformation(extent={{-4,-100},{-20,-84}})));
        Modelica.Blocks.Math.Gain gain(k=.03) 
          annotation (Placement(transformation(extent={{-28,-88},{-20,-80}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
            unitsString="mEq/l", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-92,36})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{12,-22},{24,-10}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure4 
          annotation (Placement(transformation(extent={{64,-68},{44,-88}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure5 
          annotation (Placement(transformation(extent={{80,16},{60,-4}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure6 
          annotation (Placement(transformation(extent={{10,10},{-10,-10}},
              rotation=90,
              origin={18,12})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-98,86},{-86,98}}),
              iconTransformation(extent={{60,60},{100,100}})));
        Modelica.Blocks.Math.Gain Osm(k=2) 
          annotation (Placement(transformation(extent={{68,-100},{74,-94}})));
        Library.Factors.SplineValue AldoEffect1(
          data={{0.0,0.5,0},{12.0,1.0,0.08},{50.0,3.0,0}}) 
          annotation (Placement(transformation(extent={{52,-40},{72,-20}})));
        Modelica.Blocks.Math.Division division 
          annotation (Placement(transformation(extent={{80,-16},{86,-10}})));
        Modelica.Blocks.Math.Gain ml2l(k=1000) 
          annotation (Placement(transformation(extent={{90,-16},{96,-10}})));
        Library.Factors.SplineValue LeptinEffect2(data={{0,3.0,0},{8,1.0,-0.04},{
              50,0.0,0}}) 
          annotation (Placement(transformation(extent={{-90,-50},{-70,-30}})));
        Library.Blocks.Constant Constant7(k=180/1440) 
          annotation (Placement(transformation(extent={{-90,-36},{-82,-28}})));
      Real ECF_conc;
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure2(
            unitsString="mEq/ml", toAnotherUnitCoef=1) 
          annotation (Placement(transformation(
              extent={{-9,-9},{9,9}},
              rotation=270,
              origin={57,-93})));
      equation
        ECF_conc = concentrationMeasure1.actualConc;

      connect(NaPool.SolventVolume, busConnector. ECFV_Vol) annotation (Line(
            points={{-84,30},{-97,30},{-97,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(GILumen.SolventVolume, busConnector. GILumenVolume_Mass) annotation (Line(
            points={{-58,-30},{-97,-30},{-97,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
            points={{-50,-36},{-38,-36},{-38,-16},{-44,-16}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Absorbtion.q_out, NaPool.q_out) annotation (Line(
            points={{-56,-16},{-100,-16},{-100,24},{-76,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Hemorrhage.q_in, NaPool.q_out) annotation (Line(
            points={{-54,74},{-58,74},{-58,24},{-76,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, NaPool.q_out) annotation (Line(
            points={{-54,60},{-58,60},{-58,24},{-76,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(NaPool.q_out, SweatDuct.q_in) annotation (Line(
            points={{-76,24},{-58,24},{-58,86},{-54,86}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, NaPool.q_out) annotation (Line(
            points={{-62,66},{-58,66},{-58,24},{-76,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, NaPool.q_out) annotation (Line(
            points={{-62,80},{-58,80},{-58,24},{-76,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusSudiumRate.solventFlow, busConnector. GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{-6,30},{-6,38},{-32,38},{-32,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(glomerulus.q_in, NaPool.q_out) annotation (Line(
            points={{-40,24},{-76,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulus.q_out, glomerulusSudiumRate.q_in) annotation (Line(
            points={{-20,24},{-16,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusSudiumRate.q_out, PT.Inflow) annotation (Line(
            points={{4,24},{8,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(const1.y, PT.Normal) annotation (Line(
            points={{8.3,37},{12,37},{12,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2Effect.yBase, busConnector. KidneyFunctionEffect) annotation (Line(
            points={{24,68},{24,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(A2Effect.y, SympsEffect.yBase) annotation (Line(
            points={{24,64},{24,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SympsEffect.y, ANPEffect.yBase) annotation (Line(
            points={{24,56},{24,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect.y, IFPEffect.yBase) annotation (Line(
            points={{24,48},{24,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IFPEffect.y, PT.Effects) annotation (Line(
            points={{24,40},{24,28},{26,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.A2Pool_Log10Conc, A2Effect.u) annotation (Line(
            points={{-92,92},{-18.9,92},{-18.9,66},{14.2,66}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-6,3},{-6,3}}));
        connect(SympsEffect.u, busConnector. KidneyAlpha_PT_NA) annotation (Line(
            points={{14.2,58},{-18.9,58},{-18.9,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(busConnector.NephronANP_Log10Conc, ANPEffect.u) annotation (Line(
            points={{-92,92},{-18.9,92},{-18.9,50},{14.2,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-6,3},{-6,3}}));
        connect(busConnector.NephronIFP_Pressure, IFPEffect.u) annotation (Line(
            points={{-92,92},{-18.9,92},{-18.9,42},{14.2,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-6,3},{-6,3}}));
        connect(const2.y, LH.Normal) annotation (Line(
            points={{70.3,33},{72,33},{72,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const3.y, CD.Normal) annotation (Line(
            points={{24.3,-55},{26,-55},{26,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const4.y, DT.Normal) annotation (Line(
            points={{74.3,-55},{76,-55},{76,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.SolventVolume, busConnector. BladderVolume_Mass) annotation (Line(
            points={{-26,-10},{-98,-10},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(Furosemide.u, busConnector. FurosemidePool_Furosemide_conc) 
                                                  annotation (Line(
            points={{64.2,72},{48,72},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(AldoEffect.y, LoadEffect.yBase) annotation (Line(
            points={{86,48},{86,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect.y, LH.Effects) annotation (Line(
            points={{86,40},{86,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FurosemideEffect.y, AldoEffect.yBase) annotation (Line(
            points={{86,56},{86,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Filtering_xNormal.u, busConnector. Kidney_NephronCount_Filtering_xNormal) 
          annotation (Line(
            points={{64.2,64},{48,64},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(Filtering_xNormal.y, FurosemideEffect.u) annotation (Line(
            points={{74,62},{74,58},{76.2,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Furosemide.y, Filtering_xNormal.yBase) annotation (Line(
            points={{74,70},{74,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.KidneyFunctionEffect, Furosemide.yBase) annotation (Line(
            points={{-92,92},{74,92},{74,74}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-6,3},{-6,3}}));
        connect(FurosemideEffect.yBase, busConnector. KidneyFunctionEffect) annotation (Line(
            points={{86,60},{86,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(PT.Outflow, flowMeasure.q_in) annotation (Line(
            points={{28,24},{56,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure.q_out, LH.Inflow) annotation (Line(
            points={{64,24},{68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure.actualFlow, LoadEffect.u) annotation (Line(
            points={{60,29},{60,42},{76.2,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DT.Inflow, flowMeasure1.q_out) annotation (Line(
            points={{80,-64},{84,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure1.q_in, LH.Outflow) annotation (Line(
            points={{92,-64},{98,-64},{98,24},{88,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(LoadEffect1.y, DT.Effects) annotation (Line(
            points={{62,-48},{62,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect1.u, flowMeasure1.actualFlow) annotation (Line(
            points={{71.8,-46},{88,-46},{88,-59}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.u, busConnector. ThiazidePool_Thiazide_conc) annotation (Line(
            points={{71.8,-38},{99.9,-38},{99.9,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(CD.Inflow, flowMeasure2.q_out) annotation (Line(
            points={{30,-64},{44,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure2.q_in, DT.Outflow) annotation (Line(
            points={{52,-64},{60,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(LoadEffect2.y, CD.Effects) annotation (Line(
            points={{12,-50},{12,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect2.u, flowMeasure2.actualFlow) annotation (Line(
            points={{21.8,-48},{48,-48},{48,-59}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect2.y, LoadEffect2.yBase) annotation (Line(
            points={{12,-42},{12,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect2.yBase, busConnector. KidneyFunctionEffect) annotation (Line(
            points={{12,-38},{12,-36},{48,-36},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(ANPEffect2.u, busConnector. NephronANP_Log10Conc) annotation (Line(
            points={{21.8,-40},{48,-40},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(IVDrip.desiredFlow, busConnector. IVDrip_NaRate) annotation (Line(
            points={{-68,84},{-68,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(Transfusion.desiredFlow, busConnector. Transfusion_NaRate) annotation (Line(
            points={{-68,70},{-60,70},{-60,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(SweatDuct.desiredFlow, busConnector. SweatDuct_NaRate) annotation (Line(
            points={{-48,90},{-48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(const5.y, AldoEffect2.yBase) annotation (Line(
            points={{89.8,-78},{86,-78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect2.y, DT.MaxReab) annotation (Line(
            points={{82,-78},{76,-78},{76,-68.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Hemorrhage_NaRate, Hemorrhage.desiredFlow) annotation (Line(
            points={{-92,92},{-47.5,92},{-47.5,78},{-48,78}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-6,3},{-6,3}}));
        connect(DialyzerActivity.desiredFlow, busConnector. DialyzerActivity_Na_Flux) 
          annotation (Line(
            points={{-48,64},{-48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(glomerulus.otherCations, busConnector. KPool) annotation (Line(
            points={{-36,29},{-36,38},{-32,38},{-32,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(glomerulus.ProteinAnions, busConnector. BloodIons_ProteinAnions) annotation (
            Line(
            points={{-32,29},{-32,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(Diet.q_out, GILumen.q_out) annotation (Line(
            points={{-74,-50},{-58,-50},{-58,-36},{-50,-36}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diarrhea.desiredFlow, busConnector. GILumenDiarrhea_NaLoss) 
                                                         annotation (Line(
            points={{-80,-68},{-80,-70},{-98,-70},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
            points={{-50,-36},{-58,-36},{-58,-64},{-74,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GILumen.SoluteMass, Perm.u) annotation (Line(
            points={{-50,-43.8},{-50,-53},{-40.6,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
            points={{-33.7,-53},{-32,-54},{-32,-24},{-50,-24},{-50,-19.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD.Outflow, flowMeasure3.q_in) annotation (Line(
            points={{10,-64},{4,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure3.q_out, Bladder.q_out) annotation (Line(
            points={{-4,-64},{-6,-64},{-6,-16},{-18,-16}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(CD.Reabsorbtion, Medulla.q_out) annotation (Line(
            points={{20,-68},{20,-92},{38,-92}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Medulla.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{38,-92},{42,-92},{42,-97},{57,-97}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Medulla.q_out, VasaRectaOutflow.q_in) annotation (Line(
            points={{38,-92},{-4,-92}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(VasaRectaOutflow.q_out, NaPool.q_out) annotation (Line(
            points={{-20,-92},{-100,-92},{-100,24},{-76,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(gain.y, VasaRectaOutflow.solventFlow) annotation (Line(
            points={{-19.6,-84},{-12,-84},{-12,-87.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.VasaRecta_Outflow, gain.u) annotation (Line(
            points={{-92,92},{-98.4,92},{-98.4,-84},{-28.8,-84}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-6,3},{-6,3}}));
        connect(Medulla.SolventVolume, busConnector. Medulla_Volume) annotation (Line(
            points={{30,-86},{26,-86},{26,-78},{-98,-78},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(NaPool.SoluteMass, busConnector. NaPool_mass) annotation (Line(
            points={{-76,16.2},{-76,14},{-98,14},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(concentrationMeasure1.q_in, NaPool.q_out) annotation (Line(
            points={{-92,36},{-76,36},{-76,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{-18,-16},{12,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, busConnector. BladderVoidFlow) annotation (Line(
            points={{18,-12.4},{18,-6},{-98,-6},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(GILumen.SoluteMass, busConnector. GILumenSodium_Mass) annotation (Line(
            points={{-50,-43.8},{-50,-60},{-76,-60},{-76,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(AldoEffect1.y, busConnector. DT_AldosteroneEffect) annotation (Line(
            points={{62,-32},{62,-34},{100,-34},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(DT.Reabsorbtion, flowMeasure4.q_in) annotation (Line(
            points={{70,-68},{70,-78},{58,-78}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure4.q_out, NaPool.q_out) annotation (Line(
            points={{50,-78},{-100,-78},{-100,24},{-76,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure5.actualFlow, busConnector. LH_Na_Reab) annotation (Line(
            points={{70,1},{100,1},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(LH.Reabsorbtion, flowMeasure5.q_in) annotation (Line(
            points={{78,20},{78,6},{74,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure5.q_out, NaPool.q_out) annotation (Line(
            points={{66,6},{-100,6},{-100,24},{-76,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure6.actualFlow, busConnector. PT_Na_Reab) annotation (Line(
            points={{23,12},{47.5,12},{47.5,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(PT.Reabsorbtion, flowMeasure6.q_in) annotation (Line(
            points={{18,20},{18,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure6.q_out, NaPool.q_out) annotation (Line(
            points={{18,8},{18,6},{-100,6},{-100,24},{-76,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(concentrationMeasure1.actualConc, busConnector.NaPool_conc_per_liter) 
          annotation (Line(
            points={{-92,40},{-92,46},{-98,46},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(concentrationMeasure.actualConc, Osm.u) annotation (Line(
            points={{60.6,-97},{67.4,-97}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Osm.y, busConnector.MedullaNa_Osmolarity) annotation (Line(
            points={{74.3,-97},{100,-97},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.KidneyFunctionEffect, AldoEffect1.yBase) annotation (
            Line(
            points={{-92,92},{48,92},{48,-28},{62,-28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(AldoEffect1.y, ThiazideEffect.yBase) annotation (Line(
            points={{62,-32},{62,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.y, LoadEffect1.yBase) annotation (Line(
            points={{62,-40},{62,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect1.y, AldoEffect2.u) annotation (Line(
            points={{62,-32},{62,-34},{96,-34},{96,-90},{84,-90},{84,-87.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LH.ReabFract, busConnector. LH_Na_FractReab) annotation (Line(
            points={{88,20},{100,20},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(PT.ReabFract, busConnector. PT_Na_FractReab) annotation (Line(
            points={{28,20},{48,20},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(flowMeasure2.actualFlow, busConnector. DT_Na_Outflow) annotation (Line(
            points={{48,-59},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(flowMeasure3.actualFlow, busConnector. CD_Na_Outflow) annotation (Line(
            points={{0,-69},{0,-74},{-98,-74},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(flowMeasure4.actualFlow, busConnector. DT_Na_Reab) annotation (Line(
            points={{54,-83},{54,-90},{100,-90},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(flowMeasure1.actualFlow, division.u1) annotation (Line(
            points={{88,-59},{88,-24},{74,-24},{74,-11.2},{79.4,-11.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.LH_H2O_Outflow, division.u2) annotation (Line(
            points={{-92,92},{-98,92},{-98,-6},{56,-6},{56,-14.8},{79.4,-14.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(ml2l.u, division.y) annotation (Line(
            points={{89.4,-13},{89.4,-12.5},{86.3,-12.5},{86.3,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ml2l.y, busConnector.MD_Na) annotation (Line(
            points={{96.3,-13},{100,-14},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.NephronAldo_conc_in_nG_per_dl, AldoEffect.u) 
          annotation (Line(
            points={{-92,92},{48,92},{48,50},{76.2,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.NephronAldo_conc_in_nG_per_dl, AldoEffect1.u) 
          annotation (Line(
            points={{-92,92},{48,92},{48,-30},{52.2,-30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-81.6,-32},{-80,-32},{-80,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeptinEffect2.y, Diet.desiredFlow) annotation (Line(
            points={{-80,-42},{-80,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-92,92},{-98,92},{-98,-40},{-89.8,-40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Medulla.q_out, concentrationMeasure2.q_in) annotation (Line(
            points={{38,-92},{52,-92},{52,-93},{57,-93}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure2.actualConc, busConnector.MedullaNa_conc) 
          annotation (Line(
            points={{60.6,-93},{100,-93},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/Na.jpg"), Text(
                extent={{-110,-104},{110,-130}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
      end Sodium2;

      package test
        model T
          import QHP = HumMod;
          Sodium2 sodium2_1 
            annotation (Placement(transformation(extent={{-32,30},{-12,50}})));
          QHP.Electrolytes.setup.ElectrolytesConstInputs
            electrolytesConstInputs 
            annotation (Placement(transformation(extent={{14,48},{34,68}})));
          QHP.Electrolytes.Sodium.setup.ConstInputsFromOtherElectrolytes
            constInputsFromOtherElectrolytes 
            annotation (Placement(transformation(extent={{14,12},{34,32}})));
        equation
          connect(sodium2_1.busConnector, electrolytesConstInputs.busConnector) 
            annotation (Line(
              points={{-14,48},{4.05,48},{4.05,58},{22,58}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(sodium2_1.busConnector, constInputsFromOtherElectrolytes.busConnector) 
            annotation (Line(
              points={{-14,48},{5.05,48},{5.05,22},{22,22}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
        end T;
      end test;

      package setup
        model ConstInputsFromOtherElectrolytes

        Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{44,58},{64,78}}),
                 iconTransformation(extent={{-40,-20},{0,20}})));
        Library.Blocks.Constant BloodIons_ProteinAnions(k=12.9427208016075) 
        annotation (Placement(transformation(extent={{-20,42},{-14,48}})));
        Library.Blocks.Constant KPool(k=4.30150131804415) 
        annotation (Placement(transformation(extent={{-20,48},{-14,54}})));
        equation

        connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) annotation (Line(
         points={{-13.7,45},{54,45},{54,68}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(KPool.y, busConnector.KPool)                                                       annotation (Line(
         points={{-13.7,51},{54,51},{54,68}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                                 graphics));
        end ConstInputsFromOtherElectrolytes;
      end setup;

      package expandableConnectorPatch
        record InsideBusConnector
          extends HumMod.Library.Interfaces.SignalBusBlue;

        Modelica.Blocks.Interfaces.RealOutput BladderVoidFlow annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput A2Pool_Log10Conc annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput AldoPool_Aldo annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput BladderVolume_Mass annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput Artys_pH annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput CD_KA_Outflow annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput CO2Veins_cHCO3 annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput CellH2O_Vol annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput ECFV_Vol annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput GILumenPotassium_Mass annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput GILumenSodium_Mass annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput GILumenVolume_Mass annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput GlomerulusFiltrate_GFR annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput KAPool_Osmoles annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput KAPool_conc annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput KidneyAlpha_PT_NA annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput KidneyFunction_Effect annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput Kidney_NephronCount_Total_xNormal
                                                                                annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput LacPool_Mass_mEq annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput LacPool_Lac_mEq_per_litre annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput Medulla_Volume annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput NephronANP_Log10Conc annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput NephronAldo_conc_in_nG_per_dl annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput NephroneIFP_Pressure annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput VasaRecta_Outflow annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput liver_GlucoseToCellStorageFlow annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput
            skeletalMuscle_GlucoseToCellStorageFlow                                   annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));

        Modelica.Blocks.Interfaces.RealOutput KPool annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput ProteinAnions annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));

        end InsideBusConnector;

        record OutsideBusConnector
          extends HumMod.Library.Interfaces.SignalBusBlue;

        Modelica.Blocks.Interfaces.RealInput BladderVoidFlow annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput A2Pool_Log10Conc annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput AldoPool_Aldo annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput BladderVolume_Mass annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput Artys_pH annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput CD_KA_Outflow annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput CO2Veins_cHCO3 annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput CellH2O_Vol annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput ECFV_Vol annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput GILumenPotassium_Mass annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput GILumenSodium_Mass annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput GILumenVolume_Mass annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput GlomerulusFiltrate_GFR annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput KAPool_Osmoles annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput KAPool_conc annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput KidneyAlpha_PT_NA annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput KidneyFunction_Effect annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput Kidney_NephronCount_Total_xNormal annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput LacPool_Mass_mEq annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput LacPool_Lac_mEq_per_litre annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput Medulla_Volume annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput NephronANP_Log10Conc annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput NephronAldo_conc_in_nG_per_dl annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput NephroneIFP_Pressure annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput VasaRecta_Outflow annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput liver_GlucoseToCellStorageFlow annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput
            skeletalMuscle_GlucoseToCellStorageFlow                                  annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));

        Modelica.Blocks.Interfaces.RealInput KPool annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput ProteinAnions annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));

        end OutsideBusConnector;

      model ElectrolytesConstInputs

      OutsideBusConnector busConnector 
          annotation (Placement(transformation(extent={{38,-12},{52,2}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant BladderVoidFlow(k=0) 
      annotation (Placement(transformation(extent={{-30,-98},{-24,-92}})));
      Library.Blocks.Constant A2Pool_Log10Conc(k=1.30698460203345) 
      annotation (Placement(transformation(extent={{-30,-88},{-24,-82}})));
      Library.Blocks.Constant AldoPool_Aldo(k=0.290854848569316) 
      annotation (Placement(transformation(extent={{-30,-78},{-24,-72}})));
      Library.Blocks.Constant BladderVolume_Mass(k=629.260404013417) 
      annotation (Placement(transformation(extent={{-30,-68},{-24,-62}})));
      Library.Blocks.Constant Artys_pH(k=7.38644600458198) 
      annotation (Placement(transformation(extent={{-30,-58},{-24,-52}})));
      Library.Blocks.Constant CD_KA_Outflow(k=6.08968322729714e-005) 
      annotation (Placement(transformation(extent={{-30,-48},{-24,-42}})));
      Library.Blocks.Constant CO2Veins_cHCO3(k=2.57071728935027e-002) 
      annotation (Placement(transformation(extent={{-30,-38},{-24,-32}})));
      Library.Blocks.Constant CellH2O_Vol(k=27335.8967957385) 
      annotation (Placement(transformation(extent={{-30,-28},{-24,-22}})));
      Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
      annotation (Placement(transformation(extent={{-30,-18},{-24,-12}})));
      Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
      annotation (Placement(transformation(extent={{-30,-8},{-24,-2}})));
      Library.Blocks.Constant GlomerulusFiltrate_GFR(k=127.333064117169) 
      annotation (Placement(transformation(extent={{-30,2},{-24,8}})));
      Library.Blocks.Constant KAPool_Osmoles(k=2.10110505683432) 
      annotation (Placement(transformation(extent={{-30,8},{-24,14}})));
      Library.Blocks.Constant KAPool_conc(k=1.3839925831359e-002) 
      annotation (Placement(transformation(extent={{-30,14},{-24,20}})));
      Library.Blocks.Constant KidneyAlpha_PT_NA(k=1.) 
      annotation (Placement(transformation(extent={{-30,20},{-24,26}})));
      Library.Blocks.Constant KidneyFunction_Effect(k=0.995580586980285) 
      annotation (Placement(transformation(extent={{-30,26},{-24,32}})));
      Library.Blocks.Constant Kidney_NephronCount_Total_xNormal(k=1.) 
      annotation (Placement(transformation(extent={{-30,32},{-24,38}})));
      Library.Blocks.Constant LacPool_Mass_mEq(k=18.2596543652006) 
      annotation (Placement(transformation(extent={{78,-2},{72,4}})));
      Library.Blocks.Constant LacPool_Lac_mEq_per_litre(k=1.17870363536868) 
      annotation (Placement(transformation(extent={{78,8},{72,14}})));
      Library.Blocks.Constant Medulla_Volume(k=31.) 
      annotation (Placement(transformation(extent={{78,18},{72,24}})));
      Library.Blocks.Constant NephronANP_Log10Conc(k=1.25866025557014) 
      annotation (Placement(transformation(extent={{78,28},{72,34}})));
      Library.Blocks.Constant NephronAldo_conc_in_nG_per_dl(k=9.9383249094754) 
      annotation (Placement(transformation(extent={{78,38},{72,44}})));
      Library.Blocks.Constant NephroneIFP_Pressure(k=3.92090703529923) 
      annotation (Placement(transformation(extent={{78,48},{72,54}})));
      Library.Blocks.Constant VasaRecta_Outflow(k=21.7865579572364) 
      annotation (Placement(transformation(extent={{78,58},{72,64}})));
      Library.Blocks.Constant liver_GlucoseToCellStorageFlow(k=0) 
      annotation (Placement(transformation(extent={{78,68},{72,74}})));
      Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow(k=0) 
      annotation (Placement(transformation(extent={{78,78},{72,84}})));
      Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow1(
                                                                      k=0) 
      annotation (Placement(transformation(extent={{78,88},{72,94}})));
        Library.Blocks.Constant Constant14(k=0) 
          annotation (Placement(transformation(extent={{-86,42},{-78,50}})));
        Library.Blocks.Constant Constant15(k=0) 
          annotation (Placement(transformation(extent={{-86,50},{-78,58}})));
        Library.Blocks.Constant Constant16(k=0) 
          annotation (Placement(transformation(extent={{-86,58},{-78,66}})));
        Library.Blocks.Constant Constant17(k=0) 
          annotation (Placement(transformation(extent={{-86,66},{-78,74}})));
        Library.Blocks.Constant Constant18(k=0) 
          annotation (Placement(transformation(extent={{-86,74},{-78,82}})));
        Library.Blocks.Constant Constant19(k=.12) 
          annotation (Placement(transformation(extent={{-86,82},{-78,90}})));
        Library.Blocks.Constant Constant20(k=0) 
          annotation (Placement(transformation(extent={{-86,90},{-78,98}})));
        Library.Blocks.Constant Constant1(k=0) annotation (Placement(
              transformation(extent={{-94,-10},{-86,-2}})));
        Library.Blocks.Constant Constant2(k=0) annotation (Placement(
              transformation(extent={{-94,-24},{-86,-16}})));
      Library.Blocks.Constant Kidney_NephronCount_Filtering_xNormal(
                                                                k=1.) 
      annotation (Placement(transformation(extent={{-30,38},{-24,44}})));
        Library.Blocks.Constant Constant21(k=0) 
          annotation (Placement(transformation(extent={{-92,-92},{-84,-84}})));
        Library.Blocks.Constant Constant22(k=0) 
          annotation (Placement(transformation(extent={{-92,-84},{-84,-76}})));
        Library.Blocks.Constant Constant23(k=0) 
          annotation (Placement(transformation(extent={{-92,-76},{-84,-68}})));
        Library.Blocks.Constant Constant24(k=0) 
          annotation (Placement(transformation(extent={{-92,-68},{-84,-60}})));
        Library.Blocks.Constant Constant25(k=0) 
          annotation (Placement(transformation(extent={{-92,-60},{-84,-52}})));
        Library.Blocks.Constant Constant26(k=5.2e-002) 
          annotation (Placement(transformation(extent={{-92,-52},{-84,-44}})));
        Library.Blocks.Constant Constant27(k=0) 
          annotation (Placement(transformation(extent={{-92,-44},{-84,-36}})));
        Library.Blocks.Constant Constant28(k=0) 
          annotation (Placement(transformation(extent={{80,-70},{72,-62}})));
        Library.Blocks.Constant Constant29(k=0) 
          annotation (Placement(transformation(extent={{80,-62},{72,-54}})));
        Library.Blocks.Constant Constant30(k=0) 
          annotation (Placement(transformation(extent={{80,-54},{72,-46}})));
        Library.Blocks.Constant Constant31(k=0) 
          annotation (Placement(transformation(extent={{80,-46},{72,-38}})));
        Library.Blocks.Constant Constant32(k=0) 
          annotation (Placement(transformation(extent={{80,-38},{72,-30}})));
        Library.Blocks.Constant Constant33(k=0.149511) 
          annotation (Placement(transformation(extent={{80,-30},{72,-22}})));
        Library.Blocks.Constant Constant34(k=0) 
          annotation (Placement(transformation(extent={{80,-22},{72,-14}})));
      equation

      connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
       points={{-23.7,-95},{38,-95},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(A2Pool_Log10Conc.y, busConnector.A2Pool_Log10Conc) annotation (Line(
       points={{-23.7,-85},{38,-85},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AldoPool_Aldo.y, busConnector.AldoPool_Aldo) annotation (Line(
       points={{-23.7,-75},{38,-75},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
       points={{-23.7,-65},{38,-65},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
       points={{-23.7,-55},{38,-55},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
       points={{-23.7,-45},{38,-45},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
       points={{-23.7,-35},{38,-35},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CellH2O_Vol.y, busConnector.CellH2O_Vol) annotation (Line(
       points={{-23.7,-25},{38,-25},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
       points={{-23.7,-15},{38,-15},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
       points={{-23.7,-5},{38,-5},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GlomerulusFiltrate_GFR.y, busConnector.GlomerulusFiltrate_GFR) annotation (Line(
       points={{-23.7,5},{38,5},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KAPool_Osmoles.y, busConnector.KAPool_Osmoles) annotation (Line(
       points={{-23.7,11},{38,11},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KAPool_conc.y, busConnector.KAPool_conc_per_liter) annotation (Line(
       points={{-23.7,17},{29,17},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
       points={{-23.7,23},{38,23},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyFunction_Effect.y, busConnector.KidneyFunctionEffect) annotation (Line(
       points={{-23.7,29},{29,29},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
       points={{-23.7,35},{38,35},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LacPool_Mass_mEq.y, busConnector.LacPool_Mass_mEq) annotation (Line(
       points={{71.7,1},{52.35,1},{52.35,-3.6},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LacPool_Lac_mEq_per_litre.y, busConnector.LacPool_Lac_mEq_per_litre) annotation (Line(
       points={{71.7,11},{38,11},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
       points={{71.7,21},{38,21},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(NephronANP_Log10Conc.y, busConnector.NephronANP_Log10Conc) annotation (Line(
       points={{71.7,31},{38,31},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(NephronAldo_conc_in_nG_per_dl.y, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (Line(
       points={{71.7,41},{38,41},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(NephroneIFP_Pressure.y, busConnector.NephronIFP_Pressure) annotation (Line(
       points={{71.7,51},{28,48},{28,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
       points={{71.7,61},{38,61},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_GlucoseToCellStorageFlow.y, busConnector.liver_GlucoseToCellStorageFlow) annotation (Line(
       points={{71.7,71},{38,71},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_GlucoseToCellStorageFlow.y, busConnector.skeletalMuscle_GlucoseToCellStorageFlow) annotation (Line(
       points={{71.7,81},{38,81},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(skeletalMuscle_GlucoseToCellStorageFlow1.y, busConnector.respiratoryMuscle_GlucoseToCellStorageFlow) 
          annotation (Line(
            points={{71.7,91},{29,91},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Constant14.y,busConnector.IVDrip_NaRate) annotation (Line(
            points={{-77.6,46},{29,46},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant15.y,busConnector. Transfusion_NaRate) annotation (Line(
            points={{-77.6,54},{29,54},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant16.y,busConnector. SweatDuct_NaRate) annotation (Line(
            points={{-77.6,62},{29,62},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant17.y,busConnector. Hemorrhage_NaRate) annotation (Line(
            points={{-77.6,70},{29,70},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant18.y,busConnector. DialyzerActivity_Na_Flux) annotation (
            Line(
            points={{-77.6,78},{29,78},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant19.y,busConnector. DietIntakeElectrolytes_Na) annotation (
            Line(
            points={{-77.6,86},{29,86},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant20.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
            points={{-77.6,94},{29,94},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y,busConnector. FurosemidePool_Furosemide_conc) 
          annotation (Line(
            points={{-85.6,-6},{-66,-6},{-66,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant2.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
            Line(
            points={{-85.6,-20},{-66,-20},{-66,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney_NephronCount_Filtering_xNormal.y, busConnector.Kidney_NephronCount_Filtering_xNormal) 
                                                                                                   annotation (Line(
       points={{-23.7,41},{29,41},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Constant21.y,busConnector. IVDrip_KRate) annotation (Line(
            points={{-83.6,-88},{-62,-88},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant22.y,busConnector. Transfusion_KRate) annotation (Line(
            points={{-83.6,-80},{-62,-80},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant23.y,busConnector. SweatDuct_KRate) annotation (Line(
            points={{-83.6,-72},{-62,-72},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant24.y,busConnector. Hemorrhage_KRate) annotation (Line(
            points={{-83.6,-64},{-62,-64},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant25.y,busConnector. DialyzerActivity_K_Flux) annotation (
            Line(
            points={{-83.6,-56},{-62,-56},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant26.y,busConnector. DietIntakeElectrolytes_K) annotation (
            Line(
            points={{-83.6,-48},{-62,-48},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant27.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
            points={{-83.6,-40},{29,-40},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant28.y,busConnector. IVDrip_ClRate) annotation (Line(
            points={{71.6,-66},{29,-66},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant29.y,busConnector. Transfusion_ClRate) annotation (Line(
            points={{71.6,-58},{29,-58},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant30.y,busConnector. SweatDuct_ClRate) annotation (Line(
            points={{71.6,-50},{29,-50},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant31.y,busConnector. Hemorrhage_ClRate) annotation (Line(
            points={{71.6,-42},{29,-42},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant32.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
            Line(
            points={{71.6,-34},{29,-34},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant33.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
            Line(
            points={{71.6,-26},{29,-26},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant34.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
            points={{71.6,-18},{29,-18},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                               graphics));
      end ElectrolytesConstInputs;
      end expandableConnectorPatch;
    end Sodium;

    package Potassium "Body Potassium Distribution"

      model Potassium
        extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment KPool(
            initialSoluteMass=66.0) 
          annotation (Placement(transformation(extent={{-34,14},{-14,34}})));
        HumMod.Library.Interfaces.RealInput_ ECFV_Vol(final quantity="Volume",
            final unit="ml") 
          annotation (Placement(transformation(extent={{-46,28},{-38,36}}),
              iconTransformation(extent={{-100,52},{-88,64}})));
        Library.ConcentrationFlow.ConcentrationCompartment GILumen(
            initialSoluteMass=25) 
          annotation (Placement(transformation(extent={{-18,-36},{2,-16}})));
        HumMod.Library.Interfaces.RealInput_ GILumenVolume_Mass(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{-34,-22},{-26,-14}}),
              iconTransformation(extent={{-100,40},{-88,52}})));
        Library.ConcentrationFlow.SoluteFlowPump Absorbtion 
          annotation (Placement(transformation(extent={{6,-20},{18,-32}})));
        Modelica.Blocks.Math.Gain Perm(k=.002) 
          annotation (Placement(transformation(extent={{0,-48},{6,-42}})));
        Library.ConcentrationFlow.OutputPump Hemorrhage 
          annotation (Placement(transformation(extent={{20,-86},{40,-66}})));
        Library.ConcentrationFlow.OutputPump DialyzerActivity 
          annotation (Placement(transformation(extent={{20,-100},{40,-80}})));
        Library.ConcentrationFlow.OutputPump SweatDuct 
          annotation (Placement(transformation(extent={{20,-72},{40,-52}})));
        Library.ConcentrationFlow.InputPump IVDrip 
          annotation (Placement(transformation(extent={{0,-80},{20,-60}})));
        Library.ConcentrationFlow.InputPump Transfusion 
          annotation (Placement(transformation(extent={{0,-94},{20,-74}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0) 
          annotation (Placement(transformation(extent={{78,14},{98,34}})));
        HumMod.Library.Interfaces.RealInput_ BladderVolume_Mass(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{64,28},{72,36}}),
              iconTransformation(extent={{-100,28},{-88,40}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 NaEffect(data=
              {{0.0,0.3,0},{0.4,1.0,1.5},{4.0,3.0,0}}) 
          annotation (Placement(transformation(extent={{44,30},{24,50}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 AldoEffect1(
            data={{0.0,0.5,0},{12.0,1.0,0.08},{50.0,3.0,0}}) 
          annotation (Placement(transformation(extent={{44,38},{24,58}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue2 ThiazideEffect(
            data={{0.0,1.0,2.0},{0.6,2.0,0}}) 
          annotation (Placement(transformation(extent={{44,46},{24,66}})));
        HumMod.Library.Interfaces.RealInput_ ThiazidePool_Thiazide_conc(final
            quantity="Concentration", final unit="ug/ml") 
          annotation (Placement(transformation(extent={{64,52},{56,60}}),
              iconTransformation(extent={{-100,-20},{-88,-8}})));
        HumMod.Library.Interfaces.RealInput_ IVDrip_KRate(final quantity="Flow",
            final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-4,-68},{4,-60}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-40,98})));
        HumMod.Library.Interfaces.RealInput_ Transfusion_KRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-4,-84},{4,-76}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-28,98})));
        HumMod.Library.Interfaces.RealInput_ SweatDuct_KRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{42,-60},{36,-54}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-16,98})));
        HumMod.Library.Interfaces.RealInput_ Hemorrhage_KRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{42,-74},{36,-68}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-4,98})));
        HumMod.Library.Interfaces.RealInput_ DialyzerActivity_K_Flux(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{42,-88},{36,-82}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={8,98})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-36,-42},{-16,-22}})));
        HumMod.Library.Interfaces.RealInput_ DietIntakeElectrolytes_K(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-36,-30},{-28,-22}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={20,98})));
        Library.ConcentrationFlow.OutputPump Diarrhea 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-26,-44})));
        HumMod.Library.Interfaces.RealInput_ GILumenDiarrhea_KLoss(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{3,-3},{-3,3}},
              rotation=180,
              origin={-29,-51}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={32,98})));
        Library.ConcentrationFlow.ConcentrationCompartment KCell(
            initialSoluteMass=3980) 
          annotation (Placement(transformation(extent={{-30,70},{-10,90}})));
        HumMod.Library.Interfaces.RealInput_ CellH2O_Vol(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{-50,82},{-42,90}}),
              iconTransformation(extent={{-100,64},{-88,76}})));
        Library.ConcentrationFlow.SoluteFlowPump KFluxToCell 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-30,58})));
        Modelica.Blocks.Math.Gain Perm1(k=.002) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=90,
              origin={-55,53})));
        Library.ConcentrationFlow.SoluteFlowPump KFluxToPool 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-12,48})));
        HumMod.Library.Interfaces.RealInput_ AldoPool_Aldo(final quantity=
              "Concentration", final unit="pmol/l") 
          annotation (Placement(transformation(extent={{-60,68},{-52,76}}),
              iconTransformation(extent={{-100,16},{-88,28}})));
        Modelica.Blocks.Math.Feedback feedback 
          annotation (Placement(transformation(extent={{-10,62},{-2,54}})));
        HumMod.Library.Blocks.ElectrolytesMassConstant KCell_CaptiveMass(k=2180) 
          annotation (Placement(transformation(extent={{10,78},{-2,66}})));
        Modelica.Blocks.Math.Gain Perm2(k=7.4e-5) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=270,
              origin={3,53})));
        Library.Interfaces.RealInput_ NephronAldo_conc_in_nG_per_dL(      final
            quantity =                                                                  "Concentration", final unit = "ng/dl") 
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=180,
              origin={60,48}),
              iconTransformation(extent={{-100,-8},{-88,4}})));
        HumMod.Library.Interfaces.RealInput_ DT_Na_Outflow(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{62,36},{56,42}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=0,
              origin={-94,10})));
        Library.Blocks.ElectrolytesFlowConstant electrolytesFlowConstant(k=.05) 
          annotation (Placement(transformation(extent={{18,76},{30,88}})));
        Library.ConcentrationFlow.SoluteFlowPump DT_K 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=0,
              origin={34,22})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 KEffect(data={
              {0.0,0.0,0},{4.4,1.0,0.5},{5.5,3.0,0}}) 
          annotation (Placement(transformation(extent={{24,22},{44,42}})));
        Modelica.Blocks.Math.Gain mEq_per_L(k=1000) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={15,31})));
        Modelica.Blocks.Math.Division division 
          annotation (Placement(transformation(extent={{-18,6},{-14,10}})));
        Library.Factors.SimpleMultiply KidneyFunction 
          annotation (Placement(transformation(extent={{44,54},{24,74}})));
        HumMod.Library.Interfaces.RealInput_ KidneyFunctionEffect(final
            quantity="Effect", final unit="1") 
          annotation (Placement(transformation(extent={{64,60},{56,68}}),
              iconTransformation(extent={{-100,76},{-88,88}})));
        Library.Interfaces.RealOutput_ CD_Outflow 
                                        annotation (Placement(transformation(extent={{-4,-4},
                  {4,4}},
              rotation=0,
              origin={62,26}),       iconTransformation(extent={{100,0},{120,20}})));
        Library.Interfaces.RealOutput_ KCell_Mass 
                                        annotation (Placement(transformation(extent={{-4,-4},
                  {4,4}},
              rotation=0,
              origin={-18,68}),      iconTransformation(extent={{100,20},{120,
                  40}})));
        Library.Interfaces.RealOutput_ KPool_mass 
                                        annotation (Placement(transformation(extent={{-16,-6},
                  {-8,2}}),          iconTransformation(extent={{100,80},{120,
                  100}})));
        Library.Interfaces.RealOutput_ KPool_conc_per_liter 
                                        annotation (Placement(transformation(extent={{46,2},{
                  54,10}}),          iconTransformation(extent={{100,60},{120,
                  80}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={30,6})));
        Modelica.Blocks.Math.Gain gain(k=1000) 
          annotation (Placement(transformation(extent={{40,4},{44,8}})));
        HumMod.Library.Factors.NonlinearSystemPatch.Spline3DelayByDay
          splineDelayByDay(Tau=120/1440, data={{0,0.9,0.0},{300,1.0,0.00025},{
              1500,1.1,0.0}})                               annotation (
            Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=90,
              origin={-48,58})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{82,-20},{94,-8}})));
        Library.Interfaces.RealInput_ BladderVoidFlow(final quantity="Flow",
            final unit="ml/min") 
          annotation (Placement(transformation(extent={{74,-8},{82,0}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=0,
              origin={-94,-106})));
        Library.Interfaces.RealOutput_ GILumenPotasium_Mass 
                                        annotation (Placement(transformation(extent={{4,-60},
                  {12,-52}}),        iconTransformation(extent={{100,-40},{120,
                  -20}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
            unitsString="mEq/l", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-8,80})));
        Library.Interfaces.RealOutput_ KCell_conc 
                                        annotation (Placement(transformation(extent={{-8,84},
                  {0,92}}),          iconTransformation(extent={{100,40},{120,
                  60}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure annotation (Placement(
              transformation(
              extent={{-8,8},{8,-8}},
              rotation=90,
              origin={-24,34})));
        Library.Interfaces.RealOutput_ PotassiumToCells(unit="mEq/min") 
                                        annotation (Placement(transformation(
                extent={{-20,30},{-12,38}}), iconTransformation(extent={{100,
                  -80},{120,-60}})));
        Library.ConcentrationFlow.SoluteFlowPump KFluxToCellWithGlucose 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-70,50})));
        Modelica.Blocks.Math.Gain CGL3(k=.03)
          "glucose flow into cells to potassium flow into cells" 
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-82,50})));
        HumMod.Library.Interfaces.RealInput_ GlucoseToCellsFlow(final quantity=
              "Flow", final unit="mmol/min") 
          annotation (Placement(transformation(extent={{-102,46},{-94,54}}),
              iconTransformation(extent={{-100,88},{-88,100}})));
        IkedaPotasiumIntoICFFactor IkedaIntoICF annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-40,58})));
        HumMod.Library.Interfaces.RealInput_ Artys_pH 
          annotation (Placement(transformation(extent={{-56,38},{-48,46}}),
              iconTransformation(extent={{-100,-32},{-88,-20}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure2(
            unitsString="mEq/l", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-48,24})));
        Library.Interfaces.RealOutput_ KPool_per_liter(unit="mEq/l") 
                                        annotation (Placement(transformation(extent={{-70,26},
                  {-78,34}}),        iconTransformation(extent={{100,-60},{120,
                  -40}})));
      equation
        connect(KPool.SolventVolume, ECFV_Vol)  annotation (Line(
            points={{-32,30},{-37,30},{-37,32},{-42,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.SolventVolume, GILumenVolume_Mass) annotation (Line(
            points={{-16,-20},{-23,-20},{-23,-18},{-30,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
            points={{-8,-26},{-1,-26},{-1,-26},{6,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Absorbtion.q_out, KPool.q_out)  annotation (Line(
            points={{18,-26},{22,-26},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Hemorrhage.q_in, KPool.q_out)  annotation (Line(
            points={{24,-76},{22,-76},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, KPool.q_out)  annotation (Line(
            points={{24,-90},{22,-90},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KPool.q_out, SweatDuct.q_in)  annotation (Line(
            points={{-24,24},{22,24},{22,-62},{24,-62}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, KPool.q_out)  annotation (Line(
            points={{16,-84},{22,-84},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, KPool.q_out)  annotation (Line(
            points={{16,-70},{22,-70},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bladder.SolventVolume, BladderVolume_Mass) annotation (Line(
            points={{80,30},{74,30},{74,32},{68,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect1.y, NaEffect.yBase)    annotation (Line(
            points={{34,46},{34,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.y, AldoEffect1.yBase) annotation (Line(
            points={{34,54},{34,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.u, ThiazidePool_Thiazide_conc) annotation (Line(
            points={{43.8,56},{60,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IVDrip.desiredFlow, IVDrip_KRate)  annotation (Line(
            points={{10,-66},{10,-64},{0,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Transfusion.desiredFlow, Transfusion_KRate)  annotation (Line(
            points={{10,-80},{0,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatDuct.desiredFlow, SweatDuct_KRate)  annotation (Line(
            points={{30,-58},{30,-57},{39,-57}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hemorrhage_KRate, Hemorrhage.desiredFlow)  annotation (Line(
            points={{39,-71},{30.5,-71},{30.5,-72},{30,-72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DialyzerActivity.desiredFlow, DialyzerActivity_K_Flux) 
          annotation (Line(
            points={{30,-86},{30,-85},{39,-85}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.desiredFlow, DietIntakeElectrolytes_K) 
                                                   annotation (Line(
            points={{-26,-28},{-26,-26},{-32,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.q_out, GILumen.q_out) annotation (Line(
            points={{-20,-32},{-16,-32},{-16,-26},{-8,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diarrhea.desiredFlow, GILumenDiarrhea_KLoss) 
                                                         annotation (Line(
            points={{-26,-48},{-26,-51},{-29,-51}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
            points={{-8,-26},{-16,-26},{-16,-44},{-20,-44}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KCell.SolventVolume, CellH2O_Vol) annotation (Line(
            points={{-28,86},{-46,86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
            points={{6.3,-45},{12,-45},{12,-29.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm.u, GILumen.SoluteMass) annotation (Line(
            points={{-0.6,-45},{-8,-45},{-8,-33.8}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(KFluxToCell.q_out, KCell.q_out) annotation (Line(
            points={{-30,64},{-30,80},{-20,80}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KCell.q_out, KFluxToPool.q_in) annotation (Line(
            points={{-20,80},{-12,80},{-12,54}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KPool.SoluteMass, Perm1.u) annotation (Line(
            points={{-24,16.2},{-24,10},{-55,10},{-55,49.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell.SoluteMass, feedback.u1) annotation (Line(
            points={{-20,72.2},{-20,58},{-9.2,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell_CaptiveMass.y, feedback.u2) annotation (Line(
            points={{-2.6,72},{-6,72},{-6,61.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, Perm2.u) annotation (Line(
            points={{-2.4,58},{3.3,58},{3.3,56.6},{3,56.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KFluxToPool.soluteFlow, Perm2.y) annotation (Line(
            points={{-8.4,48},{3,48},{3,49.7}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect1.u, NephronAldo_conc_in_nG_per_dL) annotation (Line(
            points={{43.8,48},{60,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NaEffect.u, DT_Na_Outflow) annotation (Line(
            points={{43.8,40},{51.4,40},{51.4,39},{59,39}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KPool.q_out, DT_K.q_in) annotation (Line(
            points={{-24,24},{22,24},{22,22},{28,22}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(NaEffect.y, KEffect.yBase) annotation (Line(
            points={{34,38},{34,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KEffect.y, DT_K.soluteFlow) annotation (Line(
            points={{34,30},{34,25.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mEq_per_L.y, KEffect.u) annotation (Line(
            points={{18.3,31},{21.15,31},{21.15,32},{24.2,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.u1, KPool.SoluteMass) annotation (Line(
            points={{-18.4,9.2},{-24,9.2},{-24,16.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ECFV_Vol, division.u2) annotation (Line(
            points={{-42,32},{-38,32},{-38,6.8},{-18.4,6.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.y, mEq_per_L.u) annotation (Line(
            points={{-13.8,8},{-8,8},{-8,31},{11.4,31}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(electrolytesFlowConstant.y, KidneyFunction.yBase) annotation (
            Line(
            points={{30.6,82},{34,82},{34,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KidneyFunction.y, ThiazideEffect.yBase) annotation (Line(
            points={{34,62},{34,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KidneyFunction.u, KidneyFunctionEffect) annotation (Line(
            points={{43.8,64},{60,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DT_K.q_out, Bladder.q_out) annotation (Line(
            points={{40,22},{64,22},{64,24},{88,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KEffect.y, CD_Outflow) annotation (Line(
            points={{34,30},{34,26},{62,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell_Mass, KCell.SoluteMass) annotation (Line(
            points={{-18,68},{-20,68},{-20,72.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KPool.SoluteMass, KPool_mass) annotation (Line(
            points={{-24,16.2},{-24,-2},{-12,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, KPool.q_out) annotation (Line(
            points={{30,6},{22,6},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(concentrationMeasure.actualConc, gain.u) annotation (Line(
            points={{34,6},{36.8,6},{36.8,6},{39.6,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, KPool_conc_per_liter) annotation (Line(
            points={{44.2,6},{50,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm1.y, splineDelayByDay.yBase) annotation (Line(
            points={{-55,56.3},{-55,58},{-50,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splineDelayByDay.u, AldoPool_Aldo) annotation (Line(
            points={{-48,67.8},{-48,72},{-56,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{88,24},{66,24},{66,-14},{82,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, BladderVoidFlow) annotation (Line(
            points={{88,-10.4},{88,-4},{78,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.SoluteMass, GILumenPotasium_Mass) annotation (Line(
            points={{-8,-33.8},{-8,-56},{8,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell.q_out, concentrationMeasure1.q_in) annotation (Line(
            points={{-20,80},{-8,80}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure1.actualConc, KCell_conc) annotation (Line(
            points={{-8,84},{-8,88},{-4,88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KPool.q_out, flowMeasure.q_in) annotation (Line(
            points={{-24,24},{-24,30.8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToPool.q_out) annotation (Line(
            points={{-24,37.2},{-24,38},{-12,38},{-12,42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToCell.q_in) annotation (Line(
            points={{-24,37.2},{-24,38},{-30,38},{-30,52}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, PotassiumToCells) annotation (Line(
            points={{-20,34},{-16,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToCellWithGlucose.q_in) annotation (
            Line(
            points={{-24,37.2},{-24,38},{-70,38},{-70,44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(KFluxToCellWithGlucose.q_out, KCell.q_out) annotation (Line(
            points={{-70,56},{-70,80},{-20,80}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CGL3.y, KFluxToCellWithGlucose.soluteFlow) annotation (Line(
            points={{-77.6,50},{-73.6,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GlucoseToCellsFlow, CGL3.u) annotation (Line(
            points={{-98,50},{-86.8,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IkedaIntoICF.y, KFluxToCell.soluteFlow) annotation (Line(
            points={{-34.8,58},{-33.6,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splineDelayByDay.y, IkedaIntoICF.yBase) annotation (Line(
            points={{-46,58},{-45,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IkedaIntoICF.Artys_pH, Artys_pH) annotation (Line(
            points={{-43,48},{-43,42},{-52,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure2.q_in, KPool.q_out) annotation (Line(
            points={{-48,24},{-24,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure2.actualConc, IkedaIntoICF.PotasiumECF_conc) 
          annotation (Line(
            points={{-48,28},{-48,40},{-37,40},{-37,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure2.actualConc, KPool_per_liter) annotation (
            Line(
            points={{-48,28},{-48,30},{-74,30}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/K.jpg")}));
      end Potassium;

      model IkedaPotasiumIntoICFFactor

        Library.Interfaces.RealInput_ yBase 
                         annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,100}),
              iconTransformation(extent={{-10,-10},{10,10}},rotation=270,
              origin={0,50})));
        Library.Interfaces.RealOutput_ y 
                      annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-80}),
              iconTransformation(extent={{-10,-10},{10,10}},  rotation=270,
              origin={0,-52})));

        Library.Interfaces.RealInput_ Artys_pH annotation (Placement(transformation(
                extent={{-118,10},{-78,50}}), iconTransformation(extent={{-120,10},{-80,
                  50}})));
        Library.Interfaces.RealInput_ PotasiumECF_conc annotation (Placement(
              transformation(extent={{-118,-28},{-78,12}}),iconTransformation(extent={
                  {-120,-50},{-80,-10}})));

        Real effect;
      equation
        effect = 1+0.5*log(PotasiumECF_conc/(56.744-7.06*Artys_pH));
        y = yBase*effect;
       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,50},{100,-50}},
                lineColor={127,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-86,-36},{100,40}},
                textString="%name",
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere)}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end IkedaPotasiumIntoICFFactor;

      model Potassium2
        //extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment KPool(
            initialSoluteMass=62.897, stateName="KPool.Mass") 
          annotation (Placement(transformation(extent={{-34,14},{-14,34}})));
        Library.ConcentrationFlow.ConcentrationCompartment GILumen(
            initialSoluteMass=25, stateName="GILumenPotassium.Mass") 
          annotation (Placement(transformation(extent={{-18,-36},{2,-16}})));
        Library.ConcentrationFlow.SoluteFlowPump Absorbtion 
          annotation (Placement(transformation(extent={{6,-20},{18,-32}})));
        Modelica.Blocks.Math.Gain Perm(k=.002) 
          annotation (Placement(transformation(extent={{0,-48},{6,-42}})));
        Library.ConcentrationFlow.OutputPump Hemorrhage 
          annotation (Placement(transformation(extent={{20,-86},{40,-66}})));
        Library.ConcentrationFlow.OutputPump DialyzerActivity 
          annotation (Placement(transformation(extent={{20,-100},{40,-80}})));
        Library.ConcentrationFlow.OutputPump SweatDuct 
          annotation (Placement(transformation(extent={{20,-72},{40,-52}})));
        Library.ConcentrationFlow.InputPump IVDrip 
          annotation (Placement(transformation(extent={{0,-80},{20,-60}})));
        Library.ConcentrationFlow.InputPump Transfusion 
          annotation (Placement(transformation(extent={{0,-94},{20,-74}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0,
          STEADY=false,
          stateName="BladderPotassium.Mass") 
          annotation (Placement(transformation(extent={{94,12},{74,32}})));
        HumMod.Library.Factors.SplineValue NaEffect(data={{0.0,0.3,0},{0.4,1.0,
              1.5},{4.0,3.0,0}}) 
          annotation (Placement(transformation(extent={{44,30},{24,50}})));
        Library.Factors.SplineValue AldoEffect(data={{0.0,0.3,0},{12.0,1.0,0.06},{50.0,
              3.0,0}}) 
          annotation (Placement(transformation(extent={{44,38},{24,58}})));
        HumMod.Library.Factors.SplineValue ThiazideEffect(data={{0.0,1.0,2.0},{
              0.6,2.0,0}}) 
          annotation (Placement(transformation(extent={{44,46},{24,66}})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-66,-42},{-46,-22}})));
        Library.ConcentrationFlow.OutputPump Diarrhea 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-56,-44})));
        Library.ConcentrationFlow.ConcentrationCompartment KCell(
            initialSoluteMass=3769.74, stateName="KCell.Mass") 
          annotation (Placement(transformation(extent={{-30,70},{-10,90}})));
        Library.ConcentrationFlow.SoluteFlowPump KFluxToCell 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-30,58})));
        Modelica.Blocks.Math.Gain Perm1(k=.002) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=90,
              origin={-55,53})));
        Library.ConcentrationFlow.SoluteFlowPump KFluxToPool 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-12,48})));
        Modelica.Blocks.Math.Feedback feedback 
          annotation (Placement(transformation(extent={{-10,62},{-2,54}})));
        HumMod.Library.Blocks.ElectrolytesMassConstant KCell_CaptiveMass(k=2180) 
          annotation (Placement(transformation(extent={{8,76},{-2,66}})));
        Modelica.Blocks.Math.Gain Perm2(k=7.4e-5) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=270,
              origin={3,53})));
        Library.Blocks.ElectrolytesFlowConstant electrolytesFlowConstant(k=.05) 
          annotation (Placement(transformation(extent={{18,76},{30,88}})));
        Library.ConcentrationFlow.SoluteFlowPump DT_K 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=0,
              origin={34,22})));
        HumMod.Library.Factors.SplineValue KEffect(data={{0.0,0.0,0},{4.4,1.0,
              0.5},{5.5,3.0,0}}) 
          annotation (Placement(transformation(extent={{24,22},{44,42}})));
        Modelica.Blocks.Math.Gain mEq_per_L(k=1000) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={15,31})));
        Modelica.Blocks.Math.Division division 
          annotation (Placement(transformation(extent={{-18,6},{-14,10}})));
        Library.Factors.SimpleMultiply KidneyFunction 
          annotation (Placement(transformation(extent={{44,54},{24,74}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={30,6})));
        Modelica.Blocks.Math.Gain gain(k=1000) 
          annotation (Placement(transformation(extent={{40,4},{44,8}})));
        Library.Factors.SplineDelayByDay splineDelayByDay(              data={{
              0,0.9,0.0},{300,1.0,0.00025},{1500,1.1,0.0}}, Tau=120*1440) 
                                                            annotation (
            Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=90,
              origin={-48,58})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{82,-20},{94,-8}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
            unitsString="mEq/l", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-8,80})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure annotation (Placement(
              transformation(
              extent={{-8,8},{8,-8}},
              rotation=90,
              origin={-24,34})));
        Library.ConcentrationFlow.SoluteFlowPump KFluxToCellWithGlucose 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-68,60})));
        Modelica.Blocks.Math.Gain CGL3(k=.03)
          "glucose flow into cells to potassium flow into cells" 
          annotation (Placement(transformation(extent={{-2,-2},{2,2}},
              rotation=0,
              origin={-78,60})));
        IkedaPotasiumIntoICFFactor IkedaIntoICF annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-40,58})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure2(
            unitsString="mEq/l", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-48,24})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-94,88},{-82,100}}),
              iconTransformation(extent={{60,60},{100,100}})));
        Modelica.Blocks.Math.Add3 YGLS "Ikeda glucose to cells flow" 
          annotation (Placement(transformation(extent={{-84,66},{-74,76}})));
        Library.Blocks.ElectrolytesFlowConstant electrolytesFlowConstant1(k=0) 
          annotation (Placement(transformation(extent={{-90,46},{-80,56}})));
        Library.Blocks.Constant Constant7(k=70/1440) 
          annotation (Placement(transformation(extent={{-66,-16},{-58,-8}})));
        Library.Factors.SplineValue LeptinEffect2(data={{0,3.0,0},{8,1.0,-0.04},{
              50,0.0,0}}) 
          annotation (Placement(transformation(extent={{-66,-30},{-46,-10}})));

      Real ECF_conc;
      equation
        ECF_conc=concentrationMeasure2.actualConc;
        connect(GILumen.SolventVolume, busConnector. GILumenVolume_Mass) annotation (Line(
            points={{-16,-20},{-24,-20},{-24,-4},{-96,-4},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
            points={{-8,-26},{6,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Absorbtion.q_out, KPool.q_out)  annotation (Line(
            points={{18,-26},{22,-26},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Hemorrhage.q_in, KPool.q_out)  annotation (Line(
            points={{24,-76},{22,-76},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, KPool.q_out)  annotation (Line(
            points={{24,-90},{22,-90},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KPool.q_out, SweatDuct.q_in)  annotation (Line(
            points={{-24,24},{22,24},{22,-62},{24,-62}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, KPool.q_out)  annotation (Line(
            points={{16,-84},{22,-84},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, KPool.q_out)  annotation (Line(
            points={{16,-70},{22,-70},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bladder.SolventVolume, busConnector. BladderVolume_Mass) annotation (Line(
            points={{92,28},{98,28},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(AldoEffect.y, NaEffect.yBase)     annotation (Line(
            points={{34,46},{34,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.y, AldoEffect.yBase)  annotation (Line(
            points={{34,54},{34,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.u, busConnector. ThiazidePool_Thiazide_conc) annotation (Line(
            points={{43.8,56},{98,56},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(IVDrip.desiredFlow, busConnector. IVDrip_KRate)  annotation (Line(
            points={{10,-66},{10,-64},{-96,-64},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Transfusion.desiredFlow, busConnector. Transfusion_KRate)  annotation (Line(
            points={{10,-80},{-96,-80},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(SweatDuct.desiredFlow, busConnector. SweatDuct_KRate)  annotation (Line(
            points={{30,-58},{30,-54},{98,-54},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(busConnector.Hemorrhage_KRate, Hemorrhage.desiredFlow)  annotation (Line(
            points={{-88,94},{98,94},{98,-72},{30,-72}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(DialyzerActivity.desiredFlow, busConnector. DialyzerActivity_K_Flux) 
          annotation (Line(
            points={{30,-86},{98,-86},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Diet.q_out, GILumen.q_out) annotation (Line(
            points={{-50,-32},{-16,-32},{-16,-26},{-8,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diarrhea.desiredFlow, busConnector. GILumenDiarrhea_KLoss) 
                                                         annotation (Line(
            points={{-56,-48},{-96,-48},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
            points={{-8,-26},{-16,-26},{-16,-44},{-50,-44}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KCell.SolventVolume, busConnector. CellH2O_Vol) annotation (Line(
            points={{-28,86},{-95,86},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
            points={{6.3,-45},{12,-45},{12,-29.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm.u, GILumen.SoluteMass) annotation (Line(
            points={{-0.6,-45},{-8,-45},{-8,-33.8}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(KFluxToCell.q_out, KCell.q_out) annotation (Line(
            points={{-30,64},{-30,80},{-20,80}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KCell.q_out, KFluxToPool.q_in) annotation (Line(
            points={{-20,80},{-12,80},{-12,54}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KPool.SoluteMass, Perm1.u) annotation (Line(
            points={{-24,16.2},{-24,10},{-55,10},{-55,49.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell.SoluteMass, feedback.u1) annotation (Line(
            points={{-20,72.2},{-20,58},{-9.2,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell_CaptiveMass.y, feedback.u2) annotation (Line(
            points={{-2.5,71},{-6,71},{-6,61.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, Perm2.u) annotation (Line(
            points={{-2.4,58},{3.3,58},{3.3,56.6},{3,56.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KFluxToPool.soluteFlow, Perm2.y) annotation (Line(
            points={{-8.4,48},{3,48},{3,49.7}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NaEffect.u, busConnector. DT_Na_Outflow) annotation (Line(
            points={{43.8,40},{98,40},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(KPool.q_out, DT_K.q_in) annotation (Line(
            points={{-24,24},{22,24},{22,22},{28,22}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(NaEffect.y, KEffect.yBase) annotation (Line(
            points={{34,38},{34,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KEffect.y, DT_K.soluteFlow) annotation (Line(
            points={{34,30},{34,25.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mEq_per_L.y, KEffect.u) annotation (Line(
            points={{18.3,31},{21.15,31},{21.15,32},{24.2,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.u1, KPool.SoluteMass) annotation (Line(
            points={{-18.4,9.2},{-24,9.2},{-24,16.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ECFV_Vol, division.u2) annotation (Line(
            points={{-88,94},{-96,94},{-96,6.8},{-18.4,6.8}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(division.y, mEq_per_L.u) annotation (Line(
            points={{-13.8,8},{-8,8},{-8,31},{11.4,31}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(electrolytesFlowConstant.y, KidneyFunction.yBase) annotation (
            Line(
            points={{30.6,82},{34,82},{34,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KidneyFunction.y, ThiazideEffect.yBase) annotation (Line(
            points={{34,62},{34,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KidneyFunction.u, busConnector. KidneyFunctionEffect) annotation (Line(
            points={{43.8,64},{98,64},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(DT_K.q_out, Bladder.q_out) annotation (Line(
            points={{40,22},{84,22}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector.KCell_Mass, KCell.SoluteMass) annotation (Line(
            points={{-88,94},{-4,94},{-4,72},{-20,72},{-20,72.2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(KPool.SoluteMass, busConnector. KPool_mass) annotation (Line(
            points={{-24,16.2},{-24,10},{-96,10},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure.q_in, KPool.q_out) annotation (Line(
            points={{30,6},{22,6},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(concentrationMeasure.actualConc, gain.u) annotation (Line(
            points={{34,6},{36.8,6},{36.8,6},{39.6,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, busConnector. KPool_conc_per_liter) annotation (Line(
            points={{44.2,6},{98,6},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Perm1.y, splineDelayByDay.yBase) annotation (Line(
            points={{-55,56.3},{-55,58},{-50,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splineDelayByDay.u, busConnector. AldoPool_Aldo) annotation (Line(
            points={{-48,67.8},{-48,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{84,22},{66,22},{66,-14},{82,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, busConnector. BladderVoidFlow) annotation (Line(
            points={{88,-10.4},{88,-6},{98,-6},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.SoluteMass, busConnector. GILumenPotasium_Mass) annotation (Line(
            points={{-8,-33.8},{-8,-54},{-96,-54},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(KCell.q_out, concentrationMeasure1.q_in) annotation (Line(
            points={{-20,80},{-8,80}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure1.actualConc, busConnector. KCell_conc) annotation (Line(
            points={{-8,84},{-8,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(KPool.q_out, flowMeasure.q_in) annotation (Line(
            points={{-24,24},{-24,30.8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToPool.q_out) annotation (Line(
            points={{-24,37.2},{-24,38},{-12,38},{-12,42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToCell.q_in) annotation (Line(
            points={{-24,37.2},{-24,38},{-30,38},{-30,52}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, busConnector. PotassiumToCells) annotation (Line(
            points={{-20,34},{-95,34},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(flowMeasure.q_out, KFluxToCellWithGlucose.q_in) annotation (
            Line(
            points={{-24,37.2},{-24,38},{-68,38},{-68,54}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(KFluxToCellWithGlucose.q_out, KCell.q_out) annotation (Line(
            points={{-68,66},{-68,80},{-20,80}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(IkedaIntoICF.y, KFluxToCell.soluteFlow) annotation (Line(
            points={{-34.8,58},{-33.6,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splineDelayByDay.y, IkedaIntoICF.yBase) annotation (Line(
            points={{-46,58},{-45,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IkedaIntoICF.Artys_pH, busConnector. Artys_pH) annotation (Line(
            points={{-43,48},{-44,46},{-44,42},{-96,42},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure2.q_in, KPool.q_out) annotation (Line(
            points={{-48,24},{-24,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure2.actualConc, IkedaIntoICF.PotasiumECF_conc) 
          annotation (Line(
            points={{-48,28},{-48,40},{-37,40},{-37,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure2.actualConc, busConnector. KPool_per_liter) annotation (
            Line(
            points={{-48,28},{-48,30},{-96,30},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));

        connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow,YGLS. u2) 
                   annotation (Line(
            points={{-88,94},{-96,94},{-96,71},{-85,71}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.liver_GlucoseToCellStorageFlow,YGLS. u1) 
          annotation (Line(
            points={{-88,94},{-96,94},{-96,75},{-85,75}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow,YGLS. u3) 
          annotation (Line(
            points={{-88,94},{-96,94},{-96,67},{-85,67}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(YGLS.y, CGL3.u) annotation (Line(
            points={{-73.5,71},{-72,71},{-72,64},{-82,64},{-82,60},{-80.4,60}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(KEffect.y, busConnector. CD_K_Outflow) annotation (Line(
            points={{34,30},{98,30},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure2.actualConc, busConnector.KPool) 
          annotation (Line(
            points={{-48,28},{-96,28},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumen.SoluteMass, busConnector.GILumenPotassium_Mass) 
          annotation (Line(
            points={{-8,-33.8},{-8,-54},{-96,-54},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(electrolytesFlowConstant1.y, KFluxToCellWithGlucose.soluteFlow) 
          annotation (Line(
            points={{-79.5,51},{-74,51},{-74,60},{-71.6,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-88,94},{-96,94},{-96,-20},{-65.8,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-57.6,-12},{-56,-12},{-56,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeptinEffect2.y, Diet.desiredFlow) annotation (Line(
            points={{-56,-22},{-56,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect.u, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (
           Line(
            points={{43.8,48},{98,48},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.ECFV_Vol, KPool.SolventVolume) annotation (Line(
            points={{-88,94},{-96,94},{-96,16},{-38,16},{-38,30},{-32,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/K.jpg"), Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
</html>", info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));
      end Potassium2;

      package test
        model T
          import QHP = HumMod;
          Potassium2 potassium2_1 
            annotation (Placement(transformation(extent={{-40,22},{-20,42}})));
          QHP.Electrolytes.setup.ElectrolytesConstInputs
            electrolytesConstInputs 
            annotation (Placement(transformation(extent={{2,30},{22,50}})));
          QHP.Electrolytes.Potassium.setup.ConstInputsFromOtherElectrolytes
            constInputsFromOtherElectrolytes 
            annotation (Placement(transformation(extent={{4,4},{24,24}})));
        equation
          connect(potassium2_1.busConnector, electrolytesConstInputs.busConnector) 
            annotation (Line(
              points={{-22,40},{-4.95,40},{-4.95,40},{10,40}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(potassium2_1.busConnector, constInputsFromOtherElectrolytes.busConnector) 
            annotation (Line(
              points={{-22,40},{-6,40},{-6,14},{12,14}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
        end T;
      end test;

      package setup
        model ConstInputsFromOtherElectrolytes

        Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{44,58},{64,78}}),
                 iconTransformation(extent={{-40,-20},{0,20}})));
        Library.Blocks.Constant DT_Na_Outflow(k=0.48247099389415) 
        annotation (Placement(transformation(extent={{-20,42},{-14,48}})));
        equation

          connect(DT_Na_Outflow.y, busConnector.DT_Na_Outflow) annotation (Line(
         points={{-13.7,45},{54,45},{54,68}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                                 graphics));
        end ConstInputsFromOtherElectrolytes;
      end setup;

      model Potassium2_corrected
        //extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment KPool(
            initialSoluteMass=62.897) 
          annotation (Placement(transformation(extent={{-34,14},{-14,34}})));
        Library.ConcentrationFlow.ConcentrationCompartment GILumen(
            initialSoluteMass=25) 
          annotation (Placement(transformation(extent={{-18,-36},{2,-16}})));
        Library.ConcentrationFlow.SoluteFlowPump Absorbtion 
          annotation (Placement(transformation(extent={{6,-20},{18,-32}})));
        Modelica.Blocks.Math.Gain Perm(k=.002) 
          annotation (Placement(transformation(extent={{0,-48},{6,-42}})));
        Library.ConcentrationFlow.OutputPump Hemorrhage 
          annotation (Placement(transformation(extent={{20,-86},{40,-66}})));
        Library.ConcentrationFlow.OutputPump DialyzerActivity 
          annotation (Placement(transformation(extent={{20,-100},{40,-80}})));
        Library.ConcentrationFlow.OutputPump SweatDuct 
          annotation (Placement(transformation(extent={{20,-72},{40,-52}})));
        Library.ConcentrationFlow.InputPump IVDrip 
          annotation (Placement(transformation(extent={{0,-80},{20,-60}})));
        Library.ConcentrationFlow.InputPump Transfusion 
          annotation (Placement(transformation(extent={{0,-94},{20,-74}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0) 
          annotation (Placement(transformation(extent={{94,12},{74,32}})));
        HumMod.Library.Factors.SplineValue NaEffect(data={{0.0,0.3,0},{0.4,1.0,
              1.5},{4.0,3.0,0}}) 
          annotation (Placement(transformation(extent={{44,30},{24,50}})));
        Library.Factors.SplineValue AldoEffect(data={{0.0,0.3,0},{12.0,1.0,0.06},
              {50.0,3.0,0}}) 
          annotation (Placement(transformation(extent={{44,38},{24,58}})));
        HumMod.Library.Factors.SplineValue ThiazideEffect(data={{0.0,1.0,2.0},{
              0.6,2.0,0}}) 
          annotation (Placement(transformation(extent={{44,46},{24,66}})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-66,-42},{-46,-22}})));
        Library.ConcentrationFlow.OutputPump Diarrhea 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-56,-44})));
        Library.ConcentrationFlow.ConcentrationCompartment KCell(
            initialSoluteMass=3769.74) 
          annotation (Placement(transformation(extent={{-30,70},{-10,90}})));
        Library.ConcentrationFlow.SoluteFlowPump KFluxToCell 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-30,58})));
        Modelica.Blocks.Math.Gain Perm1(k=.002) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=90,
              origin={-55,53})));
        Library.ConcentrationFlow.SoluteFlowPump KFluxToPool 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-12,48})));
        Modelica.Blocks.Math.Feedback feedback 
          annotation (Placement(transformation(extent={{-10,62},{-2,54}})));
        HumMod.Library.Blocks.ElectrolytesMassConstant KCell_CaptiveMass(k=2180) 
          annotation (Placement(transformation(extent={{8,76},{-2,66}})));
        Modelica.Blocks.Math.Gain Perm2(k=7.4e-5) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=270,
              origin={3,53})));
        Library.Blocks.ElectrolytesFlowConstant electrolytesFlowConstant(k=.05) 
          annotation (Placement(transformation(extent={{18,76},{30,88}})));
        Library.ConcentrationFlow.SoluteFlowPump DT_K 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=0,
              origin={34,22})));
        HumMod.Library.Factors.SplineValue KEffect(data={{0.0,0.0,0},{4.4,1.0,
              0.5},{5.5,3.0,0}}) 
          annotation (Placement(transformation(extent={{24,22},{44,42}})));
        Modelica.Blocks.Math.Gain mEq_per_L(k=1000) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={15,31})));
        Modelica.Blocks.Math.Division division 
          annotation (Placement(transformation(extent={{-18,6},{-14,10}})));
        Library.Factors.SimpleMultiply KidneyFunction 
          annotation (Placement(transformation(extent={{44,54},{24,74}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={30,6})));
        Modelica.Blocks.Math.Gain gain(k=1000) 
          annotation (Placement(transformation(extent={{40,4},{44,8}})));
        Library.Factors.SplineDelayByDay splineDelayByDay(              data={{
              0,0.9,0.0},{300,1.0,0.00025},{1500,1.1,0.0}}, Tau=120*1440) 
                                                            annotation (
            Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=90,
              origin={-48,58})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{82,-20},{94,-8}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
            unitsString="mEq/l", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-8,80})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure annotation (Placement(
              transformation(
              extent={{-8,8},{8,-8}},
              rotation=90,
              origin={-24,34})));
        Library.ConcentrationFlow.SoluteFlowPump KFluxToCellWithGlucose 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-68,60})));
        Modelica.Blocks.Math.Gain CGL3(k=.03)
          "glucose flow into cells to potassium flow into cells" 
          annotation (Placement(transformation(extent={{-2,-2},{2,2}},
              rotation=0,
              origin={-78,60})));
        IkedaPotasiumIntoICFFactor IkedaIntoICF annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-40,58})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure2(
            unitsString="mEq/l", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-48,24})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-94,88},{-82,100}}),
              iconTransformation(extent={{60,60},{100,100}})));
        Modelica.Blocks.Math.Add3 YGLS "Ikeda glucose to cells flow" 
          annotation (Placement(transformation(extent={{-84,66},{-74,76}})));
        Library.Blocks.ElectrolytesFlowConstant electrolytesFlowConstant1(k=0) 
          annotation (Placement(transformation(extent={{-90,46},{-80,56}})));
        Library.Blocks.Constant Constant7(k=70/1440) 
          annotation (Placement(transformation(extent={{-66,-16},{-58,-8}})));
        Library.Factors.SplineValue LeptinEffect2(data={{0,3.0,0},{8,1.0,-0.04},{
              50,0.0,0}}) 
          annotation (Placement(transformation(extent={{-66,-30},{-46,-10}})));
      equation

      connect(KPool.SolventVolume, busConnector. ECFV_Vol)  annotation (Line(
            points={{-32,30},{-95,30},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.SolventVolume, busConnector. GILumenVolume_Mass) annotation (Line(
            points={{-16,-20},{-24,-20},{-24,-4},{-96,-4},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
            points={{-8,-26},{6,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Absorbtion.q_out, KPool.q_out)  annotation (Line(
            points={{18,-26},{22,-26},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Hemorrhage.q_in, KPool.q_out)  annotation (Line(
            points={{24,-76},{22,-76},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, KPool.q_out)  annotation (Line(
            points={{24,-90},{22,-90},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KPool.q_out, SweatDuct.q_in)  annotation (Line(
            points={{-24,24},{22,24},{22,-62},{24,-62}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, KPool.q_out)  annotation (Line(
            points={{16,-84},{22,-84},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, KPool.q_out)  annotation (Line(
            points={{16,-70},{22,-70},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bladder.SolventVolume, busConnector. BladderVolume_Mass) annotation (Line(
            points={{92,28},{98,28},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(AldoEffect.y, NaEffect.yBase)     annotation (Line(
            points={{34,46},{34,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.y, AldoEffect.yBase)  annotation (Line(
            points={{34,54},{34,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.u, busConnector. ThiazidePool_Thiazide_conc) annotation (Line(
            points={{43.8,56},{98,56},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(IVDrip.desiredFlow, busConnector. IVDrip_KRate)  annotation (Line(
            points={{10,-66},{10,-64},{-96,-64},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Transfusion.desiredFlow, busConnector. Transfusion_KRate)  annotation (Line(
            points={{10,-80},{-96,-80},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(SweatDuct.desiredFlow, busConnector. SweatDuct_KRate)  annotation (Line(
            points={{30,-58},{30,-54},{98,-54},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(busConnector.Hemorrhage_KRate, Hemorrhage.desiredFlow)  annotation (Line(
            points={{-88,94},{98,94},{98,-72},{30,-72}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(DialyzerActivity.desiredFlow, busConnector. DialyzerActivity_K_Flux) 
          annotation (Line(
            points={{30,-86},{98,-86},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Diet.q_out, GILumen.q_out) annotation (Line(
            points={{-50,-32},{-16,-32},{-16,-26},{-8,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diarrhea.desiredFlow, busConnector. GILumenDiarrhea_KLoss) 
                                                         annotation (Line(
            points={{-56,-48},{-96,-48},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
            points={{-8,-26},{-16,-26},{-16,-44},{-50,-44}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KCell.SolventVolume, busConnector. CellH2O_Vol) annotation (Line(
            points={{-28,86},{-95,86},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
            points={{6.3,-45},{12,-45},{12,-29.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm.u, GILumen.SoluteMass) annotation (Line(
            points={{-0.6,-45},{-8,-45},{-8,-33.8}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(KFluxToCell.q_out, KCell.q_out) annotation (Line(
            points={{-30,64},{-30,80},{-20,80}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KCell.q_out, KFluxToPool.q_in) annotation (Line(
            points={{-20,80},{-12,80},{-12,54}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KPool.SoluteMass, Perm1.u) annotation (Line(
            points={{-24,16.2},{-24,10},{-55,10},{-55,49.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell.SoluteMass, feedback.u1) annotation (Line(
            points={{-20,72.2},{-20,58},{-9.2,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell_CaptiveMass.y, feedback.u2) annotation (Line(
            points={{-2.5,71},{-6,71},{-6,61.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, Perm2.u) annotation (Line(
            points={{-2.4,58},{3.3,58},{3.3,56.6},{3,56.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KFluxToPool.soluteFlow, Perm2.y) annotation (Line(
            points={{-8.4,48},{3,48},{3,49.7}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NaEffect.u, busConnector. DT_Na_Outflow) annotation (Line(
            points={{43.8,40},{98,40},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(KPool.q_out, DT_K.q_in) annotation (Line(
            points={{-24,24},{22,24},{22,22},{28,22}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(NaEffect.y, KEffect.yBase) annotation (Line(
            points={{34,38},{34,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KEffect.y, DT_K.soluteFlow) annotation (Line(
            points={{34,30},{34,25.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mEq_per_L.y, KEffect.u) annotation (Line(
            points={{18.3,31},{21.15,31},{21.15,32},{24.2,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.u1, KPool.SoluteMass) annotation (Line(
            points={{-18.4,9.2},{-24,9.2},{-24,16.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ECFV_Vol, division.u2) annotation (Line(
            points={{-88,94},{-96,94},{-96,6.8},{-18.4,6.8}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(division.y, mEq_per_L.u) annotation (Line(
            points={{-13.8,8},{-8,8},{-8,31},{11.4,31}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(electrolytesFlowConstant.y, KidneyFunction.yBase) annotation (
            Line(
            points={{30.6,82},{34,82},{34,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KidneyFunction.y, ThiazideEffect.yBase) annotation (Line(
            points={{34,62},{34,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KidneyFunction.u, busConnector. KidneyFunctionEffect) annotation (Line(
            points={{43.8,64},{98,64},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(DT_K.q_out, Bladder.q_out) annotation (Line(
            points={{40,22},{84,22}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector.KCell_Mass, KCell.SoluteMass) annotation (Line(
            points={{-88,94},{-4,94},{-4,72},{-20,72},{-20,72.2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(KPool.SoluteMass, busConnector. KPool_mass) annotation (Line(
            points={{-24,16.2},{-24,10},{-96,10},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure.q_in, KPool.q_out) annotation (Line(
            points={{30,6},{22,6},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(concentrationMeasure.actualConc, gain.u) annotation (Line(
            points={{34,6},{36.8,6},{36.8,6},{39.6,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, busConnector. KPool_conc_per_liter) annotation (Line(
            points={{44.2,6},{98,6},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Perm1.y, splineDelayByDay.yBase) annotation (Line(
            points={{-55,56.3},{-55,58},{-50,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splineDelayByDay.u, busConnector. AldoPool_Aldo) annotation (Line(
            points={{-48,67.8},{-48,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{84,22},{66,22},{66,-14},{82,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, busConnector. BladderVoidFlow) annotation (Line(
            points={{88,-10.4},{88,-6},{98,-6},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.SoluteMass, busConnector. GILumenPotasium_Mass) annotation (Line(
            points={{-8,-33.8},{-8,-54},{-96,-54},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(KCell.q_out, concentrationMeasure1.q_in) annotation (Line(
            points={{-20,80},{-8,80}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure1.actualConc, busConnector. KCell_conc) annotation (Line(
            points={{-8,84},{-8,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(KPool.q_out, flowMeasure.q_in) annotation (Line(
            points={{-24,24},{-24,30.8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToPool.q_out) annotation (Line(
            points={{-24,37.2},{-24,38},{-12,38},{-12,42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToCell.q_in) annotation (Line(
            points={{-24,37.2},{-24,38},{-30,38},{-30,52}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, busConnector. PotassiumToCells) annotation (Line(
            points={{-20,34},{-95,34},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(flowMeasure.q_out, KFluxToCellWithGlucose.q_in) annotation (
            Line(
            points={{-24,37.2},{-24,38},{-68,38},{-68,54}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(KFluxToCellWithGlucose.q_out, KCell.q_out) annotation (Line(
            points={{-68,66},{-68,80},{-20,80}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(IkedaIntoICF.y, KFluxToCell.soluteFlow) annotation (Line(
            points={{-34.8,58},{-33.6,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splineDelayByDay.y, IkedaIntoICF.yBase) annotation (Line(
            points={{-46,58},{-45,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IkedaIntoICF.Artys_pH, busConnector. Artys_pH) annotation (Line(
            points={{-43,48},{-44,46},{-44,42},{-96,42},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure2.q_in, KPool.q_out) annotation (Line(
            points={{-48,24},{-24,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure2.actualConc, IkedaIntoICF.PotasiumECF_conc) 
          annotation (Line(
            points={{-48,28},{-48,40},{-37,40},{-37,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure2.actualConc, busConnector. KPool_per_liter) annotation (
            Line(
            points={{-48,28},{-48,30},{-96,30},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));

        connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow,YGLS. u2) 
                   annotation (Line(
            points={{-88,94},{-96,94},{-96,71},{-85,71}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.liver_GlucoseToCellStorageFlow,YGLS. u1) 
          annotation (Line(
            points={{-88,94},{-96,94},{-96,75},{-85,75}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow,YGLS. u3) 
          annotation (Line(
            points={{-88,94},{-96,94},{-96,67},{-85,67}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(YGLS.y, CGL3.u) annotation (Line(
            points={{-73.5,71},{-72,71},{-72,64},{-82,64},{-82,60},{-80.4,60}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(KEffect.y, busConnector. CD_K_Outflow) annotation (Line(
            points={{34,30},{98,30},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure2.actualConc, busConnector.KPool) 
          annotation (Line(
            points={{-48,28},{-96,28},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumen.SoluteMass, busConnector.GILumenPotassium_Mass) 
          annotation (Line(
            points={{-8,-33.8},{-8,-54},{-96,-54},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(electrolytesFlowConstant1.y, KFluxToCellWithGlucose.soluteFlow) 
          annotation (Line(
            points={{-79.5,51},{-74,51},{-74,60},{-71.6,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-88,94},{-96,94},{-96,-20},{-65.8,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-57.6,-12},{-56,-12},{-56,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeptinEffect2.y, Diet.desiredFlow) annotation (Line(
            points={{-56,-22},{-56,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect.u, busConnector.NephronAldo_conc_in_nG_per_dl) 
          annotation (Line(
            points={{43.8,48},{98,48},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/K.jpg"), Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
</html>", info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));
      end Potassium2_corrected;
    end Potassium;

    package Chloride "Body Chloride Distribution"

      model Chloride
        extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment ClPool(
            initialSoluteMass=1610) 
          annotation (Placement(transformation(extent={{-78,14},{-58,34}})));
        HumMod.Library.Interfaces.RealInput_ ECFV_Vol(final quantity="Volume",
            final unit="ml") 
          annotation (Placement(transformation(extent={{-90,28},{-82,36}}),
              iconTransformation(extent={{-100,64},{-88,76}})));
        Library.ConcentrationFlow.ConcentrationCompartment GILumen(
            initialSoluteMass=90) 
          annotation (Placement(transformation(extent={{-82,-36},{-62,-16}})));
        HumMod.Library.Interfaces.RealInput_ GILumenVolume_Mass(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{-98,-22},{-90,-14}}),
              iconTransformation(extent={{-100,52},{-88,64}})));
        Library.ConcentrationFlow.SoluteFlowPump Absorbtion 
          annotation (Placement(transformation(extent={{-58,-20},{-46,-32}})));
        Modelica.Blocks.Math.Gain Perm(k=.0015) 
          annotation (Placement(transformation(extent={{-64,-48},{-58,-42}})));
        Library.ConcentrationFlow.OutputPump Hemorrhage 
          annotation (Placement(transformation(extent={{-44,-86},{-24,-66}})));
        Library.ConcentrationFlow.OutputPump DialyzerActivity 
          annotation (Placement(transformation(extent={{-44,-100},{-24,-80}})));
        Library.ConcentrationFlow.OutputPump SweatDuct 
          annotation (Placement(transformation(extent={{-44,-72},{-24,-52}})));
        Library.ConcentrationFlow.InputPump IVDrip 
          annotation (Placement(transformation(extent={{-64,-80},{-44,-60}})));
        Library.ConcentrationFlow.InputPump Transfusion 
          annotation (Placement(transformation(extent={{-64,-94},{-44,-74}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0, STEADY=false) 
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        HumMod.Library.Interfaces.RealInput_ BladderVolume_Mass(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{36,28},{44,36}}),
              iconTransformation(extent={{-100,40},{-88,52}})));
        HumMod.Library.Interfaces.RealInput_ IVDrip_ClRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-68,-68},{-60,-60}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-40,98})));
        HumMod.Library.Interfaces.RealInput_ Transfusion_ClRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-68,-84},{-60,-76}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-28,98})));
        HumMod.Library.Interfaces.RealInput_ SweatDuct_ClRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-22,-60},{-28,-54}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-16,98})));
        HumMod.Library.Interfaces.RealInput_ Hemorrhage_ClRate(final quantity=
              "Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-22,-74},{-28,-68}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-4,98})));
        HumMod.Library.Interfaces.RealInput_ DialyzerActivity_Cl_Flux(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-22,-88},{-28,-82}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={8,98})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-100,-42},{-80,-22}})));
        HumMod.Library.Interfaces.RealInput_ DietIntakeElectrolytes_Cl(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-100,-30},{-92,-22}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={20,98})));
        Library.ConcentrationFlow.OutputPump Diarrhea 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-90,-44})));
        HumMod.Library.Interfaces.RealInput_ GILumenVomitus_ClLoss(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{3,-3},{-3,3}},
              rotation=180,
              origin={-93,-51}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={32,98})));
        Library.ConcentrationFlow.SoluteFlowPump CD_Cl 
          annotation (Placement(transformation(extent={{-6,-6},{6,6}},
              rotation=0,
              origin={26,24})));
        HumMod.Library.Interfaces.RealInput_ CollectingDuct_NetSumCats(final
            quantity="Mass", final unit="mEq") 
          annotation (Placement(transformation(extent={{16,52},{24,60}}),
              iconTransformation(extent={{-100,28},{-88,40}})));
        HumMod.Library.Interfaces.RealInput_ BloodPh_ArtysPh 
          annotation (Placement(transformation(extent={{2,42},{10,50}}),
              iconTransformation(extent={{-100,88},{-88,100}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 KEffect1(data=
              {{7.00,1.00,0},{7.45,0.93,-0.5},{7.80,0.00,0}}) 
          annotation (Placement(transformation(extent={{16,36},{36,56}})));
        Library.Interfaces.RealOutput_ ClPool_mass 
                                        annotation (Placement(transformation(extent={{-60,4},
                  {-52,12}}),        iconTransformation(extent={{100,80},{120,
                  100}})));
        Library.Interfaces.RealOutput_ ClPool_conc_per_liter 
                                        annotation (Placement(transformation(extent={{-40,36},
                  {-32,44}}),        iconTransformation(extent={{100,60},{120,
                  80}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-56,40})));
        Modelica.Blocks.Math.Gain gain(k=1000) 
          annotation (Placement(transformation(extent={{-46,38},{-42,42}})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{58,-14},{70,-2}})));
        Library.Interfaces.RealInput_ BladderVoidFlow(final quantity="Flow",
            final unit="ml/min") 
          annotation (Placement(transformation(extent={{50,-2},{58,6}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=0,
              origin={-94,-106})));
      equation
        connect(ClPool.SolventVolume, ECFV_Vol) annotation (Line(
            points={{-76,30},{-81,30},{-81,32},{-86,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.SolventVolume, GILumenVolume_Mass) annotation (Line(
            points={{-80,-20},{-87,-20},{-87,-18},{-94,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
            points={{-72,-26},{-65,-26},{-65,-26},{-58,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Absorbtion.q_out, ClPool.q_out) annotation (Line(
            points={{-46,-26},{-44,-26},{-44,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Hemorrhage.q_in, ClPool.q_out) annotation (Line(
            points={{-40,-76},{-44,-76},{-44,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, ClPool.q_out) annotation (Line(
            points={{-40,-90},{-44,-90},{-44,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(ClPool.q_out, SweatDuct.q_in) annotation (Line(
            points={{-68,24},{-44,24},{-44,-62},{-40,-62}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, ClPool.q_out) annotation (Line(
            points={{-48,-84},{-44,-84},{-44,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, ClPool.q_out) annotation (Line(
            points={{-48,-70},{-44,-70},{-44,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bladder.SolventVolume, BladderVolume_Mass) annotation (Line(
            points={{52,30},{46,30},{46,32},{40,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IVDrip.desiredFlow, IVDrip_ClRate) annotation (Line(
            points={{-54,-66},{-54,-64},{-64,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Transfusion.desiredFlow, Transfusion_ClRate) annotation (Line(
            points={{-54,-80},{-64,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatDuct.desiredFlow, SweatDuct_ClRate) annotation (Line(
            points={{-34,-58},{-34,-57},{-25,-57}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hemorrhage_ClRate, Hemorrhage.desiredFlow) annotation (Line(
            points={{-25,-71},{-33.5,-71},{-33.5,-72},{-34,-72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DialyzerActivity.desiredFlow, DialyzerActivity_Cl_Flux) 
          annotation (Line(
            points={{-34,-86},{-34,-85},{-25,-85}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.desiredFlow,DietIntakeElectrolytes_Cl) 
                                                   annotation (Line(
            points={{-90,-28},{-90,-26},{-96,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.q_out, GILumen.q_out) annotation (Line(
            points={{-84,-32},{-80,-32},{-80,-26},{-72,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diarrhea.desiredFlow,GILumenVomitus_ClLoss) 
                                                         annotation (Line(
            points={{-90,-48},{-90,-51},{-93,-51}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
            points={{-72,-26},{-80,-26},{-80,-44},{-84,-44}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
            points={{-57.7,-45},{-52,-45},{-52,-29.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm.u, GILumen.SoluteMass) annotation (Line(
            points={{-64.6,-45},{-72,-45},{-72,-33.8}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(KEffect1.u, BloodPh_ArtysPh) annotation (Line(
            points={{16.2,46},{6,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CollectingDuct_NetSumCats, KEffect1.yBase) annotation (Line(
            points={{20,56},{26,56},{26,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD_Cl.soluteFlow, KEffect1.y) annotation (Line(
            points={{26,27.6},{26,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD_Cl.q_out, Bladder.q_out) annotation (Line(
            points={{32,24},{60,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(CD_Cl.q_in, ClPool.q_out) annotation (Line(
            points={{20,24},{-24,24},{-24,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(ClPool.SoluteMass, ClPool_mass) annotation (Line(
            points={{-68,16.2},{-68,8},{-56,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, gain.u) annotation (Line(
            points={{-52,40},{-46.4,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, ClPool_conc_per_liter) annotation (Line(
            points={{-41.8,40},{-36,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ClPool.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-68,24},{-62,24},{-62,40},{-56,40}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{60,24},{42,24},{42,-8},{58,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, BladderVoidFlow) annotation (Line(
            points={{64,-4.4},{64,2},{54,2}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/Cl.jpg")}));
      end Chloride;

      model Chloride2
       // extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment ClPool(
            initialSoluteMass=1515.25,
          stateName="ClPool.Mass",
          STEADY=false) 
          annotation (Placement(transformation(extent={{-78,14},{-58,34}})));
        Library.ConcentrationFlow.ConcentrationCompartment GILumen(
            initialSoluteMass=90, stateName="GILumenChloride.Mass") 
          annotation (Placement(transformation(extent={{-44,-36},{-24,-16}})));
        Library.ConcentrationFlow.SoluteFlowPump Absorbtion 
          annotation (Placement(transformation(extent={{-20,-20},{-8,-32}})));
        Modelica.Blocks.Math.Gain Perm(k=.0015) 
          annotation (Placement(transformation(extent={{-26,-48},{-20,-42}})));
        Library.ConcentrationFlow.OutputPump Hemorrhage 
          annotation (Placement(transformation(extent={{-6,-86},{14,-66}})));
        Library.ConcentrationFlow.OutputPump DialyzerActivity 
          annotation (Placement(transformation(extent={{-6,-100},{14,-80}})));
        Library.ConcentrationFlow.OutputPump SweatDuct 
          annotation (Placement(transformation(extent={{-6,-72},{14,-52}})));
        Library.ConcentrationFlow.InputPump IVDrip 
          annotation (Placement(transformation(extent={{-26,-80},{-6,-60}})));
        Library.ConcentrationFlow.InputPump Transfusion 
          annotation (Placement(transformation(extent={{-26,-94},{-6,-74}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0,
          stateName="BladderChloride.Mass",
          STEADY=false) 
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-82,-46},{-62,-26}})));
        Library.ConcentrationFlow.OutputPump Diarrhea 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-52,-44})));
        HumMod.Library.Factors.SplineValue PhEffect(data={{7.00,1.00,0},{7.45,
              0.93,-0.5},{7.80,0.00,0}}) 
          annotation (Placement(transformation(extent={{16,42},{36,62}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-56,40})));
        Modelica.Blocks.Math.Gain gain(k=1000) 
          annotation (Placement(transformation(extent={{-46,38},{-42,42}})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{58,-14},{70,-2}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-92,-4},{-80,8}}),
              iconTransformation(extent={{62,62},{100,100}})));
        Library.Blocks.Constant Constant7(k=200/1440) 
          annotation (Placement(transformation(extent={{-82,-22},{-74,-14}})));
        Library.Factors.SplineValue LeptinEffect2(data={{0,3.0,0},{8,1.0,-0.04},{
              50,0.0,0}}) 
          annotation (Placement(transformation(extent={{-82,-36},{-62,-16}})));
        Library.ConcentrationFlow.SoluteFlowPump CD_Outflow 
          annotation (Placement(transformation(extent={{10,30},{22,18}})));
        Modelica.Blocks.Math.Sum CD_Cations_Outflow(nin=3) 
          annotation (Placement(transformation(extent={{42,-38},{52,-28}})));
        Modelica.Blocks.Math.Sum CD_AnionsLessCl_Outflow(nin=3) 
          annotation (Placement(transformation(extent={{42,-52},{52,-42}})));
        Modelica.Blocks.Math.Feedback CD_Cl_Outflow 
          annotation (Placement(transformation(extent={{60,-42},{78,-24}})));

      Real ECF_conc;
      equation
         ECF_conc = gain.y;
       connect(ClPool.SolventVolume, busConnector. ECFV_Vol) annotation (Line(
            points={{-76,30},{-81,30},{-81,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.SolventVolume, busConnector. GILumenVolume_Mass) annotation (Line(
            points={{-42,-20},{-49,-20},{-49,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
            points={{-34,-26},{-20,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Absorbtion.q_out, ClPool.q_out) annotation (Line(
            points={{-8,-26},{-6,-26},{-6,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Hemorrhage.q_in, ClPool.q_out) annotation (Line(
            points={{-2,-76},{-6,-76},{-6,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, ClPool.q_out) annotation (Line(
            points={{-2,-90},{-6,-90},{-6,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(ClPool.q_out, SweatDuct.q_in) annotation (Line(
            points={{-68,24},{-6,24},{-6,-62},{-2,-62}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, ClPool.q_out) annotation (Line(
            points={{-10,-84},{-6,-84},{-6,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, ClPool.q_out) annotation (Line(
            points={{-10,-70},{-6,-70},{-6,24},{-68,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bladder.SolventVolume, busConnector. BladderVolume_Mass) annotation (Line(
            points={{52,30},{46,30},{46,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(IVDrip.desiredFlow, busConnector. IVDrip_ClRate) annotation (Line(
            points={{-16,-66},{-16,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Transfusion.desiredFlow, busConnector. Transfusion_ClRate) annotation (Line(
            points={{-16,-80},{-38,-80},{-38,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(SweatDuct.desiredFlow, busConnector. SweatDuct_ClRate) annotation (Line(
            points={{4,-58},{4,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(busConnector.Hemorrhage_ClRate, Hemorrhage.desiredFlow) annotation (Line(
            points={{-86,2},{4.5,2},{4.5,-72},{4,-72}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(DialyzerActivity.desiredFlow, busConnector. DialyzerActivity_Cl_Flux) 
          annotation (Line(
            points={{4,-86},{4,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Diet.q_out, GILumen.q_out) annotation (Line(
            points={{-66,-36},{-42,-36},{-42,-26},{-34,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diarrhea.desiredFlow, busConnector.GILumenVomitus_ClLoss) 
                                                         annotation (Line(
            points={{-52,-48},{-52,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
            points={{-34,-26},{-42,-26},{-42,-44},{-46,-44}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
            points={{-19.7,-45},{-14,-45},{-14,-29.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm.u, GILumen.SoluteMass) annotation (Line(
            points={{-26.6,-45},{-34,-45},{-34,-33.8}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(busConnector.CollectingDuct_NetSumCats,PhEffect. yBase) annotation (Line(
            points={{-86,2},{-90,2},{-90,64},{26,64},{26,54}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(ClPool.SoluteMass, busConnector. ClPool_mass) annotation (Line(
            points={{-68,16.2},{-68,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure.actualConc, gain.u) annotation (Line(
            points={{-52,40},{-46.4,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, busConnector. ClPool_conc_per_liter) annotation (Line(
            points={{-41.8,40},{-69.9,40},{-69.9,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(ClPool.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-68,24},{-62,24},{-62,40},{-56,40}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{60,24},{50,24},{50,-8},{58,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, busConnector. BladderVoidFlow) annotation (Line(
            points={{64,-4.4},{64,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));

        connect(busConnector.Artys_pH,PhEffect. u) annotation (Line(
            points={{-86,2},{-90,2},{-90,52},{16.2,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-86,2},{-90,2},{-90,-26},{-81.8,-26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-73.6,-18},{-72,-18},{-72,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeptinEffect2.y, Diet.desiredFlow) annotation (Line(
            points={{-72,-28},{-72,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ClPool.q_out, CD_Outflow.q_in) annotation (Line(
            points={{-68,24},{10,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CD_Outflow.q_out, Bladder.q_out) annotation (Line(
            points={{22,24},{60,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CD_Na_Outflow, CD_Cations_Outflow.u[1]) annotation (Line(
            points={{-86,2},{10,2},{10,-32},{40,-32},{40,-33.6667},{41,-33.6667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_NH4_Outflow, CD_Cations_Outflow.u[2]) annotation (
            Line(
            points={{-86,2},{10,2},{10,-38},{41,-38},{41,-33}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,0},{-6,0}}));
        connect(busConnector.CD_K_Outflow, CD_Cations_Outflow.u[3]) annotation (Line(
            points={{-86,2},{10,2},{10,-34},{40,-34},{40,-32.3333},{41,-32.3333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(busConnector.CD_PO4_mEq_Outflow, CD_AnionsLessCl_Outflow.u[1]) 
          annotation (Line(
            points={{-86,2},{10,2},{10,-46},{40,-46},{40,-47.6667},{41,-47.6667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_SO4_Outflow, CD_AnionsLessCl_Outflow.u[2]) 
          annotation (Line(
            points={{-86,2},{10,2},{10,-48},{40,-48},{41,-47}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,0},{-6,0}}));
        connect(busConnector.CD_KA_Outflow, CD_AnionsLessCl_Outflow.u[3]) annotation (
           Line(
            points={{-86,2},{10,2},{10,-52},{40,-52},{40,-46.3333},{41,-46.3333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(CD_Cations_Outflow.y, CD_Cl_Outflow.u1) annotation (Line(
            points={{52.5,-33},{52,-34},{52,-33},{61.8,-33}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD_AnionsLessCl_Outflow.y, CD_Cl_Outflow.u2) annotation (Line(
            points={{52.5,-47},{69,-40.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD_Cl_Outflow.y, CD_Outflow.soluteFlow) annotation (Line(
            points={{77.1,-33},{86,-33},{86,-18},{16,-18},{16,20.4}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/Cl.jpg"), Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
      end Chloride2;

      package test
        model T
          import QHP = HumMod;
          Chloride2 chloride2_1 
            annotation (Placement(transformation(extent={{-58,8},{-38,28}})));
          QHP.Electrolytes.setup.ElectrolytesConstInputs
            electrolytesConstInputs 
            annotation (Placement(transformation(extent={{-10,12},{10,32}})));
          QHP.Electrolytes.Chloride.setup.ConstInputsFromOtherElectrolytes
            constInputsFromOtherElectrolytes 
            annotation (Placement(transformation(extent={{-12,-10},{8,10}})));
        equation
          connect(chloride2_1.busConnector, electrolytesConstInputs.busConnector) 
            annotation (Line(
              points={{-39.9,26.1},{-20.95,26.1},{-20.95,22},{-2,22}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(chloride2_1.busConnector, constInputsFromOtherElectrolytes.busConnector) 
            annotation (Line(
              points={{-39.9,26.1},{-20,26.1},{-20,0},{-4,0}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
        end T;
      end test;

      package setup
        model ConstInputsFromOtherElectrolytes

        Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{44,58},{64,78}}),
                 iconTransformation(extent={{-40,-20},{0,20}})));
        Library.Blocks.Constant CollectingDuct_NetSumCats(k=0.138798773009742) 
        annotation (Placement(transformation(extent={{-20,42},{-14,48}})));
        equation

          connect(CollectingDuct_NetSumCats.y, busConnector.CollectingDuct_NetSumCats) annotation (Line(
         points={{-13.7,45},{54,45},{54,68}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                                 graphics));
        end ConstInputsFromOtherElectrolytes;
      end setup;
    end Chloride;

    package Phosphate "Body Phosphate Distribution"

      model Phosphate
        extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment PO4Pool(
            initialSoluteMass=2.23728, stateName="PO4Pool.Mass") 
          annotation (Placement(transformation(extent={{-64,14},{-44,34}})));
        HumMod.Library.Interfaces.RealInput_ ECFV_Vol(final quantity="Volume",
            final unit="ml") 
          annotation (Placement(transformation(extent={{-76,28},{-68,36}}),
              iconTransformation(extent={{-100,64},{-88,76}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0, stateName="BladderPhosphate.Mass") 
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        HumMod.Library.Interfaces.RealInput_ BladderVolume_Mass(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{36,28},{44,36}}),
              iconTransformation(extent={{-100,40},{-88,52}})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-84,-4},{-64,16}})));
        HumMod.Library.Interfaces.RealInput_ DietIntakeElectrolytes_PO4(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-84,8},{-76,16}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={20,98})));
        Library.ConcentrationFlow.SolventFlowPump glomerulusPhosphateRate 
          annotation (Placement(transformation(extent={{0,14},{20,34}})));
        Library.Interfaces.RealInput_ GlomerulusFiltrate_GFR(      final
            quantity =                                                            "Flow", final unit = "ml/min") 
          annotation (Placement(transformation(extent={{-4,30},{4,38}}),
              iconTransformation(extent={{-100,-16},{-88,-4}})));
        Library.Interfaces.RealInput_ BloodIons_Cations(final quantity=
              "Concentration", final unit="mEq/l") 
          annotation (Placement(transformation(extent={{-34,32},{-26,40}}),
              iconTransformation(extent={{-100,88},{-88,100}})));
        GlomerulusStrongAnionFiltration glomerulus 
          annotation (Placement(transformation(extent={{-28,14},{-8,34}})));
        Library.Interfaces.RealInput_ BloodIons_StrongAnionsLessPO4(final
            quantity="Concentration", final unit="mEq/l") 
          annotation (Placement(transformation(extent={{-34,40},{-26,48}}),
              iconTransformation(extent={{-100,76},{-88,88}})));
        Library.Interfaces.RealInput_ CO2Veins_HCO3(final quantity="Concentration",
            final unit="mEq/l") 
          annotation (Placement(transformation(extent={{-34,48},{-26,56}}),
              iconTransformation(extent={{-100,28},{-88,40}})));
        Library.Interfaces.RealOutput_ PO4Pool_Osmoles(final unit="mOsm") 
                                        annotation (Placement(transformation(extent={{-38,-16},
                  {-30,-8}}),        iconTransformation(extent={{100,80},{120,
                  100}})));
        Library.Interfaces.RealOutput_ PO4Pool_conc_per_liter(final unit="mEq/l") 
                                        annotation (Placement(transformation(extent={{-2,-2},
                  {6,6}}),           iconTransformation(extent={{100,60},{120,
                  80}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-28,2})));
        Modelica.Blocks.Math.Gain gain(k=1000) 
          annotation (Placement(transformation(extent={{-18,0},{-14,4}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{20,34},{40,14}})));
        Library.Interfaces.RealOutput_ CD_PO4_Outflow(final unit="mEq/min")
          "renal phosphate excretion rate" 
                                        annotation (Placement(transformation(extent={{34,10},
                  {42,18}}),         iconTransformation(extent={{100,40},{120,
                  60}})));
        Modelica.Blocks.Math.Gain gain1(k=.5) 
          annotation (Placement(transformation(extent={{-50,-14},{-46,-10}})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{66,-20},{78,-8}})));
        Library.Interfaces.RealInput_ BladderVoidFlow(final quantity="Flow",
            final unit="ml/min") 
          annotation (Placement(transformation(extent={{58,-8},{66,0}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=0,
              origin={-94,-106})));
        Library.Interfaces.RealOutput_ ctPO4(final unit="mmol/l") 
                                        annotation (Placement(transformation(extent={{-60,64},
                  {-52,72}}),        iconTransformation(extent={{100,80},{120,
                  100}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
            unitsString="mmol/l", toAnotherUnitCoef=1000) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-60,60})));
      equation
        connect(PO4Pool.SolventVolume, ECFV_Vol) 
                                                annotation (Line(
            points={{-62,30},{-67,30},{-67,32},{-72,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.SolventVolume, BladderVolume_Mass) annotation (Line(
            points={{52,30},{46,30},{46,32},{40,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.desiredFlow, DietIntakeElectrolytes_PO4) 
                                                   annotation (Line(
            points={{-74,10},{-74,12},{-80,12}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(Diet.q_out, PO4Pool.q_out) annotation (Line(
            points={{-68,6},{-60,6},{-60,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.solventFlow, GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{10,30},{10,34},{0,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glomerulus.q_out, glomerulusPhosphateRate.q_in) 
                                                             annotation (Line(
            points={{-8,24},{0,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(PO4Pool.q_out, glomerulus.q_in) annotation (Line(
            points={{-54,24},{-28,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulus.HCO3, CO2Veins_HCO3)  annotation (Line(
            points={{-16,29},{-16,52},{-30,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, gain.u) annotation (Line(
            points={{-24,2},{-21.2,2},{-21.2,2},{-18.4,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, PO4Pool_conc_per_liter) annotation (Line(
            points={{-13.8,2},{2,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, PO4Pool.q_out) annotation (Line(
            points={{-28,2},{-34,2},{-34,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure.actualFlow, CD_PO4_Outflow) annotation (Line(
            points={{30,19},{30,14},{38,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, Bladder.q_out) annotation (Line(
            points={{34,24},{60,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.q_out, flowMeasure.q_in) annotation (
            Line(
            points={{20,24},{26,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(BloodIons_StrongAnionsLessPO4, glomerulus.otherStrongAnions) 
          annotation (Line(
            points={{-30,44},{-20,44},{-20,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodIons_Cations, glomerulus.Cations) annotation (Line(
            points={{-30,36},{-24,36},{-24,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PO4Pool.SoluteMass, gain1.u) annotation (Line(
            points={{-54,16.2},{-54,-12},{-50.4,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain1.y, PO4Pool_Osmoles) annotation (Line(
            points={{-45.8,-12},{-34,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{60,24},{50,24},{50,-14},{66,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, BladderVoidFlow) annotation (Line(
            points={{72,-10.4},{72,-4},{62,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure1.actualConc, ctPO4) annotation (Line(
            points={{-60,64},{-60,68},{-56,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure1.q_in, PO4Pool.q_out) annotation (Line(
            points={{-60,60},{-54,60},{-54,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end Phosphate;

      model GlomerulusStrongAnionFiltration

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));

        Library.Interfaces.RealInput_ Cations( final quantity="Concentration", final unit =    "mEq/l") annotation (Placement(
              transformation(extent={{-80,30},{-40,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,50})));
        Library.Interfaces.RealInput_ ProteinAnions(final quantity=
              "Concentration", final unit="mEq/l")                                                            annotation (Placement(
              transformation(extent={{-40,30},{0,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,50})));
        Real KAdjustment;
        //Real Cations( final quantity="Concentration", final unit = "mEq/l");
        Real Anions( final quantity="Concentration", final unit = "mEq/l");
      //  Real ProteinAnions( final quantity="Concentration", final unit = "mEq/l");
      /*  Library.Interfaces.RealInput_ HCO3(final quantity="Concentration",
      final unit="mEq/l")                                                                               annotation (Placement(
        transformation(extent={{0,30},{40,70}}),  iconTransformation(
        extent={{-20,-20},{20,20}},
        rotation=270,
        origin={20,50})));
*/
      equation
        q_in.q + q_out.q = 0;
        //Cations = q_in.conc*1000+otherCations;
        Anions = Cations;
      //  ProteinAnions = Anions - otherStrongAnions - q_in.conc*1000 - HCO3;
        KAdjustment = (Cations-(Anions-ProteinAnions))/(Cations+(Anions-ProteinAnions));
        q_out.conc = (1+KAdjustment)*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{0,42},{0,26}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,20},{0,4}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-4},{0,-20}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-26},{0,-42}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5)}),       Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end GlomerulusStrongAnionFiltration;

      model Phosphate2
       // extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment PO4Pool(
            initialSoluteMass=2.43011, stateName="PO4Pool.Mass") 
          annotation (Placement(transformation(extent={{-64,14},{-44,34}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0,
          stateName="BladderPhosphate.Mass",
          STEADY=false) 
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-84,-4},{-64,16}})));
        Library.ConcentrationFlow.SolventFlowPump glomerulusPhosphateRate 
          annotation (Placement(transformation(extent={{0,14},{20,34}})));
        GlomerulusStrongAnionFiltration glomerulus 
          annotation (Placement(transformation(extent={{-28,14},{-8,34}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-28,2})));
        Modelica.Blocks.Math.Gain gain(k=1000) 
          annotation (Placement(transformation(extent={{-18,0},{-14,4}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{20,34},{40,14}})));
        Modelica.Blocks.Math.Gain gain1(k=.5) 
          annotation (Placement(transformation(extent={{-50,-14},{-46,-10}})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{66,-20},{78,-8}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
            unitsString="mmol/l", toAnotherUnitCoef=1000) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-60,60})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-90,76},{-78,88}}),
              iconTransformation(extent={{60,60},{100,100}})));
        Library.Blocks.Constant Constant7(k=30/1440) 
          annotation (Placement(transformation(extent={{-84,24},{-76,32}})));
        Library.Factors.SplineValue LeptinEffect2(data={{0,3.0,0},{8,1.0,-0.04},{
              50,0.0,0}}) 
          annotation (Placement(transformation(extent={{-84,10},{-64,30}})));
        AcidDissociation acidDissociation 
          annotation (Placement(transformation(extent={{30,-50},{50,-30}})));
      Real ECF_conc;
      equation
        ECF_conc = concentrationMeasure1.actualConc;
       connect(PO4Pool.SolventVolume, busConnector. ECFV_Vol) 
                                                annotation (Line(
            points={{-62,30},{-67,30},{-67,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Bladder.SolventVolume, busConnector. BladderVolume_Mass) annotation (Line(
            points={{52,30},{46,30},{46,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));

        connect(Diet.q_out, PO4Pool.q_out) annotation (Line(
            points={{-68,6},{-60,6},{-60,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.solventFlow, busConnector. GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{10,30},{10,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(glomerulus.q_out, glomerulusPhosphateRate.q_in) 
                                                             annotation (Line(
            points={{-8,24},{0,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(PO4Pool.q_out, glomerulus.q_in) annotation (Line(
            points={{-54,24},{-28,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(concentrationMeasure.actualConc, gain.u) annotation (Line(
            points={{-24,2},{-21.2,2},{-21.2,2},{-18.4,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, busConnector. PO4Pool_conc_per_liter) annotation (Line(
            points={{-13.8,2},{-48.9,2},{-48.9,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure.q_in, PO4Pool.q_out) annotation (Line(
            points={{-28,2},{-34,2},{-34,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure.actualFlow, busConnector. CD_PO4_Outflow) annotation (Line(
            points={{30,19},{30,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(flowMeasure.q_out, Bladder.q_out) annotation (Line(
            points={{34,24},{60,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.q_out, flowMeasure.q_in) annotation (
            Line(
            points={{20,24},{26,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector.BloodIons_Cations, glomerulus.Cations) annotation (Line(
            points={{-84,82},{-24,82},{-24,29}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(PO4Pool.SoluteMass, gain1.u) annotation (Line(
            points={{-54,16.2},{-54,-12},{-50.4,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain1.y, busConnector. PO4Pool_Osmoles) annotation (Line(
            points={{-45.8,-12},{-64.9,-12},{-64.9,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{60,24},{50,24},{50,-14},{66,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, busConnector. BladderVoidFlow) annotation (Line(
            points={{72,-10.4},{72,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure1.actualConc, busConnector. ctPO4) annotation (Line(
            points={{-60,64},{-60,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure1.q_in, PO4Pool.q_out) annotation (Line(
            points={{-60,60},{-54,60},{-54,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-84,82},{-92,82},{-92,20},{-83.8,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-75.6,28},{-74,28},{-74,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeptinEffect2.y, Diet.desiredFlow) annotation (Line(
            points={{-74,18},{-74,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, acidDissociation.CD_tPO4) annotation (Line(
            points={{30,19},{32,19},{32,-20},{20,-20},{20,-32},{30,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Urine_pH, acidDissociation.PHU) annotation (Line(
            points={{-84,82},{-92,82},{-92,-38},{30,-38},{30,-38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(acidDissociation.CD_PO4_mEq, busConnector.CD_PO4_mEq_Outflow) 
          annotation (Line(
            points={{50,-46},{98,-46},{98,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.BloodIons_ProteinAnions, glomerulus.ProteinAnions) 
          annotation (Line(
            points={{-84,82},{-20,82},{-20,29}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/fosfat.png"), Text(
                extent={{-108,-98},{112,-124}},
                lineColor={0,0,255},
                textString="%name")}));
      end Phosphate2;

      model AcidDissociation

        Library.Interfaces.RealInput CD_tPO4(unit="mmol/min")
          "total PO4 in mmol/min" 
          annotation (Placement(transformation(extent={{-120,60},{-80,100}}),
              iconTransformation(extent={{-120,60},{-80,100}})));
        Library.Interfaces.RealInput PHU "pH of urine in collecting duct" annotation (
           Placement(transformation(extent={{-120,60},{-80,100}}), iconTransformation(
                extent={{-120,0},{-80,40}})));
        Library.Interfaces.RealOutput CD_PO4_mEq(unit="mEq/min") annotation (
            Placement(transformation(extent={{80,-80},{120,-40}}), iconTransformation(
                extent={{80,-80},{120,-40}})));

        Real H2PO4;
        Real HPO4;
      equation
        HPO4/H2PO4 = 10^(PHU-6.8);
        CD_tPO4 = HPO4 + H2PO4;
        CD_PO4_mEq = 2*HPO4 + H2PO4;
      end AcidDissociation;
    end Phosphate;

    package Sulphate "Body Sulphate Distribution"

      model Sulphate
        extends Library.Interfaces.BaseModel;

        HumMod.Library.Interfaces.RealInput_ ECFV_Vol(final quantity="Volume",
            final unit="ml") 
          annotation (Placement(transformation(extent={{-76,28},{-68,36}}),
              iconTransformation(extent={{-100,64},{-88,76}})));
        HumMod.Library.Interfaces.RealInput_ BladderVolume_Mass(final quantity=
              "Volume", final unit="ml") 
          annotation (Placement(transformation(extent={{36,28},{44,36}}),
              iconTransformation(extent={{-100,40},{-88,52}})));
        HumMod.Library.Interfaces.RealInput_ DietIntakeElectrolytes_SO4(final
            quantity="Flow", final unit="mEq/min") 
          annotation (Placement(transformation(extent={{-84,8},{-76,16}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={20,98})));
        Library.Interfaces.RealInput_ GlomerulusFiltrate_GFR(      final
            quantity =                                                            "Flow", final unit = "ml/min") 
          annotation (Placement(transformation(extent={{-4,30},{4,38}}),
              iconTransformation(extent={{-100,-16},{-88,-4}})));
        Library.Interfaces.RealInput_ BloodIons_Cations(final quantity=
              "Concentration", final unit="mEq/l") 
          annotation (Placement(transformation(extent={{-36,32},{-28,40}}),
              iconTransformation(extent={{-100,88},{-88,100}})));
        Library.Interfaces.RealInput_ BloodIons_StrongAnionsLessSO4(final
            quantity="Concentration", final unit="mEq/l") 
          annotation (Placement(transformation(extent={{-36,40},{-28,48}}),
              iconTransformation(extent={{-100,76},{-88,88}})));
        Library.Interfaces.RealInput_ CO2Veins_HCO3(final quantity="Concentration",
            final unit="mEq/l") 
          annotation (Placement(transformation(extent={{-36,48},{-28,56}}),
              iconTransformation(extent={{-100,28},{-88,40}})));
        Library.Interfaces.RealOutput_ SO4Pool_Osmoles(final unit="mOsm") 
                                        annotation (Placement(transformation(extent={{-42,-8},
                  {-34,0}}),         iconTransformation(extent={{100,80},{120,100}})));
        Library.Interfaces.RealOutput_ SO4Pool_conc_per_liter(final unit="mEq/l") 
                                        annotation (Placement(transformation(extent={{-2,0},{
                  6,8}}),            iconTransformation(extent={{100,60},{120,80}})));
        Library.Interfaces.RealOutput_ CD_SO4_Outflow(final unit="mEq/min") 
                                        annotation (Placement(transformation(extent={{32,10},
                  {40,18}}),         iconTransformation(extent={{100,40},{120,60}})));
        Library.Interfaces.RealInput_ BladderVoidFlow(final quantity="Flow",
            final unit="ml/min") 
          annotation (Placement(transformation(extent={{58,-6},{66,2}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=0,
              origin={-94,-106})));

        Library.ConcentrationFlow.ConcentrationCompartment SO4Pool(
            initialSoluteMass=3.72875, stateName="SO4Pool.Mass") 
          annotation (Placement(transformation(extent={{-64,14},{-44,34}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0, stateName="BladderSulphate.Mass") 
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-84,-4},{-64,16}})));
        Library.ConcentrationFlow.SolventFlowPump glomerulusPhosphateRate 
          annotation (Placement(transformation(extent={{-2,14},{18,34}})));
        GlomerulusStrongAnionFiltration glomerulus 
          annotation (Placement(transformation(extent={{-28,14},{-8,34}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-18,4})));
        Modelica.Blocks.Math.Gain gain(k=1000) 
          annotation (Placement(transformation(extent={{-8,2},{-4,6}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{18,34},{38,14}})));
        Modelica.Blocks.Math.Gain gain1(k=.5) 
          annotation (Placement(transformation(extent={{-52,-6},{-48,-2}})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{66,-18},{78,-6}})));
      equation
        connect(SO4Pool.SolventVolume, ECFV_Vol) 
                                                annotation (Line(
            points={{-62,30},{-67,30},{-67,32},{-72,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.SolventVolume, BladderVolume_Mass) annotation (Line(
            points={{52,30},{46,30},{46,32},{40,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.desiredFlow,DietIntakeElectrolytes_SO4) 
                                                   annotation (Line(
            points={{-74,10},{-74,12},{-80,12}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(Diet.q_out,SO4Pool. q_out) annotation (Line(
            points={{-68,6},{-60,6},{-60,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.solventFlow, GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{8,30},{8,34},{0,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glomerulus.q_out, glomerulusPhosphateRate.q_in) 
                                                             annotation (Line(
            points={{-8,24},{-2,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(SO4Pool.q_out, glomerulus.q_in) annotation (Line(
            points={{-54,24},{-28,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulus.HCO3, CO2Veins_HCO3)  annotation (Line(
            points={{-16,29},{-16,52},{-32,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, gain.u) annotation (Line(
            points={{-14,4},{-11.2,4},{-11.2,4},{-8.4,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, SO4Pool_conc_per_liter) annotation (Line(
            points={{-3.8,4},{2,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, SO4Pool.q_out) annotation (Line(
            points={{-18,4},{-36,4},{-36,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure.actualFlow, CD_SO4_Outflow) annotation (Line(
            points={{28,19},{28,14},{36,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, Bladder.q_out) annotation (Line(
            points={{32,24},{60,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.q_out, flowMeasure.q_in) annotation (
            Line(
            points={{18,24},{24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(BloodIons_StrongAnionsLessSO4, glomerulus.otherStrongAnions) 
          annotation (Line(
            points={{-32,44},{-20,44},{-20,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodIons_Cations, glomerulus.Cations) annotation (Line(
            points={{-32,36},{-24,36},{-24,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain1.y, SO4Pool_Osmoles) annotation (Line(
            points={{-47.8,-4},{-38,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain1.u, SO4Pool.SoluteMass) annotation (Line(
            points={{-52.4,-4},{-54,-4},{-54,16.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{60,24},{50,24},{50,-12},{66,-12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, BladderVoidFlow) annotation (Line(
            points={{72,-8.4},{72,-2},{62,-2}},
            color={0,0,127},
            smooth=Smooth.None));

        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end Sulphate;

      model GlomerulusStrongAnionFiltration

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));

        Library.Interfaces.RealInput_ Cations( final quantity="Concentration", final unit =    "mEq/l") annotation (Placement(
              transformation(extent={{-80,30},{-40,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,50})));
        Library.Interfaces.RealInput_ ProteinAnions(final quantity=
              "Concentration", final unit="mEq/l")                                                            annotation (Placement(
              transformation(extent={{-40,30},{0,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,50})));
        Real KAdjustment;
        //Real Cations( final quantity="Concentration", final unit = "mEq/l");
        Real Anions( final quantity="Concentration", final unit = "mEq/l");
       // Real ProteinAnions( final quantity="Concentration", final unit = "mEq/l");
      /*  Library.Interfaces.RealInput_ HCO3(final quantity="Concentration",
      final unit="mEq/l")                                                                               annotation (Placement(
        transformation(extent={{0,30},{40,70}}),  iconTransformation(
        extent={{-20,-20},{20,20}},
        rotation=270,
        origin={20,50})));
*/
      equation
        q_in.q + q_out.q = 0;
        //Cations = q_in.conc*1000+otherCations;
        Anions = Cations;
       // ProteinAnions = Anions - otherStrongAnions - q_in.conc*1000 - HCO3;
        KAdjustment = (Cations-(Anions-ProteinAnions))/(Cations+(Anions-ProteinAnions));
        q_out.conc = (1+KAdjustment)*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{0,42},{0,26}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,20},{0,4}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-4},{0,-20}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-26},{0,-42}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5)}),       Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end GlomerulusStrongAnionFiltration;

      model Sulphate2
        //extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment SO4Pool(
            initialSoluteMass=4.00254, stateName="SO4Pool.Mass") 
          annotation (Placement(transformation(extent={{-64,14},{-44,34}})));
        Library.ConcentrationFlow.ConcentrationCompartment Bladder(
            initialSoluteMass=0,
          stateName="BladderSulphate.Mass",
          STEADY=false) 
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        Library.ConcentrationFlow.InputPump Diet 
          annotation (Placement(transformation(extent={{-88,-4},{-68,16}})));
        Library.ConcentrationFlow.SolventFlowPump glomerulusPhosphateRate 
          annotation (Placement(transformation(extent={{-2,14},{18,34}})));
        GlomerulusStrongAnionFiltration glomerulus 
          annotation (Placement(transformation(extent={{-28,14},{-8,34}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-18,4})));
        Modelica.Blocks.Math.Gain gain(k=1000) 
          annotation (Placement(transformation(extent={{-8,2},{-4,6}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{18,34},{38,14}})));
        Modelica.Blocks.Math.Gain gain1(k=.5) 
          annotation (Placement(transformation(extent={{-52,-6},{-48,-2}})));
        Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
          annotation (Placement(transformation(extent={{66,-18},{78,-6}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-96,76},{-84,88}}),
              iconTransformation(extent={{60,60},{100,100}})));
        Library.Blocks.Constant Constant7(k=50/1440) 
          annotation (Placement(transformation(extent={{-88,20},{-80,28}})));
        Library.Factors.SplineValue LeptinEffect2(data={{0,3.0,0},{8,1.0,-0.04},{
              50,0.0,0}}) 
          annotation (Placement(transformation(extent={{-88,6},{-68,26}})));
      Real ECF_conc;
      equation
        ECF_conc = gain.y;
       connect(SO4Pool.SolventVolume, busConnector. ECFV_Vol) 
                                                annotation (Line(
            points={{-62,30},{-67,30},{-67,82},{-90,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(Bladder.SolventVolume, busConnector. BladderVolume_Mass) annotation (Line(
            points={{52,30},{46,30},{46,82},{-90,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));

        connect(Diet.q_out,SO4Pool. q_out) annotation (Line(
            points={{-72,6},{-60,6},{-60,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.solventFlow, busConnector. GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{8,30},{8,82},{-90,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(glomerulus.q_out, glomerulusPhosphateRate.q_in) 
                                                             annotation (Line(
            points={{-8,24},{-2,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(SO4Pool.q_out, glomerulus.q_in) annotation (Line(
            points={{-54,24},{-28,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(concentrationMeasure.actualConc, gain.u) annotation (Line(
            points={{-14,4},{-11.2,4},{-11.2,4},{-8.4,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, busConnector. SO4Pool_conc_per_liter) annotation (Line(
            points={{-3.8,4},{13.1,4},{13.1,82},{-90,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure.q_in, SO4Pool.q_out) annotation (Line(
            points={{-18,4},{-36,4},{-36,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure.actualFlow, busConnector. CD_SO4_Outflow) annotation (Line(
            points={{28,19},{28,82},{-90,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(flowMeasure.q_out, Bladder.q_out) annotation (Line(
            points={{32,24},{60,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.q_out, flowMeasure.q_in) annotation (
            Line(
            points={{18,24},{24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector.BloodIons_Cations, glomerulus.Cations) annotation (Line(
            points={{-90,82},{-24,82},{-24,29}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(gain1.y, busConnector. SO4Pool_Osmoles) annotation (Line(
            points={{-47.8,-4},{13.1,-4},{13.1,82},{-90,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(gain1.u, SO4Pool.SoluteMass) annotation (Line(
            points={{-52.4,-4},{-54,-4},{-54,16.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{60,24},{50,24},{50,-12},{66,-12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoid.solventFlow, busConnector. BladderVoidFlow) annotation (Line(
            points={{72,-8.4},{72,82},{-90,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));

        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-90,82},{-96,82},{-96,16},{-87.8,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-79.6,24},{-78,24},{-78,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeptinEffect2.y, Diet.desiredFlow) annotation (Line(
            points={{-78,14},{-78,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BloodIons_ProteinAnions, glomerulus.ProteinAnions) 
          annotation (Line(
            points={{-90,82},{-20,82},{-20,29}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-110,-104},{110,-130}},
                lineColor={0,0,255},
                textString="%name"), Bitmap(extent={{-100,100},{100,-100}},
                  fileName="icons/sulfat02.png")}));
      end Sulphate2;
    end Sulphate;

    package NH4 "Body Amonium Distribution"

      model NH4
        extends Library.Interfaces.BaseModel;
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 AcuteEffect(
            data={{7.00,2.0,0},{7.45,1.0,-3.0},{7.80,0.0,0}}) 
          annotation (Placement(transformation(extent={{-60,52},{-40,72}})));
        HumMod.Library.Factors.NonlinearSystemPatch.Spline3DelayByDay
          ChronicEffect(Tau=3, data={{7.00,3.0,0},{7.45,1.0,-4.0},{7.80,0.0,0}}) 
          annotation (Placement(transformation(extent={{-60,42},{-40,62}})));
        HumMod.Library.Factors.NonlinearSystemPatch.SplineValue3 PhOnFlux(data=
              {{7.00,1.0,0},{7.45,0.6,-2.0},{7.80,0.0,0}}) 
          annotation (Placement(transformation(extent={{-60,26},{-40,46}})));
        Library.Blocks.ElectrolytesFlowConstant electrolytesFlowConstant(k=0.04) 
          annotation (Placement(transformation(extent={{-68,74},{-56,86}})));
        Library.Interfaces.RealInput_ BloodPh_ArtysPh 
          annotation (Placement(transformation(extent={{-90,58},{-82,66}}),
              iconTransformation(extent={{-100,88},{-88,100}})));
        Library.Interfaces.RealOutput_ CD_NH4_Outflow 
                                        annotation (Placement(transformation(extent={{-44,10},
                  {-36,18}}),        iconTransformation(extent={{100,80},{120,
                  100}})));
      equation

        connect(AcuteEffect.y, ChronicEffect.yBase) annotation (Line(
            points={{-50,60},{-50,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ChronicEffect.y, PhOnFlux.yBase) annotation (Line(
            points={{-50,50},{-50,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(electrolytesFlowConstant.y, AcuteEffect.yBase) annotation (Line(
            points={{-55.4,80},{-50,80},{-50,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AcuteEffect.u, BloodPh_ArtysPh) annotation (Line(
            points={{-59.8,62},{-86,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodPh_ArtysPh, ChronicEffect.u) annotation (Line(
            points={{-86,62},{-74,62},{-74,52},{-59.8,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodPh_ArtysPh, PhOnFlux.u) annotation (Line(
            points={{-86,62},{-74,62},{-74,36},{-59.8,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PhOnFlux.y, CD_NH4_Outflow) annotation (Line(
            points={{-50,34},{-50,14},{-40,14}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/NH4.jpg")}));
      end NH4;

      model Amonium2
        extends Library.Interfaces.BaseModel;
        Library.Factors.SplineValue AcuteEffect(data={{7.00,2.0,0},{7.45,1.0,-3.0},
              {7.80,0.0,0}}) 
          annotation (Placement(transformation(extent={{-60,52},{-40,72}})));
        Library.Factors.SplineDelayByDay ChronicEffect(Tau=3, data={{7.00,3.0,0},
              {7.45,1.0,-4.0},{7.80,0.0,0}}) 
          annotation (Placement(transformation(extent={{-60,42},{-40,62}})));
        Library.Factors.SplineValue PhOnFlux(data={{7.00,1.0,0},{7.45,0.6,-2.0},
              {7.80,0.0,0}}) 
          annotation (Placement(transformation(extent={{-60,26},{-40,46}})));
        Library.Blocks.ElectrolytesFlowConstant electrolytesFlowConstant(k=0.04) 
          annotation (Placement(transformation(extent={{-68,74},{-56,86}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-98,42},{-86,54}}),
              iconTransformation(extent={{62,62},{100,100}})));
      equation

        connect(AcuteEffect.y, ChronicEffect.yBase) annotation (Line(
            points={{-50,60},{-50,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ChronicEffect.y, PhOnFlux.yBase) annotation (Line(
            points={{-50,50},{-50,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(electrolytesFlowConstant.y, AcuteEffect.yBase) annotation (Line(
            points={{-55.4,80},{-50,80},{-50,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Artys_pH, AcuteEffect.u) annotation (Line(
            points={{-92,48},{-76,48},{-76,62},{-59.8,62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(PhOnFlux.y, busConnector.CD_NH4_Outflow) annotation (Line(
            points={{-50,34},{-50,26},{-92,26},{-92,48}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-3},{6,-3}}));
        connect(busConnector.Artys_pH, ChronicEffect.u) annotation (Line(
            points={{-92,48},{-76,48},{-76,52},{-59.8,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Artys_pH, PhOnFlux.u) annotation (Line(
            points={{-92,48},{-76,48},{-76,36},{-59.8,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/NH4.jpg"), Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
      end Amonium2;

      package test
        model T
          Amonium2 amonium2_1 
            annotation (Placement(transformation(extent={{-32,16},{-12,36}})));
          setup.ElectrolytesConstInputs electrolytesConstInputs 
            annotation (Placement(transformation(extent={{6,24},{26,44}})));
        equation
          connect(electrolytesConstInputs.busConnector, amonium2_1.busConnector) 
            annotation (Line(
              points={{14,34},{-13.9,34.1}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
        end T;
      end test;
    end NH4;

    model Electrolytes
      //extends QHP.Library.Interfaces.BaseModel;
      Sodium.Sodium sodium 
        annotation (Placement(transformation(extent={{-18,-94},{102,26}})));
      Library.Blocks.Constant Constant1(k=0) annotation (Placement(
            transformation(extent={{-88,-94},{-80,-86}})));
      Library.Blocks.Constant Constant14(k=0) 
        annotation (Placement(transformation(extent={{6,30},{14,38}})));
      Library.Blocks.Constant Constant15(k=0) 
        annotation (Placement(transformation(extent={{6,38},{14,46}})));
      Library.Blocks.Constant Constant16(k=0) 
        annotation (Placement(transformation(extent={{6,46},{14,54}})));
      Library.Blocks.Constant Constant17(k=0) 
        annotation (Placement(transformation(extent={{6,54},{14,62}})));
      Library.Blocks.Constant Constant18(k=0) 
        annotation (Placement(transformation(extent={{6,62},{14,70}})));
      Library.Blocks.Constant Constant19(k=.12) 
        annotation (Placement(transformation(extent={{6,70},{14,78}})));
      Library.Blocks.Constant Constant20(k=0) 
        annotation (Placement(transformation(extent={{6,78},{14,86}})));
      Potassium.Potassium potassium 
        annotation (Placement(transformation(extent={{240,-100},{360,20}})));
      Chloride.Chloride chloride 
        annotation (Placement(transformation(extent={{464,-100},{584,20}})));
      Phosphate.Phosphate phosphate 
        annotation (Placement(transformation(extent={{220,260},{340,380}})));
      HumMod.Electrolytes.Sulphate.Sulphate sulphate 
        annotation (Placement(transformation(extent={{440,260},{560,380}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-108,108},{-84,132}}),
            iconTransformation(extent={{-120,20},{-80,60}})));
      Library.Blocks.OsmolarityConstant OsmCell_OtherCations(      k=692) 
        annotation (Placement(transformation(extent={{2,140},{22,160}})));
      Library.Blocks.OsmolarityConstant CellElectrolytesMass(      k=1000) 
        annotation (Placement(transformation(extent={{4,116},{24,136}})));
      Modelica.Blocks.Math.Add3 Cells(
        k1=2,
        k2=2,
        k3=-1) annotation (Placement(transformation(extent={{46,144},{66,164}})));
      Library.Blocks.OsmolarityConstant OsmECFV_OtherAnions(      k=373.0) 
        annotation (Placement(transformation(extent={{64,98},{84,118}})));
      Modelica.Blocks.Math.Sum ECF(nin=8) 
        annotation (Placement(transformation(extent={{120,114},{140,134}})));
      NH4.NH4 ammonia 
        annotation (Placement(transformation(extent={{242,100},{362,220}})));
      Modelica.Blocks.Math.Sum BloodCations(nin=2) 
        annotation (Placement(transformation(extent={{130,178},{150,198}})));
      Modelica.Blocks.Math.Feedback feedback1 
        annotation (Placement(transformation(extent={{198,380},{218,360}})));
      Modelica.Blocks.Math.Feedback feedback2 
        annotation (Placement(transformation(extent={{414,378},{434,358}})));
      Library.Blocks.Constant Constant21(k=0) 
        annotation (Placement(transformation(extent={{244,30},{252,38}})));
      Library.Blocks.Constant Constant22(k=0) 
        annotation (Placement(transformation(extent={{244,38},{252,46}})));
      Library.Blocks.Constant Constant23(k=0) 
        annotation (Placement(transformation(extent={{244,46},{252,54}})));
      Library.Blocks.Constant Constant24(k=0) 
        annotation (Placement(transformation(extent={{244,54},{252,62}})));
      Library.Blocks.Constant Constant25(k=0) 
        annotation (Placement(transformation(extent={{244,62},{252,70}})));
      Library.Blocks.Constant Constant26(k=5.2e-002) 
        annotation (Placement(transformation(extent={{244,70},{252,78}})));
      Library.Blocks.Constant Constant27(k=0) 
        annotation (Placement(transformation(extent={{244,78},{252,86}})));
      Library.Blocks.Constant Constant28(k=0) 
        annotation (Placement(transformation(extent={{466,28},{474,36}})));
      Library.Blocks.Constant Constant29(k=0) 
        annotation (Placement(transformation(extent={{466,36},{474,44}})));
      Library.Blocks.Constant Constant30(k=0) 
        annotation (Placement(transformation(extent={{466,44},{474,52}})));
      Library.Blocks.Constant Constant31(k=0) 
        annotation (Placement(transformation(extent={{466,52},{474,60}})));
      Library.Blocks.Constant Constant32(k=0) 
        annotation (Placement(transformation(extent={{466,60},{474,68}})));
      Library.Blocks.Constant Constant33(k=0.149511) 
        annotation (Placement(transformation(extent={{466,68},{474,76}})));
      Library.Blocks.Constant Constant34(k=0) 
        annotation (Placement(transformation(extent={{466,76},{474,84}})));
      Library.Blocks.Constant Constant35(k=2.2e-002) 
        annotation (Placement(transformation(extent={{274,390},{282,398}})));
      Library.Blocks.Constant Constant36(k=3.7e-002) 
        annotation (Placement(transformation(extent={{498,388},{506,396}})));
      Modelica.Blocks.Math.Add3 AnFlow 
        annotation (Placement(transformation(extent={{406,-98},{426,-78}})));
      Modelica.Blocks.Math.Add3 CatFlow 
        annotation (Placement(transformation(extent={{406,-64},{426,-44}})));
      Modelica.Blocks.Math.Feedback CollectingDuct_NetSumCats 
        annotation (Placement(transformation(extent={{434,-64},{454,-44}})));
      Modelica.Blocks.Math.Sum StrongAnions(nin=5) 
        annotation (Placement(transformation(extent={{-32,184},{-12,204}})));
      Modelica.Blocks.Math.Feedback IonProteins 
        annotation (Placement(transformation(extent={{-72,28},{-52,8}})));
      Modelica.Blocks.Math.Add AnionsLessProtein 
        annotation (Placement(transformation(extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-34,144})));
      Modelica.Blocks.Math.Add3 YGLS "Ikeda glucose to cells flow" 
        annotation (Placement(transformation(extent={{196,28},{214,46}})));
      Library.Blocks.Constant KidneyAlpha_PT_NA(k=1) 
        annotation (Placement(transformation(extent={{-90,-60},{-82,-52}})));
    equation
      connect(Constant1.y,sodium. FurosemidePool_Furosemide_conc) 
        annotation (Line(
          points={{-79.6,-90},{-56,-90},{-56,-83.2},{-14.4,-83.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y,sodium. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{-79.6,-90},{-56,-90},{-56,-90.4},{-14.4,-90.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant14.y,sodium. IVDrip_NaRate) annotation (Line(
          points={{14.4,34},{18,34},{18,24.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant15.y,sodium. Transfusion_NaRate) annotation (Line(
          points={{14.4,42},{25.2,42},{25.2,24.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant16.y,sodium. SweatDuct_NaRate) annotation (Line(
          points={{14.4,50},{32.4,50},{32.4,24.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant17.y,sodium. Hemorrhage_NaRate) annotation (Line(
          points={{14.4,58},{39.6,58},{39.6,24.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant18.y,sodium. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{14.4,66},{46.8,66},{46.8,24.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant19.y,sodium. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{14.4,74},{54,74},{54,24.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant20.y,sodium. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{14.4,82},{61.2,82},{61.2,24.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(potassium.KCell_Mass, Cells.u1)  annotation (Line(
          points={{366,-22},{380,-22},{380,96},{-2,96},{-2,162},{44,162}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(OsmCell_OtherCations.y, Cells.u2)  annotation (Line(
          points={{23,150},{26,150},{26,154},{44,154}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellElectrolytesMass.y, Cells.u3)  annotation (Line(
          points={{25,126},{29.5,126},{29.5,146},{44,146}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sodium.NaPool_mass, ECF.u[1])  annotation (Line(
          points={{108,32},{132,32},{132,96},{118,96},{118,122.25}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(potassium.KPool_mass, ECF.u[2])  annotation (Line(
          points={{366,14},{380,14},{380,96},{114,96},{114,124},{118,124},{118,
              122.75}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(chloride.ClPool_mass, ECF.u[3])  annotation (Line(
          points={{590,14},{590,96},{112,96},{112,126},{116,122},{118,123.25}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(OsmECFV_OtherAnions.y, ECF.u[8])  annotation (Line(
          points={{85,108},{118,108},{118,125.75}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, phosphate.ECFV_Vol)              annotation (
          Line(
          points={{-96,120},{-96,242},{142,242},{142,362},{223.6,362}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ECFV_Vol, sulphate.ECFV_Vol)                    annotation (
          Line(
          points={{-96,120},{-96,242},{374,242},{374,362},{443.6,362}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ECFV_Vol, chloride.ECFV_Vol)                    annotation (
          Line(
          points={{-96,120},{-96,92},{396,92},{396,2},{467.6,2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ECFV_Vol, potassium.ECFV_Vol)                    annotation (
          Line(
          points={{-96,120},{-96,92},{166,92},{166,-5.2},{243.6,-5.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ECFV_Vol, sodium.ECFV_Vol)                   annotation (
          Line(
          points={{-96,120},{-96,11.6},{-14.4,11.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GlomerulusFiltrate_GFR, phosphate.GlomerulusFiltrate_GFR) 
        annotation (Line(
          points={{-96,120},{-96,242},{142,242},{142,314},{223.6,314}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GlomerulusFiltrate_GFR, sulphate.GlomerulusFiltrate_GFR) 
        annotation (Line(
          points={{-96,120},{-96,242},{374,242},{374,314},{443.6,314}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GlomerulusFiltrate_GFR, sodium.GlomerulusFiltrate_GFR) 
        annotation (Line(
          points={{-96,120},{-96,-40},{-14.4,-40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector.BladderVolume_Mass, phosphate.BladderVolume_Mass) 
        annotation (Line(
          points={{-96,120},{-96,242},{142,242},{142,347.6},{223.6,347.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BladderVolume_Mass, sulphate.BladderVolume_Mass) 
        annotation (Line(
          points={{-96,120},{-96,242},{374,242},{374,347.6},{443.6,347.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BladderVolume_Mass, chloride.BladderVolume_Mass) 
        annotation (Line(
          points={{-96,120},{-96,92},{396,92},{396,-12.4},{467.6,-12.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BladderVolume_Mass, potassium.BladderVolume_Mass) 
        annotation (Line(
          points={{-96,120},{-96,92},{166,92},{166,-19.6},{243.6,-19.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BladderVolume_Mass, sodium.BladderVolume_Mass) 
        annotation (Line(
          points={{-96,120},{-96,-4},{-14.4,-4},{-14.4,-2.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(sodium.NaPool_conc_per_liter, BloodCations.u[1]) annotation (Line(
          points={{108,20},{132,20},{132,96},{-2,96},{-2,187},{128,187}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(potassium.KPool_conc_per_liter, BloodCations.u[2]) annotation (Line(
          points={{366,2},{328,2},{328,96},{-2,96},{-2,188},{128,188},{128,189}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(feedback2.y, sulphate.BloodIons_StrongAnionsLessSO4) annotation (Line(
          points={{433,368},{438.3,368},{438.3,369.2},{443.6,369.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(phosphate.BloodIons_StrongAnionsLessPO4, feedback1.y) annotation (
          Line(
          points={{223.6,369.2},{219.8,369.2},{219.8,370},{217,370}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(phosphate.PO4Pool_conc_per_liter, feedback1.u2) annotation (Line(
          points={{346,362},{358,362},{358,388},{208,388},{208,378}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sulphate.SO4Pool_conc_per_liter, feedback2.u2) annotation (Line(
          points={{566,362},{578,362},{578,398},{424,398},{424,376}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BloodCations.y, feedback2.u1) annotation (Line(
          points={{151,188},{200,188},{200,254},{416,254},{416,368}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BloodCations.y, sulphate.BloodIons_Cations) annotation (Line(
          points={{151,188},{200,188},{200,254},{434,254},{434,376.4},{443.6,
              376.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BloodCations.y, phosphate.BloodIons_Cations) annotation (Line(
          points={{151,188},{200,188},{200,376.4},{223.6,376.4}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(BloodCations.y, feedback1.u1) annotation (Line(
          points={{151,188},{200,188},{200,370}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.Artys_pH, chloride.BloodPh_ArtysPh) 
        annotation (Line(
          points={{-96,120},{-96,92},{396,92},{396,16.4},{467.6,16.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Artys_pH, ammonia.BloodPh_ArtysPh) 
        annotation (Line(
          points={{-96,120},{-96,216},{245.6,216},{245.6,216.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant21.y,potassium. IVDrip_KRate) annotation (Line(
          points={{252.4,34},{276,34},{276,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant22.y,potassium. Transfusion_KRate) annotation (Line(
          points={{252.4,42},{283.2,42},{283.2,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant23.y,potassium. SweatDuct_KRate) annotation (Line(
          points={{252.4,50},{290.4,50},{290.4,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant24.y,potassium. Hemorrhage_KRate) annotation (Line(
          points={{252.4,58},{297.6,58},{297.6,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant25.y,potassium. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{252.4,66},{304.8,66},{304.8,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant26.y,potassium. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{252.4,74},{312,74},{312,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant27.y,potassium. GILumenDiarrhea_KLoss) annotation (Line(
          points={{252.4,82},{319.2,82},{319.2,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant28.y,chloride. IVDrip_ClRate) annotation (Line(
          points={{474.4,32},{500,32},{500,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant29.y,chloride. Transfusion_ClRate) annotation (Line(
          points={{474.4,40},{507.2,40},{507.2,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant30.y,chloride. SweatDuct_ClRate) annotation (Line(
          points={{474.4,48},{514.4,48},{514.4,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant31.y,chloride. Hemorrhage_ClRate) annotation (Line(
          points={{474.4,56},{521.6,56},{521.6,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant32.y,chloride. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{474.4,64},{528.8,64},{528.8,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant33.y,chloride. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{474.4,72},{536,72},{536,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant34.y, chloride.GILumenVomitus_ClLoss) annotation (Line(
          points={{474.4,80},{543.2,80},{543.2,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KidneyFunctionEffect, potassium.KidneyFunctionEffect) 
        annotation (Line(
          points={{-96,120},{-96,92},{166,92},{166,9.2},{243.6,9.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant36.y, sulphate.DietIntakeElectrolytes_SO4) annotation (Line(
          points={{506.4,392},{510,392},{510,394},{512,394},{512,378.8}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(Constant35.y, phosphate.DietIntakeElectrolytes_PO4) annotation (Line(
          points={{282.4,394},{288,394},{288,392},{292,392},{292,378.8}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.GILumenVolume_Mass, chloride.GILumenVolume_Mass) 
        annotation (Line(
          points={{-96,120},{-96,92},{396,92},{396,-5.2},{467.6,-5.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector.GILumenVolume_Mass, potassium.GILumenVolume_Mass) 
        annotation (Line(
          points={{-96,120},{-96,92},{166,92},{166,-12.4},{243.6,-12.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GILumenVolume_Mass, sodium.GILumenVolume_Mass) 
        annotation (Line(
          points={{-96,120},{-96,4.4},{-14.4,4.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(sodium.DT_Outflow, potassium.DT_Na_Outflow) annotation (Line(
          points={{108,-16},{243.6,-16},{243.6,-34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CellH2O_Vol, potassium.CellH2O_Vol) 
        annotation (Line(
          points={{-96,120},{-96,92},{166,92},{166,2},{243.6,2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.NephronAldo_conc_in_nG_per_dl, potassium.NephronAldo_conc_in_nG_per_dL) 
                                                 annotation (Line(
          points={{-96,120},{-96,92},{166,92},{166,-41.2},{243.6,-41.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(potassium.KPool_conc_per_liter, sodium.KPool) annotation (Line(
          points={{366,2},{344,2},{344,96},{-38,96},{-38,26},{-14.4,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Medulla_Volume, sodium.Medulla_Volume) 
        annotation (Line(
          points={{-96,120},{-96,-10},{-14.4,-10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.KidneyFunctionEffect, sodium.KidneyFunctionEffect) 
        annotation (Line(
          points={{-96,120},{-96,-25.6},{-14.4,-25.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Kidney_NephronCount_Total_xNormal, sodium.KidneyNephronCount_Filtering_xNormal) 
                                                     annotation (Line(
          points={{-96,120},{-96,-32.8},{-14.4,-32.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.NephronIFP_Pressure, sodium.NephronIFP_Pressure) 
        annotation (Line(
          points={{-96,120},{-96,-48},{-14.4,-48},{-14.4,-47.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.A2Pool_Log10Conc, sodium.A2Pool_Log10Con) 
        annotation (Line(
          points={{-96,120},{-96,-61.6},{-14.4,-61.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.NephronANP_Log10Conc, sodium.NephronANP_Log10Conc) 
        annotation (Line(
          points={{-96,120},{-96,-68.8},{-14.4,-68.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.NephronAldo_conc_in_nG_per_dl, sodium.NephronAldo_conc_in_nG_per_dL) 
        annotation (Line(
          points={{-96,120},{-96,-76},{-14.4,-76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant1.y, potassium.ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{-79.6,-90},{-56,-90},{-56,-100},{206,-100},{206,-48.4},{
              243.6,-48.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CollectingDuct_NetSumCats.y, chloride.CollectingDuct_NetSumCats) 
        annotation (Line(
          points={{453,-54},{456,-54},{456,-20},{466,-20},{467.6,-19.6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CatFlow.y, CollectingDuct_NetSumCats.u1) annotation (Line(
          points={{427,-54},{436,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AnFlow.y, CollectingDuct_NetSumCats.u2) annotation (Line(
          points={{427,-88},{444,-88},{444,-62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sodium.CD_Outflow, CatFlow.u2) annotation (Line(
          points={{108,-28},{132,-28},{132,96},{388,96},{388,-54},{404,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ammonia.CD_NH4_Outflow, CatFlow.u1) 
                                                 annotation (Line(
          points={{368,214},{388,214},{388,-46},{404,-46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(potassium.CD_Outflow, CatFlow.u3) annotation (Line(
          points={{366,-34},{380,-34},{380,-62},{404,-62}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(phosphate.CD_PO4_Outflow, AnFlow.u2) annotation (Line(
          points={{346,350},{366,350},{366,250},{388,250},{388,-88},{404,-88}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(sulphate.CD_SO4_Outflow, AnFlow.u3) annotation (Line(
          points={{566,350},{584,350},{584,250},{388,250},{388,-96},{404,-96}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(IonProteins.y, sodium.BloodIons_ProteinAnions) annotation (Line(
          points={{-53,18},{-28,18},{-28,18.8},{-14.4,18.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BloodCations.y, IonProteins.u1) annotation (Line(
          points={{151,188},{200,188},{200,218},{-70,218},{-70,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(phosphate.PO4Pool_conc_per_liter, StrongAnions.u[2]) 
        annotation (Line(
          points={{346,362},{372,362},{372,250},{-36,250},{-36,193.2},{-34,
              193.2}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(sulphate.SO4Pool_conc_per_liter, StrongAnions.u[3]) 
        annotation (Line(
          points={{566,362},{590,362},{590,250},{-36,250},{-36,194},{-34,194}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(chloride.ClPool_conc_per_liter, StrongAnions.u[5]) 
        annotation (Line(
          points={{590,2},{606,2},{606,250},{-36,250},{-36,195.6},{-34,195.6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CO2Veins_cHCO3, phosphate.CO2Veins_HCO3) 
        annotation (Line(
          points={{-96,120},{-96,242},{142,242},{142,340.4},{223.6,340.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CO2Veins_cHCO3, sulphate.CO2Veins_HCO3) 
        annotation (Line(
          points={{-96,120},{-96,242},{374,242},{374,340.4},{443.6,340.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.AldoPool_Aldo, potassium.AldoPool_Aldo) 
        annotation (Line(
          points={{-96,120},{-96,92},{166,92},{166,-26.8},{243.6,-26.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(phosphate.PO4Pool_Osmoles, ECF.u[4]) annotation (Line(
          points={{346,374},{366,374},{366,250},{112,250},{112,123.75},{118,123.75}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(sulphate.SO4Pool_Osmoles, ECF.u[5]) annotation (Line(
          points={{566,374},{576,374},{576,372},{584,372},{584,250},{112,250},{112,124},
              {118,124},{118,124.25}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.LacPool_Mass_mEq, ECF.u[6])                annotation (
          Line(
          points={{-96,120},{-24,120},{-24,108},{50,108},{50,124.75},{118,
              124.75}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector.LacPool_Lac_mEq_per_litre, StrongAnions.u[4]) 
            annotation (Line(
          points={{-96,120},{-96,194.8},{-34,194.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CO2Veins_cHCO3, AnionsLessProtein.u2) 
        annotation (Line(
          points={{-96,120},{-96,156},{-40,156}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(StrongAnions.y, AnionsLessProtein.u1) annotation (Line(
          points={{-11,194},{-6,194},{-6,172},{-28,172},{-28,156}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AnionsLessProtein.y, IonProteins.u2) annotation (Line(
          points={{-34,133},{-34,102},{-62,102},{-62,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(potassium.CD_Outflow, busConnector.CD_K_Outflow) 
        annotation (Line(
          points={{366,-34},{380,-34},{380,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sodium.PT_FractReab, busConnector.PT_Na_FractReab) 
        annotation (Line(
          points={{108,8},{132,8},{132,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sodium.LH_FractReab, busConnector.LH_Na_FractReab) 
        annotation (Line(
          points={{108,-4},{132,-4},{132,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sodium.DT_Outflow, busConnector.DT_Na_Outflow) 
        annotation (Line(
          points={{108,-16},{132,-16},{132,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sodium.CD_Outflow, busConnector.CD_Na_Outflow) 
        annotation (Line(
          points={{108,-28},{132,-28},{132,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sodium.Medulla_Conc, busConnector.MedullaNa_conc) 
        annotation (Line(
          points={{108,-40},{132,-40},{132,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ECF.y, busConnector.OsmECFV_Electrolytes) 
        annotation (Line(
          points={{141,124},{146,124},{146,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Cells.y, busConnector.OsmCell_Electrolytes) 
        annotation (Line(
          points={{67,154},{108,154},{108,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ammonia.CD_NH4_Outflow, busConnector.CD_NH4_Outflow) 
        annotation (Line(
          points={{368,214},{388,214},{388,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.BladderVoidFlow, phosphate.BladderVoidFlow) 
        annotation (Line(
          points={{-96,120},{-96,256.4},{223.6,256.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BladderVoidFlow, sulphate.BladderVoidFlow) 
        annotation (Line(
          points={{-96,120},{-96,256},{443.6,256},{443.6,256.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BladderVoidFlow, chloride.BladderVoidFlow) 
        annotation (Line(
          points={{-96,120},{-96,-103.6},{467.6,-103.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BladderVoidFlow, potassium.BladderVoidFlow) 
        annotation (Line(
          points={{-96,120},{-96,-103.6},{243.6,-103.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BladderVoidFlow, sodium.BladderVoidFlow) 
        annotation (Line(
          points={{-96,120},{-96,-102},{-14.4,-102},{-14.4,-97.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(sodium.GILumenSodium_Mass, busConnector.GILumenSodium_Mass) 
        annotation (Line(
          points={{108,-52},{132,-52},{132,98},{-96,98},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(potassium.GILumenPotasium_Mass, busConnector.GILumenPotassium_Mass) 
        annotation (Line(
          points={{366,-58},{380,-58},{380,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BloodCations.y, busConnector.BloodCations) 
        annotation (Line(
          points={{151,188},{200,188},{200,218},{-96,218},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.VasaRecta_Outflow, sodium.VasaRecta_Outflow) 
        annotation (Line(
          points={{-96,120},{-96,-16},{-14.4,-16},{-14.4,-18.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.KAPool_conc_per_liter, StrongAnions.u[1]) 
        annotation (Line(
          points={{-96,120},{-96,192.4},{-34,192.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_KA_Outflow, AnFlow.u1)                annotation (
         Line(
          points={{-96,120},{-96,242},{388,242},{388,-80},{404,-80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.KAPool_Osmoles, ECF.u[7])                annotation (
         Line(
          points={{-96,120},{-24,120},{-24,108},{50,108},{50,125.25},{118,
              125.25}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(potassium.KCell_conc, busConnector.KCell_conc) 
        annotation (Line(
          points={{366,-10},{380,-10},{380,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BloodCations.y, busConnector.BloodIons_Cations) 
        annotation (Line(
          points={{151,188},{200,188},{200,218},{-96,218},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(StrongAnions.y, busConnector.BloodIons_StrongAnions) 
        annotation (Line(
          points={{-11,194},{-6,194},{-6,216},{-96,216},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(YGLS.y, potassium.GlucoseToCellsFlow) annotation (Line(
          points={{214.9,37},{222,37},{222,16.4},{243.6,16.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow, YGLS.u2) 
                 annotation (Line(
          points={{-96,120},{-96,92},{166,92},{166,37},{194.2,37}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.liver_GlucoseToCellStorageFlow, YGLS.u1) 
        annotation (Line(
          points={{-96,120},{-96,92},{166,92},{166,44.2},{194.2,44.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow, YGLS.u3) 
        annotation (Line(
          points={{-96,120},{-96,92},{166,92},{166,29.8},{194.2,29.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Artys_pH, potassium.Artys_pH) annotation (Line(
          points={{-96,120},{-96,90},{166,90},{166,-55.6},{243.6,-55.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(phosphate.CD_PO4_Outflow, busConnector.CD_PO4_Outflow) 
        annotation (Line(
          points={{346,350},{376,350},{376,240},{-96,240},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sodium.DT_AldosteroneEffect, busConnector.DT_AldosteroneEffect) 
        annotation (Line(
          points={{108,-64},{128,-64},{128,-82},{130,-82},{130,94},{-96,94},{
              -96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sodium.DT_Na_Reab, busConnector.DT_Na_Reab) annotation (Line(
          points={{108,-76},{134,-76},{134,92},{-98,92},{-98,120},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(potassium.KPool_per_liter, busConnector.KPool_per_liter) 
        annotation (Line(
          points={{366,-70},{374,-70},{374,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(KidneyAlpha_PT_NA.y, sodium.KidneyAlpha_PT_NA) annotation (Line(
          points={{-81.6,-56},{-74,-56},{-74,-54.4},{-14.4,-54.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sodium.LH_Na_Reab, busConnector.LH_Na_Reab) annotation (Line(
          points={{108,-88},{130,-88},{130,94},{-96,94},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sodium.PT_Na_Reab, busConnector.PT_Na_Reab) annotation (Line(
          points={{108,-100},{132,-100},{132,92},{-90,92},{-90,120},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(potassium.PotassiumToCells, busConnector.PotasiumToCells) 
        annotation (Line(
          points={{366,-82},{386,-82},{386,96},{-96,96},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(phosphate.PO4Pool_conc_per_liter, busConnector.ctPO4) annotation (
         Line(
          points={{346,362},{368,362},{368,242},{-94,242},{-94,120},{-96,120}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{600,400}}), graphics={
            Text(
              extent={{414,184},{574,192}},
              lineColor={0,0,0},
              textString="Lactate, Fatty acids, Amino Acids  =>"),
            Text(
              extent={{454,182},{588,174}},
              lineColor={0,0,0},
              textString=" implemented in NutrientsAndMetabolism"),
            Text(
              extent={{412,154},{572,162}},
              lineColor={0,0,0},
              textString="HCO3 =>"),
            Text(
              extent={{452,152},{586,144}},
              lineColor={0,0,0},
              textString=" implemented in CO2 in Gases"),
            Rectangle(extent={{412,198},{590,136}}, lineColor={0,0,0})}),
                                        Icon(coordinateSystem(preserveAspectRatio=true,
              extent={{-100,-100},{100,100}}), graphics={Bitmap(extent={{-100,
                  100},{100,-100}}, fileName="icons/electrolytes.png"), Text(
              extent={{-122,-58},{120,-92}},
              lineColor={0,0,255},
              textString="%name")}),
        Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
</html>"));
    end Electrolytes;

    package setup
    model ElectrolytesConstInputs

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{26,-6},{40,8}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant BladderVoidFlow(k=0) 
    annotation (Placement(transformation(extent={{-30,-98},{-24,-92}})));
    Library.Blocks.Constant A2Pool_Log10Conc(k=1.30698460203345) 
    annotation (Placement(transformation(extent={{-30,-88},{-24,-82}})));
    Library.Blocks.Constant AldoPool_Aldo(k=0.290854848569316) 
    annotation (Placement(transformation(extent={{-30,-78},{-24,-72}})));
    Library.Blocks.Constant BladderVolume_Mass(k=629.260404013417) 
    annotation (Placement(transformation(extent={{-30,-68},{-24,-62}})));
    Library.Blocks.Constant Artys_pH(k=7.38644600458198) 
    annotation (Placement(transformation(extent={{-30,-58},{-24,-52}})));
    Library.Blocks.Constant CD_KA_Outflow(k=6.08968322729714e-005) 
    annotation (Placement(transformation(extent={{-30,-48},{-24,-42}})));
    Library.Blocks.Constant CO2Veins_cHCO3(k=2.57071728935027e-002) 
    annotation (Placement(transformation(extent={{-30,-38},{-24,-32}})));
    Library.Blocks.Constant CellH2O_Vol(k=27335.8967957385) 
    annotation (Placement(transformation(extent={{-30,-28},{-24,-22}})));
    Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
    annotation (Placement(transformation(extent={{-30,-18},{-24,-12}})));
    Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
    annotation (Placement(transformation(extent={{-30,-8},{-24,-2}})));
    Library.Blocks.Constant GlomerulusFiltrate_GFR(k=127.333064117169) 
    annotation (Placement(transformation(extent={{-30,2},{-24,8}})));
    Library.Blocks.Constant KAPool_Osmoles(k=2.10110505683432) 
    annotation (Placement(transformation(extent={{-30,8},{-24,14}})));
    Library.Blocks.Constant KAPool_conc(k=1.3839925831359e-002) 
    annotation (Placement(transformation(extent={{-30,14},{-24,20}})));
    Library.Blocks.Constant KidneyAlpha_PT_NA(k=1.) 
    annotation (Placement(transformation(extent={{-30,20},{-24,26}})));
    Library.Blocks.Constant KidneyFunction_Effect(k=0.995580586980285) 
    annotation (Placement(transformation(extent={{-30,26},{-24,32}})));
    Library.Blocks.Constant Kidney_NephronCount_Total_xNormal(k=1.) 
    annotation (Placement(transformation(extent={{-30,32},{-24,38}})));
    Library.Blocks.Constant LacPool_Mass_mEq(k=18.2596543652006) 
    annotation (Placement(transformation(extent={{78,-2},{72,4}})));
    Library.Blocks.Constant LacPool_Lac_mEq_per_litre(k=1.17870363536868) 
    annotation (Placement(transformation(extent={{78,8},{72,14}})));
    Library.Blocks.Constant Medulla_Volume(k=31.) 
    annotation (Placement(transformation(extent={{78,18},{72,24}})));
    Library.Blocks.Constant NephronANP_Log10Conc(k=1.25866025557014) 
    annotation (Placement(transformation(extent={{78,28},{72,34}})));
    Library.Blocks.Constant NephronAldo_conc_in_nG_per_dl(k=9.9383249094754) 
    annotation (Placement(transformation(extent={{78,38},{72,44}})));
    Library.Blocks.Constant NephroneIFP_Pressure(k=3.92090703529923) 
    annotation (Placement(transformation(extent={{78,48},{72,54}})));
    Library.Blocks.Constant VasaRecta_Outflow(k=21.7865579572364) 
    annotation (Placement(transformation(extent={{78,58},{72,64}})));
    Library.Blocks.Constant liver_GlucoseToCellStorageFlow(k=0) 
    annotation (Placement(transformation(extent={{78,68},{72,74}})));
    Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow(k=0) 
    annotation (Placement(transformation(extent={{78,78},{72,84}})));
    Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow1(
                                                                    k=0) 
    annotation (Placement(transformation(extent={{78,88},{72,94}})));
      Library.Blocks.Constant Constant14(k=0) 
        annotation (Placement(transformation(extent={{-86,42},{-78,50}})));
      Library.Blocks.Constant Constant15(k=0) 
        annotation (Placement(transformation(extent={{-86,50},{-78,58}})));
      Library.Blocks.Constant Constant16(k=0) 
        annotation (Placement(transformation(extent={{-86,58},{-78,66}})));
      Library.Blocks.Constant Constant17(k=0) 
        annotation (Placement(transformation(extent={{-86,66},{-78,74}})));
      Library.Blocks.Constant Constant18(k=0) 
        annotation (Placement(transformation(extent={{-86,74},{-78,82}})));
      Library.Blocks.Constant Constant19(k=.12) 
        annotation (Placement(transformation(extent={{-86,82},{-78,90}})));
      Library.Blocks.Constant Constant20(k=0) 
        annotation (Placement(transformation(extent={{-86,90},{-78,98}})));
      Library.Blocks.Constant Constant1(k=0) annotation (Placement(
            transformation(extent={{-94,-10},{-86,-2}})));
      Library.Blocks.Constant Constant2(k=0) annotation (Placement(
            transformation(extent={{-94,-24},{-86,-16}})));
    Library.Blocks.Constant Kidney_NephronCount_Filtering_xNormal(
                                                              k=1.) 
    annotation (Placement(transformation(extent={{-30,38},{-24,44}})));
      Library.Blocks.Constant Constant21(k=0) 
        annotation (Placement(transformation(extent={{-92,-92},{-84,-84}})));
      Library.Blocks.Constant Constant22(k=0) 
        annotation (Placement(transformation(extent={{-92,-84},{-84,-76}})));
      Library.Blocks.Constant Constant23(k=0) 
        annotation (Placement(transformation(extent={{-92,-76},{-84,-68}})));
      Library.Blocks.Constant Constant24(k=0) 
        annotation (Placement(transformation(extent={{-92,-68},{-84,-60}})));
      Library.Blocks.Constant Constant25(k=0) 
        annotation (Placement(transformation(extent={{-92,-60},{-84,-52}})));
      Library.Blocks.Constant Constant26(k=5.2e-002) 
        annotation (Placement(transformation(extent={{-92,-52},{-84,-44}})));
      Library.Blocks.Constant Constant27(k=0) 
        annotation (Placement(transformation(extent={{-92,-44},{-84,-36}})));
      Library.Blocks.Constant Constant28(k=0) 
        annotation (Placement(transformation(extent={{80,-70},{72,-62}})));
      Library.Blocks.Constant Constant29(k=0) 
        annotation (Placement(transformation(extent={{80,-62},{72,-54}})));
      Library.Blocks.Constant Constant30(k=0) 
        annotation (Placement(transformation(extent={{80,-54},{72,-46}})));
      Library.Blocks.Constant Constant31(k=0) 
        annotation (Placement(transformation(extent={{80,-46},{72,-38}})));
      Library.Blocks.Constant Constant32(k=0) 
        annotation (Placement(transformation(extent={{80,-38},{72,-30}})));
      Library.Blocks.Constant Constant33(k=0.149511) 
        annotation (Placement(transformation(extent={{80,-30},{72,-22}})));
      Library.Blocks.Constant Constant34(k=0) 
        annotation (Placement(transformation(extent={{80,-22},{72,-14}})));
    equation

    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-23.7,-95},{33,-95},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(A2Pool_Log10Conc.y, busConnector.A2Pool_Log10Conc) annotation (Line(
     points={{-23.7,-85},{33,-85},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AldoPool_Aldo.y, busConnector.AldoPool_Aldo) annotation (Line(
     points={{-23.7,-75},{33,-75},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{-23.7,-65},{33,-65},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
     points={{-23.7,-55},{33,-55},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
     points={{-23.7,-45},{33,-45},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
     points={{-23.7,-35},{33,-35},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CellH2O_Vol.y, busConnector.CellH2O_Vol) annotation (Line(
     points={{-23.7,-25},{33,-25},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
     points={{-23.7,-15},{33,-15},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-23.7,-5},{33,-5},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GlomerulusFiltrate_GFR.y, busConnector.GlomerulusFiltrate_GFR) annotation (Line(
     points={{-23.7,5},{33,5},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool_Osmoles.y, busConnector.KAPool_Osmoles) annotation (Line(
     points={{-23.7,11},{33,11},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool_conc.y, busConnector.KAPool_conc_per_liter) annotation (Line(
     points={{-23.7,17},{33,17},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
     points={{-23.7,23},{33,23},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyFunction_Effect.y, busConnector.KidneyFunctionEffect) annotation (Line(
     points={{-23.7,29},{33,29},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
     points={{-23.7,35},{33,35},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Mass_mEq.y, busConnector.LacPool_Mass_mEq) annotation (Line(
     points={{71.7,1},{52.35,1},{52.35,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Lac_mEq_per_litre.y, busConnector.LacPool_Lac_mEq_per_litre) annotation (Line(
     points={{71.7,11},{33,11},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{71.7,21},{33,21},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronANP_Log10Conc.y, busConnector.NephronANP_Log10Conc) annotation (Line(
     points={{71.7,31},{33,31},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronAldo_conc_in_nG_per_dl.y, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (Line(
     points={{71.7,41},{33,41},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephroneIFP_Pressure.y, busConnector.NephronIFP_Pressure) annotation (Line(
     points={{71.7,51},{32,52},{32,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
     points={{71.7,61},{33,61},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_GlucoseToCellStorageFlow.y, busConnector.liver_GlucoseToCellStorageFlow) annotation (Line(
     points={{71.7,71},{33,71},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_GlucoseToCellStorageFlow.y, busConnector.skeletalMuscle_GlucoseToCellStorageFlow) annotation (Line(
     points={{71.7,81},{33,81},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(skeletalMuscle_GlucoseToCellStorageFlow1.y, busConnector.respiratoryMuscle_GlucoseToCellStorageFlow) 
        annotation (Line(
          points={{71.7,91},{33,91},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant14.y,busConnector.IVDrip_NaRate) annotation (Line(
          points={{-77.6,46},{33,46},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant15.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{-77.6,54},{33,54},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant16.y,busConnector. SweatDuct_NaRate) annotation (Line(
          points={{-77.6,62},{33,62},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant17.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{-77.6,70},{33,70},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant18.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{-77.6,78},{33,78},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant19.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{-77.6,86},{33,86},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant20.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{-77.6,94},{33,94},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y,busConnector. FurosemidePool_Furosemide_conc) 
        annotation (Line(
          points={{-85.6,-6},{-62,-6},{-62,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant2.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{-85.6,-20},{-62,-20},{-62,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Kidney_NephronCount_Filtering_xNormal.y, busConnector.Kidney_NephronCount_Filtering_xNormal) 
                                                                                                 annotation (Line(
     points={{-23.7,41},{33,41},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant21.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{-83.6,-88},{-58,-88},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant22.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{-83.6,-80},{-58,-80},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant23.y,busConnector. SweatDuct_KRate) annotation (Line(
          points={{-83.6,-72},{-58,-72},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant24.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{-83.6,-64},{-58,-64},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant25.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{-83.6,-56},{-58,-56},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant26.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{-83.6,-48},{-58,-48},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant27.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{-83.6,-40},{33,-40},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant28.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{71.6,-66},{33,-66},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant29.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{71.6,-58},{33,-58},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant30.y,busConnector. SweatDuct_ClRate) annotation (Line(
          points={{71.6,-50},{33,-50},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant31.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{71.6,-42},{33,-42},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant32.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{71.6,-34},{33,-34},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant33.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{71.6,-26},{33,-26},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant34.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{71.6,-18},{33,-18},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                             graphics));
    end ElectrolytesConstInputs;

    model ElectrolytesConstInputs2

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{26,-6},{40,8}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant BladderVoidFlow(k=0) 
    annotation (Placement(transformation(extent={{-30,-98},{-24,-92}})));
    Library.Blocks.Constant A2Pool_Log10Conc(k=1.29898) 
    annotation (Placement(transformation(extent={{-32,-88},{-26,-82}})));
    Library.Blocks.Constant AldoPool_Aldo(k=330) 
    annotation (Placement(transformation(extent={{-30,-78},{-24,-72}})));
    Library.Blocks.Constant BladderVolume_Mass(k=629.260404013417) 
    annotation (Placement(transformation(extent={{-30,-68},{-24,-62}})));
    Library.Blocks.Constant Artys_pH(k=7.38644600458198) 
    annotation (Placement(transformation(extent={{-30,-58},{-24,-52}})));
    Library.Blocks.Constant CD_KA_Outflow(k=6.08968322729714e-005) 
    annotation (Placement(transformation(extent={{-30,-48},{-24,-42}})));
    Library.Blocks.Constant CO2Veins_cHCO3(k=25.6) 
    annotation (Placement(transformation(extent={{-30,-38},{-24,-32}})));
    Library.Blocks.Constant CellH2O_Vol(k=27335.8967957385) 
    annotation (Placement(transformation(extent={{-30,-28},{-24,-22}})));
    Library.Blocks.Constant ECFV_Vol(k=14361.) 
    annotation (Placement(transformation(extent={{-30,-18},{-24,-12}})));
    Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
    annotation (Placement(transformation(extent={{-30,-8},{-24,-2}})));
    Library.Blocks.Constant GlomerulusFiltrate_GFR(k=129.497) 
    annotation (Placement(transformation(extent={{-30,2},{-24,8}})));
    Library.Blocks.Constant KAPool_Osmoles(k=0.700444) 
    annotation (Placement(transformation(extent={{-30,8},{-24,14}})));
    Library.Blocks.Constant KAPool_conc(k=4.88e-002) 
    annotation (Placement(transformation(extent={{-30,14},{-24,20}})));
    Library.Blocks.Constant KidneyAlpha_PT_NA(k=1.) 
    annotation (Placement(transformation(extent={{-30,20},{-24,26}})));
    Library.Blocks.Constant KidneyFunction_Effect(k=1) 
    annotation (Placement(transformation(extent={{-30,26},{-24,32}})));
    Library.Blocks.Constant Kidney_NephronCount_Total_xNormal(k=1.) 
    annotation (Placement(transformation(extent={{-30,32},{-24,38}})));
    Library.Blocks.Constant LacPool_Mass_mEq(k=15) 
    annotation (Placement(transformation(extent={{78,-2},{72,4}})));
    Library.Blocks.Constant LacPool_Lac_mEq_per_litre(k=1.04449) 
    annotation (Placement(transformation(extent={{78,8},{72,14}})));
    Library.Blocks.Constant Medulla_Volume(k=31.) 
    annotation (Placement(transformation(extent={{78,18},{72,24}})));
    Library.Blocks.Constant NephronANP_Log10Conc(k=1.30103) 
    annotation (Placement(transformation(extent={{78,28},{72,34}})));
    Library.Blocks.Constant NephronAldo_conc_in_nG_per_dl(k=11) 
    annotation (Placement(transformation(extent={{78,38},{72,44}})));
    Library.Blocks.Constant NephroneIFP_Pressure(k=3.95043) 
    annotation (Placement(transformation(extent={{78,48},{72,54}})));
    Library.Blocks.Constant VasaRecta_Outflow(k=24.3304) 
    annotation (Placement(transformation(extent={{78,58},{72,64}})));
    Library.Blocks.Constant liver_GlucoseToCellStorageFlow(k=0) 
    annotation (Placement(transformation(extent={{78,68},{72,74}})));
    Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow(k=0) 
    annotation (Placement(transformation(extent={{78,78},{72,84}})));
    Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow1(
                                                                    k=0) 
    annotation (Placement(transformation(extent={{78,88},{72,94}})));
      Library.Blocks.Constant Constant14(k=0) 
        annotation (Placement(transformation(extent={{-86,42},{-78,50}})));
      Library.Blocks.Constant Constant15(k=0) 
        annotation (Placement(transformation(extent={{-86,50},{-78,58}})));
      Library.Blocks.Constant Constant16(k=0) 
        annotation (Placement(transformation(extent={{-86,58},{-78,66}})));
      Library.Blocks.Constant Constant17(k=0) 
        annotation (Placement(transformation(extent={{-86,66},{-78,74}})));
      Library.Blocks.Constant Constant18(k=0) 
        annotation (Placement(transformation(extent={{-86,74},{-78,82}})));
      Library.Blocks.Constant Constant19(k=0.125199) 
        annotation (Placement(transformation(extent={{-86,82},{-78,90}})));
      Library.Blocks.Constant Constant20(k=0) 
        annotation (Placement(transformation(extent={{-86,90},{-78,98}})));
      Library.Blocks.Constant Constant1(k=0) annotation (Placement(
            transformation(extent={{-94,-10},{-86,-2}})));
      Library.Blocks.Constant Constant2(k=0) annotation (Placement(
            transformation(extent={{-94,-24},{-86,-16}})));
    Library.Blocks.Constant Kidney_NephronCount_Filtering_xNormal(
                                                              k=1.) 
    annotation (Placement(transformation(extent={{-30,38},{-24,44}})));
      Library.Blocks.Constant Constant21(k=0) 
        annotation (Placement(transformation(extent={{-92,-92},{-84,-84}})));
      Library.Blocks.Constant Constant22(k=0) 
        annotation (Placement(transformation(extent={{-92,-84},{-84,-76}})));
      Library.Blocks.Constant Constant23(k=0) 
        annotation (Placement(transformation(extent={{-92,-76},{-84,-68}})));
      Library.Blocks.Constant Constant24(k=0) 
        annotation (Placement(transformation(extent={{-92,-68},{-84,-60}})));
      Library.Blocks.Constant Constant25(k=0) 
        annotation (Placement(transformation(extent={{-92,-60},{-84,-52}})));
      Library.Blocks.Constant Constant26(k=5.2e-002) 
        annotation (Placement(transformation(extent={{-92,-52},{-84,-44}})));
      Library.Blocks.Constant Constant27(k=0) 
        annotation (Placement(transformation(extent={{-92,-44},{-84,-36}})));
      Library.Blocks.Constant Constant28(k=0) 
        annotation (Placement(transformation(extent={{80,-70},{72,-62}})));
      Library.Blocks.Constant Constant29(k=0) 
        annotation (Placement(transformation(extent={{80,-62},{72,-54}})));
      Library.Blocks.Constant Constant30(k=0) 
        annotation (Placement(transformation(extent={{80,-54},{72,-46}})));
      Library.Blocks.Constant Constant31(k=0) 
        annotation (Placement(transformation(extent={{80,-46},{72,-38}})));
      Library.Blocks.Constant Constant32(k=0) 
        annotation (Placement(transformation(extent={{80,-38},{72,-30}})));
      Library.Blocks.Constant Constant33(k=0.142459) 
        annotation (Placement(transformation(extent={{80,-30},{72,-22}})));
      Library.Blocks.Constant Constant34(k=0) 
        annotation (Placement(transformation(extent={{80,-22},{72,-14}})));
    Library.Blocks.Constant A2Pool_Log10Conc1(k=11.88) 
    annotation (Placement(transformation(extent={{-86,28},{-80,34}})));
    Library.Blocks.Constant A2Pool_Log10Conc2(k=2.5e-002) 
    annotation (Placement(transformation(extent={{-86,22},{-80,28}})));
    Library.Blocks.Constant A2Pool_Log10Conc3(k=4.2e-002) 
    annotation (Placement(transformation(extent={{-86,16},{-80,22}})));
    Library.Blocks.Constant Leptin(k=7.9631) 
    annotation (Placement(transformation(extent={{-88,4},{-82,10}})));
      Library.Blocks.Constant Constant3(k=39.1458) 
        annotation (Placement(transformation(extent={{-82,-34},{-74,-26}})));
    Library.Blocks.Constant A2Pool_Log10Conc6(k=0.02) 
    annotation (Placement(transformation(extent={{-80,-20},{-74,-14}})));
    Library.Blocks.Constant A2Pool_Log10Conc4(k=5.5) 
    annotation (Placement(transformation(extent={{-80,-12},{-74,-6}})));
    equation

    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-23.7,-95},{33,-95},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(A2Pool_Log10Conc.y, busConnector.A2Pool_Log10Conc) annotation (Line(
     points={{-25.7,-85},{33,-85},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{-23.7,-65},{33,-65},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
     points={{-23.7,-55},{33,-55},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
     points={{-23.7,-45},{33,-45},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
     points={{-23.7,-35},{33,-35},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CellH2O_Vol.y, busConnector.CellH2O_Vol) annotation (Line(
     points={{-23.7,-25},{33,-25},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
     points={{-23.7,-15},{33,-15},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-23.7,-5},{33,-5},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GlomerulusFiltrate_GFR.y, busConnector.GlomerulusFiltrate_GFR) annotation (Line(
     points={{-23.7,5},{33,5},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool_Osmoles.y, busConnector.KAPool_Osmoles) annotation (Line(
     points={{-23.7,11},{33,11},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool_conc.y, busConnector.KAPool_conc_per_liter) annotation (Line(
     points={{-23.7,17},{33,17},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
     points={{-23.7,23},{33,23},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyFunction_Effect.y, busConnector.KidneyFunctionEffect) annotation (Line(
     points={{-23.7,29},{33,29},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
     points={{-23.7,35},{33,35},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Mass_mEq.y, busConnector.LacPool_Mass_mEq) annotation (Line(
     points={{71.7,1},{52.35,1},{52.35,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Lac_mEq_per_litre.y, busConnector.LacPool_Lac_mEq_per_litre) annotation (Line(
     points={{71.7,11},{33,11},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{71.7,21},{33,21},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronANP_Log10Conc.y, busConnector.NephronANP_Log10Conc) annotation (Line(
     points={{71.7,31},{33,31},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronAldo_conc_in_nG_per_dl.y, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (Line(
     points={{71.7,41},{33,41},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephroneIFP_Pressure.y, busConnector.NephronIFP_Pressure) annotation (Line(
     points={{71.7,51},{32,52},{32,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
     points={{71.7,61},{33,61},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_GlucoseToCellStorageFlow.y, busConnector.liver_GlucoseToCellStorageFlow) annotation (Line(
     points={{71.7,71},{33,71},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_GlucoseToCellStorageFlow.y, busConnector.skeletalMuscle_GlucoseToCellStorageFlow) annotation (Line(
     points={{71.7,81},{33,81},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(skeletalMuscle_GlucoseToCellStorageFlow1.y, busConnector.respiratoryMuscle_GlucoseToCellStorageFlow) 
        annotation (Line(
          points={{71.7,91},{33,91},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant14.y,busConnector.IVDrip_NaRate) annotation (Line(
          points={{-77.6,46},{33,46},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant15.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{-77.6,54},{33,54},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant16.y,busConnector. SweatDuct_NaRate) annotation (Line(
          points={{-77.6,62},{33,62},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant17.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{-77.6,70},{33,70},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant18.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{-77.6,78},{33,78},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant19.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{-77.6,86},{33,86},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant20.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{-77.6,94},{33,94},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y,busConnector. FurosemidePool_Furosemide_conc) 
        annotation (Line(
          points={{-85.6,-6},{-62,-6},{-62,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant2.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{-85.6,-20},{-62,-20},{-62,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Kidney_NephronCount_Filtering_xNormal.y, busConnector.Kidney_NephronCount_Filtering_xNormal) 
                                                                                                 annotation (Line(
     points={{-23.7,41},{33,41},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant21.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{-83.6,-88},{-58,-88},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant22.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{-83.6,-80},{-58,-80},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant23.y,busConnector. SweatDuct_KRate) annotation (Line(
          points={{-83.6,-72},{-58,-72},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant24.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{-83.6,-64},{-58,-64},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant25.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{-83.6,-56},{-58,-56},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant26.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{-83.6,-48},{-58,-48},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant27.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{-83.6,-40},{33,-40},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant28.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{71.6,-66},{33,-66},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant29.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{71.6,-58},{33,-58},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant30.y,busConnector. SweatDuct_ClRate) annotation (Line(
          points={{71.6,-50},{33,-50},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant31.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{71.6,-42},{33,-42},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant32.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{71.6,-34},{33,-34},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant33.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{71.6,-26},{33,-26},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant34.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{71.6,-18},{33,-18},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(A2Pool_Log10Conc1.y, busConnector.Aldo_conc_in_nG_per_dl) 
          annotation (Line(
            points={{-79.7,31},{-56,31},{-56,1},{33,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(A2Pool_Log10Conc2.y, busConnector.DietIntakeElectrolytes_PO4) 
          annotation (Line(
            points={{-79.7,25},{-56,25},{-56,1},{33,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(A2Pool_Log10Conc3.y, busConnector.DietIntakeElectrolytes_SO4) 
          annotation (Line(
            points={{-79.7,19},{-56,19},{-56,1},{33,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Constant3.y, busConnector.LH_H2O_Outflow) annotation (Line(
            points={{-73.6,-30},{-62,-30},{-62,0},{33,0},{33,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Leptin.y, busConnector.Leptin) annotation (Line(
            points={{-81.7,7},{-56,7},{-56,1},{33,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(A2Pool_Log10Conc6.y, busConnector.CD_NH4_Outflow) annotation (
            Line(
            points={{-73.7,-17},{-40,-17},{-40,-4},{-14,-4},{-14,1},{33,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(A2Pool_Log10Conc4.y, busConnector.Urine_pH) annotation (Line(
            points={{-73.7,-9},{-40,-9},{-40,-4},{-16,-4},{-16,1},{33,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
    connect(AldoPool_Aldo.y, busConnector.AldoPool_Aldo) annotation (Line(
     points={{-23.7,-75},{33,-75},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                             graphics));
    end ElectrolytesConstInputs2;

      model SodiumConstInputs
        extends ElectrolytesConstInputs2;
      Library.Blocks.Constant ProteinAnions(k=17) 
      annotation (Placement(transformation(extent={{-50,-36},{-44,-30}})));
      Library.Blocks.Constant KPool(k=4.4e-003) 
      annotation (Placement(transformation(extent={{-50,8},{-44,14}})));
      equation
        connect(ProteinAnions.y, busConnector.BloodIons_ProteinAnions) 
          annotation (Line(
            points={{-43.7,-33},{-36,-33},{-36,1},{33,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(KPool.y, busConnector.KPool) annotation (Line(
            points={{-43.7,11},{-38,11},{-38,1},{33,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(graphics));
      end SodiumConstInputs;

    model ElectrolytesConstInputs2FromFile

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{24,-12},{38,2}}),
             iconTransformation(extent={{-40,-20},{0,20}})));

    Library.Utilities.ConstantFromFile A2Pool_Log10Conc(varName="A2Pool.Log10Conc") 
    annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
    Library.Utilities.ConstantFromFile AldoPool_Aldo(varName="AldoPool.[Aldo(pMol/L)]") 
    annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
    Library.Utilities.ConstantFromFile Artys_pH(varName="BloodPh.ArtysPh") 
    annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
    Library.Utilities.ConstantFromFile BladderVoidFlow(varName="BladderVoidFlow") 
    annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
    Library.Utilities.ConstantFromFile BladderVolume_Mass(varName="BladderVolume.Mass") 
    annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
    Library.Utilities.ConstantFromFile CD_KA_Outflow(varName="CD_KA.Outflow") 
    annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
    Library.Utilities.ConstantFromFile CO2Veins_cHCO3(varName="CO2Veins.[HCO3(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
    Library.Utilities.ConstantFromFile CellH2O_Vol(varName="CellH2O.Vol") 
    annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
    Library.Utilities.ConstantFromFile ECFV_Vol(varName="ECFV.Vol") 
    annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
    Library.Utilities.ConstantFromFile GILumenVolume_Mass(varName="GILumenVolume.Mass") 
    annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
    Library.Utilities.ConstantFromFile GlomerulusFiltrate_GFR(varName="GlomerulusFiltrate.GFR") 
    annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
    Library.Utilities.ConstantFromFile KAPool_Osmoles(varName="KAPool.Osmoles") 
    annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
    Library.Utilities.ConstantFromFile KAPool_conc_per_liter(varName="KAPool.[KA]") 
    annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
    Library.Utilities.ConstantFromFile KidneyAlpha_PT_NA(varName="Kidney-Alpha.PT_NA") 
    annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
    Library.Utilities.ConstantFromFile KidneyFunction_Effect(varName="Kidney-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
    Library.Utilities.ConstantFromFile Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)") 
    annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
    Library.Utilities.ConstantFromFile LacPool_Lac_mEq_per_litre(varName="LacPool.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
    Library.Utilities.ConstantFromFile LacPool_Mass_mEq(varName="LacPool.Mass") 
    annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
    Library.Utilities.ConstantFromFile Medulla_Volume(varName="Medulla.Volume") 
    annotation (Placement(transformation(extent={{-36,190},{-30,196}})));
    Library.Utilities.ConstantFromFile NephronANP_Log10Conc(varName="NephronANP.Log10Conc") 
    annotation (Placement(transformation(extent={{-36,200},{-30,206}})));
    Library.Utilities.ConstantFromFile NephronAldo_conc_in_nG_per_dl(varName="NephronAldo.[Aldo(nG/dL)]") 
    annotation (Placement(transformation(extent={{-36,210},{-30,216}})));
    Library.Utilities.ConstantFromFile NephroneIFP_Pressure(varName="NephronIFP.Pressure") 
    annotation (Placement(transformation(extent={{-36,220},{-30,226}})));
    Library.Utilities.ConstantFromFile VasaRecta_Outflow(varName="VasaRecta.Outflow") 
    annotation (Placement(transformation(extent={{-36,230},{-30,236}})));
    Library.Utilities.ConstantFromFile IVDrip_NaRate(varName="IVDrip.NaRate") 
    annotation (Placement(transformation(extent={{-36,240},{-30,246}})));
    Library.Utilities.ConstantFromFile IVDrip_KRate(varName="IVDrip.KRate") 
    annotation (Placement(transformation(extent={{-36,250},{-30,256}})));
    Library.Utilities.ConstantFromFile IVDrip_ClRate(varName="IVDrip.ClRate") 
    annotation (Placement(transformation(extent={{-36,260},{-30,266}})));
    Library.Utilities.ConstantFromFile Transfusion_NaRate(varName="Transfusion.NaRate") 
    annotation (Placement(transformation(extent={{-36,270},{-30,276}})));
    Library.Utilities.ConstantFromFile Transfusion_KRate(varName="Transfusion.KRate") 
    annotation (Placement(transformation(extent={{-36,280},{-30,286}})));
    Library.Utilities.ConstantFromFile Transfusion_ClRate(varName="Transfusion.ClRate") 
    annotation (Placement(transformation(extent={{-36,290},{-30,296}})));
    Library.Utilities.ConstantFromFile SweatDuct_NaRate(varName="SweatDuct.NaOutflow") 
    annotation (Placement(transformation(extent={{-36,300},{-30,306}})));
    Library.Utilities.ConstantFromFile SweatDuct_KRate(varName="SweatDuct.KOutflow") 
    annotation (Placement(transformation(extent={{-36,310},{-30,316}})));
    Library.Utilities.ConstantFromFile SweatDuct_ClRate(varName="SweatDuct.ClOutflow") 
    annotation (Placement(transformation(extent={{-36,320},{-30,326}})));
    Library.Utilities.ConstantFromFile Hemorrhage_ClRate(varName="Hemorrhage.ClRate") 
    annotation (Placement(transformation(extent={{-36,330},{-30,336}})));
    Library.Utilities.ConstantFromFile Hemorrhage_NaRate(varName="Hemorrhage.NaRate") 
    annotation (Placement(transformation(extent={{-36,340},{-30,346}})));
    Library.Utilities.ConstantFromFile Hemorrhage_KRate(varName="Hemorrhage.KRate") 
    annotation (Placement(transformation(extent={{-36,350},{-30,356}})));
    Library.Utilities.ConstantFromFile DialyzerActivity_Na_Flux(varName="DialyzerActivity.Na+Flux") 
    annotation (Placement(transformation(extent={{-36,360},{-30,366}})));
    Library.Utilities.ConstantFromFile DialyzerActivity_K_Flux(varName="DialyzerActivity.K+Flux") 
    annotation (Placement(transformation(extent={{-36,370},{-30,376}})));
    Library.Utilities.ConstantFromFile DialyzerActivity_Cl_Flux(varName="DialyzerActivity.Cl-Flux") 
    annotation (Placement(transformation(extent={{-36,380},{-30,386}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_Cl(varName="DietIntakeElectrolytes.Cl-_mEq/Min") 
    annotation (Placement(transformation(extent={{-36,390},{-30,396}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_K(varName="DietIntakeElectrolytes.K+_mEq/Min") 
    annotation (Placement(transformation(extent={{-36,400},{-30,406}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_Na(varName="DietIntakeElectrolytes.Na+_mEq/Min") 
    annotation (Placement(transformation(extent={{-36,410},{-30,416}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_PO4(varName="DietIntakeElectrolytes.PO4--mEq/Min") 
    annotation (Placement(transformation(extent={{-36,420},{-30,426}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_SO4(varName="DietIntakeElectrolytes.SO4--mEq/Min") 
    annotation (Placement(transformation(extent={{-36,430},{-30,436}})));
    Library.Utilities.ConstantFromFile GILumenVomitus_ClLoss(varName="GILumenVomitus.Cl-Loss") 
    annotation (Placement(transformation(extent={{-36,440},{-30,446}})));
    Library.Utilities.ConstantFromFile GILumenDiarrhea_NaLoss(varName="GILumenDiarrhea.Na+Loss") 
    annotation (Placement(transformation(extent={{-36,450},{-30,456}})));
    Library.Utilities.ConstantFromFile GILumenDiarrhea_KLoss(varName="GILumenDiarrhea.K+Loss") 
    annotation (Placement(transformation(extent={{-36,460},{-30,466}})));
    Library.Utilities.ConstantFromFile FurosemidePool_Furosemide_conc(varName="FurosemidePool.[Furosemide]") 
    annotation (Placement(transformation(extent={{-36,470},{-30,476}})));
    Library.Utilities.ConstantFromFile ThiazidePool_Thiazide_conc(varName="ThiazidePool.[Thiazide]") 
    annotation (Placement(transformation(extent={{-36,480},{-30,486}})));
    Library.Utilities.ConstantFromFile Aldo_conc_in_nG_per_dl(varName="AldoPool.[Aldo(nG/dL)]") 
    annotation (Placement(transformation(extent={{-36,490},{-30,496}})));
    Library.Utilities.ConstantFromFile LH_H2O_Outflow(varName="LH_H2O.Outflow") 
    annotation (Placement(transformation(extent={{-36,500},{-30,506}})));
    Library.Utilities.ConstantFromFile Leptin(varName="LeptinPool.[Leptin(nG/mL)]") 
    annotation (Placement(transformation(extent={{-36,510},{-30,516}})));
    Library.Utilities.ConstantFromFile CD_NH4_Outflow(varName="CD_NH4.Outflow") 
    annotation (Placement(transformation(extent={{-36,520},{-30,526}})));
    Library.Utilities.ConstantFromFile Urine_pH(varName="Urine_pH") 
    annotation (Placement(transformation(extent={{-36,530},{-30,536}})));
    Library.Utilities.ConstantFromFile Kidney_NephronCount_Filtering_xNormal(varName="Kidney-NephronCount.Filtering(xNormal)") 
    annotation (Placement(transformation(extent={{-36,540},{-30,546}})));
    Library.Utilities.ConstantFromFile liver_GlucoseToCellStorageFlow(varName="LM_Glycogen.Gain") 
    annotation (Placement(transformation(extent={{-36,550},{-30,556}})));
    Library.Utilities.ConstantFromFile skeletalMuscle_GlucoseToCellStorageFlow(varName="SkeletalMuscle-Glycogen.Synthesis") 
    annotation (Placement(transformation(extent={{-36,560},{-30,566}})));
    Library.Utilities.ConstantFromFile
          respiratoryMuscle_GlucoseToCellStorageFlow(                             varName="RespiratoryMuscle-Glycogen.Synthesis") 
    annotation (Placement(transformation(extent={{-36,570},{-30,576}})));

    equation
    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-29.7,43},{31,43},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(A2Pool_Log10Conc.y, busConnector.A2Pool_Log10Conc) annotation (Line(
     points={{-29.7,13},{31,13},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AldoPool_Aldo.y, busConnector.AldoPool_Aldo) annotation (Line(
     points={{-29.7,23},{31,23},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{-29.7,53},{31,53},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
     points={{-29.7,33},{31,33},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
     points={{-29.7,63},{31,63},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
     points={{-29.7,73},{31,73},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CellH2O_Vol.y, busConnector.CellH2O_Vol) annotation (Line(
     points={{-29.7,83},{31,83},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
     points={{-29.7,93},{31,93},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-29.7,103},{31,103},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GlomerulusFiltrate_GFR.y, busConnector.GlomerulusFiltrate_GFR) annotation (Line(
     points={{-29.7,113},{31,113},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool_Osmoles.y, busConnector.KAPool_Osmoles) annotation (Line(
     points={{-29.7,123},{31,123},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
     points={{-29.7,143},{31,143},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyFunction_Effect.y, busConnector.KidneyFunctionEffect) annotation (Line(
     points={{-29.7,153},{31,153},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
     points={{-29.7,163},{31,163},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Mass_mEq.y, busConnector.LacPool_Mass_mEq) annotation (Line(
     points={{-29.7,183},{52.35,183},{52.35,-5},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Lac_mEq_per_litre.y, busConnector.LacPool_Lac_mEq_per_litre) annotation (Line(
     points={{-29.7,173},{31,173},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{-29.7,193},{31,193},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronANP_Log10Conc.y, busConnector.NephronANP_Log10Conc) annotation (Line(
     points={{-29.7,203},{31,203},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronAldo_conc_in_nG_per_dl.y, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (Line(
     points={{-29.7,213},{31,213},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephroneIFP_Pressure.y, busConnector.NephronIFP_Pressure) annotation (Line(
     points={{-29.7,223},{32,48},{32,-5},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
     points={{-29.7,233},{31,233},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

    connect(IVDrip_NaRate.y, busConnector.IVDrip_NaRate) annotation (Line(
     points={{-29.7,243},{31,243},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

    connect(IVDrip_KRate.y, busConnector.IVDrip_KRate) annotation (Line(
     points={{-29.7,253},{31,253},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(IVDrip_ClRate.y, busConnector.IVDrip_ClRate) annotation (Line(
     points={{-29.7,263},{31,263},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_NaRate.y, busConnector.Transfusion_NaRate) annotation (Line(
     points={{-29.7,273},{31,273},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_KRate.y, busConnector.Transfusion_KRate) annotation (Line(
     points={{-29.7,283},{31,283},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_ClRate.y, busConnector.Transfusion_ClRate) annotation (Line(
     points={{-29.7,293},{31,293},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SweatDuct_NaRate.y, busConnector.SweatDuct_NaRate) annotation (Line(
     points={{-29.7,303},{31,303},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SweatDuct_KRate.y, busConnector.SweatDuct_KRate) annotation (Line(
     points={{-29.7,313},{31,313},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SweatDuct_ClRate.y, busConnector.SweatDuct_ClRate) annotation (Line(
     points={{-29.7,323},{31,323},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_ClRate.y, busConnector.Hemorrhage_ClRate) annotation (Line(
     points={{-29.7,333},{31,333},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_NaRate.y, busConnector.Hemorrhage_NaRate) annotation (Line(
     points={{-29.7,343},{31,343},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_KRate.y, busConnector.Hemorrhage_KRate) annotation (Line(
     points={{-29.7,353},{31,353},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DialyzerActivity_Na_Flux.y, busConnector.DialyzerActivity_Na_Flux) annotation (Line(
     points={{-29.7,363},{31,363},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DialyzerActivity_K_Flux.y, busConnector.DialyzerActivity_K_Flux) annotation (Line(
     points={{-29.7,373},{31,373},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DialyzerActivity_Cl_Flux.y, busConnector.DialyzerActivity_Cl_Flux) annotation (Line(
     points={{-29.7,383},{31,383},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_Cl.y, busConnector.DietIntakeElectrolytes_Cl) annotation (Line(
     points={{-29.7,393},{31,393},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_K.y, busConnector.DietIntakeElectrolytes_K) annotation (Line(
     points={{-29.7,403},{31,403},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_Na.y, busConnector.DietIntakeElectrolytes_Na) annotation (Line(
     points={{-29.7,413},{31,413},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_PO4.y, busConnector.DietIntakeElectrolytes_PO4) annotation (Line(
     points={{-29.7,423},{31,423},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_SO4.y, busConnector.DietIntakeElectrolytes_SO4) annotation (Line(
     points={{-29.7,433},{31,433},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVomitus_ClLoss.y, busConnector.GILumenVomitus_ClLoss) annotation (Line(
     points={{-29.7,443},{31,443},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenDiarrhea_NaLoss.y, busConnector.GILumenDiarrhea_NaLoss) annotation (Line(
     points={{-29.7,453},{31,453},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenDiarrhea_KLoss.y, busConnector.GILumenDiarrhea_KLoss) annotation (Line(
     points={{-29.7,463},{31,463},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FurosemidePool_Furosemide_conc.y, busConnector.FurosemidePool_Furosemide_conc) annotation (Line(
     points={{-29.7,473},{31,473},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ThiazidePool_Thiazide_conc.y, busConnector.ThiazidePool_Thiazide_conc) annotation (Line(
     points={{-29.7,483},{31,483},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Aldo_conc_in_nG_per_dl.y, busConnector.Aldo_conc_in_nG_per_dl) annotation (Line(
     points={{-29.7,493},{31,493},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LH_H2O_Outflow.y, busConnector.LH_H2O_Outflow) annotation (Line(
     points={{-29.7,503},{31,503},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Leptin.y, busConnector.Leptin) annotation (Line(
     points={{-29.7,513},{31,513},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_NH4_Outflow.y, busConnector.CD_NH4_Outflow) annotation (Line(
     points={{-29.7,523},{31,523},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Urine_pH.y, busConnector.Urine_pH) annotation (Line(
     points={{-29.7,533},{31,533},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_NephronCount_Filtering_xNormal.y, busConnector.Kidney_NephronCount_Filtering_xNormal) annotation (Line(
     points={{-29.7,543},{31,543},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_GlucoseToCellStorageFlow.y, busConnector.liver_GlucoseToCellStorageFlow) annotation (Line(
     points={{-29.7,553},{31,553},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_GlucoseToCellStorageFlow.y, busConnector.skeletalMuscle_GlucoseToCellStorageFlow) annotation (Line(
     points={{-29.7,563},{31,563},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_GlucoseToCellStorageFlow.y, busConnector.respiratoryMuscle_GlucoseToCellStorageFlow) annotation (Line(
     points={{-29.7,573},{31,573},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

    connect(KAPool_conc_per_liter.y, busConnector.KAPool_conc_per_liter) annotation (Line(
     points={{-29.7,133},{31,133},{31,-5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                             graphics));
    end ElectrolytesConstInputs2FromFile;
    end setup;

    package test
      model T2
        Electrolytes2 electrolytes(sodium(Medulla(initialSoluteMass=20.2451))) 
          annotation (Placement(transformation(extent={{-16,-2},{4,18}})));
        setup.ElectrolytesConstInputs2FromFile electrolytesConstInputs 
          annotation (Placement(transformation(extent={{-70,-2},{-50,18}})));
      equation
        connect(electrolytesConstInputs.busConnector, electrolytes.busConnector) 
          annotation (Line(
            points={{-62,8},{-40,8},{-40,12},{-16,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end T2;

      model T
        Electrolytes electrolytes 
          annotation (Placement(transformation(extent={{-16,-2},{4,18}})));
        setup.ElectrolytesConstInputs electrolytesConstInputs 
          annotation (Placement(transformation(extent={{-70,-2},{-50,18}})));
      equation
        connect(electrolytesConstInputs.busConnector, electrolytes.busConnector) 
          annotation (Line(
            points={{-62,8},{-40,8},{-40,12},{-16,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end T;

      model Tsodium
        setup.SodiumConstInputs sodiumConstInputs 
          annotation (Placement(transformation(extent={{-70,-2},{-50,18}})));
        Sodium.Sodium2 sodium2_1 
          annotation (Placement(transformation(extent={{-8,-4},{12,16}})));
      equation
        connect(sodiumConstInputs.busConnector, sodium2_1.busConnector) 
          annotation (Line(
            points={{-62,8},{-26,8},{-26,14},{10,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end Tsodium;
    end test;

    model Electrolytes2
      //extends QHP.Library.Interfaces.BaseModel;
      Sodium.Sodium2 sodium(LoadEffect(curve(iFrom(start=2)))) 
        annotation (Placement(transformation(extent={{-80,60},{-60,80}})));
      Potassium.Potassium2 potassium(NaEffect(curve(iFrom(start=2)))) 
        annotation (Placement(transformation(extent={{-44,60},{-24,80}})));
      Chloride.Chloride2 chloride 
        annotation (Placement(transformation(extent={{-10,60},{10,80}})));
      Phosphate.Phosphate2 phosphate 
        annotation (Placement(transformation(extent={{-44,16},{-24,36}})));
      Sulphate.Sulphate2 sulphate 
        annotation (Placement(transformation(extent={{-10,16},{10,36}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{82,36},{106,60}}),
            iconTransformation(extent={{-120,20},{-80,60}})));
      ElectrolytesProperties electrolytesProperties 
        annotation (Placement(transformation(extent={{48,18},{68,38}})));
    equation

      connect(sodium.busConnector, busConnector) annotation (Line(
          points={{-62,78},{-62,48},{94,48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, potassium.busConnector) annotation (Line(
          points={{94,48},{-26,48},{-26,78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, chloride.busConnector) annotation (Line(
          points={{94,48},{8.1,48},{8.1,78.1}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, electrolytesProperties.busConnector) annotation (
          Line(
          points={{94,48},{48,48},{48,32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(sulphate.busConnector, busConnector) annotation (Line(
          points={{8,34},{8,48},{94,48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(phosphate.busConnector, busConnector) annotation (Line(
          points={{-26,34},{-26,48},{94,48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics),
                                        Icon(coordinateSystem(preserveAspectRatio=true,
              extent={{-100,-100},{100,100}}), graphics={Bitmap(extent={{-100,
                  100},{100,-100}}, fileName="icons/electrolytes.png"), Text(
              extent={{-122,-58},{120,-92}},
              lineColor={0,0,255},
              textString="%name")}),
        Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
</html>"));
    end Electrolytes2;

    model ElectrolytesProperties
      //extends QHP.Library.Interfaces.BaseModel;
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-104,88},{-86,106}}),
            iconTransformation(extent={{-120,20},{-80,60}})));
      Library.Blocks.OsmolarityConstant OsmCell_OtherCations(      k=692) 
        annotation (Placement(transformation(extent={{4,-72},{24,-52}})));
      Library.Blocks.OsmolarityConstant CellElectrolytesMass(      k=1000) 
        annotation (Placement(transformation(extent={{6,-96},{26,-76}})));
      Modelica.Blocks.Math.Add3 Cells(
        k3=-1,
        k1=2,
        k2=2)  annotation (Placement(transformation(extent={{48,-68},{68,-48}})));
      Library.Blocks.OsmolarityConstant OsmECFV_OtherAnions(      k=373.0) 
        annotation (Placement(transformation(extent={{-62,-12},{-42,8}})));
      Modelica.Blocks.Math.Sum ECF(nin=8) 
        annotation (Placement(transformation(extent={{-24,2},{-4,22}})));
      Modelica.Blocks.Math.Sum BloodCations(nin=2) 
        annotation (Placement(transformation(extent={{-46,54},{-26,74}})));
      Modelica.Blocks.Math.Feedback lessPO4 
        annotation (Placement(transformation(extent={{76,74},{96,54}})));
      Modelica.Blocks.Math.Feedback lessSO4 
        annotation (Placement(transformation(extent={{76,94},{96,74}})));
      Modelica.Blocks.Math.Add3 AnFlow 
        annotation (Placement(transformation(extent={{-80,-72},{-60,-52}})));
      Modelica.Blocks.Math.Add3 CatFlow 
        annotation (Placement(transformation(extent={{-80,-44},{-60,-24}})));
      Modelica.Blocks.Math.Feedback CollectingDuct_NetSumCats 
        annotation (Placement(transformation(extent={{-44,-44},{-24,-24}})));
      Modelica.Blocks.Math.Sum StrongAnions(nin=5) 
        annotation (Placement(transformation(extent={{-82,70},{-62,90}})));
      Modelica.Blocks.Math.Feedback WeakAnions2 
        annotation (Placement(transformation(extent={{-10,10},{10,-10}},
            rotation=0,
            origin={28,64})));
      Modelica.Blocks.Math.Feedback NBB(y(unit="mEq/l"))
        "nonbicarbonate buffers" 
        annotation (Placement(transformation(extent={{-10,-10},{10,10}},
            rotation=0,
            origin={58,44})));
    equation
      connect(busConnector.KCell_Mass, Cells.u1)  annotation (Line(
          points={{-95,97},{-96,97},{-96,-86},{-22,-86},{-22,-50},{46,-50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(OsmCell_OtherCations.y, Cells.u2)  annotation (Line(
          points={{25,-62},{28,-62},{28,-58},{46,-58}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellElectrolytesMass.y, Cells.u3)  annotation (Line(
          points={{27,-86},{31.5,-86},{31.5,-66},{46,-66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.NaPool_mass, ECF.u[1])  annotation (Line(
          points={{-95,97},{-96,98},{-96,12},{-26,12},{-26,10.25}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KPool_mass, ECF.u[2])  annotation (Line(
          points={{-95,97},{-96,97},{-96,12},{-26,12},{-26,10.75}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.ClPool_mass, ECF.u[3])  annotation (Line(
          points={{-95,97},{-95,12},{-26,12},{-26,11.25}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(OsmECFV_OtherAnions.y, ECF.u[8])  annotation (Line(
          points={{-41,-2},{-26,-2},{-26,13.75}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.NaPool_conc_per_liter, BloodCations.u[1]) annotation (Line(
          points={{-95,97},{-96,64},{-48,64},{-48,63}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KPool_conc_per_liter, BloodCations.u[2]) annotation (Line(
          points={{-95,97},{-96,97},{-96,66},{-48,66},{-48,65}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(lessSO4.y, busConnector.BloodIons_StrongAnionsLessSO4)   annotation (Line(
          points={{95,84},{100,84},{100,97},{-95,97}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.BloodIons_StrongAnionsLessPO4, lessPO4.y)   annotation (
          Line(
          points={{-95,97},{100,97},{100,64},{95,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.PO4Pool_conc_per_liter, lessPO4.u2)   annotation (Line(
          points={{-95,97},{100,97},{100,72},{86,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.SO4Pool_conc_per_liter, lessSO4.u2)   annotation (Line(
          points={{-95,97},{86,97},{86,92}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(CollectingDuct_NetSumCats.y, busConnector.CollectingDuct_NetSumCats) 
        annotation (Line(
          points={{-25,-34},{100,-34},{100,96},{-96,96},{-96,97},{-95,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(CatFlow.y, CollectingDuct_NetSumCats.u1) annotation (Line(
          points={{-59,-34},{-42,-34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AnFlow.y, CollectingDuct_NetSumCats.u2) annotation (Line(
          points={{-59,-62},{-34,-62},{-34,-42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CD_NH4_Outflow, CatFlow.u1) 
                                                 annotation (Line(
          points={{-95,97},{-96,97},{-96,-26},{-82,-26}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.CD_PO4_Outflow, AnFlow.u2) annotation (Line(
          points={{-95,97},{-96,97},{-96,-62},{-82,-62}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.CD_SO4_Outflow, AnFlow.u3) annotation (Line(
          points={{-95,97},{-96,97},{-96,-70},{-82,-70}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(BloodCations.y, WeakAnions2.u1) annotation (Line(
          points={{-25,64},{20,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.PO4Pool_conc_per_liter, StrongAnions.u[2]) 
        annotation (Line(
          points={{-95,97},{-96,97},{-96,79.2},{-84,79.2}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.SO4Pool_conc_per_liter, StrongAnions.u[3]) 
        annotation (Line(
          points={{-95,97},{-96,80},{-84,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ClPool_conc_per_liter, StrongAnions.u[5]) 
        annotation (Line(
          points={{-95,97},{-94,97},{-94,80},{-84,80},{-84,81.6}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.PO4Pool_Osmoles, ECF.u[4]) annotation (Line(
          points={{-95,97},{-96,97},{-96,11.75},{-26,11.75}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.SO4Pool_Osmoles, ECF.u[5]) annotation (Line(
          points={{-95,97},{-96,97},{-96,12},{-26,12},{-26,12.25}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.LacPool_Mass_mEq, ECF.u[6])                annotation (
          Line(
          points={{-95,97},{-96,97},{-96,12},{-26,12},{-26,12.75}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));

      connect(busConnector.LacPool_Lac_mEq_per_litre, StrongAnions.u[4]) 
            annotation (Line(
          points={{-95,97},{-95,80.8},{-84,80.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(ECF.y, busConnector.OsmECFV_Electrolytes) 
        annotation (Line(
          points={{-3,12},{14,12},{14,28},{-95,28},{-95,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Cells.y, busConnector.OsmCell_Electrolytes) 
        annotation (Line(
          points={{69,-58},{100,-58},{100,96},{-95,96},{-95,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.KAPool_conc_per_liter, StrongAnions.u[1]) 
        annotation (Line(
          points={{-95,97},{-95,78.4},{-84,78.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.CD_KA_Outflow, AnFlow.u1)                annotation (
         Line(
          points={{-95,97},{-96,52},{-96,-54},{-82,-54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.KAPool_Osmoles, ECF.u[7])                annotation (
         Line(
          points={{-95,97},{-96,97},{-96,12},{-26,12},{-26,13.25}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(BloodCations.y, busConnector.BloodIons_Cations) 
        annotation (Line(
          points={{-25,64},{10,64},{10,96},{-95,96},{-95,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(busConnector.CD_Na_Outflow, CatFlow.u2) annotation (Line(
          points={{-95,97},{-96,-34},{-82,-34}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_K_Outflow, CatFlow.u3) annotation (Line(
          points={{-95,97},{-96,-42},{-82,-42}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
          points={{-25,64},{10,64},{10,97},{-95,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(StrongAnions.y, busConnector.BloodIons_StrongAnions) annotation (
         Line(
          points={{-61,80},{100,80},{100,97},{-95,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(StrongAnions.y, lessSO4.u1)   annotation (Line(
          points={{-61,80},{74,80},{74,84},{78,84}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(StrongAnions.y, lessPO4.u1)   annotation (Line(
          points={{-61,80},{74,80},{74,64},{78,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(StrongAnions.y, WeakAnions2.u2) annotation (Line(
          points={{-61,80},{28,80},{28,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(WeakAnions2.y, NBB.u1) annotation (Line(
          points={{37,64},{46,64},{46,44},{50,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CO2Veins_cHCO3, NBB.u2) annotation (Line(
          points={{-95,97},{-96,68},{-96,36},{58,36}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(NBB.y, busConnector.BloodIons_ProteinAnions) annotation (Line(
          points={{67,44},{100,44},{100,97},{-95,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),
                             graphics), Icon(coordinateSystem(preserveAspectRatio=true,
              extent={{-100,-100},{100,100}}), graphics={Bitmap(extent={{-100,
                  100},{100,-100}}, fileName="icons/electrolytes.png"), Text(
              extent={{-122,-58},{120,-92}},
              lineColor={0,0,255},
              textString="%name")}),
        Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
</html>"));
    end ElectrolytesProperties;

    package ExpandableConnectorPatch
      connector Electrolytes_InputBusConnector
        extends Library.Interfaces.SignalBusBlue;

      input Real BladderVoidFlow;
      input Real A2Pool_Log10Conc;
      input Real AldoPool_Aldo;
      input Real BladderVolume_Mass;
      input Real Artys_pH;
      input Real CD_KA_Outflow;
      input Real CO2Veins_cHCO3;
      input Real CellH2O_Vol;
      input Real ECFV_Vol;
      input Real GILumenVolume_Mass;
      input Real GlomerulusFiltrate_GFR;
      input Real KAPool_Osmoles;
      input Real KAPool_conc_per_liter;
      input Real KidneyAlpha_PT_NA;
      input Real KidneyFunctionEffect;
      input Real Kidney_NephronCount_Total_xNormal;
      input Real LacPool_Mass_mEq;
      input Real LacPool_Lac_mEq_per_litre;
      input Real Medulla_Volume;
      input Real NephronANP_Log10Conc;
      input Real NephronAldo_conc_in_nG_per_dl;
      input Real NephronIFP_Pressure;
      input Real VasaRecta_Outflow;
      input Real liver_GlucoseToCellStorageFlow;
      input Real skeletalMuscle_GlucoseToCellStorageFlow;
      input Real respiratoryMuscle_GlucoseToCellStorageFlow;
      input Real IVDrip_NaRate;
      input Real Transfusion_NaRate;
      input Real SweatDuct_NaRate;
      input Real Hemorrhage_NaRate;
      input Real DialyzerActivity_Na_Flux;
      input Real DietIntakeElectrolytes_Na;
      input Real GILumenDiarrhea_NaLoss;
      input Real FurosemidePool_Furosemide_conc;
      input Real ThiazidePool_Thiazide_conc;
      input Real Kidney_NephronCount_Filtering_xNormal;
      input Real IVDrip_KRate;
      input Real Transfusion_KRate;
      input Real SweatDuct_KRate;
      input Real Hemorrhage_KRate;
      input Real DialyzerActivity_K_Flux;
      input Real DietIntakeElectrolytes_K;
      input Real GILumenDiarrhea_KLoss;
      input Real IVDrip_ClRate;
      input Real Transfusion_ClRate;
      input Real SweatDuct_ClRate;
      input Real Hemorrhage_ClRate;
      input Real DialyzerActivity_Cl_Flux;
      input Real DietIntakeElectrolytes_Cl;
      input Real GILumenVomitus_ClLoss;

      output Real CD_K_Outflow;
      output Real PT_Na_FractReab;
      output Real LH_Na_FractReab;
      output Real DT_Na_Outflow;
      output Real CD_Na_Outflow;
      output Real MedullaNa_conc;
      output Real OsmECFV_Electrolytes;
      output Real OsmCell_Electrolytes;
      output Real CD_NH4_Outflow;
      output Real GILumenSodium_Mass;
      output Real GILumenPotassium_Mass;
      output Real BloodCations;
      output Real KCell_conc;
      output Real BloodIons_Cations;
      output Real BloodIons_StrongAnions;
      output Real CD_PO4_Outflow;
      output Real DT_AldosteroneEffect;
      output Real DT_Na_Reab;
      output Real KPool_per_liter;
      output Real LH_Na_Reab;
      output Real PT_Na_Reab;
      output Real PotasiumToCells;
      output Real ctPO4;
      end Electrolytes_InputBusConnector;

      connector Electrolytes_OutputBusConnector
        extends Library.Interfaces.SignalBusBlue;

        output Real BladderVoidFlow;
      output Real A2Pool_Log10Conc;
      output Real AldoPool_Aldo;
      output Real BladderVolume_Mass;
      output Real Artys_pH;
      output Real CD_KA_Outflow;
      output Real CO2Veins_cHCO3;
      output Real CellH2O_Vol;
      output Real ECFV_Vol;
      output Real GILumenVolume_Mass;
      output Real GlomerulusFiltrate_GFR;
      output Real KAPool_Osmoles;
      output Real KAPool_conc_per_liter;
      output Real KidneyAlpha_PT_NA;
      output Real KidneyFunctionEffect;
      output Real Kidney_NephronCount_Total_xNormal;
      output Real LacPool_Mass_mEq;
      output Real LacPool_Lac_mEq_per_litre;
      output Real Medulla_Volume;
      output Real NephronANP_Log10Conc;
      output Real NephronAldo_conc_in_nG_per_dl;
      output Real NephronIFP_Pressure;
      output Real VasaRecta_Outflow;
      output Real liver_GlucoseToCellStorageFlow;
      output Real skeletalMuscle_GlucoseToCellStorageFlow;
      output Real respiratoryMuscle_GlucoseToCellStorageFlow;
      output Real IVDrip_NaRate;
      output Real Transfusion_NaRate;
      output Real SweatDuct_NaRate;
      output Real Hemorrhage_NaRate;
      output Real DialyzerActivity_Na_Flux;
      output Real DietIntakeElectrolytes_Na;
      output Real GILumenDiarrhea_NaLoss;
       output Real FurosemidePool_Furosemide_conc;
       output Real ThiazidePool_Thiazide_conc;
      output Real Kidney_NephronCount_Filtering_xNormal;
       output Real IVDrip_KRate;
       output Real Transfusion_KRate;
       output Real SweatDuct_KRate;
       output Real Hemorrhage_KRate;
       output Real DialyzerActivity_K_Flux;
       output Real DietIntakeElectrolytes_K;
       output Real GILumenDiarrhea_KLoss;
       output Real IVDrip_ClRate;
       output Real Transfusion_ClRate;
       output Real SweatDuct_ClRate;
       output Real Hemorrhage_ClRate;
       output Real DialyzerActivity_Cl_Flux;
       output Real DietIntakeElectrolytes_Cl;
       output Real GILumenVomitus_ClLoss;

       input Real CD_K_Outflow;
      input Real PT_Na_FractReab;
      input Real LH_Na_FractReab;
      input Real DT_Na_Outflow;
      input Real CD_Na_Outflow;
      input Real MedullaNa_conc;
      input Real OsmECFV_Electrolytes;
      input Real OsmCell_Electrolytes;
      input Real CD_NH4_Outflow;
      input Real GILumenSodium_Mass;
      input Real GILumenPotassium_Mass;
      input Real BloodCations;
      input Real KCell_conc;
      input Real BloodIons_Cations;
      input Real BloodIons_StrongAnions;
      input Real CD_PO4_Outflow;
      input Real DT_AldosteroneEffect;
      input Real DT_Na_Reab;
      input Real KPool_per_liter;
      input Real LH_Na_Reab;
      input Real PT_Na_Reab;
      input Real PotasiumToCells;
      input Real ctPO4;

      end Electrolytes_OutputBusConnector;

      model Electrolytes
        //extends QHP.Library.Interfaces.BaseModel;
        Sodium.Sodium sodium 
          annotation (Placement(transformation(extent={{-18,-94},{102,26}})));
        Library.Blocks.Constant Constant1(k=0) annotation (Placement(
              transformation(extent={{-88,-94},{-80,-86}})));
        Library.Blocks.Constant Constant14(k=0) 
          annotation (Placement(transformation(extent={{6,30},{14,38}})));
        Library.Blocks.Constant Constant15(k=0) 
          annotation (Placement(transformation(extent={{6,38},{14,46}})));
        Library.Blocks.Constant Constant16(k=0) 
          annotation (Placement(transformation(extent={{6,46},{14,54}})));
        Library.Blocks.Constant Constant17(k=0) 
          annotation (Placement(transformation(extent={{6,54},{14,62}})));
        Library.Blocks.Constant Constant18(k=0) 
          annotation (Placement(transformation(extent={{6,62},{14,70}})));
        Library.Blocks.Constant Constant19(k=.12) 
          annotation (Placement(transformation(extent={{6,70},{14,78}})));
        Library.Blocks.Constant Constant20(k=0) 
          annotation (Placement(transformation(extent={{6,78},{14,86}})));
        Potassium.Potassium potassium 
          annotation (Placement(transformation(extent={{240,-100},{360,20}})));
        Chloride.Chloride chloride 
          annotation (Placement(transformation(extent={{464,-100},{584,20}})));
        Phosphate.Phosphate phosphate 
          annotation (Placement(transformation(extent={{220,260},{340,380}})));
        HumMod.Electrolytes.Sulphate.Sulphate sulphate 
          annotation (Placement(transformation(extent={{440,260},{560,380}})));
        Electrolytes_InputBusConnector busConnector 
          annotation (Placement(transformation(extent={{-108,108},{-84,132}}),
              iconTransformation(extent={{-120,20},{-80,60}})));
        Library.Blocks.OsmolarityConstant OsmCell_OtherCations(      k=692) 
          annotation (Placement(transformation(extent={{2,140},{22,160}})));
        Library.Blocks.OsmolarityConstant CellElectrolytesMass(      k=1000) 
          annotation (Placement(transformation(extent={{4,116},{24,136}})));
        Modelica.Blocks.Math.Add3 Cells(
          k1=2,
          k2=2,
          k3=-1) annotation (Placement(transformation(extent={{46,144},{66,164}})));
        Library.Blocks.OsmolarityConstant OsmECFV_OtherAnions(      k=373.0) 
          annotation (Placement(transformation(extent={{64,98},{84,118}})));
        Modelica.Blocks.Math.Sum ECF(nin=8) 
          annotation (Placement(transformation(extent={{120,114},{140,134}})));
        NH4.NH4 ammonia 
          annotation (Placement(transformation(extent={{242,100},{362,220}})));
        Modelica.Blocks.Math.Sum BloodCations(nin=2) 
          annotation (Placement(transformation(extent={{130,178},{150,198}})));
        Modelica.Blocks.Math.Feedback feedback1 
          annotation (Placement(transformation(extent={{198,380},{218,360}})));
        Modelica.Blocks.Math.Feedback feedback2 
          annotation (Placement(transformation(extent={{414,378},{434,358}})));
        Library.Blocks.Constant Constant21(k=0) 
          annotation (Placement(transformation(extent={{244,30},{252,38}})));
        Library.Blocks.Constant Constant22(k=0) 
          annotation (Placement(transformation(extent={{244,38},{252,46}})));
        Library.Blocks.Constant Constant23(k=0) 
          annotation (Placement(transformation(extent={{244,46},{252,54}})));
        Library.Blocks.Constant Constant24(k=0) 
          annotation (Placement(transformation(extent={{244,54},{252,62}})));
        Library.Blocks.Constant Constant25(k=0) 
          annotation (Placement(transformation(extent={{244,62},{252,70}})));
        Library.Blocks.Constant Constant26(k=5.2e-002) 
          annotation (Placement(transformation(extent={{244,70},{252,78}})));
        Library.Blocks.Constant Constant27(k=0) 
          annotation (Placement(transformation(extent={{244,78},{252,86}})));
        Library.Blocks.Constant Constant28(k=0) 
          annotation (Placement(transformation(extent={{466,28},{474,36}})));
        Library.Blocks.Constant Constant29(k=0) 
          annotation (Placement(transformation(extent={{466,36},{474,44}})));
        Library.Blocks.Constant Constant30(k=0) 
          annotation (Placement(transformation(extent={{466,44},{474,52}})));
        Library.Blocks.Constant Constant31(k=0) 
          annotation (Placement(transformation(extent={{466,52},{474,60}})));
        Library.Blocks.Constant Constant32(k=0) 
          annotation (Placement(transformation(extent={{466,60},{474,68}})));
        Library.Blocks.Constant Constant33(k=0.149511) 
          annotation (Placement(transformation(extent={{466,68},{474,76}})));
        Library.Blocks.Constant Constant34(k=0) 
          annotation (Placement(transformation(extent={{466,76},{474,84}})));
        Library.Blocks.Constant Constant35(k=2.2e-002) 
          annotation (Placement(transformation(extent={{274,390},{282,398}})));
        Library.Blocks.Constant Constant36(k=3.7e-002) 
          annotation (Placement(transformation(extent={{498,388},{506,396}})));
        Modelica.Blocks.Math.Add3 AnFlow 
          annotation (Placement(transformation(extent={{406,-98},{426,-78}})));
        Modelica.Blocks.Math.Add3 CatFlow 
          annotation (Placement(transformation(extent={{406,-64},{426,-44}})));
        Modelica.Blocks.Math.Feedback CollectingDuct_NetSumCats 
          annotation (Placement(transformation(extent={{434,-64},{454,-44}})));
        Modelica.Blocks.Math.Sum StrongAnions(nin=5) 
          annotation (Placement(transformation(extent={{-32,184},{-12,204}})));
        Modelica.Blocks.Math.Feedback IonProteins 
          annotation (Placement(transformation(extent={{-72,28},{-52,8}})));
        Modelica.Blocks.Math.Add AnionsLessProtein 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-34,144})));
        Modelica.Blocks.Math.Add3 YGLS "Ikeda glucose to cells flow" 
          annotation (Placement(transformation(extent={{196,28},{214,46}})));
        Library.Blocks.Constant KidneyAlpha_PT_NA(k=1) 
          annotation (Placement(transformation(extent={{-90,-60},{-82,-52}})));
      equation
        connect(Constant1.y,sodium. FurosemidePool_Furosemide_conc) 
          annotation (Line(
            points={{-79.6,-90},{-56,-90},{-56,-83.2},{-14.4,-83.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y,sodium. ThiazidePool_Thiazide_conc) annotation (
            Line(
            points={{-79.6,-90},{-56,-90},{-56,-90.4},{-14.4,-90.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant14.y,sodium. IVDrip_NaRate) annotation (Line(
            points={{14.4,34},{18,34},{18,24.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant15.y,sodium. Transfusion_NaRate) annotation (Line(
            points={{14.4,42},{25.2,42},{25.2,24.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant16.y,sodium. SweatDuct_NaRate) annotation (Line(
            points={{14.4,50},{32.4,50},{32.4,24.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant17.y,sodium. Hemorrhage_NaRate) annotation (Line(
            points={{14.4,58},{39.6,58},{39.6,24.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant18.y,sodium. DialyzerActivity_Na_Flux) annotation (
            Line(
            points={{14.4,66},{46.8,66},{46.8,24.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant19.y,sodium. DietIntakeElectrolytes_Na) annotation (
            Line(
            points={{14.4,74},{54,74},{54,24.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant20.y,sodium. GILumenDiarrhea_NaLoss) annotation (Line(
            points={{14.4,82},{61.2,82},{61.2,24.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(potassium.KCell_Mass, Cells.u1)  annotation (Line(
            points={{366,-22},{380,-22},{380,96},{-2,96},{-2,162},{44,162}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OsmCell_OtherCations.y, Cells.u2)  annotation (Line(
            points={{23,150},{26,150},{26,154},{44,154}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CellElectrolytesMass.y, Cells.u3)  annotation (Line(
            points={{25,126},{29.5,126},{29.5,146},{44,146}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sodium.NaPool_mass, ECF.u[1])  annotation (Line(
            points={{108,32},{132,32},{132,96},{118,96},{118,122.25}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(potassium.KPool_mass, ECF.u[2])  annotation (Line(
            points={{366,14},{380,14},{380,96},{114,96},{114,124},{118,124},{118,
                122.75}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(chloride.ClPool_mass, ECF.u[3])  annotation (Line(
            points={{590,14},{590,96},{112,96},{112,126},{116,122},{118,123.25}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(OsmECFV_OtherAnions.y, ECF.u[8])  annotation (Line(
            points={{85,108},{118,108},{118,125.75}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ECFV_Vol, phosphate.ECFV_Vol)              annotation (
            Line(
            points={{-96,120},{-96,242},{142,242},{142,362},{223.6,362}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ECFV_Vol, sulphate.ECFV_Vol)                    annotation (
            Line(
            points={{-96,120},{-96,242},{374,242},{374,362},{443.6,362}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ECFV_Vol, chloride.ECFV_Vol)                    annotation (
            Line(
            points={{-96,120},{-96,92},{396,92},{396,2},{467.6,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ECFV_Vol, potassium.ECFV_Vol)                    annotation (
            Line(
            points={{-96,120},{-96,92},{166,92},{166,-5.2},{243.6,-5.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ECFV_Vol, sodium.ECFV_Vol)                   annotation (
            Line(
            points={{-96,120},{-96,11.6},{-14.4,11.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GlomerulusFiltrate_GFR, phosphate.GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{-96,120},{-96,242},{142,242},{142,314},{223.6,314}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GlomerulusFiltrate_GFR, sulphate.GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{-96,120},{-96,242},{374,242},{374,314},{443.6,314}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GlomerulusFiltrate_GFR, sodium.GlomerulusFiltrate_GFR) 
          annotation (Line(
            points={{-96,120},{-96,-40},{-14.4,-40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(busConnector.BladderVolume_Mass, phosphate.BladderVolume_Mass) 
          annotation (Line(
            points={{-96,120},{-96,242},{142,242},{142,347.6},{223.6,347.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BladderVolume_Mass, sulphate.BladderVolume_Mass) 
          annotation (Line(
            points={{-96,120},{-96,242},{374,242},{374,347.6},{443.6,347.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BladderVolume_Mass, chloride.BladderVolume_Mass) 
          annotation (Line(
            points={{-96,120},{-96,92},{396,92},{396,-12.4},{467.6,-12.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BladderVolume_Mass, potassium.BladderVolume_Mass) 
          annotation (Line(
            points={{-96,120},{-96,92},{166,92},{166,-19.6},{243.6,-19.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BladderVolume_Mass, sodium.BladderVolume_Mass) 
          annotation (Line(
            points={{-96,120},{-96,-4},{-14.4,-4},{-14.4,-2.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(sodium.NaPool_conc_per_liter, BloodCations.u[1]) annotation (Line(
            points={{108,20},{132,20},{132,96},{-2,96},{-2,187},{128,187}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(potassium.KPool_conc_per_liter, BloodCations.u[2]) annotation (Line(
            points={{366,2},{328,2},{328,96},{-2,96},{-2,188},{128,188},{128,189}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(feedback2.y, sulphate.BloodIons_StrongAnionsLessSO4) annotation (Line(
            points={{433,368},{438.3,368},{438.3,369.2},{443.6,369.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(phosphate.BloodIons_StrongAnionsLessPO4, feedback1.y) annotation (
            Line(
            points={{223.6,369.2},{219.8,369.2},{219.8,370},{217,370}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(phosphate.PO4Pool_conc_per_liter, feedback1.u2) annotation (Line(
            points={{346,362},{358,362},{358,388},{208,388},{208,378}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sulphate.SO4Pool_conc_per_liter, feedback2.u2) annotation (Line(
            points={{566,362},{578,362},{578,398},{424,398},{424,376}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodCations.y, feedback2.u1) annotation (Line(
            points={{151,188},{200,188},{200,254},{416,254},{416,368}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodCations.y, sulphate.BloodIons_Cations) annotation (Line(
            points={{151,188},{200,188},{200,254},{434,254},{434,376.4},{443.6,
                376.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodCations.y, phosphate.BloodIons_Cations) annotation (Line(
            points={{151,188},{200,188},{200,376.4},{223.6,376.4}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(BloodCations.y, feedback1.u1) annotation (Line(
            points={{151,188},{200,188},{200,370}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(busConnector.Artys_pH, chloride.BloodPh_ArtysPh) 
          annotation (Line(
            points={{-96,120},{-96,92},{396,92},{396,16.4},{467.6,16.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Artys_pH, ammonia.BloodPh_ArtysPh) 
          annotation (Line(
            points={{-96,120},{-96,216},{245.6,216},{245.6,216.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant21.y,potassium. IVDrip_KRate) annotation (Line(
            points={{252.4,34},{276,34},{276,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant22.y,potassium. Transfusion_KRate) annotation (Line(
            points={{252.4,42},{283.2,42},{283.2,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant23.y,potassium. SweatDuct_KRate) annotation (Line(
            points={{252.4,50},{290.4,50},{290.4,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant24.y,potassium. Hemorrhage_KRate) annotation (Line(
            points={{252.4,58},{297.6,58},{297.6,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant25.y,potassium. DialyzerActivity_K_Flux) annotation (
            Line(
            points={{252.4,66},{304.8,66},{304.8,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant26.y,potassium. DietIntakeElectrolytes_K) annotation (
            Line(
            points={{252.4,74},{312,74},{312,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant27.y,potassium. GILumenDiarrhea_KLoss) annotation (Line(
            points={{252.4,82},{319.2,82},{319.2,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant28.y,chloride. IVDrip_ClRate) annotation (Line(
            points={{474.4,32},{500,32},{500,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant29.y,chloride. Transfusion_ClRate) annotation (Line(
            points={{474.4,40},{507.2,40},{507.2,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant30.y,chloride. SweatDuct_ClRate) annotation (Line(
            points={{474.4,48},{514.4,48},{514.4,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant31.y,chloride. Hemorrhage_ClRate) annotation (Line(
            points={{474.4,56},{521.6,56},{521.6,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant32.y,chloride. DialyzerActivity_Cl_Flux) annotation (
            Line(
            points={{474.4,64},{528.8,64},{528.8,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant33.y,chloride. DietIntakeElectrolytes_Cl) annotation (
            Line(
            points={{474.4,72},{536,72},{536,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant34.y, chloride.GILumenVomitus_ClLoss) annotation (Line(
            points={{474.4,80},{543.2,80},{543.2,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.KidneyFunctionEffect, potassium.KidneyFunctionEffect) 
          annotation (Line(
            points={{-96,120},{-96,92},{166,92},{166,9.2},{243.6,9.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant36.y, sulphate.DietIntakeElectrolytes_SO4) annotation (Line(
            points={{506.4,392},{510,392},{510,394},{512,394},{512,378.8}},
            color={0,0,127},
            thickness=0.5,
            smooth=Smooth.None));
        connect(Constant35.y, phosphate.DietIntakeElectrolytes_PO4) annotation (Line(
            points={{282.4,394},{288,394},{288,392},{292,392},{292,378.8}},
            color={0,0,127},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.GILumenVolume_Mass, chloride.GILumenVolume_Mass) 
          annotation (Line(
            points={{-96,120},{-96,92},{396,92},{396,-5.2},{467.6,-5.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(busConnector.GILumenVolume_Mass, potassium.GILumenVolume_Mass) 
          annotation (Line(
            points={{-96,120},{-96,92},{166,92},{166,-12.4},{243.6,-12.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GILumenVolume_Mass, sodium.GILumenVolume_Mass) 
          annotation (Line(
            points={{-96,120},{-96,4.4},{-14.4,4.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(sodium.DT_Outflow, potassium.DT_Na_Outflow) annotation (Line(
            points={{108,-16},{243.6,-16},{243.6,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.CellH2O_Vol, potassium.CellH2O_Vol) 
          annotation (Line(
            points={{-96,120},{-96,92},{166,92},{166,2},{243.6,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.NephronAldo_conc_in_nG_per_dl, potassium.NephronAldo_conc_in_nG_per_dL) 
                                                   annotation (Line(
            points={{-96,120},{-96,92},{166,92},{166,-41.2},{243.6,-41.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(potassium.KPool_conc_per_liter, sodium.KPool) annotation (Line(
            points={{366,2},{344,2},{344,96},{-38,96},{-38,26},{-14.4,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Medulla_Volume, sodium.Medulla_Volume) 
          annotation (Line(
            points={{-96,120},{-96,-10},{-14.4,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.KidneyFunctionEffect, sodium.KidneyFunctionEffect) 
          annotation (Line(
            points={{-96,120},{-96,-25.6},{-14.4,-25.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Kidney_NephronCount_Total_xNormal, sodium.KidneyNephronCount_Filtering_xNormal) 
                                                       annotation (Line(
            points={{-96,120},{-96,-32.8},{-14.4,-32.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.NephronIFP_Pressure, sodium.NephronIFP_Pressure) 
          annotation (Line(
            points={{-96,120},{-96,-48},{-14.4,-48},{-14.4,-47.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.A2Pool_Log10Conc, sodium.A2Pool_Log10Con) 
          annotation (Line(
            points={{-96,120},{-96,-61.6},{-14.4,-61.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.NephronANP_Log10Conc, sodium.NephronANP_Log10Conc) 
          annotation (Line(
            points={{-96,120},{-96,-68.8},{-14.4,-68.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.NephronAldo_conc_in_nG_per_dl, sodium.NephronAldo_conc_in_nG_per_dL) 
          annotation (Line(
            points={{-96,120},{-96,-76},{-14.4,-76}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant1.y, potassium.ThiazidePool_Thiazide_conc) annotation (
            Line(
            points={{-79.6,-90},{-56,-90},{-56,-100},{206,-100},{206,-48.4},{
                243.6,-48.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CollectingDuct_NetSumCats.y, chloride.CollectingDuct_NetSumCats) 
          annotation (Line(
            points={{453,-54},{456,-54},{456,-20},{466,-20},{467.6,-19.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CatFlow.y, CollectingDuct_NetSumCats.u1) annotation (Line(
            points={{427,-54},{436,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AnFlow.y, CollectingDuct_NetSumCats.u2) annotation (Line(
            points={{427,-88},{444,-88},{444,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sodium.CD_Outflow, CatFlow.u2) annotation (Line(
            points={{108,-28},{132,-28},{132,96},{388,96},{388,-54},{404,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ammonia.CD_NH4_Outflow, CatFlow.u1) 
                                                   annotation (Line(
            points={{368,214},{388,214},{388,-46},{404,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(potassium.CD_Outflow, CatFlow.u3) annotation (Line(
            points={{366,-34},{380,-34},{380,-62},{404,-62}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(phosphate.CD_PO4_Outflow, AnFlow.u2) annotation (Line(
            points={{346,350},{366,350},{366,250},{388,250},{388,-88},{404,-88}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(sulphate.CD_SO4_Outflow, AnFlow.u3) annotation (Line(
            points={{566,350},{584,350},{584,250},{388,250},{388,-96},{404,-96}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(IonProteins.y, sodium.BloodIons_ProteinAnions) annotation (Line(
            points={{-53,18},{-28,18},{-28,18.8},{-14.4,18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodCations.y, IonProteins.u1) annotation (Line(
            points={{151,188},{200,188},{200,218},{-70,218},{-70,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(phosphate.PO4Pool_conc_per_liter, StrongAnions.u[2]) 
          annotation (Line(
            points={{346,362},{372,362},{372,250},{-36,250},{-36,193.2},{-34,
                193.2}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(sulphate.SO4Pool_conc_per_liter, StrongAnions.u[3]) 
          annotation (Line(
            points={{566,362},{590,362},{590,250},{-36,250},{-36,194},{-34,194}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(chloride.ClPool_conc_per_liter, StrongAnions.u[5]) 
          annotation (Line(
            points={{590,2},{606,2},{606,250},{-36,250},{-36,195.6},{-34,195.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.CO2Veins_cHCO3, phosphate.CO2Veins_HCO3) 
          annotation (Line(
            points={{-96,120},{-96,242},{142,242},{142,340.4},{223.6,340.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CO2Veins_cHCO3, sulphate.CO2Veins_HCO3) 
          annotation (Line(
            points={{-96,120},{-96,242},{374,242},{374,340.4},{443.6,340.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AldoPool_Aldo, potassium.AldoPool_Aldo) 
          annotation (Line(
            points={{-96,120},{-96,92},{166,92},{166,-26.8},{243.6,-26.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(phosphate.PO4Pool_Osmoles, ECF.u[4]) annotation (Line(
            points={{346,374},{366,374},{366,250},{112,250},{112,123.75},{118,123.75}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(sulphate.SO4Pool_Osmoles, ECF.u[5]) annotation (Line(
            points={{566,374},{576,374},{576,372},{584,372},{584,250},{112,250},{112,124},
                {118,124},{118,124.25}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.LacPool_Mass_mEq, ECF.u[6])                annotation (
            Line(
            points={{-96,120},{-24,120},{-24,108},{50,108},{50,124.75},{118,
                124.75}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(busConnector.LacPool_Lac_mEq_per_litre, StrongAnions.u[4]) 
              annotation (Line(
            points={{-96,120},{-96,194.8},{-34,194.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CO2Veins_cHCO3, AnionsLessProtein.u2) 
          annotation (Line(
            points={{-96,120},{-96,156},{-40,156}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(StrongAnions.y, AnionsLessProtein.u1) annotation (Line(
            points={{-11,194},{-6,194},{-6,172},{-28,172},{-28,156}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AnionsLessProtein.y, IonProteins.u2) annotation (Line(
            points={{-34,133},{-34,102},{-62,102},{-62,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(potassium.CD_Outflow, busConnector.CD_K_Outflow) 
          annotation (Line(
            points={{366,-34},{380,-34},{380,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(sodium.PT_FractReab, busConnector.PT_Na_FractReab) 
          annotation (Line(
            points={{108,8},{132,8},{132,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(sodium.LH_FractReab, busConnector.LH_Na_FractReab) 
          annotation (Line(
            points={{108,-4},{132,-4},{132,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(sodium.DT_Outflow, busConnector.DT_Na_Outflow) 
          annotation (Line(
            points={{108,-16},{132,-16},{132,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(sodium.CD_Outflow, busConnector.CD_Na_Outflow) 
          annotation (Line(
            points={{108,-28},{132,-28},{132,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(sodium.Medulla_Conc, busConnector.MedullaNa_conc) 
          annotation (Line(
            points={{108,-40},{132,-40},{132,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ECF.y, busConnector.OsmECFV_Electrolytes) 
          annotation (Line(
            points={{141,124},{146,124},{146,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Cells.y, busConnector.OsmCell_Electrolytes) 
          annotation (Line(
            points={{67,154},{108,154},{108,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ammonia.CD_NH4_Outflow, busConnector.CD_NH4_Outflow) 
          annotation (Line(
            points={{368,214},{388,214},{388,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.BladderVoidFlow, phosphate.BladderVoidFlow) 
          annotation (Line(
            points={{-96,120},{-96,256.4},{223.6,256.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BladderVoidFlow, sulphate.BladderVoidFlow) 
          annotation (Line(
            points={{-96,120},{-96,256},{443.6,256},{443.6,256.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BladderVoidFlow, chloride.BladderVoidFlow) 
          annotation (Line(
            points={{-96,120},{-96,-103.6},{467.6,-103.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BladderVoidFlow, potassium.BladderVoidFlow) 
          annotation (Line(
            points={{-96,120},{-96,-103.6},{243.6,-103.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BladderVoidFlow, sodium.BladderVoidFlow) 
          annotation (Line(
            points={{-96,120},{-96,-102},{-14.4,-102},{-14.4,-97.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(sodium.GILumenSodium_Mass, busConnector.GILumenSodium_Mass) 
          annotation (Line(
            points={{108,-52},{132,-52},{132,98},{-96,98},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(potassium.GILumenPotasium_Mass, busConnector.GILumenPotassium_Mass) 
          annotation (Line(
            points={{366,-58},{380,-58},{380,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodCations.y, busConnector.BloodCations) 
          annotation (Line(
            points={{151,188},{200,188},{200,218},{-96,218},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.VasaRecta_Outflow, sodium.VasaRecta_Outflow) 
          annotation (Line(
            points={{-96,120},{-96,-16},{-14.4,-16},{-14.4,-18.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.KAPool_conc_per_liter, StrongAnions.u[1]) 
          annotation (Line(
            points={{-96,120},{-96,192.4},{-34,192.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_KA_Outflow, AnFlow.u1)                annotation (
           Line(
            points={{-96,120},{-96,242},{388,242},{388,-80},{404,-80}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.KAPool_Osmoles, ECF.u[7])                annotation (
           Line(
            points={{-96,120},{-24,120},{-24,108},{50,108},{50,125.25},{118,
                125.25}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(potassium.KCell_conc, busConnector.KCell_conc) 
          annotation (Line(
            points={{366,-10},{380,-10},{380,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodCations.y, busConnector.BloodIons_Cations) 
          annotation (Line(
            points={{151,188},{200,188},{200,218},{-96,218},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(StrongAnions.y, busConnector.BloodIons_StrongAnions) 
          annotation (Line(
            points={{-11,194},{-6,194},{-6,216},{-96,216},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(YGLS.y, potassium.GlucoseToCellsFlow) annotation (Line(
            points={{214.9,37},{222,37},{222,16.4},{243.6,16.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow, YGLS.u2) 
                   annotation (Line(
            points={{-96,120},{-96,92},{166,92},{166,37},{194.2,37}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.liver_GlucoseToCellStorageFlow, YGLS.u1) 
          annotation (Line(
            points={{-96,120},{-96,92},{166,92},{166,44.2},{194.2,44.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow, YGLS.u3) 
          annotation (Line(
            points={{-96,120},{-96,92},{166,92},{166,29.8},{194.2,29.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Artys_pH, potassium.Artys_pH) annotation (Line(
            points={{-96,120},{-96,90},{166,90},{166,-55.6},{243.6,-55.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(phosphate.CD_PO4_Outflow, busConnector.CD_PO4_Outflow) 
          annotation (Line(
            points={{346,350},{376,350},{376,240},{-96,240},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sodium.DT_AldosteroneEffect, busConnector.DT_AldosteroneEffect) 
          annotation (Line(
            points={{108,-64},{128,-64},{128,-82},{130,-82},{130,94},{-96,94},{
                -96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(sodium.DT_Na_Reab, busConnector.DT_Na_Reab) annotation (Line(
            points={{108,-76},{134,-76},{134,92},{-98,92},{-98,120},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(potassium.KPool_per_liter, busConnector.KPool_per_liter) 
          annotation (Line(
            points={{366,-70},{374,-70},{374,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(KidneyAlpha_PT_NA.y, sodium.KidneyAlpha_PT_NA) annotation (Line(
            points={{-81.6,-56},{-74,-56},{-74,-54.4},{-14.4,-54.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sodium.LH_Na_Reab, busConnector.LH_Na_Reab) annotation (Line(
            points={{108,-88},{130,-88},{130,94},{-96,94},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(sodium.PT_Na_Reab, busConnector.PT_Na_Reab) annotation (Line(
            points={{108,-100},{132,-100},{132,92},{-90,92},{-90,120},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(potassium.PotassiumToCells, busConnector.PotasiumToCells) 
          annotation (Line(
            points={{366,-82},{386,-82},{386,96},{-96,96},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(phosphate.PO4Pool_conc_per_liter, busConnector.ctPO4) annotation (
           Line(
            points={{346,362},{368,362},{368,242},{-94,242},{-94,120},{-96,120}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{600,400}}), graphics={
              Text(
                extent={{414,184},{574,192}},
                lineColor={0,0,0},
                textString="Lactate, Fatty acids, Amino Acids  =>"),
              Text(
                extent={{454,182},{588,174}},
                lineColor={0,0,0},
                textString=" implemented in NutrientsAndMetabolism"),
              Text(
                extent={{412,154},{572,162}},
                lineColor={0,0,0},
                textString="HCO3 =>"),
              Text(
                extent={{452,152},{586,144}},
                lineColor={0,0,0},
                textString=" implemented in CO2 in Gases"),
              Rectangle(extent={{412,198},{590,136}}, lineColor={0,0,0})}),
                                          Icon(coordinateSystem(preserveAspectRatio=true,
                extent={{-100,-100},{100,100}}), graphics={Bitmap(extent={{-100,
                    100},{100,-100}}, fileName="icons/electrolytes.png"), Text(
                extent={{-122,-58},{120,-92}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
</html>"));
      end Electrolytes;

    model ElectrolytesConstInputs

    Electrolytes_OutputBusConnector busConnector 
        annotation (Placement(transformation(extent={{26,-6},{40,8}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant BladderVoidFlow(k=0) 
    annotation (Placement(transformation(extent={{-30,-98},{-24,-92}})));
    Library.Blocks.Constant A2Pool_Log10Conc(k=1.30698460203345) 
    annotation (Placement(transformation(extent={{-30,-88},{-24,-82}})));
    Library.Blocks.Constant AldoPool_Aldo(k=0.290854848569316) 
    annotation (Placement(transformation(extent={{-30,-78},{-24,-72}})));
    Library.Blocks.Constant BladderVolume_Mass(k=629.260404013417) 
    annotation (Placement(transformation(extent={{-30,-68},{-24,-62}})));
    Library.Blocks.Constant Artys_pH(k=7.38644600458198) 
    annotation (Placement(transformation(extent={{-30,-58},{-24,-52}})));
    Library.Blocks.Constant CD_KA_Outflow(k=6.08968322729714e-005) 
    annotation (Placement(transformation(extent={{-30,-48},{-24,-42}})));
    Library.Blocks.Constant CO2Veins_cHCO3(k=2.57071728935027e-002) 
    annotation (Placement(transformation(extent={{-30,-38},{-24,-32}})));
    Library.Blocks.Constant CellH2O_Vol(k=27335.8967957385) 
    annotation (Placement(transformation(extent={{-30,-28},{-24,-22}})));
    Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
    annotation (Placement(transformation(extent={{-30,-18},{-24,-12}})));
    Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
    annotation (Placement(transformation(extent={{-30,-8},{-24,-2}})));
    Library.Blocks.Constant GlomerulusFiltrate_GFR(k=127.333064117169) 
    annotation (Placement(transformation(extent={{-30,2},{-24,8}})));
    Library.Blocks.Constant KAPool_Osmoles(k=2.10110505683432) 
    annotation (Placement(transformation(extent={{-30,8},{-24,14}})));
    Library.Blocks.Constant KAPool_conc(k=1.3839925831359e-002) 
    annotation (Placement(transformation(extent={{-30,14},{-24,20}})));
    Library.Blocks.Constant KidneyAlpha_PT_NA(k=1.) 
    annotation (Placement(transformation(extent={{-30,20},{-24,26}})));
    Library.Blocks.Constant KidneyFunction_Effect(k=0.995580586980285) 
    annotation (Placement(transformation(extent={{-30,26},{-24,32}})));
    Library.Blocks.Constant Kidney_NephronCount_Total_xNormal(k=1.) 
    annotation (Placement(transformation(extent={{-30,32},{-24,38}})));
    Library.Blocks.Constant LacPool_Mass_mEq(k=18.2596543652006) 
    annotation (Placement(transformation(extent={{78,-2},{72,4}})));
    Library.Blocks.Constant LacPool_Lac_mEq_per_litre(k=1.17870363536868) 
    annotation (Placement(transformation(extent={{78,8},{72,14}})));
    Library.Blocks.Constant Medulla_Volume(k=31.) 
    annotation (Placement(transformation(extent={{78,18},{72,24}})));
    Library.Blocks.Constant NephronANP_Log10Conc(k=1.25866025557014) 
    annotation (Placement(transformation(extent={{78,28},{72,34}})));
    Library.Blocks.Constant NephronAldo_conc_in_nG_per_dl(k=9.9383249094754) 
    annotation (Placement(transformation(extent={{78,38},{72,44}})));
    Library.Blocks.Constant NephroneIFP_Pressure(k=3.92090703529923) 
    annotation (Placement(transformation(extent={{78,48},{72,54}})));
    Library.Blocks.Constant VasaRecta_Outflow(k=21.7865579572364) 
    annotation (Placement(transformation(extent={{78,58},{72,64}})));
    Library.Blocks.Constant liver_GlucoseToCellStorageFlow(k=0) 
    annotation (Placement(transformation(extent={{78,68},{72,74}})));
    Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow(k=0) 
    annotation (Placement(transformation(extent={{78,78},{72,84}})));
    Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow1(
                                                                    k=0) 
    annotation (Placement(transformation(extent={{78,88},{72,94}})));
      Library.Blocks.Constant Constant14(k=0) 
        annotation (Placement(transformation(extent={{-86,42},{-78,50}})));
      Library.Blocks.Constant Constant15(k=0) 
        annotation (Placement(transformation(extent={{-86,50},{-78,58}})));
      Library.Blocks.Constant Constant16(k=0) 
        annotation (Placement(transformation(extent={{-86,58},{-78,66}})));
      Library.Blocks.Constant Constant17(k=0) 
        annotation (Placement(transformation(extent={{-86,66},{-78,74}})));
      Library.Blocks.Constant Constant18(k=0) 
        annotation (Placement(transformation(extent={{-86,74},{-78,82}})));
      Library.Blocks.Constant Constant19(k=.12) 
        annotation (Placement(transformation(extent={{-86,82},{-78,90}})));
      Library.Blocks.Constant Constant20(k=0) 
        annotation (Placement(transformation(extent={{-86,90},{-78,98}})));
      Library.Blocks.Constant Constant1(k=0) annotation (Placement(
            transformation(extent={{-94,-10},{-86,-2}})));
      Library.Blocks.Constant Constant2(k=0) annotation (Placement(
            transformation(extent={{-94,-24},{-86,-16}})));
    Library.Blocks.Constant Kidney_NephronCount_Filtering_xNormal(
                                                              k=1.) 
    annotation (Placement(transformation(extent={{-30,38},{-24,44}})));
      Library.Blocks.Constant Constant21(k=0) 
        annotation (Placement(transformation(extent={{-92,-92},{-84,-84}})));
      Library.Blocks.Constant Constant22(k=0) 
        annotation (Placement(transformation(extent={{-92,-84},{-84,-76}})));
      Library.Blocks.Constant Constant23(k=0) 
        annotation (Placement(transformation(extent={{-92,-76},{-84,-68}})));
      Library.Blocks.Constant Constant24(k=0) 
        annotation (Placement(transformation(extent={{-92,-68},{-84,-60}})));
      Library.Blocks.Constant Constant25(k=0) 
        annotation (Placement(transformation(extent={{-92,-60},{-84,-52}})));
      Library.Blocks.Constant Constant26(k=5.2e-002) 
        annotation (Placement(transformation(extent={{-92,-52},{-84,-44}})));
      Library.Blocks.Constant Constant27(k=0) 
        annotation (Placement(transformation(extent={{-92,-44},{-84,-36}})));
      Library.Blocks.Constant Constant28(k=0) 
        annotation (Placement(transformation(extent={{80,-70},{72,-62}})));
      Library.Blocks.Constant Constant29(k=0) 
        annotation (Placement(transformation(extent={{80,-62},{72,-54}})));
      Library.Blocks.Constant Constant30(k=0) 
        annotation (Placement(transformation(extent={{80,-54},{72,-46}})));
      Library.Blocks.Constant Constant31(k=0) 
        annotation (Placement(transformation(extent={{80,-46},{72,-38}})));
      Library.Blocks.Constant Constant32(k=0) 
        annotation (Placement(transformation(extent={{80,-38},{72,-30}})));
      Library.Blocks.Constant Constant33(k=0.149511) 
        annotation (Placement(transformation(extent={{80,-30},{72,-22}})));
      Library.Blocks.Constant Constant34(k=0) 
        annotation (Placement(transformation(extent={{80,-22},{72,-14}})));
    equation

    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-23.7,-95},{33,-95},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(A2Pool_Log10Conc.y, busConnector.A2Pool_Log10Conc) annotation (Line(
     points={{-23.7,-85},{33,-85},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AldoPool_Aldo.y, busConnector.AldoPool_Aldo) annotation (Line(
     points={{-23.7,-75},{33,-75},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{-23.7,-65},{33,-65},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
     points={{-23.7,-55},{33,-55},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
     points={{-23.7,-45},{33,-45},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
     points={{-23.7,-35},{33,-35},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CellH2O_Vol.y, busConnector.CellH2O_Vol) annotation (Line(
     points={{-23.7,-25},{33,-25},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
     points={{-23.7,-15},{33,-15},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-23.7,-5},{33,-5},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GlomerulusFiltrate_GFR.y, busConnector.GlomerulusFiltrate_GFR) annotation (Line(
     points={{-23.7,5},{33,5},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool_Osmoles.y, busConnector.KAPool_Osmoles) annotation (Line(
     points={{-23.7,11},{33,11},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool_conc.y, busConnector.KAPool_conc_per_liter) annotation (Line(
     points={{-23.7,17},{33,17},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
     points={{-23.7,23},{33,23},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyFunction_Effect.y, busConnector.KidneyFunctionEffect) annotation (Line(
     points={{-23.7,29},{33,29},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
     points={{-23.7,35},{33,35},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Mass_mEq.y, busConnector.LacPool_Mass_mEq) annotation (Line(
     points={{71.7,1},{52.35,1},{52.35,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Lac_mEq_per_litre.y, busConnector.LacPool_Lac_mEq_per_litre) annotation (Line(
     points={{71.7,11},{33,11},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{71.7,21},{33,21},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronANP_Log10Conc.y, busConnector.NephronANP_Log10Conc) annotation (Line(
     points={{71.7,31},{33,31},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronAldo_conc_in_nG_per_dl.y, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (Line(
     points={{71.7,41},{33,41},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephroneIFP_Pressure.y, busConnector.NephronIFP_Pressure) annotation (Line(
     points={{71.7,51},{32,52},{32,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
     points={{71.7,61},{33,61},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_GlucoseToCellStorageFlow.y, busConnector.liver_GlucoseToCellStorageFlow) annotation (Line(
     points={{71.7,71},{33,71},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_GlucoseToCellStorageFlow.y, busConnector.skeletalMuscle_GlucoseToCellStorageFlow) annotation (Line(
     points={{71.7,81},{33,81},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(skeletalMuscle_GlucoseToCellStorageFlow1.y, busConnector.respiratoryMuscle_GlucoseToCellStorageFlow) 
        annotation (Line(
          points={{71.7,91},{33,91},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant14.y,busConnector.IVDrip_NaRate) annotation (Line(
          points={{-77.6,46},{33,46},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant15.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{-77.6,54},{33,54},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant16.y,busConnector. SweatDuct_NaRate) annotation (Line(
          points={{-77.6,62},{33,62},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant17.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{-77.6,70},{33,70},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant18.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{-77.6,78},{33,78},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant19.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{-77.6,86},{33,86},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant20.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{-77.6,94},{33,94},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y,busConnector. FurosemidePool_Furosemide_conc) 
        annotation (Line(
          points={{-85.6,-6},{-62,-6},{-62,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant2.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{-85.6,-20},{-62,-20},{-62,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Kidney_NephronCount_Filtering_xNormal.y, busConnector.Kidney_NephronCount_Filtering_xNormal) 
                                                                                                 annotation (Line(
     points={{-23.7,41},{33,41},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant21.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{-83.6,-88},{-58,-88},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant22.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{-83.6,-80},{-58,-80},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant23.y,busConnector. SweatDuct_KRate) annotation (Line(
          points={{-83.6,-72},{-58,-72},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant24.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{-83.6,-64},{-58,-64},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant25.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{-83.6,-56},{-58,-56},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant26.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{-83.6,-48},{-58,-48},{-58,-40},{34,-40},{34,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant27.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{-83.6,-40},{33,-40},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant28.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{71.6,-66},{33,-66},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant29.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{71.6,-58},{33,-58},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant30.y,busConnector. SweatDuct_ClRate) annotation (Line(
          points={{71.6,-50},{33,-50},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant31.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{71.6,-42},{33,-42},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant32.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{71.6,-34},{33,-34},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant33.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{71.6,-26},{33,-26},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant34.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{71.6,-18},{33,-18},{33,1}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                             graphics));
    end ElectrolytesConstInputs;

      model T
        Electrolytes electrolytes 
          annotation (Placement(transformation(extent={{-58,-24},{-38,-4}})));
        ElectrolytesConstInputs electrolytesConstInputs 
          annotation (Placement(transformation(extent={{-58,18},{-38,38}})));
      equation
        connect(electrolytesConstInputs.busConnector, electrolytes.busConnector) 
          annotation (Line(
            points={{-50,28},{-54,28},{-54,-10},{-58,-10}},
            color={0,0,255},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end T;
    end ExpandableConnectorPatch;

    package Calcium
      model Calcium
        import HumMod;

      HumMod.Library.ConcentrationFlow.ConcentrationCompartment_knownConc
          CaPool(
            concentration=2.4) 
          annotation (Placement(transformation(extent={{-42,-12},{-22,8}})));
        HumMod.Electrolytes.Calcium.CaBone CaBone(initialSoluteMass=100) 
          annotation (Placement(transformation(extent={{42,-12},{62,8}})));
        HumMod.Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-98,68},{-78,88}})));
        HumMod.Electrolytes.Calcium.Bladder Bladder(
            initialSoluteMass=0) 
          annotation (Placement(transformation(extent={{80,-98},{100,-78}})));
        HumMod.Library.ConcentrationFlow.SoluteFlowPump J_pu 
          annotation (Placement(transformation(extent={{-2,-96},{14,-80}})));
        HumMod.Library.ConcentrationFlow.SoluteFlowPump J_pb 
          annotation (Placement(transformation(extent={{10,-42},{26,-26}})));
        Modelica.Blocks.Math.Gain gain(k=3.3/31.2) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={4,-24})));
        HumMod.Library.ConcentrationFlow.SoluteFlowPump J_bp 
          annotation (Placement(transformation(extent={{26,-16},{10,0}})));
        Factors.Y2 y2_D(affinity=90, Y_Max=.04) 
          annotation (Placement(transformation(extent={{10,54},{30,74}})));
        Factors.Y2 y2_Ca(affinity=2.4, Y_Max=1) 
          annotation (Placement(transformation(extent={{28,22},{8,42}})));
        Factors.Y1 y1_PTH(
          positive=true,
          affinity=3.85,
          a=.85,
          b=.45,
          d=.15,
          Y_Max=1) 
          annotation (Placement(transformation(extent={{38,40},{58,60}})));
        HumMod.Library.Blocks.HormoneFlowConstant_mmol
          hormoneFlowConstant_mmol_per_hour(k=.04) 
          annotation (Placement(transformation(extent={{8,66},{16,74}})));
        Factors.Y2 y2_D_(affinity=90, Y_Max=1) 
          annotation (Placement(transformation(extent={{-6,-62},{14,-42}})));
        Factors.Y2 y2_Ca_(affinity=2.4, Y_Max=1) 
          annotation (Placement(transformation(extent={{-6,-70},{14,-50}})));
        HumMod.Library.Blocks.HormoneFlowConstant_mmol
          hormoneFlowConstant_mmol_per_hour1(k=1) 
          annotation (Placement(transformation(extent={{-8,-48},{0,-40}})));
        Modelica.Blocks.Math.Division CaT 
          annotation (Placement(transformation(extent={{-28,-74},{-20,-66}})));
        Library.Blocks.SoluteMassConstant Ca_thr(k=1.95) 
          annotation (Placement(transformation(extent={{-84,-78},{-70,-64}})));
        Factors.Y2 y2_PTH_(affinity=3.85, Y_Max=1) 
          annotation (Placement(transformation(extent={{-72,-96},{-52,-76}})));
        HumMod.Electrolytes.Calcium.CaGILumen CaGILumen 
          annotation (Placement(transformation(extent={{-80,-12},{-60,8}})));
        HumMod.Library.ConcentrationFlow.ConcentrationMeasure
          concentrationMeasure annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-50,-2})));
        HumMod.Library.Blocks.HormoneFlowConstant_mmol
          hormoneFlowConstant_mmol_per_hour2(k=.52) 
          annotation (Placement(transformation(extent={{8,34},{16,42}})));
        HumMod.Library.Blocks.HormoneFlowConstant_mmol
          hormoneFlowConstant_mmol_per_hour3(k=1) 
          annotation (Placement(transformation(extent={{38,52},{46,60}})));
        HumMod.Library.Blocks.FlowConstant_mmol_per_hour
          hormoneFlowConstant_mmol_per_hour4(k=3.3) 
          annotation (Placement(transformation(extent={{6,2},{14,10}})));
        HumMod.Library.Blocks.HormoneFlowConstant_mmol
          hormoneFlowConstant_mmol_per_hour5(k=.21) 
          annotation (Placement(transformation(extent={{-6,-82},{2,-74}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=.001) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={-42,22})));
        Modelica.Blocks.Math.Gain mlTOlitre1(k=.001) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={74,-82})));
      equation
        connect(CaPool.q_out, J_pu.q_in) annotation (Line(
            points={{-32,-2},{-12,-2},{-12,-88},{-2,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(J_pu.q_out, Bladder.q_out) annotation (Line(
            points={{14,-88},{90,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(J_pb.q_out, CaBone.q_out)                             annotation (
            Line(
            points={{26,-34},{36,-34},{36,-2},{52,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(J_pb.q_in, CaPool.q_out) annotation (Line(
            points={{10,-34},{-12,-34},{-12,-2},{-32,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gain.y, J_pb.soluteFlow) annotation (Line(
            points={{8.4,-24},{18,-24},{18,-29.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaPool.SoluteMass, gain.u) annotation (Line(
            points={{-32,-9.8},{-32,-24},{-0.8,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaBone.q_out, J_bp.q_in)                              annotation (
            Line(
            points={{52,-2},{36,-2},{36,-8},{26,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(J_bp.q_out, CaPool.q_out)  annotation (Line(
            points={{10,-8},{-12,-8},{-12,-2},{-32,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Calcitriol, y2_D.u) annotation (Line(
            points={{-88,78},{-8,78},{-8,64},{10.2,64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CaBone.SoluteMass, y2_Ca.u)                             annotation (
            Line(
            points={{52,-9.4},{52,-16},{64,-16},{64,32},{27.8,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PTH, y1_PTH.u) annotation (Line(
            points={{-88,78},{-8,78},{-8,50},{38.2,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(hormoneFlowConstant_mmol_per_hour.y, y2_D.yBase) annotation (Line(
            points={{16.4,70},{20,70},{20,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Calcitriol,y2_D_. u) annotation (Line(
            points={{-88,78},{-88,-52},{-5.8,-52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(y2_D_.y,y2_Ca_. yBase) annotation (Line(
            points={{4,-54},{4,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour1.y,y2_D_. yBase) annotation (Line(
            points={{0.4,-44},{4,-44},{4,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PTH, y2_PTH_.u) 
                                            annotation (Line(
            points={{-88,78},{-88,-86},{-71.8,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Ca_thr.y, y2_PTH_.yBase) annotation (Line(
            points={{-69.3,-71},{-62,-71},{-62,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(y2_PTH_.y, CaT.u1) annotation (Line(
            points={{-62,-88},{-62,-94},{-44,-94},{-44,-67.6},{-28.8,-67.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaGILumen.q_out, CaPool.q_out) annotation (Line(
            points={{-60,-2},{-32,-2}},
            color={200,0,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector,CaGILumen. busConnector) annotation (Line(
            points={{-88,78},{-88,6},{-78.6,6}},
            color={0,0,255},
            pattern=LinePattern.None,
            thickness=0.5,
            smooth=Smooth.None));
        connect(CaPool.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-32,-2},{-50,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, y2_Ca_.u) annotation (Line(
            points={{-50,-6},{-50,-60},{-5.8,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, CaT.u2) annotation (Line(
            points={{-50,-6},{-50,-72.4},{-28.8,-72.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour2.y, y2_Ca.yBase) annotation (
            Line(
            points={{16.4,38},{18,38},{18,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour3.y, y1_PTH.yBase) annotation (
           Line(
            points={{46.4,56},{48,56},{48,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour4.y, J_bp.soluteFlow) 
          annotation (Line(
            points={{14.4,6},{18,6},{18,-3.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour5.y, J_pu.soluteFlow) 
          annotation (Line(
            points={{2.4,-78},{6,-78},{6,-83.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mlTOlitre.y, CaPool.SolventVolume) annotation (Line(
            points={{-42,17.6},{-42,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ECFV_Vol, mlTOlitre.u) annotation (Line(
            points={{-88,78},{-42,78},{-42,26.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(mlTOlitre1.y, Bladder.SolventVolume) annotation (Line(
            points={{78.4,-82},{82,-82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BladderVolume_Mass, mlTOlitre1.u) annotation (Line(
            points={{-88,78},{69.2,78},{69.2,-82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), uses(Modelica(version="3.1")));
      end Calcium;

      package Factors "Multiplication Effect Types"

        model Y1
         extends HumMod.Library.Interfaces.BaseFactorIcon3;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real a;
         parameter Real b;
         parameter Real d;
         parameter Real affinity;
         parameter Real Y_Max;
         parameter Boolean positive "+1 or -1";
          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
          Real effect;
          Modelica.Blocks.Math.Tanh tanh 
            annotation (Placement(transformation(extent={{-34,54},{-14,74}})));
          Modelica.Blocks.Math.Add add(k1=+1)  annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={-4,16})));
          Modelica.Blocks.Math.Feedback feedback 
            annotation (Placement(transformation(extent={{-74,54},{-54,74}})));
          Library.Blocks.Constant Constant(k=affinity) 
            annotation (Placement(transformation(extent={{-76,44},{-68,52}})));
          Modelica.Blocks.Math.Gain gain(k=b) 
            annotation (Placement(transformation(extent={{-50,60},{-42,68}})));
          Library.Blocks.Constant Constant1(k=1) 
            annotation (Placement(transformation(extent={{-20,20},{-12,28}})));
          Modelica.Blocks.Math.Gain gain1(k=a) annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={-4,4})));
          Modelica.Blocks.Math.Add add1(k1=+1) annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={-6,-10})));
          Library.Blocks.Constant Constant2(k=d) 
            annotation (Placement(transformation(extent={{-22,-6},{-14,2}})));
          Modelica.Blocks.Math.BooleanToReal booleanToReal(realFalse=-1) 
            annotation (Placement(transformation(extent={{-22,36},{-10,48}})));
          Modelica.Blocks.Sources.BooleanConstant booleanConstant(k=positive) 
            annotation (Placement(transformation(extent={{-38,38},{-30,46}})));
          Modelica.Blocks.Math.Product product1 annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={-2,30})));
        equation
          effect = add1.y;
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant.y, feedback.u2) annotation (Line(
              points={{-67.6,48},{-64,48},{-64,56}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(u, feedback.u1) annotation (Line(
              points={{-98,64},{-72,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(feedback.y, gain.u) annotation (Line(
              points={{-55,64},{-50.8,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain.y, tanh.u) annotation (Line(
              points={{-41.6,64},{-36,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant1.y, add.u2) annotation (Line(
              points={{-11.6,24},{-6.4,24},{-6.4,20.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add.y, gain1.u) annotation (Line(
              points={{-4,11.6},{-4,10.9},{-4,10.9},{-4,10.2},{-4,8.8},{-4,8.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant2.y, add1.u2) annotation (Line(
              points={{-13.6,-2},{-8.4,-2},{-8.4,-5.2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain1.y, add1.u1) annotation (Line(
              points={{-4,-0.4},{-4,-5.2},{-3.6,-5.2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(booleanConstant.y, booleanToReal.u) annotation (Line(
              points={{-29.6,42},{-23.2,42}},
              color={255,0,255},
              smooth=Smooth.None));
          connect(product1.y, add.u1) annotation (Line(
              points={{-2,25.6},{-2,20.8},{-1.6,20.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(booleanToReal.y, product1.u2) annotation (Line(
              points={{-9.4,42},{-4.4,42},{-4.4,34.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tanh.y, product1.u1) annotation (Line(
              points={{-13,64},{0.4,64},{0.4,34.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add1.y, product.u2) annotation (Line(
              points={{-6,-14.4},{-6,-15.8},{-6,-15.8},{-6,-17.2},{-6,-20},{-6,
                  -20}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Y1;

        model Y2
         extends HumMod.Library.Interfaces.BaseFactorIcon3;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real affinity;
         parameter Real Y_Max;
          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
          Real effect;
          Library.Blocks.Constant Constant(k=affinity) 
            annotation (Placement(transformation(extent={{-76,48},{-68,56}})));
          Modelica.Blocks.Math.Add add2(
                                       k1=+1)  annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=0,
                origin={-58,62})));
          Modelica.Blocks.Math.Division division 
            annotation (Placement(transformation(extent={{-36,58},{-16,78}})));
        equation
          effect = division.y;
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(u, add2.u1) annotation (Line(
              points={{-98,64},{-84,64},{-84,64.4},{-62.8,64.4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant.y, add2.u2) annotation (Line(
              points={{-67.6,52},{-66,52},{-66,59.6},{-62.8,59.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add2.y, division.u2) annotation (Line(
              points={{-53.6,62},{-38,62}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(u, division.u1) annotation (Line(
              points={{-98,64},{-76,64},{-76,74},{-38,74}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(division.y, product.u2) annotation (Line(
              points={{-15,68},{-6,68},{-6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Y2;

        model Y3
         extends HumMod.Library.Interfaces.BaseFactorIcon3;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real k;

          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
          Real effect;
          Modelica.Blocks.Math.Gain gain 
            annotation (Placement(transformation(extent={{-54,54},{-34,74}})));
        equation
          effect = add1.y;
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(u, gain.u) annotation (Line(
              points={{-98,64},{-56,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain.y, product.u2) annotation (Line(
              points={{-33,64},{-6,64},{-6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Y3;

        model Y4
         extends HumMod.Library.Interfaces.BaseFactorIcon3;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));

          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
          Real effect;
        equation
          effect = add1.y;
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Y4;
      end Factors;

      model CaBone
        extends Library.ConcentrationFlow.MassStorageCompartment;
        extends Library.Interfaces.Tissues.Bone;
      end CaBone;

      model CaGILumen
        extends Library.Interfaces.Tissues.GILumen;
        Library.ConcentrationFlow.NegativeConcentrationFlow q_out annotation (
            Placement(transformation(extent={{90,-10},{110,10}}), iconTransformation(
                extent={{90,-10},{110,10}})));
        Library.Interfaces.BusConnector busConnector annotation (Placement(
              transformation(extent={{-96,70},{-76,90}}), iconTransformation(extent={{
                  -96,70},{-76,90}})));
        Library.ConcentrationFlow.ResistorWithCondParam resistorWithCondParam(cond=0.0002) 
          annotation (Placement(transformation(extent={{38,-10},{58,10}})));
        Library.ConcentrationFlow.ConcentrationCompartment_knownConc GILumen(
            concentration=.21/.0002 + 2.4) 
          annotation (Placement(transformation(extent={{-24,-10},{-4,10}})));
        Library.ConcentrationFlow.InputPump inputPump 
          annotation (Placement(transformation(extent={{-50,30},{-30,50}})));
        CaTransportPool caTransportPool 
          annotation (Placement(transformation(extent={{-28,-60},{-8,-40}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-52,-4})));
        Library.ConcentrationFlow.SoluteFlowPump soluteFlowPump 
          annotation (Placement(transformation(extent={{40,-18},{60,-38}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=.001) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-36,8})));
      equation
        connect(resistorWithCondParam.q_out, q_out) annotation (Line(
            points={{56.6,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GILumen.q_out, resistorWithCondParam.q_in) annotation (Line(
            points={{-14,0},{39.4,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(inputPump.q_out, GILumen.q_out) annotation (Line(
            points={{-34,40},{-14,40},{-14,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Diet_Ca_Intake, inputPump.desiredFlow) annotation (Line(
            points={{-86,80},{-40,80},{-40,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Calcitriol, caTransportPool.Calcitriol) annotation (Line(
            points={{-86,80},{-86,-44},{-26,-44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(GILumen.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-14,0},{-52,0},{-52,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, caTransportPool.CaIntestinal) 
          annotation (Line(
            points={{-52,-8},{-52,-52},{-26,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_out, soluteFlowPump.q_in) annotation (Line(
            points={{-14,0},{14,0},{14,-28},{40,-28}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(soluteFlowPump.q_out, q_out) annotation (Line(
            points={{60,-28},{80,-28},{80,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(caTransportPool.J_ipCa_activeAbsorbtion, soluteFlowPump.soluteFlow) 
          annotation (Line(
            points={{-8,-50},{50,-50},{50,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mlTOlitre.y, GILumen.SolventVolume) annotation (Line(
            points={{-31.6,8},{-24,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.GILumenVolume_Mass, mlTOlitre.u) annotation (Line(
            points={{-86,80},{-86,8},{-40.8,8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-108,-110},{104,-130}},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name",
                lineColor={0,0,127})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                extent={{-100,-100},{100,100}}), graphics));
      end CaGILumen;

      block CaTransportPool

        Library.Interfaces.RealInput_ Calcitriol annotation (Placement(transformation(
                extent={{-100,40},{-60,80}}), iconTransformation(extent={{-100,40},{-60,
                  80}})));
        Library.Interfaces.RealInput_ CaIntestinal annotation (Placement(
              transformation(extent={{-104,-26},{-64,14}}), iconTransformation(extent=
                 {{-100,-40},{-60,0}})));
        Library.Interfaces.RealOutput_ J_ipCa_activeAbsorbtion annotation (Placement(
              transformation(extent={{80,-20},{120,20}}), iconTransformation(extent={{
                  80,-20},{120,20}})));
        parameter Real Q_TCai_initial = 0;
        parameter Real Y2_Cai_Max = 1;

        Real Q_TCai;
        Real change;
        Real k1D;
        Real k2D;
        Factors.Y2 Y2_Cai(affinity=1, Y_Max=Y2_Cai_Max) 
          annotation (Placement(transformation(extent={{-34,-16},{-14,4}})));
      initial equation
        Q_TCai = Q_TCai_initial;
      equation
        der( Q_TCai)  = change;
        change = ( 1-Q_TCai)  * k1D - Q_TCai * k2D;
        Y2_Cai.yBase = change*Y2_Cai_Max;
        J_ipCa_activeAbsorbtion = Y2_Cai.y;

        k1D = 0.02;
        k2D = 0.02;

        connect(CaIntestinal, Y2_Cai.u) annotation (Line(
            points={{-84,-6},{-33.8,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics));
      end CaTransportPool;

      model Bladder
        extends Library.ConcentrationFlow.ConcentrationCompartment;
        extends Library.Interfaces.Tissues.Bladder;
      equation

      end Bladder;

      package test
        model T
          Calcium calcium 
            annotation (Placement(transformation(extent={{10,-14},{30,6}})));
          setup.CaInputs caInputs 
            annotation (Placement(transformation(extent={{-54,-12},{-34,8}})));
        equation
          connect(caInputs.busConnector, calcium.busConnector) annotation (Line(
              points={{-51.8,6.8},{-19.9,6.8},{-19.9,3.8},{11.2,3.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false,
                  extent={{-100,-100},{100,100}}), graphics));
        end T;

        model T2
          Calcitriol calcitriol 
            annotation (Placement(transformation(extent={{-2,6},{18,26}})));
          setup.CalcitriolInputs calcitriolInputs 
            annotation (Placement(transformation(extent={{-60,6},{-40,26}})));
        equation
          connect(calcitriolInputs.busConnector, calcitriol.busConnector) 
            annotation (Line(
              points={{-57.8,24.8},{-31.9,24.8},{-31.9,24.4},{-0.8,24.4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false,
                  extent={{-100,-100},{100,100}}), graphics));
        end T2;
      end test;

      package setup
        model CaInputs

          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-88,78},{-68,98}})));
          Library.Blocks.ConstantFromFile ECFV_Vol(units="ml",k=13000) 
            annotation (Placement(transformation(extent={{-68,46},{-60,54}})));
          Library.Blocks.Constant Calcitriol(k=90) 
            annotation (Placement(transformation(extent={{-68,70},{-60,78}})));
          Library.Blocks.Constant PTH(k=3.85) 
            annotation (Placement(transformation(extent={{-68,58},{-60,66}})));
          Library.Blocks.ConstantFromFile BladderVolume_Mass(units="ml",k=10) 
            annotation (Placement(transformation(extent={{-68,32},{-60,40}})));
          Library.Blocks.ConstantFromFile BladderVolume_Mass1(units="ml",k=1000) 
            annotation (Placement(transformation(extent={{-68,18},{-60,26}})));
          Library.Blocks.ConstantFromFile BladderVolume_Mass2(units="ml",k=.21) 
            annotation (Placement(transformation(extent={{-68,4},{-60,12}})));
        equation
          connect(busConnector.ECFV_Vol, ECFV_Vol.y) annotation (Line(
              points={{-78,88},{2,88},{2,50},{-59.6,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BladderVolume_Mass, BladderVolume_Mass.y) annotation (
              Line(
              points={{-78,88},{2,88},{2,36},{-59.6,36}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.Calcitriol, Calcitriol.y) annotation (Line(
              points={{-78,88},{2,88},{2,74},{-59.6,74}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.PTH, PTH.y) annotation (Line(
              points={{-78,88},{2,88},{2,62},{-59.6,62}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(BladderVolume_Mass1.y, busConnector.GILumenVolume_Mass) 
            annotation (Line(
              points={{-59.6,22},{2,22},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BladderVolume_Mass2.y, busConnector.Diet_Ca_Intake) 
            annotation (Line(
              points={{-59.6,8},{2,8},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent=
                   {{-100,-100},{100,100}}), graphics));
        end CaInputs;

        model CalcitriolInputs

          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-88,78},{-68,98}})));
          Library.Blocks.ConstantFromFile ECFV_Vol(units="ml",k=13000) 
            annotation (Placement(transformation(extent={{-68,46},{-60,54}})));
          Library.Blocks.Constant PTH(k=3.85) 
            annotation (Placement(transformation(extent={{-68,58},{-60,66}})));
          Library.Blocks.ConstantFromFile BladderVolume_Mass(units="ml",k=10) 
            annotation (Placement(transformation(extent={{-68,32},{-60,40}})));
          Library.Blocks.ConstantFromFile BladderVolume_Mass1(units="ml",k=1000) 
            annotation (Placement(transformation(extent={{-68,18},{-60,26}})));
          Library.Blocks.ConstantFromFile BladderVolume_Mass2(units="ml",k=.21) 
            annotation (Placement(transformation(extent={{-68,4},{-60,12}})));
        equation
          connect(busConnector.ECFV_Vol, ECFV_Vol.y) annotation (Line(
              points={{-78,88},{2,88},{2,50},{-59.6,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BladderVolume_Mass, BladderVolume_Mass.y) annotation (
              Line(
              points={{-78,88},{2,88},{2,36},{-59.6,36}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.PTH, PTH.y) annotation (Line(
              points={{-78,88},{2,88},{2,62},{-59.6,62}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(BladderVolume_Mass1.y, busConnector.GILumenVolume_Mass) 
            annotation (Line(
              points={{-59.6,22},{2,22},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BladderVolume_Mass2.y, busConnector.Diet_Ca_Intake) 
            annotation (Line(
              points={{-59.6,8},{2,8},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent=
                   {{-100,-100},{100,100}}), graphics));
        end CalcitriolInputs;
      end setup;

      model Calcitriol
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-98,74},{-78,94}})));
        Library.ConcentrationFlow.ConcentrationCompartment_knownConc
          concentrationCompartment(concentration=90) 
          annotation (Placement(transformation(extent={{10,-68},{30,-48}})));
        Library.ConcentrationFlow.InputPump inputPump 
          annotation (Placement(transformation(extent={{-46,-68},{-26,-48}})));
        Library.ConcentrationFlow.OutputPump outputPump 
          annotation (Placement(transformation(extent={{48,-68},{68,-48}})));
        Modelica.Blocks.Math.Gain gain(k=.1) annotation (Placement(
              transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={58,-44})));
        Library.ConcentrationFlow.ConcentrationCompartment hydroxylase(
            initialSoluteMass=117) 
          annotation (Placement(transformation(extent={{-46,-26},{-26,-6}})));
        Library.ConcentrationFlow.InputPump inputPump1 
          annotation (Placement(transformation(extent={{-96,-26},{-76,-6}})));
        Library.ConcentrationFlow.OutputPump outputPump1 
          annotation (Placement(transformation(extent={{-10,-26},{10,-6}})));
        Modelica.Blocks.Math.Gain gain1(k=.05) annotation (Placement(
              transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={0,-2})));
        Library.Blocks.Constant Constant(k=5.85) 
          annotation (Placement(transformation(extent={{-100,-8},{-92,0}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(extent={{18,-44},{38,-24}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=.001) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={0,-50})));
        Modelica.Blocks.Math.Gain mlTOlitre1(
                                            k=.001) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-54,-10})));
      equation
        connect(inputPump.q_out, concentrationCompartment.q_out) annotation (
            Line(
            points={{-30,-58},{20,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationCompartment.q_out, outputPump.q_in) annotation (
            Line(
            points={{20,-58},{52,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gain.y, outputPump.desiredFlow) annotation (Line(
            points={{58,-48.4},{58,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationCompartment.SoluteMass, gain.u) annotation (Line(
            points={{20,-65.8},{20,-78},{38,-78},{38,-34},{58,-34},{58,-39.2}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(gain1.y, outputPump1.desiredFlow) annotation (Line(
            points={{-8.08267e-016,-6.4},{-8.08267e-016,-10},{0,-10},{0,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hydroxylase.SoluteMass, gain1.u) annotation (Line(
            points={{-36,-23.8},{-36,-30},{-12,-30},{-12,8},{8.81746e-016,8},{
                8.81746e-016,2.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hydroxylase.q_out, outputPump1.q_in) annotation (Line(
            points={{-36,-16},{-6,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(inputPump1.q_out, hydroxylase.q_out) annotation (Line(
            points={{-80,-16},{-36,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydroxylase.SoluteMass, inputPump.desiredFlow) annotation (Line(
            points={{-36,-23.8},{-36,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, inputPump1.desiredFlow) annotation (Line(
            points={{-91.6,-4},{-86,-4},{-86,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationCompartment.q_out, concentrationMeasure.q_in) 
          annotation (Line(
            points={{20,-58},{28,-58},{28,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, busConnector.Calcitriol) 
          annotation (Line(
            points={{28,-30},{28,84},{-88,84}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(mlTOlitre.y, concentrationCompartment.SolventVolume) 
          annotation (Line(
            points={{4.4,-50},{10,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ECFV_Vol, mlTOlitre.u) annotation (Line(
            points={{-88,84},{-18,84},{-18,-50},{-4.8,-50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(mlTOlitre1.y, hydroxylase.SolventVolume) annotation (Line(
            points={{-49.6,-10},{-44,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ECFV_Vol, mlTOlitre1.u) annotation (Line(
            points={{-88,84},{-68,84},{-68,-10},{-58.8,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end Calcitriol;
      annotation (Documentation(info="<html>
<p>J.F.Raposo,L.G.Sobrinho,and H.G.Ferreira: A Minimal Mathematical Model of Calcium Homeostasis,JCE&AMP;M,sep2002,87(9)</p>
</html>"));
    end Calcium;

    package Calcium2
      model Calcium

      parameter Real D[:] = {1};
      parameter Real GFR(unit="l/h")=6;

      Real A[11];
      Real v_intake;
      Real v1_4;
      Real v4_u;

      function H
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        output Real value;
      algorithm
        value:=alpha*x^gamma/(delta^gamma+x^gamma);
      end H;

      function H_minus
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        input Real ro;
        output Real value;
      algorithm
        value:=alpha-(alpha-ro)*x^gamma/(delta^gamma+x^gamma);
      end H_minus;

      function H_plus
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        input Real ro;
        output Real value;
      algorithm
        value:=ro+(alpha-ro)*x^gamma/(delta^gamma+x^gamma);
      end H_plus;

      Real H62p;
      Real H62m;
      Real v1_4a;
      Real v1_4p;
      Real T64p;
      Real T64m;
      Real a;
      Real b;
      Real c;

      parameter Real ECFV(unit="l") = 32.9/2.4;
      parameter Real ECFV2(unit="l") = 1260/90;
      parameter Real GILumenVolume(unit="l") = 1.3;

      initial equation
        A[1] = 1.3;  //Ca gut
        A[2] = 0.5;   //Ca transporters
        A[3] = 0.839;
        A[4] = 32.9; //Ca pool
        A[5] = 16.8;
        A[6] = 1260;
        A[7] = 53.9;
        A[8] = 3226;
        A[9] = 126;
        A[10] = 0.5;
        A[11] = 1;
      equation
      //gut
      v_intake = D[1] * H_plus(A[2],.9,0.75,4,0.25); //alpha was calculated == 0.35
      der( A[1])  = v_intake - v1_4;
      v1_4 = v1_4a + v1_4p;
      v1_4a = (H(A[1]/GILumenVolume,0.9,1,1) * (A[2]/0.5) / (A[1] + 0.75)) * A[1];
      v1_4p = (0.0495) * A[1];

      //transporters
      H62p = H_plus(A[6]/ECFV2,0.037,90,1,0.003);
      H62m = H_minus(A[6]/ECFV2,0.037,90,1,0.003);
      der( A[2])  = H62p*(1-A[2])- H62m*A[2];

      //Ca pool
      der(A[4]) = 0; //v1_4 - v4_u;

      //to urine
      v4_u = (2-H(A[6]/ECFV2,2,90,1)) * (0.3*GFR*A[4] - H(A[4]/ECFV2,(-0.38+59.22)/0.317936,1.573,1)*H(A[7]/ECFV2,1.0615,53.9/ECFV2,1));
      //!!it's used concentration of ecf Ca, not the mass such as in the article!!, H_4-u:alpha was calculated, H7,4-u:delta was assumed as normal ecf PTH concentration
      //a = (2-H(A[6]/ECFV2,2,90,1)) * (0.3*GFR*A[4]);
      //b = (2-H(A[6]/ECFV2,2,90,1)) * (H(A[4]/ECFV2,1,1.573,1)*H(A[7]/ECFV2,1.0615,53.9/ECFV2,1));
      //v4_u = v1_4;

      //calcitriol
      der( A[6])  = A[9] -.1 *A[6];
      der( A[9])  = 6.3*H(A[7]/ECFV2, 1.90371, 1.549,.1112)*( if A[5]<=16.8 then 1 else H_minus(A[5]/ECFV2,1.525,1.302,8.252,-1.78249))  -.05 *A[9]; //H7,9:alpha was calculated,
      //a = 6.3*H(A[7]/ECFV2, 1.90371 ,1.549,.1112);
      //c =  if A[5]<16.8 then 1 else H_minus(A[5]/ECFV2,1.525,1.302,8.252,1.181);
      //b = .05 *A[9];

      //PTH
      der( A[7])  =  H_minus(A[4]/ECFV2,96.25, 3.037, 11.74,6249)*(A[10]/0.5)*A[11] - 7.143*A[7];
      a= H_minus(A[4]/ECFV2,96.25, 3.037, 11.74,6249)*(A[10]/0.5)*A[11];
      b=7.143*A[7];
      c=b/((A[10]/0.5)*A[11]);

      der( A[10])  = (1-A[10])*0.01*(0.85*T64m+0.15) - A[10]*0.01*(0.85*T64p+0.15);
      T64m = 1-(exp(0.03*(A[6]/14 - 90*(32.9/A[4]))) - exp(-0.03*(A[6]/14 - 90*(32.9/A[4])))) / (exp(0.03*(A[6]/14 - 90*(32.9/A[4]))) + exp(-0.03*(A[6]/14 - 90*(32.9/A[4]))));
      T64p = 1+(exp(0.03*(A[6]/14 - 90*(32.9/A[4]))) - exp(-0.03*(A[6]/14 - 90*(32.9/A[4])))) / (exp(0.03*(A[6]/14 - 90*(32.9/A[4]))) + exp(-0.03*(A[6]/14 - 90*(32.9/A[4]))));

      der( A[11])  =.0001604  *H_minus(A[6]/ECFV2,4.103,69,12.5,.9) -.0001604*A[11];

      //phosphate
      der(A[3])=0;
      der(A[5])=0;
      der(A[8])=0;
      end Calcium;

      package Factors
        model H

         extends HumMod.Library.Interfaces.BaseFactorIcon3;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real alpha "maximum responce";
         parameter Real delta "affinity";
         parameter Real gamma=1 "exponent";
          Real effect;

        equation
          effect = alpha*u^gamma/(delta^gamma+u^gamma);
          y = effect * yBase;
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end H;

        model H_plus
         extends HumMod.Library.Interfaces.BaseFactorIcon3;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real alpha "maximum responce";
         parameter Real delta "affinity";
         parameter Real gamma=1 "exponent";
         parameter Real ro "minimum responce";
          Real effect;

        equation
          effect = ro+(alpha-ro)*u^gamma/(delta^gamma+u^gamma);
          y = effect * yBase;
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end H_plus;

        model H_minus
         extends HumMod.Library.Interfaces.BaseFactorIcon3;
         HumMod.Library.Interfaces.RealInput_ u 
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real alpha "maximum responce";
         parameter Real delta "affinity";
         parameter Real gamma=1 "exponent";
         parameter Real ro "minimum responce";
          Real effect;

        equation
          effect = alpha-(alpha-ro)*u^gamma/(delta^gamma+u^gamma);
          y = effect * yBase;
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end H_minus;
      end Factors;

      model CaGILumen
        import HumMod;
        extends Library.Interfaces.Tissues.GILumen;
        Library.ConcentrationFlow.NegativeConcentrationFlow q_out annotation (
            Placement(transformation(extent={{90,-10},{110,10}}), iconTransformation(
                extent={{90,-10},{110,10}})));
        Library.Interfaces.BusConnector busConnector annotation (Placement(
              transformation(extent={{-96,70},{-76,90}}), iconTransformation(extent={{
                  -96,70},{-76,90}})));
        HumMod.Library.ConcentrationFlow.ConcentrationCompartment GILumen(
            initialSoluteMass=1.3) 
          annotation (Placement(transformation(extent={{-24,-4},{-4,16}})));
        Library.ConcentrationFlow.InputPump inputPump 
          annotation (Placement(transformation(extent={{-50,30},{-30,50}})));
        Library.ConcentrationFlow.SoluteFlowPump v_1to4_active 
          annotation (Placement(transformation(extent={{32,0},{52,20}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=.001) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-36,12})));
        HumMod.Electrolytes.Calcium2.Factors.H_plus H21_plus(
          delta=.75,
          gamma=4,
          ro=.25,
          alpha=1.0805625) 
          annotation (Placement(transformation(extent={{-30,38},{-50,58}})));
        Library.ConcentrationFlow.SoluteFlowPump v_1to4_passive 
          annotation (Placement(transformation(extent={{32,-8},{52,-28}})));
        Modelica.Blocks.Math.Gain k_1to4(k=.0495) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={30,-36})));
        HumMod.Electrolytes.Calcium2.Factors.H d21(alpha=2, delta=.75) 
          annotation (Placement(transformation(extent={{32,12},{52,32}})));
        HumMod.Library.ConcentrationFlow.MassStorageCompartment CaTransporters(
            initialSoluteMass=.5) 
          annotation (Placement(transformation(extent={{32,50},{52,70}})));
        Library.ConcentrationFlow.InputPump inputPump1 
          annotation (Placement(transformation(extent={{10,50},{30,70}})));
        HumMod.Library.ConcentrationFlow.OutputPump inputPump2 
          annotation (Placement(transformation(extent={{74,50},{94,70}})));
        HumMod.Electrolytes.Calcium2.Factors.H_plus H62_plus(
          alpha=.037,
          delta=90,
          ro=.003) 
          annotation (Placement(transformation(extent={{10,58},{30,78}})));
        HumMod.Electrolytes.Calcium2.Factors.H_minus H62_minus(
          alpha=.037,
          delta=90,
          ro=.003) 
          annotation (Placement(transformation(extent={{74,58},{94,78}})));
        Modelica.Blocks.Math.Feedback feedback annotation (Placement(
              transformation(
              extent={{6,-6},{-6,6}},
              rotation=90,
              origin={20,80})));
        HumMod.Library.Blocks.Constant Constant(k=1) 
          annotation (Placement(transformation(extent={{8,90},{16,98}})));
        HumMod.Electrolytes.Calcium2.Factors.H H1to4(alpha=.9, delta=1) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={42,30})));
        HumMod.Library.ConcentrationFlow.ConcentrationMeasure
          concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={10,30})));
      equation
        connect(inputPump.q_out, GILumen.q_out) annotation (Line(
            points={{-34,40},{-14,40},{-14,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GILumen.q_out, v_1to4_active.q_in)  annotation (Line(
            points={{-14,6},{10,6},{10,10},{32,10}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_1to4_active.q_out, q_out)  annotation (Line(
            points={{52,10},{80,10},{80,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(mlTOlitre.y, GILumen.SolventVolume) annotation (Line(
            points={{-31.6,12},{-22,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.GILumenVolume_Mass, mlTOlitre.u) annotation (Line(
            points={{-86,80},{-86,12},{-40.8,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Diet_Ca_Intake, H21_plus.yBase) annotation (Line(
            points={{-86,80},{-86,50},{-40,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(H21_plus.y, inputPump.desiredFlow) annotation (Line(
            points={{-40,46},{-40,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_out, v_1to4_passive.q_in) annotation (Line(
            points={{-14,6},{10,6},{10,-18},{32,-18}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_1to4_passive.q_out, q_out) annotation (Line(
            points={{52,-18},{80,-18},{80,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GILumen.SoluteMass, k_1to4.u) annotation (Line(
            points={{-14,-1.8},{-14,-36},{25.2,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(k_1to4.y, v_1to4_passive.soluteFlow) annotation (Line(
            points={{34.4,-36},{42,-36},{42,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.SoluteMass, d21.u) annotation (Line(
            points={{-14,-1.8},{-14,-18},{4,-18},{4,22},{32.2,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(d21.y, v_1to4_active.soluteFlow) annotation (Line(
            points={{42,20},{42,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inputPump1.q_out, CaTransporters.q_out) annotation (Line(
            points={{26,60},{42,60}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CaTransporters.q_out, inputPump2.q_in) annotation (Line(
            points={{42,60},{78,60}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(H62_plus.y, inputPump1.desiredFlow) annotation (Line(
            points={{20,66},{20,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H62_minus.y, inputPump2.desiredFlow) annotation (Line(
            points={{84,66},{84,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Calcitriol, H62_plus.u) annotation (Line(
            points={{-86,80},{-86,100},{-10,100},{-10,68},{10.2,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Calcitriol, H62_minus.u) annotation (Line(
            points={{-86,80},{-86,100},{56,100},{56,68},{74.2,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CaTransporters.SoluteMass, H21_plus.u) annotation (Line(
            points={{42,52.6},{42,48},{-30.2,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaTransporters.SoluteMass, H62_minus.yBase) annotation (Line(
            points={{42,52.6},{42,48},{98,48},{98,80},{84,80},{84,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, H62_plus.yBase) annotation (Line(
            points={{20,74.6},{20,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.u2, CaTransporters.SoluteMass) annotation (Line(
            points={{24.8,80},{98,80},{98,48},{42,48},{42,52.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, feedback.u1) annotation (Line(
            points={{16.4,94},{20,94},{20,84.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaTransporters.SoluteMass, H1to4.yBase) annotation (Line(
            points={{42,52.6},{42,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H1to4.y, d21.yBase) annotation (Line(
            points={{42,28},{42,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, H1to4.u) annotation (Line(
            points={{14,30},{32.2,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-14,6},{10,6},{10,30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-108,-110},{104,-130}},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name",
                lineColor={0,0,127})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                extent={{-100,-100},{100,100}}), graphics));
      end CaGILumen;

      model Ca
        import HumMod;
        HumMod.Electrolytes.Calcium.Bladder Bladder(
            initialSoluteMass=0) 
          annotation (Placement(transformation(extent={{-64,-80},{-44,-60}})));
        Modelica.Blocks.Math.Gain mlTOlitre1(k=.001) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-72,-64})));
      HumMod.Library.ConcentrationFlow.ConcentrationCompartment CaPool(
            stateName="CaPool.Mass", initialSoluteMass=33592.71023539913) 
          annotation (Placement(transformation(extent={{-44,-4},{-24,16}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=.001) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-54,14})));
        HumMod.Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-88,78},{-68,98}})));
        HumMod.Electrolytes.Calcium2.CaGILumen intestine 
          annotation (Placement(transformation(extent={{-76,44},{-56,64}})));
        HumMod.Electrolytes.Calcium2.CaKidneyExcretion kidney 
          annotation (Placement(transformation(extent={{-64,-44},{-44,-24}})));
        HumMod.Electrolytes.Calcium2.Bone bone 
          annotation (Placement(transformation(extent={{34,-4},{54,16}})));
        HumMod.Library.ConcentrationFlow.ConcentrationMeasure
          concentrationMeasure(unitsString="mmol/l") 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-18,22})));
      equation
        connect(mlTOlitre1.y,Bladder. SolventVolume) annotation (Line(
            points={{-67.6,-64},{-62,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BladderVolume_Mass,mlTOlitre1. u) annotation (Line(
            points={{-78,88},{-80,88},{-80,-64},{-76.8,-64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(mlTOlitre.y,CaPool. SolventVolume) annotation (Line(
            points={{-49.6,14},{-45.8,14},{-45.8,12},{-42,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ECFV_Vol,mlTOlitre. u) annotation (Line(
            points={{-78,88},{-80,88},{-80,14},{-58.8,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(intestine.q_out, CaPool.q_out) annotation (Line(
            points={{-56,54},{-28,54},{-28,6},{-34,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, intestine.busConnector) annotation (Line(
            points={{-78,88},{-80,88},{-80,62},{-74.6,62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(kidney.q_in, CaPool.q_out) annotation (Line(
            points={{-52,-34},{-38,-34},{-38,6},{-34,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, kidney.busConnector) annotation (Line(
            points={{-78,88},{-80,88},{-80,-25},{-63,-25}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(kidney.q_out, Bladder.q_out) annotation (Line(
            points={{-52,-44},{-54,-44},{-54,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CaPool.q_out, bone.q_in) annotation (Line(
            points={{-34,6},{42,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, bone.busConnector) annotation (Line(
            points={{-78,88},{36,88},{36,14.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CaPool.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-34,6},{-28,6},{-28,22},{-18,22}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, busConnector.CaPool_conc_per_liter) 
          annotation (Line(
            points={{-18,26},{-18,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end Ca;

      model CaKidneyExcretion
        extends Library.Interfaces.Tissues.Kidney;
        Library.ConcentrationFlow.SolventFlowPump v_4to_u_glomerulalFiltration 
          annotation (Placement(transformation(extent={{16,-84},{32,-68}})));
        Factors.H H4to_u(delta=1.573, alpha=12.0877126) 
          annotation (Placement(transformation(extent={{14,-4},{34,16}})));
        Factors.H H7_4to_u(delta=53.9/14, alpha=1.0615) 
          annotation (Placement(transformation(extent={{14,-12},{34,8}})));
        Factors.H_minus H64_minus(
          alpha=2,
          delta=90,
          ro=0) 
          annotation (Placement(transformation(extent={{14,-74},{34,-54}})));
        Library.Factors.SimpleMultiply simpleMultiply 
          annotation (Placement(transformation(extent={{14,-64},{34,-44}})));
        Library.Blocks.Constant Constant(k=.3) 
          annotation (Placement(transformation(extent={{-4,-58},{4,-50}})));
        Library.ConcentrationFlow.SoluteFlowPump v_4to_u_reabsorbtion 
          annotation (Placement(transformation(extent={{10,-10},{-10,10}},
              rotation=0,
              origin={24,-22})));
        Factors.H_minus H64_minus1(
          alpha=2,
          delta=90,
          ro=0) annotation (Placement(transformation(extent={{14,-20},{34,0}})));
        Library.Blocks.Constant Constant1(k=1) 
          annotation (Placement(transformation(extent={{12,12},{20,20}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-16,6})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-100,80},{-80,100}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow q_in annotation (
            Placement(transformation(extent={{-68,-2},{-48,20}}),
              iconTransformation(extent={{10,-10},{30,10}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow q_out annotation (
            Placement(transformation(extent={{10,-110},{30,-90}}),
              iconTransformation(extent={{10,-110},{30,-90}})));
        Modelica.Blocks.Math.Gain to_liters_per_hours(k=60/1000) 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={18,-42})));
      equation

        connect(busConnector.Calcitriol, H64_minus.u) annotation (Line(
            points={{-90,90},{-10,90},{-10,-64},{14.2,-64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(H64_minus.y, v_4to_u_glomerulalFiltration.solventFlow) 
          annotation (Line(
            points={{24,-66},{24,-71.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(simpleMultiply.y, H64_minus.yBase) annotation (Line(
            points={{24,-56},{24,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, simpleMultiply.u) annotation (Line(
            points={{4.4,-54},{14.2,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(v_4to_u_reabsorbtion.q_in, v_4to_u_glomerulalFiltration.q_out) 
          annotation (Line(
            points={{34,-22},{40,-22},{40,-76},{32,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Calcitriol, H64_minus1.u) annotation (Line(
            points={{-90,90},{-10,90},{-10,-10},{14.2,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(H64_minus1.y, v_4to_u_reabsorbtion.soluteFlow) annotation (Line(
            points={{24,-12},{24,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H7_4to_u.y, H64_minus1.yBase) annotation (Line(
            points={{24,-4},{24,-8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H4to_u.y, H7_4to_u.yBase) annotation (Line(
            points={{24,4},{24,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PTH, H7_4to_u.u) annotation (Line(
            points={{-90,90},{-10,90},{-10,-2},{14.2,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant1.y, H4to_u.yBase) annotation (Line(
            points={{20.4,16},{24,16},{24,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, H4to_u.u) annotation (Line(
            points={{-12,6},{1.1,6},{1.1,6},{14.2,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, v_4to_u_reabsorbtion.q_out) annotation (Line(
            points={{-58,9},{-16,9},{-16,-22},{14,-22}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, concentrationMeasure.q_in) annotation (Line(
            points={{-58,9},{-16,9},{-16,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, v_4to_u_glomerulalFiltration.q_in) annotation (Line(
            points={{-58,9},{-16,9},{-16,-76},{16,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_4to_u_glomerulalFiltration.q_out, q_out) annotation (Line(
            points={{32,-76},{40,-76},{40,-100},{20,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(to_liters_per_hours.y, simpleMultiply.yBase) annotation (Line(
            points={{22.4,-42},{24,-42},{24,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Glomerulus_GFR, to_liters_per_hours.u) annotation (
           Line(
            points={{-90,90},{-10,90},{-10,-42},{13.2,-42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,120},{100,100}},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name",
                lineColor={0,0,127})}));
      end CaKidneyExcretion;

      model Bone
        extends Library.Interfaces.Tissues.Bone;
        Library.ConcentrationFlow.PositiveConcentrationFlow q_in annotation (
            Placement(transformation(extent={{-70,-14},{-50,6}}), iconTransformation(
                extent={{-30,-10},{-10,10}})));
        Library.ConcentrationFlow.SoluteFlowPump v_4to12 
          annotation (Placement(transformation(extent={{-34,-4},{-14,16}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-90,78},{-70,98}})));
        Library.ConcentrationFlow.MassStorageCompartment
          Ca_immediately_changeable(
            initialSoluteMass=100) 
          annotation (Placement(transformation(extent={{8,-18},{28,2}})));
        Library.ConcentrationFlow.MassStorageCompartment
          Ca_nonimmediately_changeable(
            initialSoluteMass=249000) 
          annotation (Placement(transformation(extent={{74,-18},{94,2}})));
        Library.ConcentrationFlow.SoluteFlowPump flux1 
          annotation (Placement(transformation(extent={{48,-12},{62,-26}})));
        Library.ConcentrationFlow.SoluteFlowPump flux2 
          annotation (Placement(transformation(extent={{62,-6},{48,8}})));
        Modelica.Blocks.Math.Gain k_12to13(k=1/(30*24))
          "\"assumed that all Ca immediatebly changable could become nonimmediately changable (if there is only one way of change) after one month\""
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=0,
              origin={46,-30})));
        Modelica.Blocks.Math.Gain k_13to12(k=(1/(30*24))*(100/249000))
          "\"value calculated from k_12to13\"" 
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=180,
              origin={66,14})));
        Library.ConcentrationFlow.SoluteFlowPump v_12to4 
          annotation (Placement(transformation(extent={{-14,-8},{-34,-28}})));

        model CalciumToBone

          Library.Interfaces.RealInput_ Ca annotation (Placement(transformation(extent={
                    {-100,20},{-60,60}}), iconTransformation(extent={{-100,20},{-60,60}})));
          Library.Interfaces.RealInput_ Osteoblast annotation (Placement(transformation(
                  extent={{-100,-60},{-60,-20}}), iconTransformation(extent={{-100,-60},
                    {-60,-20}})));
          Library.Interfaces.RealOutput_ fluxToBone annotation (Placement(
                transformation(extent={{60,-20},{100,20}}), iconTransformation(extent={{
                    60,-20},{100,20}})));
        equation
          fluxToBone=3.667*Ca/2.35*(1-.1144)+.1144*(Osteoblast/0.00501324);
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                                 graphics));
        end CalciumToBone;

        model CalciumFromBone

          Library.Interfaces.RealInput_ RANK_RANKL 
                                           annotation (Placement(transformation(extent={{-98,20},
                    {-58,60}}),           iconTransformation(extent={{-100,20},{-60,60}})));
          Library.Interfaces.RealInput_ Osteoclast annotation (Placement(transformation(
                  extent={{-98,-60},{-58,-20}}),  iconTransformation(extent={{-100,-60},
                    {-60,-20}})));
          Library.Interfaces.RealOutput_ fluxToBone annotation (Placement(
                transformation(extent={{62,-20},{102,20}}), iconTransformation(extent={{60,-20},
                    {100,20}})));
        equation

          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                                 graphics));
        end CalciumFromBone;

        CalciumToBone calciumToBone 
          annotation (Placement(transformation(extent={{-34,40},{-14,20}})));
        CalciumFromBone calciumFromBone annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-24,-42})));
        Osteoblast osteoblast 
          annotation (Placement(transformation(extent={{-34,58},{-14,78}})));
        Osteoclast osteoclast 
          annotation (Placement(transformation(extent={{-34,-78},{-14,-58}})));
        RANK_RANKL RANK_RANKL_ 
          annotation (Placement(transformation(extent={{32,46},{52,66}})));
      equation
        connect(q_in, v_4to12.q_in)    annotation (Line(
            points={{-60,-4},{-50,-4},{-50,6},{-34,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Ca_immediately_changeable.q_out, flux1.q_in) annotation (Line(
            points={{18,-8},{38,-8},{38,-19},{48,-19}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flux1.q_out, Ca_nonimmediately_changeable.q_out) annotation (Line(
            points={{62,-19},{72,-19},{72,-8},{84,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flux2.q_in, Ca_nonimmediately_changeable.q_out) annotation (Line(
            points={{62,1},{72,1},{72,-8},{84,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Ca_immediately_changeable.q_out, flux2.q_out) annotation (Line(
            points={{18,-8},{38,-8},{38,1},{48,1}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flux1.soluteFlow, k_12to13.y) annotation (Line(
            points={{55,-23.2},{55,-30},{50.4,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Ca_immediately_changeable.SoluteMass, k_12to13.u) annotation (Line(
            points={{18,-15.4},{18,-30},{41.2,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(k_13to12.y, flux2.soluteFlow) annotation (Line(
            points={{61.6,14},{55,14},{55,5.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Ca_nonimmediately_changeable.SoluteMass, k_13to12.u) annotation (Line(
            points={{84,-15.4},{84,-20},{98,-20},{98,14},{70.8,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(v_4to12.q_out, Ca_immediately_changeable.q_out) annotation (Line(
            points={{-14,6},{2,6},{2,-8},{18,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_12to4.q_in, Ca_immediately_changeable.q_out) annotation (Line(
            points={{-14,-18},{2,-18},{2,-8},{18,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_12to4.q_out, q_in) annotation (Line(
            points={{-34,-18},{-50,-18},{-50,-4},{-60,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(calciumToBone.fluxToBone, v_4to12.soluteFlow) annotation (Line(
            points={{-16,30},{-10,30},{-10,16},{-24,16},{-24,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.CaPool_conc_per_liter, calciumToBone.Ca) annotation (
            Line(
            points={{-80,88},{-80,26},{-32,26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(calciumFromBone.fluxToBone, v_12to4.soluteFlow) annotation (Line(
            points={{-16,-42},{-10,-42},{-10,-28},{-24,-28},{-24,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(osteoblast.Osteoblasts, calciumToBone.Osteoblast) annotation (Line(
            points={{-16,60},{-10,60},{-10,44},{-40,44},{-40,34},{-32,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BCL2, osteoblast.BCL2) annotation (Line(
            points={{-80,88},{-80,72},{-32,72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.active_TGF_beta, osteoblast.active_TGF_beta) annotation (
           Line(
            points={{-80,88},{-80,64},{-32,64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(osteoclast.Osteoclasts, calciumFromBone.Osteoclast) annotation (Line(
            points={{-16,-68},{-8,-68},{-8,-54},{-40,-54},{-40,-46},{-32,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.active_TGF_beta, osteoclast.active_TGF_beta) annotation (
           Line(
            points={{-80,88},{-80,-68},{-32,-68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(RANK_RANKL_.RANK_RANKL, calciumFromBone.RANK_RANKL) annotation (Line(
            points={{50,56},{100,56},{100,-80},{-66,-80},{-66,-38},{-32,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(osteoblast.Osteoblasts, RANK_RANKL_.Osteoblasts) annotation (Line(
            points={{-16,60},{-8,60},{-8,60},{34,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(osteoblast.RespondingOsteoblasts, RANK_RANKL_.RespondingOsteoblasts) 
          annotation (Line(
            points={{-16,64},{-8,64},{-8,64},{34,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.active_TGF_beta, RANK_RANKL_.active_TGF_beta) 
          annotation (Line(
            points={{-80,88},{-80,48},{34,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.PTH, RANK_RANKL_.PTH) annotation (Line(
            points={{-80,88},{-80,54},{34,54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}}), graphics={Text(
                extent={{-112,-98},{100,-118}},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name",
                lineColor={0,0,127})}));
      end Bone;

      package setup
        model CaInputs

          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-88,78},{-68,98}})));
          Library.Blocks.ConstantFromFile ECFV_Vol(units="ml",k=14000) 
            annotation (Placement(transformation(extent={{-68,46},{-60,54}})));
          Library.Blocks.Constant Calcitriol(k=90) 
            annotation (Placement(transformation(extent={{-68,70},{-60,78}})));
          Library.Blocks.Constant PTH(k=3.85) 
            annotation (Placement(transformation(extent={{-68,58},{-60,66}})));
          Library.Blocks.ConstantFromFile BladderVolume_Mass(units="ml",k=10) 
            annotation (Placement(transformation(extent={{-68,32},{-60,40}})));
          Library.Blocks.ConstantFromFile BladderVolume_Mass1(units="ml",k=1000) 
            annotation (Placement(transformation(extent={{-68,18},{-60,26}})));
          Library.Blocks.ConstantFromFile BladderVolume_Mass2(units="ml",k=1) 
            annotation (Placement(transformation(extent={{-68,4},{-60,12}})));
          Library.Blocks.FlowConstant BladderVolume_Mass3(k=100) 
            annotation (Placement(transformation(extent={{-68,-14},{-60,-6}})));
          Library.Blocks.Constant PTH1(k=16.8/14) 
            annotation (Placement(transformation(extent={{-68,-28},{-60,-20}})));
        equation
          connect(busConnector.ECFV_Vol, ECFV_Vol.y) annotation (Line(
              points={{-78,88},{2,88},{2,50},{-59.6,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BladderVolume_Mass, BladderVolume_Mass.y) annotation (
              Line(
              points={{-78,88},{2,88},{2,36},{-59.6,36}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(BladderVolume_Mass1.y, busConnector.GILumenVolume_Mass) 
            annotation (Line(
              points={{-59.6,22},{2,22},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BladderVolume_Mass2.y, busConnector.Diet_Ca_Intake) 
            annotation (Line(
              points={{-59.6,8},{2,8},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BladderVolume_Mass3.y, busConnector.Glomerulus_GFR) 
            annotation (Line(
              points={{-59.6,-10},{2,-10},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(PTH1.y, busConnector.ctPO4) annotation (Line(
              points={{-59.6,-24},{2,-24},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
        end CaInputs;
      end setup;

      package test
        model T
          setup.CaInputs caInputs 
            annotation (Placement(transformation(extent={{-56,-20},{-36,0}})));
          Ca ca 
            annotation (Placement(transformation(extent={{-6,-22},{14,-2}})));
          Hormones.PTH PTH 
            annotation (Placement(transformation(extent={{-22,22},{-2,42}})));
          Hormones.Calcitriol calcitriol 
            annotation (Placement(transformation(extent={{-24,52},{-4,72}})));
        equation
          connect(caInputs.busConnector, ca.busConnector) annotation (Line(
              points={{-53.8,-1.2},{-28.9,-1.2},{-28.9,-3.2},{-3.8,-3.2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(caInputs.busConnector, PTH.busConnector) annotation (Line(
              points={{-53.8,-1.2},{-53.8,40.6},{-20.2,40.6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(caInputs.busConnector, calcitriol.busConnector) annotation (
              Line(
              points={{-53.8,-1.2},{-53.8,70.4},{-21.6,70.4},{-21.6,70.2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent=
                   {{-100,-100},{100,100}}), graphics));
        end T;
      end test;

      model Osteoblast

        Library.Interfaces.RealInput_ active_TGF_beta 
                                         annotation (Placement(transformation(extent={{-100,
                  -60},{-60,-20}}),     iconTransformation(extent={{-100,-60},{-60,-20}})));
        Library.Interfaces.RealOutput_ Osteoblasts 
                                                  annotation (Placement(
              transformation(extent={{60,-100},{100,-60}}),
                                                          iconTransformation(extent={{60,-100},
                  {100,-60}})));
        Library.Interfaces.RealInput_ BCL2 
                                         annotation (Placement(transformation(extent={{-100,
                  -60},{-60,-20}}),     iconTransformation(extent={{-100,20},{-60,60}})));

        Library.Blocks.Constant Constant(k=.00501324) 
          annotation (Placement(transformation(extent={{10,-8},{26,8}})));
        Library.Interfaces.RealOutput_ RespondingOsteoblasts 
                                                  annotation (Placement(
              transformation(extent={{60,-60},{100,-20}}),iconTransformation(extent={{60,-60},
                  {100,-20}})));
        Library.Blocks.Constant Constant1(k=.00104122) 
          annotation (Placement(transformation(extent={{10,52},{26,68}})));
      equation
        connect(Constant.y, Osteoblasts) annotation (Line(
            points={{26.8,0},{53.4,0},{53.4,-80},{80,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, RespondingOsteoblasts) annotation (Line(
            points={{26.8,60},{53.4,60},{53.4,-40},{80,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                extent={{-100,-100},{100,100}}), graphics));
      end Osteoblast;

      model Osteoclast
        Library.Interfaces.RealInput_ active_TGF_beta 
                                         annotation (Placement(transformation(extent={{-100,
                  -20},{-60,20}}),      iconTransformation(extent={{-100,-20},{
                  -60,20}})));
        Library.Interfaces.RealOutput_ Osteoclasts 
                                                  annotation (Placement(
              transformation(extent={{60,-20},{100,20}}), iconTransformation(extent={{
                  60,-20},{100,20}})));
        Library.Blocks.Constant Constant(k=.001154) 
          annotation (Placement(transformation(extent={{16,-8},{32,8}})));
      equation
        connect(Constant.y, Osteoclasts) annotation (Line(
            points={{32.8,0},{80,0}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics));
      end Osteoclast;

      model RANK_RANKL
        Library.Interfaces.RealOutput_ RANK_RANKL annotation (Placement(
              transformation(extent={{60,-20},{100,20}}), iconTransformation(extent={{60,-20},
                  {100,20}})));
        Library.Interfaces.RealInput_ active_TGF_beta 
                                         annotation (Placement(transformation(extent={{-100,
                  -100},{-60,-60}}),    iconTransformation(extent={{-100,-100},
                  {-60,-60}})));
        Library.Interfaces.RealInput_ Osteoblasts 
                                         annotation (Placement(transformation(extent={{-100,20},
                  {-60,60}}),           iconTransformation(extent={{-100,20},{
                  -60,60}})));
        Library.Interfaces.RealInput_ PTH 
                                         annotation (Placement(transformation(extent={{-100,
                  -40},{-60,0}}),       iconTransformation(extent={{-100,-40},{
                  -60,0}})));
        Library.Interfaces.RealInput_ RespondingOsteoblasts 
                                         annotation (Placement(transformation(extent={{-100,20},
                  {-60,60}}),           iconTransformation(extent={{-100,60},{
                  -60,100}})));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end RANK_RANKL;
    end Calcium2;
    annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
  end Electrolytes;

  package Gases "Body O2 and CO2"

    package O2 "Body O2 Transport"

      model O2
        //extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment Artys(
                                     stateName="O2Artys.Mass[mMol]",
            initialSoluteMass=13.1498) 
          annotation (Placement(transformation(extent={{60,-96},{80,-76}})));
        Library.ConcentrationFlow.ConcentrationCompartment Veins(
                                               stateName="O2Veins.Mass[mMol]",
            initialSoluteMass=24.7895) 
          annotation (Placement(transformation(extent={{-88,-54},{-68,-34}})));
        ExternalO2 air_O2(concentration=21.6924) 
          annotation (Placement(transformation(extent={{-40,72},{-20,92}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{88,16},{108,36}}),
              iconTransformation(extent={{60,60},{100,100}})));
        AlveolarVentilation_STPD alveolarVentilation                                                         annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-8,50})));
        NaturalVentilation2 naturalVentilation 
          annotation (Placement(transformation(extent={{68,48},{48,68}})));
        TissuesO2 tissuesO2 
          annotation (Placement(transformation(extent={{-10,-96},{10,-76}})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit 
          annotation (Placement(transformation(extent={{-16,-28},{4,-48}})));
        Modelica.Blocks.Math.Feedback pulmShortCircuitFlow 
          annotation (Placement(transformation(extent={{26,-64},{6,-44}})));
        HumMod.Library.PressureFlow.Gas_FromMLtoMMOL fromMLtoMMOL       annotation (Placement(transformation(
              extent={{-8,-8},{8,8}},
              rotation=270,
              origin={-8,16})));
        MeassureBloodO2 measure(
          pO2(start=11.96),
          cO2Hb(start=8.11),
          pCO2(start=5.13)) 
          annotation (Placement(transformation(extent={{64,-20},{84,0}})));
        MeassureBloodO2 measure1(
          cO2Hb(start=6.335),
          pCO2(start=5.6),
          sO2CO(start=0.758),
          pO2(start=5.517)) 
          annotation (Placement(transformation(extent={{-90,-18},{-70,2}})));
        Modelica.Blocks.Math.Product TotalVentilation 
          annotation (Placement(transformation(extent={{64,70},{70,76}})));
        HumMod.Gases.O2.BloodO2_Siggaard O2Lung(pO2(start=
                13.865526315789473684210526315789)) 
          annotation (Placement(transformation(extent={{-18,-18},{2,2}})));
      equation
        connect(busConnector.ArtysVol, Artys.SolventVolume)   annotation (Line(
            points={{98,26},{34,26},{34,-80},{62,-80}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.VeinsVol, Veins.SolventVolume)   annotation (Line(
            points={{98,26},{-100,26},{-100,-38},{-86,-38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(alveolarVentilation.TidalVolume,naturalVentilation. TidalVolume) 
          annotation (Line(
            points={{0,54},{8,54},{8,60},{46.6,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(alveolarVentilation.DeadSpace,naturalVentilation. DeadSpace) 
          annotation (Line(
            points={{0,50},{10.3,50},{10.3,54},{46.6,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(naturalVentilation.ExcessLungWater_Volume, busConnector.ExcessLungWater_Volume) 
          annotation (Line(
            points={{66.6,50},{98,50},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.Thorax_LungInflation, busConnector.Thorax_LungInflation) 
          annotation (Line(
            points={{66.6,54},{98,54},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.RespiratoryMuscleFunctionEffect, busConnector.RespiratoryMuscleFunctionEffect) 
          annotation (Line(
            points={{66.6,62},{98,62},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.RespiratoryCenterOutput_MotorNerveActivity,
          busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
            points={{66.6,66},{98,66},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(alveolarVentilation.inspired, air_O2.q_out) annotation (Line(
            points={{-18,58},{-24,58},{-24,64},{-8,64},{-8,82},{-29.8,82}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(air_O2.q_out, alveolarVentilation.expired) annotation (Line(
            points={{-29.8,82},{-8,82},{-8,64},{6,64},{6,58},{2,58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(tissuesO2.q_in, Artys.q_out) annotation (Line(
            points={{12,-86},{70,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(tissuesO2.busConnector, busConnector) annotation (Line(
            points={{-8.8,-76.8},{-8.8,-74},{34,-74},{34,26},{98,26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(alveolarVentilation.core_T, busConnector.core_T) 
          annotation (Line(
            points={{0,42},{16,42},{16,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(tissuesO2.q_out, Veins.q_out) annotation (Line(
            points={{-12,-86},{-54,-86},{-54,-44},{-78,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput) 
          annotation (Line(
            points={{24,-54},{34,-54},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(pulmShortCircuit.q_out, Artys.q_out) 
                                                  annotation (Line(
            points={{4,-38},{14,-38},{14,-18},{70,-18},{70,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit.solventFlow, pulmShortCircuitFlow.y) 
                                                       annotation (Line(
            points={{-6,-44},{-6,-54},{7,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2) 
          annotation (Line(
            points={{98,26},{-50,26},{-50,-14},{-30,-14},{-30,-62},{16,-62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Veins.q_out, pulmShortCircuit.q_in) annotation (Line(
            points={{-78,-44},{-78,-18},{-24,-18},{-24,-38},{-16,-38}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(alveolarVentilation.alveolar, fromMLtoMMOL.q_ML) annotation (
            Line(
            points={{-7.8,40},{-8,40},{-8,24}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CO2Artys_pCO2, measure.pCO2_mmHg)              annotation (
            Line(
            points={{98,26},{34,26},{34,-4},{65,-4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(measure.ctHb, busConnector.ctHb)              annotation (Line(
            points={{83,0},{104,0},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure.cDPG, busConnector.cDPG)              annotation (Line(
            points={{83,-4},{104,-4},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure.FMetHb, busConnector.FMetHb)              annotation (Line(
            points={{83,-8},{104,-8},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure.FHbF, busConnector.FHbF)              annotation (Line(
            points={{83,-12},{104,-12},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure.pCO_mmHg, busConnector.pCO)              annotation (Line(
            points={{83,-16},{104,-16},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Artys_pH, measure.pH)  annotation (Line(
            points={{98,26},{34,26},{34,0},{65,0}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.core_T, measure.T)       annotation (Line(
            points={{98,26},{34,26},{34,-8},{65,-8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Artys.q_out, measure.q_in) annotation (Line(
            points={{70,-86},{70,-18},{74,-18}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(measure1.ctHb, busConnector.ctHb)             annotation (Line(
            points={{-71,2},{-50,2},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.cDPG, busConnector.cDPG)             annotation (Line(
            points={{-71,-2},{-50,-2},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.FMetHb, busConnector.FMetHb)             annotation (Line(
            points={{-71,-6},{-50,-6},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.FHbF, busConnector.FHbF)             annotation (Line(
            points={{-71,-10},{-50,-10},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.pCO_mmHg, busConnector.pCO)             annotation (Line(
            points={{-71,-14},{-50,-14},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.CO2Veins_pCO2, measure1.pCO2_mmHg)             annotation (
            Line(
            points={{98,26},{-100,26},{-100,-2},{-89,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Veins_pH, measure1.pH) annotation (Line(
            points={{98,26},{-100,26},{-100,2},{-89,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.core_T, measure1.T)      annotation (Line(
            points={{98,26},{-100,26},{-100,-6},{-89,-6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Veins.q_out, measure1.q_in) annotation (Line(
            points={{-78,-44},{-78,-16},{-80,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.O2Veins_sO2, measure1.sO2) annotation (Line(
            points={{98,26},{-100,26},{-100,-26},{-80,-26},{-80,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-3,-3},{-3,-3}}));
        connect(measure.sO2, busConnector.O2Artys_sO2) annotation (Line(
            points={{74,-22},{74,-28},{104,-28},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));
        connect(naturalVentilation.TidalVolume, TotalVentilation.u2) 
          annotation (Line(
            points={{46.6,60},{26,60},{26,72},{63.4,72},{63.4,71.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.RespiratoryCenter_RespRate, TotalVentilation.u1) 
          annotation (Line(
            points={{98,26},{98,90},{46,90},{46,74.8},{63.4,74.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(TotalVentilation.y, busConnector.BreathingTotalVentilation) 
          annotation (Line(
            points={{70.3,73},{98,73},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure.PO2, busConnector.O2Artys_PO2) annotation (Line(
            points={{78,-22},{104,-22},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.CO2Lung_pCO2,O2Lung. pCO2_mmHg)               annotation (
            Line(
            points={{98,26},{-50,26},{-50,-2},{-17,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(O2Lung.ctHb, busConnector.ctHb)               annotation (Line(
            points={{1,2},{34,2},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.cDPG, busConnector.cDPG)               annotation (Line(
            points={{1,-2},{34,-2},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.FMetHb, busConnector.FMetHb)               annotation (Line(
            points={{1,-6},{34,-6},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.FHbF, busConnector.FHbF)               annotation (Line(
            points={{1,-10},{34,-10},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.pCO_mmHg, busConnector.pCO)               annotation (Line(
            points={{1,-14},{34,-14},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow,O2Lung. BloodFlow) 
          annotation (Line(
            points={{98,26},{-50,26},{-50,-14},{-17,-14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Lung_pH,O2Lung. pH) annotation (Line(
            points={{98,26},{-50,26},{-50,2},{-17,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(O2Lung.sO2, busConnector.O2Lung_sO2) annotation (Line(
            points={{-8,-20},{-8,-26},{34,-26},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-3},{6,-3}}));
        connect(busConnector.core_T,O2Lung. T) annotation (Line(
            points={{98,26},{-50,26},{-50,-6},{-17,-6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Veins.q_out,O2Lung. q_in) annotation (Line(
            points={{-78,-44},{-78,-18},{-18,-18}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(O2Lung.q_out, Artys.q_out) annotation (Line(
            points={{2,-18},{70,-18},{70,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fromMLtoMMOL.q_MMOL,O2Lung. alveolar) annotation (Line(
            points={{-8,8},{-8,5},{-8,5},{-8,2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.AmbientTemperature, alveolarVentilation.AmbientTemperature) 
          annotation (Line(
            points={{98,26},{-50,26},{-50,54},{-16,54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BarometerPressure, alveolarVentilation.EnvironmentPressure) 
          annotation (Line(
            points={{98,26},{-50,26},{-50,48},{-16,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.EnvironmentRelativeHumidity, alveolarVentilation.EnvironmentRelativeHumidity) 
          annotation (Line(
            points={{98,26},{-50,26},{-50,42},{-16,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(alveolarVentilation.RespRate, busConnector.RespiratoryCenter_RespRate) 
          annotation (Line(
            points={{0,46},{40,46},{40,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/oxygen.png"), Text(
                extent={{-120,-62},{122,-96}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
      end O2;

      model TissuesO2
       extends Library.Interfaces.Tissues.Tissues;
        Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
          annotation (Placement(transformation(extent={{80,-20},{120,20}}),
              iconTransformation(extent={{100,-20},{140,20}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
          annotation (Placement(transformation(extent={{-120,-20},{-80,20}}),
              iconTransformation(extent={{-140,-20},{-100,20}})));
        tissues.SkeletalMuscleO2 skeletalMuscleO2(
                                               initialMass=323.9) 
          annotation (Placement(transformation(extent={{-54,64},{-34,84}})));
        tissues.BoneO2 boneO2(       initialMass=56.2) 
          annotation (Placement(transformation(extent={{-54,36},{-34,56}})));
        tissues.FatO2 fatO2(        initialMass=39.8) 
          annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));
        tissues.BrainO2 brainO2(      initialMass=19.1) 
          annotation (Placement(transformation(extent={{52,20},{72,40}})));
        tissues.RightHeartO2 rightHeartO2( initialMass=0.6) 
          annotation (Placement(transformation(extent={{52,-100},{72,-80}})));
        tissues.RespiratoryMuscleO2 respiratoryMuscleO2(
                                                  initialMass=48.1) 
          annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));
        tissues.OtherTissueO2 otherTissueO2(initialMass=50.7) 
          annotation (Placement(transformation(extent={{-54,6},{-34,26}})));
        HumMod.Gases.O2.tissues.TissueO2_liver liverO2(initialMass=22.8) 
          annotation (Placement(transformation(extent={{52,50},{72,70}})));
        tissues.LeftHeartO2 leftHeartO2(  initialMass=3.5) 
          annotation (Placement(transformation(extent={{52,-70},{72,-50}})));
        HumMod.Gases.O2.tissues.TissueO2_kidney kidneyO2(initialMass=4.1) 
          annotation (Placement(transformation(extent={{52,-40},{72,-20}})));
        tissues.GITractO2 GITractO2(    initialMass=17.6) 
          annotation (Placement(transformation(extent={{52,-10},{72,10}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
        tissues.SkinO2 skinO2(       initialMass=28.2) 
          annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

       Real O2ToTissues(unit="mmol/min");
       Real O2ToTissues2(unit="mmol/min");
       Real O2ToTissues3(unit="ml/min");
       Real BloodFlow(unit="ml/min");
      equation
       O2ToTissues = q_in.q + q_out.q;
       O2ToTissues2 =
       skeletalMuscleO2.O2Use_mmol_per_min +
       boneO2.O2Use_mmol_per_min +
       fatO2.O2Use_mmol_per_min +
       brainO2.O2Use_mmol_per_min +
       rightHeartO2.O2Use_mmol_per_min +
       respiratoryMuscleO2.O2Use_mmol_per_min +
       otherTissueO2.O2Use_mmol_per_min +
       liverO2.O2Use_mmol_per_min +
       leftHeartO2.O2Use_mmol_per_min +
       kidneyO2.O2Use_mmol_per_min +
       GITractO2.O2Use_mmol_per_min +
       skinO2.O2Use_mmol_per_min;
       O2ToTissues3 =
       skeletalMuscleO2.O2Use_ml_per_min +
       boneO2.O2Use_ml_per_min +
       fatO2.O2Use_ml_per_min +
       brainO2.O2Use_ml_per_min +
       rightHeartO2.O2Use_ml_per_min +
       respiratoryMuscleO2.O2Use_ml_per_min +
       otherTissueO2.O2Use_ml_per_min +
       liverO2.O2Use_ml_per_min +
       leftHeartO2.O2Use_ml_per_min +
       kidneyO2.O2Use_ml_per_min +
       GITractO2.O2Use_ml_per_min +
       skinO2.O2Use_ml_per_min;
      BloodFlow=
       skeletalMuscleO2.BloodFlow +
       boneO2.BloodFlow +
       fatO2.BloodFlow +
       brainO2.BloodFlow +
       rightHeartO2.BloodFlow +
       respiratoryMuscleO2.BloodFlow +
       otherTissueO2.BloodFlow +
       liverO2.HepaticArtyBloodFlow +
       leftHeartO2.BloodFlow +
       kidneyO2.BloodFlow +
       GITractO2.BloodFlow +
       skinO2.BloodFlow;

        connect(q_out, skeletalMuscleO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,76},{-54,76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(q_out, boneO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,48},{-54,48}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, otherTissueO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,18},{-54,18}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, respiratoryMuscleO2.vein) annotation (Line(
            points={{-100,0},{-81,0},{-81,-12},{-54,-12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, fatO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,-42},{-54,-42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, skinO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,-72},{-54,-72}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, liverO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,62},{52,62}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, brainO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,32},{52,32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, kidneyO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,-28},{52,-28}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, leftHeartO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,-58},{52,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(skeletalMuscleO2.arty, q_in) annotation (Line(
            points={{-34,76},{84,76},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(brainO2.arty, q_in) annotation (Line(
            points={{72,32},{84,32},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GITractO2.arty, q_in) annotation (Line(
            points={{72,2},{86,2},{86,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kidneyO2.arty, q_in) annotation (Line(
            points={{72,-28},{84,-28},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(leftHeartO2.arty, q_in) annotation (Line(
            points={{72,-58},{84,-58},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(rightHeartO2.arty, q_in) annotation (Line(
            points={{72,-88},{84,-88},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(rightHeartO2.vein, q_out) annotation (Line(
            points={{52,-88},{-82,-88},{-82,0},{-100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(boneO2.arty, q_in) annotation (Line(
            points={{-34,48},{84,48},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(otherTissueO2.arty, q_in) annotation (Line(
            points={{-34,18},{84,18},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fatO2.arty, q_in) annotation (Line(
            points={{-34,-42},{84,-42},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(skinO2.arty, q_in) annotation (Line(
            points={{-34,-72},{84,-72},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, respiratoryMuscleO2.arty) annotation (Line(
            points={{100,0},{84,0},{84,-12},{-34,-12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(busConnector.cDPG, boneO2.cDPG)     annotation (
           Line(
            points={{-88,92},{-88,56},{-53,56}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, brainO2.cDPG) 
          annotation (Line(
            points={{-88,92},{6,92},{6,40},{53,40}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, fatO2.cDPG)      annotation (
            Line(
            points={{-88,92},{-88,-34},{-53,-34}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, GITractO2.cDPG) 
          annotation (Line(
            points={{-88,92},{6,92},{6,10},{53,10}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, kidneyO2.cDPG) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-20},{53,-20}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, leftHeartO2.cDPG) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-50},{53,-50}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, liverO2.cDPG) 
          annotation (Line(
            points={{-88,92},{6,92},{6,70},{53,70}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, otherTissueO2.cDPG) 
          annotation (Line(
            points={{-88,92},{-88,26},{-53,26}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, respiratoryMuscleO2.cDPG) 
          annotation (Line(
            points={{-88,92},{-88,-4},{-53,-4}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, rightHeartO2.cDPG) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-80},{53,-80}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, skinO2.cDPG)      annotation (
           Line(
            points={{-88,92},{-88,-64},{-53,-64}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, skeletalMuscleO2.cDPG) 
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,84},{-53,84}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.FHbF, boneO2.FHbF)      annotation (
           Line(
            points={{-88,92},{-88,40},{-53,40}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, brainO2.FHbF) 
          annotation (Line(
            points={{-88,92},{6,92},{6,24},{53,24}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, fatO2.FHbF)      annotation (
            Line(
            points={{-88,92},{-88,-50},{-53,-50}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, GITractO2.FHbF) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-6},{53,-6}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, kidneyO2.FHbF) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-36},{53,-36}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, leftHeartO2.FHbF) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-66},{53,-66}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, liverO2.FHbF) 
          annotation (Line(
            points={{-88,92},{6,92},{6,54},{53,54}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, otherTissueO2.FHbF) 
          annotation (Line(
            points={{-88,92},{-88,10},{-53,10}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, respiratoryMuscleO2.FHbF) 
          annotation (Line(
            points={{-88,92},{-88,-20},{-53,-20}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, rightHeartO2.FHbF) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-96},{53,-96}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, skinO2.FHbF)      annotation (
           Line(
            points={{-88,92},{-88,-80},{-53,-80}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, skeletalMuscleO2.FHbF) 
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,68},{-53,68}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.bone_pCO2, boneO2.pCO2)        annotation (
           Line(
            points={{-88,92},{-88,36},{-53,36}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.brain_pCO2, brainO2.pCO2) 
          annotation (Line(
            points={{-88,92},{6,92},{6,20},{53,20}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.fat_pCO2, fatO2.pCO2)      annotation (
            Line(
            points={{-88,92},{-88,-54},{-53,-54}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.GITract_pCO2, GITractO2.pCO2) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-10},{53,-10}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.kidney_pCO2, kidneyO2.pCO2) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-40},{53,-40}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.leftHeart_pCO2, leftHeartO2.pCO2) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-70},{53,-70}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.liver_pCO2, liverO2.pCO2) 
          annotation (Line(
            points={{-88,92},{6,92},{6,50},{53,50}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.otherTissue_pCO2, otherTissueO2.pCO2) 
          annotation (Line(
            points={{-88,92},{-88,6},{-53,6}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.respiratoryMuscle_pCO2, respiratoryMuscleO2.pCO2) 
          annotation (Line(
            points={{-88,92},{-88,-24},{-53,-24}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.rightHeart_pCO2, rightHeartO2.pCO2) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-100},{53,-100}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.skin_pCO2, skinO2.pCO2)      annotation (
           Line(
            points={{-88,92},{-88,-84},{-53,-84}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.skeletalMuscle_pCO2, skeletalMuscleO2.pCO2) 
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,64},{-53,64}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.ctHb, boneO2.ctHb)      annotation (
           Line(
            points={{-88,92},{-88,44},{-53,44}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, brainO2.ctHb) 
          annotation (Line(
            points={{-88,92},{6,92},{6,28},{53,28}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, fatO2.ctHb)      annotation (
            Line(
            points={{-88,92},{-88,-46},{-53,-46}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, GITractO2.ctHb) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-2},{53,-2}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, kidneyO2.ctHb) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-32},{53,-32}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, leftHeartO2.ctHb) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-62},{53,-62}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, liverO2.ctHb) 
          annotation (Line(
            points={{-88,92},{6,92},{6,58},{53,58}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, otherTissueO2.ctHb) 
          annotation (Line(
            points={{-88,92},{-88,14},{-53,14}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, respiratoryMuscleO2.ctHb) 
          annotation (Line(
            points={{-88,92},{-88,-16},{-53,-16}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, rightHeartO2.ctHb) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-92},{53,-92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, skinO2.ctHb)      annotation (
           Line(
            points={{-88,92},{-88,-76},{-53,-76}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, skeletalMuscleO2.ctHb) 
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,72},{-53,72}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.pCO, boneO2.pCO) 
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,52},{-53,52}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, brainO2.pCO) 
          annotation (Line(
            points={{-88,92},{6,92},{6,36},{53,36}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, fatO2.pCO)      annotation (
            Line(
            points={{-88,92},{-88,-38},{-53,-38}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, GITractO2.pCO) 
          annotation (Line(
            points={{-88,92},{6,92},{6,6},{53,6}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, kidneyO2.pCO) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-24},{53,-24}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, leftHeartO2.pCO) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-54},{53,-54}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, liverO2.pCO) 
          annotation (Line(
            points={{-88,92},{6,92},{6,66},{53,66}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, otherTissueO2.pCO) 
          annotation (Line(
            points={{-88,92},{-88,22},{-53,22}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, respiratoryMuscleO2.pCO) 
          annotation (Line(
            points={{-88,92},{-88,-8},{-53,-8}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, rightHeartO2.pCO) 
          annotation (Line(
            points={{-88,92},{6,92},{6,-84},{53,-84}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, skinO2.pCO)      annotation (
           Line(
            points={{-88,92},{-88,-68},{-53,-68}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, skeletalMuscleO2.pCO) 
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,80},{-53,80}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(boneO2.pH_plasma, busConnector.bone_pH_plasma)       annotation (
           Line(
            points={{-35,56},{6,56},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.pH_plasma, busConnector.brain_pH_plasma) 
          annotation (Line(
            points={{71,40},{98,40},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.pH_plasma, busConnector.fat_pH_plasma)     annotation (
            Line(
            points={{-35,-34},{6,-34},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.pH_plasma, busConnector.GITract_pH_plasma) 
          annotation (Line(
            points={{71,10},{98,10},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.pH_plasma, busConnector.kidney_pH_plasma) 
          annotation (Line(
            points={{71,-20},{98,-20},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.pH_plasma, busConnector.leftHeart_pH_plasma) 
          annotation (Line(
            points={{71,-50},{98,-50},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liverO2.pH_plasma, busConnector.liver_pH_plasma) 
          annotation (Line(
            points={{71,70},{98,70},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.pH_plasma, busConnector.otherTissue_pH_plasma) 
          annotation (Line(
            points={{-35,26},{6,26},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.pH_plasma, busConnector.respiratoryMuscle_pH_plasma) 
          annotation (Line(
            points={{-35,-4},{6,-4},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.pH_plasma, busConnector.rightHeart_pH_plasma) 
          annotation (Line(
            points={{71,-80},{98,-80},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.pH_plasma, busConnector.skin_pH_plasma)     annotation (
           Line(
            points={{-35,-64},{6,-64},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.pH_plasma, busConnector.skeletalMuscle_pH_plasma) 
          annotation (Line(
            points={{-35,84},{5.5,84},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(boneO2.FMetHb, busConnector.FMetHb)       annotation (
           Line(
            points={{-35,52},{6,52},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.FMetHb, busConnector.FMetHb) 
          annotation (Line(
            points={{71,36},{98,36},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.FMetHb, busConnector.FMetHb)     annotation (
            Line(
            points={{-35,-38},{6,-38},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.FMetHb, busConnector.FMetHb) 
          annotation (Line(
            points={{71,6},{98,6},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.FMetHb, busConnector.FMetHb) 
          annotation (Line(
            points={{71,-24},{98,-24},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.FMetHb, busConnector.FMetHb) 
          annotation (Line(
            points={{71,-54},{98,-54},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liverO2.FMetHb, busConnector.FMetHb) 
          annotation (Line(
            points={{71,66},{98,66},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.FMetHb, busConnector.FMetHb) 
          annotation (Line(
            points={{-35,22},{6,22},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.FMetHb, busConnector.FMetHb) 
          annotation (Line(
            points={{-35,-8},{6,-8},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.FMetHb, busConnector.FMetHb) 
          annotation (Line(
            points={{71,-84},{98,-84},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.FMetHb, busConnector.FMetHb)     annotation (
           Line(
            points={{-35,-68},{6,-68},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.FMetHb, busConnector.FMetHb) 
          annotation (Line(
            points={{-35,80},{5.5,80},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

        connect(boneO2.Tissue_O2Use, busConnector.bone_O2Use)       annotation (
           Line(
            points={{-35,44},{6,44},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.Tissue_O2Use, busConnector.brain_O2Use) 
          annotation (Line(
            points={{71,28},{98,28},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.Tissue_O2Use, busConnector.fat_O2Use)     annotation (
            Line(
            points={{-35,-46},{6,-46},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.Tissue_O2Use, busConnector.GITract_O2Use) 
          annotation (Line(
            points={{71,-2},{98,-2},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.Tissue_O2Use, busConnector.kidney_O2Use) 
          annotation (Line(
            points={{71,-32},{98,-32},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.Tissue_O2Use, busConnector.leftHeart_O2Use) 
          annotation (Line(
            points={{71,-62},{98,-62},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liverO2.Tissue_O2Use, busConnector.liver_O2Use) 
          annotation (Line(
            points={{71,58},{98,58},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.Tissue_O2Use, busConnector.otherTissue_O2Use) 
          annotation (Line(
            points={{-35,14},{6,14},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.Tissue_O2Use, busConnector.respiratoryMuscle_O2Use) 
          annotation (Line(
            points={{-35,-16},{6,-16},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.Tissue_O2Use, busConnector.rightHeart_O2Use) 
          annotation (Line(
            points={{71,-92},{98,-92},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.Tissue_O2Use, busConnector.skin_O2Use)     annotation (
           Line(
            points={{-35,-76},{6,-76},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.Tissue_O2Use, busConnector.skeletalMuscle_O2Use) 
          annotation (Line(
            points={{-35,72},{5.5,72},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

        connect(boneO2.BloodFlow, busConnector.bone_BloodFlow)        annotation (
           Line(
            points={{-35,36},{6,36},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.BloodFlow, busConnector.brain_BloodFlow) 
          annotation (Line(
            points={{71,20},{98,20},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.BloodFlow, busConnector.fat_BloodFlow)     annotation (
            Line(
            points={{-35,-54},{6,-54},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.BloodFlow, busConnector.GITract_BloodFlow) 
          annotation (Line(
            points={{71,-10},{98,-10},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.BloodFlow, busConnector.kidney_BloodFlow) 
          annotation (Line(
            points={{71,-40},{98,-40},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.BloodFlow, busConnector.leftHeart_BloodFlow) 
          annotation (Line(
            points={{71,-70},{98,-70},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.BloodFlow, busConnector.otherTissue_BloodFlow) 
          annotation (Line(
            points={{-35,6},{6,6},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.BloodFlow, busConnector.respiratoryMuscle_BloodFlow) 
          annotation (Line(
            points={{-35,-24},{6,-24},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.BloodFlow, busConnector.rightHeart_BloodFlow) 
          annotation (Line(
            points={{71,-100},{98,-100},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.BloodFlow, busConnector.skin_BloodFlow)     annotation (
           Line(
            points={{-35,-84},{6,-84},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.BloodFlow, busConnector.skeletalMuscle_BloodFlow) 
          annotation (Line(
            points={{-35,64},{5.5,64},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

        connect(boneO2.T, busConnector.bone_T)       annotation (
           Line(
            points={{-35,40},{6,40},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.T, busConnector.brain_T) 
          annotation (Line(
            points={{71,24},{98,24},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.T, busConnector.fat_T)     annotation (
            Line(
            points={{-35,-50},{6,-50},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.T, busConnector.GITract_T) 
          annotation (Line(
            points={{71,-6},{98,-6},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.T, busConnector.kidney_T) 
          annotation (Line(
            points={{71,-36},{98,-36},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.T, busConnector.leftHeart_T) 
          annotation (Line(
            points={{71,-66},{98,-66},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liverO2.T, busConnector.liver_T) 
          annotation (Line(
            points={{71,54},{98,54},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.T, busConnector.otherTissue_T) 
          annotation (Line(
            points={{-35,10},{6,10},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.T, busConnector.respiratoryMuscle_T) 
          annotation (Line(
            points={{-35,-20},{6,-20},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.T, busConnector.rightHeart_T) 
          annotation (Line(
            points={{71,-96},{98,-96},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.T, busConnector.skin_T)     annotation (
           Line(
            points={{-35,-80},{6,-80},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.T, busConnector.skeletalMuscle_T) 
          annotation (Line(
            points={{-35,68},{5.5,68},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

          connect(boneO2.sO2, busConnector.bone_sO2) annotation (
           Line(
            points={{-44,35},{6,35},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(brainO2.sO2, busConnector.brain_sO2) 
          annotation (Line(
            points={{62,19},{98,19},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(fatO2.sO2, busConnector.fat_sO2) annotation (
            Line(
            points={{-44,-55},{6,-55},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(GITractO2.sO2, busConnector.GITract_sO2) 
          annotation (Line(
            points={{62,-11},{98,-11},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(kidneyO2.sO2, busConnector.kidney_sO2) 
          annotation (Line(
            points={{62,-41},{98,-41},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(leftHeartO2.sO2, busConnector.leftHeart_sO2) 
          annotation (Line(
            points={{62,-71},{98,-71},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(liverO2.sO2, busConnector.liver_sO2) 
          annotation (Line(
            points={{62,49},{98,49},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(otherTissueO2.sO2, busConnector.otherTissue_sO2) 
          annotation (Line(
            points={{-44,5},{6,5},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(respiratoryMuscleO2.sO2, busConnector.respiratoryMuscle_sO2) 
          annotation (Line(
            points={{-44,-25},{6,-25},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(rightHeartO2.sO2, busConnector.rightHeart_sO2) 
          annotation (Line(
            points={{62,-101},{98,-101},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(skinO2.sO2, busConnector.skin_sO2) annotation (
           Line(
            points={{-44,-85},{6,-85},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(skeletalMuscleO2.sO2, busConnector.skeletalMuscle_sO2) 
          annotation (Line(
            points={{-44,63},{5.5,63},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None));

        connect(boneO2.pO2, busConnector.Bone_PO2) annotation (
           Line(
            points={{-46,35},{6,35},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(brainO2.pO2, busConnector.Brain_PO2) 
          annotation (Line(
            points={{60,19},{98,19},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(fatO2.pO2, busConnector.Fat_PO2) annotation (
            Line(
            points={{-46,-55},{6,-55},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(GITractO2.pO2, busConnector.GITract_PO2) 
          annotation (Line(
            points={{60,-11},{98,-11},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(kidneyO2.pO2, busConnector.Kidney_PO2) 
          annotation (Line(
            points={{60,-41},{98,-41},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(leftHeartO2.pO2, busConnector.LeftHeart_PO2) 
          annotation (Line(
            points={{60,-71},{98,-71},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(liverO2.pO2, busConnector.Liver_PO2) 
          annotation (Line(
            points={{60,49},{98,49},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(otherTissueO2.pO2, busConnector.OtherTissue_PO2) 
          annotation (Line(
            points={{-46,5},{6,5},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(respiratoryMuscleO2.pO2, busConnector.RespiratoryMuscle_PO2) 
          annotation (Line(
            points={{-46,-25},{6,-25},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(rightHeartO2.pO2, busConnector.RightHeart_PO2) 
          annotation (Line(
            points={{60,-101},{98,-101},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(skinO2.pO2, busConnector.Skin_PO2) annotation (
           Line(
            points={{-46,-85},{6,-85},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(skeletalMuscleO2.pO2, busConnector.SkeletalMuscle_PO2) 
          annotation (Line(
            points={{-46,63},{5.5,63},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None));

        connect(liverO2.hepaticArty, q_in) annotation (Line(
            points={{72,62},{84,62},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GITractO2.vein, liverO2.portalVein) annotation (Line(
            points={{52,2},{30,2},{30,84},{64,84},{64,70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(liverO2.HepaticArtyBloodFlow, busConnector.HepaticArty_BloodFlow) 
          annotation (Line(
            points={{71,50},{96,50},{96,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(liverO2.PortalVeinBloodFlow, busConnector.GITract_BloodFlow) 
          annotation (Line(
            points={{60,69},{60,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,13},{3,13}}));
        connect(kidneyO2.TubulePO2, busConnector.KidneyO2_TubulePO2) annotation (Line(
            points={{64,-41},{64,-46},{98,-46},{98,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-3},{6,-3}}));
        annotation (Icon(graphics={Rectangle(extent={{-120,100},{120,-100}},
                  lineColor={0,0,0})}),
                                 Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));
      end TissuesO2;

      model BloodO2_Siggaard_Liver

        Library.ConcentrationFlow.PositiveConcentrationFlow hepaticArty 
          annotation (Placement(transformation(extent={{-120,-120},{-80,-80}}),
              iconTransformation(extent={{-120,-120},{-80,-80}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow q_out annotation (
            Placement(transformation(extent={{80,-120},{120,-80}}),
                                                                  iconTransformation(
                extent={{80,-120},{120,-80}})));
        Library.PressureFlow.PositivePressureFlow alveolar 
          annotation (Placement(transformation(extent={{-20,80},{20,120}}),
              iconTransformation(extent={{-20,80},{20,120}})));

        Real tO2(unit="mmol/l");
        Real aO2;
        Real pO2(start=13, unit="kPa");
        Real sO2CO(start=0.96);
        Real pO2CO(unit="kPa");
        Real cO2Hb(unit="mmol/l");
        Real sCO;

        Real ceHb(unit="mmol/l");
        Real a;
        Real k;
        Real h;
        Real x;
        Real y;
        Real FCOHb(start=0);
        Real pCO;
        Real pCO2;
        Library.Interfaces.RealOutput_ sO2  annotation (Placement(
              transformation(extent={{-30,-112},{10,-72}}),
                                                          iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-120})));
        Library.Interfaces.RealInput_ pH 
                                        annotation (Placement(transformation(extent={{-120,70},
                  {-80,110}}),          iconTransformation(extent={{-100,90},{
                  -80,110}})));
        Library.Interfaces.RealInput_ ctHb(unit="mmol/l") 
                                         annotation (Placement(transformation(extent={{60,60},
                  {100,100}}),          iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,100})));
        Library.Interfaces.RealInput_ HepaticArtyBloodFlow(unit="ml/min") 
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(extent={{-100,-80},{-80,-60}})));
        Library.Interfaces.RealInput_ T(unit="DegC")  annotation (Placement(transformation(extent={{-120,
                  -20},{-80,20}}),      iconTransformation(extent={{-100,30},{-80,50}})));
        Library.Interfaces.RealInput_ pCO_mmHg(unit="mmHg") 
                                         annotation (Placement(transformation(extent={{60,-100},
                  {100,-60}}),          iconTransformation(extent={{-10,-10},{
                  10,10}},
              rotation=180,
              origin={90,-60})));
        Library.Interfaces.RealInput_ pCO2_mmHg(unit="mmHg") 
                                         annotation (Placement(transformation(extent={{-120,20},
                  {-80,60}}),           iconTransformation(extent={{-100,60},{-80,80}})));
        Library.Interfaces.RealInput_ cDPG(unit="mmol/l") 
                                         annotation (Placement(transformation(extent={{60,20},
                  {100,60}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,60})));
        Library.Interfaces.RealInput_ FMetHb 
                                         annotation (Placement(transformation(extent={{60,-20},
                  {100,20}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,20})));

        Library.Interfaces.RealInput_ FHbF 
                                         annotation (Placement(transformation(extent={{60,-60},
                  {100,-20}}),          iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,-20})));

      //  Real mlTOmmol_O2(unit="mMol/ml") = 8.18/0.182
      //    "conversion constant for oxygen mass from ml to mMol";

       // Real mlTOmmol_O2(unit="mMol/ml") = 1/(740*2*16/1000)
       //   "conversion constant for oxygen mass from ml to mMol";
                                                         //8.18 / 0.182
                                                         //molar mass = 2*16 g/mol; density = 740 ml/g

        constant Real MiniliterPerLiter(final unit="ml/l")=1000;

        Library.ConcentrationFlow.PositiveConcentrationFlow GIT 
          annotation (Placement(transformation(extent={{-120,-120},{-80,-80}}),
              iconTransformation(extent={{-120,-40},{-80,0}})));
        Library.Interfaces.RealInput_ GITBloodFlow(unit="ml/min") 
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(extent={{-100,0},{-80,20}})));
      equation
        GIT.q + hepaticArty.q + q_out.q + alveolar.q = 0;  //flows: mmol/min

        alveolar.pressure = Library.NonSIunits.PaTOmmHg*1000 * pO2;
        pCO_mmHg = Library.NonSIunits.PaTOmmHg*1000 * pCO;
        pCO2_mmHg = Library.NonSIunits.PaTOmmHg*1000 * pCO2;

        hepaticArty.conc = hepaticArty.q/ HepaticArtyBloodFlow; //mmol/ml
        GIT.conc = GIT.q/ GITBloodFlow; //mmol/ml

        tO2 = MiniliterPerLiter * (-q_out.q/ (GITBloodFlow+HepaticArtyBloodFlow)); //mmol/l

      //oxygen:
        ceHb = ctHb * (1-FCOHb-FMetHb); //effective haemoglobin
        aO2 = exp(log(0.0105)+(-0.0115*(T-37))+0.5*0.00042*(T-37)^2); //solubility
        tO2 = aO2*pO2 + ceHb*sO2;
        //Haldane:
        sCO*pO2CO = 218*pCO*sO2CO;
        pO2CO = pO2 + 218*pCO;
        //saturation definitions: "result: sO2CO = (sO2*(ceHb/ctHb)+FCOHb)/(1-FMetHb);"
        sO2 = cO2Hb/ceHb;
        sO2CO = (cO2Hb + ctHb*FCOHb)/(ctHb*(1-FMetHb));
        sCO = ctHb*FCOHb/(ctHb*(1-FMetHb));
        //TANH
        a=-0.88*(pH-7.4)+0.048*log(pCO2/5.33)-0.7*FMetHb+(0.3-0.25*FHbF)*cDPG/(5-1); //Bohr coefficient: -der(log10(pO2),pH)=0.88/ln(10)=0.38, -der(ln(pO2),pH)=0.88
        x=log(pO2CO/7); //namiesto:  x=log(pO2CO/7) - a - 0.055*(T-37);
        y-1.8747=x+h*tanh(k*x);
        k=0.5342857;
        h=3.5 + a;
        y=log(sO2CO/(1-sO2CO));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-74,-32},{74,-64}},
                lineColor={0,0,255},
                textString="%name"),
              Polygon(
                points={{-72,10},{80,0},{-72,-10},{-72,10}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                origin={-2,-84},
                rotation=360)}),                  Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BloodO2_Siggaard_Liver;

      package setup

      model O2ConstInputs

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{72,-2},{86,12}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant AirSupplyInspiredAirPressure(k=760.) 
      annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
      Library.Blocks.Constant ArtysVol(k=1587.76521066473) 
      annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
      Library.Blocks.Constant BarometerPressure(k=760.) 
      annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
      Library.Blocks.Constant Artys_pH(k=7.38644600458198) 
      annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
      Library.Blocks.Constant Veins_pH(k=7.34016928440091) 
      annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
      Library.Blocks.Constant bone_pCO2(k=46.4557951901599) 
      annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
      Library.Blocks.Constant bone_BloodFlow(k=411.529549648395) 
      annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
      Library.Blocks.Constant bone_O2Use(k=19.5514326580859) 
      annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
      Library.Blocks.Constant brain_pCO2(k=47.6749567125577) 
      annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
      Library.Blocks.Constant brain_BloodFlow(k=870.480358845086) 
      annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
      Library.Blocks.Constant brain_O2Use(k=52.1371537548956) 
      annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
      Library.Blocks.Constant CO2Artys_pCO2(k=41.7544049802257) 
      annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
      Library.Blocks.Constant CO2Veins_pCO2(k=46.4492835152696) 
      annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
      Library.Blocks.Constant CardiacOutput(k=5402.99570595689) 
      annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
      Library.Blocks.Constant ExcessLungWater_Volume(k=0.) 
      annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
      Library.Blocks.Constant fat_pCO2(k=44.4786406101774) 
      annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
      Library.Blocks.Constant fat_BloodFlow(k=236.170497748735) 
      annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
      Library.Blocks.Constant fat_O2Use(k=6.51714421936195) 
      annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
      Library.Blocks.Constant GITract_pCO2(k=44.3772517533942) 
      annotation (Placement(transformation(extent={{-36,190},{-30,196}})));
      Library.Blocks.Constant GITract_BloodFlow(k=971.271094732174) 
      annotation (Placement(transformation(extent={{-36,200},{-30,206}})));
      Library.Blocks.Constant GITract_O2Use(k=25.8513387368024) 
      annotation (Placement(transformation(extent={{-36,210},{-30,216}})));
      Library.Blocks.Constant GITract_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,220},{-30,226}})));
      Library.Blocks.Constant HeatCore_Temp(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,230},{-30,236}})));
      Library.Blocks.Constant bone_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,240},{-30,246}})));
      Library.Blocks.Constant brain_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,250},{-30,256}})));
      Library.Blocks.Constant fat_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,260},{-30,266}})));
      Library.Blocks.Constant kidney_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,270},{-30,276}})));
      Library.Blocks.Constant leftHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,280},{-30,286}})));
      Library.Blocks.Constant liver_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,290},{-30,296}})));
      Library.Blocks.Constant otherTissue_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,300},{-30,306}})));
      Library.Blocks.Constant respiratoryMuscle_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,310},{-30,316}})));
      Library.Blocks.Constant rightHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-36,320},{-30,326}})));
      Library.Blocks.Constant skeletalMuscle_T(k=37.239827522926) 
      annotation (Placement(transformation(extent={{-36,330},{-30,336}})));
      Library.Blocks.Constant skin_T(k=28.6404308069366) 
      annotation (Placement(transformation(extent={{-36,340},{-30,346}})));
      Library.Blocks.Constant HepaticArty_BloodFlow(k=245.489746000535) 
      annotation (Placement(transformation(extent={{-252,-258},{-246,-252}})));
      Library.Blocks.Constant kidney_pCO2(k=43.2560345265624) 
      annotation (Placement(transformation(extent={{-252,-248},{-246,-242}})));
      Library.Blocks.Constant kidney_BloodFlow(k=1231.77885077347) 
      annotation (Placement(transformation(extent={{-252,-238},{-246,-232}})));
      Library.Blocks.Constant kidney_O2Use(k=22.5439741398034) 
      annotation (Placement(transformation(extent={{-252,-228},{-246,-222}})));
      Library.Blocks.Constant leftHeart_pCO2(k=56.344002614809) 
      annotation (Placement(transformation(extent={{-252,-218},{-246,-212}})));
      Library.Blocks.Constant leftHeart_BloodFlow(k=187.141403158598) 
      annotation (Placement(transformation(extent={{-252,-208},{-246,-202}})));
      Library.Blocks.Constant leftHeart_O2Use(k=27.577062812908) 
      annotation (Placement(transformation(extent={{-252,-198},{-246,-192}})));
      Library.Blocks.Constant liver_pCO2(k=40.984153848581) 
      annotation (Placement(transformation(extent={{-252,-188},{-246,-182}})));
      Library.Blocks.Constant liver_O2Use(k=41.0580085819803) 
      annotation (Placement(transformation(extent={{-252,-178},{-246,-172}})));
      Library.Blocks.Constant AlveolarVentilated_BloodFlow(k=5182.99570595689) 
      annotation (Placement(transformation(extent={{-252,-168},{-246,-162}})));
      Library.Blocks.Constant CO2Lung_pCO2(k=41.6036252824923) 
      annotation (Placement(transformation(extent={{-252,-158},{-246,-152}})));
      Library.Blocks.Constant otherTissue_pCO2(k=44.6767948731359) 
      annotation (Placement(transformation(extent={{-252,-148},{-246,-142}})));
      Library.Blocks.Constant otherTissue_BloodFlow(k=367.445620022139) 
      annotation (Placement(transformation(extent={{-252,-138},{-246,-132}})));
      Library.Blocks.Constant otherTissue_O2Use(k=10.8619070322699) 
      annotation (Placement(transformation(extent={{-252,-128},{-246,-122}})));
      Library.Blocks.Constant RespiratoryCenter_MotorNerveActivity(k=0.993694435232649) 
      annotation (Placement(transformation(extent={{-252,-118},{-246,-112}})));
      Library.Blocks.Constant RespiratoryCenter_RespRate(k=11.9741435842595) 
      annotation (Placement(transformation(extent={{-252,-108},{-246,-102}})));
      Library.Blocks.Constant respiratoryMuscle_pCO2(k=48.2264546384865) 
      annotation (Placement(transformation(extent={{-252,-98},{-246,-92}})));
      Library.Blocks.Constant respiratoryMuscle_BloodFlow(k=96.4514390299406) 
      annotation (Placement(transformation(extent={{-252,-88},{-246,-82}})));
      Library.Blocks.Constant respiratoryMuscle_O2Use(k=6.35044326580859) 
      annotation (Placement(transformation(extent={{-252,-78},{-246,-72}})));
      Library.Blocks.Constant RespiratorMuscle_FunctionEffect(k=0.995580586980285) 
      annotation (Placement(transformation(extent={{-252,-68},{-246,-62}})));
      Library.Blocks.Constant rightHeart_pCO2(k=56.5166348600201) 
      annotation (Placement(transformation(extent={{-252,-58},{-246,-52}})));
      Library.Blocks.Constant rightHeart_BloodFlow(k=35.2508578572206) 
      annotation (Placement(transformation(extent={{-252,-48},{-246,-42}})));
      Library.Blocks.Constant rightHeart_O2Use(k=5.2563144219362) 
      annotation (Placement(transformation(extent={{-252,-38},{-246,-32}})));
      Library.Blocks.Constant skeletalMuscle_pCO2(k=46.6407834558443) 
      annotation (Placement(transformation(extent={{-252,-28},{-246,-22}})));
      Library.Blocks.Constant skeletalMuscle_BloodFlow(k=630.94639202895) 
      annotation (Placement(transformation(extent={{-252,-18},{-246,-12}})));
      Library.Blocks.Constant skeletalMuscle_O2Use(k=31.4048958169092) 
      annotation (Placement(transformation(extent={{-252,-8},{-246,-2}})));
      Library.Blocks.Constant skin_pCO2(k=48.8581506837073) 
      annotation (Placement(transformation(extent={{-252,2},{-246,8}})));
      Library.Blocks.Constant skin_BloodFlow(k=116.996639739554) 
      annotation (Placement(transformation(extent={{-252,12},{-246,18}})));
      Library.Blocks.Constant skin_O2Use(k=8.44525143799096) 
      annotation (Placement(transformation(extent={{-252,22},{-246,28}})));
      Library.Blocks.Constant Thorax_LungInflation(k=1.) 
      annotation (Placement(transformation(extent={{-252,32},{-246,38}})));
      Library.Blocks.Constant VeinsVol(k=3777.66406071807) 
      annotation (Placement(transformation(extent={{-252,42},{-246,48}})));
      Library.Blocks.Constant ctHb(k=8.4) 
      annotation (Placement(transformation(extent={{-252,52},{-246,58}})));
      Library.Blocks.Constant pCO(k=0) 
      annotation (Placement(transformation(extent={{-252,62},{-246,68}})));
      Library.Blocks.Constant FHbF(k=.005) 
      annotation (Placement(transformation(extent={{-252,72},{-246,78}})));
      Library.Blocks.Constant FMetHb(k=.005) 
      annotation (Placement(transformation(extent={{-252,82},{-246,88}})));
      Library.Blocks.Constant cDPG(k=5.4) 
      annotation (Placement(transformation(extent={{-252,92},{-246,98}})));
      Library.Blocks.Constant GITract_pH_plasma(k=7.39003) 
      annotation (Placement(transformation(extent={{-252,102},{-246,108}})));
      Library.Blocks.Constant bone_pH_plasma(k=7.37552) 
      annotation (Placement(transformation(extent={{-252,112},{-246,118}})));
      Library.Blocks.Constant brain_pH_plasma(k=7.367) 
      annotation (Placement(transformation(extent={{-252,122},{-246,128}})));
      Library.Blocks.Constant fat_pH_plasma(k=7.38933) 
      annotation (Placement(transformation(extent={{-252,132},{-246,138}})));
      Library.Blocks.Constant kidney_pH_plasma(k=7.39771) 
      annotation (Placement(transformation(extent={{-252,142},{-246,148}})));
      Library.Blocks.Constant leftHeart_pH_plasma(k=7.30645) 
      annotation (Placement(transformation(extent={{-252,152},{-246,158}})));
      Library.Blocks.Constant liver_pH_plasma(k=7.39146) 
      annotation (Placement(transformation(extent={{-252,162},{-246,168}})));
      Library.Blocks.Constant otherTissue_pH_plasma(k=7.38794) 
      annotation (Placement(transformation(extent={{-252,172},{-246,178}})));
      Library.Blocks.Constant respiratoryMuscle_pH_plasma(k=7.36313) 
      annotation (Placement(transformation(extent={{-252,182},{-246,188}})));
      Library.Blocks.Constant rightHeart_pH_plasma(k=7.30524) 
      annotation (Placement(transformation(extent={{-252,192},{-246,198}})));
      Library.Blocks.Constant skeletalMuscle_pH_plasma(k=7.37421) 
      annotation (Placement(transformation(extent={{-252,202},{-246,208}})));
      Library.Blocks.Constant skin_pH_plasma(k=7.35872) 
      annotation (Placement(transformation(extent={{-252,212},{-246,218}})));
      equation

      connect(AirSupplyInspiredAirPressure.y, busConnector.AirSupplyInspiredAirPressure) annotation (Line(
       points={{-29.7,13},{79,13},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ArtysVol.y, busConnector.ArtysVol) annotation (Line(
       points={{-29.7,23},{79,23},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BarometerPressure.y, busConnector.BarometerPressure) annotation (Line(
       points={{-29.7,33},{79,33},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
       points={{-29.7,43},{79,43},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Veins_pH.y, busConnector.Veins_pH) annotation (Line(
       points={{-29.7,53},{79,53},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pCO2.y, busConnector.bone_pCO2) annotation (Line(
       points={{-29.7,63},{79,63},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_BloodFlow.y, busConnector.bone_BloodFlow) annotation (Line(
       points={{-29.7,73},{79,73},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_O2Use.y, busConnector.bone_O2Use) annotation (Line(
       points={{-29.7,83},{79,83},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pCO2.y, busConnector.brain_pCO2) annotation (Line(
       points={{-29.7,93},{79,93},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_BloodFlow.y, busConnector.brain_BloodFlow) annotation (Line(
       points={{-29.7,103},{79,103},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_O2Use.y, busConnector.brain_O2Use) annotation (Line(
       points={{-29.7,113},{79,113},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Artys_pCO2.y, busConnector.CO2Artys_pCO2) annotation (Line(
       points={{-29.7,123},{79,123},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Veins_pCO2.y, busConnector.CO2Veins_pCO2) annotation (Line(
       points={{-29.7,133},{79,133},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CardiacOutput.y, busConnector.CardiacOutput) annotation (Line(
       points={{-29.7,143},{79,143},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ExcessLungWater_Volume.y, busConnector.ExcessLungWater_Volume) annotation (Line(
       points={{-29.7,153},{79,153},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pCO2.y, busConnector.fat_pCO2) annotation (Line(
       points={{-29.7,163},{79,163},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_BloodFlow.y, busConnector.fat_BloodFlow) annotation (Line(
       points={{-29.7,173},{79,173},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_O2Use.y, busConnector.fat_O2Use) annotation (Line(
       points={{-29.7,183},{79,183},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pCO2.y, busConnector.GITract_pCO2) annotation (Line(
       points={{-29.7,193},{79,193},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
       points={{-29.7,203},{79,203},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_O2Use.y, busConnector.GITract_O2Use) annotation (Line(
       points={{-29.7,213},{79,213},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_T.y, busConnector.GITract_T) annotation (Line(
       points={{-29.7,223},{79,223},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatCore_Temp.y, busConnector.core_T) annotation (Line(
       points={{-29.7,233},{79,233},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_T.y, busConnector.bone_T) annotation (Line(
       points={{-29.7,243},{79,243},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_T.y, busConnector.brain_T) annotation (Line(
       points={{-29.7,253},{79,253},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_T.y, busConnector.fat_T) annotation (Line(
       points={{-29.7,263},{79,263},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_T.y, busConnector.kidney_T) annotation (Line(
       points={{-29.7,273},{79,273},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_T.y, busConnector.leftHeart_T) annotation (Line(
       points={{-29.7,283},{79,283},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_T.y, busConnector.liver_T) annotation (Line(
       points={{-29.7,293},{79,293},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_T.y, busConnector.otherTissue_T) annotation (Line(
       points={{-29.7,303},{79,303},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_T.y, busConnector.respiratoryMuscle_T) annotation (Line(
       points={{-29.7,313},{79,313},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_T.y, busConnector.rightHeart_T) annotation (Line(
       points={{-29.7,323},{79,323},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_T.y, busConnector.skeletalMuscle_T) annotation (Line(
       points={{-29.7,333},{79,333},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y, busConnector.skin_T) annotation (Line(
       points={{-29.7,343},{79,343},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
       points={{-245.7,-255},{79,-255},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pCO2.y, busConnector.kidney_pCO2) annotation (Line(
       points={{-245.7,-245},{79,-245},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_BloodFlow.y, busConnector.kidney_BloodFlow) annotation (Line(
       points={{-245.7,-235},{79,-235},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_O2Use.y, busConnector.kidney_O2Use) annotation (Line(
       points={{-245.7,-225},{79,-225},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pCO2.y, busConnector.leftHeart_pCO2) annotation (Line(
       points={{-245.7,-215},{79,-215},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_BloodFlow.y, busConnector.leftHeart_BloodFlow) annotation (Line(
       points={{-245.7,-205},{79,-205},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_O2Use.y, busConnector.leftHeart_O2Use) annotation (Line(
       points={{-245.7,-195},{79,-195},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pCO2.y, busConnector.liver_pCO2) annotation (Line(
       points={{-245.7,-185},{79,-185},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_O2Use.y, busConnector.liver_O2Use) annotation (Line(
       points={{-245.7,-175},{79,-175},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
       points={{-245.7,-165},{79,-165},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Lung_pCO2.y, busConnector.CO2Lung_pCO2) annotation (Line(
       points={{-245.7,-155},{79,-155},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pCO2.y, busConnector.otherTissue_pCO2) annotation (Line(
       points={{-245.7,-145},{79,-145},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_BloodFlow.y, busConnector.otherTissue_BloodFlow) annotation (Line(
       points={{-245.7,-135},{79,-135},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_O2Use.y, busConnector.otherTissue_O2Use) annotation (Line(
       points={{-245.7,-125},{79,-125},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryCenter_MotorNerveActivity.y, busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
       points={{-245.7,-115},{79,-115},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryCenter_RespRate.y, busConnector.RespiratoryCenter_RespRate) annotation (Line(
       points={{-245.7,-105},{79,-105},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pCO2.y, busConnector.respiratoryMuscle_pCO2) annotation (Line(
       points={{-245.7,-95},{79,-95},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_BloodFlow.y, busConnector.respiratoryMuscle_BloodFlow) annotation (Line(
       points={{-245.7,-85},{79,-85},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_O2Use.y, busConnector.respiratoryMuscle_O2Use) annotation (Line(
       points={{-245.7,-75},{79,-75},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratorMuscle_FunctionEffect.y, busConnector.RespiratoryMuscleFunctionEffect) annotation (Line(
       points={{-245.7,-65},{79,-65},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pCO2.y, busConnector.rightHeart_pCO2) annotation (Line(
       points={{-245.7,-55},{79,-55},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_BloodFlow.y, busConnector.rightHeart_BloodFlow) annotation (Line(
       points={{-245.7,-45},{79,-45},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_O2Use.y, busConnector.rightHeart_O2Use) annotation (Line(
       points={{-245.7,-35},{79,-35},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pCO2.y, busConnector.skeletalMuscle_pCO2) annotation (Line(
       points={{-245.7,-25},{79,-25},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) annotation (Line(
       points={{-245.7,-15},{79,-15},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_O2Use.y, busConnector.skeletalMuscle_O2Use) annotation (Line(
       points={{-245.7,-5},{79,-5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pCO2.y, busConnector.skin_pCO2) annotation (Line(
       points={{-245.7,5},{-83.35,5},{-83.35,5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) annotation (Line(
       points={{-245.7,15},{79,15},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_O2Use.y, busConnector.skin_O2Use) annotation (Line(
       points={{-245.7,25},{79,25},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Thorax_LungInflation.y, busConnector.Thorax_LungInflation) annotation (Line(
       points={{-245.7,35},{79,35},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VeinsVol.y, busConnector.VeinsVol) annotation (Line(
       points={{-245.7,45},{79,45},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctHb.y, busConnector.ctHb) annotation (Line(
       points={{-245.7,55},{79,55},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(pCO.y, busConnector.pCO) annotation (Line(
       points={{-245.7,65},{79,65},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FHbF.y, busConnector.FHbF) annotation (Line(
       points={{-245.7,75},{79,75},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FMetHb.y, busConnector.FMetHb) annotation (Line(
       points={{-245.7,85},{79,85},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(cDPG.y, busConnector.cDPG) annotation (Line(
       points={{-245.7,95},{79,95},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pH_plasma.y, busConnector.GITract_pH_plasma) annotation (Line(
       points={{-245.7,105},{79,105},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_plasma.y, busConnector.bone_pH_plasma) annotation (Line(
       points={{-245.7,115},{79,115},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_plasma.y, busConnector.brain_pH_plasma) annotation (Line(
       points={{-245.7,125},{79,125},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_plasma.y, busConnector.fat_pH_plasma) annotation (Line(
       points={{-245.7,135},{79,135},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_plasma.y, busConnector.kidney_pH_plasma) annotation (Line(
       points={{-245.7,145},{79,145},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_plasma.y, busConnector.leftHeart_pH_plasma) annotation (Line(
       points={{-245.7,155},{79,155},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_plasma.y, busConnector.liver_pH_plasma) annotation (Line(
       points={{-245.7,165},{79,165},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_plasma.y, busConnector.otherTissue_pH_plasma) annotation (Line(
       points={{-245.7,175},{79,175},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_plasma.y, busConnector.respiratoryMuscle_pH_plasma) annotation (Line(
       points={{-245.7,185},{79,185},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_plasma.y, busConnector.rightHeart_pH_plasma) annotation (Line(
       points={{-245.7,195},{79,195},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_plasma.y, busConnector.skeletalMuscle_pH_plasma) annotation (Line(
       points={{-245.7,205},{79,205},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_plasma.y, busConnector.skin_pH_plasma) annotation (Line(
       points={{-245.7,215},{79,215},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

      end O2ConstInputs;

      end setup;

      package test
        model T
          setup.O2ConstInputs o2ConstInputs 
            annotation (Placement(transformation(extent={{-70,36},{-50,56}})));
          O2 o2_1 
            annotation (Placement(transformation(extent={{-6,34},{14,54}})));
        equation
          connect(o2ConstInputs.busConnector, o2_1.busConnector) annotation (
              Line(
              points={{-62,46},{-26,46},{-26,52},{12,52}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false,
                  extent={{-100,-100},{100,100}}), graphics));
        end T;

        model calc_resp
          AlveolarVentilation_STPD alveolarVentilation(          EnvironmentPressure=760,
              EnvironmentTemperature=20)                                                         annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-32,46})));
          ExternalO2 air_O2(                                concentration=21) 
            annotation (Placement(transformation(extent={{-64,68},{-44,88}})));
          Library.PressureFlow.PressureControledCompartment
            pressureControledCompartment(initType=HumMod.Library.Utilities.Init.NoInit,
              initialVolume=0) 
            annotation (Placement(transformation(extent={{-18,-14},{2,6}})));
          Library.Blocks.PressureConstant pressureConstant(k=100) 
            annotation (Placement(transformation(extent={{-22,12},{-14,20}})));
        Library.Utilities.ConstantFromFile core_T(varName="HeatCore.Temp(C)") 
        annotation (Placement(transformation(extent={{40,28},{18,50}})));
        Library.Utilities.ConstantFromFile RespRate(varName=
                "RespiratoryCenter-Output.Rate") 
        annotation (Placement(transformation(extent={{-94,40},{-74,60}})));
        Library.Utilities.ConstantFromFile AmbientPressure(varName=
                "Barometer.Pressure") 
        annotation (Placement(transformation(extent={{-94,34},{-74,54}})));
        Library.Utilities.ConstantFromFile AirPressure(varName=
                "AirSupply-InspiredAir.Pressure") 
        annotation (Placement(transformation(extent={{-94,28},{-74,48}})));
          NaturalVentilation2 naturalVentilation 
            annotation (Placement(transformation(extent={{34,48},{14,68}})));
        Library.Utilities.ConstantFromFile core_T1(varName=
                "RespiratoryCenter-Output.MotorNerveActivity") 
        annotation (Placement(transformation(extent={{78,68},{56,90}})));
        Library.Utilities.ConstantFromFile core_T2(varName=
                "RespiratoryMuscle-Function.Effect") 
        annotation (Placement(transformation(extent={{78,60},{56,82}})));
        Library.Utilities.ConstantFromFile core_T3(varName=
                "Thorax.LungInflation") 
        annotation (Placement(transformation(extent={{78,52},{56,74}})));
        Library.Utilities.ConstantFromFile core_T4(varName=
                "ExcessLungWater.Volume") 
        annotation (Placement(transformation(extent={{78,46},{56,68}})));
        equation
          connect(alveolarVentilation.inspired,air_O2. q_out) annotation (Line(
              points={{-42,54},{-48,54},{-48,60},{-32,60},{-32,78},{-53.8,78}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(air_O2.q_out,alveolarVentilation. expired) annotation (Line(
              points={{-53.8,78},{-32,78},{-32,60},{-18,60},{-18,54},{-22,54}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(alveolarVentilation.alveolar, pressureControledCompartment.y[
            1]) annotation (Line(
              points={{-31.8,36},{-32,36},{-32,-4},{-18,-4}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(pressureConstant.y, pressureControledCompartment.pressure[1]) 
            annotation (Line(
              points={{-13.6,16},{-8,16},{-8,6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(alveolarVentilation.core_T, core_T.y) annotation (Line(
              points={{-24,38},{-4.55,38},{-4.55,39},{16.9,39}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AmbientPressure.y, alveolarVentilation.BarometerPressure) 
            annotation (Line(
              points={{-73,44},{-40,44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(RespRate.y, alveolarVentilation.RespRate) annotation (Line(
              points={{-73,50},{-40,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AirPressure.y, alveolarVentilation.AirSupplyInspiredAirPressure) 
            annotation (Line(
              points={{-73,38},{-40,38}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(alveolarVentilation.DeadSpace,naturalVentilation. DeadSpace) 
            annotation (Line(
              points={{-24,44},{-2.7,44},{-2.7,54},{12.6,54}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(naturalVentilation.TidalVolume, alveolarVentilation.TidalVolume) 
            annotation (Line(
              points={{12.6,60},{-10,60},{-10,50},{-24,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(core_T1.y, naturalVentilation.RespiratoryCenterOutput_MotorNerveActivity) 
            annotation (Line(
              points={{54.9,79},{46,79},{46,66},{32.6,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(core_T2.y, naturalVentilation.RespiratoryMuscleFunctionEffect) 
            annotation (Line(
              points={{54.9,71},{48,71},{48,62},{32.6,62}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(core_T3.y, naturalVentilation.Thorax_LungInflation) 
            annotation (Line(
              points={{54.9,63},{50,63},{50,54},{32.6,54}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(core_T4.y, naturalVentilation.ExcessLungWater_Volume) 
            annotation (Line(
              points={{54.9,57},{52,57},{52,50},{32.6,50}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent=
                   {{-100,-100},{100,100}}), graphics));
        end calc_resp;

        model O2_SteadyBreathing
          //extends Library.Interfaces.BaseModel;
          Library.ConcentrationFlow.ConcentrationCompartment Artys(
                                       stateName="O2Artys.Mass[mMol]",
              initialSoluteMass=0.0082367*1598.5) 
            annotation (Placement(transformation(extent={{60,-96},{80,-76}})));
          Library.ConcentrationFlow.ConcentrationCompartment Veins(
                                                 stateName="O2Veins.Mass[mMol]",
              initialSoluteMass=0.008317*0.14/0.182*3795.128756) 
            annotation (Placement(transformation(extent={{-88,-54},{-68,-34}})));
          ExternalO2 air_O2(                                concentration=21) 
            annotation (Placement(transformation(extent={{-40,72},{-20,92}})));
          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{88,16},{108,36}}),
                iconTransformation(extent={{60,60},{100,100}})));
          HumMod.Gases.O2.BloodO2_Siggaard O2Lung(pO2(start=13)) 
            annotation (Placement(transformation(extent={{-18,-18},{2,2}})));
          AlveolarVentilation_STPD alveolarVentilation(          EnvironmentPressure=760,
              EnvironmentTemperature=20)                                                         annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-8,50})));
          NaturalVentilation2 naturalVentilation 
            annotation (Placement(transformation(extent={{54,42},{34,62}})));
          Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit 
            annotation (Placement(transformation(extent={{-16,-28},{4,-48}})));
          Modelica.Blocks.Math.Feedback pulmShortCircuitFlow 
            annotation (Placement(transformation(extent={{26,-64},{6,-44}})));
          HumMod.Library.PressureFlow.Gas_FromMLtoMMOL fromMLtoMMOL(
                                                         mmolPerML=0.042) annotation (Placement(transformation(
                extent={{-8,-8},{8,8}},
                rotation=270,
                origin={-8,30})));
          MeassureBloodO2 measure(
            pO2(start=11.96),
            cO2Hb(start=8.11),
            pCO2(start=5.13)) 
            annotation (Placement(transformation(extent={{64,-20},{84,0}})));
          MeassureBloodO2 measure1(
            cO2Hb(start=6.335),
            pCO2(start=5.6),
            sO2CO(start=0.758),
            pO2(start=5.517)) 
            annotation (Placement(transformation(extent={{-90,-18},{-70,2}})));
          Modelica.Blocks.Math.Product TotalVentilation 
            annotation (Placement(transformation(extent={{64,70},{70,76}})));
          Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit1 
            annotation (Placement(transformation(extent={{-10,10},{10,-10}},
                rotation=180,
                origin={6,-80})));
          Library.ConcentrationFlow.OutputPump outputPump annotation (Placement(
                transformation(extent={{-22,-102},{-44,-80}})));
          Library.PressureFlow.FlowMeasure flowMeasure annotation (Placement(
                transformation(
                extent={{10,-10},{-10,10}},
                rotation=90,
                origin={-8,12})));
        equation
          connect(busConnector.ArtysVol, Artys.SolventVolume)   annotation (Line(
              points={{98,26},{34,26},{34,-80},{62,-80}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.VeinsVol, Veins.SolventVolume)   annotation (Line(
              points={{98,26},{-100,26},{-100,-38},{-86,-38}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(alveolarVentilation.TidalVolume,naturalVentilation. TidalVolume) 
            annotation (Line(
              points={{0,54},{32.6,54}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(alveolarVentilation.DeadSpace,naturalVentilation. DeadSpace) 
            annotation (Line(
              points={{0,48},{32.6,48}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(naturalVentilation.ExcessLungWater_Volume, busConnector.ExcessLungWater_Volume) 
            annotation (Line(
              points={{52.6,44},{98,44},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(naturalVentilation.Thorax_LungInflation, busConnector.Thorax_LungInflation) 
            annotation (Line(
              points={{52.6,48},{98,48},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(naturalVentilation.RespiratoryMuscleFunctionEffect, busConnector.RespiratoryMuscleFunctionEffect) 
            annotation (Line(
              points={{52.6,56},{98,56},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.RespiratoryCenter_RespRate,alveolarVentilation. RespRate) 
            annotation (Line(
              points={{98,26},{-50,26},{-50,54},{-16,54}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(naturalVentilation.RespiratoryCenterOutput_MotorNerveActivity,
            busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
              points={{52.6,60},{98,60},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.CO2Lung_pCO2, O2Lung.pCO2_mmHg)               annotation (
              Line(
              points={{98,26},{-50,26},{-50,-2},{-17,-2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(O2Lung.ctHb, busConnector.ctHb)               annotation (Line(
              points={{1,2},{34,2},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Lung.cDPG, busConnector.cDPG)               annotation (Line(
              points={{1,-2},{34,-2},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Lung.FMetHb, busConnector.FMetHb)               annotation (Line(
              points={{1,-6},{34,-6},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Lung.FHbF, busConnector.FHbF)               annotation (Line(
              points={{1,-10},{34,-10},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Lung.pCO_mmHg, busConnector.pCO)               annotation (Line(
              points={{1,-14},{34,-14},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.AlveolarVentilated_BloodFlow, O2Lung.BloodFlow) 
            annotation (Line(
              points={{98,26},{-50,26},{-50,-14},{-17,-14}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.Artys_pH, O2Lung.pH) annotation (Line(
              points={{98,26},{-50,26},{-50,2},{-17,2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BarometerPressure, alveolarVentilation.BarometerPressure) 
            annotation (Line(
              points={{98,26},{-50,26},{-50,48},{-16,48}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.AirSupplyInspiredAirPressure, alveolarVentilation.AirSupplyInspiredAirPressure) 
            annotation (Line(
              points={{98,26},{-50,26},{-50,42},{-16,42}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(alveolarVentilation.inspired, air_O2.q_out) annotation (Line(
              points={{-18,58},{-24,58},{-24,64},{-8,64},{-8,82},{-29.8,82}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(air_O2.q_out, alveolarVentilation.expired) annotation (Line(
              points={{-29.8,82},{-8,82},{-8,64},{6,64},{6,58},{2,58}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Lung.sO2, busConnector.O2Lung_sO2) annotation (Line(
              points={{-8,-20},{-8,-26},{34,-26},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,-3},{6,-3}}));
          connect(busConnector.core_T, O2Lung.T) annotation (Line(
              points={{98,26},{-50,26},{-50,-6},{-17,-6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(alveolarVentilation.core_T, busConnector.core_T) 
            annotation (Line(
              points={{0,42},{24,42},{24,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput) 
            annotation (Line(
              points={{24,-54},{34,-54},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(pulmShortCircuit.q_out, Artys.q_out) 
                                                    annotation (Line(
              points={{4,-38},{14,-38},{14,-18},{70,-18},{70,-86}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(Veins.q_out, O2Lung.q_in) annotation (Line(
              points={{-78,-44},{-78,-18},{-18,-18}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(pulmShortCircuit.solventFlow, pulmShortCircuitFlow.y) 
                                                         annotation (Line(
              points={{-6,-44},{-6,-54},{7,-54}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2) 
            annotation (Line(
              points={{98,26},{-50,26},{-50,-14},{-30,-14},{-30,-62},{16,-62}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Veins.q_out, pulmShortCircuit.q_in) annotation (Line(
              points={{-78,-44},{-78,-18},{-24,-18},{-24,-38},{-16,-38}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Lung.q_out, Artys.q_out) annotation (Line(
              points={{2,-18},{70,-18},{70,-86}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(alveolarVentilation.alveolar, fromMLtoMMOL.q_ML) annotation (
              Line(
              points={{-7.8,40},{-8,40},{-8,38}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.CO2Artys_pCO2, measure.pCO2_mmHg)              annotation (
              Line(
              points={{98,26},{34,26},{34,-4},{65,-4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(measure.ctHb, busConnector.ctHb)              annotation (Line(
              points={{83,0},{104,0},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure.cDPG, busConnector.cDPG)              annotation (Line(
              points={{83,-4},{104,-4},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure.FMetHb, busConnector.FMetHb)              annotation (Line(
              points={{83,-8},{104,-8},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure.FHbF, busConnector.FHbF)              annotation (Line(
              points={{83,-12},{104,-12},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure.pCO_mmHg, busConnector.pCO)              annotation (Line(
              points={{83,-16},{104,-16},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.Artys_pH, measure.pH)  annotation (Line(
              points={{98,26},{34,26},{34,0},{65,0}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.core_T, measure.T)       annotation (Line(
              points={{98,26},{34,26},{34,-8},{65,-8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Artys.q_out, measure.q_in) annotation (Line(
              points={{70,-86},{70,-18},{74,-18}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(measure1.ctHb, busConnector.ctHb)             annotation (Line(
              points={{-71,2},{-50,2},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure1.cDPG, busConnector.cDPG)             annotation (Line(
              points={{-71,-2},{-50,-2},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure1.FMetHb, busConnector.FMetHb)             annotation (Line(
              points={{-71,-6},{-50,-6},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure1.FHbF, busConnector.FHbF)             annotation (Line(
              points={{-71,-10},{-50,-10},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure1.pCO_mmHg, busConnector.pCO)             annotation (Line(
              points={{-71,-14},{-50,-14},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.CO2Veins_pCO2, measure1.pCO2_mmHg)             annotation (
              Line(
              points={{98,26},{-100,26},{-100,-2},{-89,-2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.Veins_pH, measure1.pH) annotation (Line(
              points={{98,26},{-100,26},{-100,2},{-89,2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.core_T, measure1.T)      annotation (Line(
              points={{98,26},{-100,26},{-100,-6},{-89,-6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Veins.q_out, measure1.q_in) annotation (Line(
              points={{-78,-44},{-78,-16},{-80,-16}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.O2Veins_sO2, measure1.sO2) annotation (Line(
              points={{98,26},{-100,26},{-100,-26},{-80,-26},{-80,-20}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-3,-3},{-3,-3}}));
          connect(measure.sO2, busConnector.O2Artys_sO2) annotation (Line(
              points={{74,-22},{74,-28},{104,-28},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{3,-3},{3,-3}}));
          connect(naturalVentilation.TidalVolume, TotalVentilation.u2) 
            annotation (Line(
              points={{32.6,54},{26,54},{26,72},{63.4,72},{63.4,71.2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.RespiratoryCenter_RespRate, TotalVentilation.u1) 
            annotation (Line(
              points={{98,26},{98,90},{46,90},{46,74.8},{63.4,74.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(TotalVentilation.y, busConnector.BreathingTotalVentilation) 
            annotation (Line(
              points={{70.3,73},{98,73},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure.PO2, busConnector.O2Artys_PO2) annotation (Line(
              points={{78,-22},{104,-22},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.CardiacOutput, pulmShortCircuit1.solventFlow) 
            annotation (Line(
              points={{98,26},{34,26},{34,-72},{6,-72},{6,-74}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(pulmShortCircuit1.q_out, Veins.q_out) annotation (Line(
              points={{-4,-80},{-44,-80},{-44,-44},{-78,-44}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(Artys.q_out, pulmShortCircuit1.q_in) annotation (Line(
              points={{70,-86},{32,-86},{32,-80},{16,-80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(outputPump.q_in, pulmShortCircuit1.q_out) annotation (Line(
              points={{-26.4,-91},{-18,-91},{-18,-80},{-4,-80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(fromMLtoMMOL.q_MMOL, flowMeasure.q_in) annotation (Line(
              points={{-8,22},{-8,20},{-8,20},{-8,18}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.q_out, O2Lung.alveolar) annotation (Line(
              points={{-8,6},{-8,2}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.actualFlow, outputPump.desiredFlow) annotation (
              Line(
              points={{-13.4,12},{-33,12},{-33,-86.6}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "icons/oxygen.png"), Text(
                  extent={{-120,-62},{122,-96}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
        end O2_SteadyBreathing;

        model calc_O2_SteadyBreathing
          setup.O2ConstInputs o2ConstInputs 
            annotation (Placement(transformation(extent={{-70,36},{-50,56}})));
          O2_SteadyBreathing o2_1 
            annotation (Placement(transformation(extent={{-6,34},{14,54}})));
        equation
          connect(o2ConstInputs.busConnector, o2_1.busConnector) annotation (
              Line(
              points={{-62,46},{-26,46},{-26,52},{12,52}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false,
                  extent={{-100,-100},{100,100}}), graphics));
        end calc_O2_SteadyBreathing;

        model O2_Steady
          //extends Library.Interfaces.BaseModel;
          Library.ConcentrationFlow.ConcentrationCompartment Artys(
                                       stateName="O2Artys.Mass[mMol]",
              initialSoluteMass=0.0082367*1598.5) 
            annotation (Placement(transformation(extent={{60,-96},{80,-76}})));
          Library.ConcentrationFlow.ConcentrationCompartment Veins(
                                                 stateName="O2Veins.Mass[mMol]",
              initialSoluteMass=0.008317*0.14/0.182*3795.128756) 
            annotation (Placement(transformation(extent={{-88,-54},{-68,-34}})));
          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{88,16},{108,36}}),
                iconTransformation(extent={{60,60},{100,100}})));
          HumMod.Gases.O2.BloodO2_Siggaard O2Lung(pO2(start=13)) 
            annotation (Placement(transformation(extent={{-18,-18},{2,2}})));
          Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit 
            annotation (Placement(transformation(extent={{-16,-28},{4,-48}})));
          Modelica.Blocks.Math.Feedback pulmShortCircuitFlow 
            annotation (Placement(transformation(extent={{26,-64},{6,-44}})));
          MeassureBloodO2 measure(
            pO2(start=11.96),
            cO2Hb(start=8.11),
            pCO2(start=5.13)) 
            annotation (Placement(transformation(extent={{64,-20},{84,0}})));
          MeassureBloodO2 measure1(
            cO2Hb(start=6.335),
            pCO2(start=5.6),
            sO2CO(start=0.758),
            pO2(start=5.517)) 
            annotation (Placement(transformation(extent={{-90,-18},{-70,2}})));
          Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit1 
            annotation (Placement(transformation(extent={{-10,10},{10,-10}},
                rotation=180,
                origin={6,-80})));
          PumpToPressure pump 
            annotation (Placement(transformation(extent={{26,30},{6,50}})));
        equation
          connect(busConnector.ArtysVol, Artys.SolventVolume)   annotation (Line(
              points={{98,26},{34,26},{34,-80},{62,-80}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.VeinsVol, Veins.SolventVolume)   annotation (Line(
              points={{98,26},{-100,26},{-100,-38},{-86,-38}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.CO2Lung_pCO2, O2Lung.pCO2_mmHg)               annotation (
              Line(
              points={{98,26},{-50,26},{-50,-2},{-17,-2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(O2Lung.ctHb, busConnector.ctHb)               annotation (Line(
              points={{1,2},{34,2},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Lung.cDPG, busConnector.cDPG)               annotation (Line(
              points={{1,-2},{34,-2},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Lung.FMetHb, busConnector.FMetHb)               annotation (Line(
              points={{1,-6},{34,-6},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Lung.FHbF, busConnector.FHbF)               annotation (Line(
              points={{1,-10},{34,-10},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Lung.pCO_mmHg, busConnector.pCO)               annotation (Line(
              points={{1,-14},{34,-14},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.AlveolarVentilated_BloodFlow, O2Lung.BloodFlow) 
            annotation (Line(
              points={{98,26},{-50,26},{-50,-14},{-17,-14}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.Artys_pH, O2Lung.pH) annotation (Line(
              points={{98,26},{-50,26},{-50,2},{-17,2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(O2Lung.sO2, busConnector.O2Lung_sO2) annotation (Line(
              points={{-8,-20},{-8,-26},{34,-26},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,-3},{6,-3}}));
          connect(busConnector.core_T, O2Lung.T) annotation (Line(
              points={{98,26},{-50,26},{-50,-6},{-17,-6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput) 
            annotation (Line(
              points={{24,-54},{34,-54},{34,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(pulmShortCircuit.q_out, Artys.q_out) 
                                                    annotation (Line(
              points={{4,-38},{14,-38},{14,-18},{70,-18},{70,-86}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(Veins.q_out, O2Lung.q_in) annotation (Line(
              points={{-78,-44},{-78,-18},{-18,-18}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(pulmShortCircuit.solventFlow, pulmShortCircuitFlow.y) 
                                                         annotation (Line(
              points={{-6,-44},{-6,-54},{7,-54}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2) 
            annotation (Line(
              points={{98,26},{-50,26},{-50,-14},{-30,-14},{-30,-62},{16,-62}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Veins.q_out, pulmShortCircuit.q_in) annotation (Line(
              points={{-78,-44},{-78,-18},{-24,-18},{-24,-38},{-16,-38}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Lung.q_out, Artys.q_out) annotation (Line(
              points={{2,-18},{70,-18},{70,-86}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.CO2Artys_pCO2, measure.pCO2_mmHg)              annotation (
              Line(
              points={{98,26},{34,26},{34,-4},{65,-4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(measure.ctHb, busConnector.ctHb)              annotation (Line(
              points={{83,0},{104,0},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure.cDPG, busConnector.cDPG)              annotation (Line(
              points={{83,-4},{104,-4},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure.FMetHb, busConnector.FMetHb)              annotation (Line(
              points={{83,-8},{104,-8},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure.FHbF, busConnector.FHbF)              annotation (Line(
              points={{83,-12},{104,-12},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure.pCO_mmHg, busConnector.pCO)              annotation (Line(
              points={{83,-16},{104,-16},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.Artys_pH, measure.pH)  annotation (Line(
              points={{98,26},{34,26},{34,0},{65,0}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.core_T, measure.T)       annotation (Line(
              points={{98,26},{34,26},{34,-8},{65,-8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Artys.q_out, measure.q_in) annotation (Line(
              points={{70,-86},{70,-18},{74,-18}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(measure1.ctHb, busConnector.ctHb)             annotation (Line(
              points={{-71,2},{-50,2},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure1.cDPG, busConnector.cDPG)             annotation (Line(
              points={{-71,-2},{-50,-2},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure1.FMetHb, busConnector.FMetHb)             annotation (Line(
              points={{-71,-6},{-50,-6},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure1.FHbF, busConnector.FHbF)             annotation (Line(
              points={{-71,-10},{-50,-10},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(measure1.pCO_mmHg, busConnector.pCO)             annotation (Line(
              points={{-71,-14},{-50,-14},{-50,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.CO2Veins_pCO2, measure1.pCO2_mmHg)             annotation (
              Line(
              points={{98,26},{-100,26},{-100,-2},{-89,-2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.Veins_pH, measure1.pH) annotation (Line(
              points={{98,26},{-100,26},{-100,2},{-89,2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.core_T, measure1.T)      annotation (Line(
              points={{98,26},{-100,26},{-100,-6},{-89,-6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Veins.q_out, measure1.q_in) annotation (Line(
              points={{-78,-44},{-78,-16},{-80,-16}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.O2Veins_sO2, measure1.sO2) annotation (Line(
              points={{98,26},{-100,26},{-100,-26},{-80,-26},{-80,-20}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-3,-3},{-3,-3}}));
          connect(measure.sO2, busConnector.O2Artys_sO2) annotation (Line(
              points={{74,-22},{74,-28},{104,-28},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{3,-3},{3,-3}}));
          connect(measure.PO2, busConnector.O2Artys_PO2) annotation (Line(
              points={{78,-22},{104,-22},{104,26},{98,26}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.CardiacOutput, pulmShortCircuit1.solventFlow) 
            annotation (Line(
              points={{98,26},{34,26},{34,-72},{6,-72},{6,-74}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(pulmShortCircuit1.q_out, Veins.q_out) annotation (Line(
              points={{-4,-80},{-44,-80},{-44,-44},{-78,-44}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(Artys.q_out, pulmShortCircuit1.q_in) annotation (Line(
              points={{70,-86},{32,-86},{32,-80},{16,-80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(pump.q_in, pulmShortCircuit1.q_out) annotation (Line(
              points={{26,40},{32,40},{32,78},{-28,78},{-28,-80},{-4,-80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(pump.q_out, O2Lung.alveolar) annotation (Line(
              points={{6,40},{-8,40},{-8,2}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "icons/oxygen.png"), Text(
                  extent={{-120,-62},{122,-96}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
        end O2_Steady;

        model PumpToPressure
          //extends Library.PressureFlow.PumpBase;
          Library.PressureFlow.NegativePressureFlow q_out 
                                 annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{90,-10},{110,10}})));
          Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                    annotation (Placement(
                transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                   {{-110,-10},{-90,10}})));
        equation
          q_in.q + q_out.q = 0;
          q_out.pressure = 100;
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}),
                              graphics), Icon(coordinateSystem(preserveAspectRatio=false,
                  extent={{-100,-100},{100,100}}), graphics={Line(
                  points={{-98,0},{104,0},{100,2}},
                  color={0,0,255},
                  smooth=Smooth.None)}));
        end PumpToPressure;
      end test;

      package tissues
        model TissueO2_liver
         extends Library.Interfaces.Tissues.Liver;
          Library.ConcentrationFlow.PositiveConcentrationFlow hepaticArty 
            annotation (Placement(transformation(extent={{-82,2},{-62,22}}),
                iconTransformation(extent={{80,0},{120,40}})));
          Library.ConcentrationFlow.NegativeConcentrationFlow vein 
            annotation (Placement(transformation(extent={{62,-6},{82,14}}),
                iconTransformation(extent={{-120,0},{-80,40}})));

          parameter Real initialMass;
          Library.Interfaces.RealInput_ ctHb "concentration of haemoglobin" 
                                                                annotation (Placement(transformation(extent={{72,-20},
                    {64,-12}}),           iconTransformation(extent={{-100,-30},{-80,-10}})));
          Library.Interfaces.RealInput_ cDPG "outgoing concentration of DPG" 
                                          annotation (Placement(transformation(extent={{62,-16},
                    {54,-8}}),            iconTransformation(extent={{-100,90},{-80,110}})));
          Library.Interfaces.RealInput_ HepaticArtyBloodFlow
            "blood flow through hepatic artery" 
                                           annotation (Placement(transformation(extent={{-50,-4},
                    {-42,4}}),            iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-100})));

          Library.Interfaces.RealInput_ T "outgoing temperature" annotation (Placement(transformation(extent={{-38,-14},
                    {-30,-6}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-60})));
          Library.Interfaces.RealInput_ pCO "outgoing partial pressure of CO" 
                                           annotation (Placement(transformation(extent={{38,-4},
                    {30,4}}),             iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,60})));
          Library.Interfaces.RealInput_ FHbF "Foetal haemoglobin fraction" 
                                           annotation (Placement(transformation(extent={{46,-8},
                    {38,0}}),             iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-60})));
          Library.Interfaces.RealInput_ FMetHb "methaemoglobin fraction" 
                                                                annotation (Placement(transformation(extent={{56,-12},
                    {48,-4}}),            iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,60})));

          Library.Interfaces.RealInput_ Tissue_O2Use 
                                           annotation (Placement(transformation(extent={{-82,-64},
                    {-74,-56}}),          iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-20})));
          Library.Interfaces.RealInput_ pH_plasma "outgoing veins pH of plasma"
                                                                 annotation (Placement(transformation(extent={{-60,-22},
                    {-52,-14}}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,100})));
          BloodO2_Siggaard_Liver O2Tissue 
            annotation (Placement(transformation(extent={{-18,4},{2,-16}})));
          Library.PressureFlow.OutputPump Metabolism_O2Use annotation (Placement(
                transformation(
                extent={{-10,10},{10,-10}},
                rotation=270,
                origin={-8,-60})));
          Library.Interfaces.RealOutput_ sO2       annotation (Placement(
                transformation(extent={{8,14},{14,20}}),     iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-110})));
          Library.Interfaces.RealInput_ pCO2
            "outgoing veins CO2 partial pressure"                annotation (Placement(transformation(extent={{-46,-18},
                    {-38,-10}}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-100})));
          Library.Interfaces.RealOutput_ pO2(final unit="mmHg")       annotation (Placement(
                transformation(extent={{6,-34},{12,-28}}),   iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,-110})));
          Library.PressureFlow.PressureMeasure pressureMeasure annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-8,-22})));
          HumMod.Library.PressureFlow.Gas_FromMLtoMMOL fromMLtoMMOL       annotation (Placement(transformation(
                extent={{-8,-8},{8,8}},
                rotation=90,
                origin={-8,-36})));
          Library.ConcentrationFlow.PositiveConcentrationFlow portalVein 
            annotation (Placement(transformation(extent={{-102,-12},{-82,8}}),
                iconTransformation(extent={{0,80},{40,120}})));
          Library.Interfaces.RealInput_ PortalVeinBloodFlow
            "blood flow through portal vein" 
                                           annotation (Placement(transformation(extent={{-84,-20},
                    {-76,-12}}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,90})));

          Real O2Use_ml_per_min;
          Real O2Use_mmol_per_min;
        equation
          O2Use_mmol_per_min = fromMLtoMMOL.q_MMOL.q;
          O2Use_ml_per_min = -fromMLtoMMOL.q_ML.q;

          connect(O2Tissue.sO2, sO2)          annotation (Line(
              points={{-8,6},{-8,17},{11,17}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pH_plasma, O2Tissue.pH) 
                                   annotation (Line(
              points={{-56,-18},{-36,-18},{-36,-16},{-17,-16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(T, O2Tissue.T) annotation (Line(
              points={{-34,-10},{-17,-10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.pCO2_mmHg, pCO2) annotation (Line(
              points={{-17,-13},{-29.5,-13},{-29.5,-14},{-42,-14}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.ctHb, ctHb) annotation (Line(
              points={{1,-16},{68,-16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.cDPG, cDPG) annotation (Line(
              points={{1,-12},{58,-12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FMetHb, O2Tissue.FMetHb) annotation (Line(
              points={{52,-8},{1,-8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FHbF, O2Tissue.FHbF) annotation (Line(
              points={{42,-4},{1,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.pCO_mmHg, pCO) annotation (Line(
              points={{1,0},{34,0}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.q_out, vein) annotation (Line(
              points={{2,4},{72,4}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Tissue.alveolar, pressureMeasure.q_in) annotation (Line(
              points={{-8,-16},{-8,-20},{-12,-20}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(pressureMeasure.actualPressure, pO2) annotation (Line(
              points={{-10,-27.2},{5.5,-27.2},{5.5,-31},{9,-31}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Tissue_O2Use, Metabolism_O2Use.desiredFlow) annotation (Line(
              points={{-78,-60},{-14,-60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(fromMLtoMMOL.q_ML, Metabolism_O2Use.q_in) annotation (Line(
              points={{-8,-44},{-8,-47},{-8,-50},{-8,-50}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(fromMLtoMMOL.q_MMOL, O2Tissue.alveolar) annotation (Line(
              points={{-8,-28},{-8,-22},{-8,-22},{-8,-16}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(HepaticArtyBloodFlow, O2Tissue.HepaticArtyBloodFlow) annotation (Line(
              points={{-46,0},{-31.5,0},{-31.5,1},{-17,1}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(hepaticArty, O2Tissue.hepaticArty) annotation (Line(
              points={{-72,12},{-28,12},{-28,4},{-18,4}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(portalVein, O2Tissue.GIT) annotation (Line(
              points={{-92,-2},{-56,-2},{-56,-4},{-18,-4}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(PortalVeinBloodFlow, O2Tissue.GITBloodFlow) annotation (Line(
              points={{-80,-16},{-66,-16},{-66,-7},{-17,-7}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-80,-80},{80,-100}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.Solid,
                  textString="(init %initialMass mEq)"),
                Text(
                  extent={{28,94},{76,34}},
                  lineColor={0,0,0},
                  textString="O"),
                Text(
                  extent={{62,34},{82,62}},
                  lineColor={0,0,0},
                  textString="2"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
        end TissueO2_liver;

        model TissueO2_kidney
          extends Library.Interfaces.Tissues.Kidney;
          Library.ConcentrationFlow.PositiveConcentrationFlow arty 
            annotation (Placement(transformation(extent={{-82,-6},{-62,14}}),
                iconTransformation(extent={{80,0},{120,40}})));
          Library.ConcentrationFlow.NegativeConcentrationFlow vein 
            annotation (Placement(transformation(extent={{86,-6},{106,14}}),
                iconTransformation(extent={{-120,0},{-80,40}})));

          parameter Real initialMass;
          Library.Interfaces.RealInput_ ctHb "concentration of haemoglobin" 
                                                                annotation (Placement(transformation(extent={{96,-20},
                    {88,-12}}),           iconTransformation(extent={{-100,-30},{-80,-10}})));
          Library.Interfaces.RealInput_ cDPG "outgoing concentration of DPG" 
                                          annotation (Placement(transformation(extent={{86,-16},
                    {78,-8}}),            iconTransformation(extent={{-100,90},{-80,110}})));
          Library.Interfaces.RealInput_ BloodFlow "blood flow through tissue" 
                                           annotation (Placement(transformation(extent={{-50,-4},
                    {-42,4}}),            iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-100})));

          Library.Interfaces.RealInput_ T "outgoing temperature" annotation (Placement(transformation(extent={{-38,-12},
                    {-30,-4}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-60})));
          Library.Interfaces.RealInput_ pCO "outgoing partial pressure of CO" 
                                           annotation (Placement(transformation(extent={{62,-4},
                    {54,4}}),             iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,60})));
          Library.Interfaces.RealInput_ FHbF "Foetal haemoglobin fraction" 
                                           annotation (Placement(transformation(extent={{70,-8},
                    {62,0}}),             iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-60})));
          Library.Interfaces.RealInput_ FMetHb "methaemoglobin fraction" 
                                                                annotation (Placement(transformation(extent={{80,-12},
                    {72,-4}}),            iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,60})));

          Library.Interfaces.RealInput_ Tissue_O2Use 
                                           annotation (Placement(transformation(extent={{-82,-92},
                    {-74,-84}}),          iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-20})));
          Library.Interfaces.RealInput_ pH_plasma "outgoing veins pH of plasma"
                                                                 annotation (Placement(transformation(extent={{-60,-20},
                    {-52,-12}}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,100})));
          BloodO2_Siggaard O2Tissue(cO2Hb(start=7.39)) 
            annotation (Placement(transformation(extent={{-18,4},{2,-16}})));
          Library.PressureFlow.OutputPump Metabolism_O2Use annotation (Placement(
                transformation(
                extent={{-10,10},{10,-10}},
                rotation=270,
                origin={-8,-88})));
          Library.Interfaces.RealOutput_ sO2       annotation (Placement(
                transformation(extent={{8,14},{14,20}}),     iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-110})));
          Library.Interfaces.RealInput_ pCO2
            "outgoing veins CO2 partial pressure"                annotation (Placement(transformation(extent={{-46,-16},
                    {-38,-8}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-100})));
          Library.Interfaces.RealOutput_ pO2(final unit="mmHg")       annotation (Placement(
                transformation(extent={{4,-28},{12,-20}}),   iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,-110})));
          Library.PressureFlow.PressureMeasure pressureMeasure annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-2,-22})));
          HumMod.Library.PressureFlow.Gas_FromMLtoMMOL fromMLtoMMOL       annotation (Placement(transformation(
                extent={{-8,-8},{8,8}},
                rotation=90,
                origin={-8,-36})));
          Library.PressureFlow.ResistorWithCond resistorWithCond annotation (
              Placement(transformation(
                extent={{10,10},{-10,-10}},
                rotation=90,
                origin={-8,-60})));
          Library.Blocks.CondConstant O2PermBasic(k=0.9) 
            annotation (Placement(transformation(extent={{14,-52},{28,-38}})));
          Library.Factors.SplineValue HgbOnPerm(data={{0.00,0.4,0},{0.15,1.0,
                8.0},{0.25,2.0,0}})
            "\"recalculated [Hb] in mmol = 56*[Hb] in ml\"" 
            annotation (Placement(transformation(extent={{42,-66},{22,-46}})));
          Library.PressureFlow.PressureMeasure pressureMeasure1 
                                                               annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={4,-68})));
          Library.Interfaces.RealOutput_ TubulePO2(final unit="mmHg")
            "KidneyO2_TubulePO2"                                      annotation (Placement(
                transformation(extent={{10,-74},{18,-66}}),  iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={20,-110})));
          Modelica.Blocks.Math.Gain mmol_TO_ml(k=0.15/8.4) 
            annotation (Placement(transformation(extent={{34,30},{54,50}})));
          Real O2Use_ml_per_min;
          Real O2Use_mmol_per_min;
        equation
          O2Use_mmol_per_min = fromMLtoMMOL.q_MMOL.q;
          O2Use_ml_per_min = -fromMLtoMMOL.q_ML.q;

          connect(O2Tissue.sO2, sO2)          annotation (Line(
              points={{-8,6},{-8,17},{11,17}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pH_plasma, O2Tissue.pH) 
                                   annotation (Line(
              points={{-56,-16},{-17,-16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(T, O2Tissue.T) annotation (Line(
              points={{-34,-8},{-17,-8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.pCO2_mmHg, pCO2) annotation (Line(
              points={{-17,-12},{-42,-12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow, O2Tissue.BloodFlow) annotation (Line(
              points={{-46,0},{-17,0}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.ctHb, ctHb) annotation (Line(
              points={{1,-16},{92,-16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.cDPG, cDPG) annotation (Line(
              points={{1,-12},{82,-12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FMetHb, O2Tissue.FMetHb) annotation (Line(
              points={{76,-8},{1,-8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FHbF, O2Tissue.FHbF) annotation (Line(
              points={{66,-4},{1,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.pCO_mmHg, pCO) annotation (Line(
              points={{1,0},{58,0}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(arty, O2Tissue.q_in) annotation (Line(
              points={{-72,4},{-18,4}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Tissue.q_out, vein) annotation (Line(
              points={{2,4},{96,4}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Tissue.alveolar, pressureMeasure.q_in) annotation (Line(
              points={{-8,-16},{-8,-26},{-4,-26}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(pressureMeasure.actualPressure, pO2) annotation (Line(
              points={{3.2,-24},{8,-24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Tissue_O2Use, Metabolism_O2Use.desiredFlow) annotation (Line(
              points={{-78,-88},{-14,-88}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(fromMLtoMMOL.q_MMOL, O2Tissue.alveolar) annotation (Line(
              points={{-8,-28},{-8,-22},{-8,-22},{-8,-16}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2PermBasic.y, HgbOnPerm.yBase) annotation (Line(
              points={{28.7,-45},{32,-45},{32,-54}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(HgbOnPerm.y, resistorWithCond.cond) annotation (Line(
              points={{32,-58},{32,-60},{-4,-60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(fromMLtoMMOL.q_ML, resistorWithCond.q_in) annotation (Line(
              points={{-8,-44},{-8,-47},{-8,-50},{-8,-50}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(resistorWithCond.q_out, Metabolism_O2Use.q_in) annotation (Line(
              points={{-8,-70},{-8,-74},{-8,-78},{-8,-78}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(pressureMeasure1.actualPressure, TubulePO2) 
                                                       annotation (Line(
              points={{9.2,-70},{14,-70}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(resistorWithCond.q_out, pressureMeasure1.q_in) annotation (Line(
              points={{-8,-70},{-8,-72},{2,-72}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Tissue.ceHb, mmol_TO_ml.u) annotation (Line(
              points={{-4,6},{-4,40},{32,40}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(mmol_TO_ml.y, HgbOnPerm.u) annotation (Line(
              points={{55,40},{62,40},{62,-56},{41.8,-56}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-80,-78},{80,-100}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.Solid,
                  textString="(init %initialMass mEq)"),
                Text(
                  extent={{28,94},{76,34}},
                  lineColor={0,0,0},
                  textString="O"),
                Text(
                  extent={{62,34},{82,62}},
                  lineColor={0,0,0},
                  textString="2"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
        end TissueO2_kidney;

        model TissueO2
         //extends Library.Interfaces.BaseModel;
          Library.ConcentrationFlow.PositiveConcentrationFlow arty 
            annotation (Placement(transformation(extent={{-82,-6},{-62,14}}),
                iconTransformation(extent={{80,0},{120,40}})));
          Library.ConcentrationFlow.NegativeConcentrationFlow vein 
            annotation (Placement(transformation(extent={{62,-6},{82,14}}),
                iconTransformation(extent={{-120,0},{-80,40}})));

          parameter Real initialMass;
          Library.Interfaces.RealInput_ ctHb "concentration of haemoglobin" 
                                                                annotation (Placement(transformation(extent={{72,-20},
                    {64,-12}}),           iconTransformation(extent={{-100,-30},{-80,-10}})));
          Library.Interfaces.RealInput_ cDPG "outgoing concentration of DPG" 
                                          annotation (Placement(transformation(extent={{62,-16},
                    {54,-8}}),            iconTransformation(extent={{-100,90},{-80,110}})));
          Library.Interfaces.RealInput_ BloodFlow "blood flow through tissue" 
                                           annotation (Placement(transformation(extent={{-50,-4},
                    {-42,4}}),            iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-100})));

          Library.Interfaces.RealInput_ T "outgoing temperature" annotation (Placement(transformation(extent={{-38,-12},
                    {-30,-4}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-60})));
          Library.Interfaces.RealInput_ pCO "outgoing partial pressure of CO" 
                                           annotation (Placement(transformation(extent={{38,-4},
                    {30,4}}),             iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,60})));
          Library.Interfaces.RealInput_ FHbF "Foetal haemoglobin fraction" 
                                           annotation (Placement(transformation(extent={{46,-8},
                    {38,0}}),             iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-60})));
          Library.Interfaces.RealInput_ FMetHb "methaemoglobin fraction" 
                                                                annotation (Placement(transformation(extent={{56,-12},
                    {48,-4}}),            iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,60})));

          Library.Interfaces.RealInput_ Tissue_O2Use 
                                           annotation (Placement(transformation(extent={{-82,-64},
                    {-74,-56}}),          iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-20})));
          Library.Interfaces.RealInput_ pH_plasma "outgoing veins pH of plasma"
                                                                 annotation (Placement(transformation(extent={{-60,-20},
                    {-52,-12}}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,100})));
          BloodO2_Siggaard O2Tissue 
            annotation (Placement(transformation(extent={{-18,4},{2,-16}})));
          Library.PressureFlow.OutputPump Metabolism_O2Use annotation (Placement(
                transformation(
                extent={{-10,10},{10,-10}},
                rotation=270,
                origin={-8,-60})));
          Library.Interfaces.RealOutput_ sO2       annotation (Placement(
                transformation(extent={{8,14},{14,20}}),     iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-110})));
          Library.Interfaces.RealInput_ pCO2
            "outgoing veins CO2 partial pressure"                annotation (Placement(transformation(extent={{-46,-16},
                    {-38,-8}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-100})));
          Library.Interfaces.RealOutput_ pO2(final unit="mmHg")       annotation (Placement(
                transformation(extent={{4,-28},{12,-20}}),   iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,-110})));
          Library.PressureFlow.PressureMeasure pressureMeasure annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-4,-22})));
          HumMod.Library.PressureFlow.Gas_FromMLtoMMOL fromMLtoMMOL       annotation (Placement(transformation(
                extent={{-8,-8},{8,8}},
                rotation=90,
                origin={-8,-36})));

          Real O2Use_ml_per_min;
          Real O2Use_mmol_per_min;
        equation
          O2Use_mmol_per_min = fromMLtoMMOL.q_MMOL.q;
          O2Use_ml_per_min = -fromMLtoMMOL.q_ML.q;

          connect(O2Tissue.sO2, sO2)          annotation (Line(
              points={{-8,6},{-8,17},{11,17}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pH_plasma, O2Tissue.pH) 
                                   annotation (Line(
              points={{-56,-16},{-17,-16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(T, O2Tissue.T) annotation (Line(
              points={{-34,-8},{-17,-8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.pCO2_mmHg, pCO2) annotation (Line(
              points={{-17,-12},{-42,-12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow, O2Tissue.BloodFlow) annotation (Line(
              points={{-46,0},{-17,0}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.ctHb, ctHb) annotation (Line(
              points={{1,-16},{68,-16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.cDPG, cDPG) annotation (Line(
              points={{1,-12},{58,-12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FMetHb, O2Tissue.FMetHb) annotation (Line(
              points={{52,-8},{1,-8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FHbF, O2Tissue.FHbF) annotation (Line(
              points={{42,-4},{1,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.pCO_mmHg, pCO) annotation (Line(
              points={{1,0},{34,0}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(arty, O2Tissue.q_in) annotation (Line(
              points={{-72,4},{-18,4}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Tissue.q_out, vein) annotation (Line(
              points={{2,4},{72,4}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Tissue.alveolar, pressureMeasure.q_in) annotation (Line(
              points={{-8,-16},{-8,-26},{-6,-26}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(pressureMeasure.actualPressure, pO2) annotation (Line(
              points={{1.2,-24},{8,-24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Tissue_O2Use, Metabolism_O2Use.desiredFlow) annotation (Line(
              points={{-78,-60},{-46,-60},{-46,-60},{-14,-60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(fromMLtoMMOL.q_ML, Metabolism_O2Use.q_in) annotation (Line(
              points={{-8,-44},{-8,-47},{-8,-50},{-8,-50}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(fromMLtoMMOL.q_MMOL, O2Tissue.alveolar) annotation (Line(
              points={{-8,-28},{-8,-22},{-8,-22},{-8,-16}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-80,-80},{80,-100}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.Solid,
                  textString="(init %initialMass mEq)"),
                Text(
                  extent={{28,94},{76,34}},
                  lineColor={0,0,0},
                  textString="O"),
                Text(
                  extent={{62,34},{82,62}},
                  lineColor={0,0,0},
                  textString="2"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
        end TissueO2;

        model SkeletalMuscleO2
          extends HumMod.Gases.O2.tissues.TissueO2;
          extends Library.Interfaces.Tissues.SkeletalMuscle;
        end SkeletalMuscleO2;

        model BoneO2
          extends HumMod.Gases.O2.tissues.TissueO2;
          extends Library.Interfaces.Tissues.Bone;
        end BoneO2;

        model OtherTissueO2
          extends HumMod.Gases.O2.tissues.TissueO2;
          extends Library.Interfaces.Tissues.OtherTissue;
        end OtherTissueO2;

        model RespiratoryMuscleO2
          extends HumMod.Gases.O2.tissues.TissueO2;
          extends Library.Interfaces.Tissues.RespiratoryMuscle;
        end RespiratoryMuscleO2;

        model FatO2
          extends HumMod.Gases.O2.tissues.TissueO2;
          extends Library.Interfaces.Tissues.Fat;
        end FatO2;

        model SkinO2
          extends TissueO2;
          extends Library.Interfaces.Tissues.Skin;
        end SkinO2;

        model BrainO2
          extends TissueO2;
          extends Library.Interfaces.Tissues.Brain;
        end BrainO2;

        model GITractO2
          extends TissueO2;
          extends Library.Interfaces.Tissues.GITract;
        end GITractO2;

        model LeftHeartO2
          extends TissueO2;
          extends Library.Interfaces.Tissues.LeftHeart;
        end LeftHeartO2;

        model RightHeartO2
          extends TissueO2;
          extends Library.Interfaces.Tissues.RightHeart;
        end RightHeartO2;
      end tissues;

      model ExternalO2
        extends Library.ConcentrationFlow.UnlimitedStorage;
        annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                  fileName="icons/O2.jpg")}));
      end ExternalO2;

      partial model BloodO2Base

        Real tO2(unit="mmol/l");
        Real aO2;
        Real pO2(start=13, unit="kPa");
        Real sO2CO(start=0.96);
        Real pO2CO(unit="kPa");
        Real cO2Hb(unit="mmol/l");
        Real sCO;

        Real ceHb(unit="mmol/l");
        Real a;
        Real k;
        Real h;
        Real x;
        Real y;
        Real FCOHb(start=0);
        Real pCO;
        Real pCO2;
        Library.Interfaces.RealOutput_ sO2  annotation (Placement(
              transformation(extent={{-30,-112},{10,-72}}),
                                                          iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-120})));
        Library.Interfaces.RealInput_ pH 
                                        annotation (Placement(transformation(extent={{-120,70},
                  {-80,110}}),          iconTransformation(extent={{-100,90},{
                  -80,110}})));
        Library.Interfaces.RealInput_ ctHb(unit="mmol/l") 
                                         annotation (Placement(transformation(extent={{60,60},
                  {100,100}}),          iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,100})));
        Library.Interfaces.RealInput_ T(unit="DegC")  annotation (Placement(transformation(extent={{-120,
                  -20},{-80,20}}),      iconTransformation(extent={{-100,10},{
                  -80,30}})));
        Library.Interfaces.RealInput_ pCO_mmHg(unit="mmHg") 
                                         annotation (Placement(transformation(extent={{60,-100},
                  {100,-60}}),          iconTransformation(extent={{-10,-10},{
                  10,10}},
              rotation=180,
              origin={90,-60})));
        Library.Interfaces.RealInput_ pCO2_mmHg(unit="mmHg") 
                                         annotation (Placement(transformation(extent={{-120,20},
                  {-80,60}}),           iconTransformation(extent={{-100,50},{-80,70}})));
        Library.Interfaces.RealInput_ cDPG(unit="mmol/l") 
                                         annotation (Placement(transformation(extent={{60,20},
                  {100,60}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,60})));
        Library.Interfaces.RealInput_ FMetHb 
                                         annotation (Placement(transformation(extent={{60,-20},
                  {100,20}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,20})));

        Library.Interfaces.RealInput_ FHbF 
                                         annotation (Placement(transformation(extent={{60,-60},
                  {100,-20}}),          iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,-20})));

      //  Real mlTOmmol_O2(unit="mMol/ml") = 8.18/0.182
      //    "conversion constant for oxygen mass from ml to mMol";

       // Real mlTOmmol_O2(unit="mMol/ml") = 1/(740*2*16/1000)
       //   "conversion constant for oxygen mass from ml to mMol";
                                                         //8.18 / 0.182
                                                         //molar mass = 2*16 g/mol; density = 740 ml/g

        constant Real MiniliterPerLiter(final unit="ml/l")=1000;

        Library.Interfaces.RealOutput_ PO2  annotation (Placement(
              transformation(extent={{-30,-112},{10,-72}}),
                                                          iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={40,-120})));
      equation

        PO2 = Library.NonSIunits.PaTOmmHg*1000 * pO2;

        pCO_mmHg = Library.NonSIunits.PaTOmmHg*1000 * pCO;
        pCO2_mmHg = Library.NonSIunits.PaTOmmHg*1000 * pCO2;

      //oxygen:
        ceHb = ctHb * (1-FCOHb-FMetHb); //effective haemoglobin
        aO2 = exp(log(0.0105)+(-0.0115*(T-37))+0.5*0.00042*(T-37)^2); //solubility
        tO2 = aO2*pO2 + ceHb*sO2;
        //Haldane:
        sCO*pO2CO = 218*pCO*sO2CO;
        pO2CO = pO2 + 218*pCO;
        //saturation definitions: "result: sO2CO = (sO2*(ceHb/ctHb)+FCOHb)/(1-FMetHb);"
        sO2 = cO2Hb/ceHb;
        sO2CO = (cO2Hb + ctHb*FCOHb)/(ctHb*(1-FMetHb));
        sCO = ctHb*FCOHb/(ctHb*(1-FMetHb));
        //TANH
        a=-0.88*(pH-7.4)+0.048*log(pCO2/5.33)-0.7*FMetHb+(0.3-0.25*FHbF)*cDPG/(5-1); //Bohr coefficient: -der(log10(pO2),pH)=0.88/ln(10)=0.38, -der(ln(pO2),pH)=0.88
        x=log(pO2CO/7); //namiesto:  x=log(pO2CO/7) - a - 0.055*(T-37);
        y-1.8747=x+h*tanh(k*x);
        k=0.5342857;
        h=3.5 + a;
        y=log(sO2CO/(1-sO2CO));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid), Text(
                extent={{-74,-32},{74,-64}},
                lineColor={0,0,255},
                textString="%name")}),            Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BloodO2Base;

      model MeassureBloodO2
        extends BloodO2Base;
        Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
          annotation (Placement(transformation(extent={{-28,-116},{12,-76}}),
              iconTransformation(extent={{-20,-100},{20,-60}})));
      equation
         q_in.q = 0;  //flows: mmol/min
         tO2 = MiniliterPerLiter * q_in.conc; //mmol/l
        annotation (Diagram(graphics), Icon(graphics));
      end MeassureBloodO2;

      model BloodO2_Siggaard

        Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
          annotation (Placement(transformation(extent={{-120,-120},{-80,-80}}),
              iconTransformation(extent={{-120,-120},{-80,-80}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow q_out annotation (
            Placement(transformation(extent={{80,-120},{120,-80}}),
                                                                  iconTransformation(
                extent={{80,-120},{120,-80}})));
        Library.PressureFlow.PositivePressureFlow alveolar 
          annotation (Placement(transformation(extent={{-20,80},{20,120}}),
              iconTransformation(extent={{-20,80},{20,120}})));

        Real tO2(unit="mmol/l");
        Real aO2;
        Real pO2(start=5.33, unit="kPa");
        Real sO2CO;//(start=0.96);
        Real pO2CO(unit="kPa");
        Real cO2Hb(start=6.1, unit="mmol/l");
        Real sCO;

      //  Real ceHb(unit="mmol/l");
        Real a;
        Real k;
        Real h;
        Real x;
        Real y;
        Real FCOHb(start=0);
        Real pCO;
        Real pCO2(start=6.21826, unit="kPa");
        Library.Interfaces.RealOutput_ sO2  annotation (Placement(
              transformation(extent={{-30,-112},{10,-72}}),
                                                          iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-120})));
        Library.Interfaces.RealInput_ pH 
                                        annotation (Placement(transformation(extent={{-120,70},
                  {-80,110}}),          iconTransformation(extent={{-100,90},{
                  -80,110}})));
        Library.Interfaces.RealInput_ ctHb(unit="mmol/l") 
                                         annotation (Placement(transformation(extent={{60,60},
                  {100,100}}),          iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,100})));
        Library.Interfaces.RealInput_ BloodFlow(unit="ml/min") 
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(extent={{-100,-70},{-80,-50}})));
        Library.Interfaces.RealInput_ T(unit="DegC")  annotation (Placement(transformation(extent={{-120,
                  -20},{-80,20}}),      iconTransformation(extent={{-100,10},{
                  -80,30}})));
        Library.Interfaces.RealInput_ pCO_mmHg(unit="mmHg") 
                                         annotation (Placement(transformation(extent={{60,-100},
                  {100,-60}}),          iconTransformation(extent={{-10,-10},{
                  10,10}},
              rotation=180,
              origin={90,-60})));
        Library.Interfaces.RealInput_ pCO2_mmHg(unit="mmHg") 
                                         annotation (Placement(transformation(extent={{-120,20},
                  {-80,60}}),           iconTransformation(extent={{-100,50},{-80,70}})));
        Library.Interfaces.RealInput_ cDPG(unit="mmol/l") 
                                         annotation (Placement(transformation(extent={{60,20},
                  {100,60}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,60})));
        Library.Interfaces.RealInput_ FMetHb 
                                         annotation (Placement(transformation(extent={{60,-20},
                  {100,20}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,20})));

        Library.Interfaces.RealInput_ FHbF 
                                         annotation (Placement(transformation(extent={{60,-60},
                  {100,-20}}),          iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,-20})));

      //  Real mlTOmmol_O2(unit="mMol/ml") = 8.18/0.182
      //    "conversion constant for oxygen mass from ml to mMol";

       // Real mlTOmmol_O2(unit="mMol/ml") = 1/(740*2*16/1000)
       //   "conversion constant for oxygen mass from ml to mMol";
                                                         //8.18 / 0.182
                                                         //molar mass = 2*16 g/mol; density = 740 ml/g

        constant Real MiniliterPerLiter(final unit="ml/l")=1000;

        Library.Interfaces.RealOutput_ ceHb(unit="mmol/l") 
                                            annotation (Placement(
              transformation(extent={{0,-112},{40,-72}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={40,-120})));
      equation
        q_in.q + q_out.q + alveolar.q = 0;  //flows: mmol/min

        alveolar.pressure = Library.NonSIunits.PaTOmmHg*1000 * pO2;
        pCO_mmHg = Library.NonSIunits.PaTOmmHg*1000 * pCO;
        pCO2_mmHg = Library.NonSIunits.PaTOmmHg*1000 * pCO2;

        q_in.conc = q_in.q/ BloodFlow; //mmol/ml

        tO2 = MiniliterPerLiter * (-q_out.q/ BloodFlow); //mmol/l

      //oxygen:
        ceHb = ctHb * (1-FCOHb-FMetHb); //effective haemoglobin
        aO2 = exp(log(0.0105)+(-0.0115*(T-37))+0.5*0.00042*(T-37)^2); //solubility
        tO2 = aO2*pO2 + ceHb*sO2;
        //Haldane:
        sCO*pO2CO = 218*pCO*sO2CO;
        pO2CO = pO2 + 218*pCO;
        //saturation definitions: "result: sO2CO = (sO2*(ceHb/ctHb)+FCOHb)/(1-FMetHb);"
        sO2 = cO2Hb/ceHb;
        sO2CO = (cO2Hb + ctHb*FCOHb)/(ctHb*(1-FMetHb));
        sCO = ctHb*FCOHb/(ctHb*(1-FMetHb));
        //TANH
        a=-0.88*(pH-7.4)+0.048*log(pCO2/5.33)-0.7*FMetHb+(0.3-0.25*FHbF)*cDPG/(5-1); //Bohr coefficient: -der(log10(pO2),pH)=0.88/ln(10)=0.38, -der(ln(pO2),pH)=0.88
        x=log(pO2CO/7); //namiesto:  x=log(pO2CO/7) - a - 0.055*(T-37);
        y-1.8747=x+h*tanh(k*x);
        k=0.5342857;
        h=3.5 + a;
        y=log(sO2CO/(1-sO2CO));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-74,-32},{74,-64}},
                lineColor={0,0,255},
                textString="%name"),
              Polygon(
                points={{-72,10},{80,0},{-72,-10},{-72,10}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                origin={-2,-84},
                rotation=360),
              Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/plicniZkrat.png")}),   Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BloodO2_Siggaard;
      annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
</html>"));
    end O2;

    model NaturalVentilation
     // extends Library.Curves.CurveBase(x=DriveOnTidalVolume[:,1], y=DriveOnTidalVolume[:,2], slope=DriveOnTidalVolume[:,3]);
      Library.Interfaces.RealInput_ RespiratoryCenterOutput_MotorNerveActivity(
          final unit="Hz")                             annotation (Placement(transformation(extent={{-88,40},
                {-48,80}}),           iconTransformation(extent={{-100,66},{-72,94}})));
      Library.Interfaces.RealInput_ Thorax_LungInflation(final unit="1") 
                                                         annotation (Placement(transformation(extent={{-86,-62},
                {-46,-22}}),          iconTransformation(extent={{-100,-54},{
                -72,-26}})));
      Library.Interfaces.RealInput_ ExcessLungWater_Volume(final unit=
            "1")                                      annotation (Placement(transformation(extent={{-86,-30},
                {-46,10}}),           iconTransformation(extent={{-100,-94},{
                -72,-66}})));
      Library.Interfaces.RealOutput_ TidalVolume(final unit="ml") 
                                                        annotation (Placement(transformation(extent=
                {{56,54},{96,94}}), iconTransformation(extent={{100,6},{128,34}})));
      Library.Interfaces.RealOutput_ DeadSpace(final unit="ml") 
                                                        annotation (Placement(transformation(extent={{56,-12},
                {96,28}}),          iconTransformation(extent={{100,-54},{128,
                -26}})));
      Library.Interfaces.RealInput_ RespiratoryMuscleFunctionEffect(final unit= "ml") 
                                                      annotation (Placement(transformation(extent={{-88,6},
                {-48,46}}),           iconTransformation(extent={{-100,26},{-72,
                54}})));

      parameter Real DeadSpaceSlope =   0.20;
      parameter Real DeadSpaceMin =                            60.0;
      parameter Real[:,3] DriveOnTidalVolume =  {{  0,     0,    0}, {  1,   550,  400}, { 10,  2630,    0}};

     Real TidalVolumeBasic;
      Library.Curves.Curve curve(
        x=DriveOnTidalVolume[:, 1],
        y=DriveOnTidalVolume[:, 2],
        slope=DriveOnTidalVolume[:, 3]) 
        annotation (Placement(transformation(extent={{-2,32},{18,52}})));

      parameter Real ScaleTidalVolume=1
        "Marek Matejak: Scaling of TV to reach Breathing.AlveolarVentilation(STPD) = 3176.28 ml/min at rate Breathing.RespRate=11.7241515181155 min^-1";
                                        //0.893786
                                        //0.847897
    equation
    //  u=RespiratoryCenterOutput_MotorNerveActivity; //curve x value

      TidalVolumeBasic  =
        ScaleTidalVolume
        * curve.val
        * Thorax_LungInflation
        * RespiratoryMuscleFunctionEffect;   //val.. curve y value

       TidalVolume  = max(0, TidalVolumeBasic - ExcessLungWater_Volume);
       DeadSpace  =  DeadSpaceSlope * TidalVolume + DeadSpaceMin;
      connect(RespiratoryCenterOutput_MotorNerveActivity, curve.u) annotation (Line(
          points={{-68,60},{-16,60},{-16,42},{-2,42}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/dychani.png"), Text(
              extent={{-120,-108},{130,-126}},
              lineColor={0,0,255},
              textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
              extent={{-100,-100},{100,100}}), graphics));
    end NaturalVentilation;

    model AlveolarVentilation_STPD
      extends Library.Interfaces.Tissues.Lungs;
    //  parameter Real EnvironmentPressure(final unit="mmHg");
    //  parameter Real EnvironmentTemperature(final unit="degC");
      HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow expired 
                             annotation (extent=[-10, -110; 10, -90], Placement(
            transformation(extent={{68,18},{88,38}}),  iconTransformation(
              extent={{90,70},{110,90}})));

      HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow inspired 
                                annotation (Placement(
            transformation(extent={{-120,8},{-80,48}}),   iconTransformation(extent={{-110,70},
                {-90,90}})));
      Library.Interfaces.RealInput_ RespRate annotation (Placement(transformation(
              extent={{-20,74},{-6,88}}),   iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=180,
            origin={80,-40})));
      Library.Interfaces.RealInput_ TidalVolume annotation (Placement(
            transformation(
            extent={{-18,-18},{10,10}},
            rotation=0,
            origin={-50,-32}), iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=180,
            origin={80,40})));
      Library.Interfaces.RealInput_ DeadSpace annotation (Placement(transformation(
              extent={{-68,-76},{-40,-48}}), iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=180,
            origin={80,0})));
      Library.Interfaces.RealInput_ core_T   annotation (Placement(
            transformation(
            extent={{-20,-20},{8,8}},
            rotation=0,
            origin={-48,-80}), iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=180,
            origin={80,-80})));
      Library.ConcentrationFlow.SolventFlowPump solventFlowPump(q_out(conc(
              start=0.13686))) 
        annotation (Placement(transformation(extent={{-2,18},{18,38}})));
      GasEquation tidalVolume 
        annotation (Placement(transformation(extent={{-12,-54},{8,-34}})));
      GasEquation deadVolume 
        annotation (Placement(transformation(extent={{-12,-80},{8,-60}})));
      Modelica.Blocks.Math.Product alveolarVentilation_STPD annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={8,58})));
      VaporPressure vaporPressure annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={12,96})));
      Library.ConcentrationFlow.Dilution dilution 
        annotation (Placement(transformation(extent={{-8,8},{12,-12}},
            rotation=0,
            origin={-26,36})));
      Library.ConcentrationFlow.SolventFlowPump solventFlowPump1 
        annotation (Placement(transformation(extent={{44,18},{64,38}})));
      Library.PressureFlow.NegativePressureFlow alveolar 
                             annotation (extent=[-10, -110; 10, -90], Placement(
            transformation(extent={{20,-14},{40,6}}),  iconTransformation(
              extent={{-8,-110},{12,-90}})));
      Library.ConcentrationFlow.PartialPressure gasConcToPartialPressure 
        annotation (Placement(transformation(extent={{24,2},{36,14}})));
      Modelica.Blocks.Math.Division vaporPart annotation (Placement(
            transformation(
            extent={{-6,-6},{6,6}},
            rotation=270,
            origin={-38,54})));
      Library.Blocks.Constant Constant(k=3176.28) 
        annotation (Placement(transformation(extent={{-6,38},{2,46}})));
      Modelica.Blocks.Math.Feedback added_pH2O annotation (Placement(
            transformation(
            extent={{-7,-7},{7,7}},
            rotation=270,
            origin={-35,83})));
      VaporPressure vaporPressure1 
                                  annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-86,74})));
      Modelica.Blocks.Math.Product air_pH2O 
        annotation (Placement(transformation(extent={{-66,78},{-56,88}})));
      Library.Interfaces.RealInput_ AmbientTemperature 
                                             annotation (Placement(
            transformation(
            extent={{-20,-20},{8,8}},
            rotation=0,
            origin={-108,80}), iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=0,
            origin={-80,40})));
      Library.Interfaces.RealInput_ EnvironmentPressure 
                                             annotation (Placement(
            transformation(
            extent={{-20,-20},{8,8}},
            rotation=0,
            origin={-78,-4}),  iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=0,
            origin={-80,-20})));
      Library.Interfaces.RealInput_ EnvironmentRelativeHumidity 
                                             annotation (Placement(
            transformation(
            extent={{-20,-20},{8,8}},
            rotation=0,
            origin={-88,100}), iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=0,
            origin={-80,-80})));
      Library.Blocks.TemperatureConstant STPD_Temperature(k=0) annotation (
          Placement(transformation(
            extent={{-7,-7},{7,7}},
            rotation=180,
            origin={37,-71})));
      Library.Blocks.PressureConstant STPD_Pressure(k=760) annotation (
          Placement(transformation(
            extent={{-7,-7},{7,7}},
            rotation=180,
            origin={37,-53})));
      Modelica.Blocks.Math.Feedback alveolarVolume_STPD 
        annotation (Placement(transformation(extent={{58,-46},{78,-26}})));
      Modelica.Blocks.Math.Feedback airPressureWitoutVapor 
        annotation (Placement(transformation(extent={{-64,0},{-44,-20}})));
    equation

      connect(TidalVolume,tidalVolume. V1) annotation (Line(
          points={{-54,-36},{-10.6,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(DeadSpace, deadVolume.V1)   annotation (Line(
          points={{-54,-62},{-10.6,-62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RespRate, alveolarVentilation_STPD.u2) annotation (Line(
          points={{-13,81},{2,81},{2,70}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(core_T, vaporPressure.T)   annotation (Line(
          points={{-54,-86},{94,-86},{94,96},{20.6,96}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(inspired, dilution.q_concentrated) annotation (Line(
          points={{-100,28},{-34,28}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(dilution.q_diluted, solventFlowPump.q_in) annotation (Line(
          points={{-14,28},{-2,28}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(solventFlowPump1.q_out, expired) annotation (Line(
          points={{64,28},{78,28}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(solventFlowPump.q_out, solventFlowPump1.q_in) annotation (Line(
          points={{18,28},{44,28}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(gasConcToPartialPressure.q_in, solventFlowPump.q_out) annotation (
         Line(
          points={{30,14},{30,28},{18,28}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(alveolar, gasConcToPartialPressure.outflow) annotation (Line(
          points={{30,-4},{30,2}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(vaporPart.y, dilution.addedSolventPart) annotation (Line(
          points={{-38,47.4},{-38,40.8},{-33.2,40.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(vaporPressure1.VaporPressure, air_pH2O.u2) annotation (Line(
          points={{-74.6,74},{-70,74},{-70,80},{-67,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(air_pH2O.y, added_pH2O.u2) annotation (Line(
          points={{-55.5,83},{-56,84},{-56,83},{-40.6,83}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(added_pH2O.y, vaporPart.u1) annotation (Line(
          points={{-35,76.7},{-35,61.2},{-34.4,61.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(added_pH2O.u1, vaporPressure.VaporPressure) annotation (Line(
          points={{-35,88.6},{-35,96},{0.6,96}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(alveolarVentilation_STPD.y, solventFlowPump.solventFlow) annotation (
          Line(
          points={{8,47},{8,34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EnvironmentPressure, gasConcToPartialPressure.ambientPressure) 
        annotation (Line(
          points={{-84,-10},{-66,-10},{-66,8},{27.6,8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AmbientTemperature, vaporPressure1.T) annotation (Line(
          points={{-114,74},{-94.6,74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EnvironmentRelativeHumidity, air_pH2O.u1) annotation (Line(
          points={{-94,94},{-70,94},{-70,86},{-67,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EnvironmentPressure, vaporPart.u2) annotation (Line(
          points={{-84,-10},{-66,-10},{-66,64},{-41.6,64},{-41.6,61.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(STPD_Temperature.y, deadVolume.T2) annotation (Line(
          points={{29.3,-71},{21.65,-71},{21.65,-74},{6.6,-74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(STPD_Temperature.y, tidalVolume.T2) annotation (Line(
          points={{29.3,-71},{22,-71},{22,-48},{6.6,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(STPD_Pressure.y, tidalVolume.P2) annotation (Line(
          points={{29.3,-53},{17.65,-53},{17.65,-42},{6.6,-42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(STPD_Pressure.y, deadVolume.P2) annotation (Line(
          points={{29.3,-53},{18,-53},{18,-68},{6.6,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(core_T, tidalVolume.T1) annotation (Line(
          points={{-54,-86},{-32,-86},{-32,-48},{-10.6,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(core_T, deadVolume.T1) annotation (Line(
          points={{-54,-86},{-32,-86},{-32,-74},{-10.6,-74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(alveolarVolume_STPD.y, alveolarVentilation_STPD.u1) annotation (
          Line(
          points={{77,-36},{84,-36},{84,82},{14,82},{14,70}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(tidalVolume.V2, alveolarVolume_STPD.u1) annotation (Line(
          points={{6.6,-36},{60,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(alveolarVolume_STPD.u2, deadVolume.V2) annotation (Line(
          points={{68,-44},{68,-62},{6.6,-62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(alveolarVentilation_STPD.y, solventFlowPump1.solventFlow) 
        annotation (Line(
          points={{8,47},{8,42},{54,42},{54,34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EnvironmentPressure, airPressureWitoutVapor.u1) annotation (Line(
          points={{-84,-10},{-80,-10},{-80,-12},{-74,-12},{-74,-10},{-62,-10}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(airPressureWitoutVapor.y, tidalVolume.P1) annotation (Line(
          points={{-45,-10},{-28,-10},{-28,-42},{-10.6,-42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(airPressureWitoutVapor.y, deadVolume.P1) annotation (Line(
          points={{-45,-10},{-28,-10},{-28,-68},{-10.6,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(added_pH2O.y, airPressureWitoutVapor.u2) annotation (Line(
          points={{-35,76.7},{-35,68},{-54,68},{-54,-2}},
          color={0,0,127},
          smooth=Smooth.None));
     annotation (
        Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                100,100}}), graphics={Polygon(
              points={{16,93},{94,80},{16,66},{16,93}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-92,-90},{84,-60}},
              textString="%name",
              lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                       extent={{-100,-100},{100,100}}), graphics),
                  Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics));
    end AlveolarVentilation_STPD;

    model GasEquation

      Library.Interfaces.RealInput V1(final unit="ml") annotation (Placement(transformation(extent={
                {-118,42},{-78,82}}), iconTransformation(extent={{-100,66},{-72,94}})));
      Library.Interfaces.RealInput P1(final unit="mmHg") annotation (Placement(transformation(extent={
                {-118,42},{-78,82}}), iconTransformation(extent={{-100,6},{-72,34}})));
      Library.Interfaces.RealInput T1(final unit="degC") annotation (Placement(transformation(extent={
                {-118,42},{-78,82}}), iconTransformation(extent={{-100,-54},{-72,
                -26}})));
      Library.Interfaces.RealInput P2(final unit="mmHg") annotation (Placement(transformation(extent={
                {-118,42},{-78,82}}), iconTransformation(
            extent={{-14,-14},{14,14}},
            rotation=180,
            origin={86,20})));
      Library.Interfaces.RealInput T2(final unit="degC") annotation (Placement(transformation(extent={
                {-118,42},{-78,82}}), iconTransformation(
            extent={{-14,-14},{14,14}},
            rotation=180,
            origin={86,-40})));
      Library.Interfaces.RealOutput V2(final unit="ml") annotation (Placement(transformation(extent=
                {{56,54},{96,94}}), iconTransformation(extent={{72,66},{100,94}})));
    equation
      (P1*V1)/(T1+273.15)=(P2*V2)/(T2+273.15);
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={
            Rectangle(
              extent={{-100,100},{100,-100}},
              lineColor={0,0,0},
              fillColor={170,213,255},
              fillPattern=FillPattern.Solid),
            Rectangle(
              extent={{0,100},{0,-100}},
              lineColor={0,0,0},
              fillColor={170,213,255},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-98,136},{100,100}},
              lineColor={0,0,0},
              fillColor={170,213,255},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end GasEquation;

    model VaporPressure

      Library.Interfaces.RealInput T(final quantity="ThermodynamicTemperature",
          final unit="degC")   annotation (Placement(transformation(extent={
                {-118,42},{-78,82}}), iconTransformation(extent={{-100,-14},{-72,14}})));
      Library.Interfaces.RealOutput VaporPressure(final unit="mmHg") 
                                                        annotation (Placement(transformation(extent=
                {{56,54},{96,94}}), iconTransformation(extent={{100,-14},{128,14}})));
    equation
     VaporPressure =  if T<0 then 0 else if T>100 then 760 else 
                        exp(18.6686-(4030.183/(T+235)));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Rectangle(
              extent={{-100,40},{100,-40}},
              lineColor={0,0,0},
              fillColor={170,213,255},
              fillPattern=FillPattern.Solid)}));
    end VaporPressure;

    package CO2 "Body CO2 Transport"

      partial model SimpleCO2Solution
        import Modelica.Math;

        Real pK;
        Real aCO2(final unit="mmol/(l.kPa)");
        Real cdCO2(start=3, final unit="mmol/l");

        Real pCO2(start=6, unit="kPa");

        constant Real MiniliterPerLiter(final unit="ml/l")=1000;

        Library.Interfaces.RealOutput_ pCO2_mmHg(start=40, unit="mmHg")
          "alveolar partial pressure of pCO2" 
                                          annotation (Placement(transformation(
                extent={{20,-70},{60,-30}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={40,-120})));
        Library.Interfaces.RealOutput_ cHCO3(final unit="mmol/l")
          "outgoing concentration of HCO3"                                                           annotation (Placement(
              transformation(extent={{20,-70},{60,-30}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={80,-120})));
        Library.Interfaces.RealInput_ T(start=37, final unit="degC")
          "outgoing temperature"                                                            annotation (Placement(transformation(extent={{70,-26},
                  {110,14}}),           iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,80})));

        Library.Interfaces.RealInput_ pH "outgoing plasma pH" annotation (Placement(transformation(extent={{-120,50},
                  {-80,90}}),           iconTransformation(extent={{-100,70},{-80,90}})));

      equation
        pCO2_mmHg = Library.NonSIunits.PaTOmmHg*1000 * pCO2;

        //Henderson-Hasselbalch equation:
        pK = 6.1 + (-0.0026)*(T-37);
        aCO2 = 0.23 * 10^(-0.0092*(T-37)); //solubility depends on temperature
        cdCO2 = aCO2*pCO2;
        pH = if ( cdCO2 > 1e-8) then  pK + log10(cHCO3/cdCO2) else pK;

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics));
      end SimpleCO2Solution;

      partial model BloodCO2Base
        extends SimpleCO2Solution;

        import Modelica.Math;

        Real tCO2_P(start=24, final unit="mmol/l");

        Real pK_ery;
        Real aCO2_ery(final unit="mmol/l/mmHg");
        Real tCO2_ery(final unit="mmol/l");

        Real tCO2(final unit="mmol/l");

        constant Real MiniliterPerLiter(final unit="ml/l")=1000;

        Library.Interfaces.RealInput_ pH_ery
          "outgoing intracellular erytrocytes pH" 
                                        annotation (Placement(transformation(extent={{-120,10},
                  {-80,50}}),           iconTransformation(extent={{-100,30},{-80,50}})));
        Library.Interfaces.RealInput_ Hct
          "outgoing hematocrit (erytrocytes volume/blood volume)" 
                                         annotation (Placement(transformation(extent={{60,60},
                  {100,100}}),          iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,40})));
        Library.Interfaces.RealInput_ sO2 "outgoing oxygen saturation" 
                                         annotation (Placement(transformation(extent={{60,20},
                  {100,60}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,0})));
      equation

        //total plasma CO2 from SimpleCO2Solution
        tCO2_P = cHCO3 + cdCO2;

        //erythrocytes:
        pK_ery = 6.125 - log10(1+10^(pH_ery-7.84-0.06*sO2));
        tCO2_ery=aCO2_ery*pCO2*(1+10^(pH_ery-pK_ery));
        aCO2_ery=0.195; //solubility

        //plasma+erythrocyte
        tCO2 = tCO2_ery*Hct + tCO2_P*(1-Hct);

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid), Text(
                extent={{-74,-26},{74,-58}},
                lineColor={0,0,255},
                textString="%name")}),            Diagram(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics));
      end BloodCO2Base;

      partial model BloodCO2TransportBase
        extends BloodCO2Base;

        Library.ConcentrationFlow.PositiveConcentrationFlow q_in
          "CO2 inflow to ventilated alveols in mmol/ml" 
          annotation (Placement(transformation(extent={{-120,-100},{-80,-60}}),
              iconTransformation(extent={{-120,-100},{-80,-60}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow q_out
          "CO2 outflow from ventilated alveols in mmol/ml"                                                         annotation (
            Placement(transformation(extent={{80,-100},{120,-60}}),
                                                                  iconTransformation(
                extent={{80,-100},{120,-60}})));
        Library.Interfaces.RealInput_ BloodFlow(final unit="ml/min")
          "blood flow through ventilated alveols" 
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(extent={{-100,-10},{-80,10}})));
      equation
        q_in.conc = q_in.q/ BloodFlow; //mmol/ml

        tCO2 = MiniliterPerLiter * (-q_out.q/BloodFlow); //mmol/l

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-74,-26},{74,-58}},
                lineColor={0,0,255},
                textString="%name"),
              Polygon(
                points={{-72,10},{80,0},{-72,-10},{-72,10}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                origin={-2,-80},
                rotation=360)}),                  Diagram(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics));
      end BloodCO2TransportBase;

      model BloodCO2
       extends HumMod.Gases.CO2.BloodCO2TransportBase;

        Library.PressureFlow.NegativePressureFlow alveolar_outflow
          "CO2 outflow from blood to alveol space in mmol/min" 
          annotation (Placement(transformation(extent={{-20,80},{20,120}}),
              iconTransformation(extent={{-20,80},{20,120}})));
      equation
        q_in.q + q_out.q + alveolar_outflow.q = 0;
        alveolar_outflow.pressure = pCO2_mmHg;

        annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                  fileName="icons/plicniZkrat.png")}));
      end BloodCO2;

      model CO2
       // extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment CO2Veins(
                                 stateName="CO2Veins.Mass[mMol]",
            initialSoluteMass=86.1726) 
          annotation (Placement(transformation(extent={{-96,-14},{-76,6}})));
        Library.ConcentrationFlow.ConcentrationCompartment CO2Artys(
                                  stateName="CO2Artys.Mass[mMol]",
            initialSoluteMass=34.1296) 
          annotation (Placement(transformation(extent={{92,-12},{72,8}})));
        TissuesWithInterstitium.TissuesCO2 CO2Tissues(
          skeletalMuscleCO2(tissueVeinsCO2(pCO2(start=6.079))),
          liverCO2(tissueVeinsCO2(pCO2(start=5.8879))),
          boneCO2(tissueVeinsCO2(pCO2(start=6.0267))),
          brainCO2(tissueVeinsCO2(pCO2(start=6.2398))),
          otherTissueCO2(tissueVeinsCO2(pCO2(start=5.7258))),
          GITractCO2(tissueVeinsCO2(pCO2(start=5.6768))),
          respiratoryMuscleCO2(tissueVeinsCO2(pCO2(start=6.34097))),
          kidneyCO2(tissueVeinsCO2(pCO2(start=5.51929))),
          fatCO2(tissueVeinsCO2(pCO2(start=5.6931))),
          leftHeartCO2(tissueVeinsCO2(pCO2(start=7.8986))),
          rightHeartCO2(tissueVeinsCO2(pCO2(start=7.9346))),
          skinCO2(tissueVeinsCO2(pCO2(start=5.9118)))) 
          annotation (Placement(transformation(extent={{-48,-40},{-28,-20}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-114,-62},{-74,-22}}),
              iconTransformation(extent={{60,40},{100,80}})));
        ExternalCO2 air_CO2(                               concentration=0) 
          annotation (Placement(transformation(extent={{-62,88},{-50,100}})));
        AlveolarVentilation_STPD alveolarVentilation(
          solventFlowPump(q_out(conc(start=0.05))))  annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={0,78})));
        NaturalVentilation2 naturalVentilation 
          annotation (Placement(transformation(extent={{76,76},{56,96}})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit 
          annotation (Placement(transformation(extent={{-22,14},{-2,-6}})));
        Modelica.Blocks.Math.Feedback pulmShortCircuitFlow 
          annotation (Placement(transformation(extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-12,-10})));
        HumMod.Library.PressureFlow.Gas_FromMLtoMMOL fromMLtoMMOL 
                            annotation (Placement(transformation(
              extent={{-8,-8},{8,8}},
              rotation=270,
              origin={0,54})));
      //1000 * 1.977/40.01
        HumMod.Gases.CO2.MeassureBloodCO2 measure 
          annotation (Placement(transformation(extent={{-96,22},{-76,42}})));
        HumMod.Gases.CO2.MeassureBloodCO2 measure1(pCO2(start=5.24039)) 
          annotation (Placement(transformation(extent={{72,22},{92,42}})));
        HumMod.Gases.CO2.BloodCO2 CO2Lung(pCO2(start=
                4.6631898157894736842105263157895)) 
          annotation (Placement(transformation(extent={{-10,22},{10,42}})));
      equation
        connect(busConnector.VeinsVol, CO2Veins.SolventVolume)     annotation (
            Line(
            points={{-94,-42},{-100,-42},{-100,2},{-94,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Artys.SolventVolume, busConnector.ArtysVol)     annotation (
            Line(
            points={{90,4},{100,4},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Tissues.q_out, CO2Veins.q_out) 
                                                 annotation (Line(
            points={{-50,-30},{-70,-30},{-70,-4},{-86,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(alveolarVentilation.TidalVolume,naturalVentilation. TidalVolume) 
          annotation (Line(
            points={{8,82},{20,82},{20,88},{54.6,88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(alveolarVentilation.DeadSpace,naturalVentilation. DeadSpace) 
          annotation (Line(
            points={{8,78},{23.3,78},{23.3,82},{54.6,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(naturalVentilation.ExcessLungWater_Volume, busConnector.ExcessLungWater_Volume) 
          annotation (Line(
            points={{74.6,78},{100,78},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.Thorax_LungInflation, busConnector.Thorax_LungInflation) 
          annotation (Line(
            points={{74.6,82},{100,82},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.RespiratoryMuscleFunctionEffect, busConnector.RespiratoryMuscleFunctionEffect) 
          annotation (Line(
            points={{74.6,90},{100,90},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(alveolarVentilation.core_T, busConnector.core_T) 
          annotation (Line(
            points={{8,70},{26,70},{26,62},{100,62},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.RespiratoryCenterOutput_MotorNerveActivity,
          busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
            points={{74.6,94},{100,94},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Artys.q_out, CO2Tissues.q_in) annotation (Line(
            points={{82,-2},{68,-2},{68,-30},{-26,-30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(air_CO2.q_out, alveolarVentilation.inspired) annotation (Line(
            points={{-55.88,94},{-14,94},{-14,86},{-10,86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(air_CO2.q_out, alveolarVentilation.expired) annotation (Line(
            points={{-55.88,94},{14,94},{14,86},{10,86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit.solventFlow, pulmShortCircuitFlow.y) 
                                                       annotation (Line(
            points={{-12,-2},{-12,-1.5},{-12,-1},{-12,-1}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput) 
          annotation (Line(
            points={{-12,-18},{10,-18},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,-10},{-20,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Veins.q_out, pulmShortCircuit.q_in) annotation (Line(
            points={{-86,-4},{-86,24},{-46,24},{-46,4},{-22,4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit.q_out, CO2Artys.q_out) annotation (Line(
            points={{-2,4},{24,4},{24,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Veins_pH, measure.pH)              annotation (
            Line(
            points={{-94,-42},{-100,-42},{-100,40},{-95,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Veins_pH_ery, measure.pH_ery) 
          annotation (Line(
            points={{-94,-42},{-100,-42},{-100,36},{-95,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(measure.sO2, busConnector.O2Veins_sO2)              annotation (
            Line(
            points={{-77,32},{-54,32},{-54,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure.Hct, busConnector.BloodVol_Hct)              annotation (Line(
            points={{-77,36},{-54,36},{-54,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure.T, busConnector.core_T) annotation (Line(
            points={{-77,40},{-54,40},{-54,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(alveolarVentilation.alveolar, fromMLtoMMOL.q_ML) annotation (Line(
            points={{0.2,68},{1.46958e-015,68},{1.46958e-015,62}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(measure.cHCO3, busConnector.CO2Veins_cHCO3) annotation (Line(
            points={{-78,20},{-78,14},{-100,14},{-100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));
        connect(CO2Veins.q_out, measure.q_in) annotation (Line(
            points={{-86,-4},{-86,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Artys_pH, measure1.pH)             annotation (
            Line(
            points={{-94,-42},{50,-42},{50,40},{73,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Artys_pH_ery, measure1.pH_ery) 
          annotation (Line(
            points={{-94,-42},{50,-42},{50,36},{73,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(measure1.sO2, busConnector.O2Artys_sO2)             annotation (
            Line(
            points={{91,32},{100,32},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.Hct, busConnector.BloodVol_Hct)             annotation (Line(
            points={{91,36},{100,36},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.T, busConnector.core_T)       annotation (Line(
            points={{91,40},{100,40},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.q_in, CO2Artys.q_out) annotation (Line(
            points={{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(measure1.cHCO3, busConnector.CO2Artys_cHCO3) annotation (Line(
            points={{90,20},{90,14},{100,14},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));
        connect(measure.pCO2_mmHg, busConnector.CO2Veins_pCO2) annotation (Line(
            points={{-82,20},{-82,14},{-100,14},{-100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(measure1.pCO2_mmHg, busConnector.CO2Artys_pCO2) annotation (
            Line(
            points={{86,20},{86,14},{100,14},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector, CO2Tissues.busConnector) annotation (Line(
            points={{-94,-42},{-54,-42},{-54,-20.8},{-46.8,-20.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CO2Lung.sO2, busConnector.O2Lung_sO2)              annotation (
            Line(
            points={{9,32},{50,32},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow,CO2Lung. BloodFlow) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,32},{-9,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Lung_pH,CO2Lung. pH)              annotation (
            Line(
            points={{-94,-42},{-54,-42},{-54,40},{-9,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Lung_pH_ery,CO2Lung. pH_ery) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,36},{-9,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Lung.q_out, CO2Artys.q_out)              annotation (Line(
            points={{10,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CO2Lung.Hct, busConnector.BloodVol_Hct)              annotation (Line(
            points={{9,36},{50,36},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Lung.T, busConnector.core_T) annotation (Line(
            points={{9,40},{50,40},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Lung.pCO2_mmHg, busConnector.CO2Lung_pCO2) annotation (Line(
            points={{4,20},{4,12},{10,12},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-5},{6,-5}}));
        connect(CO2Lung.cHCO3, busConnector.CO2Lung_cHCO3) annotation (Line(
            points={{8,20},{8,12},{10,12},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Veins.q_out,CO2Lung. q_in) annotation (Line(
            points={{-86,-4},{-86,24},{-10,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fromMLtoMMOL.q_MMOL,CO2Lung. alveolar_outflow) annotation (Line(
            points={{-1.46958e-015,46},{0,42}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.AmbientTemperature, alveolarVentilation.AmbientTemperature) 
          annotation (Line(
            points={{-94,-42},{-40,-42},{-40,82},{-8,82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BarometerPressure, alveolarVentilation.EnvironmentPressure) 
          annotation (Line(
            points={{-94,-42},{-40,-42},{-40,76},{-8,76}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.EnvironmentRelativeHumidity, alveolarVentilation.EnvironmentRelativeHumidity) 
          annotation (Line(
            points={{-94,-42},{-40,-42},{-40,70},{-8,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(alveolarVentilation.RespRate, busConnector.RespiratoryCenter_RespRate) 
          annotation (Line(
            points={{8,74},{50,74},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-102}}, fileName=
                    "icons/CO2.png"), Text(
                extent={{-116,-60},{126,-94}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
      end CO2;

      model MeassureBloodCO2
        extends BloodCO2Base;

        Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
          annotation (Placement(transformation(extent={{80,-20},{120,20}}),
              iconTransformation(extent={{-20,-100},{20,-60}})));
      equation
        q_in.q=0;
        tCO2 = q_in.conc * MiniliterPerLiter;  //mmol/l

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid), Text(
                extent={{-74,-26},{74,-58}},
                lineColor={0,0,255},
                textString="%name")}),            Diagram(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics));
      end MeassureBloodCO2;

      model TissueHCO3
       // extends SimpleCO2Solution;
        import Modelica.Math;

        Real pK;
        Real aCO2(final unit="mmol/(l.kPa)");
        Real cdCO2(start=3, final unit="mmol/l");

        Real pCO2(unit="kPa");

        constant Real MiniliterPerLiter(final unit="ml/l")=1000;

        Library.Interfaces.RealInput_ pCO2_mmHg(start=45, unit="mmHg")
          "tissue venous partial pressure of CO2" 
                                          annotation (Placement(transformation(
                extent={{20,-70},{60,-30}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-90,42})));
        Library.Interfaces.RealOutput_ cHCO3(final unit="mmol/l")
          "outgoing concentration of HCO3"                                                           annotation (Placement(
              transformation(extent={{20,-70},{60,-30}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={80,-120})));
        Library.Interfaces.RealInput_ T(final unit="degC")
          "outgoing temperature"                                                  annotation (Placement(transformation(extent={{70,-26},
                  {110,14}}),           iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,80})));

        Library.Interfaces.RealInput_ pH "outgoing plasma pH" annotation (Placement(transformation(extent={{-120,50},
                  {-80,90}}),           iconTransformation(extent={{-100,70},{-80,90}})));

        Real tCO2(final unit="mmol/l");

      equation
         pCO2_mmHg = Library.NonSIunits.PaTOmmHg*1000 * pCO2;

        //Henderson-Hasselbalch equation:
        pK = 6.1 + (-0.0026)*(T-37);
        pH = pK + log10(cHCO3/cdCO2);
        cdCO2 = aCO2*pCO2;
        aCO2 = 0.23 * 10^(-0.0092*(T-37)); //solubility depends on temperature

        //total interstitial CO2 from SimpleCO2Solution
        tCO2 = cHCO3 + cdCO2;

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid), Text(
                extent={{-96,-40},{98,-68}},
                lineColor={0,0,255},
                textString="%name")}),            Diagram(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics));
      end TissueHCO3;

      model FlowMeasureCO2
        extends SimpleCO2Solution;

        import Modelica.Math;

        Real tCO2_P(start=24, final unit="mmol/l");

        Real pK_ery;
        Real aCO2_ery(final unit="mmol/l/mmHg");
        Real tCO2_ery(final unit="mmol/l");

        Real tCO2(final unit="mmol/l");

        constant Real MiniliterPerLiter(final unit="ml/l")=1000;

        Library.ConcentrationFlow.PositiveConcentrationFlow q_in
          "CO2 inflow to ventilated alveols in mmol/ml" 
          annotation (Placement(transformation(extent={{-120,-100},{-80,-60}}),
              iconTransformation(extent={{-120,-100},{-80,-60}})));
        Library.Interfaces.RealInput_ pH_ery
          "outgoing intracellular erytrocytes pH" 
                                        annotation (Placement(transformation(extent={{-120,10},
                  {-80,50}}),           iconTransformation(extent={{-100,30},{-80,50}})));
        Library.Interfaces.RealInput_ Hct
          "outgoing hematocrit (erytrocytes volume/blood volume)" 
                                         annotation (Placement(transformation(extent={{60,60},
                  {100,100}}),          iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,40})));
        Library.Interfaces.RealInput_ sO2 "outgoing oxygen saturation" 
                                         annotation (Placement(transformation(extent={{60,20},
                  {100,60}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,0})));
        Library.ConcentrationFlow.NegativeConcentrationFlow q_out
          "CO2 outflow from ventilated alveols in mmol/ml"                                                         annotation (
            Placement(transformation(extent={{80,-100},{120,-60}}),
                                                                  iconTransformation(
                extent={{80,-100},{120,-60}})));
        Library.Interfaces.RealInput_ BloodFlow(final unit="ml/min")
          "blood flow through ventilated alveols" 
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(extent={{-100,-10},{-80,10}})));
      equation
        q_in.q + q_out.q = 0;
        q_in.conc = (q_in.q/BloodFlow);
        tCO2 = MiniliterPerLiter * (-q_out.q/BloodFlow);  //mmol/l

        //total plasma CO2 from SimpleCO2Solution
        tCO2_P = cHCO3 + cdCO2;

        //erythrocytes:
        pK_ery = 6.125 - log10(1+10^(pH_ery-7.84-0.06*sO2));
        tCO2_ery=aCO2_ery*pCO2*(1+10^(pH_ery-pK_ery));
        aCO2_ery=0.195; //solubility

        //plasma+erythrocyte
        tCO2 = tCO2_ery*Hct + tCO2_P*(1-Hct);

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-74,-26},{74,-58}},
                lineColor={0,0,255},
                textString="%name"),
              Polygon(
                points={{-72,10},{80,0},{-72,-10},{-72,10}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                origin={-2,-80},
                rotation=360)}),                  Diagram(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics));
      end FlowMeasureCO2;

      package TissuesWithInterstitium

        model TissuesCO2
          import QHP = HumMod;
         extends Library.Interfaces.Tissues.Tissues;
          Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
            annotation (Placement(transformation(extent={{80,-20},{120,20}}),
                iconTransformation(extent={{100,-20},{140,20}})));
          Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
            annotation (Placement(transformation(extent={{-140,-20},{-100,20}}),
                iconTransformation(extent={{-140,-20},{-100,20}})));
          SkeletalMuscleCO2 skeletalMuscleCO2(      initialMass=323.9) 
            annotation (Placement(transformation(extent={{-54,64},{-34,84}})));
          BoneCO2 boneCO2(                initialMass=56.2) 
            annotation (Placement(transformation(extent={{-54,36},{-34,56}})));
          FatCO2 fatCO2(                 initialMass=39.8) 
            annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));
          BrainCO2 brainCO2(               initialMass=19.1) 
            annotation (Placement(transformation(extent={{52,20},{72,40}})));
          QHP.Gases.CO2.TissuesWithInterstitium.RightHeartCO2 rightHeartCO2(
                                                initialMass=0.6) 
            annotation (Placement(transformation(extent={{52,-100},{72,-80}})));
          RespiratoryMuscleCO2 respiratoryMuscleCO2(   initialMass=48.1) 
            annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));
          OtherTissueCO2 otherTissueCO2(         initialMass=50.7) 
            annotation (Placement(transformation(extent={{-54,6},{-34,26}})));
          TissueCO2_liver liverCO2(        initialMass=22.8) 
            annotation (Placement(transformation(extent={{52,50},{72,70}})));
          QHP.Gases.CO2.TissuesWithInterstitium.LeftHeartCO2 leftHeartCO2(
                                               initialMass=3.5) 
            annotation (Placement(transformation(extent={{52,-70},{72,-50}})));
          QHP.Gases.CO2.TissuesWithInterstitium.KidneyCO2 kidneyCO2(
                                            initialMass=4.1) 
            annotation (Placement(transformation(extent={{52,-40},{72,-20}})));
          QHP.Gases.CO2.TissuesWithInterstitium.GITractCO2 GITractCO2(
                                             initialMass=17.6) 
            annotation (Placement(transformation(extent={{52,-10},{72,10}})));
          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
          SkinCO2 skinCO2(                initialMass=28.2) 
            annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

          Real CO2FromTissues(unit="mmol/min");
        equation
          CO2FromTissues = -( q_out.q + q_in.q);
          connect(q_out, skeletalMuscleCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,75},{-54,75}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, boneCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,47},{-54,47}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, otherTissueCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,17},{-54,17}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, respiratoryMuscleCO2.vein) annotation (Line(
              points={{-120,0},{-81,0},{-81,-13},{-54,-13}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, fatCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,-43},{-54,-43}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, skinCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,-73},{-54,-73}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, liverCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,61},{52,61}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, brainCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,31},{52,31}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, kidneyCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,-29},{52,-29}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, leftHeartCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,-59},{52,-59}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));

          connect(skeletalMuscleCO2.arty, q_in) annotation (Line(
              points={{-34,75},{84,75},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(brainCO2.arty, q_in) annotation (Line(
              points={{72,31},{84,31},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(GITractCO2.arty, q_in) annotation (Line(
              points={{72,1},{72,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(kidneyCO2.arty, q_in) annotation (Line(
              points={{72,-29},{84,-29},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(leftHeartCO2.arty, q_in) annotation (Line(
              points={{72,-59},{84,-59},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(rightHeartCO2.arty, q_in) annotation (Line(
              points={{72,-89},{84,-89},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(rightHeartCO2.vein, q_out) annotation (Line(
              points={{52,-89},{-82,-89},{-82,0},{-120,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(boneCO2.arty, q_in) annotation (Line(
              points={{-34,47},{84,47},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(otherTissueCO2.arty, q_in) annotation (Line(
              points={{-34,17},{84,17},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(fatCO2.arty, q_in) annotation (Line(
              points={{-34,-43},{84,-43},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(skinCO2.arty, q_in) annotation (Line(
              points={{-34,-73},{84,-73},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, respiratoryMuscleCO2.arty) annotation (Line(
              points={{100,0},{84,0},{84,-13},{-34,-13}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));

          connect(busConnector.bone_pH_plasma, boneCO2.pH_plasma)      annotation (
             Line(
              points={{-88,92},{-88,44},{-53,44}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_pH_plasma, brainCO2.pH_plasma) 
            annotation (Line(
              points={{-88,92},{6,92},{6,28},{53,28}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_pH_plasma, fatCO2.pH_plasma)      annotation (
              Line(
              points={{-88,92},{-88,-46},{-53,-46}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_pH_plasma, GITractCO2.pH_plasma) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-2},{53,-2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_pH_plasma, kidneyCO2.pH_plasma) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-32},{53,-32}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_pH_plasma, leftHeartCO2.pH_plasma) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-62},{53,-62}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_pH_plasma, liverCO2.pH_plasma) 
            annotation (Line(
              points={{-88,92},{6,92},{6,58},{53,58}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_pH_plasma, otherTissueCO2.pH_plasma) 
            annotation (Line(
              points={{-88,92},{-88,14},{-53,14}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_pH_plasma,
            respiratoryMuscleCO2.pH_plasma) 
            annotation (Line(
              points={{-88,92},{-88,-16},{-53,-16}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_pH_plasma, rightHeartCO2.pH_plasma) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-92},{53,-92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_pH_plasma, skinCO2.pH_plasma)      annotation (
             Line(
              points={{-88,92},{-88,-76},{-53,-76}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_pH_plasma, skeletalMuscleCO2.pH_plasma) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,72},{-53,72}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(busConnector.bone_pH_ery, boneCO2.pH_ery)      annotation (
             Line(
              points={{-88,92},{-88,56},{-53,56}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_pH_ery, brainCO2.pH_ery) 
            annotation (Line(
              points={{-88,92},{6,92},{6,40},{53,40}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_pH_ery, fatCO2.pH_ery)      annotation (
              Line(
              points={{-88,92},{-88,-34},{-53,-34}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_pH_ery, GITractCO2.pH_ery) 
            annotation (Line(
              points={{-88,92},{6,92},{6,10},{53,10}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_pH_ery, kidneyCO2.pH_ery) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-20},{53,-20}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_pH_ery, leftHeartCO2.pH_ery) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-50},{53,-50}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_pH_ery, liverCO2.pH_ery) 
            annotation (Line(
              points={{-88,92},{6,92},{6,70},{53,70}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_pH_ery, otherTissueCO2.pH_ery) 
            annotation (Line(
              points={{-88,92},{-88,26},{-53,26}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_pH_ery, respiratoryMuscleCO2.pH_ery) 
            annotation (Line(
              points={{-88,92},{-88,-4},{-53,-4}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_pH_ery, rightHeartCO2.pH_ery) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-80},{53,-80}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_pH_ery, skinCO2.pH_ery)      annotation (
             Line(
              points={{-88,92},{-88,-64},{-53,-64}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_pH_ery, skeletalMuscleCO2.pH_ery) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,84},{-53,84}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(busConnector.bone_sO2, boneCO2.sO2)        annotation (
             Line(
              points={{-88,92},{-88,52},{-53,52}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_sO2, brainCO2.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,36},{53,36}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_sO2, fatCO2.sO2)      annotation (
              Line(
              points={{-88,92},{-88,-38},{-53,-38}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_sO2, GITractCO2.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,6},{53,6}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_sO2, kidneyCO2.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-24},{53,-24}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_sO2, leftHeartCO2.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-54},{53,-54}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_sO2, liverCO2.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,66},{53,66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_sO2, otherTissueCO2.sO2) 
            annotation (Line(
              points={{-88,92},{-88,22},{-53,22}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_sO2, respiratoryMuscleCO2.sO2) 
            annotation (Line(
              points={{-88,92},{-88,-8},{-53,-8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_sO2, rightHeartCO2.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-84},{53,-84}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_sO2, skinCO2.sO2)      annotation (
             Line(
              points={{-88,92},{-88,-68},{-53,-68}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_sO2, skeletalMuscleCO2.sO2) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,80},{-53,80}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(busConnector.BloodVol_Hct, boneCO2.Hct)      annotation (
             Line(
              points={{-88,92},{-88,40},{-53,40}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, brainCO2.Hct) 
            annotation (Line(
              points={{-88,92},{6,92},{6,24},{53,24}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, fatCO2.Hct)      annotation (
              Line(
              points={{-88,92},{-88,-50},{-53,-50}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, GITractCO2.Hct) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-6},{53,-6}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, kidneyCO2.Hct) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-36},{53,-36}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, leftHeartCO2.Hct) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-66},{53,-66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, liverCO2.Hct) 
            annotation (Line(
              points={{-88,92},{6,92},{6,54},{53,54}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, otherTissueCO2.Hct) 
            annotation (Line(
              points={{-88,92},{-88,10},{-53,10}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, respiratoryMuscleCO2.Hct) 
            annotation (Line(
              points={{-88,92},{-88,-20},{-53,-20}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, rightHeartCO2.Hct) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-96},{53,-96}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, skinCO2.Hct)      annotation (
             Line(
              points={{-88,92},{-88,-80},{-53,-80}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, skeletalMuscleCO2.Hct) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,68},{-53,68}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(boneCO2.Tissue_CO2FromMetabolism, busConnector.bone_CO2FromMetabolism)    annotation (
             Line(
              points={{-35,44},{6,44},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brainCO2.Tissue_CO2FromMetabolism, busConnector.brain_CO2FromMetabolism) 
            annotation (Line(
              points={{71,28},{98,28},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fatCO2.Tissue_CO2FromMetabolism, busConnector.fat_CO2FromMetabolism)     annotation (
              Line(
              points={{-35,-46},{6,-46},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITractCO2.Tissue_CO2FromMetabolism, busConnector.GITract_CO2FromMetabolism) 
            annotation (Line(
              points={{71,-2},{98,-2},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidneyCO2.Tissue_CO2FromMetabolism, busConnector.kidney_CO2FromMetabolism) 
            annotation (Line(
              points={{71,-32},{98,-32},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeartCO2.Tissue_CO2FromMetabolism, busConnector.leftHeart_CO2FromMetabolism) 
            annotation (Line(
              points={{71,-62},{98,-62},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liverCO2.Tissue_CO2FromMetabolism, busConnector.liver_CO2FromMetabolism) 
            annotation (Line(
              points={{71,56},{98,56},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissueCO2.Tissue_CO2FromMetabolism, busConnector.otherTissue_CO2FromMetabolism) 
            annotation (Line(
              points={{-35,14},{6,14},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscleCO2.Tissue_CO2FromMetabolism, busConnector.respiratoryMuscle_CO2FromMetabolism) 
            annotation (Line(
              points={{-35,-16},{6,-16},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeartCO2.Tissue_CO2FromMetabolism, busConnector.rightHeart_CO2FromMetabolism) 
            annotation (Line(
              points={{71,-92},{98,-92},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skinCO2.Tissue_CO2FromMetabolism, busConnector.skin_CO2FromMetabolism)     annotation (
             Line(
              points={{-35,-76},{6,-76},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscleCO2.Tissue_CO2FromMetabolism, busConnector.skeletalMuscle_CO2FromMetabolism) 
            annotation (Line(
              points={{-35,72},{5.5,72},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(boneCO2.BloodFlow, busConnector.bone_BloodFlow)        annotation (
             Line(
              points={{-35,51.4},{6,51.4},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brainCO2.BloodFlow, busConnector.brain_BloodFlow) 
            annotation (Line(
              points={{71,35.4},{98,35.4},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fatCO2.BloodFlow, busConnector.fat_BloodFlow)     annotation (
              Line(
              points={{-35,-38.6},{6,-38.6},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITractCO2.BloodFlow, busConnector.GITract_BloodFlow) 
            annotation (Line(
              points={{71,5.4},{98,5.4},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidneyCO2.BloodFlow, busConnector.kidney_BloodFlow) 
            annotation (Line(
              points={{71,-24.6},{98,-24.6},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeartCO2.BloodFlow, busConnector.leftHeart_BloodFlow) 
            annotation (Line(
              points={{71,-54.6},{98,-54.6},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissueCO2.BloodFlow, busConnector.otherTissue_BloodFlow) 
            annotation (Line(
              points={{-35,21.4},{6,21.4},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscleCO2.BloodFlow, busConnector.respiratoryMuscle_BloodFlow) 
            annotation (Line(
              points={{-35,-8.6},{6,-8.6},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeartCO2.BloodFlow, busConnector.rightHeart_BloodFlow) 
            annotation (Line(
              points={{71,-84.6},{98,-84.6},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skinCO2.BloodFlow, busConnector.skin_BloodFlow)     annotation (
             Line(
              points={{-35,-68.6},{6,-68.6},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscleCO2.BloodFlow, busConnector.skeletalMuscle_BloodFlow) 
            annotation (Line(
              points={{-35,79.4},{5.5,79.4},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(boneCO2.T, busConnector.bone_T)       annotation (
             Line(
              points={{-35,40},{6,40},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brainCO2.T, busConnector.brain_T) 
            annotation (Line(
              points={{71,24},{98,24},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fatCO2.T, busConnector.fat_T)     annotation (
              Line(
              points={{-35,-50},{6,-50},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITractCO2.T, busConnector.GITract_T) 
            annotation (Line(
              points={{71,-6},{98,-6},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidneyCO2.T, busConnector.kidney_T) 
            annotation (Line(
              points={{71,-36},{98,-36},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeartCO2.T, busConnector.leftHeart_T) 
            annotation (Line(
              points={{71,-66},{98,-66},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liverCO2.T, busConnector.liver_T) 
            annotation (Line(
              points={{71,65.8},{98,65.8},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissueCO2.T, busConnector.otherTissue_T) 
            annotation (Line(
              points={{-35,10},{6,10},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscleCO2.T, busConnector.respiratoryMuscle_T) 
            annotation (Line(
              points={{-35,-20},{6,-20},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeartCO2.T, busConnector.rightHeart_T) 
            annotation (Line(
              points={{71,-96},{98,-96},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skinCO2.T, busConnector.skin_T)     annotation (
             Line(
              points={{-35,-80},{6,-80},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscleCO2.T, busConnector.skeletalMuscle_T) 
            annotation (Line(
              points={{-35,68},{5.5,68},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(boneCO2.pCO2, busConnector.bone_pCO2)       annotation (
             Line(
              points={{-44,35},{6,35},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(brainCO2.pCO2, busConnector.brain_pCO2) 
            annotation (Line(
              points={{62,19},{98,19},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(fatCO2.pCO2, busConnector.fat_pCO2)     annotation (
              Line(
              points={{-44,-55},{6,-55},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(GITractCO2.pCO2, busConnector.GITract_pCO2) 
            annotation (Line(
              points={{62,-11},{98,-11},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(kidneyCO2.pCO2, busConnector.kidney_pCO2) 
            annotation (Line(
              points={{62,-41},{98,-41},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(leftHeartCO2.pCO2, busConnector.leftHeart_pCO2) 
            annotation (Line(
              points={{62,-71},{98,-71},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(liverCO2.pCO2, busConnector.liver_pCO2) 
            annotation (Line(
              points={{62,49},{98,49},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(otherTissueCO2.pCO2, busConnector.otherTissue_pCO2) 
            annotation (Line(
              points={{-44,5},{6,5},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(respiratoryMuscleCO2.pCO2, busConnector.respiratoryMuscle_pCO2) 
            annotation (Line(
              points={{-44,-25},{6,-25},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(rightHeartCO2.pCO2, busConnector.rightHeart_pCO2) 
            annotation (Line(
              points={{62,-101},{98,-101},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skinCO2.pCO2, busConnector.skin_pCO2)     annotation (
             Line(
              points={{-44,-85},{6,-85},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skeletalMuscleCO2.pCO2, busConnector.skeletalMuscle_pCO2) 
            annotation (Line(
              points={{-44,63},{5.5,63},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None));

          connect(boneCO2.pCO2, busConnector.Bone_PCO2)       annotation (
             Line(
              points={{-44,35},{6,35},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(brainCO2.pCO2, busConnector.Brain_PCO2) 
            annotation (Line(
              points={{62,19},{98,19},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(fatCO2.pCO2, busConnector.Fat_PCO2)     annotation (
              Line(
              points={{-44,-55},{6,-55},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(GITractCO2.pCO2, busConnector.GITract_PCO2) 
            annotation (Line(
              points={{62,-11},{98,-11},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(kidneyCO2.pCO2, busConnector.Kidney_PCO2) 
            annotation (Line(
              points={{62,-41},{98,-41},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(leftHeartCO2.pCO2, busConnector.LeftHeart_PCO2) 
            annotation (Line(
              points={{62,-71},{98,-71},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(liverCO2.pCO2, busConnector.Liver_PCO2) 
            annotation (Line(
              points={{62,49},{98,49},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(otherTissueCO2.pCO2, busConnector.OtherTissue_PCO2) 
            annotation (Line(
              points={{-44,5},{6,5},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(respiratoryMuscleCO2.pCO2, busConnector.RespiratoryMuscle_PCO2) 
            annotation (Line(
              points={{-44,-25},{6,-25},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(rightHeartCO2.pCO2, busConnector.RightHeart_PCO2) 
            annotation (Line(
              points={{62,-101},{98,-101},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skinCO2.pCO2, busConnector.Skin_PCO2)     annotation (
             Line(
              points={{-44,-85},{6,-85},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skeletalMuscleCO2.pCO2, busConnector.SkeletalMuscle_PCO2) 
            annotation (Line(
              points={{-44,63},{5.5,63},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None));

          connect(boneCO2.cHCO3, busConnector.bone_cHCO3)       annotation (
             Line(
              points={{-46,35},{6,35},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(brainCO2.cHCO3, busConnector.brain_cHCO3) 
            annotation (Line(
              points={{60,19},{98,19},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(fatCO2.cHCO3, busConnector.fat_cHCO3)     annotation (
              Line(
              points={{-46,-55},{6,-55},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(GITractCO2.cHCO3, busConnector.GITract_cHCO3) 
            annotation (Line(
              points={{60,-11},{98,-11},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(kidneyCO2.cHCO3, busConnector.kidney_cHCO3) 
            annotation (Line(
              points={{60,-41},{98,-41},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(leftHeartCO2.cHCO3, busConnector.leftHeart_cHCO3) 
            annotation (Line(
              points={{60,-71},{98,-71},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(liverCO2.cHCO3, busConnector.liver_cHCO3) 
            annotation (Line(
              points={{60,49},{98,49},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(otherTissueCO2.cHCO3, busConnector.otherTissue_cHCO3) 
            annotation (Line(
              points={{-46,5},{6,5},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(respiratoryMuscleCO2.cHCO3, busConnector.respiratoryMuscle_cHCO3) 
            annotation (Line(
              points={{-46,-25},{6,-25},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(rightHeartCO2.cHCO3, busConnector.rightHeart_cHCO3) 
            annotation (Line(
              points={{60,-101},{98,-101},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skinCO2.cHCO3, busConnector.skin_cHCO3)     annotation (
             Line(
              points={{-46,-85},{6,-85},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skeletalMuscleCO2.cHCO3, busConnector.skeletalMuscle_cHCO3) 
            annotation (Line(
              points={{-46,63},{5.5,63},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None));

          connect(boneCO2.cHCO3_interstitial, busConnector.bone_cHCO3_interstitial)       annotation (
             Line(
              points={{-42,35},{6,35},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(brainCO2.cHCO3_interstitial, busConnector.brain_cHCO3_interstitial) 
            annotation (Line(
              points={{64,19},{98,19},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(fatCO2.cHCO3_interstitial, busConnector.fat_cHCO3_interstitial)     annotation (
              Line(
              points={{-42,-55},{6,-55},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(GITractCO2.cHCO3_interstitial, busConnector.GITract_cHCO3_interstitial) 
            annotation (Line(
              points={{64,-11},{98,-11},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(kidneyCO2.cHCO3_interstitial, busConnector.kidney_cHCO3_interstitial) 
            annotation (Line(
              points={{64,-41},{98,-41},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(leftHeartCO2.cHCO3_interstitial, busConnector.leftHeart_cHCO3_interstitial) 
            annotation (Line(
              points={{64,-71},{98,-71},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(liverCO2.cHCO3_interstitial, busConnector.liver_cHCO3_interstitial) 
            annotation (Line(
              points={{64,49},{98,49},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(otherTissueCO2.cHCO3_interstitial, busConnector.otherTissue_cHCO3_interstitial) 
            annotation (Line(
              points={{-42,5},{6,5},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(respiratoryMuscleCO2.cHCO3_interstitial, busConnector.respiratoryMuscle_cHCO3_interstitial) 
            annotation (Line(
              points={{-42,-25},{6,-25},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(rightHeartCO2.cHCO3_interstitial, busConnector.rightHeart_cHCO3_interstitial) 
            annotation (Line(
              points={{64,-101},{98,-101},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skinCO2.cHCO3_interstitial, busConnector.skin_cHCO3_interstitial)     annotation (
             Line(
              points={{-42,-85},{6,-85},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skeletalMuscleCO2.cHCO3_interstitial, busConnector.skeletalMuscle_cHCO3_interstitial) 
            annotation (Line(
              points={{-42,63},{5.5,63},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None));

          connect(liverCO2.HepaticArtyBloodFlow, busConnector.HepaticArty_BloodFlow) 
            annotation (Line(
              points={{71,50},{98,50},{98,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.GITract_BloodFlow, liverCO2.PortalVeinBloodFlow) 
            annotation (Line(
              points={{-88,92},{60,92},{60,69}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-3,13},{-3,13}}));
          connect(GITractCO2.vein, liverCO2.portalVein) annotation (Line(
              points={{52,1},{38,1},{38,80},{64,80},{64,70}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, liverCO2.hepaticArty) annotation (Line(
              points={{100,0},{84,0},{84,61},{72,61}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          annotation (Icon(graphics={Rectangle(extent={{-120,100},{120,-100}},
                    lineColor={0,0,0})}),
                                   Diagram(coordinateSystem(preserveAspectRatio=true,
                          extent={{-100,-100},{100,100}}), graphics));
        end TissuesCO2;

        model TissueCO2
         //extends Library.Interfaces.BaseModel;
          Library.ConcentrationFlow.PositiveConcentrationFlow arty 
            annotation (Placement(transformation(extent={{76,-66},{96,-46}}),
                iconTransformation(extent={{80,-10},{120,30}})));
          Library.ConcentrationFlow.NegativeConcentrationFlow vein 
            annotation (Placement(transformation(extent={{-88,-66},{-68,-46}}),
                iconTransformation(extent={{-120,-10},{-80,30}})));
          Library.ConcentrationFlow.InputPump InflowBase 
            annotation (Placement(transformation(extent={{-64,42},{-44,62}})));

          parameter Real initialMass;
          Library.Interfaces.RealInput_ pH_plasma "outgoing plasma pH" 
                                                                annotation (Placement(transformation(extent={{-3,-3},
                    {3,3}},
                rotation=180,
                origin={9,-39}),          iconTransformation(extent={{-100,-30},{-80,-10}})));
          Library.Interfaces.RealInput_ pH_ery
            "outgoing intracellular erytrocytes pH" 
                                          annotation (Placement(transformation(extent={{-3,-3},
                    {3,3}},
                rotation=180,
                origin={9,-45}),          iconTransformation(extent={{-100,90},{-80,110}})));
          Library.Interfaces.RealInput_ BloodFlow
            "blood flow through ventilated alveols" 
                                           annotation (Placement(transformation(extent={{64,-50},
                    {58,-44}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,54})));

          Library.Interfaces.RealInput_ T "outgoing temperature" annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                rotation=180,
                origin={86,20}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-60})));
          Library.Interfaces.RealInput_ sO2 "outgoing oxygen saturation" 
                                           annotation (Placement(transformation(extent={{3,-3},{
                    -3,3}},
                rotation=180,
                origin={-35,-47}),        iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,60})));
          Library.Interfaces.RealInput_ Hct
            "outgoing hematocrit (erytrocytes volume/blood volume)" 
                                           annotation (Placement(transformation(extent={{3,-3},{
                    -3,3}},
                rotation=180,
                origin={-35,-41}),        iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-60})));

          Library.Interfaces.RealInput_ Tissue_CO2FromMetabolism
            "Co2 flow from metabolism"     annotation (Placement(transformation(extent={{-74,66},
                    {-66,74}}),           iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-20})));
          Library.Interfaces.RealOutput_ pCO2      annotation (Placement(
                transformation(extent={{38,-82},{46,-74}}),  iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-110})));
          Library.Interfaces.RealOutput_ cHCO3     annotation (Placement(
                transformation(extent={{36,-90},{44,-82}}),  iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,-110})));
          Library.Interfaces.RealOutput_ cHCO3_interstitial 
                                                   annotation (Placement(
                transformation(extent={{50,36},{58,44}}),    iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={20,-110})));
          Library.ConcentrationFlow.SolventFlowPump tissueFlow 
            annotation (Placement(transformation(extent={{-10,10},{10,-10}},
                rotation=180,
                origin={42,-56})));
          FlowMeasureCO2 tissueVeinsCO2 
            annotation (Placement(transformation(extent={{-4,-58},{-24,-38}})));
          Modelica.Blocks.Math.Gain DonnansCoeficient(k=1.04) 
            annotation (Placement(transformation(extent={{34,36},{42,44}})));
        equation

          connect(arty, arty) annotation (Line(
              points={{86,-56},{86,-56}},
              color={200,0,0},
              smooth=Smooth.None));
          connect(arty, tissueFlow.q_in) annotation (Line(
              points={{86,-56},{52,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueFlow.solventFlow, BloodFlow) annotation (Line(
              points={{42,-50},{42,-47},{61,-47}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.pCO2_mmHg, pCO2) annotation (Line(
              points={{-18,-60},{-18,-78},{42,-78}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.cHCO3, cHCO3) annotation (Line(
              points={{-22,-60},{-22,-86},{40,-86}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.T, T) annotation (Line(
              points={{-23,-40},{-26,-40},{-26,20},{86,20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.Hct, Hct) annotation (Line(
              points={{-23,-44},{-29,-44},{-29,-41},{-35,-41}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.sO2, sO2) annotation (Line(
              points={{-23,-48},{-30,-48},{-30,-47},{-35,-47}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.pH, pH_plasma) annotation (Line(
              points={{-5,-40},{2,-40},{2,-39},{9,-39}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pH_ery, tissueVeinsCO2.pH_ery) annotation (Line(
              points={{9,-45},{0.5,-45},{0.5,-44},{-5,-44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(InflowBase.q_out, tissueVeinsCO2.q_in) annotation (Line(
              points={{-48,52},{10,52},{10,-56},{-4,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueFlow.q_out, tissueVeinsCO2.q_in) annotation (Line(
              points={{32,-56},{-4,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueVeinsCO2.q_out, vein) annotation (Line(
              points={{-24,-56},{-78,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(BloodFlow, tissueVeinsCO2.BloodFlow) annotation (Line(
              points={{61,-47},{28.5,-47},{28.5,-48},{-5,-48}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(InflowBase.desiredFlow, Tissue_CO2FromMetabolism) annotation (
              Line(
              points={{-54,56},{-54,70},{-70,70}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(DonnansCoeficient.y, cHCO3_interstitial) annotation (Line(
              points={{42.4,40},{54,40}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.cHCO3, DonnansCoeficient.u) annotation (Line(
              points={{-22,-60},{-22,-86},{26,-86},{26,40},{33.2,40}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-100,-80},{100,-100}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.Solid,
                  textString="(init %initialMass mEq)"),
                Text(
                  extent={{-6,92},{80,34}},
                  lineColor={0,0,0},
                  textString="CO"),
                Text(
                  extent={{66,34},{86,62}},
                  lineColor={0,0,0},
                  textString="2"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
        end TissueCO2;

        model TissueCO2_liver
         extends Library.Interfaces.Tissues.Liver;
          Library.ConcentrationFlow.NegativeConcentrationFlow vein 
            annotation (Placement(transformation(extent={{-42,-66},{-22,-46}}),
                iconTransformation(extent={{-120,-10},{-80,30}})));
          Library.ConcentrationFlow.InputPump InflowBase 
            annotation (Placement(transformation(extent={{-64,24},{-44,44}})));

          parameter Real initialMass;
          Library.Interfaces.RealInput_ pH_plasma "outgoing plasma pH" 
                                                                annotation (Placement(transformation(extent={{-3,-3},
                    {3,3}},
                rotation=180,
                origin={7,-37}),          iconTransformation(extent={{-100,-30},{-80,-10}})));
          Library.Interfaces.RealInput_ pH_ery
            "outgoing intracellular erytrocytes pH" 
                                          annotation (Placement(transformation(extent={{-3,-3},
                    {3,3}},
                rotation=180,
                origin={7,-43}),          iconTransformation(extent={{-100,90},{-80,110}})));

          Library.Interfaces.RealInput_ T "outgoing temperature" annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                rotation=180,
                origin={86,20}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,58})));
          Library.Interfaces.RealInput_ sO2 "outgoing oxygen saturation" 
                                           annotation (Placement(transformation(extent={{3,-3},{
                    -3,3}},
                rotation=180,
                origin={-35,-47}),        iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,60})));
          Library.Interfaces.RealInput_ Hct
            "outgoing hematocrit (erytrocytes volume/blood volume)" 
                                           annotation (Placement(transformation(extent={{3,-3},{
                    -3,3}},
                rotation=180,
                origin={-35,-41}),        iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-60})));

          Library.Interfaces.RealOutput_ pCO2      annotation (Placement(
                transformation(extent={{38,-82},{46,-74}}),  iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-110})));
          Library.Interfaces.RealOutput_ cHCO3     annotation (Placement(
                transformation(extent={{36,-90},{44,-82}}),  iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,-110})));
          Library.Interfaces.RealOutput_ cHCO3_interstitial 
                                                   annotation (Placement(
                transformation(extent={{50,36},{58,44}}),    iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={20,-110})));
          Library.ConcentrationFlow.SolventFlowPump tissueFlow 
            annotation (Placement(transformation(extent={{-10,10},{10,-10}},
                rotation=180,
                origin={42,-56})));
          FlowMeasureCO2 tissueVeinsCO2 
            annotation (Placement(transformation(extent={{-4,-58},{-24,-38}})));
          Library.ConcentrationFlow.PositiveConcentrationFlow portalVein 
            annotation (Placement(transformation(extent={{68,-86},{88,-66}}),
                iconTransformation(extent={{0,80},{40,120}})));
          Library.ConcentrationFlow.PositiveConcentrationFlow hepaticArty 
            annotation (Placement(transformation(extent={{78,-66},{98,-46}}),
                iconTransformation(extent={{80,-10},{120,30}})));
          Library.Interfaces.RealInput_ HepaticArtyBloodFlow
            "blood flow through hepatic artery" 
                                           annotation (Placement(transformation(extent={{62,-50},
                    {54,-42}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-100})));
          Library.Interfaces.RealInput_ PortalVeinBloodFlow
            "blood flow through portal vein" 
                                           annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                rotation=180,
                origin={46,-28}),         iconTransformation(extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,90})));
          Modelica.Blocks.Math.Add add annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=180,
                origin={30,-40})));
          Library.Interfaces.RealInput_ Tissue_CO2FromMetabolism
            "Co2 flow from metabolism"     annotation (Placement(transformation(extent={{-72,40},
                    {-64,48}}),           iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-40})));
          Modelica.Blocks.Math.Gain DonnansCoeficient(k=1.04) 
            annotation (Placement(transformation(extent={{32,36},{40,44}})));
        equation

          connect(tissueVeinsCO2.pCO2_mmHg, pCO2) annotation (Line(
              points={{-18,-60},{-18,-78},{42,-78}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.cHCO3, cHCO3) annotation (Line(
              points={{-22,-60},{-22,-86},{40,-86}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.T, T) annotation (Line(
              points={{-23,-40},{-26,-40},{-26,20},{86,20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.Hct, Hct) annotation (Line(
              points={{-23,-44},{-29,-44},{-29,-41},{-35,-41}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.sO2, sO2) annotation (Line(
              points={{-23,-48},{-30,-48},{-30,-47},{-35,-47}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.pH, pH_plasma) annotation (Line(
              points={{-5,-40},{0,-40},{0,-37},{7,-37}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pH_ery, tissueVeinsCO2.pH_ery) annotation (Line(
              points={{7,-43},{0.5,-43},{0.5,-44},{-5,-44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(InflowBase.q_out, tissueVeinsCO2.q_in) annotation (Line(
              points={{-48,34},{10,34},{10,-56},{-4,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueFlow.q_out, tissueVeinsCO2.q_in) annotation (Line(
              points={{32,-56},{-4,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueVeinsCO2.q_out, vein) annotation (Line(
              points={{-24,-56},{-32,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(hepaticArty, tissueFlow.q_in) annotation (Line(
              points={{88,-56},{52,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueVeinsCO2.q_in, portalVein) annotation (Line(
              points={{-4,-56},{24,-56},{24,-74},{78,-74},{78,-76}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(HepaticArtyBloodFlow, tissueFlow.solventFlow) annotation (Line(
              points={{58,-46},{42,-46},{42,-50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PortalVeinBloodFlow, add.u2) annotation (Line(
              points={{46,-28},{40,-28},{40,-37.6},{34.8,-37.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(HepaticArtyBloodFlow, add.u1) annotation (Line(
              points={{58,-46},{42,-46},{42,-42.4},{34.8,-42.4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add.y, tissueVeinsCO2.BloodFlow) annotation (Line(
              points={{25.6,-40},{24,-40},{24,-48},{-5,-48}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(InflowBase.desiredFlow, Tissue_CO2FromMetabolism) annotation (
              Line(
              points={{-54,38},{-54,44},{-68,44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(DonnansCoeficient.y, cHCO3_interstitial) annotation (Line(
              points={{40.4,40},{54,40}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.cHCO3, DonnansCoeficient.u) annotation (Line(
              points={{-22,-60},{-22,-86},{20,-86},{20,40},{31.2,40}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-100,-80},{100,-100}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.Solid,
                  textString="(init %initialMass mEq)"),
                Text(
                  extent={{-6,92},{80,34}},
                  lineColor={0,0,0},
                  textString="CO"),
                Text(
                  extent={{66,34},{86,62}},
                  lineColor={0,0,0},
                  textString="2"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
        end TissueCO2_liver;

        model SkeletalMuscleCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.SkeletalMuscle;
        end SkeletalMuscleCO2;

        model BoneCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.Bone;
        end BoneCO2;

        model OtherTissueCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.OtherTissue;
        end OtherTissueCO2;

        model RespiratoryMuscleCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.RespiratoryMuscle;
        end RespiratoryMuscleCO2;

        model FatCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.Fat;
        end FatCO2;

        model SkinCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.Skin;
        end SkinCO2;

        model BrainCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.Brain;
        end BrainCO2;

        model GITractCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.GITract;
        end GITractCO2;

        model LeftHeartCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.LeftHeart;
        end LeftHeartCO2;

        model RightHeartCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.RightHeart;
        end RightHeartCO2;

        model KidneyCO2
          extends TissueCO2;
          extends Library.Interfaces.Tissues.Kidney;
        end KidneyCO2;
      end TissuesWithInterstitium;

      package setup

      model CO2ConstInputs

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-18,-2},{-4,12}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant AirSupplyInspiredAirPressure(k=760.) 
      annotation (Placement(transformation(extent={{-98,-108},{-92,-102}})));
      Library.Blocks.Constant ArtysVol(k=1587.76521066473) 
      annotation (Placement(transformation(extent={{-98,-98},{-92,-92}})));
      Library.Blocks.Constant BarometerPressure(k=760.) 
      annotation (Placement(transformation(extent={{-98,-88},{-92,-82}})));
      Library.Blocks.Constant Artys_pH(k=7.41) 
      annotation (Placement(transformation(extent={{-98,-78},{-92,-72}})));
      Library.Blocks.Constant Veins_pH(k=7.35) 
      annotation (Placement(transformation(extent={{-98,-68},{-92,-62}})));
      Library.Blocks.Constant BloodVol_Hct(k=0.44254397591206) 
      annotation (Placement(transformation(extent={{-98,-58},{-92,-52}})));
      Library.Blocks.Constant bone_CO2FromMetabolism(k=0.697595117240503) 
      annotation (Placement(transformation(extent={{-98,-48},{-92,-42}})));
      Library.Blocks.Constant bone_BloodFlow(k=411.529549648395) 
      annotation (Placement(transformation(extent={{-98,-38},{-92,-32}})));
      Library.Blocks.Constant brain_CO2FromMetabolism(k=1.86025364597468) 
      annotation (Placement(transformation(extent={{-98,-28},{-92,-22}})));
      Library.Blocks.Constant brain_BloodFlow(k=870.480358845086) 
      annotation (Placement(transformation(extent={{-98,-18},{-92,-12}})));
      Library.Blocks.Constant CardiacOutput(k=5402.99570595689) 
      annotation (Placement(transformation(extent={{-98,-8},{-92,-2}})));
      Library.Blocks.Constant ExcessLungWater_Volume(k=0.) 
      annotation (Placement(transformation(extent={{-98,2},{-92,8}})));
      Library.Blocks.Constant fat_CO2FromMetabolism(k=0.232531705746834) 
      annotation (Placement(transformation(extent={{-98,12},{-92,18}})));
      Library.Blocks.Constant fat_BloodFlow(k=236.170497748735) 
      annotation (Placement(transformation(extent={{-98,22},{-92,28}})));
      Library.Blocks.Constant GITract_CO2FromMetabolism(k=0.92237576612911) 
      annotation (Placement(transformation(extent={{-98,32},{-92,38}})));
      Library.Blocks.Constant GITract_BloodFlow(k=971.271094732174) 
      annotation (Placement(transformation(extent={{-98,42},{-92,48}})));
      Library.Blocks.Constant GITract_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-98,52},{-92,58}})));
      Library.Blocks.Constant HeatCore_Temp(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-98,62},{-92,68}})));
      Library.Blocks.Constant bone_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-98,72},{-92,78}})));
      Library.Blocks.Constant brain_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-98,82},{-92,88}})));
      Library.Blocks.Constant fat_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-98,92},{-92,98}})));
      Library.Blocks.Constant kidney_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-54,-106},{-46,-98}})));
      Library.Blocks.Constant leftHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-52,-94},{-46,-88}})));
      Library.Blocks.Constant liver_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-52,-84},{-46,-78}})));
      Library.Blocks.Constant otherTissue_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-52,-74},{-46,-68}})));
      Library.Blocks.Constant respiratoryMuscle_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-52,-64},{-46,-58}})));
      Library.Blocks.Constant rightHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-52,-54},{-46,-48}})));
      Library.Blocks.Constant skeletalMuscle_T(k=37.239827522926) 
      annotation (Placement(transformation(extent={{-52,-44},{-46,-38}})));
      Library.Blocks.Constant skin_T(k=28.6404308069366) 
      annotation (Placement(transformation(extent={{-52,-34},{-46,-28}})));
      Library.Blocks.Constant HepaticArty_BloodFlow(k=245.489746000535) 
      annotation (Placement(transformation(extent={{-52,-24},{-46,-18}})));
      Library.Blocks.Constant kidney_CO2FromMetabolism(k=0.804368997308183) 
      annotation (Placement(transformation(extent={{-52,-14},{-46,-8}})));
      Library.Blocks.Constant kidney_BloodFlow(k=1231.77885077347) 
      annotation (Placement(transformation(extent={{-52,-4},{-46,2}})));
      Library.Blocks.Constant leftHeart_CO2FromMetabolism(k=0.983949601164556) 
      annotation (Placement(transformation(extent={{-52,6},{-46,12}})));
      Library.Blocks.Constant leftHeart_BloodFlow(k=187.141403158598) 
      annotation (Placement(transformation(extent={{-52,16},{-46,22}})));
      Library.Blocks.Constant liver_CO2FromMetabolism(k=1.46494974620506) 
      annotation (Placement(transformation(extent={{-52,26},{-46,32}})));
      Library.Blocks.Constant AlveolarVentilated_BloodFlow(k=5182.99570595689) 
      annotation (Placement(transformation(extent={{-52,36},{-46,42}})));
      Library.Blocks.Constant otherTissue_CO2FromMetabolism(k=0.387552842911391) 
      annotation (Placement(transformation(extent={{-52,46},{-46,52}})));
      Library.Blocks.Constant otherTissue_BloodFlow(k=367.445620022139) 
      annotation (Placement(transformation(extent={{-52,56},{-46,62}})));
      Library.Blocks.Constant RespiratoryCenter_MotorNerveActivity(k=0.993694435232649) 
      annotation (Placement(transformation(extent={{-52,66},{-46,72}})));
      Library.Blocks.Constant RespiratoryCenter_RespRate(k=11.9741435842595) 
      annotation (Placement(transformation(extent={{-52,76},{-46,82}})));
      Library.Blocks.Constant respiratoryMuscle_CO2FromMetabolism(k=0.22658381572405) 
      annotation (Placement(transformation(extent={{-52,86},{-46,92}})));
      Library.Blocks.Constant respiratoryMuscle_BloodFlow(k=96.4514390299406) 
      annotation (Placement(transformation(extent={{-52,96},{-46,102}})));
      Library.Blocks.Constant RespiratorMuscle_FunctionEffect(k=0.995580586980285) 
      annotation (Placement(transformation(extent={{-52,106},{-46,112}})));
      Library.Blocks.Constant rightHeart_CO2FromMetabolism(k=0.187545298574683) 
      annotation (Placement(transformation(extent={{0,-124},{6,-118}})));
      Library.Blocks.Constant rightHeart_BloodFlow(k=35.2508578572206) 
      annotation (Placement(transformation(extent={{0,-114},{6,-108}})));
      Library.Blocks.Constant skeletalMuscle_CO2FromMetabolism(k=1.12052668274732) 
      annotation (Placement(transformation(extent={{0,-104},{6,-98}})));
      Library.Blocks.Constant skeletalMuscle_BloodFlow(k=630.94639202895) 
      annotation (Placement(transformation(extent={{0,-94},{6,-88}})));
      Library.Blocks.Constant skin_CO2FromMetabolism(k=0.301326571307518) 
      annotation (Placement(transformation(extent={{0,-84},{6,-78}})));
      Library.Blocks.Constant skin_BloodFlow(k=116.996639739554) 
      annotation (Placement(transformation(extent={{0,-74},{6,-68}})));
      Library.Blocks.Constant Thorax_LungInflation(k=1.) 
      annotation (Placement(transformation(extent={{0,-64},{6,-58}})));
      Library.Blocks.Constant VeinsVol(k=3777.66406071807) 
      annotation (Placement(transformation(extent={{0,-54},{6,-48}})));
      Library.Blocks.Constant bone_sO2(k=.7369676776) 
      annotation (Placement(transformation(extent={{0,-44},{6,-38}})));
      Library.Blocks.Constant brain_sO2(k=.6757024462) 
      annotation (Placement(transformation(extent={{0,-34},{6,-28}})));
      Library.Blocks.Constant fat_sO2(k=.8354732713) 
      annotation (Placement(transformation(extent={{0,-24},{6,-18}})));
      Library.Blocks.Constant GITract_sO2(k=.8403163888) 
      annotation (Placement(transformation(extent={{0,-14},{6,-8}})));
      Library.Blocks.Constant kidney_sO2(k=.8814419008) 
      annotation (Placement(transformation(extent={{0,-4},{6,2}})));
      Library.Blocks.Constant leftHeart_sO2(k=.2430556345) 
      annotation (Placement(transformation(extent={{0,6},{6,12}})));
      Library.Blocks.Constant liver_sO2(k=.6999649778) 
      annotation (Placement(transformation(extent={{0,16},{6,22}})));
      Library.Blocks.Constant O2Artys_sO2(k=.9719730265) 
      annotation (Placement(transformation(extent={{0,26},{6,32}})));
      Library.Blocks.Constant O2Veins_sO2(k=.7357091911) 
      annotation (Placement(transformation(extent={{0,36},{6,42}})));
      Library.Blocks.Constant otherTissue_sO2(k=.8257508675) 
      annotation (Placement(transformation(extent={{0,46},{6,52}})));
      Library.Blocks.Constant respiratoryMuscle_sO2(k=.646289708) 
      annotation (Placement(transformation(extent={{0,56},{6,62}})));
      Library.Blocks.Constant rightHeart_sO2(k=.2343884422) 
      annotation (Placement(transformation(extent={{0,66},{6,72}})));
      Library.Blocks.Constant skeletalMuscle_sO2(k=.7257633704) 
      annotation (Placement(transformation(extent={{0,76},{6,82}})));
      Library.Blocks.Constant skin_sO2(k=.6149145222) 
      annotation (Placement(transformation(extent={{0,86},{6,92}})));
      Library.Blocks.Constant O2Lung_sO2(k=.999) 
      annotation (Placement(transformation(extent={{0,96},{6,102}})));
      Library.Blocks.Constant GITract_pH_plasma(k=7.39003) 
      annotation (Placement(transformation(extent={{0,106},{6,112}})));
      Library.Blocks.Constant bone_pH_plasma(k=7.37552) 
      annotation (Placement(transformation(extent={{0,116},{6,122}})));
      Library.Blocks.Constant brain_pH_plasma(k=7.367) 
      annotation (Placement(transformation(extent={{0,126},{6,132}})));
      Library.Blocks.Constant fat_pH_plasma(k=7.38933) 
      annotation (Placement(transformation(extent={{0,136},{6,142}})));
      Library.Blocks.Constant kidney_pH_plasma(k=7.39771) 
      annotation (Placement(transformation(extent={{50,-120},{56,-114}})));
      Library.Blocks.Constant leftHeart_pH_plasma(k=7.30645) 
      annotation (Placement(transformation(extent={{50,-110},{56,-104}})));
      Library.Blocks.Constant liver_pH_plasma(k=7.39146) 
      annotation (Placement(transformation(extent={{50,-100},{56,-94}})));
      Library.Blocks.Constant otherTissue_pH_plasma(k=7.38794) 
      annotation (Placement(transformation(extent={{50,-90},{56,-84}})));
      Library.Blocks.Constant respiratoryMuscle_pH_plasma(k=7.36313) 
      annotation (Placement(transformation(extent={{50,-80},{56,-74}})));
      Library.Blocks.Constant rightHeart_pH_plasma(k=7.30524) 
      annotation (Placement(transformation(extent={{50,-70},{56,-64}})));
      Library.Blocks.Constant skeletalMuscle_pH_plasma(k=7.37421) 
      annotation (Placement(transformation(extent={{50,-60},{56,-54}})));
      Library.Blocks.Constant skin_pH_plasma(k=7.35872) 
      annotation (Placement(transformation(extent={{50,-50},{56,-44}})));
      Library.Blocks.Constant GITract_pH_ery(k=7.18791) 
      annotation (Placement(transformation(extent={{50,-40},{56,-34}})));
      Library.Blocks.Constant Veins_pH_ery(k=7.18028) 
      annotation (Placement(transformation(extent={{50,-30},{56,-24}})));
      Library.Blocks.Constant bone_pH_ery(k=7.18036) 
      annotation (Placement(transformation(extent={{50,-20},{56,-14}})));
      Library.Blocks.Constant brain_pH_ery(k=7.17594) 
      annotation (Placement(transformation(extent={{50,-10},{56,-4}})));
      Library.Blocks.Constant fat_pH_ery(k=7.18754) 
      annotation (Placement(transformation(extent={{50,0},{56,6}})));
      Library.Blocks.Constant kidney_pH_ery(k=7.19238) 
      annotation (Placement(transformation(extent={{50,10},{56,16}})));
      Library.Blocks.Constant leftHeart_pH_ery(k=7.14446) 
      annotation (Placement(transformation(extent={{50,20},{56,26}})));
      Library.Blocks.Constant liver_pH_ery(k=7.19393) 
      annotation (Placement(transformation(extent={{50,30},{56,36}})));
      Library.Blocks.Constant otherTissue_pH_ery(k=7.18682) 
      annotation (Placement(transformation(extent={{50,40},{56,46}})));
      Library.Blocks.Constant respiratoryMuscle_pH_ery(k=7.17399) 
      annotation (Placement(transformation(extent={{50,50},{56,56}})));
      Library.Blocks.Constant rightHeart_pH_ery(k=7.14383) 
      annotation (Placement(transformation(extent={{50,60},{56,66}})));
      Library.Blocks.Constant skeletalMuscle_pH_ery(k=7.17974) 
      annotation (Placement(transformation(extent={{50,70},{56,76}})));
      Library.Blocks.Constant skin_pH_ery(k=7.17169) 
      annotation (Placement(transformation(extent={{50,80},{56,86}})));
      Library.Blocks.Constant Artys_pH_ery(k=7.19731) 
      annotation (Placement(transformation(extent={{50,90},{56,96}})));
      Library.Blocks.Constant bone_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{50,100},{56,106}})));
      Library.Blocks.Constant brain_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{50,110},{56,116}})));
      Library.Blocks.Constant fat_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{48,118},{64,134}})));
      Library.Blocks.Constant GITract_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{194,-44},{216,-22}})));
      Library.Blocks.Constant kidney_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{210,-18},{216,-12}})));
      Library.Blocks.Constant leftHeart_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{210,-8},{216,-2}})));
      Library.Blocks.Constant liver_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{210,2},{216,8}})));
      Library.Blocks.Constant otherTissue_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{210,12},{216,18}})));
      Library.Blocks.Constant respiratoryMuscle_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{210,22},{216,28}})));
      Library.Blocks.Constant rightHeart_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{210,32},{216,38}})));
      Library.Blocks.Constant skeletalMuscle_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{210,42},{216,48}})));
      Library.Blocks.Constant skin_pH_interstitial(k=7.42) 
      annotation (Placement(transformation(extent={{210,52},{216,58}})));
      equation

      connect(AirSupplyInspiredAirPressure.y, busConnector.AirSupplyInspiredAirPressure) annotation (Line(
       points={{-91.7,-105},{-11,-105},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ArtysVol.y, busConnector.ArtysVol) annotation (Line(
       points={{-91.7,-95},{-11,-95},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BarometerPressure.y, busConnector.BarometerPressure) annotation (Line(
       points={{-91.7,-85},{-11,-85},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
       points={{-91.7,-75},{-11,-75},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Veins_pH.y, busConnector.Veins_pH) annotation (Line(
       points={{-91.7,-65},{-11,-65},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodVol_Hct.y, busConnector.BloodVol_Hct) annotation (Line(
       points={{-91.7,-55},{-11,-55},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_CO2FromMetabolism.y, busConnector.bone_CO2FromMetabolism) annotation (Line(
       points={{-91.7,-45},{-11,-45},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_BloodFlow.y, busConnector.bone_BloodFlow) annotation (Line(
       points={{-91.7,-35},{-11,-35},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_CO2FromMetabolism.y, busConnector.brain_CO2FromMetabolism) annotation (Line(
       points={{-91.7,-25},{-11,-25},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_BloodFlow.y, busConnector.brain_BloodFlow) annotation (Line(
       points={{-91.7,-15},{-11,-15},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CardiacOutput.y, busConnector.CardiacOutput) annotation (Line(
       points={{-91.7,-5},{-11,-5},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ExcessLungWater_Volume.y, busConnector.ExcessLungWater_Volume) annotation (Line(
       points={{-91.7,5},{-6,6},{-6,5},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_CO2FromMetabolism.y, busConnector.fat_CO2FromMetabolism) annotation (Line(
       points={{-91.7,15},{-11,15},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_BloodFlow.y, busConnector.fat_BloodFlow) annotation (Line(
       points={{-91.7,25},{-11,25},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_CO2FromMetabolism.y, busConnector.GITract_CO2FromMetabolism) annotation (Line(
       points={{-91.7,35},{-11,35},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
       points={{-91.7,45},{-11,45},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_T.y, busConnector.GITract_T) annotation (Line(
       points={{-91.7,55},{-11,55},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatCore_Temp.y, busConnector.core_T) annotation (Line(
       points={{-91.7,65},{-11,65},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_T.y, busConnector.bone_T) annotation (Line(
       points={{-91.7,75},{-11,75},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_T.y, busConnector.brain_T) annotation (Line(
       points={{-91.7,85},{-11,85},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_T.y, busConnector.fat_T) annotation (Line(
       points={{-91.7,95},{-11,95},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_T.y, busConnector.kidney_T) annotation (Line(
       points={{-45.6,-102},{-11,-102},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_T.y, busConnector.leftHeart_T) annotation (Line(
       points={{-45.7,-91},{-11,-91},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_T.y, busConnector.liver_T) annotation (Line(
       points={{-45.7,-81},{-11,-81},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_T.y, busConnector.otherTissue_T) annotation (Line(
       points={{-45.7,-71},{-11,-71},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_T.y, busConnector.respiratoryMuscle_T) annotation (Line(
       points={{-45.7,-61},{-11,-61},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_T.y, busConnector.rightHeart_T) annotation (Line(
       points={{-45.7,-51},{-11,-51},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_T.y, busConnector.skeletalMuscle_T) annotation (Line(
       points={{-45.7,-41},{-11,-41},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y, busConnector.skin_T) annotation (Line(
       points={{-45.7,-31},{-11,-31},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
       points={{-45.7,-21},{-11,-21},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_CO2FromMetabolism.y, busConnector.kidney_CO2FromMetabolism) annotation (Line(
       points={{-45.7,-11},{-11,-11},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_BloodFlow.y, busConnector.kidney_BloodFlow) annotation (Line(
       points={{-45.7,-1},{-11,-1},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_CO2FromMetabolism.y, busConnector.leftHeart_CO2FromMetabolism) annotation (Line(
       points={{-45.7,9},{-11,9},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_BloodFlow.y, busConnector.leftHeart_BloodFlow) annotation (Line(
       points={{-45.7,19},{-11,19},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_CO2FromMetabolism.y, busConnector.liver_CO2FromMetabolism) annotation (Line(
       points={{-45.7,29},{-11,29},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
       points={{-45.7,39},{-11,39},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_CO2FromMetabolism.y, busConnector.otherTissue_CO2FromMetabolism) annotation (Line(
       points={{-45.7,49},{-11,49},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_BloodFlow.y, busConnector.otherTissue_BloodFlow) annotation (Line(
       points={{-45.7,59},{-11,59},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryCenter_MotorNerveActivity.y, busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
       points={{-45.7,69},{-11,69},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryCenter_RespRate.y, busConnector.RespiratoryCenter_RespRate) annotation (Line(
       points={{-45.7,79},{-11,79},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_CO2FromMetabolism.y, busConnector.respiratoryMuscle_CO2FromMetabolism) annotation (Line(
       points={{-45.7,89},{-11,89},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_BloodFlow.y, busConnector.respiratoryMuscle_BloodFlow) annotation (Line(
       points={{-45.7,99},{-11,99},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratorMuscle_FunctionEffect.y, busConnector.RespiratoryMuscleFunctionEffect) annotation (Line(
       points={{-45.7,109},{-11,109},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_CO2FromMetabolism.y, busConnector.rightHeart_CO2FromMetabolism) annotation (Line(
       points={{6.3,-121},{-11,-121},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_BloodFlow.y, busConnector.rightHeart_BloodFlow) annotation (Line(
       points={{6.3,-111},{-11,-111},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_CO2FromMetabolism.y, busConnector.skeletalMuscle_CO2FromMetabolism) annotation (Line(
       points={{6.3,-101},{-11,-101},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) annotation (Line(
       points={{6.3,-91},{-11,-91},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_CO2FromMetabolism.y, busConnector.skin_CO2FromMetabolism) annotation (Line(
       points={{6.3,-81},{-11,-81},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) annotation (Line(
       points={{6.3,-71},{-11,-71},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Thorax_LungInflation.y, busConnector.Thorax_LungInflation) annotation (Line(
       points={{6.3,-61},{-11,-61},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VeinsVol.y, busConnector.VeinsVol) annotation (Line(
       points={{6.3,-51},{-11,-51},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_sO2.y, busConnector.bone_sO2) annotation (Line(
       points={{6.3,-41},{-11,-41},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_sO2.y, busConnector.brain_sO2) annotation (Line(
       points={{6.3,-31},{-11,-31},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_sO2.y, busConnector.fat_sO2) annotation (Line(
       points={{6.3,-21},{-11,-21},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_sO2.y, busConnector.GITract_sO2) annotation (Line(
       points={{6.3,-11},{-11,-11},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_sO2.y, busConnector.kidney_sO2) annotation (Line(
       points={{6.3,-1},{-11,-1},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_sO2.y, busConnector.leftHeart_sO2) annotation (Line(
       points={{6.3,9},{-11,9},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_sO2.y, busConnector.liver_sO2) annotation (Line(
       points={{6.3,19},{-11,19},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(O2Artys_sO2.y, busConnector.O2Artys_sO2) annotation (Line(
       points={{6.3,29},{-11,29},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(O2Veins_sO2.y, busConnector.O2Veins_sO2) annotation (Line(
       points={{6.3,39},{-11,39},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_sO2.y, busConnector.otherTissue_sO2) annotation (Line(
       points={{6.3,49},{-11,49},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_sO2.y, busConnector.respiratoryMuscle_sO2) annotation (Line(
       points={{6.3,59},{-11,59},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_sO2.y, busConnector.rightHeart_sO2) annotation (Line(
       points={{6.3,69},{-11,69},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_sO2.y, busConnector.skeletalMuscle_sO2) annotation (Line(
       points={{6.3,79},{-11,79},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_sO2.y, busConnector.skin_sO2) annotation (Line(
       points={{6.3,89},{-11,89},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(O2Lung_sO2.y, busConnector.O2Lung_sO2) annotation (Line(
       points={{6.3,99},{-11,99},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pH_plasma.y, busConnector.GITract_pH_plasma) annotation (Line(
       points={{6.3,109},{-11,109},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_plasma.y, busConnector.bone_pH_plasma) annotation (Line(
       points={{6.3,119},{-11,119},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_plasma.y, busConnector.brain_pH_plasma) annotation (Line(
       points={{6.3,129},{-11,129},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_plasma.y, busConnector.fat_pH_plasma) annotation (Line(
       points={{6.3,139},{-11,139},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_plasma.y, busConnector.kidney_pH_plasma) annotation (Line(
       points={{56.3,-117},{-11,-117},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_plasma.y, busConnector.leftHeart_pH_plasma) annotation (Line(
       points={{56.3,-107},{-11,-107},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_plasma.y, busConnector.liver_pH_plasma) annotation (Line(
       points={{56.3,-97},{-11,-97},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_plasma.y, busConnector.otherTissue_pH_plasma) annotation (Line(
       points={{56.3,-87},{-11,-87},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_plasma.y, busConnector.respiratoryMuscle_pH_plasma) annotation (Line(
       points={{56.3,-77},{-11,-77},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_plasma.y, busConnector.rightHeart_pH_plasma) annotation (Line(
       points={{56.3,-67},{-11,-67},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_plasma.y, busConnector.skeletalMuscle_pH_plasma) annotation (Line(
       points={{56.3,-57},{-11,-57},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_plasma.y, busConnector.skin_pH_plasma) annotation (Line(
       points={{56.3,-47},{-11,-47},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pH_ery.y, busConnector.GITract_pH_ery) annotation (Line(
       points={{56.3,-37},{-11,-37},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Veins_pH_ery.y, busConnector.Veins_pH_ery) annotation (Line(
       points={{56.3,-27},{-11,-27},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_ery.y, busConnector.bone_pH_ery) annotation (Line(
       points={{56.3,-17},{-11,-17},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_ery.y, busConnector.brain_pH_ery) annotation (Line(
       points={{56.3,-7},{-11,-7},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_ery.y, busConnector.fat_pH_ery) annotation (Line(
       points={{56.3,3},{-11,3},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_ery.y, busConnector.kidney_pH_ery) annotation (Line(
       points={{56.3,13},{-11,13},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_ery.y, busConnector.leftHeart_pH_ery) annotation (Line(
       points={{56.3,23},{-11,23},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_ery.y, busConnector.liver_pH_ery) annotation (Line(
       points={{56.3,33},{-11,33},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_ery.y, busConnector.otherTissue_pH_ery) annotation (Line(
       points={{56.3,43},{-11,43},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_ery.y, busConnector.respiratoryMuscle_pH_ery) annotation (Line(
       points={{56.3,53},{-11,53},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_ery.y, busConnector.rightHeart_pH_ery) annotation (Line(
       points={{56.3,63},{-11,63},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_ery.y, busConnector.skeletalMuscle_pH_ery) annotation (Line(
       points={{56.3,73},{-11,73},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_ery.y, busConnector.skin_pH_ery) annotation (Line(
       points={{56.3,83},{-11,83},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Artys_pH_ery.y, busConnector.Artys_pH_ery) annotation (Line(
       points={{56.3,93},{-11,93},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_interstitial.y, busConnector.bone_pH_interstitial) annotation (Line(
       points={{56.3,103},{-11,103},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_interstitial.y, busConnector.brain_pH_interstitial) annotation (Line(
       points={{56.3,113},{-11,113},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_interstitial.y, busConnector.fat_pH_interstitial) annotation (Line(
       points={{64.8,126},{-11,126},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pH_interstitial.y, busConnector.GITract_pH_interstitial) annotation (Line(
       points={{217.1,-33},{-11,-33},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_interstitial.y, busConnector.kidney_pH_interstitial) annotation (Line(
       points={{216.3,-15},{-11,-15},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_interstitial.y, busConnector.leftHeart_pH_interstitial) annotation (Line(
       points={{216.3,-5},{-11,-5},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_interstitial.y, busConnector.liver_pH_interstitial) annotation (Line(
       points={{216.3,5},{148,6},{148,5},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_interstitial.y, busConnector.otherTissue_pH_interstitial) annotation (Line(
       points={{216.3,15},{-11,15},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_interstitial.y, busConnector.respiratoryMuscle_pH_interstitial) annotation (Line(
       points={{216.3,25},{-11,25},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_interstitial.y, busConnector.rightHeart_pH_interstitial) annotation (Line(
       points={{216.3,35},{-11,35},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_interstitial.y, busConnector.skeletalMuscle_pH_interstitial) annotation (Line(
       points={{216.3,45},{-11,45},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_interstitial.y, busConnector.skin_pH_interstitial) annotation (Line(
       points={{216.3,55},{-11,55},{-11,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        annotation (Diagram(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}}), graphics));
      end CO2ConstInputs;

      end setup;

      package test
        model T
          setup.CO2ConstInputs cO2ConstInputs 
            annotation (Placement(transformation(extent={{-70,-18},{-50,2}})));
          CO2 cO2_1 
            annotation (Placement(transformation(extent={{-8,-18},{12,2}})));
        equation
          connect(cO2ConstInputs.busConnector, cO2_1.busConnector) annotation (
              Line(
              points={{-62,-8},{-26,-8},{-26,-2},{10,-2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false,
                  extent={{-100,-100},{100,100}}), graphics));
        end T;
      end test;

      model ExternalCO2
        extends Library.ConcentrationFlow.UnlimitedStorage;
        annotation (Icon(graphics={Bitmap(extent={{-170,162},{168,-156}},
                  fileName="icons/prvkyCO2.png")}));
      end ExternalCO2;

      model CO2_conc
       // extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment_knownConc CO2Veins(
            concentration=0.022, stateName="CO2Veins.Mass[mMol]") 
          annotation (Placement(transformation(extent={{-96,-14},{-76,6}})));
        Library.ConcentrationFlow.ConcentrationCompartment_knownConc CO2Artys(
            concentration=0.0213, stateName="CO2Artys.Mass[mMol]") 
          annotation (Placement(transformation(extent={{92,-12},{72,8}})));
        TissuesWithInterstitium.TissuesCO2 CO2Tissues(
          skeletalMuscleCO2(tissueVeinsCO2(pCO2(start=6.079))),
          liverCO2(tissueVeinsCO2(pCO2(start=5.8879))),
          boneCO2(tissueVeinsCO2(pCO2(start=6.0267))),
          brainCO2(tissueVeinsCO2(pCO2(start=6.2398))),
          otherTissueCO2(tissueVeinsCO2(pCO2(start=5.7258))),
          GITractCO2(tissueVeinsCO2(pCO2(start=5.6768))),
          respiratoryMuscleCO2(tissueVeinsCO2(pCO2(start=6.34097))),
          kidneyCO2(tissueVeinsCO2(pCO2(start=5.51929))),
          fatCO2(tissueVeinsCO2(pCO2(start=5.6931))),
          leftHeartCO2(tissueVeinsCO2(pCO2(start=7.8986))),
          rightHeartCO2(tissueVeinsCO2(pCO2(start=7.9346))),
          skinCO2(tissueVeinsCO2(pCO2(start=5.9118)))) 
          annotation (Placement(transformation(extent={{-48,-40},{-28,-20}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-114,-62},{-74,-22}}),
              iconTransformation(extent={{60,40},{100,80}})));
        ExternalCO2 air_CO2(                               concentration=0) 
          annotation (Placement(transformation(extent={{-62,88},{-50,100}})));
        HumMod.Gases.CO2.BloodCO2 CO2Lung(pCO2(start=5.038)) 
          annotation (Placement(transformation(extent={{-10,22},{10,42}})));
        AlveolarVentilation_STPD alveolarVentilation(          EnvironmentPressure=
              760, EnvironmentTemperature=0,
          solventFlowPump(q_out(conc(start=0.05))))  annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={0,78})));
        NaturalVentilation2 naturalVentilation 
          annotation (Placement(transformation(extent={{60,70},{40,90}})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit 
          annotation (Placement(transformation(extent={{-38,20},{-18,0}})));
        Modelica.Blocks.Math.Feedback pulmShortCircuitFlow 
          annotation (Placement(transformation(extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-12,-10})));
        HumMod.Library.PressureFlow.Gas_FromMLtoMMOL fromMLtoMMOL(
                                                       mmolPerML=0.0446) 
                            annotation (Placement(transformation(
              extent={{-8,-8},{8,8}},
              rotation=270,
              origin={0,54})));
      //1000 * 1.977/40.01
        HumMod.Gases.CO2.MeassureBloodCO2 measure 
          annotation (Placement(transformation(extent={{-96,22},{-76,42}})));
        HumMod.Gases.CO2.MeassureBloodCO2 measure1(pCO2(start=5.24039)) 
          annotation (Placement(transformation(extent={{72,22},{92,42}})));
      equation
        connect(busConnector.VeinsVol, CO2Veins.SolventVolume)     annotation (
            Line(
            points={{-94,-42},{-100,-42},{-100,4},{-96,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Artys.SolventVolume, busConnector.ArtysVol)     annotation (
            Line(
            points={{92,6},{100,6},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Tissues.q_out, CO2Veins.q_out) 
                                                 annotation (Line(
            points={{-50,-30},{-70,-30},{-70,-4},{-86,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(alveolarVentilation.TidalVolume,naturalVentilation. TidalVolume) 
          annotation (Line(
            points={{8,82},{38.6,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(alveolarVentilation.DeadSpace,naturalVentilation. DeadSpace) 
          annotation (Line(
            points={{8,76},{38.6,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(naturalVentilation.ExcessLungWater_Volume, busConnector.ExcessLungWater_Volume) 
          annotation (Line(
            points={{58.6,72},{100,72},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.Thorax_LungInflation, busConnector.Thorax_LungInflation) 
          annotation (Line(
            points={{58.6,76},{100,76},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.RespiratoryMuscleFunctionEffect, busConnector.RespiratoryMuscleFunctionEffect) 
          annotation (Line(
            points={{58.6,84},{100,84},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(alveolarVentilation.core_T, busConnector.core_T) 
          annotation (Line(
            points={{8,70},{26,70},{26,62},{100,62},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.RespiratoryCenter_RespRate,alveolarVentilation. RespRate) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,82},{-8,82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(naturalVentilation.RespiratoryCenterOutput_MotorNerveActivity,
          busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
            points={{58.6,88},{100,88},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Lung.sO2, busConnector.O2Lung_sO2)              annotation (
            Line(
            points={{9,32},{50,32},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow, CO2Lung.BloodFlow) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,32},{-9,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Artys_pH, CO2Lung.pH)              annotation (
            Line(
            points={{-94,-42},{-54,-42},{-54,40},{-9,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Artys_pH_ery, CO2Lung.pH_ery) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,36},{-9,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Lung.q_out, CO2Artys.q_out)              annotation (Line(
            points={{10,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CO2Lung.Hct, busConnector.BloodVol_Hct)              annotation (Line(
            points={{9,36},{50,36},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Artys.q_out, CO2Tissues.q_in) annotation (Line(
            points={{82,-2},{68,-2},{68,-30},{-26,-30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(air_CO2.q_out, alveolarVentilation.inspired) annotation (Line(
            points={{-55.88,94},{-14,94},{-14,86},{-10,86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(air_CO2.q_out, alveolarVentilation.expired) annotation (Line(
            points={{-55.88,94},{14,94},{14,86},{10,86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.BarometerPressure, alveolarVentilation.BarometerPressure) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,76},{-8,76}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AirSupplyInspiredAirPressure, alveolarVentilation.AirSupplyInspiredAirPressure) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,70},{-8,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Lung.T, busConnector.core_T) annotation (Line(
            points={{9,40},{50,40},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Lung.pCO2_mmHg, busConnector.CO2Lung_pCO2) annotation (Line(
            points={{4,20},{4,12},{10,12},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-5},{6,-5}}));
        connect(CO2Lung.cHCO3, busConnector.CO2Lung_cHCO3) annotation (Line(
            points={{8,20},{8,12},{10,12},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmShortCircuit.solventFlow, pulmShortCircuitFlow.y) 
                                                       annotation (Line(
            points={{-28,4},{-28,2},{-12,2},{-12,-1}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput) 
          annotation (Line(
            points={{-12,-18},{10,-18},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,-10},{-20,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Veins.q_out, CO2Lung.q_in) annotation (Line(
            points={{-86,-4},{-86,24},{-10,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CO2Veins.q_out, pulmShortCircuit.q_in) annotation (Line(
            points={{-86,-4},{-86,24},{-46,24},{-46,10},{-38,10}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit.q_out, CO2Artys.q_out) annotation (Line(
            points={{-18,10},{24,10},{24,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fromMLtoMMOL.q_MMOL, CO2Lung.alveolar_outflow) annotation (Line(
            points={{-1.46958e-015,46},{0,46},{0,42}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Veins_pH, measure.pH)              annotation (
            Line(
            points={{-94,-42},{-100,-42},{-100,40},{-95,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Veins_pH_ery, measure.pH_ery) 
          annotation (Line(
            points={{-94,-42},{-100,-42},{-100,36},{-95,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(measure.sO2, busConnector.O2Veins_sO2)              annotation (
            Line(
            points={{-77,32},{-54,32},{-54,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure.Hct, busConnector.BloodVol_Hct)              annotation (Line(
            points={{-77,36},{-54,36},{-54,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure.T, busConnector.core_T) annotation (Line(
            points={{-77,40},{-54,40},{-54,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(alveolarVentilation.alveolar, fromMLtoMMOL.q_ML) annotation (Line(
            points={{0.2,68},{1.46958e-015,68},{1.46958e-015,62}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(measure.cHCO3, busConnector.CO2Veins_cHCO3) annotation (Line(
            points={{-78,20},{-78,14},{-100,14},{-100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));
        connect(CO2Veins.q_out, measure.q_in) annotation (Line(
            points={{-86,-4},{-86,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Artys_pH, measure1.pH)             annotation (
            Line(
            points={{-94,-42},{50,-42},{50,40},{73,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Artys_pH_ery, measure1.pH_ery) 
          annotation (Line(
            points={{-94,-42},{50,-42},{50,36},{73,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(measure1.sO2, busConnector.O2Artys_sO2)             annotation (
            Line(
            points={{91,32},{100,32},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.Hct, busConnector.BloodVol_Hct)             annotation (Line(
            points={{91,36},{100,36},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.T, busConnector.core_T)       annotation (Line(
            points={{91,40},{100,40},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(measure1.q_in, CO2Artys.q_out) annotation (Line(
            points={{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(measure1.cHCO3, busConnector.CO2Artys_cHCO3) annotation (Line(
            points={{90,20},{90,14},{100,14},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));
        connect(measure.pCO2_mmHg, busConnector.CO2Veins_pCO2) annotation (Line(
            points={{-82,20},{-82,14},{-100,14},{-100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(measure1.pCO2_mmHg, busConnector.CO2Artys_pCO2) annotation (
            Line(
            points={{86,20},{86,14},{100,14},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector, CO2Tissues.busConnector) annotation (Line(
            points={{-94,-42},{-54,-42},{-54,-20.8},{-46.8,-20.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-102}}, fileName=
                    "icons/CO2.png"), Text(
                extent={{-116,-60},{126,-94}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
      end CO2_conc;
      annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
</html>"));
    end CO2;

    model NaturalVentilation2
     // extends Library.Curves.CurveBase(x=DriveOnTidalVolume[:,1], y=DriveOnTidalVolume[:,2], slope=DriveOnTidalVolume[:,3]);
      Library.Interfaces.RealInput_ RespiratoryCenterOutput_MotorNerveActivity(
          final unit="Hz")                             annotation (Placement(transformation(extent={{-88,40},
                {-48,80}}),           iconTransformation(extent={{-100,66},{-72,94}})));
      Library.Interfaces.RealInput_ Thorax_LungInflation(final unit="1") 
                                                         annotation (Placement(transformation(extent={{-88,-22},
                {-48,18}}),           iconTransformation(extent={{-100,-54},{
                -72,-26}})));
      Library.Interfaces.RealInput_ ExcessLungWater_Volume(final unit=
            "1")                                      annotation (Placement(transformation(extent={{-88,-58},
                {-48,-18}}),          iconTransformation(extent={{-100,-94},{
                -72,-66}})));
      Library.Interfaces.RealOutput_ TidalVolume(final unit="ml") 
                                                        annotation (Placement(transformation(extent={{52,-48},
                {92,-8}}),          iconTransformation(extent={{100,6},{128,34}})));
      Library.Interfaces.RealOutput_ DeadSpace(final unit="ml") 
                                                        annotation (Placement(transformation(extent={{14,-96},
                {54,-56}}),         iconTransformation(extent={{100,-54},{128,
                -26}})));
      Library.Interfaces.RealInput_ RespiratoryMuscleFunctionEffect(final unit= "ml") 
                                                      annotation (Placement(transformation(extent={{-88,6},
                {-48,46}}),           iconTransformation(extent={{-100,26},{-72,
                54}})));

      parameter Real DeadSpaceSlope =   0.20;
      parameter Real DeadSpaceMin =                            60.0;
      parameter Real[:,3] DriveOnTidalVolume =  {{  0,     0,    0}, {  1,   550,  400}, { 10,  2630,    0}};

    // Real TidalVolumeBasic;
      Library.Curves.Curve curve(
        x=DriveOnTidalVolume[:, 1],
        y=DriveOnTidalVolume[:, 2],
        slope=DriveOnTidalVolume[:, 3]) 
        annotation (Placement(transformation(extent={{-2,32},{18,52}})));

      Library.Factors.SimpleMultiply LungInflation 
        annotation (Placement(transformation(extent={{16,6},{36,26}})));
      Library.Factors.SimpleMultiply FunctionEffect 
        annotation (Placement(transformation(extent={{16,16},{36,36}})));
      Modelica.Blocks.Math.Max max 
        annotation (Placement(transformation(extent={{36,-38},{56,-18}})));
      Modelica.Blocks.Math.Feedback tidalVol0 annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={26,-2})));
      Library.Blocks.ConstantFromFile volumeConstant(units="ml",k=0,
        varName="Breathing.TidalVolumeMin") 
        annotation (Placement(transformation(extent={{8,-40},{20,-28}})));
      Library.Blocks.ConstantFromFile volumeConstant1(units="ml",k=DeadSpaceMin,
        varName="Breathing.DeadSpaceMin") 
        annotation (Placement(transformation(extent={{-66,-92},{-58,-84}})));
      Library.Blocks.Constant deadSpaceSlope(k=DeadSpaceSlope) 
        annotation (Placement(transformation(extent={{-66,-72},{-58,-64}})));
      Modelica.Blocks.Math.Product product 
        annotation (Placement(transformation(extent={{-30,-72},{-10,-52}})));
      Modelica.Blocks.Math.Add add 
        annotation (Placement(transformation(extent={{2,-86},{22,-66}})));
      Library.Blocks.Constant ScaleTidalVolume(k=0.927108)
        "Marek Matejak: Scaling of TV to reach Breathing.AlveolarVentilation(STPD) = 3176.28 ml/min at rate Breathing.RespRate=11.7241515181155 min^-1"
        annotation (Placement(transformation(extent={{48,20},{56,28}})));
      Modelica.Blocks.Math.Product vycucnuteSprstu 
        annotation (Placement(transformation(extent={{68,8},{88,28}})));
    equation
    //  u=RespiratoryCenterOutput_MotorNerveActivity; //curve x value
    /*
  TidalVolumeBasic  =
      curve.val
    * Thorax_LungInflation
    * RespiratoryMuscleFunctionEffect;   //val.. curve y value

   TidalVolume  = max(0, TidalVolumeBasic - ExcessLungWater_Volume);
   DeadSpace  =  DeadSpaceSlope * TidalVolume + DeadSpaceMin; */
      connect(RespiratoryCenterOutput_MotorNerveActivity, curve.u) annotation (Line(
          points={{-68,60},{-16,60},{-16,42},{-2,42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RespiratoryMuscleFunctionEffect, FunctionEffect.u) annotation (Line(
          points={{-68,26},{16.2,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Thorax_LungInflation, LungInflation.u) annotation (Line(
          points={{-68,-2},{-32,-2},{-32,16},{16.2,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(curve.val, FunctionEffect.yBase) annotation (Line(
          points={{18.2,42},{26,42},{26,28}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.y, LungInflation.yBase) annotation (Line(
          points={{26,24},{26,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LungInflation.y, tidalVol0.u1) annotation (Line(
          points={{26,14},{26,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ExcessLungWater_Volume, tidalVol0.u2) annotation (Line(
          points={{-68,-38},{-16,-38},{-16,-2},{18,-2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(tidalVol0.y, max.u1) annotation (Line(
          points={{26,-11},{26,-22},{34,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(volumeConstant.y, max.u2) annotation (Line(
          points={{20.6,-34},{34,-34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(add.y, DeadSpace) annotation (Line(
          points={{23,-76},{34,-76}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(max.y, product.u1) annotation (Line(
          points={{57,-28},{64,-28},{64,-46},{-40,-46},{-40,-56},{-32,-56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(deadSpaceSlope.y, product.u2) annotation (Line(
          points={{-57.6,-68},{-32,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(product.y, add.u1) annotation (Line(
          points={{-9,-62},{-6,-62},{-6,-70},{0,-70}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(volumeConstant1.y, add.u2) annotation (Line(
          points={{-57.6,-88},{-28,-88},{-28,-82},{0,-82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ScaleTidalVolume.y, vycucnuteSprstu.u1) annotation (Line(
          points={{56.4,24},{66,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(max.y, vycucnuteSprstu.u2) annotation (Line(
          points={{57,-28},{57,-27},{66,-27},{66,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(vycucnuteSprstu.y, TidalVolume) annotation (Line(
          points={{89,18},{90,18},{90,-8},{70,-8},{70,-28},{72,-28}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/dychani.png"), Text(
              extent={{-120,-108},{130,-126}},
              lineColor={0,0,255},
              textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
              extent={{-100,-100},{100,100}}), graphics));
    end NaturalVentilation2;

    package AcidBase "Body Acid-Base Balance"

      partial model BloodPhBase
        import Modelica.Math;

        Real betaX(unit = "mEq/l") "buffer value of blood";
        Real betaP(unit = "mEq/l") "buffer value of plasma";

        Real _cTH( unit="mEq/l")
          "total concentration of tiratable hydrogen ions";
        Real _BE( unit="mEq/l") "base excess";

        Real _BEox( unit="mEq/l") "base excess in fully oxygenated blood";
        Real _cTHox( unit="mEq/l")
          "total concentration of tiratable hydrogen ions in fully oxygenated blood";

        Library.Interfaces.RealOutput_ pH "plasma pH"          annotation (Placement(transformation(
                extent={{30,-98},{70,-58}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,-120})));
        Library.Interfaces.RealOutput_ pH_ery "intracellular erytrocytes pH"          annotation (Placement(
              transformation(extent={{-14,-98},{26,-58}}),iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={20,-120})));

        Library.Interfaces.RealInput_ cHCO3(final unit="mmol/l")
          "concentration of plasma HCO3 ions (default=24.5mmol/l)" 
                                         annotation (Placement(transformation(extent={{50,18},
                  {90,58}}),            iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,80})));
        Library.Interfaces.RealInput_ ctHb_ery(final unit="mmol/l")
          "concentration of total haemoglobin in erytrocyte (or may be in whole blood)"
                                         annotation (Placement(transformation(extent={{50,58},
                  {90,98}}),            iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,40})));
        parameter Real cHb(unit="mmol/l")=43
          "an empirical parameter accounting for erythrocyte plasma distributions";

        Library.Interfaces.RealInput_ sO2 "oxygen saturation" 
                                         annotation (Placement(transformation(extent={{-100,60},
                  {-60,100}}),          iconTransformation(extent={{-10,-10},{10,10}},
              rotation=270,
              origin={60,110})));

        Library.Interfaces.RealInput_ ctAlb(final unit="mmol/l")
          "concentration of total plasma albumins(dofault=0.65mmol/l)"                 annotation (Placement(transformation(extent={{52,-26},
                  {92,14}}),            iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,0})));

        Library.Interfaces.RealInput_ ctGlb(final unit="g/l")
          "concentration of total plasma globulins"                                    annotation (Placement(transformation(extent={{52,-60},
                  {92,-20}}),           iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,-40})));
        Library.Interfaces.RealInput_ ctPO4(final unit="mmol/l")
          "concentration of total inorganic phosphate in plasma"                       annotation (Placement(transformation(extent={{54,-92},
                  {94,-52}}),           iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,-80})));

      equation
        //Van Slyke equation:  - T=37
        _cTH = -(1-ctHb_ery/cHb)*((cHCO3-24.5)+betaX*(pH-7.4));

        betaX = 2.3*ctHb_ery + betaP;
        betaP =  8*ctAlb + 0.075*ctGlb + 0.309*ctPO4;

      //  _betaX = 0.11 * plasmaProteinConc(unit="g/l"); //mmol/l

      //Haldane effect:
        _cTH = _cTHox - 0.3 * (1-sO2);

      //base excess
        _BEox = - _cTHox;
        _BE = - _cTH;

        //erythrocytes:
        pH_ery = 7.19 + 0.77*(pH-7.4) + 0.035*(1-sO2);

        annotation (
          preferredView = text,
          Documentation(info="<html>
<pre>Blood pH calculation by 
<i><b>Van Slyke equation</b></i>,
<i><b>Haldame</b></i> effect
and plasma-<i><b>erythrocytes</b></i> acidity distribution.</pre>
</html>",
       revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>dec 2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
</html>"),Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Text(
                extent={{-72,-56},{76,-92}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-96,-62},{98,-94}},
                lineColor={0,0,255},
                textString="%name")}),            Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
      end BloodPhBase;

      model BloodPhMeassure
        extends HumMod.Gases.AcidBase.BloodPhBase;
        Library.ConcentrationFlow.PositiveConcentrationFlow cTHox 
          annotation (Placement(transformation(extent={{-12,-50},{10,-30}}),
              iconTransformation(extent={{-10,-50},{10,-30}})));
      equation
        cTHox.q=0;
        cTHox.conc*1000 = _cTHox;

        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                extent={{-100,-100},{100,100}}),
                                            graphics),
          Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
</html>"));
      end BloodPhMeassure;

      package Ikeda "Renal Acidification from Ikeda (1979)"

        model RenalDistalAcidification

          Modelica.Blocks.Interfaces.RealInput TPHU1 annotation (Placement(
                transformation(extent={{-102,-98},{-82,-78}}),
                                                            iconTransformation(extent={{
                    -90,57},{-72,75}})));
          Modelica.Blocks.Interfaces.RealInput YNH40 annotation (Placement(
                transformation(extent={{-100,-46},{-80,-26}}),iconTransformation(extent={{-90,9},
                    {-72,27}})));
          Modelica.Blocks.Interfaces.RealInput YTA0 annotation (Placement(
                transformation(extent={{-100,80},{-80,100}}), iconTransformation(extent={{-90,-17},
                    {-72,1}})));
          Modelica.Blocks.Interfaces.RealInput TPHA1 annotation (Placement(
                transformation(extent={{-100,13},{-82,31}}),  iconTransformation(extent={{-90,33},
                    {-72,51}})));
          Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(transformation(
                  extent={{-108,32},{-76,64}}),   iconTransformation(extent={{-90,-45},
                    {-72,-27}})));
          Modelica.Blocks.Interfaces.RealInput PHU annotation (Placement(transformation(
                  extent={{-110,-70},{-76,-36}}),  iconTransformation(extent={{-90,-75},
                    {-72,-57}})));
          Modelica.Blocks.Interfaces.RealOutput YTA1 annotation (Placement(
                transformation(extent={{72,74},{92,94}}), iconTransformation(extent={{74,
                    41},{92,59}})));
          Modelica.Blocks.Interfaces.RealOutput YNH4 annotation (Placement(
                transformation(extent={{82,-60},{102,-40}}),
                                                          iconTransformation(extent={{76,
                    5},{94,23}})));

          Library.Blocks.Integrator integrator(            y_start=6.0, k=1/
                Library.SecPerMin,
            initType=Modelica.Blocks.Types.Init.NoInit,
            stateName="Urine_pH-Ikeda-Delayed") 
            annotation (Placement(transformation(extent={{-26,-78},{-12,-64}})));
          Modelica.Blocks.Math.Add add(k2=-1) 
            annotation (Placement(transformation(extent={{-66,-78},{-52,-64}})));
          Modelica.Blocks.Math.Product product 
            annotation (Placement(transformation(extent={{14,-72},{26,-60}})));
          Modelica.Blocks.Math.Division division 
            annotation (Placement(transformation(extent={{-44,-76},{-34,-66}})));
          Modelica.Blocks.Sources.Constant const(k=-0.5) 
            annotation (Placement(transformation(extent={{-6,-60},{2,-52}})));
          Modelica.Blocks.Math.Add add1(k2=+1) 
            annotation (Placement(transformation(extent={{35,-61},{49,-47}})));
          Modelica.Blocks.Sources.Constant const1(k=4) 
            annotation (Placement(transformation(extent={{13,-53},{21,-45}})));
          Modelica.Blocks.Math.Product product1 
            annotation (Placement(transformation(extent={{58,-56},{70,-44}})));
          Library.Blocks.Integrator integrator2(                 y_start=7.4, k=1/
                Library.SecPerMin,
            initType=Modelica.Blocks.Types.Init.NoInit,
            stateName="BloodPh.ArtysPh-Ikeda-Delayed") 
            annotation (Placement(transformation(extent={{-14,18},{0,32}})));
          Modelica.Blocks.Math.Division division2 
            annotation (Placement(transformation(extent={{-34,20},{-24,30}})));
          Modelica.Blocks.Math.Add add3(k2=-1) 
            annotation (Placement(transformation(extent={{-58,28},{-44,42}})));
          Modelica.Blocks.Math.Product product2 
            annotation (Placement(transformation(extent={{-52,53},{-40,65}})));
          Modelica.Blocks.Sources.Constant const2(k=-2.5) 
            annotation (Placement(transformation(extent={{-71,63},{-63,71}})));
          Modelica.Blocks.Sources.Constant const3(k=19.5) 
            annotation (Placement(transformation(extent={{-53,73},{-45,81}})));
          Modelica.Blocks.Math.Add add4(k2=+1) 
            annotation (Placement(transformation(extent={{-33,61},{-19,75}})));
          Modelica.Blocks.Math.Product product3 
            annotation (Placement(transformation(extent={{-8,69},{4,81}})));
          Modelica.Blocks.Logical.Switch switch1(u2(start=false)) 
            annotation (Placement(transformation(extent={{62,-20},{76,-6}})));
          Modelica.Blocks.Logical.LessEqual lessEqual 
            annotation (Placement(transformation(extent={{32,-22},{46,-8}})));
          Modelica.Blocks.Sources.Constant const4(k=4) 
            annotation (Placement(transformation(extent={{17,-29},{25,-21}})));
          Modelica.Blocks.Sources.Constant const5(k=0) 
            annotation (Placement(transformation(extent={{35,-5},{43,3}})));
          Modelica.Blocks.Logical.LessEqual lessEqual1 
            annotation (Placement(transformation(extent={{36,11},{50,25}})));
          Modelica.Blocks.Logical.Switch switch2(u2(start=false)) 
            annotation (Placement(transformation(extent={{50,78},{64,92}})));
          Modelica.Blocks.Sources.Constant const6(k=5) 
            annotation (Placement(transformation(extent={{19,-4},{27,4}})));
          Modelica.Blocks.Math.Add add5(k2=+1) 
            annotation (Placement(transformation(extent={{31,37},{45,51}})));
          Modelica.Blocks.Sources.Constant const7(k=-4) 
            annotation (Placement(transformation(extent={{13,51},{21,59}})));
          Modelica.Blocks.Math.Product product4(y(start=1.66893)) 
            annotation (Placement(transformation(extent={{52,56},{64,68}})));
        equation
          connect(integrator.y, add.u2) annotation (Line(
              points={{-11.3,-71},{2,-71},{2,-82},{-72,-82},{-72,-75.2},{-67.4,
                  -75.2}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));

          connect(add.y, division.u1) annotation (Line(
              points={{-51.3,-71},{-48.65,-71},{-48.65,-68},{-45,-68}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(division.y, integrator.u) annotation (Line(
              points={{-33.5,-71},{-27.4,-71}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(division.u2, TPHU1) annotation (Line(
              points={{-45,-74},{-48,-74},{-48,-88},{-92,-88}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(product.u2, integrator.y) annotation (Line(
              points={{12.8,-69.6},{4.4,-69.6},{4.4,-71},{-11.3,-71}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(const.y, product.u1) annotation (Line(
              points={{2.4,-56},{8,-56},{8,-62.4},{12.8,-62.4}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(product.y, add1.u2) annotation (Line(
              points={{26.6,-66},{30,-66},{30,-58.2},{33.6,-58.2}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add1.y, product1.u2) annotation (Line(
              points={{49.7,-54},{51.75,-54},{51.75,-53.6},{56.8,-53.6}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YNH40, product1.u1) annotation (Line(
              points={{-90,-36},{51.5,-36},{51.5,-46.4},{56.8,-46.4}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add1.u1, const1.y) annotation (Line(
              points={{33.6,-49.8},{27.8,-49.8},{27.8,-49},{21.4,-49}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YNH4, YNH4) annotation (Line(
              points={{92,-50},{92,-50}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(product1.y, YNH4) annotation (Line(
              points={{70.6,-50},{92,-50}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add.u1, PHU) annotation (Line(
              points={{-67.4,-66.8},{-73.7,-66.8},{-73.7,-53},{-93,-53}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(TPHA1, division2.u2) annotation (Line(
              points={{-91,22},{-35,22}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(division2.y, integrator2.u) annotation (Line(
              points={{-23.5,25},{-15.4,25}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(integrator2.y, add3.u2) annotation (Line(
              points={{0.7,25},{12,25},{12,6},{-66,6},{-66,30.8},{-59.4,30.8}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add3.u1, PHA) annotation (Line(
              points={{-59.4,39.2},{-68.7,39.2},{-68.7,48},{-92,48}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add3.y, division2.u1) annotation (Line(
              points={{-43.3,35},{-39.65,35},{-39.65,28},{-35,28}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(product2.y, add4.u2) annotation (Line(
              points={{-39.4,59},{-36.7,59},{-36.7,63.8},{-34.4,63.8}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(product2.u2, integrator2.y) annotation (Line(
              points={{-53.2,55.4},{-58,55.4},{-58,48},{12,48},{12,25},{0.7,25}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(const3.y, add4.u1) annotation (Line(
              points={{-44.6,77},{-39.3,77},{-39.3,72.2},{-34.4,72.2}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add4.y, product3.u2) annotation (Line(
              points={{-18.3,68},{-14,68},{-14,71.4},{-9.2,71.4}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YTA0, product3.u1) annotation (Line(
              points={{-90,90},{-16,90},{-16,78.6},{-9.2,78.6}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(const4.y, lessEqual.u2) annotation (Line(
              points={{25.4,-25},{27.7,-25},{27.7,-20.6},{30.6,-20.6}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(lessEqual.y, switch1.u2) annotation (Line(
              points={{46.7,-15},{54,-16},{54,-13},{60.6,-13}},
              color={255,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(switch1.u1, const5.y) annotation (Line(
              points={{60.6,-7.4},{49.3,-7.4},{49.3,-1},{43.4,-1}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(const6.y, lessEqual1.u2) annotation (Line(
              points={{27.4,0},{30,0},{30,12.4},{34.6,12.4}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(const7.y, add5.u1) annotation (Line(
              points={{21.4,55},{25.7,55},{25.7,48.2},{29.6,48.2}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add5.y, product4.u2) annotation (Line(
              points={{45.7,44},{48.25,44},{48.25,58.4},{50.8,58.4}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(product3.y, product4.u1) annotation (Line(
              points={{4.6,75},{25.3,75},{25.3,65.6},{50.8,65.6}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YTA1, switch2.y) annotation (Line(
              points={{82,84},{64.7,85}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YTA1, YTA1) annotation (Line(
              points={{82,84},{82,84}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(switch2.u3, product3.y) annotation (Line(
              points={{48.6,79.4},{38,80},{26,80},{26,75},{4.6,75}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(product4.y, switch1.u3) annotation (Line(
              points={{64.6,62},{76,62},{76,8},{52,8},{52,-18.6},{60.6,-18.6}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(switch1.y, switch2.u1) annotation (Line(
              points={{76.7,-13},{98,-14},{98,98},{36,98},{36,90},{48.6,90.6}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(lessEqual1.y, switch2.u2) annotation (Line(
              points={{50.7,18},{82,18},{82,74},{42,74},{42,85},{48.6,85}},
              color={255,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add5.u2, PHU) annotation (Line(
              points={{29.6,39.8},{14,39.8},{14,0},{-68,0},{-68,-53},{-93,-53}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(lessEqual1.u1, PHU) annotation (Line(
              points={{34.6,18},{14,18},{14,0},{-68,0},{-68,-53},{-93,-53}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(lessEqual.u1, PHU) annotation (Line(
              points={{30.6,-15},{-68,-15},{-68,-53},{-93,-53}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(const2.y, product2.u1) annotation (Line(
              points={{-62.6,67},{-58.3,67},{-58.3,62.6},{-53.2,62.6}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-80,80},{80,-80}},
                  lineColor={0,0,255},
                  lineThickness=0.5),
                Text(
                  extent={{-68,62},{-50,68}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="TPHU1"),
                Text(
                  extent={{-68,14},{-50,20}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YNH40"),
                Text(
                  extent={{-68,-12},{-50,-6}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YTA0"),
                Text(
                  extent={{-68,38},{-50,44}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="TPHA1"),
                Text(
                  extent={{-68,-40},{-50,-34}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHA"),
                Text(
                  extent={{-68,-70},{-50,-64}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU"),
                Text(
                  extent={{54,44},{68,52}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YTA1"),
                Text(
                  extent={{50,8},{70,16}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YNH4"),
                Text(
                  extent={{-40,-76},{58,-10}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="Distal renal acidification")}),
            Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Text(
                  extent={{0,-10},{26,-14}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU"),
                Text(
                  extent={{-18,-66},{8,-70}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU1"),
                Text(
                  extent={{-6,30},{20,26}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHA1"),
                Text(
                  extent={{-4,80},{22,76}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="F62"),
                Text(
                  extent={{34,-24},{86,-28}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="IF (PHU<=4) THEN YTA1=0"),
                Text(
                  extent={{16,38},{74,20}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="IF (4<PHU<=5) THEN YTA1=F62*(PHU-4)"),
                Text(
                  extent={{-2,90},{38,86}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="IF (PHU>5) THEN YTA1=F62"),
                Text(
                  extent={{38,-66},{84,-70}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YNH4=YNH0*(-0.5*PHU1+4)"),
                Text(
                  extent={{-68,88},{-14,84}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="F62=YTA0*(-2.5*PHA1+19.5)"),
                Text(
                  extent={{-66,-52},{-20,-60}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="der(PHU1)=(PHU-PHU1)/TPHU1"),
                Text(
                  extent={{-42,44},{4,36}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="der(PHA1)=PHA-PHA1)/TPHA1"),
                Text(
                  extent={{12,22},{38,18}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU"),
                Text(
                  extent={{10,44},{36,40}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU"),
                Text(
                  extent={{28,70},{54,66}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="F62"),
                Text(
                  extent={{38,12},{94,8}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="F62*(PHU-4)")}),
            experiment(StopTime=6000),
            experimentSetupOutput);
        end RenalDistalAcidification;

        model PHUCalculation

          function PHUcalc
            input Real ypo4;
            input Real yorg;
            input Real yta;
            input Real pha;
            output Real phu;
          protected
            Real a;
            Real b;
            Real c;
            Real XX1;
            Real c68;
            Real c43;
            Real cPHA;

          algorithm
            c68:=10^(-6.8);
            c43:=10^(-4.3);
            cPHA:=10^(-pha);
            a := -c43*c68*yorg-c43*cPHA*yorg-c43*c68*ypo4-c68*cPHA*ypo4+c43*c68*yta+c43*cPHA*yta+c68*cPHA*yta+cPHA^2*yta;
            b := -c43*c68^2*yorg + c43*cPHA^2*yorg - c43^2*c68*ypo4 +
            c68*cPHA^2*ypo4 + c43^2*c68*yta + c43*c68^2*yta + c43^2*cPHA*yta +
            2*c43*c68*cPHA*yta + c68^2*cPHA*yta + c43*cPHA^2*yta +
            c68*cPHA^2*yta;
            c := c43*c68^2*cPHA*yorg + c43*c68*cPHA^2*yorg + c43^2*c68*cPHA*ypo4 +
            c43*c68*cPHA^2*ypo4 + c43^2*c68^2*yta + c43^2*c68*cPHA*yta +
            c43*c68^2*cPHA*yta + c43*c68*cPHA^2*yta;

            XX1 := (-b - sqrt(b*b - 4*a*c))/(2*a);
            if (XX1>(10^(-3.5))) then
              XX1:=10^(-3.5);
            end if;
            if (XX1<0) then
               XX1:=10^(-3.5);
            end if;
            phu:=-Modelica.Math.log10(XX1);

          end PHUcalc;

          Modelica.Blocks.Interfaces.RealInput YPO4 annotation (Placement(
                transformation(
                extent={{-20,-20},{20,20}},
                rotation=0,
                origin={-90,80}), iconTransformation(
                extent={{-17,-17},{17,17}},
                rotation=270,
                origin={-27,69})));
          Modelica.Blocks.Interfaces.RealInput YORG annotation (Placement(
                transformation(extent={{-110,22},{-70,62}}),  iconTransformation(
                extent={{-17,-17},{17,17}},
                rotation=270,
                origin={41,71})));
          Modelica.Blocks.Interfaces.RealOutput PHU annotation (Placement(
                transformation(extent={{70,-61},{100,-31}}),iconTransformation(extent={
                    {70,-10},{102,22}})));
          Modelica.Blocks.Interfaces.RealInput YTA annotation (Placement(transformation(
                  extent={{-114,-66},{-74,-26}}),iconTransformation(extent={{-96,-14},{
                    -56,26}})));
          Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(transformation(
                  extent={{-110,-14},{-70,26}}),  iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=90,
                origin={14,-46})));

        equation
          PHU=PHUcalc(YPO4,YORG,YTA,PHA);

          annotation (
            uses(Modelica(version="3.1")),
            Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={
                Text(
                  extent={{-4,42},{-48,52}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YPO4"),
                Text(
                  extent={{64,42},{20,52}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YORG"),
                Text(
                  extent={{-20,0},{-64,10}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YTA"),
                Text(
                  extent={{78,-2},{34,8}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU"),
                Text(
                  extent={{36,-28},{-8,-18}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHA"),
                Rectangle(
                  extent={{-76,68},{86,-54}},
                  lineColor={0,0,255},
                  lineThickness=0.5),
                Text(
                  extent={{44,4},{-42,44}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU Calculation")}),
            Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                            graphics));
        end PHUCalculation;

        model RenalAcidification

          Modelica.Blocks.Interfaces.RealInput YORG(unit="mmol/min")
            "renal excration rate of organic acid"  annotation (Placement(
                transformation(extent={{-110,-12},{-70,28}}),iconTransformation(
                  extent={{-106,69},{-88,87}})));
          Modelica.Blocks.Interfaces.RealInput YPO4(unit="mmol/min")
            "renal excration rate of phosphate"     annotation (Placement(
                transformation(extent={{-110,-44},{-70,-4}}),iconTransformation(
                  extent={{-106,35},{-88,53}})));
          Modelica.Blocks.Interfaces.RealInput PHA "pH of arterial blood" 
                                                   annotation (Placement(
                transformation(extent={{-108,11},{-68,51}}),  iconTransformation(
                  extent={{-106,1},{-88,19}})));
          Modelica.Blocks.Interfaces.RealInput Ald(unit="1")
            "effect of aldosterone"                annotation (Placement(
                transformation(extent={{-108,-84},{-68,-44}}), iconTransformation(
                  extent={{-108,-39},{-90,-21}})));
          Modelica.Blocks.Interfaces.RealOutput YTA(unit="mEq/min")
            "renal excration rate of titratable acid(default=0.0168)" 
                                                    annotation (Placement(
                transformation(extent={{84,62},{104,82}}), iconTransformation(extent={{90,31},
                    {108,49}})));
          Modelica.Blocks.Interfaces.RealOutput YNH4(unit="mEq/min")
            "renal excration rate of ammonium(default=0.024)" 
                                                     annotation (Placement(
                transformation(extent={{84,38},{104,58}}), iconTransformation(extent={{92,3},{
                    110,21}})));
          Modelica.Blocks.Interfaces.RealOutput PHU "pH of urine (defautl=6)" 
                                                    annotation (Placement(
                transformation(extent={{82,-40},{102,-20}}), iconTransformation(
                  extent={{92,-33},{110,-15}})));
          RenalDistalAcidification renalDistalAcidification 
            annotation (Placement(transformation(extent={{-42,8},{56,106}})));
          Modelica.Blocks.Math.Product product 
            annotation (Placement(transformation(extent={{-38,-84},{-24,-70}})));
          Modelica.Blocks.Math.Add add 
            annotation (Placement(transformation(extent={{6,-88},{18,-76}})));
          Modelica.Blocks.Sources.Constant const(k=0.001) 
            annotation (Placement(transformation(extent={{-64,-96},{-52,-84}})));
          Modelica.Blocks.Sources.Constant const1(k=0.009) 
            annotation (Placement(transformation(extent={{-18,-96},{-6,-84}})));
          Modelica.Blocks.Math.Add add1 
            annotation (Placement(transformation(extent={{64,66},{76,78}})));
          Modelica.Blocks.Sources.Constant TPHU1(k=300) 
            annotation (Placement(transformation(extent={{-54,88},{-46,96}})));
          Modelica.Blocks.Sources.Constant TPHA1(k=200) 
            annotation (Placement(transformation(extent={{-54,74},{-46,82}})));
          Modelica.Blocks.Sources.Constant YNH40(k=0.024) 
            annotation (Placement(transformation(extent={{-54,60},{-46,68}})));
          Modelica.Blocks.Sources.Constant YTA0(k=0.0068) 
            annotation (Placement(transformation(extent={{-54,44},{-46,52}})));
          Modelica.Blocks.Interfaces.RealOutput YTA1 annotation (Placement(
                transformation(extent={{84,80},{104,100}}), iconTransformation(extent={{92,67},
                    {110,85}})));
          PHUCalculation2 pHUCaculation 
            annotation (Placement(transformation(extent={{-38,-73},{44,9}})));
        equation
          connect(const.y, product.u2) annotation (Line(
              points={{-51.4,-90},{-42,-90},{-42,-81.2},{-39.4,-81.2}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(Ald, product.u1) annotation (Line(
              points={{-88,-64},{-44,-64},{-44,-72.8},{-39.4,-72.8}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(const1.y, add.u2) annotation (Line(
              points={{-5.4,-90},{0,-90},{0,-85.6},{4.8,-85.6}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(product.y, add.u1) annotation (Line(
              points={{-23.3,-77},{-9.65,-77},{-9.65,-78.4},{4.8,-78.4}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YTA, YTA) annotation (Line(
              points={{94,72},{94,72}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(renalDistalAcidification.YTA1, add1.u1) annotation (Line(
              points={{47.67,81.5},{55.005,81.5},{55.005,75.6},{62.8,75.6}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add1.y, YTA) annotation (Line(
              points={{76.6,72},{94,72}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(add.y, add1.u2) annotation (Line(
              points={{18.6,-82},{60,-82},{60,68.4},{62.8,68.4}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(renalDistalAcidification.YNH4, YNH4) annotation (Line(
              points={{48.65,63.86},{64.475,63.86},{64.475,48},{94,48}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(renalDistalAcidification.PHA, PHA) annotation (Line(
              points={{-32.69,39.36},{-52.535,39.36},{-52.535,31},{-88,31}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YNH40.y, renalDistalAcidification.YNH40) annotation (Line(
              points={{-45.6,64},{-40,64},{-40,65.82},{-32.69,65.82}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(TPHA1.y, renalDistalAcidification.TPHA1) annotation (Line(
              points={{-45.6,78},{-40.145,78},{-40.145,77.58},{-32.69,77.58}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YTA0.y, renalDistalAcidification.YTA0) annotation (Line(
              points={{-45.6,48},{-40.145,48},{-40.145,53.08},{-32.69,53.08}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(TPHU1.y, renalDistalAcidification.TPHU1) annotation (Line(
              points={{-45.6,92},{-40.145,92},{-40.145,89.34},{-32.69,89.34}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YTA1, renalDistalAcidification.YTA1) annotation (Line(
              points={{94,90},{56,90},{56,81.5},{47.67,81.5}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(pHUCaculation.YTA, add1.y) annotation (Line(
              points={{-28.16,-29.54},{-44,-29.54},{-44,14},{80,14},{80,72},{
                  76.6,72}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));

          connect(YPO4, pHUCaculation.YPO4) annotation (Line(
              points={{-90,-24},{-60,-24},{-60,6},{-8.07,6},{-8.07,-3.71}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(YORG, pHUCaculation.YORG) annotation (Line(
              points={{-90,8},{19.81,8},{19.81,-2.89}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(pHUCaculation.PHA, PHA) annotation (Line(
              points={{8.74,-50.86},{8.74,-60},{-66,-60},{-66,31},{-88,31}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(pHUCaculation.PHU, PHU) annotation (Line(
              points={{38.26,-29.54},{60.13,-29.54},{60.13,-30},{92,-30}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));
          connect(renalDistalAcidification.PHU, PHU) annotation (Line(
              points={{-32.69,24.66},{-56,24.66},{-56,16},{74,16},{74,-30},{92,
                  -30}},
              color={0,0,127},
              thickness=0.5,
              smooth=Smooth.None));

          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={Text(
                  extent={{6,-80},{74,-76}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YTA=0.001*Ald+0.009+YTA1")}), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,255},
                  lineThickness=0.5),
                Text(
                  extent={{68,-94},{-68,-56}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="acidification"),
                Text(
                  extent={{-84,66},{-46,88}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YORG"),
                Text(
                  extent={{-80,30},{-48,56}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YPO4"),
                Text(
                  extent={{-78,-4},{-54,20}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHA"),
                Text(
                  extent={{-84,-38},{-64,-20}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="Ald"),
                Text(
                  extent={{54,32},{86,48}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YTA"),
                Text(
                  extent={{52,4},{88,18}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YNH4"),
                Text(
                  extent={{52,-34},{86,-16}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU"),
                Text(
                  extent={{54,68},{86,84}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YTA1"),
                Text(
                  extent={{56,-60},{-48,-30}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="Renal")}));
        end RenalAcidification;

        model PHUCalculation2

          Modelica.Blocks.Interfaces.RealInput YPO4 annotation (Placement(
                transformation(
                extent={{-20,-20},{20,20}},
                rotation=0,
                origin={-90,80}), iconTransformation(
                extent={{-17,-17},{17,17}},
                rotation=270,
                origin={-27,69})));
          Modelica.Blocks.Interfaces.RealInput YORG annotation (Placement(
                transformation(extent={{-110,22},{-70,62}}),  iconTransformation(
                extent={{-17,-17},{17,17}},
                rotation=270,
                origin={41,71})));
          Modelica.Blocks.Interfaces.RealOutput PHU(start=5.7) annotation (Placement(
                transformation(extent={{70,-61},{100,-31}}),iconTransformation(extent={
                    {70,-10},{102,22}})));
          Modelica.Blocks.Interfaces.RealInput YTA annotation (Placement(transformation(
                  extent={{-114,-66},{-74,-26}}),iconTransformation(extent={{-96,-14},{
                    -56,26}})));
          Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(transformation(
                  extent={{-110,-14},{-70,26}}),  iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=90,
                origin={14,-46})));

          Real ypPHA;
          Real ypPHU;
          Real yoPHA;
          Real yoPHU;
        equation
        //  PHU=PHUcalc(YPO4,YORG,YTA,PHA);

           YTA = (ypPHA-ypPHU) + (yoPHA-yoPHU);
           ypPHA = YPO4*(10^(-PHA)+2*10^(-6.8))/(10^(-PHA)+10^(-6.8));
           ypPHU = YPO4*(10^(-PHU)+2*10^(-6.8))/(10^(-PHU)+10^(-6.8));
           yoPHA = YORG* 10^(-4.3)/(10^(-PHA)+10^(-4.3));
           yoPHU = YORG* 10^(-4.3)/(10^(-PHU)+10^(-4.3));
          annotation (
            uses(Modelica(version="3.1")),
            Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={
                Text(
                  extent={{-4,42},{-48,52}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YPO4"),
                Text(
                  extent={{64,42},{20,52}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YORG"),
                Text(
                  extent={{-20,0},{-64,10}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="YTA"),
                Text(
                  extent={{78,-2},{34,8}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU"),
                Text(
                  extent={{36,-28},{-8,-18}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHA"),
                Rectangle(
                  extent={{-76,68},{86,-54}},
                  lineColor={0,0,255},
                  lineThickness=0.5),
                Text(
                  extent={{44,4},{-42,44}},
                  lineColor={0,0,255},
                  lineThickness=0.5,
                  textString="PHU Calculation")}),
            Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                            graphics));
        end PHUCalculation2;
      end Ikeda;

      model KidneyTitratableAcidity
       extends Library.Interfaces.Tissues.Kidney;
        Library.ConcentrationFlow.PositiveConcentrationFlow arty 
          annotation (Placement(transformation(extent={{76,-68},{96,-48}}),
              iconTransformation(extent={{80,-10},{120,30}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow vein 
          annotation (Placement(transformation(extent={{-42,-66},{-26,-50}}),
              iconTransformation(extent={{-120,-10},{-80,30}})));

        Library.ConcentrationFlow.SolventFlowPump tissueFlow 
          annotation (Placement(transformation(extent={{-10,10},{10,-10}},
              rotation=180,
              origin={42,-58})));
        Library.ConcentrationFlow.NegativeConcentrationFlow CD_cTH 
          annotation (Placement(transformation(extent={{-40,-30},{-24,-14}}),
              iconTransformation(extent={{60,-120},{100,-80}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-100,80},{-80,100}}),
              iconTransformation(extent={{-100,60},{-60,100}})));
        Ikeda.RenalAcidification renalAcidification 
          annotation (Placement(transformation(extent={{-54,-4},{-18,32}})));
        Library.ConcentrationFlow.SoluteFlowPump YTA 
          annotation (Placement(transformation(extent={{2,-32},{-18,-12}})));
        Library.ConcentrationFlow.SoluteFlowPump YNH4 
          annotation (Placement(transformation(extent={{0,46},{-20,66}})));
        Library.ConcentrationFlow.NegativeConcentrationFlow CD_NH4 
          annotation (Placement(transformation(extent={{-42,48},{-26,64}}),
              iconTransformation(extent={{-100,-120},{-60,-80}})));
        Library.Interfaces.RealOutput_ PHU annotation (Placement(transformation(
                extent={{80,60},{120,100}}), iconTransformation(extent={{80,60},{
                  120,100}})));
        Library.Interfaces.RealOutput_ CD_cTH_Outflow annotation (Placement(
              transformation(extent={{80,0},{120,40}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={20,100})));

        Real cTHoutflow(unit="mEq/min");
      equation
        cTHoutflow=arty.q + vein.q;
        connect(arty, arty) annotation (Line(
            points={{86,-58},{86,-58}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(arty, tissueFlow.q_in) annotation (Line(
            points={{86,-58},{52,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(tissueFlow.q_out, vein) annotation (Line(
            points={{32,-58},{-34,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.kidney_BloodFlow, tissueFlow.solventFlow) annotation (
            Line(
            points={{-90,90},{-90,-52},{42,-52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(tissueFlow.q_out, YTA.q_in) annotation (Line(
            points={{32,-58},{10,-58},{10,-22},{2,-22}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(YTA.soluteFlow, renalAcidification.YTA) annotation (Line(
            points={{-8,-16},{-8,21.2},{-18.18,21.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(YTA.q_out, CD_cTH)   annotation (Line(
            points={{-18,-22},{-32,-22}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Artys_pH, renalAcidification.PHA) annotation (Line(
            points={{-90,90},{-90,15.8},{-53.46,15.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_PO4_Outflow, renalAcidification.YPO4) annotation (
           Line(
            points={{-90,90},{-90,22},{-64,22},{-53.46,21.92}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(tissueFlow.q_out, YNH4.q_in) annotation (Line(
            points={{32,-58},{10,-58},{10,56},{0,56}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CD_KA_Outflow, renalAcidification.YORG) annotation (Line(
            points={{-90,90},{-90,28},{-53.46,28},{-53.46,28.04}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(YNH4.q_out, CD_NH4) annotation (Line(
            points={{-20,56},{-34,56}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.DT_AldosteroneEffect, renalAcidification.Ald) 
          annotation (Line(
            points={{-90,90},{-90,8.6},{-53.82,8.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(renalAcidification.YNH4, YNH4.soluteFlow) annotation (Line(
            points={{-17.82,16.16},{28,16.16},{28,74},{-10,74},{-10,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(renalAcidification.PHU, PHU) annotation (Line(
            points={{-17.82,9.68},{67.09,9.68},{67.09,80},{100,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(renalAcidification.YNH4, busConnector.CD_NH4_Outflow) annotation (
           Line(
            points={{-17.82,16.16},{28,16.16},{28,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(renalAcidification.YTA, CD_cTH_Outflow) annotation (Line(
            points={{-18.18,21.2},{82,21.2},{82,20},{100,20}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics),
          Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
</html>"));
      end KidneyTitratableAcidity;

      package Tissues
        "Acidity of tissue veins, interstitium or intracellular space"

        model TissuesPh
         //extends Library.Interfaces.BaseModel;
          SkeletalMuscleBloodPh skeletalMuscle 
            annotation (Placement(transformation(extent={{-54,66},{-34,86}})));

          BoneBloodPh bone 
            annotation (Placement(transformation(extent={{-54,36},{-34,56}})));

          FatBloodPh fat 
            annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));

          BrainBloodPh brain 
            annotation (Placement(transformation(extent={{52,28},{72,48}})));

          RightHeartBloodPh rightHeart 
            annotation (Placement(transformation(extent={{52,-92},{72,-72}})));

          RespiratoryMuscleBloodPh respiratoryMuscle 
            annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));

          OtherTissueBloodPh otherTissue 
            annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

          LiverBloodPh liver 
            annotation (Placement(transformation(extent={{52,60},{72,80}})));

          LeftHeartBloodPh leftHeart 
            annotation (Placement(transformation(extent={{52,-62},{72,-42}})));

          KidneyBloodPh kidney 
            annotation (Placement(transformation(extent={{52,-32},{72,-12}})));

          GITractBloodPh GITract 
            annotation (Placement(transformation(extent={{52,-2},{72,18}})));

          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
          SkinBloodPh skin 
            annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

        equation
          connect(busConnector.bone_sO2, bone.sO2)        annotation (
             Line(
              points={{-88,92},{-88,57},{-38,57}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_sO2, brain.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,49},{68,49}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_sO2, fat.sO2)      annotation (
              Line(
              points={{-88,92},{-88,-33},{-38,-33}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_sO2, GITract.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,19},{68,19}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_sO2, kidney.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-11},{68,-11}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_sO2, leftHeart.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-41},{68,-41}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_sO2, liver.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,81},{68,81}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_sO2, otherTissue.sO2) 
            annotation (Line(
              points={{-88,92},{-88,27},{-38,27}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_sO2, respiratoryMuscle.sO2) 
            annotation (Line(
              points={{-88,92},{-88,-3},{-38,-3}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_sO2, rightHeart.sO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-71},{68,-71}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_sO2, skin.sO2)      annotation (
             Line(
              points={{-88,92},{-88,-63},{-38,-63}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_sO2, skeletalMuscle.sO2) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,87},{-38,87}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone_T, bone.T)        annotation (
             Line(
              points={{-88,92},{-88,38.8},{-53,38.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_T, brain.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,30.8},{53,30.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_T, fat.T)      annotation (
              Line(
              points={{-88,92},{-88,-51.2},{-53,-51.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_T, GITract.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,0.8},{53,0.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_T, kidney.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-29.2},{53,-29.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_T, leftHeart.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-59.2},{53,-59.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_T, liver.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,62.8},{53,62.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_T, otherTissue.T) 
            annotation (Line(
              points={{-88,92},{-88,8.8},{-53,8.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_T, respiratoryMuscle.T) 
            annotation (Line(
              points={{-88,92},{-88,-21.2},{-53,-21.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_T, rightHeart.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-89.2},{53,-89.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_T, skin.T)      annotation (
             Line(
              points={{-88,92},{-88,-81.2},{-53,-81.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_T, skeletalMuscle.T) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,68.8},{-53,68.8}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone_cTH_interstitial, bone.ctHox)        annotation (
             Line(
              points={{-88,92},{-88,50},{-53,50}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_cTH_interstitial, brain.ctHox) 
            annotation (Line(
              points={{-88,92},{6,92},{6,42},{53,42}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_cTH_interstitial, fat.ctHox)      annotation (
              Line(
              points={{-88,92},{-88,-40},{-53,-40}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_cTH_interstitial, GITract.ctHox) 
            annotation (Line(
              points={{-88,92},{6,92},{6,12},{53,12}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_cTH_interstitial, kidney.ctHox) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-18},{53,-18}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_cTH_interstitial, leftHeart.ctHox) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-48},{53,-48}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_cTH_interstitial, liver.ctHox) 
            annotation (Line(
              points={{-88,92},{6,92},{6,74},{53,74}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_cTH_interstitial, otherTissue.ctHox) 
            annotation (Line(
              points={{-88,92},{-88,20},{-53,20}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_cTH_interstitial, respiratoryMuscle.ctHox) 
            annotation (Line(
              points={{-88,92},{-88,-10},{-53,-10}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_cTH_interstitial, rightHeart.ctHox) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-78},{53,-78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_cTH_interstitial, skin.ctHox)      annotation (
             Line(
              points={{-88,92},{-88,-70},{-53,-70}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_cTH_interstitial, skeletalMuscle.ctHox) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,80},{-53,80}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(bone.ctHb_ery, busConnector.ctHb_ery)       annotation (
             Line(
              points={{-35,50},{6,50},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.ctHb_ery, busConnector.ctHb_ery) 
            annotation (Line(
              points={{71,42},{98,42},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.ctHb_ery, busConnector.ctHb_ery)     annotation (
              Line(
              points={{-35,-40},{6,-40},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.ctHb_ery, busConnector.ctHb_ery) 
            annotation (Line(
              points={{71,12},{98,12},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.ctHb_ery, busConnector.ctHb_ery) 
            annotation (Line(
              points={{71,-18},{98,-18},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.ctHb_ery, busConnector.ctHb_ery) 
            annotation (Line(
              points={{71,-48},{98,-48},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.ctHb_ery, busConnector.ctHb_ery) 
            annotation (Line(
              points={{71,74},{98,74},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.ctHb_ery, busConnector.ctHb_ery) 
            annotation (Line(
              points={{-35,20},{6,20},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.ctHb_ery, busConnector.ctHb_ery) 
            annotation (Line(
              points={{-35,-10},{6,-10},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.ctHb_ery, busConnector.ctHb_ery) 
            annotation (Line(
              points={{71,-78},{98,-78},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.ctHb_ery, busConnector.ctHb_ery)     annotation (
             Line(
              points={{-35,-70},{6,-70},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.ctHb_ery, busConnector.ctHb_ery) 
            annotation (Line(
              points={{-35,80},{5.5,80},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(bone.ctAlb, busConnector.ctAlb)       annotation (
             Line(
              points={{-35,46},{6,46},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.ctAlb, busConnector.ctAlb) 
            annotation (Line(
              points={{71,38},{98,38},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.ctAlb, busConnector.ctAlb)     annotation (
              Line(
              points={{-35,-44},{6,-44},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.ctAlb, busConnector.ctAlb) 
            annotation (Line(
              points={{71,8},{98,8},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.ctAlb, busConnector.ctAlb) 
            annotation (Line(
              points={{71,-22},{98,-22},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.ctAlb, busConnector.ctAlb) 
            annotation (Line(
              points={{71,-52},{98,-52},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.ctAlb, busConnector.ctAlb) 
            annotation (Line(
              points={{71,70},{98,70},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.ctAlb, busConnector.ctAlb) 
            annotation (Line(
              points={{-35,16},{6,16},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.ctAlb, busConnector.ctAlb) 
            annotation (Line(
              points={{-35,-14},{6,-14},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.ctAlb, busConnector.ctAlb) 
            annotation (Line(
              points={{71,-82},{98,-82},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.ctAlb, busConnector.ctAlb)     annotation (
             Line(
              points={{-35,-74},{6,-74},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.ctAlb, busConnector.ctAlb) 
            annotation (Line(
              points={{-35,76},{5.5,76},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

         connect(bone.ctGlb, busConnector.ctGlb)       annotation (
             Line(
              points={{-35,42},{6,42},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.ctGlb, busConnector.ctGlb) 
            annotation (Line(
              points={{71,34},{98,34},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.ctGlb, busConnector.ctGlb)     annotation (
              Line(
              points={{-35,-48},{6,-48},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.ctGlb, busConnector.ctGlb) 
            annotation (Line(
              points={{71,4},{98,4},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.ctGlb, busConnector.ctGlb) 
            annotation (Line(
              points={{71,-26},{98,-26},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.ctGlb, busConnector.ctGlb) 
            annotation (Line(
              points={{71,-56},{98,-56},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.ctGlb, busConnector.ctGlb) 
            annotation (Line(
              points={{71,66},{98,66},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.ctGlb, busConnector.ctGlb) 
            annotation (Line(
              points={{-35,12},{6,12},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.ctGlb, busConnector.ctGlb) 
            annotation (Line(
              points={{-35,-18},{6,-18},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.ctGlb, busConnector.ctGlb) 
            annotation (Line(
              points={{71,-86},{98,-86},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.ctGlb, busConnector.ctGlb)     annotation (
             Line(
              points={{-35,-78},{6,-78},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.ctGlb, busConnector.ctGlb) 
            annotation (Line(
              points={{-35,72},{5.5,72},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

         connect(bone.ctPO4, busConnector.ctPO4)       annotation (
             Line(
              points={{-35,38},{6,38},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.ctPO4, busConnector.ctPO4) 
            annotation (Line(
              points={{71,30},{98,30},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.ctPO4, busConnector.ctPO4)     annotation (
              Line(
              points={{-35,-52},{6,-52},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.ctPO4, busConnector.ctPO4) 
            annotation (Line(
              points={{71,0},{98,0},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.ctPO4, busConnector.ctPO4) 
            annotation (Line(
              points={{71,-30},{98,-30},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.ctPO4, busConnector.ctPO4) 
            annotation (Line(
              points={{71,-60},{98,-60},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.ctPO4, busConnector.ctPO4) 
            annotation (Line(
              points={{71,62},{98,62},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.ctPO4, busConnector.ctPO4) 
            annotation (Line(
              points={{-35,8},{6,8},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.ctPO4, busConnector.ctPO4) 
            annotation (Line(
              points={{-35,-22},{6,-22},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.ctPO4, busConnector.ctPO4) 
            annotation (Line(
              points={{71,-90},{98,-90},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.ctPO4, busConnector.ctPO4)     annotation (
             Line(
              points={{-35,-82},{6,-82},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.ctPO4, busConnector.ctPO4) 
            annotation (Line(
              points={{-35,68},{5.5,68},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(bone.cHCO3, busConnector.bone_cHCO3)        annotation (
             Line(
              points={{-35,54},{6,54},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.cHCO3, busConnector.brain_cHCO3) 
            annotation (Line(
              points={{71,46},{98,46},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.cHCO3, busConnector.fat_cHCO3)     annotation (
              Line(
              points={{-35,-36},{6,-36},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.cHCO3, busConnector.GITract_cHCO3) 
            annotation (Line(
              points={{71,16},{98,16},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.cHCO3, busConnector.kidney_cHCO3) 
            annotation (Line(
              points={{71,-14},{98,-14},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.cHCO3, busConnector.leftHeart_cHCO3) 
            annotation (Line(
              points={{71,-44},{98,-44},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.cHCO3, busConnector.liver_cHCO3) 
            annotation (Line(
              points={{71,78},{98,78},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.cHCO3, busConnector.otherTissue_cHCO3) 
            annotation (Line(
              points={{-35,24},{6,24},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.cHCO3, busConnector.respiratoryMuscle_cHCO3) 
            annotation (Line(
              points={{-35,-6},{6,-6},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.cHCO3, busConnector.rightHeart_cHCO3) 
            annotation (Line(
              points={{71,-74},{98,-74},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.cHCO3, busConnector.skin_cHCO3)     annotation (
             Line(
              points={{-35,-66},{6,-66},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.cHCO3, busConnector.skeletalMuscle_cHCO3) 
            annotation (Line(
              points={{-35,84},{5.5,84},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(bone.pH_ery, busConnector.bone_pH_ery) annotation (Line(
              points={{-42,34},{6,34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(brain.pH_ery, busConnector.brain_pH_ery) annotation (Line(
              points={{64,26},{6,26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(fat.pH_ery, busConnector.fat_pH_ery) annotation (Line(
              points={{-42,-56},{6,-56},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(GITract.pH_ery, busConnector.GITract_pH_ery) annotation (Line(
              points={{64,-4},{6,-4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(kidney.pH_ery, busConnector.kidney_pH_ery) annotation (Line(
              points={{64,-34},{6,-34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(leftHeart.pH_ery, busConnector.leftHeart_pH_ery) annotation (Line(
              points={{64,-64},{6,-64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(liver.pH_ery, busConnector.liver_pH_ery) annotation (Line(
              points={{64,58},{6,58},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(otherTissue.pH_ery, busConnector.otherTissue_pH_ery) annotation (Line(
              points={{-42,4},{6,4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(rightHeart.pH_ery, busConnector.rightHeart_pH_ery) annotation (Line(
              points={{64,-94},{6,-94},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(respiratoryMuscle.pH_ery, busConnector.respiratoryMuscle_pH_ery) annotation (Line(
              points={{-42,-26},{6,-26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skin.pH_ery, busConnector.skin_pH_ery) annotation (Line(
              points={{-42,-86},{6,-86},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skeletalMuscle.pH_ery, busConnector.skeletalMuscle_pH_ery) annotation (Line(
              points={{-42,64},{6,64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));

         connect(bone.pH, busConnector.bone_pH_plasma) annotation (Line(
              points={{-46,34},{6,34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(brain.pH, busConnector.brain_pH_plasma) annotation (Line(
              points={{60,26},{6,26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(fat.pH, busConnector.fat_pH_plasma) annotation (Line(
              points={{-46,-56},{6,-56},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
               connect(GITract.pH, busConnector.GITract_pH_plasma) annotation (Line(
              points={{60,-4},{6,-4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(kidney.pH, busConnector.kidney_pH_plasma) annotation (Line(
              points={{60,-34},{6,-34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(leftHeart.pH, busConnector.leftHeart_pH_plasma) annotation (Line(
              points={{60,-64},{6,-64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(liver.pH, busConnector.liver_pH_plasma) annotation (Line(
              points={{60,58},{6,58},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(otherTissue.pH, busConnector.otherTissue_pH_plasma) annotation (Line(
              points={{-46,4},{6,4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(rightHeart.pH, busConnector.rightHeart_pH_plasma) annotation (Line(
              points={{60,-94},{6,-94},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(respiratoryMuscle.pH, busConnector.respiratoryMuscle_pH_plasma) annotation (Line(
              points={{-46,-26},{6,-26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(skin.pH, busConnector.skin_pH_plasma) annotation (Line(
              points={{-46,-86},{6,-86},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(skeletalMuscle.pH, busConnector.skeletalMuscle_pH_plasma) annotation (Line(
              points={{-46,64},{6,64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));

          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,255},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-96,-62},{98,-94}},
                  lineColor={0,0,255},
                  textString="%name"),
                Text(
                  extent={{-94,12},{-10,40}},
                  lineColor={0,0,0},
                  textString="Blood"),
                Text(
                  extent={{32,40},{98,-14}},
                  lineColor={0,0,0},
                  textString="pH")}),
                                   Diagram(coordinateSystem(preserveAspectRatio=true,
                          extent={{-100,-100},{100,100}}), graphics),
            Documentation(info="<html>
<p>BE_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then BE value decrease with the same concentration. </p>
<p>Meaning might be interpreted like what amount of hydrogen iont must be added to sollution if the end poit of titration will be pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can be simplified with difference of lactate concentration from its normal value.</p>
</html>",         revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>dec 2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
</html>"));
        end TissuesPh;

        model Tissues_cTH
         extends Library.Interfaces.Tissues.Tissues;
          SkeletalMuscleAcidity skeletalMuscle 
            annotation (Placement(transformation(extent={{-54,66},{-34,86}})));

          BoneAcidity bone 
            annotation (Placement(transformation(extent={{-54,36},{-34,56}})));

          FatAcidity fat 
            annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));

          BrainAcidity brain 
            annotation (Placement(transformation(extent={{52,22},{72,42}})));

          RightHeartAcidity rightHeart 
            annotation (Placement(transformation(extent={{52,-98},{72,-78}})));

          RespiratoryMuscleAcidity respiratoryMuscle 
            annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));

          OtherTissueAcidity otherTissue 
            annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

          LiverAcidity liver 
            annotation (Placement(transformation(extent={{52,52},{72,72}})));

          LeftHeartAcidity leftHeart 
            annotation (Placement(transformation(extent={{52,-68},{72,-48}})));

          KidneyAcidity kidney 
            annotation (Placement(transformation(extent={{52,-38},{72,-18}})));

          GITractAcidity GITract 
            annotation (Placement(transformation(extent={{52,-8},{72,12}})));

          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
          SkinAcidity skin 
            annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

          Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
            annotation (Placement(transformation(extent={{82,80},{96,92}}),
                iconTransformation(extent={{-110,-6},{-90,14}})));
          Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
            annotation (Placement(transformation(extent={{-98,66},{-84,78}}),
                iconTransformation(extent={{90,-10},{110,10}})));

        Real cTHfromTissues(unit="mEq/min");
        equation
          cTHfromTissues = -( q_out.q + q_in.q);

        connect(bone.BloodFlow, busConnector.bone_BloodFlow)        annotation (
             Line(
              points={{-35,54},{6,54},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.BloodFlow, busConnector.brain_BloodFlow) 
            annotation (Line(
              points={{71,40},{98,40},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.BloodFlow, busConnector.fat_BloodFlow)     annotation (
              Line(
              points={{-35,-36},{6,-36},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.BloodFlow, busConnector.GITract_BloodFlow) 
            annotation (Line(
              points={{71,10},{98,10},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.BloodFlow, busConnector.kidney_BloodFlow) 
            annotation (Line(
              points={{71,-20},{98,-20},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.BloodFlow, busConnector.leftHeart_BloodFlow) 
            annotation (Line(
              points={{71,-50},{98,-50},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.BloodFlow, busConnector.Liver_BloodFlow) 
            annotation (Line(
              points={{71,70},{98,70},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.BloodFlow, busConnector.otherTissue_BloodFlow) 
            annotation (Line(
              points={{-35,24},{6,24},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.BloodFlow, busConnector.respiratoryMuscle_BloodFlow) 
            annotation (Line(
              points={{-35,-6},{6,-6},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.BloodFlow, busConnector.rightHeart_BloodFlow) 
            annotation (Line(
              points={{71,-80},{98,-80},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.BloodFlow, busConnector.skin_BloodFlow)     annotation (
             Line(
              points={{-35,-66},{6,-66},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.BloodFlow, busConnector.skeletalMuscle_BloodFlow) 
            annotation (Line(
              points={{-35,84},{5.5,84},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(bone.LactateFromMetabolism, busConnector.bone_LactateFromMetabolism)        annotation (
             Line(
              points={{-35,40},{6,40},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.LactateFromMetabolism, busConnector.brain_LactateFromMetabolism) 
            annotation (Line(
              points={{71,26},{98,26},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.LactateFromMetabolism, busConnector.fat_LactateFromMetabolism)     annotation (
              Line(
              points={{-35,-50},{6,-50},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.LactateFromMetabolism, busConnector.GITract_LactateFromMetabolism) 
            annotation (Line(
              points={{71,-4},{98,-4},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.LactateFromMetabolism, busConnector.kidney_LactateFromMetabolism) 
            annotation (Line(
              points={{71,-34},{98,-34},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.LactateFromMetabolism, busConnector.leftHeart_LactateFromMetabolism) 
            annotation (Line(
              points={{71,-64},{98,-64},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.LactateFromMetabolism, busConnector.liver_LactateFromMetabolism) 
            annotation (Line(
              points={{71,56},{98,56},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.LactateFromMetabolism, busConnector.otherTissue_LactateFromMetabolism) 
            annotation (Line(
              points={{-35,10},{6,10},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.LactateFromMetabolism, busConnector.respiratoryMuscle_LactateFromMetabolism) 
            annotation (Line(
              points={{-35,-20},{6,-20},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.LactateFromMetabolism, busConnector.rightHeart_LactateFromMetabolism) 
            annotation (Line(
              points={{71,-94},{98,-94},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.LactateFromMetabolism, busConnector.skin_LactateFromMetabolism)     annotation (
             Line(
              points={{-35,-80},{6,-80},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.LactateFromMetabolism, busConnector.skeletalMuscle_LactateFromMetabolism) 
            annotation (Line(
              points={{-35,70},{5.5,70},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

        connect(bone.InterstitialWater, busConnector.bone_InterstitialWater)        annotation (
             Line(
              points={{-35,50},{6,50},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.InterstitialWater, busConnector.brain_InterstitialWater) 
            annotation (Line(
              points={{71,36},{98,36},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.InterstitialWater, busConnector.fat_InterstitialWater)     annotation (
              Line(
              points={{-35,-40},{6,-40},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.InterstitialWater, busConnector.GITract_InterstitialWater) 
            annotation (Line(
              points={{71,6},{98,6},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.InterstitialWater, busConnector.kidney_InterstitialWater) 
            annotation (Line(
              points={{71,-24},{98,-24},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.InterstitialWater, busConnector.leftHeart_InterstitialWater) 
            annotation (Line(
              points={{71,-54},{98,-54},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.InterstitialWater, busConnector.liver_InterstitialWater) 
            annotation (Line(
              points={{71,66},{98,66},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.InterstitialWater, busConnector.otherTissue_InterstitialWater) 
            annotation (Line(
              points={{-35,20},{6,20},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.InterstitialWater, busConnector.respiratoryMuscle_InterstitialWater) 
            annotation (Line(
              points={{-35,-10},{6,-10},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.InterstitialWater, busConnector.rightHeart_InterstitialWater) 
            annotation (Line(
              points={{71,-84},{98,-84},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.InterstitialWater, busConnector.skin_InterstitialWater)     annotation (
             Line(
              points={{-35,-70},{6,-70},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.InterstitialWater, busConnector.skeletalMuscle_InterstitialWater) 
            annotation (Line(
              points={{-35,80},{5.5,80},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

         connect(bone.cTH, busConnector.bone_cTH_interstitial) annotation (Line(
              points={{-42,34},{6,34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(brain.cTH, busConnector.brain_cTH_interstitial) annotation (Line(
              points={{64,20},{6,20},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(fat.cTH, busConnector.fat_cTH_interstitial) annotation (Line(
              points={{-42,-56},{6,-56},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
               connect(GITract.cTH, busConnector.GITract_cTH_interstitial) annotation (Line(
              points={{64,-10},{6,-10},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(kidney.cTH, busConnector.kidney_cTH_interstitial) annotation (Line(
              points={{64,-40},{6,-40},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(leftHeart.cTH, busConnector.leftHeart_cTH_interstitial) annotation (Line(
              points={{64,-70},{6,-70},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(otherTissue.cTH, busConnector.otherTissue_cTH_interstitial) annotation (Line(
              points={{-42,4},{6,4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(rightHeart.cTH, busConnector.rightHeart_cTH_interstitial) annotation (Line(
              points={{64,-100},{6,-100},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(respiratoryMuscle.cTH, busConnector.respiratoryMuscle_cTH_interstitial) annotation (Line(
              points={{-42,-26},{6,-26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(skin.cTH, busConnector.skin_cTH_interstitial) annotation (Line(
              points={{-42,-86},{6,-86},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(skeletalMuscle.cTH, busConnector.skeletalMuscle_cTH_interstitial) annotation (Line(
              points={{-42,64},{6,64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(skeletalMuscle.q_out, q_out) annotation (Line(
              points={{-34,76},{89,76},{89,86}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, liver.q_out) annotation (Line(
              points={{89,86},{89,62},{72,62}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(bone.q_out, q_out) annotation (Line(
              points={{-34,46},{89,46},{89,86}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, brain.q_out) annotation (Line(
              points={{89,86},{89,32},{72,32}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, GITract.q_out) annotation (Line(
              points={{89,86},{89,2},{72,2}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, otherTissue.q_out) annotation (Line(
              points={{89,86},{89,16},{-34,16}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, kidney.q_out) annotation (Line(
              points={{89,86},{89,-28},{72,-28}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, respiratoryMuscle.q_out) annotation (Line(
              points={{89,86},{89,-14},{-34,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, leftHeart.q_out) annotation (Line(
              points={{89,86},{89,-58},{72,-58}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, fat.q_out) annotation (Line(
              points={{89,86},{89,-44},{-34,-44}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, skin.q_out) annotation (Line(
              points={{89,86},{89,-74},{-34,-74}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, rightHeart.q_out) annotation (Line(
              points={{89,86},{89,-88},{72,-88}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));

         connect(skeletalMuscle.q_in, q_in) annotation (Line(
              points={{-54,76},{-91,76},{-91,72}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, liver.q_in) annotation (Line(
              points={{-91,72},{-91,62},{52,62}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(bone.q_in, q_in) annotation (Line(
              points={{-54,46},{-91,46},{-91,72}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, brain.q_in) annotation (Line(
              points={{-91,72},{-91,32},{52,32}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, GITract.q_in) annotation (Line(
              points={{-91,72},{-91,2},{52,2}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, otherTissue.q_in) annotation (Line(
              points={{-91,72},{-91,16},{-54,16}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, kidney.q_in) annotation (Line(
              points={{-91,72},{-91,-28},{52,-28}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, respiratoryMuscle.q_in) annotation (Line(
              points={{-91,72},{-91,-14},{-54,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, leftHeart.q_in) annotation (Line(
              points={{-91,72},{-91,-58},{52,-58}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, fat.q_in) annotation (Line(
              points={{-91,72},{-91,-44},{-54,-44}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, skin.q_in) annotation (Line(
              points={{-91,72},{-91,-74},{-54,-74}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, rightHeart.q_in) annotation (Line(
              points={{-91,72},{-91,-88},{52,-88}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(liver.cTH, busConnector.liver_cTH_interstitial) annotation (
              Line(
              points={{64,50},{6,50},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={Rectangle(extent={{-100,100},{
                      100,-100}}, lineColor={0,0,0}), Text(
                  extent={{-118,-104},{130,-130}},
                  lineColor={0,0,127},
                  textString="%name")}),
                                   Diagram(coordinateSystem(preserveAspectRatio=true,
                          extent={{-100,-100},{100,100}}), graphics),
            Documentation(info="<html>
<p>cTH_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then  value decrease with the same concentration. </p>
<p>Meaning might  interpreted like what amount of hydrogen iont must  added to sollution if the end poit of titration will  pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can  simplified with difference of lactate concentration from its normal value.</p>
</html>",         revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
        end Tissues_cTH;

        model TissuesPh_interstitial
         //extends Library.Interfaces.BaseModel;
          SkeletalMuscleInterstitialPh skeletalMuscle 
            annotation (Placement(transformation(extent={{-54,66},{-34,86}})));

          BoneInterstitialPh bone 
            annotation (Placement(transformation(extent={{-54,36},{-34,56}})));

          FatInterstitialPh fat 
            annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));

          BrainInterstitialPh brain 
            annotation (Placement(transformation(extent={{52,28},{72,48}})));

          RightHeartInterstitialPh rightHeart 
            annotation (Placement(transformation(extent={{52,-92},{72,-72}})));

          RespiratoryMuscleInterstitialPh respiratoryMuscle 
            annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));

          OtherTissueInterstitialPh otherTissue 
            annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

          LiverInterstitialPh liver 
            annotation (Placement(transformation(extent={{52,60},{72,80}})));

          LeftHeartInterstitialPh leftHeart 
            annotation (Placement(transformation(extent={{52,-62},{72,-42}})));

          KidneyInterstitialPh kidney 
            annotation (Placement(transformation(extent={{52,-32},{72,-12}})));

          GITractInterstitialPh GITract 
            annotation (Placement(transformation(extent={{52,-2},{72,18}})));

          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
          SkinInterstitialPh skin 
            annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

        equation
          connect(busConnector.bone_cHCO3_interstitial, bone.cHCO3)        annotation (
             Line(
              points={{-88,92},{-88,42},{-53,42}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_cHCO3_interstitial, brain.cHCO3) 
            annotation (Line(
              points={{-88,92},{6,92},{6,34},{53,34}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_cHCO3_interstitial, fat.cHCO3)      annotation (
              Line(
              points={{-88,92},{-88,-48},{-53,-48}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_cHCO3_interstitial, GITract.cHCO3) 
            annotation (Line(
              points={{-88,92},{6,92},{6,4},{53,4}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_cHCO3_interstitial, kidney.cHCO3) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-26},{53,-26}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_cHCO3_interstitial, leftHeart.cHCO3) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-56},{53,-56}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_cHCO3_interstitial, liver.cHCO3) 
            annotation (Line(
              points={{-88,92},{6,92},{6,66},{53,66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_cHCO3_interstitial, otherTissue.cHCO3) 
            annotation (Line(
              points={{-88,92},{-88,12},{-53,12}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_cHCO3_interstitial, respiratoryMuscle.cHCO3) 
            annotation (Line(
              points={{-88,92},{-88,-18},{-53,-18}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_cHCO3_interstitial, rightHeart.cHCO3) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-86},{53,-86}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_cHCO3_interstitial, skin.cHCO3)      annotation (
             Line(
              points={{-88,92},{-88,-78},{-53,-78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_cHCO3_interstitial, skeletalMuscle.cHCO3) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,72},{-53,72}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone_pCO2, bone.pCO2)        annotation (
             Line(
              points={{-88,92},{-88,54},{-53,54}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_pCO2, brain.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,46},{53,46}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_pCO2, fat.pCO2)      annotation (
              Line(
              points={{-88,92},{-88,-36},{-53,-36}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_pCO2, GITract.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,16},{53,16}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_pCO2, kidney.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-14},{53,-14}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_pCO2, leftHeart.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-44},{53,-44}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_pCO2, liver.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,78},{53,78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_pCO2, otherTissue.pCO2) 
            annotation (Line(
              points={{-88,92},{-88,24},{-53,24}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_pCO2, respiratoryMuscle.pCO2) 
            annotation (Line(
              points={{-88,92},{-88,-6},{-53,-6}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_pCO2, rightHeart.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-74},{53,-74}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_pCO2, skin.pCO2)      annotation (
             Line(
              points={{-88,92},{-88,-66},{-53,-66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_pCO2, skeletalMuscle.pCO2) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,84},{-53,84}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone_T, bone.T)        annotation (
             Line(
              points={{-88,92},{-88,38.8},{-53,38.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_T, brain.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,30.8},{53,30.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_T, fat.T)      annotation (
              Line(
              points={{-88,92},{-88,-51.2},{-53,-51.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_T, GITract.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,0.8},{53,0.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_T, kidney.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-29.2},{53,-29.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_T, leftHeart.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-59.2},{53,-59.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_T, liver.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,62.8},{53,62.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_T, otherTissue.T) 
            annotation (Line(
              points={{-88,92},{-88,8.8},{-53,8.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_T, respiratoryMuscle.T) 
            annotation (Line(
              points={{-88,92},{-88,-21.2},{-53,-21.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_T, rightHeart.T) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-89.2},{53,-89.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_T, skin.T)      annotation (
             Line(
              points={{-88,92},{-88,-81.2},{-53,-81.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_T, skeletalMuscle.T) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,68.8},{-53,68.8}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

        connect(bone.pH_interstitial, busConnector.bone_pH_interstitial) annotation (Line(
              points={{-38,34},{6,34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(brain.pH_interstitial, busConnector.brain_pH_interstitial) annotation (Line(
              points={{68,26},{6,26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(fat.pH_interstitial, busConnector.fat_pH_interstitial) annotation (Line(
              points={{-38,-56},{6,-56},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(GITract.pH_interstitial, busConnector.GITract_pH_interstitial) annotation (Line(
              points={{68,-4},{6,-4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(kidney.pH_interstitial, busConnector.kidney_pH_interstitial) annotation (Line(
              points={{68,-34},{6,-34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(leftHeart.pH_interstitial, busConnector.leftHeart_pH_interstitial) annotation (Line(
              points={{68,-64},{6,-64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(liver.pH_interstitial, busConnector.liver_pH_interstitial) annotation (Line(
              points={{68,58},{6,58},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(otherTissue.pH_interstitial, busConnector.otherTissue_pH_interstitial) annotation (Line(
              points={{-38,4},{6,4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(rightHeart.pH_interstitial, busConnector.rightHeart_pH_interstitial) annotation (Line(
              points={{68,-94},{6,-94},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(respiratoryMuscle.pH_interstitial, busConnector.respiratoryMuscle_pH_interstitial) annotation (Line(
              points={{-38,-26},{6,-26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skin.pH_interstitial, busConnector.skin_pH_interstitial) annotation (Line(
              points={{-38,-86},{6,-86},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skeletalMuscle.pH_interstitial, busConnector.skeletalMuscle_pH_interstitial) annotation (Line(
              points={{-38,64},{6,64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));

          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,255},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-96,-62},{98,-94}},
                  lineColor={0,0,255},
                  textString="%name"),
                Text(
                  extent={{-88,6},{-24,34}},
                  lineColor={0,0,0},
                  textString="IST"),
                Text(
                  extent={{30,36},{96,-18}},
                  lineColor={0,0,0},
                  textString="pH")}),
                                   Diagram(coordinateSystem(preserveAspectRatio=true,
                          extent={{-100,-100},{100,100}}), graphics),
            Documentation(info="<html>
<p>BE_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then BE value decrease with the same concentration. </p>
<p>Meaning might be interpreted like what amount of hydrogen iont must be added to sollution if the end poit of titration will be pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can be simplified with difference of lactate concentration from its normal value.</p>
</html>",         revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
</html>"));
        end TissuesPh_interstitial;

        model TissuePh_interstitial

          Library.Interfaces.RealInput_ cHCO3(final unit="mEq/ml")
            "tissue interstitial bicarbonate concentration" 
                                           annotation (Placement(transformation(extent={{-106,-4},
                    {-90,12}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-40})));
          Library.Interfaces.RealOutput_ pH_interstitial
            "tissue interstitial pH"                                                    annotation (Placement(
                transformation(extent={{24,-16},{44,4}}),   iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={60,-120})));
          CO2.TissueHCO3 interstitium 
            annotation (Placement(transformation(extent={{-22,2},{-2,22}})));
          Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
            annotation (Placement(transformation(extent={{-34,-16},{8,38}})));
          Library.Interfaces.RealInput_ T(final unit="degC")
            "tissue interstitial bicarbonate concentration" 
                                           annotation (Placement(transformation(extent={{62,24},
                    {40,2}}),             iconTransformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-72})));
          Library.Interfaces.RealInput_ pCO2(final unit="mmHg")
            "tissue interstitial bicarbonate concentration" 
                                           annotation (Placement(transformation(extent={
                    {-56,18},{-38,36}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,80})));
        equation

          connect(interstitium.cHCO3, inverseBlockConstraints.u2) annotation (Line(
              points={{-4,0},{-4,-8},{-26,-8},{-26,11},{-29.8,11}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(interstitium.pH, inverseBlockConstraints.y2) annotation (Line(
              points={{-21,20},{-24,20},{-24,30},{2,30},{2,11},{4.85,11}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(interstitium.T, T) annotation (Line(
              points={{-3,20},{30,20},{30,13},{51,13}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inverseBlockConstraints.y1, pH_interstitial) annotation (Line(
              points={{9.05,11},{24,11},{24,-6},{34,-6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(interstitium.pCO2_mmHg, pCO2)              annotation (Line(
              points={{-21,16.2},{-25.5,16.2},{-25.5,27},{-47,27}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(cHCO3, inverseBlockConstraints.u1) annotation (Line(
              points={{-98,4},{-68,4},{-68,11},{-36.1,11}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                    -100},{100,100}}),
                              graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                  extent={{-100,-100},{100,100}}), graphics={
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0}),
                Text(
                  extent={{34,102},{100,48}},
                  lineColor={0,0,0},
                  textString="pH"),
                Text(
                  extent={{-84,72},{-20,100}},
                  lineColor={0,0,0},
                  textString="IST")}),
            Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
</html>"));
        end TissuePh_interstitial;

        model TissuesPh_intracellular
        // extends Library.Interfaces.BaseModel;
          SkeletalMuscleIntracellularPh skeletalMuscle 
            annotation (Placement(transformation(extent={{-54,64},{-34,84}})));

          BoneIntracellularPh bone 
            annotation (Placement(transformation(extent={{-54,36},{-34,56}})));

          FatIntracellularPh fat 
            annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));

          BrainIntracellularPh brain 
            annotation (Placement(transformation(extent={{52,28},{72,48}})));

          RightHeartIntracellularPh rightHeart 
            annotation (Placement(transformation(extent={{52,-92},{72,-72}})));

          RespiratoryMuscleIntracellularPh respiratoryMuscle 
            annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));

          OtherTissueIntracellularPh otherTissue 
            annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

          LiverIntracellularPh liver 
            annotation (Placement(transformation(extent={{52,60},{72,80}})));

          LeftHeartIntracellularPh leftHeart 
            annotation (Placement(transformation(extent={{52,-62},{72,-42}})));

          KidneyIntracellularPh kidney 
            annotation (Placement(transformation(extent={{52,-32},{72,-12}})));

          GITractIntracellularPh GITract 
            annotation (Placement(transformation(extent={{52,-2},{72,18}})));

          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
          SkinIntracellularPh skin 
            annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

        equation
          connect(busConnector.KCell_conc, bone.KCell)      annotation (
             Line(
              points={{-88,92},{-88,46},{-53,46}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, brain.KCell) 
            annotation (Line(
              points={{-88,92},{6,92},{6,38},{53,38}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, fat.KCell)      annotation (
              Line(
              points={{-88,92},{-88,-44},{-53,-44}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, GITract.KCell) 
            annotation (Line(
              points={{-88,92},{6,92},{6,8},{53,8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, kidney.KCell) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-22},{53,-22}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, leftHeart.KCell) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-52},{53,-52}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, liver.KCell) 
            annotation (Line(
              points={{-88,92},{6,92},{6,70},{53,70}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, otherTissue.KCell) 
            annotation (Line(
              points={{-88,92},{-88,16},{-53,16}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, respiratoryMuscle.KCell) 
            annotation (Line(
              points={{-88,92},{-88,-14},{-53,-14}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, rightHeart.KCell) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-82},{53,-82}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, skin.KCell)      annotation (
             Line(
              points={{-88,92},{-88,-74},{-53,-74}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, skeletalMuscle.KCell) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,74},{-53,74}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(busConnector.bone_cLactate, bone.cLactate)        annotation (
             Line(
              points={{-88,92},{-88,42},{-53,42}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_cLactate, brain.cLactate) 
            annotation (Line(
              points={{-88,92},{6,92},{6,34},{53,34}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_cLactate, fat.cLactate)      annotation (
              Line(
              points={{-88,92},{-88,-48},{-53,-48}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_cLactate, GITract.cLactate) 
            annotation (Line(
              points={{-88,92},{6,92},{6,4},{53,4}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_cLactate, kidney.cLactate) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-26},{53,-26}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_cLactate, leftHeart.cLactate) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-56},{53,-56}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_cLactate, liver.cLactate) 
            annotation (Line(
              points={{-88,92},{6,92},{6,66},{53,66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_cLactate, otherTissue.cLactate) 
            annotation (Line(
              points={{-88,92},{-88,12},{-53,12}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_cLactate, respiratoryMuscle.cLactate) 
            annotation (Line(
              points={{-88,92},{-88,-18},{-53,-18}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_cLactate, rightHeart.cLactate) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-86},{53,-86}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_cLactate, skin.cLactate)      annotation (
             Line(
              points={{-88,92},{-88,-78},{-53,-78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_cLactate, skeletalMuscle.cLactate) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,70},{-53,70}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone_pCO2, bone.pCO2)        annotation (
             Line(
              points={{-88,92},{-88,54},{-53,54}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_pCO2, brain.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,46},{53,46}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_pCO2, fat.pCO2)      annotation (
              Line(
              points={{-88,92},{-88,-36},{-53,-36}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_pCO2, GITract.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,16},{53,16}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_pCO2, kidney.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-14},{53,-14}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_pCO2, leftHeart.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-44},{53,-44}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_pCO2, liver.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,78},{53,78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_pCO2, otherTissue.pCO2) 
            annotation (Line(
              points={{-88,92},{-88,24},{-53,24}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_pCO2, respiratoryMuscle.pCO2) 
            annotation (Line(
              points={{-88,92},{-88,-6},{-53,-6}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_pCO2, rightHeart.pCO2) 
            annotation (Line(
              points={{-88,92},{6,92},{6,-74},{53,-74}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_pCO2, skin.pCO2)      annotation (
             Line(
              points={{-88,92},{-88,-66},{-53,-66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_pCO2, skeletalMuscle.pCO2) 
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,82},{-53,82}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

        connect(bone.pH, busConnector.bone_pH_intracellular) annotation (Line(
              points={{-38,34},{6,34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(brain.pH, busConnector.brain_pH_intracellular) annotation (Line(
              points={{68,26},{6,26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(fat.pH, busConnector.fat_pH_intracellular) annotation (Line(
              points={{-38,-56},{6,-56},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(GITract.pH, busConnector.GITract_pH_intracellular) annotation (Line(
              points={{68,-4},{6,-4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(kidney.pH, busConnector.kidney_pH_intracellular) annotation (Line(
              points={{68,-34},{6,-34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(leftHeart.pH, busConnector.leftHeart_pH_intracellular) annotation (Line(
              points={{68,-64},{6,-64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(liver.pH, busConnector.liver_pH_intracellular) annotation (Line(
              points={{68,58},{6,58},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(otherTissue.pH, busConnector.otherTissue_pH_intracellular) annotation (Line(
              points={{-38,4},{6,4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(rightHeart.pH, busConnector.rightHeart_pH_intracellular) annotation (Line(
              points={{68,-94},{6,-94},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(respiratoryMuscle.pH, busConnector.respiratoryMuscle_pH_intracellular) annotation (Line(
              points={{-38,-26},{6,-26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skin.pH, busConnector.skin_pH_intracellular) annotation (Line(
              points={{-38,-86},{6,-86},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skeletalMuscle.pH, busConnector.skeletalMuscle_pH_intracellular) annotation (Line(
              points={{-38,62},{6,62},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));

          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,255},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-96,-62},{98,-94}},
                  lineColor={0,0,255},
                  textString="%name"),
                Text(
                  extent={{-90,0},{-26,28}},
                  lineColor={0,0,0},
                  textString="ICF"),
                Text(
                  extent={{28,30},{94,-24}},
                  lineColor={0,0,0},
                  textString="pH")}),
                                   Diagram(coordinateSystem(preserveAspectRatio=true,
                          extent={{-100,-100},{100,100}}), graphics),
            Documentation(info="<html>
<p>BE_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then BE value decrease with the same concentration. </p>
<p>Meaning might be interpreted like what amount of hydrogen iont must be added to sollution if the end poit of titration will be pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can be simplified with difference of lactate concentration from its normal value.</p>
</html>",         revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
        end TissuesPh_intracellular;

        model TissuePh_intracellular
         parameter Real CellSID_OtherCations(final unit="mEq/l") = 12;
         parameter Real CellSID_StrongAnions(final unit="mEq/l") = 117;
          Library.Interfaces.RealInput_ KCell(final unit="mEq/l")
            "tissue interstitial titratable acidity" 
                                           annotation (Placement(transformation(extent={{-94,4},
                    {-54,44}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,0})));
          Library.Interfaces.RealInput_ cLactate(final unit="mEq/l")
            "tissue lactate concentration" annotation (Placement(transformation(extent={{-78,-86},
                    {-62,-70}}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-40})));
          Library.Interfaces.RealOutput_ pH "tissue intracellular pH"                   annotation (Placement(
                transformation(extent={{66,-42},{86,-22}}), iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={60,-120})));
          Library.Interfaces.RealInput_ pCO2(final unit="mmHg")
            "tissue partial CO2 pressure"  annotation (Placement(transformation(extent={{-28,-38},
                    {-10,-20}}),         iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,80})));
          Modelica.Blocks.Math.Add cations                                                                                                 annotation (Placement(transformation(extent={{-28,8},
                    {-8,28}})));
          Modelica.Blocks.Math.Add anions                                                                                                   annotation (Placement(transformation(extent={{-32,-82},
                    {-12,-62}})));
          Modelica.Blocks.Math.Feedback SID "intracellular"                                                                                          annotation (Placement(transformation(extent={{-4,8},{
                    16,28}})));
          Library.Blocks.ElectrolytesConcentrationConstant_per_l
            electrolytesConcentrationConstant_per_l1(                                                     k=CellSID_OtherCations)                                                                                                     annotation (Placement(transformation(extent={{-76,-12},
                    {-56,8}})));
          Library.Blocks.ElectrolytesConcentrationConstant_per_l
            electrolytesConcentrationConstant_per_l2(                                                     k=CellSID_StrongAnions)                                                                                                     annotation (Placement(transformation(extent={{-76,-60},
                    {-56,-40}})));
          Modelica.Blocks.Math.Division division 
            annotation (Placement(transformation(extent={{32,2},{52,22}})));
          Modelica.Blocks.Math.Log10 log10_1 
            annotation (Placement(transformation(extent={{66,2},{86,22}})));
          Modelica.Blocks.Math.Add add1 
            annotation (Placement(transformation(extent={{46,-42},{66,-22}})));
          Library.Blocks.Constant const(k=7.15) 
            annotation (Placement(transformation(extent={{14,-48},{34,-28}})));
          Modelica.Blocks.Math.Max max 
            annotation (Placement(transformation(extent={{16,-18},{24,-10}})));
          Library.Blocks.Constant PCO2_min_value(k=0.001) 
            annotation (Placement(transformation(extent={{-10,-12},{-2,-4}})));
          Library.Blocks.Constant PCO2_min_value1(k=10^(-7.15)) 
            annotation (Placement(transformation(extent={{28,52},{36,60}})));
          Modelica.Blocks.Math.Max max1 
            annotation (Placement(transformation(extent={{54,46},{62,54}})));
        equation

          connect(anions.y, SID.u2)                                                                                                   annotation (Line(       points={{-11,-72},
                  {6,-72},{6,10}},                                                                                                    color={0,0,127},       smooth=Smooth.None));
          connect(cations.y, SID.u1)                                                                                                 annotation (Line(       points={{-7,18},
                  {-2,18}},                                                                                                   color={0,0,127},       smooth=Smooth.None));
          connect(electrolytesConcentrationConstant_per_l1.y, cations.u2)                                                                                                 annotation (Line(       points={{-55,-2},
                  {-36,-2},{-36,12},{-30,12}},                                                                                                    color={0,0,127},       smooth=Smooth.None));
          connect(electrolytesConcentrationConstant_per_l2.y, anions.u1)                                                                                                   annotation (Line(       points={{-55,-50},
                  {-42,-50},{-42,-66},{-34,-66}},                                                                                                    color={0,0,127},       smooth=Smooth.None));
          connect(KCell, cations.u1) 
                                 annotation (Line(
              points={{-74,24},{-30,24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(cLactate, anions.u2) 
                                     annotation (Line(
              points={{-70,-78},{-34,-78}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(log10_1.y, add1.u1) annotation (Line(
              points={{87,12},{92,12},{92,-6},{40,-6},{40,-26},{44,-26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add1.y, pH) annotation (Line(
              points={{67,-32},{76,-32}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(const.y, add1.u2) annotation (Line(
              points={{35,-38},{44,-38}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SID.y, division.u1) annotation (Line(
              points={{15,18},{30,18}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(max.y, division.u2) annotation (Line(
              points={{24.4,-14},{26,-14},{26,6},{30,6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pCO2, max.u2) annotation (Line(
              points={{-19,-29},{-3.5,-29},{-3.5,-16.4},{15.2,-16.4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PCO2_min_value.y, max.u1) annotation (Line(
              points={{-1.6,-8},{8.2,-8},{8.2,-11.6},{15.2,-11.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PCO2_min_value1.y, max1.u1) annotation (Line(
              points={{36.4,56},{46,56},{46,52.4},{53.2,52.4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(max1.u2, division.y) annotation (Line(
              points={{53.2,47.6},{53.2,29.8},{53,29.8},{53,12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(max1.y, log10_1.u) annotation (Line(
              points={{62.4,50},{64,50},{64,12}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                    -100},{100,100}}),
                              graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                  extent={{-100,-100},{100,100}}), graphics={
                Text(
                  extent={{34,102},{100,48}},
                  lineColor={0,0,0},
                  textString="pH"),
                Text(
                  extent={{-84,72},{-20,100}},
                  lineColor={0,0,0},
                  textString="ICF"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}),
            Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
        end TissuePh_intracellular;

        model TissuePh
          extends HumMod.Gases.AcidBase.BloodPhBase;

          Library.Interfaces.RealInput_ ctHox(final unit="mEq/l")
            "titratable acidity of oxygenated blood" 
                                           annotation (Placement(transformation(extent={{-54,62},
                    {-14,102}}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,40})));
          Library.Interfaces.RealInput_ T(final unit="degC")
            "tissue interstitial bicarbonate concentration" 
                                           annotation (Placement(transformation(extent={{62,24},
                    {40,2}}),             iconTransformation(extent={{-10,-10},{10,10}},
                rotation=0,
                origin={-90,-72})));
        equation

        //base excess
          ctHox = _cTHox;

         // cTH_interstitial = -(1-((ctHb_ery/3)/43))*((cHCO3_interstitial-24.5)+betaX*(pH_interstitial-7.42));

          annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                    -100},{100,100}}),
                              graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                  extent={{-100,-100},{100,100}}), graphics={Text(
                  extent={{30,100},{96,46}},
                  lineColor={0,0,0},
                  textString="pH"), Text(
                  extent={{-96,72},{-12,100}},
                  lineColor={0,0,0},
                  textString="Blood")}),
            Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
</html>"));
        end TissuePh;

        model SkeletalMuscleBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.SkeletalMuscle;
        end SkeletalMuscleBloodPh;

        model BoneBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.Bone;
        end BoneBloodPh;

        model OtherTissueBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.OtherTissue;
        end OtherTissueBloodPh;

        model RespiratoryMuscleBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.RespiratoryMuscle;
        end RespiratoryMuscleBloodPh;

        model FatBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.Fat;
        end FatBloodPh;

        model SkinBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.Skin;
        end SkinBloodPh;

        model LiverBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.Liver;
        end LiverBloodPh;

        model BrainBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.Brain;
        end BrainBloodPh;

        model GITractBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.GITract;
        end GITractBloodPh;

        model KidneyBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.Kidney;
        end KidneyBloodPh;

        model LeftHeartBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.LeftHeart;
        end LeftHeartBloodPh;

        model RightHeartBloodPh
          extends TissuePh;
          extends Library.Interfaces.Tissues.RightHeart;
        end RightHeartBloodPh;

        model SkeletalMuscleInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.SkeletalMuscle;
        end SkeletalMuscleInterstitialPh;

        model BoneInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.Bone;
        end BoneInterstitialPh;

        model OtherTissueInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.OtherTissue;
        end OtherTissueInterstitialPh;

        model RespiratoryMuscleInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.RespiratoryMuscle;
        end RespiratoryMuscleInterstitialPh;

        model FatInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.Fat;
        end FatInterstitialPh;

        model SkinInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.Skin;
        end SkinInterstitialPh;

        model LiverInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.Liver;
        end LiverInterstitialPh;

        model BrainInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.Brain;
        end BrainInterstitialPh;

        model GITractInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.GITract;
        end GITractInterstitialPh;

        model KidneyInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.Kidney;
        end KidneyInterstitialPh;

        model LeftHeartInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.LeftHeart;
        end LeftHeartInterstitialPh;

        model RightHeartInterstitialPh
          extends TissuePh_interstitial;
          extends Library.Interfaces.Tissues.RightHeart;
        end RightHeartInterstitialPh;

         model SkeletalMuscleIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.SkeletalMuscle;
          annotation (Diagram(graphics));
         end SkeletalMuscleIntracellularPh;

        model BoneIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.Bone;
        end BoneIntracellularPh;

        model OtherTissueIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.OtherTissue;
        end OtherTissueIntracellularPh;

        model RespiratoryMuscleIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.RespiratoryMuscle;
        end RespiratoryMuscleIntracellularPh;

        model FatIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.Fat;
        end FatIntracellularPh;

        model SkinIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.Skin;
        end SkinIntracellularPh;

        model LiverIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.Liver;
        end LiverIntracellularPh;

        model BrainIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.Brain;
        end BrainIntracellularPh;

        model GITractIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.GITract;
        end GITractIntracellularPh;

        model KidneyIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.Kidney;
        end KidneyIntracellularPh;

        model LeftHeartIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.LeftHeart;
        end LeftHeartIntracellularPh;

        model RightHeartIntracellularPh
          extends TissuePh_intracellular;
          extends Library.Interfaces.Tissues.RightHeart;
        end RightHeartIntracellularPh;

       model SkeletalMuscleAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="SkeletalMuscleLactateMass"));
          extends Library.Interfaces.Tissues.SkeletalMuscle;
       end SkeletalMuscleAcidity;

        model BoneAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="BoneLactateMass"));
          extends Library.Interfaces.Tissues.Bone;
        end BoneAcidity;

        model OtherTissueAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="OtherTissueLactateMass"));
          extends Library.Interfaces.Tissues.OtherTissue;
        end OtherTissueAcidity;

        model RespiratoryMuscleAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName=
                  "RespiratoryMuscleLactateMass"));
          extends Library.Interfaces.Tissues.RespiratoryMuscle;
        end RespiratoryMuscleAcidity;

        model FatAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="FatLactateMass"));
          extends Library.Interfaces.Tissues.Fat;
        end FatAcidity;

        model SkinAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="SkinLactateMass"));
          extends Library.Interfaces.Tissues.Skin;
        end SkinAcidity;

        model LiverAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="LiverLactateMass"));
          extends Library.Interfaces.Tissues.Liver;
        end LiverAcidity;

        model BrainAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="BrainLactateMass"));
          extends Library.Interfaces.Tissues.Brain;
        end BrainAcidity;

        model GITractAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="GITractLactateMass"));
          extends Library.Interfaces.Tissues.GITract;
        end GITractAcidity;

        model KidneyAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="KidneyLactateMass"));
          extends Library.Interfaces.Tissues.Kidney;
        end KidneyAcidity;

        model LeftHeartAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="LeftHeartLactateMass"));
          extends Library.Interfaces.Tissues.LeftHeart;
        end LeftHeartAcidity;

        model RightHeartAcidity
          extends HumMod.Gases.AcidBase.Tissues.Tissue_cTH(
                             interstitium(stateName="RightHeartLactateMass"));
          extends Library.Interfaces.Tissues.RightHeart;
          annotation (Diagram(graphics));
        end RightHeartAcidity;

        model Tissue_cTH "interstitial titratable acidity"

        model I
          parameter String stateName;
        end I;

        I interstitium;

          Library.ConcentrationFlow.InputPump inputPump1 
            annotation (Placement(transformation(extent={{-76,-28},{-56,-8}})));
          Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
              unitsString="mEq/l", toAnotherUnitCoef=1000,
            q_in(conc(start=0))) 
            annotation (Placement(transformation(extent={{-16,-16},{4,4}})));
          Library.ConcentrationFlow.SolventFlowPump solventFlowPump 
            annotation (Placement(transformation(extent={{48,14},{68,34}})));
          Library.ConcentrationFlow.SolventFlowPump solventFlowPump1 annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={24,24})));
          Library.Interfaces.RealInput_ LactateFromMetabolism(unit="mEq/min")                                                                                     annotation (Placement(transformation(extent={{-82,-16},
                    {-70,-4}}),                                                                                                   iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,-60})));
          Library.ConcentrationFlow.NegativeConcentrationFlow q_out annotation (Placement(transformation(extent={{74,14},
                    {94,34}}),                                                                                                    iconTransformation(extent={{90,-10},
                    {110,10}})));
          Library.Interfaces.RealInput_ InterstitialWater(unit="ml")                                                                                              annotation (Placement(transformation(extent={{-38,-18},
                    {-26,-6}}),                                                                                                    iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,40})));
          Library.Interfaces.RealOutput_ cTH(unit="mEq/l")
            "interstitial titratable acidity"                                           annotation (Placement(
                transformation(extent={{-4,-4},{4,4}}),     iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={20,-120})));
          Library.ConcentrationFlow.PositiveConcentrationFlow q_in annotation (
              Placement(transformation(extent={{-16,16},{0,32}}),
                iconTransformation(extent={{-110,-10},{-90,10}})));
          Library.Interfaces.RealInput_ BloodFlow(unit="ml/min")                                                                                                  annotation (Placement(transformation(extent={{4,38},{
                    16,50}}),                                                                                                    iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,80})));
        equation
          connect(inputPump1.desiredFlow, LactateFromMetabolism) 
                                                             annotation (Line(
              points={{-66,-14},{-66,-10},{-76,-10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(concentrationMeasure.actualConc, cTH) 
                                                       annotation (Line(
              points={{-6,-2},{-6,0},{0,0}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(solventFlowPump.q_out, q_out) annotation (Line(
              points={{68,24},{84,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(solventFlowPump.solventFlow, BloodFlow) annotation (Line(
              points={{58,30},{58,44},{10,44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow, solventFlowPump1.solventFlow) annotation (Line(
              points={{10,44},{24,44},{24,30}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(q_in, solventFlowPump1.q_in) annotation (Line(
              points={{-8,24},{14,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(solventFlowPump1.q_out, solventFlowPump.q_in) annotation (Line(
              points={{34,24},{48,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(inputPump1.q_out, solventFlowPump.q_in) annotation (Line(
              points={{-60,-18},{42,-18},{42,24},{48,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(inputPump1.q_out, concentrationMeasure.q_in) annotation (Line(
              points={{-60,-18},{-14,-18},{-14,-6},{-6,-6}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={Rectangle(extent={{-100,100},{
                      100,-100}}, lineColor={0,0,0}), Text(
                  extent={{2,98},{88,48}},
                  lineColor={0,0,0},
                  textString="cTH")}),                 Diagram(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics),
            Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
        end Tissue_cTH;

        model Tissue_cTH_old "interstitial titratable acidity"

          Library.ConcentrationFlow.InputPump inputPump1 
            annotation (Placement(transformation(extent={{-76,-28},{-56,-8}})));
          Library.ConcentrationFlow.ConcentrationCompartment interstitium(initialSoluteMass=0) 
            annotation (Placement(transformation(extent={{-20,-28},{0,-8}})));
          Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
              unitsString="mEq/l", toAnotherUnitCoef=1000) 
            annotation (Placement(transformation(extent={{-16,-18},{4,2}})));
          Library.ConcentrationFlow.SolventFlowPump solventFlowPump 
            annotation (Placement(transformation(extent={{48,14},{68,34}})));
          Library.ConcentrationFlow.SolventFlowPump solventFlowPump1 annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=0,
                origin={24,24})));
          Library.Interfaces.RealInput_ LactateFromMetabolism(unit="mEq/min")                                                                                     annotation (Placement(transformation(extent={{-82,-16},
                    {-70,-4}}),                                                                                                   iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,-60})));
          Library.ConcentrationFlow.NegativeConcentrationFlow q_out annotation (Placement(transformation(extent={{74,14},
                    {94,34}}),                                                                                                    iconTransformation(extent={{90,-10},
                    {110,10}})));
          Library.Interfaces.RealInput_ InterstitialWater(unit="ml")                                                                                              annotation (Placement(transformation(extent={{-38,-18},
                    {-26,-6}}),                                                                                                    iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,40})));
          Library.Interfaces.RealOutput_ cTH(unit="mEq/l")
            "interstitial titratable acidity"                                           annotation (Placement(
                transformation(extent={{-4,-4},{4,4}}),     iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={20,-120})));
          Library.ConcentrationFlow.PositiveConcentrationFlow q_in annotation (
              Placement(transformation(extent={{-16,16},{0,32}}),
                iconTransformation(extent={{-110,-10},{-90,10}})));
          Library.Interfaces.RealInput_ BloodFlow(unit="ml/min")                                                                                                  annotation (Placement(transformation(extent={{4,38},{
                    16,50}}),                                                                                                    iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,80})));
        equation
          connect(inputPump1.desiredFlow, LactateFromMetabolism) 
                                                             annotation (Line(
              points={{-66,-14},{-66,-10},{-76,-10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inputPump1.q_out,interstitium. q_out) annotation (Line(
              points={{-60,-18},{-10,-18}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(InterstitialWater,interstitium. SolventVolume) annotation (Line(
              points={{-32,-12},{-18,-12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(concentrationMeasure.q_in,interstitium. q_out) annotation (Line(
              points={{-6,-8},{-10,-8},{-10,-18}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(concentrationMeasure.actualConc, cTH) 
                                                       annotation (Line(
              points={{-6,-4},{-6,0},{0,0}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(solventFlowPump.q_out, q_out) annotation (Line(
              points={{68,24},{84,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(solventFlowPump.solventFlow, BloodFlow) annotation (Line(
              points={{58,30},{58,44},{10,44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow, solventFlowPump1.solventFlow) annotation (Line(
              points={{10,44},{24,44},{24,30}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(q_in, solventFlowPump1.q_in) annotation (Line(
              points={{-8,24},{14,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(solventFlowPump1.q_out, solventFlowPump.q_in) annotation (Line(
              points={{34,24},{48,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(interstitium.q_out, solventFlowPump.q_in) annotation (Line(
              points={{-10,-18},{42,-18},{42,24},{48,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={Rectangle(extent={{-100,100},{
                      100,-100}}, lineColor={0,0,0}), Text(
                  extent={{2,98},{88,48}},
                  lineColor={0,0,0},
                  textString="cTH")}),                 Diagram(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics),
            Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
        end Tissue_cTH_old;
      end Tissues;

      package setup

      model AcidBaseConstInputs

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{72,-2},{86,12}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant ArtysVol(k=1587.76521066473) 
      annotation (Placement(transformation(extent={{-46,-340},{-40,-334}})));
      Library.Blocks.Constant BladderVolume_Mass(k=5365.4292713828) 
      annotation (Placement(transformation(extent={{-46,-330},{-40,-324}})));
      Library.Blocks.Constant CardiacOutput(k=5402.99570595689) 
      annotation (Placement(transformation(extent={{-46,-320},{-40,-314}})));
      Library.Blocks.Constant CD_KA_Outflow(k=6.08968322729714e-005) 
      annotation (Placement(transformation(extent={{-46,-310},{-40,-304}})));
      Library.Blocks.Constant CD_PO4_Outflow(k=2.28968543265027e-002) 
      annotation (Placement(transformation(extent={{-46,-300},{-40,-294}})));
      Library.Blocks.Constant CD_NH4_Outflow(k=3.45950195621061e-002) 
      annotation (Placement(transformation(extent={{-46,-290},{-40,-284}})));
      Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
      annotation (Placement(transformation(extent={{-46,-280},{-40,-274}})));
      Library.Blocks.Constant PotasiumToCells(k=0) 
      annotation (Placement(transformation(extent={{-136,-270},{-130,-264}})));
      Library.Blocks.Constant LactateFromTissues(k=1.45802146223154e-004) 
      annotation (Placement(transformation(extent={{-46,-260},{-40,-254}})));
      Library.Blocks.Constant ctPO4(k=0.171693430695613) 
      annotation (Placement(transformation(extent={{-46,-250},{-40,-244}})));
      Library.Blocks.Constant VeinsVol(k=3777.66406071807) 
      annotation (Placement(transformation(extent={{-46,-240},{-40,-234}})));
      Library.Blocks.Constant bone_cHCO3(k=25.7101865525707) 
      annotation (Placement(transformation(extent={{-46,-230},{-40,-224}})));
      Library.Blocks.Constant brain_cHCO3(k=26.1490847006339) 
      annotation (Placement(transformation(extent={{-46,-220},{-40,-214}})));
      Library.Blocks.Constant CO2Artys_cHCO3(k=24.0255789300596) 
      annotation (Placement(transformation(extent={{-46,-210},{-40,-204}})));
      Library.Blocks.Constant CO2Veins_cHCO3(k=25.7178569224208) 
      annotation (Placement(transformation(extent={{-46,-200},{-40,-194}})));
      Library.Blocks.Constant fat_cHCO3(k=24.998410903777) 
      annotation (Placement(transformation(extent={{-46,-190},{-40,-184}})));
      Library.Blocks.Constant GITract_cHCO3(k=24.961910915335) 
      annotation (Placement(transformation(extent={{-46,-180},{-40,-174}})));
      Library.Blocks.Constant kidney_cHCO3(k=24.5582727136756) 
      annotation (Placement(transformation(extent={{-46,-170},{-40,-164}})));
      Library.Blocks.Constant leftHeart_cHCO3(k=29.2699412254444) 
      annotation (Placement(transformation(extent={{-46,-160},{-40,-154}})));
      Library.Blocks.Constant liver_cHCO3(k=23.7403956696023) 
      annotation (Placement(transformation(extent={{-46,-150},{-40,-144}})));
      Library.Blocks.Constant otherTissue_cHCO3(k=25.0697464384421) 
      annotation (Placement(transformation(extent={{-46,-140},{-40,-134}})));
      Library.Blocks.Constant respiratoryMuscle_cHCO3(k=26.3476239539683) 
      annotation (Placement(transformation(extent={{-46,-130},{-40,-124}})));
      Library.Blocks.Constant rightHeart_cHCO3(k=29.3320888337204) 
      annotation (Placement(transformation(extent={{-46,-120},{-40,-114}})));
      Library.Blocks.Constant skeletalMuscle_cHCO3(k=25.7767823282171) 
      annotation (Placement(transformation(extent={{-46,-110},{-40,-104}})));
      Library.Blocks.Constant skin_cHCO3(k=26.5750345302478) 
      annotation (Placement(transformation(extent={{-46,-100},{-40,-94}})));
      Library.Blocks.Constant bone_sO2(k=.7369676776) 
      annotation (Placement(transformation(extent={{-46,-90},{-40,-84}})));
      Library.Blocks.Constant brain_sO2(k=.6757024462) 
      annotation (Placement(transformation(extent={{-46,-80},{-40,-74}})));
      Library.Blocks.Constant fat_sO2(k=.8354732713) 
      annotation (Placement(transformation(extent={{-46,-70},{-40,-64}})));
      Library.Blocks.Constant GITract_sO2(k=.8403163888) 
      annotation (Placement(transformation(extent={{-46,-60},{-40,-54}})));
      Library.Blocks.Constant kidney_sO2(k=.8814419008) 
      annotation (Placement(transformation(extent={{-46,-50},{-40,-44}})));
      Library.Blocks.Constant leftHeart_sO2(k=.2430556345) 
      annotation (Placement(transformation(extent={{-46,-40},{-40,-34}})));
      Library.Blocks.Constant liver_sO2(k=.6999649778) 
      annotation (Placement(transformation(extent={{-46,-30},{-40,-24}})));
      Library.Blocks.Constant O2Artys_sO2(k=.9719730265) 
      annotation (Placement(transformation(extent={{-46,-20},{-40,-14}})));
      Library.Blocks.Constant O2Veins_sO2(k=.7357091911) 
      annotation (Placement(transformation(extent={{-46,-10},{-40,-4}})));
      Library.Blocks.Constant otherTissue_sO2(k=.8257508675) 
      annotation (Placement(transformation(extent={{-46,0},{-40,6}})));
      Library.Blocks.Constant respiratoryMuscle_sO2(k=.646289708) 
      annotation (Placement(transformation(extent={{-46,10},{-40,16}})));
      Library.Blocks.Constant rightHeart_sO2(k=.2343884422) 
      annotation (Placement(transformation(extent={{-46,20},{-40,26}})));
      Library.Blocks.Constant skeletalMuscle_sO2(k=.7257633704) 
      annotation (Placement(transformation(extent={{-46,30},{-40,36}})));
      Library.Blocks.Constant skin_sO2(k=.6149145222) 
      annotation (Placement(transformation(extent={{-46,40},{-40,46}})));
      Library.Blocks.Constant ctAlb(k=0.66) 
      annotation (Placement(transformation(extent={{-46,50},{-40,56}})));
      Library.Blocks.Constant ctGlb(k=28) 
      annotation (Placement(transformation(extent={{-46,60},{-40,66}})));
      Library.Blocks.Constant ctHb_ery(k=21) 
      annotation (Placement(transformation(extent={{-46,70},{-40,76}})));
      Library.Blocks.Constant DT_AldosteroneEffect(k=1) 
      annotation (Placement(transformation(extent={{-46,80},{-40,86}})));
      Library.Blocks.Constant bone_cHCO3_interstitial(k=25.7101865525707) 
      annotation (Placement(transformation(extent={{-46,90},{-40,96}})));
      Library.Blocks.Constant brain_cHCO3_interstitial(k=26.1490847006339) 
      annotation (Placement(transformation(extent={{-46,100},{-40,106}})));
      Library.Blocks.Constant CO2Artys_cHCO3_interstitial(k=24.0255789300596) 
      annotation (Placement(transformation(extent={{-46,110},{-40,116}})));
      Library.Blocks.Constant CO2Veins_cHCO3_interstitial(k=25.7178569224208) 
      annotation (Placement(transformation(extent={{-46,120},{-40,126}})));
      Library.Blocks.Constant fat_cHCO3_interstitial(k=24.998410903777) 
      annotation (Placement(transformation(extent={{-46,130},{-40,136}})));
      Library.Blocks.Constant GITract_cHCO3_interstitial(k=24.961910915335) 
      annotation (Placement(transformation(extent={{-46,140},{-40,146}})));
      Library.Blocks.Constant kidney_cHCO3_interstitial(k=24.5582727136756) 
      annotation (Placement(transformation(extent={{-46,150},{-40,156}})));
      Library.Blocks.Constant leftHeart_cHCO3_interstitial(k=29.2699412254444) 
      annotation (Placement(transformation(extent={{-46,160},{-40,166}})));
      Library.Blocks.Constant liver_cHCO3_interstitial(k=23.7403956696023) 
      annotation (Placement(transformation(extent={{-46,170},{-40,176}})));
      Library.Blocks.Constant otherTissue_cHCO3_interstitial(k=25.0697464384421) 
      annotation (Placement(transformation(extent={{-46,180},{-40,186}})));
      Library.Blocks.Constant respiratoryMuscle_cHCO3_interstitial(k=26.3476239539683) 
      annotation (Placement(transformation(extent={{-46,190},{-40,196}})));
      Library.Blocks.Constant rightHeart_cHCO3_interstitial(k=29.3320888337204) 
      annotation (Placement(transformation(extent={{-46,200},{-40,206}})));
      Library.Blocks.Constant skeletalMuscle_cHCO3_interstitial(k=25.7767823282171) 
      annotation (Placement(transformation(extent={{-46,210},{-40,216}})));
      Library.Blocks.Constant skin_cHCO3_interstitial(k=26.5750345302478) 
      annotation (Placement(transformation(extent={{-46,220},{-40,226}})));
      Library.Blocks.Constant bone_BloodFlow(k=411.529549648395) 
      annotation (Placement(transformation(extent={{-46,230},{-40,236}})));
      Library.Blocks.Constant brain_BloodFlow(k=870.480358845086) 
      annotation (Placement(transformation(extent={{-46,240},{-40,246}})));
      Library.Blocks.Constant fat_BloodFlow(k=236.170497748735) 
      annotation (Placement(transformation(extent={{-46,250},{-40,256}})));
      Library.Blocks.Constant GITract_BloodFlow(k=971.271094732174) 
      annotation (Placement(transformation(extent={{-46,260},{-40,266}})));
      Library.Blocks.Constant HepaticArty_BloodFlow(k=245.489746000535) 
      annotation (Placement(transformation(extent={{-46,270},{-40,276}})));
      Library.Blocks.Constant kidney_BloodFlow(k=1231.77885077347) 
      annotation (Placement(transformation(extent={{-46,280},{-40,286}})));
      Library.Blocks.Constant leftHeart_BloodFlow(k=187.141403158598) 
      annotation (Placement(transformation(extent={{-46,290},{-40,296}})));
      Library.Blocks.Constant AlveolarVentilated_BloodFlow(k=5182.99570595689) 
      annotation (Placement(transformation(extent={{-46,300},{-40,306}})));
      Library.Blocks.Constant otherTissue_BloodFlow(k=367.445620022139) 
      annotation (Placement(transformation(extent={{-46,310},{-40,316}})));
      Library.Blocks.Constant respiratoryMuscle_BloodFlow(k=96.4514390299406) 
      annotation (Placement(transformation(extent={{-46,320},{-40,326}})));
      Library.Blocks.Constant rightHeart_BloodFlow(k=35.2508578572206) 
      annotation (Placement(transformation(extent={{-46,330},{-40,336}})));
      Library.Blocks.Constant skeletalMuscle_BloodFlow(k=630.94639202895) 
      annotation (Placement(transformation(extent={{-40,464},{-34,470}})));
      Library.Blocks.Constant skin_BloodFlow(k=116.996639739554) 
      annotation (Placement(transformation(extent={{186,-382},{192,-376}})));
      Library.Blocks.Constant liver_BloodFlow(k=1216.760840732709) 
      annotation (Placement(transformation(extent={{-144,-254},{-140,-250}})));
      Library.Blocks.Constant GITract_InterstitialWater(k=1095.27) 
      annotation (Placement(transformation(extent={{186,-362},{192,-356}})));
      Library.Blocks.Constant bone_InterstitialWater(k=3442.29) 
      annotation (Placement(transformation(extent={{186,-352},{192,-346}})));
      Library.Blocks.Constant brain_InterstitialWater(k=704.104) 
      annotation (Placement(transformation(extent={{186,-342},{192,-336}})));
      Library.Blocks.Constant fat_InterstitialWater(k=2425.25) 
      annotation (Placement(transformation(extent={{186,-332},{192,-326}})));
      Library.Blocks.Constant kidney_InterstitialWater(k=234.701) 
      annotation (Placement(transformation(extent={{186,-322},{192,-316}})));
      Library.Blocks.Constant leftHeart_InterstitialWater(k=195.585) 
      annotation (Placement(transformation(extent={{186,-312},{192,-306}})));
      Library.Blocks.Constant liver_InterstitialWater(k=1721.14) 
      annotation (Placement(transformation(extent={{186,-302},{192,-296}})));
      Library.Blocks.Constant otherTissue_InterstitialWater(k=3090.24) 
      annotation (Placement(transformation(extent={{186,-292},{192,-286}})));
      Library.Blocks.Constant respiratoryMuscle_InterstitialWater(k=2738.18) 
      annotation (Placement(transformation(extent={{186,-282},{192,-276}})));
      Library.Blocks.Constant rightHeart_InterstitialWater(k=39.1169) 
      annotation (Placement(transformation(extent={{186,-272},{192,-266}})));
      Library.Blocks.Constant skeletalMuscle_InterstitialWater(k=18463.2) 
      annotation (Placement(transformation(extent={{190,-244},{196,-238}})));
      Library.Blocks.Constant skin_InterstitialWater(k=4967.85) 
      annotation (Placement(transformation(extent={{190,-234},{196,-228}})));
      Library.Blocks.Constant GITract_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-224},{196,-218}})));
      Library.Blocks.Constant bone_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-214},{196,-208}})));
      Library.Blocks.Constant brain_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-204},{196,-198}})));
      Library.Blocks.Constant fat_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-194},{196,-188}})));
      Library.Blocks.Constant kidney_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-184},{196,-178}})));
      Library.Blocks.Constant leftHeart_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-174},{196,-168}})));
      Library.Blocks.Constant liver_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-164},{196,-158}})));
      Library.Blocks.Constant otherTissue_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-154},{196,-148}})));
      Library.Blocks.Constant respiratoryMuscle_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-144},{196,-138}})));
      Library.Blocks.Constant rightHeart_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-134},{196,-128}})));
      Library.Blocks.Constant skeletalMuscle_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-124},{196,-118}})));
      Library.Blocks.Constant skin_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{190,-114},{196,-108}})));
      Library.Blocks.Constant GITract_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{190,-104},{196,-98}})));
      Library.Blocks.Constant HeatCore_Temp(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{190,-94},{196,-88}})));
      Library.Blocks.Constant bone_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{190,-84},{196,-78}})));
      Library.Blocks.Constant brain_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{190,-74},{196,-68}})));
      Library.Blocks.Constant fat_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{188,-48},{194,-42}})));
      Library.Blocks.Constant kidney_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{188,-38},{194,-32}})));
      Library.Blocks.Constant leftHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{188,-28},{194,-22}})));
      Library.Blocks.Constant liver_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{188,-18},{194,-12}})));
      Library.Blocks.Constant otherTissue_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{188,-8},{194,-2}})));
      Library.Blocks.Constant respiratoryMuscle_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{188,2},{194,8}})));
      Library.Blocks.Constant rightHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{188,12},{194,18}})));
      Library.Blocks.Constant skeletalMuscle_T(k=37.239827522926) 
      annotation (Placement(transformation(extent={{188,22},{194,28}})));
      Library.Blocks.Constant skin_T(k=28.6404308069366) 
      annotation (Placement(transformation(extent={{188,32},{194,38}})));
      Library.Blocks.Constant bone_pCO2(k=46.4557951901599) 
      annotation (Placement(transformation(extent={{188,42},{194,48}})));
      Library.Blocks.Constant brain_pCO2(k=47.6749567125577) 
      annotation (Placement(transformation(extent={{188,52},{194,58}})));
      Library.Blocks.Constant CO2Artys_pCO2(k=41.7544049802257) 
      annotation (Placement(transformation(extent={{188,62},{194,68}})));
      Library.Blocks.Constant CO2Veins_pCO2(k=46.4492835152696) 
      annotation (Placement(transformation(extent={{188,72},{194,78}})));
      Library.Blocks.Constant fat_pCO2(k=44.4786406101774) 
      annotation (Placement(transformation(extent={{188,82},{194,88}})));
      Library.Blocks.Constant GITract_pCO2(k=44.3772517533942) 
      annotation (Placement(transformation(extent={{188,92},{194,98}})));
      Library.Blocks.Constant kidney_pCO2(k=43.2560345265624) 
      annotation (Placement(transformation(extent={{188,102},{194,108}})));
      Library.Blocks.Constant leftHeart_pCO2(k=56.344002614809) 
      annotation (Placement(transformation(extent={{188,112},{194,118}})));
      Library.Blocks.Constant liver_pCO2(k=40.984153848581) 
      annotation (Placement(transformation(extent={{188,122},{194,128}})));
      Library.Blocks.Constant CO2Lung_pCO2(k=41.6036252824923) 
      annotation (Placement(transformation(extent={{188,132},{194,138}})));
      Library.Blocks.Constant otherTissue_pCO2(k=44.6767948731359) 
      annotation (Placement(transformation(extent={{188,142},{194,148}})));
      Library.Blocks.Constant respiratoryMuscle_pCO2(k=48.2264546384865) 
      annotation (Placement(transformation(extent={{188,152},{194,158}})));
      Library.Blocks.Constant rightHeart_pCO2(k=56.5166348600201) 
      annotation (Placement(transformation(extent={{188,162},{194,168}})));
      Library.Blocks.Constant skeletalMuscle_pCO2(k=46.6407834558443) 
      annotation (Placement(transformation(extent={{188,172},{194,178}})));
      Library.Blocks.Constant skin_pCO2(k=48.858150683707) 
      annotation (Placement(transformation(extent={{188,182},{194,188}})));
      Library.Blocks.Constant bone_cLactate(k=1.17864964797693) 
      annotation (Placement(transformation(extent={{188,192},{194,198}})));
      Library.Blocks.Constant brain_cLactate(k=1.17824818197653) 
      annotation (Placement(transformation(extent={{188,202},{194,208}})));
      Library.Blocks.Constant fat_cLactate(k=1.17872566761662) 
      annotation (Placement(transformation(extent={{188,212},{194,218}})));
      Library.Blocks.Constant GITract_cLactate(k=1.17853264928685) 
      annotation (Placement(transformation(extent={{188,222},{194,228}})));
      Library.Blocks.Constant kidney_cLactate(k=1.17768541381456) 
      annotation (Placement(transformation(extent={{188,232},{194,238}})));
      Library.Blocks.Constant leftHeart_cLactate(k=1.1772823164353) 
      annotation (Placement(transformation(extent={{188,242},{194,248}})));
      Library.Blocks.Constant liver_cLactate(k=1.17837719280468) 
      annotation (Placement(transformation(extent={{188,252},{194,258}})));
      Library.Blocks.Constant otherTissue_cLactate(k=1.17872358416974) 
      annotation (Placement(transformation(extent={{188,262},{194,268}})));
      Library.Blocks.Constant respiratoryMuscle_cLactate(k=1.17873921576527) 
      annotation (Placement(transformation(extent={{188,272},{194,278}})));
      Library.Blocks.Constant rightHeart_cLactate(k=1.17710930900017) 
      annotation (Placement(transformation(extent={{188,282},{194,288}})));
      Library.Blocks.Constant skeletalMuscle_cLactate(k=1.17874448371875) 
      annotation (Placement(transformation(extent={{188,292},{194,298}})));
      Library.Blocks.Constant skin_cLactate(k=1.17866886042046) 
      annotation (Placement(transformation(extent={{188,302},{194,308}})));
      Library.Blocks.Constant KCell_conc(k=145.580640839212) 
      annotation (Placement(transformation(extent={{188,312},{194,318}})));
        Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
          annotation (Placement(transformation(extent={{-46,-366},{-40,-360}})));
      Library.Blocks.Constant KA_Change(k=0) 
      annotation (Placement(transformation(extent={{-46,-352},{-40,-346}})));
      Library.Blocks.Constant O2Veins_sO1(k=0) 
      annotation (Placement(transformation(extent={{-76,-50},{-70,-44}})));
      equation

      connect(ArtysVol.y, busConnector.ArtysVol) annotation (Line(
       points={{-39.7,-337},{79,-337},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
       points={{-39.7,-327},{79,-327},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CardiacOutput.y, busConnector.CardiacOutput) annotation (Line(
       points={{-39.7,-317},{79,-317},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
       points={{-39.7,-307},{79,-307},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
       points={{-39.7,-297},{79,-297},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
       points={{-39.7,-277},{79,-277},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PotasiumToCells.y, busConnector.PotassiumToCells) annotation (Line(
       points={{-129.7,-267},{79,-267},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LactateFromTissues.y, busConnector.LactateFromTissues) annotation (Line(
       points={{-39.7,-257},{79,-257},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
       points={{-39.7,-247},{79,-247},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VeinsVol.y, busConnector.VeinsVol) annotation (Line(
       points={{-39.7,-237},{79,-237},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_cHCO3.y, busConnector.bone_cHCO3) annotation (Line(
       points={{-39.7,-227},{79,-227},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_cHCO3.y, busConnector.brain_cHCO3) annotation (Line(
       points={{-39.7,-217},{79,-217},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Artys_cHCO3.y, busConnector.CO2Artys_cHCO3) annotation (Line(
       points={{-39.7,-207},{79,-207},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
       points={{-39.7,-197},{79,-197},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_cHCO3.y, busConnector.fat_cHCO3) annotation (Line(
       points={{-39.7,-187},{79,-187},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_cHCO3.y, busConnector.GITract_cHCO3) annotation (Line(
       points={{-39.7,-177},{79,-177},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_cHCO3.y, busConnector.kidney_cHCO3) annotation (Line(
       points={{-39.7,-167},{79,-167},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_cHCO3.y, busConnector.leftHeart_cHCO3) annotation (Line(
       points={{-39.7,-157},{79,-157},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_cHCO3.y, busConnector.liver_cHCO3) annotation (Line(
       points={{-39.7,-147},{79,-147},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_cHCO3.y, busConnector.otherTissue_cHCO3) annotation (Line(
       points={{-39.7,-137},{79,-137},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_cHCO3.y, busConnector.respiratoryMuscle_cHCO3) annotation (Line(
       points={{-39.7,-127},{79,-127},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_cHCO3.y, busConnector.rightHeart_cHCO3) annotation (Line(
       points={{-39.7,-117},{79,-117},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_cHCO3.y, busConnector.skeletalMuscle_cHCO3) annotation (Line(
       points={{-39.7,-107},{79,-107},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_cHCO3.y, busConnector.skin_cHCO3) annotation (Line(
       points={{-39.7,-97},{79,-97},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_sO2.y, busConnector.bone_sO2) annotation (Line(
       points={{-39.7,-87},{79,-87},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_sO2.y, busConnector.brain_sO2) annotation (Line(
       points={{-39.7,-77},{79,-77},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_sO2.y, busConnector.fat_sO2) annotation (Line(
       points={{-39.7,-67},{79,-67},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_sO2.y, busConnector.GITract_sO2) annotation (Line(
       points={{-39.7,-57},{79,-57},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_sO2.y, busConnector.kidney_sO2) annotation (Line(
       points={{-39.7,-47},{79,-47},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_sO2.y, busConnector.leftHeart_sO2) annotation (Line(
       points={{-39.7,-37},{79,-37},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_sO2.y, busConnector.liver_sO2) annotation (Line(
       points={{-39.7,-27},{79,-27},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(O2Artys_sO2.y, busConnector.O2Artys_sO2) annotation (Line(
       points={{-39.7,-17},{79,-17},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(O2Veins_sO2.y, busConnector.O2Veins_sO2) annotation (Line(
       points={{-39.7,-7},{79,-7},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_sO2.y, busConnector.otherTissue_sO2) annotation (Line(
       points={{-39.7,3},{79,3},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_sO2.y, busConnector.respiratoryMuscle_sO2) annotation (Line(
       points={{-39.7,13},{79,13},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_sO2.y, busConnector.rightHeart_sO2) annotation (Line(
       points={{-39.7,23},{79,23},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_sO2.y, busConnector.skeletalMuscle_sO2) annotation (Line(
       points={{-39.7,33},{79,33},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_sO2.y, busConnector.skin_sO2) annotation (Line(
       points={{-39.7,43},{79,43},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
       points={{-39.7,53},{79,53},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
       points={{-39.7,63},{79,63},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctHb_ery.y, busConnector.ctHb_ery) annotation (Line(
       points={{-39.7,73},{79,73},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
       points={{-39.7,83},{79,83},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_cHCO3_interstitial.y, busConnector.bone_cHCO3_interstitial) annotation (Line(
       points={{-39.7,93},{79,93},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_cHCO3_interstitial.y, busConnector.brain_cHCO3_interstitial) annotation (Line(
       points={{-39.7,103},{79,103},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Artys_cHCO3_interstitial.y, busConnector.CO2Artys_cHCO3_interstitial) annotation (Line(
       points={{-39.7,113},{79,113},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Veins_cHCO3_interstitial.y, busConnector.CO2Veins_cHCO3_interstitial) annotation (Line(
       points={{-39.7,123},{79,123},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_cHCO3_interstitial.y, busConnector.fat_cHCO3_interstitial) annotation (Line(
       points={{-39.7,133},{79,133},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_cHCO3_interstitial.y, busConnector.GITract_cHCO3_interstitial) annotation (Line(
       points={{-39.7,143},{79,143},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_cHCO3_interstitial.y, busConnector.kidney_cHCO3_interstitial) annotation (Line(
       points={{-39.7,153},{79,153},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_cHCO3_interstitial.y, busConnector.leftHeart_cHCO3_interstitial) annotation (Line(
       points={{-39.7,163},{79,163},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_cHCO3_interstitial.y, busConnector.liver_cHCO3_interstitial) annotation (Line(
       points={{-39.7,173},{79,173},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_cHCO3_interstitial.y, busConnector.otherTissue_cHCO3_interstitial) annotation (Line(
       points={{-39.7,183},{79,183},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_cHCO3_interstitial.y, busConnector.respiratoryMuscle_cHCO3_interstitial) annotation (Line(
       points={{-39.7,193},{79,193},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_cHCO3_interstitial.y, busConnector.rightHeart_cHCO3_interstitial) annotation (Line(
       points={{-39.7,203},{79,203},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_cHCO3_interstitial.y, busConnector.skeletalMuscle_cHCO3_interstitial) annotation (Line(
       points={{-39.7,213},{79,213},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_cHCO3_interstitial.y, busConnector.skin_cHCO3_interstitial) annotation (Line(
       points={{-39.7,223},{79,223},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_BloodFlow.y, busConnector.bone_BloodFlow) annotation (Line(
       points={{-39.7,233},{79,233},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_BloodFlow.y, busConnector.brain_BloodFlow) annotation (Line(
       points={{-39.7,243},{79,243},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_BloodFlow.y, busConnector.fat_BloodFlow) annotation (Line(
       points={{-39.7,253},{79,253},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
       points={{-39.7,263},{79,263},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
       points={{-39.7,273},{79,273},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_BloodFlow.y, busConnector.kidney_BloodFlow) annotation (Line(
       points={{-39.7,283},{79,283},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_BloodFlow.y, busConnector.leftHeart_BloodFlow) annotation (Line(
       points={{-39.7,293},{79,293},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
       points={{-39.7,303},{79,303},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_BloodFlow.y, busConnector.otherTissue_BloodFlow) annotation (Line(
       points={{-39.7,313},{79,313},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_BloodFlow.y, busConnector.respiratoryMuscle_BloodFlow) annotation (Line(
       points={{-39.7,323},{79,323},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_BloodFlow.y, busConnector.rightHeart_BloodFlow) annotation (Line(
       points={{-39.7,333},{79,333},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) annotation (Line(
       points={{-33.7,467},{79,467},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) annotation (Line(
       points={{192.3,-379},{79,-379},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
       points={{-139.8,-252},{79,-252},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
       points={{192.3,-359},{79,-359},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
       points={{192.3,-349},{79,-349},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
       points={{192.3,-339},{79,-339},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
       points={{192.3,-329},{79,-329},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
       points={{192.3,-319},{79,-319},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
       points={{192.3,-309},{79,-309},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
       points={{192.3,-299},{79,-299},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
       points={{192.3,-289},{79,-289},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
       points={{192.3,-279},{79,-279},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
       points={{192.3,-269},{79,-269},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
       points={{196.3,-241},{79,-241},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
       points={{196.3,-231},{79,-231},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_LactateFromMetabolism.y, busConnector.GITract_LactateFromMetabolism) annotation (Line(
       points={{196.3,-221},{79,-221},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_LactateFromMetabolism.y, busConnector.bone_LactateFromMetabolism) annotation (Line(
       points={{196.3,-211},{79,-211},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_LactateFromMetabolism.y, busConnector.brain_LactateFromMetabolism) annotation (Line(
       points={{196.3,-201},{79,-201},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_LactateFromMetabolism.y, busConnector.fat_LactateFromMetabolism) annotation (Line(
       points={{196.3,-191},{79,-191},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_LactateFromMetabolism.y, busConnector.kidney_LactateFromMetabolism) annotation (Line(
       points={{196.3,-181},{79,-181},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_LactateFromMetabolism.y, busConnector.leftHeart_LactateFromMetabolism) annotation (Line(
       points={{196.3,-171},{79,-171},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_LactateFromMetabolism.y, busConnector.liver_LactateFromMetabolism) annotation (Line(
       points={{196.3,-161},{79,-161},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_LactateFromMetabolism.y, busConnector.otherTissue_LactateFromMetabolism) annotation (Line(
       points={{196.3,-151},{79,-151},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_LactateFromMetabolism.y, busConnector.respiratoryMuscle_LactateFromMetabolism) annotation (Line(
       points={{196.3,-141},{79,-141},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_LactateFromMetabolism.y, busConnector.rightHeart_LactateFromMetabolism) annotation (Line(
       points={{196.3,-131},{79,-131},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_LactateFromMetabolism.y, busConnector.skeletalMuscle_LactateFromMetabolism) annotation (Line(
       points={{196.3,-121},{79,-121},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_LactateFromMetabolism.y, busConnector.skin_LactateFromMetabolism) annotation (Line(
       points={{196.3,-111},{79,-111},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_T.y, busConnector.GITract_T) annotation (Line(
       points={{196.3,-101},{79,-101},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
       points={{196.3,-91},{79,-91},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_T.y, busConnector.bone_T) annotation (Line(
       points={{196.3,-81},{79,-81},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_T.y, busConnector.brain_T) annotation (Line(
       points={{196.3,-71},{79,-71},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_T.y, busConnector.fat_T) annotation (Line(
       points={{194.3,-45},{79,-45},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_T.y, busConnector.kidney_T) annotation (Line(
       points={{194.3,-35},{79,-35},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_T.y, busConnector.leftHeart_T) annotation (Line(
       points={{194.3,-25},{79,-25},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_T.y, busConnector.liver_T) annotation (Line(
       points={{194.3,-15},{79,-15},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_T.y, busConnector.otherTissue_T) annotation (Line(
       points={{194.3,-5},{79,-5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_T.y, busConnector.respiratoryMuscle_T) annotation (Line(
       points={{194.3,5},{136.65,5},{136.65,5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_T.y, busConnector.rightHeart_T) annotation (Line(
       points={{194.3,15},{79,15},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_T.y, busConnector.skeletalMuscle_T) annotation (Line(
       points={{194.3,25},{79,25},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y, busConnector.skin_T) annotation (Line(
       points={{194.3,35},{79,35},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pCO2.y, busConnector.bone_pCO2) annotation (Line(
       points={{194.3,45},{79,45},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pCO2.y, busConnector.brain_pCO2) annotation (Line(
       points={{194.3,55},{79,55},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Artys_pCO2.y, busConnector.CO2Artys_pCO2) annotation (Line(
       points={{194.3,65},{79,65},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Veins_pCO2.y, busConnector.CO2Veins_pCO2) annotation (Line(
       points={{194.3,75},{79,75},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pCO2.y, busConnector.fat_pCO2) annotation (Line(
       points={{194.3,85},{79,85},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pCO2.y, busConnector.GITract_pCO2) annotation (Line(
       points={{194.3,95},{79,95},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pCO2.y, busConnector.kidney_pCO2) annotation (Line(
       points={{194.3,105},{79,105},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pCO2.y, busConnector.leftHeart_pCO2) annotation (Line(
       points={{194.3,115},{79,115},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pCO2.y, busConnector.liver_pCO2) annotation (Line(
       points={{194.3,125},{79,125},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Lung_pCO2.y, busConnector.CO2Lung_pCO2) annotation (Line(
       points={{194.3,135},{79,135},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pCO2.y, busConnector.otherTissue_pCO2) annotation (Line(
       points={{194.3,145},{79,145},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pCO2.y, busConnector.respiratoryMuscle_pCO2) annotation (Line(
       points={{194.3,155},{79,155},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pCO2.y, busConnector.rightHeart_pCO2) annotation (Line(
       points={{194.3,165},{79,165},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pCO2.y, busConnector.skeletalMuscle_pCO2) annotation (Line(
       points={{194.3,175},{79,175},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pCO2.y, busConnector.skin_pCO2) annotation (Line(
       points={{194.3,185},{79,185},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_cLactate.y, busConnector.bone_cLactate) annotation (Line(
       points={{194.3,195},{79,195},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_cLactate.y, busConnector.brain_cLactate) annotation (Line(
       points={{194.3,205},{79,205},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_cLactate.y, busConnector.fat_cLactate) annotation (Line(
       points={{194.3,215},{79,215},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_cLactate.y, busConnector.GITract_cLactate) annotation (Line(
       points={{194.3,225},{79,225},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_cLactate.y, busConnector.kidney_cLactate) annotation (Line(
       points={{194.3,235},{79,235},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_cLactate.y, busConnector.leftHeart_cLactate) annotation (Line(
       points={{194.3,245},{79,245},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_cLactate.y, busConnector.liver_cLactate) annotation (Line(
       points={{194.3,255},{79,255},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_cLactate.y, busConnector.otherTissue_cLactate) annotation (Line(
       points={{194.3,265},{79,265},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_cLactate.y, busConnector.respiratoryMuscle_cLactate) annotation (Line(
       points={{194.3,275},{79,275},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_cLactate.y, busConnector.rightHeart_cLactate) annotation (Line(
       points={{194.3,285},{79,285},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_cLactate.y, busConnector.skeletalMuscle_cLactate) annotation (Line(
       points={{194.3,295},{79,295},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_cLactate.y, busConnector.skin_cLactate) annotation (Line(
       points={{194.3,305},{79,305},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
       points={{194.3,315},{79,315},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
            points={{-39.7,-363},{79,-363},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
          connect(KA_Change.y, busConnector.KA_Change) annotation (Line(
              points={{-39.7,-349},{14.15,-349},{14.15,5},{79,5}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Veins_sO1.y, busConnector.KA_Change_mmol_per_min) 
            annotation (Line(
              points={{-69.7,-47},{10.15,-47},{10.15,5},{79,5}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
      end AcidBaseConstInputs;

      end setup;

      package test
        model T
          setup.AcidBaseConstInputs acidBaseConstInputs 
            annotation (Placement(transformation(extent={{-74,-4},{-54,16}})));
          AcidBase acidBase 
            annotation (Placement(transformation(extent={{-12,2},{8,22}})));
        equation
          connect(acidBaseConstInputs.busConnector, acidBase.busConnector) 
            annotation (Line(
              points={{-66,6},{-66,22},{-6,22},{-6,14}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}),        graphics));
        end T;

        model T2
          setup.AcidBaseConstInputs acidBaseConstInputs 
            annotation (Placement(transformation(extent={{-74,-4},{-54,16}})));
          AcidBase2 acidBase2 
            annotation (Placement(transformation(extent={{-12,2},{8,22}})));
        equation
          connect(acidBaseConstInputs.busConnector, acidBase2.busConnector) 
            annotation (Line(
              points={{-66,6},{-66,22},{-6,22},{-6,14}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}),        graphics));
        end T2;

        model AcidBase
          //extends Library.Interfaces.BaseModel;
          BloodPhMeassure ArtysPh(_cTHox(start=0)) 
            annotation (Placement(transformation(extent={{86,26},{58,54}})));
          BloodPhMeassure VeinsPh 
            annotation (Placement(transformation(extent={{-56,26},{-84,54}})));
          Library.Interfaces.BusConnector busConnector 
            annotation (Placement(transformation(extent={{-70,68},{-30,108}}),
                iconTransformation(extent={{-60,0},{-20,40}})));
          Library.ConcentrationFlow.SolventFlowPump cardiacOutput(q_in(conc(start=
                   0))) 
            annotation (Placement(transformation(extent={{-26,44},{-6,24}})));
          Library.ConcentrationFlow.ConcentrationCompartment blader_cTH(
            STEADY=false,
            stateName="AcidBase.Bladder_TH[mEq]",
            initialSoluteMass=24.1231) 
            annotation (Placement(transformation(extent={{62,-70},{82,-50}})));
          Library.Blocks.ElectrolytesFlowConstant baseExcessInflowConst(k=70/(24*60))                           annotation (Placement(transformation(extent={{-96,-48},
                    {-88,-40}})));
          Library.ConcentrationFlow.InputPump inputPump 
            annotation (Placement(transformation(extent={{-96,-62},{-76,-42}})));
          Library.ConcentrationFlow.InputPump outputPump 
            annotation (Placement(transformation(extent={{-96,-80},{-76,-60}})));
          Library.ConcentrationFlow.SolventFlowPump cardiacOutput1(q_in(conc(
                  start=0))) 
            annotation (Placement(transformation(extent={{-30,-20},{-42,-8}})));
          Tissues.TissuesPh tissues_blood_acidity 
            annotation (Placement(transformation(extent={{-72,-98},{-52,-78}})));
          Library.ConcentrationFlow.ConcentrationCompartment artys( initialSoluteMass=0,
              stateName="AcidBase.Artys_TH[mEq]") 
            annotation (Placement(transformation(extent={{70,-20},{90,0}})));
          Library.ConcentrationFlow.ConcentrationCompartment veins( initialSoluteMass=0,
              stateName="AcidBase.Veins_TH[mEq]") 
            annotation (Placement(transformation(extent={{-88,-24},{-68,-4}})));
          Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
              unitsString="mEq/l", toAnotherUnitCoef=-1000)
            "cTHox in mEq/ml to BEox in mEq/l" 
            annotation (Placement(transformation(extent={{-82,-12},{-62,8}})));
          Library.ConcentrationFlow.ConcentrationCompartment blader_NH4(
            stateName="AcidBase.Bladder_NH4[mEq]",
            STEADY=false,
            initialSoluteMass=0) 
            annotation (Placement(transformation(extent={{62,-94},{82,-74}})));
          Tissues.Tissues_cTH tissuesLactate 
            annotation (Placement(transformation(extent={{6,-16},{26,4}})));
          Tissues.TissuesPh_interstitial tissues_interstitial_acidity 
            annotation (Placement(transformation(extent={{-46,-98},{-26,-78}})));
          Tissues.TissuesPh_intracellular tissues_intracellular 
            annotation (Placement(transformation(extent={{-20,-98},{0,-78}})));
          KidneyTitratableAcidity renalAcidification 
            annotation (Placement(transformation(extent={{6,-46},{26,-26}})));
          Library.ConcentrationFlow.InputPump KetoAcids 
            annotation (Placement(transformation(extent={{28,0},{6,22}})));
          Library.ConcentrationFlow.ConcentrationCompartment interstitium(
              initialSoluteMass=0, stateName="AcidBase.Interstitial_TH[mEq]") 
            annotation (Placement(transformation(extent={{-38,-66},{-18,-46}})));

        //initial equation
        //  ArtysPh.pH=7.4;

        equation
          connect(busConnector.O2Artys_sO2, ArtysPh.sO2)        annotation (Line(
              points={{-50,88},{-50,72},{44,72},{44,58},{64,58},{64,55.4},{63.6,
                  55.4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,6},{-6,6}}));
          connect(busConnector.O2Veins_sO2, VeinsPh.sO2)         annotation (Line(
              points={{-50,88},{-50,72},{-100,72},{-100,58},{-78,58},{-78,55.4},
                  {-78.4,55.4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,6},{-6,6}}));
          connect(busConnector.ctHb_ery, ArtysPh.ctHb_ery)        annotation (Line(
              points={{-50,88},{-50,72},{44,72},{44,45.6},{59.4,45.6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.ctAlb, ArtysPh.ctAlb)    annotation (Line(
              points={{-50,88},{-50,72},{44,72},{44,40},{59.4,40}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.CO2Artys_cHCO3, ArtysPh.cHCO3)    annotation (Line(
              points={{-50,88},{-50,72},{44,72},{44,51.2},{59.4,51.2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.ctHb_ery, VeinsPh.ctHb_ery)    annotation (Line(
              points={{-50,88},{-50,72},{-100,72},{-100,45.6},{-82.6,45.6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.ctAlb, VeinsPh.ctAlb)    annotation (Line(
              points={{-50,88},{-50,72},{-100,72},{-100,40},{-82.6,40}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.CO2Veins_cHCO3, VeinsPh.cHCO3)    annotation (Line(
              points={{-50,88},{-50,72},{-100,72},{-100,51.2},{-82.6,51.2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(ArtysPh.pH, busConnector.Artys_pH)    annotation (Line(
              points={{74.8,23.2},{74.8,14},{98,14},{98,88},{-50,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,-8},{6,-8}}));
          connect(ArtysPh.pH_ery, busConnector.Artys_pH_ery)    annotation (Line(
              points={{69.2,23.2},{69.2,8},{98,8},{98,88},{-50,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,-13},{6,-13}}));
          connect(VeinsPh.pH, busConnector.Veins_pH)    annotation (Line(
              points={{-67.2,23.2},{-67.2,14},{-52,14},{-52,88},{-50,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,-8},{6,-8}}));
          connect(VeinsPh.pH_ery, busConnector.Veins_pH_ery)    annotation (Line(
              points={{-72.8,23.2},{-72.8,8},{-52,8},{-52,88},{-50,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,-13},{6,-13}}));
          connect(busConnector.ctGlb, ArtysPh.ctGlb) annotation (Line(
              points={{-50,88},{-50,72},{44,72},{44,34.4},{59.4,34.4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.ctPO4, ArtysPh.ctPO4) annotation (Line(
              points={{-50,88},{-50,72},{44,72},{44,28.8},{59.4,28.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.ctGlb, VeinsPh.ctGlb) annotation (Line(
              points={{-50,88},{-50,72},{-100,72},{-100,34.4},{-82.6,34.4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.ctPO4, VeinsPh.ctPO4) annotation (Line(
              points={{-50,88},{-50,72},{-100,72},{-100,28.8},{-82.6,28.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(veins.q_out, cardiacOutput.q_in)    annotation (Line(
              points={{-78,-14},{-78,34},{-26,34}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(cardiacOutput.q_out, artys.q_out)    annotation (Line(
              points={{-6,34},{80,34},{80,-10}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.CardiacOutput, cardiacOutput.solventFlow) annotation (
              Line(
              points={{-50,88},{-50,26},{-16,26},{-16,28}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(baseExcessInflowConst.y,inputPump. desiredFlow) annotation (Line(
              points={{-87.6,-44},{-86,-44},{-86,-48}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.CardiacOutput, cardiacOutput1.solventFlow) annotation (
              Line(
              points={{-50,88},{-50,-10.4},{-36,-10.4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(cardiacOutput1.q_out, veins.q_out) annotation (Line(
              points={{-42,-14},{-78,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.BladderVolume_Mass, blader_cTH.SolventVolume) 
                                                                         annotation (
              Line(
              points={{-50,88},{-50,72},{44,72},{44,-54},{64,-54}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector, tissues_blood_acidity.busConnector) 
                                                        annotation (Line(
              points={{-50,88},{-50,-80},{-70.8,-80},{-70.8,-78.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(busConnector.VeinsVol, veins.SolventVolume) annotation (Line(
              points={{-50,88},{-50,72},{-100,72},{-100,-8},{-86,-8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(veins.q_out, concentrationMeasure.q_in) annotation (Line(
              points={{-78,-14},{-78,-2},{-72,-2}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(concentrationMeasure.actualConc, busConnector.Blood_BEox) 
            annotation (Line(
              points={{-72,2},{-52,2},{-52,88},{-50,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.ArtysVol, artys.SolventVolume) annotation (Line(
              points={{-50,88},{-50,72},{44,72},{44,-4},{72,-4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(veins.q_out, VeinsPh.cTHox) annotation (Line(
              points={{-78,-14},{-78,34.4},{-70,34.4}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(ArtysPh.cTHox, artys.q_out) annotation (Line(
              points={{72,34.4},{80,34.4},{80,-10}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.BladderVolume_Mass, blader_NH4.SolventVolume) 
                                                                         annotation (
              Line(
              points={{-50,88},{-50,72},{44,72},{44,-78},{64,-78}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector, tissuesLactate.busConnector) 
                                                          annotation (Line(
              points={{-50,88},{-50,2},{7.2,2},{7.2,3.2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(busConnector, tissues_interstitial_acidity.busConnector) 
            annotation (Line(
              points={{-50,88},{-50,-80},{-44.8,-80},{-44.8,-78.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(tissues_intracellular.busConnector, busConnector) annotation (
              Line(
              points={{-18.8,-78.8},{-20,-80},{-50,-80},{-50,88}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(ArtysPh.pH, busConnector.BloodPh_ArtysPh) annotation (Line(
              points={{74.8,23.2},{74.8,14},{98,14},{98,88},{-50,88}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.PotassiumToCells, outputPump.desiredFlow) 
            annotation (Line(
              points={{-50,88},{-50,72},{-100,72},{-100,-66},{-86,-66}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector,renalAcidification. busConnector) 
                                                       annotation (Line(
              points={{-50,88},{-50,-28},{8,-28}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(artys.q_out,renalAcidification. arty) annotation (Line(
              points={{80,-10},{40,-10},{40,-35},{26,-35}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(renalAcidification.CD_cTH, blader_cTH.q_out) annotation (Line(
              points={{24,-46},{24,-60},{72,-60}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(renalAcidification.CD_NH4, blader_NH4.q_out) annotation (Line(
              points={{8,-46},{8,-84},{72,-84}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(renalAcidification.vein, cardiacOutput1.q_in) annotation (Line(
              points={{6,-35},{-6,-35},{-6,-14},{-30,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(artys.q_out, tissuesLactate.q_in) annotation (Line(
              points={{80,-10},{40,-10},{40,-6},{26,-6}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissuesLactate.q_out, cardiacOutput1.q_in) annotation (Line(
              points={{6,-5.6},{6,-8},{-6,-8},{-6,-14},{-30,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(KetoAcids.q_out, cardiacOutput1.q_in) annotation (Line(
              points={{10.4,11},{-6,11},{-6,-14},{-30,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.KA_Change, KetoAcids.desiredFlow) annotation (Line(
              points={{-50,88},{-50,16},{17,16},{17,15.4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(renalAcidification.PHU, busConnector.Urine_pH) annotation (Line(
              points={{26,-28},{98,-28},{98,88},{-50,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(renalAcidification.CD_cTH_Outflow, busConnector.CD_cTH_Outflow) 
            annotation (Line(
              points={{18,-26},{18,-24},{98,-24},{98,88},{-50,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(inputPump.q_out, interstitium.q_out) annotation (Line(
              points={{-80,-52},{-56,-52},{-56,-56},{-28,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(outputPump.q_out, interstitium.q_out) annotation (Line(
              points={{-80,-70},{-56,-70},{-56,-56},{-28,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(interstitium.q_out, cardiacOutput1.q_in) annotation (Line(
              points={{-28,-56},{-14,-56},{-14,-14},{-30,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.ECFV_Vol, interstitium.SolventVolume) annotation (Line(
              points={{-50,88},{-50,-50},{-36,-50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                                 graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-40,40},{60,-60}}, fileName=
                      "icons/proton.png"), Text(
                  extent={{-110,-56},{132,-90}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
        end AcidBase;
      end test;

      model AcidBase2
        //extends Library.Interfaces.BaseModel;
        BloodPhMeassure ArtysPh 
          annotation (Placement(transformation(extent={{86,26},{58,54}})));
        BloodPhMeassure VeinsPh(_cTHox(start=0)) 
          annotation (Placement(transformation(extent={{-56,26},{-84,54}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-70,68},{-30,108}}),
              iconTransformation(extent={{-60,0},{-20,40}})));
        Library.ConcentrationFlow.SolventFlowPump cardiacOutput 
          annotation (Placement(transformation(extent={{-44,44},{-24,24}})));
        Library.ConcentrationFlow.ConcentrationCompartment blader_cTH(
            initialSoluteMass=0,
          STEADY=false,
          stateName="AcidBase.Bladder_TH[mEq]") 
          annotation (Placement(transformation(extent={{62,-70},{82,-50}})));
        Library.Blocks.ElectrolytesFlowConstant baseExcessInflowConst(k=39.6/(
              24*60))                                                                                         annotation (Placement(transformation(extent={{-96,-48},
                  {-88,-40}})));
        Library.ConcentrationFlow.InputPump inputPump 
          annotation (Placement(transformation(extent={{-96,-62},{-76,-42}})));
        Library.ConcentrationFlow.InputPump outputPump 
          annotation (Placement(transformation(extent={{-96,-80},{-76,-60}})));
        Tissues.TissuesPh tissues_blood_acidity 
          annotation (Placement(transformation(extent={{-72,-98},{-52,-78}})));
        Library.ConcentrationFlow.ConcentrationCompartment artys(
            stateName="AcidBase.Artys_TH[mEq]", initialSoluteMass=-0.0604935) 
          annotation (Placement(transformation(extent={{70,-20},{90,0}})));
        Library.ConcentrationFlow.ConcentrationCompartment veins(
            stateName="AcidBase.Veins_TH[mEq]",
          initialSoluteMass=-0.143623,
          STEADY=false) 
          annotation (Placement(transformation(extent={{-88,-24},{-68,-4}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
            unitsString="mEq/l", toAnotherUnitCoef=-1000)
          "cTHox in mEq/ml to BEox in mEq/l" 
          annotation (Placement(transformation(extent={{-82,-12},{-62,8}})));
        Library.ConcentrationFlow.ConcentrationCompartment blader_NH4(
            initialSoluteMass=0,
          stateName="AcidBase.Bladder_NH4[mEq]",
          STEADY=false) 
          annotation (Placement(transformation(extent={{62,-94},{82,-74}})));
        Tissues.Tissues_cTH tissuesLactate 
          annotation (Placement(transformation(extent={{6,-16},{26,4}})));
        Tissues.TissuesPh_interstitial tissues_interstitial_acidity 
          annotation (Placement(transformation(extent={{-46,-98},{-26,-78}})));
        Tissues.TissuesPh_intracellular tissues_intracellular 
          annotation (Placement(transformation(extent={{-20,-98},{0,-78}})));
        KidneyTitratableAcidity renalAcidification 
          annotation (Placement(transformation(extent={{6,-46},{26,-26}})));
        Library.ConcentrationFlow.InputPump KetoAcids 
          annotation (Placement(transformation(extent={{2,0},{-20,22}})));

      //initial equation
      //  ArtysPh.pH=7.4;

        BloodPhMeassure LungsPh 
          annotation (Placement(transformation(extent={{28,26},{0,54}})));
      equation
        connect(busConnector.O2Artys_sO2, ArtysPh.sO2)        annotation (Line(
            points={{-50,88},{-50,72},{44,72},{44,58},{64,58},{64,55.4},{63.6,
                55.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.O2Veins_sO2, VeinsPh.sO2)         annotation (Line(
            points={{-50,88},{-50,72},{-100,72},{-100,58},{-78,58},{-78,55.4},{
                -78.4,55.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.ctHb_ery, ArtysPh.ctHb_ery)        annotation (Line(
            points={{-50,88},{-50,72},{44,72},{44,45.6},{59.4,45.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctAlb, ArtysPh.ctAlb)    annotation (Line(
            points={{-50,88},{-50,72},{44,72},{44,40},{59.4,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CO2Artys_cHCO3, ArtysPh.cHCO3)    annotation (Line(
            points={{-50,88},{-50,72},{44,72},{44,51.2},{59.4,51.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctHb_ery, VeinsPh.ctHb_ery)    annotation (Line(
            points={{-50,88},{-50,72},{-100,72},{-100,45.6},{-82.6,45.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctAlb, VeinsPh.ctAlb)    annotation (Line(
            points={{-50,88},{-50,72},{-100,72},{-100,40},{-82.6,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CO2Veins_cHCO3, VeinsPh.cHCO3)    annotation (Line(
            points={{-50,88},{-50,72},{-100,72},{-100,51.2},{-82.6,51.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(ArtysPh.pH, busConnector.Artys_pH)    annotation (Line(
            points={{74.8,23.2},{74.8,14},{98,14},{98,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-8},{6,-8}}));
        connect(ArtysPh.pH_ery, busConnector.Artys_pH_ery)    annotation (Line(
            points={{69.2,23.2},{69.2,8},{98,8},{98,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-13},{6,-13}}));
        connect(VeinsPh.pH, busConnector.Veins_pH)    annotation (Line(
            points={{-67.2,23.2},{-67.2,14},{-52,14},{-52,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-8},{6,-8}}));
        connect(VeinsPh.pH_ery, busConnector.Veins_pH_ery)    annotation (Line(
            points={{-72.8,23.2},{-72.8,8},{-52,8},{-52,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-13},{6,-13}}));
        connect(busConnector.ctGlb, ArtysPh.ctGlb) annotation (Line(
            points={{-50,88},{-50,72},{44,72},{44,34.4},{59.4,34.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctPO4, ArtysPh.ctPO4) annotation (Line(
            points={{-50,88},{-50,72},{44,72},{44,28.8},{59.4,28.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctGlb, VeinsPh.ctGlb) annotation (Line(
            points={{-50,88},{-50,72},{-100,72},{-100,34.4},{-82.6,34.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctPO4, VeinsPh.ctPO4) annotation (Line(
            points={{-50,88},{-50,72},{-100,72},{-100,28.8},{-82.6,28.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(veins.q_out, cardiacOutput.q_in)    annotation (Line(
            points={{-78,-14},{-78,34},{-44,34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(cardiacOutput.q_out, artys.q_out)    annotation (Line(
            points={{-24,34},{80,34},{80,-10}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CardiacOutput, cardiacOutput.solventFlow) annotation (
            Line(
            points={{-50,88},{-50,26},{-34,26},{-34,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(baseExcessInflowConst.y,inputPump. desiredFlow) annotation (Line(
            points={{-87.6,-44},{-86,-44},{-86,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BladderVolume_Mass, blader_cTH.SolventVolume) 
                                                                       annotation (
            Line(
            points={{-50,88},{-50,72},{44,72},{44,-54},{64,-54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector, tissues_blood_acidity.busConnector) 
                                                      annotation (Line(
            points={{-50,88},{-50,-80},{-70.8,-80},{-70.8,-78.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.VeinsVol, veins.SolventVolume) annotation (Line(
            points={{-50,88},{-50,72},{-100,72},{-100,-8},{-86,-8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(veins.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-78,-14},{-78,-2},{-72,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, busConnector.Blood_BEox) 
          annotation (Line(
            points={{-72,2},{-52,2},{-52,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.ArtysVol, artys.SolventVolume) annotation (Line(
            points={{-50,88},{-50,72},{44,72},{44,-4},{72,-4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(veins.q_out, VeinsPh.cTHox) annotation (Line(
            points={{-78,-14},{-78,34.4},{-70,34.4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ArtysPh.cTHox, artys.q_out) annotation (Line(
            points={{72,34.4},{80,34.4},{80,-10}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.BladderVolume_Mass, blader_NH4.SolventVolume) 
                                                                       annotation (
            Line(
            points={{-50,88},{-50,72},{44,72},{44,-78},{64,-78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector, tissuesLactate.busConnector) 
                                                        annotation (Line(
            points={{-50,88},{-50,2},{7.2,2},{7.2,3.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, tissues_interstitial_acidity.busConnector) 
          annotation (Line(
            points={{-50,88},{-50,-80},{-44.8,-80},{-44.8,-78.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(tissues_intracellular.busConnector, busConnector) annotation (
            Line(
            points={{-18.8,-78.8},{-20,-80},{-50,-80},{-50,88}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(ArtysPh.pH, busConnector.BloodPh_ArtysPh) annotation (Line(
            points={{74.8,23.2},{74.8,14},{98,14},{98,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PotassiumToCells, outputPump.desiredFlow) 
          annotation (Line(
            points={{-50,88},{-50,72},{-100,72},{-100,-66},{-86,-66}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector,renalAcidification. busConnector) 
                                                     annotation (Line(
            points={{-50,88},{-50,-28},{8,-28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(artys.q_out,renalAcidification. arty) annotation (Line(
            points={{80,-10},{40,-10},{40,-35},{26,-35}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(renalAcidification.CD_cTH, blader_cTH.q_out) annotation (Line(
            points={{24,-46},{24,-60},{72,-60}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(renalAcidification.CD_NH4, blader_NH4.q_out) annotation (Line(
            points={{8,-46},{8,-84},{72,-84}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(artys.q_out, tissuesLactate.q_in) annotation (Line(
            points={{80,-10},{40,-10},{40,-6},{26,-6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(renalAcidification.PHU, busConnector.Urine_pH) annotation (Line(
            points={{26,-28},{98,-28},{98,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(renalAcidification.CD_cTH_Outflow, busConnector.CD_cTH_Outflow) 
          annotation (Line(
            points={{18,-26},{18,-24},{98,-24},{98,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(inputPump.q_out, veins.q_out) annotation (Line(
            points={{-80,-52},{-58,-52},{-58,-14},{-78,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(outputPump.q_out, veins.q_out) annotation (Line(
            points={{-80,-70},{-58,-70},{-58,-14},{-78,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(KetoAcids.q_out, veins.q_out) annotation (Line(
            points={{-15.6,11},{-22,11},{-22,-14},{-78,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(renalAcidification.vein, veins.q_out) annotation (Line(
            points={{6,-35},{-22,-35},{-22,-14},{-78,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(tissuesLactate.q_out, veins.q_out) annotation (Line(
            points={{6,-5.6},{-22,-5.6},{-22,-14},{-78,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.KA_Change_mmol_per_min, KetoAcids.desiredFlow) 
          annotation (Line(
            points={{-50,88},{-50,16},{-9,16},{-9,15.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctHb_ery, LungsPh.ctHb_ery)        annotation (Line(
            points={{-50,88},{-14,88},{-14,45.6},{1.4,45.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctAlb, LungsPh.ctAlb)    annotation (Line(
            points={{-50,88},{-14,88},{-14,40},{1.4,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(LungsPh.pH, busConnector.Lung_pH)     annotation (Line(
            points={{16.8,23.2},{16.8,14},{34,14},{34,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-8},{6,-8}}));
        connect(LungsPh.pH_ery, busConnector.Lung_pH_ery)     annotation (Line(
            points={{11.2,23.2},{11.2,8},{34,8},{34,88},{-50,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-13},{6,-13}}));
        connect(busConnector.ctGlb, LungsPh.ctGlb) annotation (Line(
            points={{-50,88},{-14,88},{-14,34.4},{1.4,34.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctPO4, LungsPh.ctPO4) annotation (Line(
            points={{-50,88},{-14,88},{-14,28.8},{1.4,28.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(cardiacOutput.q_out, artys.q_out)    annotation (Line(
            points={{-24,34},{80,34},{80,-10}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(cardiacOutput.q_out, LungsPh.cTHox)              annotation (Line(
            points={{-24,34},{14,34},{14,34.4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.O2Lung_sO2, LungsPh.sO2)              annotation (Line(
            points={{-50,88},{-14,88},{-14,55.4},{5.6,55.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CO2Lung_cHCO3, LungsPh.cHCO3)              annotation (
            Line(
            points={{-50,88},{-14,88},{-14,51.2},{1.4,51.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-40,40},{60,-60}}, fileName=
                    "icons/proton.png"), Text(
                extent={{-110,-56},{132,-90}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
      end AcidBase2;
      annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
</html>"));
    end AcidBase;

    model Gases

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{88,16},{108,36}}),
            iconTransformation(extent={{60,60},{100,100}})));
      O2.O2 oxygen annotation (Placement(transformation(extent={{-24,36},{-4,56}})));
      CO2.CO2 carbonDioxyd 
        annotation (Placement(transformation(extent={{16,38},{36,58}})));
      AcidBase.AcidBase2 acidBase 
        annotation (Placement(transformation(extent={{58,42},{78,62}})));
    equation
      connect(carbonDioxyd.busConnector, busConnector) annotation (Line(
          points={{34,54},{48,54},{48,26},{98,26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(oxygen.busConnector, busConnector) annotation (Line(
          points={{-6,54},{2,54},{2,26},{98,26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(acidBase.busConnector, busConnector) annotation (Line(
          points={{64,54},{48,54},{48,26},{98,26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={
            Text(
              extent={{-122,-106},{126,-132}},
              lineColor={0,0,255},
              textString="%name"),
            Bitmap(extent={{-100,98},{100,-100}}, fileName="icons/gases.png"),
            Text(
              extent={{-82,24},{-8,58}},
              lineColor={0,0,0},
              textString="CO2"),
            Text(
              extent={{6,-64},{80,-30}},
              lineColor={0,0,0},
              textString="O2"),
            Text(
              extent={{-104,-70},{-30,-36}},
              lineColor={255,255,255},
              textString="pH")}),    Diagram(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics));
    end Gases;

    package setup
      model GasesConstInputs
      Library.Blocks.Constant AirSupplyInspiredAirPressure(k=760.) 
      annotation (Placement(transformation(extent={{42,-100},{36,-94}})));
      Library.Blocks.Constant ArtysVol(k=1587.76521066473) 
      annotation (Placement(transformation(extent={{42,-90},{36,-84}})));
      Library.Blocks.Constant BarometerPressure(k=760.) 
      annotation (Placement(transformation(extent={{42,-80},{36,-74}})));
      Library.Blocks.Constant bone_BloodFlow(k=411.529549648395) 
      annotation (Placement(transformation(extent={{42,-40},{36,-34}})));
      Library.Blocks.Constant bone_O2Use(k=19.5514326580859) 
      annotation (Placement(transformation(extent={{42,-30},{36,-24}})));
      Library.Blocks.Constant brain_BloodFlow(k=870.480358845086) 
      annotation (Placement(transformation(extent={{42,-10},{36,-4}})));
      Library.Blocks.Constant brain_O2Use(k=52.1371537548956) 
      annotation (Placement(transformation(extent={{42,0},{36,6}})));
      Library.Blocks.Constant CardiacOutput(k=5402.99570595689) 
      annotation (Placement(transformation(extent={{42,30},{36,36}})));
      Library.Blocks.Constant ExcessLungWater_Volume(k=0.) 
      annotation (Placement(transformation(extent={{42,40},{36,46}})));
      Library.Blocks.Constant fat_BloodFlow(k=236.170497748735) 
      annotation (Placement(transformation(extent={{42,60},{36,66}})));
      Library.Blocks.Constant fat_O2Use(k=6.51714421936195) 
      annotation (Placement(transformation(extent={{42,70},{36,76}})));
      Library.Blocks.Constant GITract_BloodFlow(k=971.271094732174) 
      annotation (Placement(transformation(extent={{100,-90},{94,-84}})));
      Library.Blocks.Constant GITract_O2Use(k=25.8513387368024) 
      annotation (Placement(transformation(extent={{100,-80},{94,-74}})));
      Library.Blocks.Constant GITract_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,-70},{94,-64}})));
      Library.Blocks.Constant HeatCore_Temp(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,-60},{94,-54}})));
      Library.Blocks.Constant bone_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,-50},{94,-44}})));
      Library.Blocks.Constant brain_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,-40},{94,-34}})));
      Library.Blocks.Constant fat_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,-30},{94,-24}})));
      Library.Blocks.Constant kidney_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,-20},{94,-14}})));
      Library.Blocks.Constant leftHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,-10},{94,-4}})));
      Library.Blocks.Constant liver_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,0},{94,6}})));
      Library.Blocks.Constant otherTissue_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,10},{94,16}})));
      Library.Blocks.Constant respiratoryMuscle_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,20},{94,26}})));
      Library.Blocks.Constant rightHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{100,30},{94,36}})));
      Library.Blocks.Constant skeletalMuscle_T(k=37.239827522926) 
      annotation (Placement(transformation(extent={{100,40},{94,46}})));
      Library.Blocks.Constant skin_T(k=28.6404308069366) 
      annotation (Placement(transformation(extent={{100,50},{94,56}})));
      Library.Blocks.Constant HepaticArty_BloodFlow(k=245.489746000535) 
      annotation (Placement(transformation(extent={{100,60},{94,66}})));
      Library.Blocks.Constant kidney_BloodFlow(k=1231.77885077347) 
      annotation (Placement(transformation(extent={{100,80},{94,86}})));
      Library.Blocks.Constant kidney_O2Use(k=22.5439741398034) 
      annotation (Placement(transformation(extent={{100,90},{94,96}})));
      Library.Blocks.Constant leftHeart_BloodFlow(k=187.141403158598) 
      annotation (Placement(transformation(extent={{-40,-100},{-34,-94}})));
      Library.Blocks.Constant leftHeart_O2Use(k=27.577062812908) 
      annotation (Placement(transformation(extent={{-40,-90},{-34,-84}})));
      Library.Blocks.Constant liver_O2Use(k=41.0580085819803) 
      annotation (Placement(transformation(extent={{-40,-70},{-34,-64}})));
      Library.Blocks.Constant AlveolarVentilated_BloodFlow(k=5182.99570595689) 
      annotation (Placement(transformation(extent={{-40,-60},{-34,-54}})));
      Library.Blocks.Constant otherTissue_BloodFlow(k=367.445620022139) 
      annotation (Placement(transformation(extent={{-40,-30},{-34,-24}})));
      Library.Blocks.Constant otherTissue_O2Use(k=10.8619070322699) 
      annotation (Placement(transformation(extent={{-40,-20},{-34,-14}})));
      Library.Blocks.Constant RespiratoryCenter_MotorNerveActivity(k=0.993694435232649) 
      annotation (Placement(transformation(extent={{-40,-10},{-34,-4}})));
      Library.Blocks.Constant RespiratoryCenter_RespRate(k=11.9741435842595) 
      annotation (Placement(transformation(extent={{-40,0},{-34,6}})));
      Library.Blocks.Constant respiratoryMuscle_BloodFlow(k=96.4514390299406) 
      annotation (Placement(transformation(extent={{-40,20},{-34,26}})));
      Library.Blocks.Constant respiratoryMuscle_O2Use(k=6.35044326580859) 
      annotation (Placement(transformation(extent={{-40,30},{-34,36}})));
      Library.Blocks.Constant RespiratorMuscle_FunctionEffect(k=0.995580586980285) 
      annotation (Placement(transformation(extent={{-40,40},{-34,46}})));
      Library.Blocks.Constant rightHeart_BloodFlow(k=35.2508578572206) 
      annotation (Placement(transformation(extent={{-40,60},{-34,66}})));
      Library.Blocks.Constant rightHeart_O2Use(k=5.2563144219362) 
      annotation (Placement(transformation(extent={{-40,70},{-34,76}})));
      Library.Blocks.Constant skeletalMuscle_BloodFlow(k=630.94639202895) 
      annotation (Placement(transformation(extent={{-40,90},{-34,96}})));
      Library.Blocks.Constant skeletalMuscle_O2Use(k=31.4048958169092) 
      annotation (Placement(transformation(extent={{-40,100},{-34,106}})));
      Library.Blocks.Constant skin_BloodFlow(k=116.996639739554) 
      annotation (Placement(transformation(extent={{-252,-200},{-246,-194}})));
      Library.Blocks.Constant skin_O2Use(k=8.44525143799096) 
      annotation (Placement(transformation(extent={{-252,-190},{-246,-184}})));
      Library.Blocks.Constant Thorax_LungInflation(k=1.) 
      annotation (Placement(transformation(extent={{-252,-180},{-246,-174}})));
      Library.Blocks.Constant VeinsVol(k=3777.66406071807) 
      annotation (Placement(transformation(extent={{-252,-170},{-246,-164}})));
      Library.Blocks.Constant ctHb(k=8.4) 
      annotation (Placement(transformation(extent={{-252,-160},{-246,-154}})));
      Library.Blocks.Constant pCO(k=0) 
      annotation (Placement(transformation(extent={{-252,-150},{-246,-144}})));
      Library.Blocks.Constant FHbF(k=.005) 
      annotation (Placement(transformation(extent={{-252,-140},{-246,-134}})));
      Library.Blocks.Constant FMetHb(k=.005) 
      annotation (Placement(transformation(extent={{-252,-130},{-246,-124}})));
      Library.Blocks.Constant cDPG(k=5.4) 
      annotation (Placement(transformation(extent={{-252,-120},{-246,-114}})));
      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-38,-42},{-24,-28}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant kidney_CO2FromMetabolism(k=0.804368997308183) 
      annotation (Placement(transformation(extent={{-164,224},{-158,230}})));
      Library.Blocks.Constant leftHeart_CO2FromMetabolism(k=0.983949601164556) 
      annotation (Placement(transformation(extent={{-164,244},{-158,250}})));
      Library.Blocks.Constant bone_CO2FromMetabolism(k=0.697595117240503) 
      annotation (Placement(transformation(extent={{-210,190},{-204,196}})));
      Library.Blocks.Constant brain_CO2FromMetabolism(k=1.86025364597468) 
      annotation (Placement(transformation(extent={{-210,210},{-204,216}})));
      Library.Blocks.Constant fat_CO2FromMetabolism(k=0.232531705746834) 
      annotation (Placement(transformation(extent={{-210,250},{-204,256}})));
      Library.Blocks.Constant GITract_CO2FromMetabolism(k=0.92237576612911) 
      annotation (Placement(transformation(extent={{-210,270},{-204,276}})));
      Library.Blocks.Constant rightHeart_CO2FromMetabolism(k=0.187545298574683) 
      annotation (Placement(transformation(extent={{-112,114},{-106,120}})));
      Library.Blocks.Constant skeletalMuscle_CO2FromMetabolism(k=1.12052668274732) 
      annotation (Placement(transformation(extent={{-112,134},{-106,140}})));
      Library.Blocks.Constant skin_CO2FromMetabolism(k=0.301326571307518) 
      annotation (Placement(transformation(extent={{-112,154},{-106,160}})));
      Library.Blocks.Constant respiratoryMuscle_CO2FromMetabolism(k=0.22658381572405) 
      annotation (Placement(transformation(extent={{-164,324},{-158,330}})));
      Library.Blocks.Constant otherTissue_CO2FromMetabolism(k=0.387552842911391) 
      annotation (Placement(transformation(extent={{-164,284},{-158,290}})));
      Library.Blocks.Constant bone_cLactate(k=1.17864964797693) 
      annotation (Placement(transformation(extent={{-296,-12},{-290,-6}})));
      Library.Blocks.Constant brain_cLactate(k=1.17824818197653) 
      annotation (Placement(transformation(extent={{-296,-2},{-290,4}})));
      Library.Blocks.Constant fat_cLactate(k=1.17872566761662) 
      annotation (Placement(transformation(extent={{-296,8},{-290,14}})));
      Library.Blocks.Constant GITract_cLactate(k=1.17853264928685) 
      annotation (Placement(transformation(extent={{-296,18},{-290,24}})));
      Library.Blocks.Constant kidney_cLactate(k=1.17768541381456) 
      annotation (Placement(transformation(extent={{-296,28},{-290,34}})));
      Library.Blocks.Constant leftHeart_cLactate(k=1.1772823164353) 
      annotation (Placement(transformation(extent={{-296,38},{-290,44}})));
      Library.Blocks.Constant liver_cLactate(k=1.17837719280468) 
      annotation (Placement(transformation(extent={{-296,48},{-290,54}})));
      Library.Blocks.Constant otherTissue_cLactate(k=1.17872358416974) 
      annotation (Placement(transformation(extent={{-296,58},{-290,64}})));
      Library.Blocks.Constant respiratoryMuscle_cLactate(k=1.17873921576527) 
      annotation (Placement(transformation(extent={{-296,68},{-290,74}})));
      Library.Blocks.Constant rightHeart_cLactate(k=1.17710930900017) 
      annotation (Placement(transformation(extent={{-296,78},{-290,84}})));
      Library.Blocks.Constant skeletalMuscle_cLactate(k=1.17874448371875) 
      annotation (Placement(transformation(extent={{-296,88},{-290,94}})));
      Library.Blocks.Constant skin_cLactate(k=1.17866886042046) 
      annotation (Placement(transformation(extent={{-296,98},{-290,104}})));
      Library.Blocks.Constant GITract_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,364},{-286,370}})));
      Library.Blocks.Constant bone_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,374},{-286,380}})));
      Library.Blocks.Constant brain_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,384},{-286,390}})));
      Library.Blocks.Constant fat_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,394},{-286,400}})));
      Library.Blocks.Constant kidney_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,404},{-286,410}})));
      Library.Blocks.Constant leftHeart_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,414},{-286,420}})));
      Library.Blocks.Constant liver_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,424},{-286,430}})));
      Library.Blocks.Constant otherTissue_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,434},{-286,440}})));
      Library.Blocks.Constant respiratoryMuscle_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,444},{-286,450}})));
      Library.Blocks.Constant rightHeart_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,454},{-286,460}})));
      Library.Blocks.Constant skeletalMuscle_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{-292,464},{-286,470}})));
      Library.Blocks.Constant ctPO4(k=0.171693430695613) 
      annotation (Placement(transformation(extent={{-344,-294},{-338,-288}})));
      Library.Blocks.Constant CD_PO4_Outflow(k=2.28968543265027e-002) 
      annotation (Placement(transformation(extent={{-344,-344},{-338,-338}})));
      Library.Blocks.Constant CD_KA_Outflow(k=6.08968322729714e-005) 
      annotation (Placement(transformation(extent={{-344,-354},{-338,-348}})));
      Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
      annotation (Placement(transformation(extent={{-344,-324},{-338,-318}})));
      Library.Blocks.Constant KA_Change(k=0) 
      annotation (Placement(transformation(extent={{-344,-396},{-338,-390}})));
      Library.Blocks.Constant BladderVolume_Mass(k=5365.4292713828) 
      annotation (Placement(transformation(extent={{-344,-374},{-338,-368}})));
      Library.Blocks.Constant KCell_conc(k=145.580640839212) 
      annotation (Placement(transformation(extent={{-34,518},{-28,524}})));
      Library.Blocks.Constant PotasiumToCells(k=0) 
      annotation (Placement(transformation(extent={{-434,-314},{-428,-308}})));
      Library.Blocks.Constant GITract_InterstitialWater(k=1095.27) 
      annotation (Placement(transformation(extent={{88,-272},{94,-266}})));
      Library.Blocks.Constant bone_InterstitialWater(k=3442.29) 
      annotation (Placement(transformation(extent={{88,-262},{94,-256}})));
      Library.Blocks.Constant brain_InterstitialWater(k=704.104) 
      annotation (Placement(transformation(extent={{88,-252},{94,-246}})));
      Library.Blocks.Constant fat_InterstitialWater(k=2425.25) 
      annotation (Placement(transformation(extent={{88,-242},{94,-236}})));
      Library.Blocks.Constant kidney_InterstitialWater(k=234.701) 
      annotation (Placement(transformation(extent={{88,-232},{94,-226}})));
      Library.Blocks.Constant leftHeart_InterstitialWater(k=195.585) 
      annotation (Placement(transformation(extent={{88,-222},{94,-216}})));
      Library.Blocks.Constant liver_InterstitialWater(k=1721.14) 
      annotation (Placement(transformation(extent={{88,-212},{94,-206}})));
      Library.Blocks.Constant otherTissue_InterstitialWater(k=3090.24) 
      annotation (Placement(transformation(extent={{88,-202},{94,-196}})));
      Library.Blocks.Constant respiratoryMuscle_InterstitialWater(k=2738.18) 
      annotation (Placement(transformation(extent={{88,-192},{94,-186}})));
      Library.Blocks.Constant rightHeart_InterstitialWater(k=39.1169) 
      annotation (Placement(transformation(extent={{88,-182},{94,-176}})));
      Library.Blocks.Constant skeletalMuscle_InterstitialWater(k=18463.2) 
      annotation (Placement(transformation(extent={{92,-154},{98,-148}})));
      Library.Blocks.Constant skin_InterstitialWater(k=4967.85) 
      annotation (Placement(transformation(extent={{92,-144},{98,-138}})));
      Library.Blocks.Constant BloodVol_Hct(k=0.44254397591206) 
      annotation (Placement(transformation(extent={{-258,-98},{-252,-92}})));
        Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
          annotation (Placement(transformation(extent={{-248,-280},{-242,-274}})));
      Library.Blocks.Constant liver_BloodFlow(k=1216.760840732709) 
      annotation (Placement(transformation(extent={{-422,-418},{-418,-414}})));
      Library.Blocks.Constant ctHb_ery(k=21) 
      annotation (Placement(transformation(extent={{-248,156},{-242,162}})));
      Library.Blocks.Constant ctGlb(k=28) 
      annotation (Placement(transformation(extent={{-248,146},{-242,152}})));
      Library.Blocks.Constant ctAlb(k=0.66) 
      annotation (Placement(transformation(extent={{-248,136},{-242,142}})));
      Library.Blocks.Constant DT_AldosteroneEffect(k=1) 
      annotation (Placement(transformation(extent={{-248,166},{-242,172}})));
      Library.Blocks.Constant liver_CO2FromMetabolism(k=1.46494974620506) 
      annotation (Placement(transformation(extent={{-130,122},{-124,128}})));
      Library.Blocks.Constant skin_LactateFromMetabolism(k=0) 
      annotation (Placement(transformation(extent={{182,-104},{188,-98}})));
      equation
      connect(AirSupplyInspiredAirPressure.y,busConnector. AirSupplyInspiredAirPressure) annotation (Line(
       points={{35.7,-97},{-31,-97},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ArtysVol.y,busConnector. ArtysVol) annotation (Line(
       points={{35.7,-87},{-31,-87},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BarometerPressure.y,busConnector. BarometerPressure) annotation (Line(
       points={{35.7,-77},{-31,-77},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_BloodFlow.y,busConnector. bone_BloodFlow) annotation (Line(
       points={{35.7,-37},{-31,-37},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_O2Use.y,busConnector. bone_O2Use) annotation (Line(
       points={{35.7,-27},{-31,-27},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_BloodFlow.y,busConnector. brain_BloodFlow) annotation (Line(
       points={{35.7,-7},{-31,-7},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_O2Use.y,busConnector. brain_O2Use) annotation (Line(
       points={{35.7,3},{-31,3},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CardiacOutput.y,busConnector. CardiacOutput) annotation (Line(
       points={{35.7,33},{-31,33},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ExcessLungWater_Volume.y,busConnector. ExcessLungWater_Volume) annotation (Line(
       points={{35.7,43},{-31,43},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_BloodFlow.y,busConnector. fat_BloodFlow) annotation (Line(
       points={{35.7,63},{-31,63},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_O2Use.y,busConnector. fat_O2Use) annotation (Line(
       points={{35.7,73},{-31,73},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y,busConnector. GITract_BloodFlow) annotation (Line(
       points={{93.7,-87},{-31,-87},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_O2Use.y,busConnector. GITract_O2Use) annotation (Line(
       points={{93.7,-77},{-31,-77},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_T.y,busConnector. GITract_T) annotation (Line(
       points={{93.7,-67},{-31,-67},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatCore_Temp.y,busConnector. core_T) annotation (Line(
       points={{93.7,-57},{-31,-57},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_T.y,busConnector. bone_T) annotation (Line(
       points={{93.7,-47},{-31,-47},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_T.y,busConnector. brain_T) annotation (Line(
       points={{93.7,-37},{-31,-37},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_T.y,busConnector. fat_T) annotation (Line(
       points={{93.7,-27},{-31,-27},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_T.y,busConnector. kidney_T) annotation (Line(
       points={{93.7,-17},{-31,-17},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_T.y,busConnector. leftHeart_T) annotation (Line(
       points={{93.7,-7},{-31,-7},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_T.y,busConnector. liver_T) annotation (Line(
       points={{93.7,3},{-31,3},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_T.y,busConnector. otherTissue_T) annotation (Line(
       points={{93.7,13},{-31,13},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_T.y,busConnector. respiratoryMuscle_T) annotation (Line(
       points={{93.7,23},{-31,23},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_T.y,busConnector. rightHeart_T) annotation (Line(
       points={{93.7,33},{-31,33},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_T.y,busConnector. skeletalMuscle_T) annotation (Line(
       points={{93.7,43},{-31,43},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y,busConnector. skin_T) annotation (Line(
       points={{93.7,53},{-31,53},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HepaticArty_BloodFlow.y,busConnector. HepaticArty_BloodFlow) annotation (Line(
       points={{93.7,63},{-31,63},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_BloodFlow.y,busConnector. kidney_BloodFlow) annotation (Line(
       points={{93.7,83},{-31,83},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_O2Use.y,busConnector. kidney_O2Use) annotation (Line(
       points={{93.7,93},{-31,93},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_BloodFlow.y,busConnector. leftHeart_BloodFlow) annotation (Line(
       points={{-33.7,-97},{-31,-97},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_O2Use.y,busConnector. leftHeart_O2Use) annotation (Line(
       points={{-33.7,-87},{-31,-87},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_O2Use.y,busConnector. liver_O2Use) annotation (Line(
       points={{-33.7,-67},{-31,-67},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlveolarVentilated_BloodFlow.y,busConnector. AlveolarVentilated_BloodFlow) annotation (Line(
       points={{-33.7,-57},{-31,-57},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_BloodFlow.y,busConnector. otherTissue_BloodFlow) annotation (Line(
       points={{-33.7,-27},{16,-28},{16,-35},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_O2Use.y,busConnector. otherTissue_O2Use) annotation (Line(
       points={{-33.7,-17},{-31,-17},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryCenter_MotorNerveActivity.y,busConnector. RespiratoryCenter_MotorNerveActivity) annotation (Line(
       points={{-33.7,-7},{-31,-7},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryCenter_RespRate.y,busConnector. RespiratoryCenter_RespRate) annotation (Line(
       points={{-33.7,3},{-31,3},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_BloodFlow.y,busConnector. respiratoryMuscle_BloodFlow) annotation (Line(
       points={{-33.7,23},{-31,23},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_O2Use.y,busConnector. respiratoryMuscle_O2Use) annotation (Line(
       points={{-33.7,33},{-31,33},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratorMuscle_FunctionEffect.y,busConnector. RespiratoryMuscleFunctionEffect) annotation (Line(
       points={{-33.7,43},{-31,43},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_BloodFlow.y,busConnector. rightHeart_BloodFlow) annotation (Line(
       points={{-33.7,63},{-31,63},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_O2Use.y,busConnector. rightHeart_O2Use) annotation (Line(
       points={{-33.7,73},{-31,73},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_BloodFlow.y,busConnector. skeletalMuscle_BloodFlow) annotation (Line(
       points={{-33.7,93},{-31,93},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_O2Use.y,busConnector. skeletalMuscle_O2Use) annotation (Line(
       points={{-33.7,103},{-31,103},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_BloodFlow.y,busConnector. skin_BloodFlow) annotation (Line(
       points={{-245.7,-197},{-31,-197},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_O2Use.y,busConnector. skin_O2Use) annotation (Line(
       points={{-245.7,-187},{-31,-187},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Thorax_LungInflation.y,busConnector. Thorax_LungInflation) annotation (Line(
       points={{-245.7,-177},{-31,-177},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VeinsVol.y,busConnector. VeinsVol) annotation (Line(
       points={{-245.7,-167},{-31,-167},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctHb.y,busConnector. ctHb) annotation (Line(
       points={{-245.7,-157},{-31,-157},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(pCO.y,busConnector. pCO) annotation (Line(
       points={{-245.7,-147},{-31,-147},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FHbF.y,busConnector. FHbF) annotation (Line(
       points={{-245.7,-137},{-40,-144},{-40,-35},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FMetHb.y,busConnector. FMetHb) annotation (Line(
       points={{-245.7,-127},{-31,-127},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(cDPG.y,busConnector. cDPG) annotation (Line(
       points={{-245.7,-117},{-31,-117},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_CO2FromMetabolism.y, busConnector.kidney_CO2FromMetabolism) annotation (Line(
       points={{-157.7,227},{-31,227},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_CO2FromMetabolism.y, busConnector.leftHeart_CO2FromMetabolism) annotation (Line(
       points={{-157.7,247},{-31,247},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_CO2FromMetabolism.y, busConnector.bone_CO2FromMetabolism) annotation (Line(
       points={{-203.7,193},{-31,193},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_CO2FromMetabolism.y, busConnector.brain_CO2FromMetabolism) annotation (Line(
       points={{-203.7,213},{-31,213},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_CO2FromMetabolism.y, busConnector.fat_CO2FromMetabolism) annotation (Line(
       points={{-203.7,253},{-31,253},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_CO2FromMetabolism.y, busConnector.GITract_CO2FromMetabolism) annotation (Line(
       points={{-203.7,273},{-31,273},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_CO2FromMetabolism.y, busConnector.rightHeart_CO2FromMetabolism) annotation (Line(
       points={{-105.7,117},{-31,117},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_CO2FromMetabolism.y, busConnector.skeletalMuscle_CO2FromMetabolism) annotation (Line(
       points={{-105.7,137},{-31,137},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_CO2FromMetabolism.y, busConnector.skin_CO2FromMetabolism) annotation (Line(
       points={{-105.7,157},{-31,157},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_CO2FromMetabolism.y, busConnector.respiratoryMuscle_CO2FromMetabolism) annotation (Line(
       points={{-157.7,327},{-31,327},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_CO2FromMetabolism.y, busConnector.otherTissue_CO2FromMetabolism) annotation (Line(
       points={{-157.7,287},{-31,287},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_cLactate.y, busConnector.bone_cLactate) annotation (Line(
       points={{-289.7,-9},{-31,-9},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_cLactate.y, busConnector.brain_cLactate) annotation (Line(
       points={{-289.7,1},{-31,1},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_cLactate.y, busConnector.fat_cLactate) annotation (Line(
       points={{-289.7,11},{-31,11},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_cLactate.y, busConnector.GITract_cLactate) annotation (Line(
       points={{-289.7,21},{-31,21},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_cLactate.y, busConnector.kidney_cLactate) annotation (Line(
       points={{-289.7,31},{-31,31},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_cLactate.y, busConnector.leftHeart_cLactate) annotation (Line(
       points={{-289.7,41},{-31,41},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_cLactate.y, busConnector.liver_cLactate) annotation (Line(
       points={{-289.7,51},{-31,51},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_cLactate.y, busConnector.otherTissue_cLactate) annotation (Line(
       points={{-289.7,61},{-31,61},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_cLactate.y, busConnector.respiratoryMuscle_cLactate) annotation (Line(
       points={{-289.7,71},{-31,71},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_cLactate.y, busConnector.rightHeart_cLactate) annotation (Line(
       points={{-289.7,81},{-31,81},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_cLactate.y, busConnector.skeletalMuscle_cLactate) annotation (Line(
       points={{-289.7,91},{-31,91},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_cLactate.y, busConnector.skin_cLactate) annotation (Line(
       points={{-289.7,101},{-31,101},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_LactateFromMetabolism.y, busConnector.GITract_LactateFromMetabolism) annotation (Line(
       points={{-285.7,367},{-31,367},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_LactateFromMetabolism.y, busConnector.bone_LactateFromMetabolism) annotation (Line(
       points={{-285.7,377},{-31,377},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_LactateFromMetabolism.y, busConnector.brain_LactateFromMetabolism) annotation (Line(
       points={{-285.7,387},{-31,387},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_LactateFromMetabolism.y, busConnector.fat_LactateFromMetabolism) annotation (Line(
       points={{-285.7,397},{-31,397},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_LactateFromMetabolism.y, busConnector.kidney_LactateFromMetabolism) annotation (Line(
       points={{-285.7,407},{-31,407},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_LactateFromMetabolism.y, busConnector.leftHeart_LactateFromMetabolism) annotation (Line(
       points={{-285.7,417},{-31,417},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_LactateFromMetabolism.y, busConnector.liver_LactateFromMetabolism) annotation (Line(
       points={{-285.7,427},{-31,427},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_LactateFromMetabolism.y, busConnector.otherTissue_LactateFromMetabolism) annotation (Line(
       points={{-285.7,437},{-31,437},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_LactateFromMetabolism.y, busConnector.respiratoryMuscle_LactateFromMetabolism) annotation (Line(
       points={{-285.7,447},{-31,447},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_LactateFromMetabolism.y, busConnector.rightHeart_LactateFromMetabolism) annotation (Line(
       points={{-285.7,457},{-31,457},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_LactateFromMetabolism.y, busConnector.skeletalMuscle_LactateFromMetabolism) annotation (Line(
       points={{-285.7,467},{-31,467},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
       points={{-337.7,-291},{-31,-291},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
       points={{-337.7,-351},{-31,-351},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
       points={{-337.7,-341},{-31,-341},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
       points={{-337.7,-321},{-31,-321},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(KA_Change.y, busConnector.KA_Change) annotation (Line(
              points={{-337.7,-393},{-437.85,-393},{-437.85,-35},{-31,-35}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
      connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
       points={{-337.7,-371},{-31,-371},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
       points={{-27.7,521},{-31,521},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PotasiumToCells.y, busConnector.PotassiumToCells) annotation (Line(
       points={{-427.7,-311},{-31,-311},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
       points={{94.3,-269},{-31,-269},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
       points={{94.3,-259},{-31,-259},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
       points={{94.3,-249},{-31,-249},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
       points={{94.3,-239},{-31,-239},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
       points={{94.3,-229},{-31,-229},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
       points={{94.3,-219},{-31,-219},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
       points={{94.3,-209},{-31,-209},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
       points={{94.3,-199},{-31,-199},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
       points={{94.3,-189},{-31,-189},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
       points={{94.3,-179},{-31,-179},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
       points={{98.3,-151},{-31,-151},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
       points={{98.3,-141},{-31,-141},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodVol_Hct.y, busConnector.BloodVol_Hct) annotation (Line(
       points={{-251.7,-95},{-31,-95},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
            points={{-241.7,-277},{-31,-277},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
       points={{-417.8,-416},{-31,-416},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctHb_ery.y, busConnector.ctHb_ery) annotation (Line(
       points={{-241.7,159},{-31,159},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
       points={{-241.7,149},{-31,149},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
       points={{-241.7,139},{-31,139},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
       points={{-241.7,169},{-31,169},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_CO2FromMetabolism.y, busConnector.liver_CO2FromMetabolism) annotation (Line(
       points={{-123.7,125},{-31,125},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_LactateFromMetabolism.y, busConnector.skin_LactateFromMetabolism) annotation (Line(
       points={{188.3,-101},{-31,-101},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end GasesConstInputs;

      model GasesConstInputsFromFile

      Library.Utilities.ConstantFromFile AirSupplyInspiredAirPressure(varName="AirSupply-InspiredAir.Pressure") 
      annotation (Placement(transformation(extent={{-106,262},{-100,268}})));
      Library.Utilities.ConstantFromFile AlveolarVentilated_BloodFlow(varName="LungBloodFlow.AlveolarVentilated") 
      annotation (Placement(transformation(extent={{-120,-284},{-102,-266}})));
      Library.Utilities.ConstantFromFile ArtysVol(varName="ArtysVol.Vol") 
      annotation (Placement(transformation(extent={{-110,-262},{-104,-256}})));
      Library.Utilities.ConstantFromFile BarometerPressure(varName="Barometer.Pressure") 
      annotation (Placement(transformation(extent={{-108,-252},{-102,-246}})));
      Library.Utilities.ConstantFromFile BladderVolume_Mass(varName="BloodVol.Vol") 
      annotation (Placement(transformation(extent={{-108,-242},{-102,-236}})));
      Library.Utilities.ConstantFromFile BloodVol_Hct(varName="BloodVol.Hct") 
      annotation (Placement(transformation(extent={{-108,-232},{-102,-226}})));
      Library.Utilities.ConstantFromFile bone_BloodFlow(varName="Bone-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-108,-222},{-102,-216}})));
      Library.Utilities.ConstantFromFile bone_CO2FromMetabolism(varName="Bone-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-108,-212},{-102,-206}})));
      Library.Utilities.ConstantFromFile bone_O2Use(varName="Bone-Flow.O2Use") 
      annotation (Placement(transformation(extent={{-108,-202},{-102,-196}})));
      Library.Utilities.ConstantFromFile bone_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,-192},{-102,-186}})));
      Library.Utilities.ConstantFromFile brain_BloodFlow(varName="Brain-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-108,-182},{-102,-176}})));
      Library.Utilities.ConstantFromFile brain_CO2FromMetabolism(varName="Brain-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-112,-176},{-102,-166}})));
      Library.Utilities.ConstantFromFile brain_O2Use(varName="Brain-Flow.O2Use") 
      annotation (Placement(transformation(extent={{-108,-162},{-102,-156}})));
      Library.Utilities.ConstantFromFile brain_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,-152},{-102,-146}})));
      Library.Utilities.ConstantFromFile CardiacOutput(varName="CardiacOutput.Flow") 
      annotation (Placement(transformation(extent={{-108,-142},{-102,-136}})));
      Library.Utilities.ConstantFromFile CD_KA_Outflow(varName="CD_KA.Outflow") 
      annotation (Placement(transformation(extent={{-108,-132},{-102,-126}})));
      Library.Utilities.ConstantFromFile CD_NH4_Outflow(varName="CD_NH4.Outflow") 
      annotation (Placement(transformation(extent={{-78,-102},{-46,-70}})));
      Library.Utilities.ConstantFromFile CD_PO4_Outflow(varName="CD_PO4.Outflow") 
      annotation (Placement(transformation(extent={{-108,-112},{-102,-106}})));
      Library.Utilities.ConstantFromFile core_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,-102},{-102,-96}})));
      Library.Utilities.ConstantFromFile ctPO4(varName="PO4Pool.[PO4--(mEq/L)]") 
      annotation (Placement(transformation(extent={{-108,-92},{-102,-86}})));
      Library.Utilities.ConstantFromFile ExcessLungWater_Volume(varName="ExcessLungWater.Volume") 
      annotation (Placement(transformation(extent={{-108,-82},{-102,-76}})));
      Library.Utilities.ConstantFromFile fat_BloodFlow(varName="Fat-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-108,-72},{-102,-66}})));
      Library.Utilities.ConstantFromFile fat_CO2FromMetabolism(varName="Fat-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-108,-62},{-102,-56}})));
      Library.Utilities.ConstantFromFile fat_O2Use(varName="Fat-Flow.O2Use") 
      annotation (Placement(transformation(extent={{-108,-52},{-102,-46}})));
      Library.Utilities.ConstantFromFile fat_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,-42},{-102,-36}})));
      Library.Utilities.ConstantFromFile GITract_BloodFlow(varName="GITract-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-108,-32},{-102,-26}})));
      Library.Utilities.ConstantFromFile GITract_CO2FromMetabolism(varName="GITract-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-108,-22},{-102,-16}})));
      Library.Utilities.ConstantFromFile GITract_O2Use(varName="GITract-Flow.O2Use") 
      annotation (Placement(transformation(extent={{-108,-12},{-102,-6}})));
      Library.Utilities.ConstantFromFile GITract_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,-2},{-102,4}})));
      Library.Utilities.ConstantFromFile HepaticArty_BloodFlow(varName="HepaticArty.Flow") 
      annotation (Placement(transformation(extent={{-108,8},{-102,14}})));
      Library.Utilities.ConstantFromFile ICFV_Vol(varName="ICFV.Vol") 
      annotation (Placement(transformation(extent={{-108,18},{-102,24}})));
      Library.Utilities.ConstantFromFile kidney_BloodFlow(varName="Kidney-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-108,28},{-102,34}})));
      Library.Utilities.ConstantFromFile kidney_CO2FromMetabolism(varName="Kidney-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-108,38},{-102,44}})));
      Library.Utilities.ConstantFromFile kidney_O2Use(varName="Kidney-O2.O2Use") 
      annotation (Placement(transformation(extent={{-108,48},{-102,54}})));
      Library.Utilities.ConstantFromFile kidney_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,58},{-102,64}})));
      Library.Utilities.ConstantFromFile KCell_conc(varName="KCell.[K+(mEq/L)]") 
      annotation (Placement(transformation(extent={{-60,-68},{-38,-46}})));
      Library.Utilities.ConstantFromFile leftHeart_BloodFlow(varName="LeftHeart-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-108,78},{-102,84}})));
      Library.Utilities.ConstantFromFile leftHeart_CO2FromMetabolism(varName="LeftHeart-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-108,88},{-102,94}})));
      Library.Utilities.ConstantFromFile leftHeart_O2Use(varName="LeftHeart-Flow.O2Use") 
      annotation (Placement(transformation(extent={{-108,98},{-102,104}})));
      Library.Utilities.ConstantFromFile leftHeart_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,108},{-102,114}})));
      Library.Utilities.ConstantFromFile liver_CO2FromMetabolism(varName="Liver-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-108,118},{-102,124}})));
      Library.Utilities.ConstantFromFile liver_O2Use(varName="Liver-O2.O2Use") 
      annotation (Placement(transformation(extent={{-108,128},{-102,134}})));
      Library.Utilities.ConstantFromFile liver_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,138},{-102,144}})));
      Library.Utilities.ConstantFromFile otherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-108,148},{-102,154}})));
      Library.Utilities.ConstantFromFile otherTissue_CO2FromMetabolism(varName="OtherTissue-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-108,158},{-102,164}})));
      Library.Utilities.ConstantFromFile otherTissue_O2Use(varName="OtherTissue-Flow.O2Use") 
      annotation (Placement(transformation(extent={{-108,168},{-102,174}})));
      Library.Utilities.ConstantFromFile otherTissue_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,178},{-102,184}})));
      Library.Utilities.ConstantFromFile PotassiumToCells(varName="KCell.Change") 
      annotation (Placement(transformation(extent={{-108,188},{-102,194}})));
      Library.Utilities.ConstantFromFile RespiratoryCenter_MotorNerveActivity(varName="RespiratoryCenter-Output.MotorNerveActivity") 
      annotation (Placement(transformation(extent={{-108,198},{-102,204}})));
      Library.Utilities.ConstantFromFile RespiratoryCenter_RespRate(varName="RespiratoryCenter-Output.Rate") 
      annotation (Placement(transformation(extent={{-108,208},{-102,214}})));
      Library.Utilities.ConstantFromFile respiratoryMuscle_BloodFlow(varName="RespiratoryMuscle-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-108,218},{-102,224}})));
      Library.Utilities.ConstantFromFile respiratoryMuscle_CO2FromMetabolism(varName="RespiratoryMuscle-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-108,228},{-102,234}})));
      Library.Utilities.ConstantFromFile respiratoryMuscle_O2Use(varName="RespiratoryMuscle-Flow.O2Use") 
      annotation (Placement(transformation(extent={{-108,238},{-102,244}})));
      Library.Utilities.ConstantFromFile respiratoryMuscle_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,248},{-102,254}})));
      Library.Utilities.ConstantFromFile RespiratoryMuscleFunctionEffect(varName="RespiratoryMuscle-Function.Effect") 
      annotation (Placement(transformation(extent={{-56,-50},{-50,-44}})));
      Library.Utilities.ConstantFromFile rightHeart_BloodFlow(varName="RightHeart-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-108,268},{-102,274}})));
      Library.Utilities.ConstantFromFile rightHeart_CO2FromMetabolism(varName="RightHeart-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{-108,278},{-102,284}})));
      Library.Utilities.ConstantFromFile rightHeart_O2Use(varName="RightHeart-Flow.O2Use") 
      annotation (Placement(transformation(extent={{110,-292},{116,-286}})));
      Library.Utilities.ConstantFromFile rightHeart_T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{110,-282},{116,-276}})));
      Library.Utilities.ConstantFromFile skeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{110,-272},{116,-266}})));
      Library.Utilities.ConstantFromFile skeletalMuscle_CO2FromMetabolism(varName="SkeletalMuscle-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{110,-262},{116,-256}})));
      Library.Utilities.ConstantFromFile skeletalMuscle_O2Use(varName="SkeletalMuscle-Flow.O2Use") 
      annotation (Placement(transformation(extent={{110,-252},{116,-246}})));
      Library.Utilities.ConstantFromFile skeletalMuscle_T(varName="HeatSkeletalMuscle.Temp(C)") 
      annotation (Placement(transformation(extent={{110,-242},{116,-236}})));
      Library.Utilities.ConstantFromFile skin_BloodFlow(varName="Skin-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{110,-232},{116,-226}})));
      Library.Utilities.ConstantFromFile skin_CO2FromMetabolism(varName="Skin-CO2.OutflowBase") 
      annotation (Placement(transformation(extent={{110,-222},{116,-216}})));
      Library.Utilities.ConstantFromFile skin_O2Use(varName="Skin-Flow.O2Use") 
      annotation (Placement(transformation(extent={{110,-212},{116,-206}})));
      Library.Utilities.ConstantFromFile skin_T(varName="HeatSkin.Temp(C)") 
      annotation (Placement(transformation(extent={{110,-202},{116,-196}})));
      Library.Utilities.ConstantFromFile Thorax_LungInflation(varName="Thorax.LungInflation") 
      annotation (Placement(transformation(extent={{110,-192},{116,-186}})));
      Library.Utilities.ConstantFromFile VeinsVol(varName="VeinsVol.Vol") 
      annotation (Placement(transformation(extent={{110,-182},{116,-176}})));
      Library.Utilities.ConstantFromFile GITract_cLactate(varName="GITract-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-172},{116,-166}})));
      Library.Utilities.ConstantFromFile bone_cLactate(varName="Bone-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-162},{116,-156}})));
      Library.Utilities.ConstantFromFile brain_cLactate(varName="Brain-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-152},{116,-146}})));
      Library.Utilities.ConstantFromFile fat_cLactate(varName="Fat-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-142},{116,-136}})));
      Library.Utilities.ConstantFromFile kidney_cLactate(varName="Kidney-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-132},{116,-126}})));
      Library.Utilities.ConstantFromFile leftHeart_cLactate(varName="LeftHeart-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-122},{116,-116}})));
      Library.Utilities.ConstantFromFile liver_cLactate(varName="Liver-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-112},{116,-106}})));
      Library.Utilities.ConstantFromFile otherTissue_cLactate(varName="OtherTissue-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-102},{116,-96}})));
      Library.Utilities.ConstantFromFile respiratoryMuscle_cLactate(varName="RespiratoryMuscle-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-92},{116,-86}})));
      Library.Utilities.ConstantFromFile rightHeart_cLactate(varName="RightHeart-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-82},{116,-76}})));
      Library.Utilities.ConstantFromFile skeletalMuscle_cLactate(varName="SkeletalMuscle-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-72},{116,-66}})));
      Library.Utilities.ConstantFromFile skin_cLactate(varName="Skin-Lactate.[Lac-(mEq/L)]") 
      annotation (Placement(transformation(extent={{110,-62},{116,-56}})));
      Library.Utilities.ConstantFromFile GITract_LactateFromMetabolism(varName="GITract-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,-52},{116,-46}})));
      Library.Utilities.ConstantFromFile bone_LactateFromMetabolism(varName="Bone-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,-42},{116,-36}})));
      Library.Utilities.ConstantFromFile brain_LactateFromMetabolism(varName="Brain-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,-32},{116,-26}})));
      Library.Utilities.ConstantFromFile fat_LactateFromMetabolism(varName="Fat-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,-22},{116,-16}})));
      Library.Utilities.ConstantFromFile kidney_LactateFromMetabolism(varName="Kidney-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,-12},{116,-6}})));
      Library.Utilities.ConstantFromFile leftHeart_LactateFromMetabolism(varName="LeftHeart-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,-2},{116,4}})));
      Library.Utilities.ConstantFromFile liver_LactateFromMetabolism(varName="Liver-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,8},{116,14}})));
      Library.Utilities.ConstantFromFile otherTissue_LactateFromMetabolism(varName="OtherTissue-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,18},{116,24}})));
      Library.Utilities.ConstantFromFile
          respiratoryMuscle_LactateFromMetabolism(                               varName="RespiratoryMuscle-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,28},{116,34}})));
      Library.Utilities.ConstantFromFile rightHeart_LactateFromMetabolism(varName="RightHeart-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,38},{116,44}})));
      Library.Utilities.ConstantFromFile skeletalMuscle_LactateFromMetabolism(varName="SkeletalMuscle-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,48},{116,54}})));
      Library.Utilities.ConstantFromFile skin_LactateFromMetabolism(varName="Skin-Lactate.Outflux") 
      annotation (Placement(transformation(extent={{110,58},{116,64}})));
      Library.Utilities.ConstantFromFile GITract_InterstitialWater(varName="GITract-Size.IFV") 
      annotation (Placement(transformation(extent={{110,68},{116,74}})));
      Library.Utilities.ConstantFromFile bone_InterstitialWater(varName="Bone-Size.IFV") 
      annotation (Placement(transformation(extent={{110,78},{116,84}})));
      Library.Utilities.ConstantFromFile brain_InterstitialWater(varName="Brain-Size.IFV") 
      annotation (Placement(transformation(extent={{110,88},{116,94}})));
      Library.Utilities.ConstantFromFile fat_InterstitialWater(varName="Fat-Size.IFV") 
      annotation (Placement(transformation(extent={{110,98},{116,104}})));
      Library.Utilities.ConstantFromFile kidney_InterstitialWater(varName="Kidney-Size.IFV") 
      annotation (Placement(transformation(extent={{110,108},{116,114}})));
      Library.Utilities.ConstantFromFile leftHeart_InterstitialWater(varName="LeftHeart-Size.IFV") 
      annotation (Placement(transformation(extent={{110,118},{116,124}})));
      Library.Utilities.ConstantFromFile liver_InterstitialWater(varName="Liver-Size.IFV") 
      annotation (Placement(transformation(extent={{110,128},{116,134}})));
      Library.Utilities.ConstantFromFile otherTissue_InterstitialWater(varName="OtherTissue-Size.IFV") 
      annotation (Placement(transformation(extent={{110,138},{116,144}})));
      Library.Utilities.ConstantFromFile respiratoryMuscle_InterstitialWater(varName="RespiratoryMuscle-Size.IFV") 
      annotation (Placement(transformation(extent={{110,148},{116,154}})));
      Library.Utilities.ConstantFromFile rightHeart_InterstitialWater(varName="RightHeart-Size.IFV") 
      annotation (Placement(transformation(extent={{110,158},{116,164}})));
      Library.Utilities.ConstantFromFile skeletalMuscle_InterstitialWater(varName="SkeletalMuscle-Size.IFV") 
      annotation (Placement(transformation(extent={{110,168},{116,174}})));
      Library.Utilities.ConstantFromFile skin_InterstitialWater(varName="Skin-Size.IFV") 
      annotation (Placement(transformation(extent={{110,178},{116,184}})));
      Library.Utilities.ConstantFromFile DT_AldosteroneEffect(varName="DT_AldosteroneEffect") 
      annotation (Placement(transformation(extent={{110,188},{116,194}})));
      Library.Utilities.ConstantFromFile ctHb_ery(varName="ctHb_ery") 
      annotation (Placement(transformation(extent={{110,198},{116,204}})));
      Library.Utilities.ConstantFromFile ctGlb(varName="ctGlb") 
      annotation (Placement(transformation(extent={{110,208},{116,214}})));
      Library.Utilities.ConstantFromFile ctAlb(varName="ctAlb") 
      annotation (Placement(transformation(extent={{110,218},{116,224}})));
      Library.Utilities.ConstantFromFile cDPG(varName="cDPG") 
      annotation (Placement(transformation(extent={{110,228},{116,234}})));
      Library.Utilities.ConstantFromFile FMetHb(varName="FMetHb") 
      annotation (Placement(transformation(extent={{110,238},{116,244}})));
      Library.Utilities.ConstantFromFile FHbF(varName="FHbF") 
      annotation (Placement(transformation(extent={{110,248},{116,254}})));
      Library.Utilities.ConstantFromFile pCO(varName="pCO") 
      annotation (Placement(transformation(extent={{110,258},{116,264}})));
      Library.Utilities.ConstantFromFile ctHb(varName="ctHb") 
      annotation (Placement(transformation(extent={{110,268},{116,274}})));
      Library.Utilities.ConstantFromFile KA_Change(varName="KAPool.Change") 
      annotation (Placement(transformation(extent={{110,278},{116,284}})));
      Library.Utilities.ConstantFromFile ECFV_Vol(varName="ECFV.Vol") 
      annotation (Placement(transformation(extent={{110,288},{116,294}})));
      Library.Utilities.ConstantFromFile Liver_BloodFlow(varName="SplanchnicVeins.Outflow") 
      annotation (Placement(transformation(extent={{110,298},{116,304}})));

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-10,-112},{4,-98}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Utilities.ConstantFromFile KA_Change_mmol_per_min(varName=
              "KAPool.Change[mMol/min]") 
      annotation (Placement(transformation(extent={{-106,-122},{-100,-116}})));
      Library.Utilities.ConstantFromFile EnvironmentRelativeHumidity(varName=
              "EnvironmentRelativeHumidity") 
      annotation (Placement(transformation(extent={{-108,70},{-102,76}})));
      Library.Utilities.ConstantFromFile EnvironmentTemperature(varName=
              "AmbientTemperature.Temp(C)") 
      annotation (Placement(transformation(extent={{-108,64},{-102,70}})));
      equation

      connect(AirSupplyInspiredAirPressure.y,busConnector. AirSupplyInspiredAirPressure) annotation (Line(
       points={{-99.7,265},{-3,265},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ArtysVol.y,busConnector. ArtysVol) annotation (Line(
       points={{-103.7,-259},{-3,-259},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BarometerPressure.y,busConnector. BarometerPressure) annotation (Line(
       points={{-101.7,-249},{-3,-249},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_BloodFlow.y,busConnector. bone_BloodFlow) annotation (Line(
       points={{-101.7,-219},{-3,-219},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_O2Use.y,busConnector. bone_O2Use) annotation (Line(
       points={{-101.7,-199},{-3,-199},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_BloodFlow.y,busConnector. brain_BloodFlow) annotation (Line(
       points={{-101.7,-179},{-3,-179},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_O2Use.y,busConnector. brain_O2Use) annotation (Line(
       points={{-101.7,-159},{-3,-159},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CardiacOutput.y,busConnector. CardiacOutput) annotation (Line(
       points={{-101.7,-139},{-3,-139},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ExcessLungWater_Volume.y,busConnector. ExcessLungWater_Volume) annotation (Line(
       points={{-101.7,-79},{-3,-79},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_BloodFlow.y,busConnector. fat_BloodFlow) annotation (Line(
       points={{-101.7,-69},{-3,-69},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_O2Use.y,busConnector. fat_O2Use) annotation (Line(
       points={{-101.7,-49},{-3,-49},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y,busConnector. GITract_BloodFlow) annotation (Line(
       points={{-101.7,-29},{-3,-29},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_O2Use.y,busConnector. GITract_O2Use) annotation (Line(
       points={{-101.7,-9},{-3,-9},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_T.y,busConnector. GITract_T) annotation (Line(
       points={{-101.7,1},{-3,1},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_T.y,busConnector. bone_T) annotation (Line(
       points={{-101.7,-189},{-3,-189},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_T.y,busConnector. brain_T) annotation (Line(
       points={{-101.7,-149},{-3,-149},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_T.y,busConnector. fat_T) annotation (Line(
       points={{-101.7,-39},{-3,-39},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_T.y,busConnector. kidney_T) annotation (Line(
       points={{-101.7,61},{-3,61},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_T.y,busConnector. leftHeart_T) annotation (Line(
       points={{-101.7,111},{-3,111},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_T.y,busConnector. liver_T) annotation (Line(
       points={{-101.7,141},{-3,141},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_T.y,busConnector. otherTissue_T) annotation (Line(
       points={{-101.7,181},{-3,181},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_T.y,busConnector. respiratoryMuscle_T) annotation (Line(
       points={{-101.7,251},{-3,251},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_T.y,busConnector. rightHeart_T) annotation (Line(
       points={{116.3,-279},{-3,-279},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_T.y,busConnector. skeletalMuscle_T) annotation (Line(
       points={{116.3,-239},{-3,-239},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y,busConnector. skin_T) annotation (Line(
       points={{116.3,-199},{-3,-199},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HepaticArty_BloodFlow.y,busConnector. HepaticArty_BloodFlow) annotation (Line(
       points={{-101.7,11},{-3,11},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_BloodFlow.y,busConnector. kidney_BloodFlow) annotation (Line(
       points={{-101.7,31},{-3,31},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_O2Use.y,busConnector. kidney_O2Use) annotation (Line(
       points={{-101.7,51},{-3,51},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_BloodFlow.y,busConnector. leftHeart_BloodFlow) annotation (Line(
       points={{-101.7,81},{-3,81},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_O2Use.y,busConnector. leftHeart_O2Use) annotation (Line(
       points={{-101.7,101},{-3,101},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_O2Use.y,busConnector. liver_O2Use) annotation (Line(
       points={{-101.7,131},{-3,131},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlveolarVentilated_BloodFlow.y,busConnector. AlveolarVentilated_BloodFlow) annotation (Line(
       points={{-101.1,-275},{-3,-275},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_O2Use.y,busConnector. otherTissue_O2Use) annotation (Line(
       points={{-101.7,171},{-3,171},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryCenter_MotorNerveActivity.y,busConnector. RespiratoryCenter_MotorNerveActivity) annotation (Line(
       points={{-101.7,201},{-3,201},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryCenter_RespRate.y,busConnector. RespiratoryCenter_RespRate) annotation (Line(
       points={{-101.7,211},{-3,211},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_BloodFlow.y,busConnector. respiratoryMuscle_BloodFlow) annotation (Line(
       points={{-101.7,221},{-3,221},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_O2Use.y,busConnector. respiratoryMuscle_O2Use) annotation (Line(
       points={{-101.7,241},{-3,241},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_BloodFlow.y,busConnector. rightHeart_BloodFlow) annotation (Line(
       points={{-101.7,271},{-3,271},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_O2Use.y,busConnector. rightHeart_O2Use) annotation (Line(
       points={{116.3,-289},{-3,-289},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_BloodFlow.y,busConnector. skeletalMuscle_BloodFlow) annotation (Line(
       points={{116.3,-269},{-3,-269},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_O2Use.y,busConnector. skeletalMuscle_O2Use) annotation (Line(
       points={{116.3,-249},{-3,-249},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_BloodFlow.y,busConnector. skin_BloodFlow) annotation (Line(
       points={{116.3,-229},{-3,-229},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_O2Use.y,busConnector. skin_O2Use) annotation (Line(
       points={{116.3,-209},{-3,-209},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Thorax_LungInflation.y,busConnector. Thorax_LungInflation) annotation (Line(
       points={{116.3,-189},{-3,-189},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VeinsVol.y,busConnector. VeinsVol) annotation (Line(
       points={{116.3,-179},{-3,-179},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctHb.y,busConnector. ctHb) annotation (Line(
       points={{116.3,271},{-3,271},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(pCO.y,busConnector. pCO) annotation (Line(
       points={{116.3,261},{-3,261},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FHbF.y,busConnector. FHbF) annotation (Line(
       points={{116.3,251},{-0.35,251},{-0.35,-105},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FMetHb.y,busConnector. FMetHb) annotation (Line(
       points={{116.3,241},{-3,241},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(cDPG.y,busConnector. cDPG) annotation (Line(
       points={{116.3,231},{-3,231},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_CO2FromMetabolism.y, busConnector.kidney_CO2FromMetabolism) annotation (Line(
       points={{-101.7,41},{-3,41},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

      connect(leftHeart_CO2FromMetabolism.y, busConnector.leftHeart_CO2FromMetabolism) annotation (Line(
       points={{-101.7,91},{-3,91},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_CO2FromMetabolism.y, busConnector.bone_CO2FromMetabolism) annotation (Line(
       points={{-101.7,-209},{-3,-209},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_CO2FromMetabolism.y, busConnector.brain_CO2FromMetabolism) annotation (Line(
       points={{-101.5,-171},{-3,-171},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_CO2FromMetabolism.y, busConnector.fat_CO2FromMetabolism) annotation (Line(
       points={{-101.7,-59},{-3,-59},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_CO2FromMetabolism.y, busConnector.GITract_CO2FromMetabolism) annotation (Line(
       points={{-101.7,-19},{-3,-19},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_CO2FromMetabolism.y, busConnector.rightHeart_CO2FromMetabolism) annotation (Line(
       points={{-101.7,281},{-3,281},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_CO2FromMetabolism.y, busConnector.skeletalMuscle_CO2FromMetabolism) annotation (Line(
       points={{116.3,-259},{-3,-259},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_CO2FromMetabolism.y, busConnector.skin_CO2FromMetabolism) annotation (Line(
       points={{116.3,-219},{-3,-219},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_CO2FromMetabolism.y, busConnector.respiratoryMuscle_CO2FromMetabolism) annotation (Line(
       points={{-101.7,231},{-3,231},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_CO2FromMetabolism.y, busConnector.otherTissue_CO2FromMetabolism) annotation (Line(
       points={{-101.7,161},{-3,161},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_cLactate.y, busConnector.bone_cLactate) annotation (Line(
       points={{116.3,-159},{-3,-159},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_cLactate.y, busConnector.brain_cLactate) annotation (Line(
       points={{116.3,-149},{-3,-149},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_cLactate.y, busConnector.fat_cLactate) annotation (Line(
       points={{116.3,-139},{-3,-139},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_cLactate.y, busConnector.GITract_cLactate) annotation (Line(
       points={{116.3,-169},{-3,-169},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_cLactate.y, busConnector.kidney_cLactate) annotation (Line(
       points={{116.3,-129},{-3,-129},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_cLactate.y, busConnector.leftHeart_cLactate) annotation (Line(
       points={{116.3,-119},{-3,-119},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_cLactate.y, busConnector.liver_cLactate) annotation (Line(
       points={{116.3,-109},{-3,-109},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_cLactate.y, busConnector.otherTissue_cLactate) annotation (Line(
       points={{116.3,-99},{-3,-99},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_cLactate.y, busConnector.respiratoryMuscle_cLactate) annotation (Line(
       points={{116.3,-89},{-3,-89},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_cLactate.y, busConnector.rightHeart_cLactate) annotation (Line(
       points={{116.3,-79},{-3,-79},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_cLactate.y, busConnector.skeletalMuscle_cLactate) annotation (Line(
       points={{116.3,-69},{-3,-69},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_cLactate.y, busConnector.skin_cLactate) annotation (Line(
       points={{116.3,-59},{-3,-59},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_LactateFromMetabolism.y, busConnector.GITract_LactateFromMetabolism) annotation (Line(
       points={{116.3,-49},{-3,-49},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_LactateFromMetabolism.y, busConnector.bone_LactateFromMetabolism) annotation (Line(
       points={{116.3,-39},{-3,-39},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_LactateFromMetabolism.y, busConnector.brain_LactateFromMetabolism) annotation (Line(
       points={{116.3,-29},{-3,-29},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_LactateFromMetabolism.y, busConnector.fat_LactateFromMetabolism) annotation (Line(
       points={{116.3,-19},{-3,-19},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_LactateFromMetabolism.y, busConnector.kidney_LactateFromMetabolism) annotation (Line(
       points={{116.3,-9},{-3,-9},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_LactateFromMetabolism.y, busConnector.leftHeart_LactateFromMetabolism) annotation (Line(
       points={{116.3,1},{-3,1},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_LactateFromMetabolism.y, busConnector.liver_LactateFromMetabolism) annotation (Line(
       points={{116.3,11},{-3,11},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_LactateFromMetabolism.y, busConnector.otherTissue_LactateFromMetabolism) annotation (Line(
       points={{116.3,21},{-3,21},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_LactateFromMetabolism.y, busConnector.respiratoryMuscle_LactateFromMetabolism) annotation (Line(
       points={{116.3,31},{-3,31},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_LactateFromMetabolism.y, busConnector.rightHeart_LactateFromMetabolism) annotation (Line(
       points={{116.3,41},{-3,41},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_LactateFromMetabolism.y, busConnector.skeletalMuscle_LactateFromMetabolism) annotation (Line(
       points={{116.3,51},{-3,51},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
       points={{-101.7,-89},{-3,-89},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
       points={{-101.7,-129},{-3,-129},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
       points={{-101.7,-109},{-3,-109},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
       points={{-101.7,21},{-3,21},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
       points={{-101.7,-239},{-3,-239},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PotassiumToCells.y, busConnector.PotassiumToCells) annotation (Line(
       points={{-101.7,191},{-3,191},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
       points={{116.3,71},{-3,71},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
       points={{116.3,81},{-3,81},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
       points={{116.3,91},{-3,91},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
       points={{116.3,101},{-3,101},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
       points={{116.3,111},{-3,111},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
       points={{116.3,121},{-3,121},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
       points={{116.3,131},{-3,131},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
       points={{116.3,141},{-3,141},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
       points={{116.3,151},{-3,151},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
       points={{116.3,161},{-3,161},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
       points={{116.3,171},{-3,171},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
       points={{116.3,181},{-3,181},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodVol_Hct.y, busConnector.BloodVol_Hct) annotation (Line(
       points={{-101.7,-229},{-3,-229},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctHb_ery.y, busConnector.ctHb_ery) annotation (Line(
       points={{116.3,201},{-3,201},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
       points={{116.3,211},{-3,211},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
       points={{116.3,221},{-3,221},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
       points={{116.3,191},{-3,191},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_CO2FromMetabolism.y, busConnector.liver_CO2FromMetabolism) annotation (Line(
       points={{-101.7,121},{-3,121},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_LactateFromMetabolism.y, busConnector.skin_LactateFromMetabolism) annotation (Line(
       points={{116.3,61},{-3,61},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

      connect(core_T.y,busConnector. core_T) annotation (Line(
       points={{-101.7,-99},{-3,-99},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(KA_Change.y, busConnector.KA_Change) annotation (Line(
              points={{116.3,281},{0.15,281},{0.15,-105},{-3,-105}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
            points={{116.3,291},{-3,291},{-3,-105}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
       points={{116.3,301},{-3,301},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_BloodFlow.y,busConnector. otherTissue_BloodFlow) annotation (Line(
       points={{-101.7,151},{-2,150},{-2,-105},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscleFunctionEffect.y,busConnector. RespiratoryMuscleFunctionEffect) annotation (Line(
       points={{-49.7,-47},{-3,-47},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
       points={{-36.9,-57},{-3,-57},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(KA_Change_mmol_per_min.y, busConnector.KA_Change_mmol_per_min) 
          annotation (Line(
            points={{-99.7,-119},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(EnvironmentRelativeHumidity.y, busConnector.EnvironmentRelativeHumidity) 
          annotation (Line(
            points={{-101.7,73},{-3,73},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(EnvironmentTemperature.y, busConnector.AmbientTemperature) 
          annotation (Line(
            points={{-101.7,67},{-3,67},{-3,-105}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end GasesConstInputsFromFile;
    end setup;

    package test
      model T

        Gases gases 
          annotation (Placement(transformation(extent={{-54,6},{-34,26}})));
        setup.GasesConstInputsFromFile gasesConstInputs 
          annotation (Placement(transformation(extent={{34,20},{54,40}})));
      equation
        connect(gases.busConnector, gasesConstInputs.busConnector) annotation (
            Line(
            points={{-36,24},{4,24},{4,30},{42,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end T;

      model TT
        Library.ConcentrationFlow.ConcentrationCompartment veins( initialSoluteMass=0,
            stateName="AcidBase.Veins_TH[mEq]") 
          annotation (Placement(transformation(extent={{-78,-14},{-58,6}})));
        Library.ConcentrationFlow.ConcentrationCompartment artys( initialSoluteMass=0,
            stateName="AcidBase.Artys_TH[mEq]") 
          annotation (Placement(transformation(extent={{80,-10},{100,10}})));
        setup.GasesConstInputsFromFile gasesConstInputsFromFile 
          annotation (Placement(transformation(extent={{-68,40},{-48,60}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-82,62},{-42,102}}),
              iconTransformation(extent={{-60,0},{-20,40}})));
      equation
        connect(busConnector.VeinsVol, veins.SolventVolume) annotation (Line(
            points={{-62,82},{-90,82},{-90,2},{-76,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ArtysVol, artys.SolventVolume) annotation (Line(
            points={{-62,82},{54,82},{54,6},{82,6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(gasesConstInputsFromFile.busConnector, busConnector) 
          annotation (Line(
            points={{-60,50},{-60,82},{-62,82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end TT;

      model calc_ctCO2_Veins

        ctCO2_from_pCO2 ctCO2_from_pCO2_1 
          annotation (Placement(transformation(extent={{-16,6},{4,26}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{-46,-28},{20,46}})));
      Library.Blocks.Constant BloodVol_Hct(k=0.44) 
      annotation (Placement(transformation(extent={{38,28},{30,20}})));
      Library.Blocks.Constant Veins_pH(k=7.39) 
      annotation (Placement(transformation(extent={{-88,22},{-82,28}})));
      Library.Blocks.Constant O2Veins_sO2(k=.75) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={79,17})));
      Library.Blocks.Constant HeatCore_Temp(k=37) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=180,
              origin={34,32})));
      Library.Blocks.Constant Veins_pH_ery(k=7.18) 
      annotation (Placement(transformation(extent={{-88,16},{-82,22}})));
      Library.Blocks.Constant CO2Veins_pCO2_mmHg(k=45) 
      annotation (Placement(transformation(extent={{-90,4},{-82,12}})));
      Library.Utilities.ConstantFromFile VeinsVol(varName="VeinsVol.Vol") 
      annotation (Placement(transformation(extent={{36,-70},{42,-64}})));
        Modelica.Blocks.Math.Product VeinsMass 
          annotation (Placement(transformation(extent={{52,-72},{72,-52}})));
      equation

        connect(ctCO2_from_pCO2_1.pCO2_mmHg, inverseBlockConstraints.u2) annotation (
            Line(
            points={{-2,4},{-2,-10},{-30,-10},{-30,9},{-39.4,9}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y2, ctCO2_from_pCO2_1.ctCO2) annotation (Line(
            points={{15.05,9},{12,8},{12,-18},{-26,-18},{-26,15.8},{-15,15.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.Hct, BloodVol_Hct.y) annotation (Line(
            points={{3,20},{26,20},{26,24},{29.6,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.T, HeatCore_Temp.y) annotation (Line(
            points={{3,24},{20,24},{20,32},{29.6,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Veins_pCO2_mmHg.y, inverseBlockConstraints.u1) annotation (
            Line(
            points={{-81.6,8},{-65.45,8},{-65.45,9},{-49.3,9}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Veins_pH.y, ctCO2_from_pCO2_1.pH) annotation (Line(
            points={{-81.7,25},{-46.85,25},{-46.85,24},{-15,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Veins_pH_ery.y, ctCO2_from_pCO2_1.pH_ery) annotation (Line(
            points={{-81.7,19},{-48.85,19},{-48.85,20},{-15,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.sO2, O2Veins_sO2.y) annotation (Line(
            points={{3,16},{39.35,16},{39.35,17},{75.7,17}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(VeinsVol.y, VeinsMass.u2) annotation (Line(
            points={{42.3,-67},{46.15,-67},{46.15,-68},{50,-68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y1, VeinsMass.u1) annotation (Line(
            points={{21.65,9},{40,9},{40,-56},{50,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics));
      end calc_ctCO2_Veins;

      model calc_ctCO2_Arteries

        ctCO2_from_pCO2 ctCO2_from_pCO2_1 
          annotation (Placement(transformation(extent={{-16,6},{4,26}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{-46,-28},{20,46}})));
      Library.Blocks.Constant Artys_pH_ery(k=7.19) 
      annotation (Placement(transformation(extent={{-58,16},{-50,24}})));
      Library.Blocks.Constant Artys_pH(k=7.4) 
      annotation (Placement(transformation(extent={{-68,20},{-60,28}})));
      Library.Blocks.Constant BloodVol_Hct(k=0.44) 
      annotation (Placement(transformation(extent={{38,28},{30,20}})));
      Library.Blocks.Constant O2Artys_sO2(k=.97) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=180,
              origin={58,20})));
      Library.Blocks.Constant HeatCore_Temp(k=37) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=180,
              origin={34,32})));
      Library.Blocks.Constant CO2Artys_pCO2_mmHg(k=40) 
      annotation (Placement(transformation(extent={{-72,4},{-64,12}})));
      Library.Utilities.ConstantFromFile ArtysVol(varName="ArtysVol.Vol") 
      annotation (Placement(transformation(extent={{40,-30},{46,-24}})));
        Modelica.Blocks.Math.Product ArtysMass 
          annotation (Placement(transformation(extent={{54,-30},{74,-10}})));
      equation

        connect(ctCO2_from_pCO2_1.pCO2_mmHg, inverseBlockConstraints.u2) annotation (
            Line(
            points={{-2,4},{-2,-10},{-30,-10},{-30,9},{-39.4,9}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y2, ctCO2_from_pCO2_1.ctCO2) annotation (Line(
            points={{15.05,9},{12,8},{12,-18},{-26,-18},{-26,15.8},{-15,15.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.Hct, BloodVol_Hct.y) annotation (Line(
            points={{3,20},{26,20},{26,24},{29.6,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.T, HeatCore_Temp.y) annotation (Line(
            points={{3,24},{20,24},{20,32},{29.6,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, ArtysMass.u2) annotation (Line(
            points={{46.3,-27},{48.15,-27},{48.15,-26},{52,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y1, ArtysMass.u1) annotation (Line(
            points={{21.65,9},{50,9},{50,-14},{52,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO2.y, ctCO2_from_pCO2_1.sO2) annotation (Line(
            points={{53.6,20},{46,20},{46,16},{3,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, inverseBlockConstraints.u1) annotation (
            Line(
            points={{-63.6,8},{-56.45,8},{-56.45,9},{-49.3,9}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH.y, ctCO2_from_pCO2_1.pH) annotation (Line(
            points={{-59.6,24},{-15,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH_ery.y, ctCO2_from_pCO2_1.pH_ery) annotation (Line(
            points={{-49.6,20},{-15,20}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics));
      end calc_ctCO2_Arteries;

      model ctCO2_from_pCO2
        extends CO2.BloodCO2Base;
        Library.Interfaces.RealInput_ ctCO2(unit="mmol/l")
          "total CO2 concentration"                                                                           annotation (Placement(transformation(extent={{-120,
                  -40},{-80,0}}),       iconTransformation(extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-90,-2})));
      equation

       tCO2 = ctCO2;
        annotation (Diagram(graphics), Icon(graphics));
      end ctCO2_from_pCO2;

      model calc_ctO2_Veins
        import HumMod;

        HumMod.Gases.test.ctO2_from_sO2 ctO2_from_sO2(
          pO2(fixed=false),
          sO2CO(fixed=false),
          FCOHb(fixed=false)) 
          annotation (Placement(transformation(extent={{-16,10},{4,30}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{-46,-28},{20,46}})));
      Library.Blocks.Constant Veins_pH(k=7.39) 
      annotation (Placement(transformation(extent={{-94,38},{-88,44}})));
      Library.Blocks.Constant O2Veins_sO2(k=.75) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={-95,7})));
      Library.Blocks.Constant HeatCore_Temp(k=37) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-98,18})));
      Library.Blocks.Constant CO2Veins_pCO2_mmHg(k=45) 
      annotation (Placement(transformation(extent={{-96,24},{-88,32}})));
      Library.Blocks.Constant ctHb(k=8.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,37})));
      Library.Blocks.Constant pCO(k=0) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,13})));
      Library.Blocks.Constant FHbF(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,19})));
      Library.Blocks.Constant FMetHb(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,25})));
      Library.Blocks.Constant cDPG(k=5.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,31})));
      HumMod.Library.Utilities.ConstantFromFile VeinsVol(
                                                  varName="VeinsVol.Vol") 
      annotation (Placement(transformation(extent={{26,-66},{32,-60}})));
        Modelica.Blocks.Math.Product VeinsMass 
          annotation (Placement(transformation(extent={{42,-68},{62,-48}})));
      equation

        connect(ctO2_from_sO2.T, HeatCore_Temp.y)     annotation (Line(
            points={{-15,22},{-54,22},{-54,18},{-93.6,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.u2, ctO2_from_sO2.sO2)     annotation (Line(
            points={{-39.4,9},{-30,9},{-30,-10},{-6,-10},{-6,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctHb, ctHb.y)     annotation (Line(
            points={{3,30},{32,30},{32,37},{47.7,37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.cDPG, cDPG.y)     annotation (Line(
            points={{3,26},{32,26},{32,31},{47.7,31}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.FMetHb, FMetHb.y)     annotation (Line(
            points={{3,22},{32,22},{32,25},{47.7,25}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.FHbF, FHbF.y)     annotation (Line(
            points={{3,18},{32,18},{32,19},{47.7,19}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.pCO_mmHg, pCO.y)     annotation (Line(
            points={{3,14},{48,14},{47.7,13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctO2, inverseBlockConstraints.y2) annotation (Line(
            points={{3,9},{3,-6},{12,-6},{12,9},{15.05,9}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Veins_pH.y, ctO2_from_sO2.pH) annotation (Line(
            points={{-87.7,41},{-50.85,41},{-50.85,30},{-15,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Veins_pCO2_mmHg.y, ctO2_from_sO2.pCO2_mmHg) annotation (Line(
            points={{-87.6,28},{-52,28},{-52,26},{-15,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Veins_sO2.y, inverseBlockConstraints.u1) annotation (Line(
            points={{-91.7,7},{-69.85,7},{-69.85,9},{-49.3,9}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(VeinsVol.y, VeinsMass.u2) annotation (Line(
            points={{32.3,-63},{36.15,-63},{36.15,-64},{40,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y1, VeinsMass.u1) annotation (Line(
            points={{21.65,9},{30,9},{30,-52},{40,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics));
      end calc_ctO2_Veins;

      model calc_ctO2_Arteries
        import HumMod;

        HumMod.Gases.test.ctO2_from_sO2 ctO2_from_sO2(
          pO2(fixed=false),
          sO2CO(fixed=false),
          FCOHb(fixed=false)) 
          annotation (Placement(transformation(extent={{-16,10},{4,30}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{-46,-28},{20,46}})));
      Library.Blocks.Constant Artys_pH(k=7.4) 
      annotation (Placement(transformation(extent={{-64,34},{-56,42}})));
      Library.Blocks.Constant O2Artys_sO2(k=.97) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-64,4})));
      Library.Blocks.Constant HeatCore_Temp(k=37) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-98,18})));
      Library.Blocks.Constant CO2Artys_pCO2_mmHg(k=40) 
      annotation (Placement(transformation(extent={{-64,26},{-56,34}})));
      Library.Blocks.Constant ctHb(k=8.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,37})));
      Library.Blocks.Constant pCO(k=0) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,13})));
      Library.Blocks.Constant FHbF(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,19})));
      Library.Blocks.Constant FMetHb(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,25})));
      Library.Blocks.Constant cDPG(k=5.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={51,31})));
      HumMod.Library.Utilities.ConstantFromFile ArtysVol(
                                                  varName="ArtysVol.Vol") 
      annotation (Placement(transformation(extent={{30,-26},{36,-20}})));
        Modelica.Blocks.Math.Product ArtysMass 
          annotation (Placement(transformation(extent={{44,-26},{64,-6}})));
      equation

        connect(ctO2_from_sO2.T, HeatCore_Temp.y)     annotation (Line(
            points={{-15,22},{-54,22},{-54,18},{-93.6,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.u2, ctO2_from_sO2.sO2)     annotation (Line(
            points={{-39.4,9},{-30,9},{-30,-10},{-6,-10},{-6,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctHb, ctHb.y)     annotation (Line(
            points={{3,30},{32,30},{32,37},{47.7,37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.cDPG, cDPG.y)     annotation (Line(
            points={{3,26},{32,26},{32,31},{47.7,31}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.FMetHb, FMetHb.y)     annotation (Line(
            points={{3,22},{32,22},{32,25},{47.7,25}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.FHbF, FHbF.y)     annotation (Line(
            points={{3,18},{32,18},{32,19},{47.7,19}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.pCO_mmHg, pCO.y)     annotation (Line(
            points={{3,14},{48,14},{47.7,13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctO2, inverseBlockConstraints.y2) annotation (Line(
            points={{3,9},{3,-6},{12,-6},{12,9},{15.05,9}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, ArtysMass.u2) annotation (Line(
            points={{36.3,-23},{38.15,-23},{38.15,-22},{42,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y1, ArtysMass.u1) annotation (Line(
            points={{21.65,9},{40,9},{40,-10},{42,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH.y, ctO2_from_sO2.pH) annotation (Line(
            points={{-55.6,38},{-36,38},{-36,30},{-15,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, ctO2_from_sO2.pCO2_mmHg) annotation (Line(
            points={{-55.6,30},{-42,30},{-42,26},{-15,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO2.y, inverseBlockConstraints.u1) annotation (Line(
            points={{-59.6,4},{-56,4},{-56,9},{-49.3,9}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics));
      end calc_ctO2_Arteries;

      model ctO2_from_sO2
        extends O2.BloodO2Base;
        Library.Interfaces.RealInput_ ctO2 
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={90,-110})));
      equation
        ctO2=tO2;
        annotation (Diagram(graphics), Icon(graphics));
      end ctO2_from_sO2;

      model calc_cTH_from_pH_Veins
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{-36,-18},{44,58}})));
        cTH_from_ph cTH_from_ph1 
          annotation (Placement(transformation(extent={{-10,12},{10,32}})));
      Library.Blocks.Constant Veins_pH(k=7.38) 
      annotation (Placement(transformation(extent={{-94,34},{-88,40}})));
      Library.Blocks.Constant O2Veins_sO2(k=.75) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={37,73})));
      Library.Blocks.Constant ctPO4(k=0.17) 
      annotation (Placement(transformation(extent={{64,8},{58,14}})));
      Library.Blocks.Constant CO2Veins_cHCO3(k=25.7178569224208) 
      annotation (Placement(transformation(extent={{92,36},{86,30}})));
      Library.Blocks.Constant ctAlb(k=0.66) 
      annotation (Placement(transformation(extent={{64,20},{58,26}})));
      Library.Blocks.Constant ctGlb(k=28) 
      annotation (Placement(transformation(extent={{64,14},{58,20}})));
      Library.Blocks.Constant ctHb_ery(k=21) 
      annotation (Placement(transformation(extent={{64,26},{58,32}})));
      Library.Blocks.Constant cTH(k=0) 
      annotation (Placement(transformation(extent={{-6,52},{-12,46}})));
      equation
        connect(cTH_from_ph1.pH, inverseBlockConstraints.u2) annotation (Line(
            points={{-2,10},{-2,-2},{-18,-2},{-18,20},{-28,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctHb_ery, ctHb_ery.y) annotation (Line(
            points={{9,26},{33.35,26},{33.35,29},{57.7,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctAlb.y, cTH_from_ph1.ctAlb) annotation (Line(
            points={{57.7,23},{35.85,23},{35.85,22},{9,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb.y, cTH_from_ph1.ctGlb) annotation (Line(
            points={{57.7,17},{33.85,17},{33.85,18},{9,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4.y, cTH_from_ph1.ctPO4) annotation (Line(
            points={{57.7,11},{33.85,11},{33.85,14},{9,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH.y, cTH_from_ph1.cTH) annotation (Line(
            points={{-12.3,49},{-12.3,41.5},{-4,41.5},{-4,33}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Veins_pH.y, inverseBlockConstraints.u1) annotation (Line(
            points={{-87.7,37},{-63.85,37},{-63.85,20},{-40,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Veins_sO2.y, cTH_from_ph1.sO2) annotation (Line(
            points={{33.7,73},{6,73},{6,33}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.cHCO3, inverseBlockConstraints.y2) annotation (
            Line(
            points={{9,30},{24,30},{24,20},{38,20}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={
                  {-100,-100},{100,100}}), graphics));
      end calc_cTH_from_pH_Veins;

      model calc_cTH_from_pH_Arteries
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{-36,-18},{44,58}})));
        cTH_from_ph cTH_from_ph1 
          annotation (Placement(transformation(extent={{-10,12},{10,32}})));
      Library.Blocks.Constant Artys_pH(k=7.4) 
      annotation (Placement(transformation(extent={{-64,30},{-56,38}})));
      Library.Blocks.Constant O2Artys_sO2(k=1) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=180,
              origin={16,76})));
      Library.Blocks.Constant ctPO4(k=0.17) 
      annotation (Placement(transformation(extent={{64,8},{58,14}})));
      Library.Blocks.Constant CO2Artys_cHCO3(k=24.5) 
      annotation (Placement(transformation(extent={{78,28},{70,36}})));
      Library.Blocks.Constant ctAlb(k=0.66) 
      annotation (Placement(transformation(extent={{64,20},{58,26}})));
      Library.Blocks.Constant ctGlb(k=28) 
      annotation (Placement(transformation(extent={{64,14},{58,20}})));
      Library.Blocks.Constant ctHb_ery(k=21) 
      annotation (Placement(transformation(extent={{64,26},{58,32}})));
      Library.Blocks.Constant cTH(k=0) 
      annotation (Placement(transformation(extent={{-6,52},{-12,46}})));
      equation
        connect(cTH_from_ph1.pH, inverseBlockConstraints.u2) annotation (Line(
            points={{-2,10},{-2,-2},{-18,-2},{-18,20},{-28,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH.y, inverseBlockConstraints.u1) annotation (Line(
            points={{-55.6,34},{-50,34},{-50,20},{-40,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.sO2, O2Artys_sO2.y) annotation (Line(
            points={{6,33},{6,76},{11.6,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctHb_ery, ctHb_ery.y) annotation (Line(
            points={{9,26},{33.35,26},{33.35,29},{57.7,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctAlb.y, cTH_from_ph1.ctAlb) annotation (Line(
            points={{57.7,23},{35.85,23},{35.85,22},{9,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb.y, cTH_from_ph1.ctGlb) annotation (Line(
            points={{57.7,17},{33.85,17},{33.85,18},{9,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4.y, cTH_from_ph1.ctPO4) annotation (Line(
            points={{57.7,11},{33.85,11},{33.85,14},{9,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_cHCO3.y, cTH_from_ph1.cHCO3) annotation (Line(
            points={{69.6,32},{40,32},{40,30},{9,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.cTH, inverseBlockConstraints.y2) annotation (Line(
            points={{-4,33},{-4,44},{32,44},{32,20},{38,20}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={
                  {-100,-100},{100,100}}), graphics));
      end calc_cTH_from_pH_Arteries;

      model cTH_from_ph
        extends AcidBase.BloodPhBase;
        Library.Interfaces.RealInput_ cTHox 
                                         annotation (Placement(transformation(extent={{-102,
                  -34},{-62,6}}),       iconTransformation(extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-40,110})));
      equation
        cTHox=_cTHox;
        annotation (Diagram(graphics), Icon(graphics));
      end cTH_from_ph;

      model calc_All_from_pH_Veins
        import HumMod;
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{6,-100},{86,-24}})));
        cTH_from_ph cTH_from_ph1 
          annotation (Placement(transformation(extent={{32,-70},{52,-50}})));
      Library.Blocks.Constant ctPO4(k=0.17) 
      annotation (Placement(transformation(extent={{106,-74},{100,-68}})));
      Library.Blocks.Constant ctAlb(k=0.66) 
      annotation (Placement(transformation(extent={{106,-62},{100,-56}})));
      Library.Blocks.Constant ctGlb(k=28) 
      annotation (Placement(transformation(extent={{106,-68},{100,-62}})));
      Library.Blocks.Constant ctHb_ery(k=21) 
      annotation (Placement(transformation(extent={{106,-56},{100,-50}})));
        ctCO2_from_pCO2 ctCO2_from_pCO2_1 
          annotation (Placement(transformation(extent={{-38,48},{-18,68}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints1 
          annotation (Placement(transformation(extent={{-68,14},{-2,88}})));
      Library.Blocks.Constant BloodVol_Hct(k=0.44) 
      annotation (Placement(transformation(extent={{16,70},{8,62}})));
      Library.Blocks.Constant CO2Artys_pCO2_mmHg(k=45) 
      annotation (Placement(transformation(extent={{-102,46},{-94,54}})));
      Library.Utilities.ConstantFromFile ArtysVol(varName="VeinsVol.Vol") 
      annotation (Placement(transformation(extent={{0,6},{22,28}})));
        Modelica.Blocks.Math.Product CO2VeinsMass 
          annotation (Placement(transformation(extent={{48,52},{68,72}})));
        HumMod.Gases.test.ctO2_from_sO2 ctO2_from_sO2(
          pO2(fixed=false),
          sO2CO(fixed=false),
          FCOHb(fixed=false)) 
          annotation (Placement(transformation(extent={{-54,-28},{-34,-8}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints2 
          annotation (Placement(transformation(extent={{-84,-66},{-18,8}})));
      Library.Blocks.Constant Artys_pH2(k=7.35) 
      annotation (Placement(transformation(extent={{-102,-4},{-94,4}})));
      Library.Blocks.Constant O2Artys_sO3(k=.75) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-102,-34})));
      Library.Blocks.Constant HeatCore_Temp1(
                                            k=37) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-100,-20})));
      Library.Blocks.Constant ctHb(k=8.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={13,-1})));
      Library.Blocks.Constant pCO(k=0) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={13,-25})));
      Library.Blocks.Constant FHbF(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={13,-19})));
      Library.Blocks.Constant FMetHb(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={13,-13})));
      Library.Blocks.Constant cDPG(k=5.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={13,-7})));
        Modelica.Blocks.Math.Product O2VeinsMass 
          annotation (Placement(transformation(extent={{60,16},{80,36}})));
        Modelica.Blocks.Math.Product cTHVeinsMass 
          annotation (Placement(transformation(extent={{58,-22},{78,-2}})));
      equation
        connect(cTH_from_ph1.pH, inverseBlockConstraints.u2) annotation (Line(
            points={{40,-72},{40,-84},{24,-84},{24,-62},{14,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctHb_ery, ctHb_ery.y) annotation (Line(
            points={{51,-56},{75.35,-56},{75.35,-53},{99.7,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctAlb.y, cTH_from_ph1.ctAlb) annotation (Line(
            points={{99.7,-59},{77.85,-59},{77.85,-60},{51,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb.y, cTH_from_ph1.ctGlb) annotation (Line(
            points={{99.7,-65},{75.85,-65},{75.85,-64},{51,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4.y, cTH_from_ph1.ctPO4) annotation (Line(
            points={{99.7,-71},{75.85,-71},{75.85,-68},{51,-68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.pCO2_mmHg, inverseBlockConstraints1.u2) 
                                                                         annotation (
            Line(
            points={{-24,46},{-24,32},{-52,32},{-52,51},{-61.4,51}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints1.y2, ctCO2_from_pCO2_1.ctCO2) 
                                                                     annotation (Line(
            points={{-6.95,51},{-10,50},{-10,24},{-48,24},{-48,57.8},{-37,57.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.Hct,BloodVol_Hct. y) annotation (Line(
            points={{-19,62},{4,62},{4,66},{7.6,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, CO2VeinsMass.u2) annotation (Line(
            points={{23.1,17},{26.15,17},{26.15,56},{46,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints1.y1, CO2VeinsMass.u1) annotation (Line(
            points={{-0.35,51},{24,51},{24,68},{46,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, inverseBlockConstraints1.u1) annotation (
            Line(
            points={{-93.6,50},{-78.45,50},{-78.45,51},{-71.3,51}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.T, HeatCore_Temp1.y)    annotation (Line(
            points={{-53,-16},{-92,-16},{-92,-20},{-95.6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints2.u2, ctO2_from_sO2.sO2)    annotation (Line(
            points={{-77.4,-29},{-68,-29},{-68,-48},{-44,-48},{-44,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctHb,ctHb. y)     annotation (Line(
            points={{-35,-8},{-6,-8},{-6,-1},{9.7,-1}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.cDPG,cDPG. y)     annotation (Line(
            points={{-35,-12},{-6,-12},{-6,-7},{9.7,-7}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.FMetHb,FMetHb. y)     annotation (Line(
            points={{-35,-16},{-6,-16},{-6,-13},{9.7,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.FHbF,FHbF. y)     annotation (Line(
            points={{-35,-20},{-6,-20},{-6,-19},{9.7,-19}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.pCO_mmHg,pCO. y)     annotation (Line(
            points={{-35,-24},{9.7,-24},{9.7,-25}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctO2, inverseBlockConstraints2.y2) 
                                                                annotation (Line(
            points={{-35,-29},{-35,-44},{-26,-44},{-26,-29},{-22.95,-29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints2.y1, O2VeinsMass.u1) annotation (Line(
            points={{-16.35,-29},{34,-29},{34,32},{58,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH2.y, ctO2_from_sO2.pH) annotation (Line(
            points={{-93.6,0},{-74,0},{-74,-8},{-53,-8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, inverseBlockConstraints2.u1) annotation (Line(
            points={{-97.6,-34},{-94,-34},{-94,-29},{-87.3,-29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, cTH_from_ph1.sO2) annotation (Line(
            points={{-97.6,-34},{48,-34},{48,-49}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH2.y, inverseBlockConstraints.u1) annotation (Line(
            points={{-93.6,0},{-42,0},{-42,-62},{2,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.cHCO3, cTH_from_ph1.cHCO3) annotation (Line(
            points={{-20,46},{-20,10},{74,10},{74,-52},{51,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH2.y, ctCO2_from_pCO2_1.pH) annotation (Line(
            points={{-93.6,0},{-90,0},{-90,66},{-37,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, ctO2_from_sO2.pCO2_mmHg) annotation (Line(
            points={{-93.6,50},{-80,50},{-80,-12},{-53,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HeatCore_Temp1.y, ctCO2_from_pCO2_1.T) annotation (Line(
            points={{-95.6,-20},{-86,-20},{-86,92},{-8,92},{-8,66},{-19,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, ctCO2_from_pCO2_1.sO2) annotation (Line(
            points={{-97.6,-34},{-92,-34},{-92,96},{-6,96},{-6,58},{-19,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.pH_ery, ctCO2_from_pCO2_1.pH_ery) annotation (Line(
            points={{44,-72},{44,-92},{-78,-92},{-78,62},{-37,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.cTH, inverseBlockConstraints.y2) annotation (Line(
            points={{38,-49},{38,-38},{72,-38},{72,-62},{80,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, cTHVeinsMass.u1) annotation (Line(
            points={{23.1,17},{40.15,17},{40.15,-6},{56,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y1, cTHVeinsMass.u2) annotation (Line(
            points={{88,-62},{92,-62},{92,-40},{50,-40},{50,-18},{56,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, O2VeinsMass.u2) annotation (Line(
            points={{23.1,17},{40.15,17},{40.15,20},{58,20}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={
                  {-100,-100},{100,100}}), graphics));
      end calc_All_from_pH_Veins;

      model calc_All_from_pH_Arteries
        import HumMod;
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{4,-94},{84,-18}})));
        cTH_from_ph cTH_from_ph1 
          annotation (Placement(transformation(extent={{30,-64},{50,-44}})));
      Library.Blocks.Constant ctPO4(k=0.17) 
      annotation (Placement(transformation(extent={{104,-68},{98,-62}})));
      Library.Blocks.Constant ctAlb(k=0.66) 
      annotation (Placement(transformation(extent={{104,-56},{98,-50}})));
      Library.Blocks.Constant ctGlb(k=28) 
      annotation (Placement(transformation(extent={{104,-62},{98,-56}})));
      Library.Blocks.Constant ctHb_ery(k=21) 
      annotation (Placement(transformation(extent={{104,-50},{98,-44}})));
        ctCO2_from_pCO2 ctCO2_from_pCO2_1 
          annotation (Placement(transformation(extent={{-40,54},{-20,74}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints1 
          annotation (Placement(transformation(extent={{-70,20},{-4,94}})));
      Library.Blocks.Constant BloodVol_Hct(k=0.44) 
      annotation (Placement(transformation(extent={{14,76},{6,68}})));
      Library.Blocks.Constant CO2Artys_pCO2_mmHg(k=40) 
      annotation (Placement(transformation(extent={{-104,52},{-96,60}})));
        HumMod.Gases.test.ctO2_from_sO2 ctO2_from_sO2(
          pO2(fixed=false),
          sO2CO(fixed=false),
          FCOHb(fixed=false)) 
          annotation (Placement(transformation(extent={{-56,-22},{-36,-2}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints2 
          annotation (Placement(transformation(extent={{-86,-60},{-20,14}})));
      Library.Blocks.Constant Artys_pH2(
                                       k=7.4) 
      annotation (Placement(transformation(extent={{-104,2},{-96,10}})));
      Library.Blocks.Constant O2Artys_sO3(k=.97) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-104,-28})));
      Library.Blocks.Constant HeatCore_Temp1(
                                            k=37) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-102,-14})));
      Library.Blocks.Constant ctHb(k=8.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={11,5})));
      Library.Blocks.Constant pCO(k=0) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={11,-19})));
      Library.Blocks.Constant FHbF(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={11,-13})));
      Library.Blocks.Constant FMetHb(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={11,-7})));
      Library.Blocks.Constant cDPG(k=5.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={11,-1})));
        Modelica.Blocks.Math.Product CO2ArtysMass 
          annotation (Placement(transformation(extent={{50,70},{70,90}})));
        Modelica.Blocks.Math.Product O2ArtysMass 
          annotation (Placement(transformation(extent={{62,34},{82,54}})));
      HumMod.Library.Utilities.ConstantFromFile ArtysVol(
                                                  varName="ArtysVol.Vol") 
      annotation (Placement(transformation(extent={{4,14},{26,36}})));
        Modelica.Blocks.Math.Product cTHArtysMass 
          annotation (Placement(transformation(extent={{60,-4},{80,16}})));
      equation
        connect(cTH_from_ph1.pH, inverseBlockConstraints.u2) annotation (Line(
            points={{38,-66},{38,-78},{22,-78},{22,-56},{12,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctHb_ery, ctHb_ery.y) annotation (Line(
            points={{49,-50},{73.35,-50},{73.35,-47},{97.7,-47}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctAlb.y, cTH_from_ph1.ctAlb) annotation (Line(
            points={{97.7,-53},{75.85,-53},{75.85,-54},{49,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb.y, cTH_from_ph1.ctGlb) annotation (Line(
            points={{97.7,-59},{73.85,-59},{73.85,-58},{49,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4.y, cTH_from_ph1.ctPO4) annotation (Line(
            points={{97.7,-65},{73.85,-65},{73.85,-62},{49,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.pCO2_mmHg, inverseBlockConstraints1.u2) 
                                                                         annotation (
            Line(
            points={{-26,52},{-26,38},{-54,38},{-54,57},{-63.4,57}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints1.y2, ctCO2_from_pCO2_1.ctCO2) 
                                                                     annotation (Line(
            points={{-8.95,57},{-12,56},{-12,30},{-50,30},{-50,63.8},{-39,63.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.Hct,BloodVol_Hct. y) annotation (Line(
            points={{-21,68},{2,68},{2,72},{5.6,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, inverseBlockConstraints1.u1) annotation (
            Line(
            points={{-95.6,56},{-80.45,56},{-80.45,57},{-73.3,57}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.T, HeatCore_Temp1.y)    annotation (Line(
            points={{-55,-10},{-94,-10},{-94,-14},{-97.6,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints2.u2, ctO2_from_sO2.sO2)    annotation (Line(
            points={{-79.4,-23},{-70,-23},{-70,-42},{-46,-42},{-46,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctHb,ctHb. y)     annotation (Line(
            points={{-37,-2},{-8,-2},{-8,5},{7.7,5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.cDPG,cDPG. y)     annotation (Line(
            points={{-37,-6},{-8,-6},{-8,-1},{7.7,-1}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.FMetHb,FMetHb. y)     annotation (Line(
            points={{-37,-10},{-8,-10},{-8,-7},{7.7,-7}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.FHbF,FHbF. y)     annotation (Line(
            points={{-37,-14},{-8,-14},{-8,-13},{7.7,-13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.pCO_mmHg,pCO. y)     annotation (Line(
            points={{-37,-18},{7.7,-18},{7.7,-19}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctO2, inverseBlockConstraints2.y2) 
                                                                annotation (Line(
            points={{-37,-23},{-37,-38},{-28,-38},{-28,-23},{-24.95,-23}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH2.y, ctO2_from_sO2.pH) annotation (Line(
            points={{-95.6,6},{-76,6},{-76,-2},{-55,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, inverseBlockConstraints2.u1) annotation (Line(
            points={{-99.6,-28},{-96,-28},{-96,-23},{-89.3,-23}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, cTH_from_ph1.sO2) annotation (Line(
            points={{-99.6,-28},{46,-28},{46,-43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH2.y, inverseBlockConstraints.u1) annotation (Line(
            points={{-95.6,6},{-44,6},{-44,-56},{0,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.cHCO3, cTH_from_ph1.cHCO3) annotation (Line(
            points={{-22,52},{-22,16},{72,16},{72,-46},{49,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH2.y, ctCO2_from_pCO2_1.pH) annotation (Line(
            points={{-95.6,6},{-92,6},{-92,72},{-39,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, ctO2_from_sO2.pCO2_mmHg) annotation (Line(
            points={{-95.6,56},{-82,56},{-82,-6},{-55,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HeatCore_Temp1.y, ctCO2_from_pCO2_1.T) annotation (Line(
            points={{-97.6,-14},{-88,-14},{-88,98},{-10,98},{-10,72},{-21,72}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(O2Artys_sO3.y, ctCO2_from_pCO2_1.sO2) annotation (Line(
            points={{-99.6,-28},{-94,-28},{-94,102},{-8,102},{-8,64},{-21,64}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(cTH_from_ph1.pH_ery, ctCO2_from_pCO2_1.pH_ery) annotation (Line(
            points={{42,-66},{42,-86},{-80,-86},{-80,68},{-39,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.cTH, inverseBlockConstraints.y2) annotation (Line(
            points={{36,-43},{36,-32},{70,-32},{70,-56},{78,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, CO2ArtysMass.u2) annotation (Line(
            points={{27.1,25},{28.15,25},{28.15,74},{48,74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints2.y1, O2ArtysMass.u1) annotation (Line(
            points={{-18.35,-23},{36,-23},{36,50},{60,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, O2ArtysMass.u2) annotation (Line(
            points={{27.1,25},{42.15,25},{42.15,38},{60,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, cTHArtysMass.u1) annotation (Line(
            points={{27.1,25},{42.15,25},{42.15,12},{58,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y1, cTHArtysMass.u2) annotation (Line(
            points={{86,-56},{94,-56},{94,-22},{52,-22},{52,0},{58,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2ArtysMass.u1, inverseBlockConstraints1.y1) annotation (Line(
            points={{48,86},{22,86},{22,56},{-2.35,56},{-2.35,57}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={
                  {-100,-100},{100,100}}), graphics));
      end calc_All_from_pH_Arteries;

      model calcAll
        import HumMod;
        cTH_from_ph cTH_from_ph1 
          annotation (Placement(transformation(extent={{28,134},{48,154}})));
        ctCO2_from_pCO2 ctCO2_from_pCO2_1 
          annotation (Placement(transformation(extent={{-42,252},{-22,272}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints1 
          annotation (Placement(transformation(extent={{-72,218},{-6,292}})));
      Library.Blocks.Constant CO2Artys_pCO2_mmHg(k=45) 
      annotation (Placement(transformation(extent={{-106,250},{-98,258}})));
      Library.Utilities.ConstantFromFile ArtysVol(varName="VeinsVol.Vol(L)") 
      annotation (Placement(transformation(extent={{-4,210},{18,232}})));
        Modelica.Blocks.Math.Product CO2VeinsMass 
          annotation (Placement(transformation(extent={{44,256},{64,276}})));
        HumMod.Gases.test.ctO2_from_sO2 ctO2_from_sO2(
          pO2(fixed=false),
          sO2CO(fixed=false),
          FCOHb(fixed=false)) 
          annotation (Placement(transformation(extent={{-58,176},{-38,196}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints2 
          annotation (Placement(transformation(extent={{-88,138},{-22,212}})));
      Library.Blocks.Constant O2Artys_sO3(k=.75) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-106,170})));
        Modelica.Blocks.Math.Product O2VeinsMass 
          annotation (Placement(transformation(extent={{56,220},{76,240}})));
        Modelica.Blocks.Math.Product cTHVeinsMass 
          annotation (Placement(transformation(extent={{54,182},{74,202}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints3 
          annotation (Placement(transformation(extent={{4,-98},{84,-22}})));
        HumMod.Gases.test.cTH_from_ph cTH_from_ph2 
          annotation (Placement(transformation(extent={{30,-58},{50,-38}})));
        HumMod.Gases.test.ctCO2_from_pCO2 ctCO2_from_pCO2_2 
          annotation (Placement(transformation(extent={{-40,50},{-20,70}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints4 
          annotation (Placement(transformation(extent={{-70,16},{-4,90}})));
      HumMod.Library.Blocks.Constant CO2Artys_pCO2_mmHg1(k=40) 
      annotation (Placement(transformation(extent={{-104,48},{-96,56}})));
        HumMod.Gases.test.ctO2_from_sO2 ctO2_from_sO1(
          pO2(fixed=false),
          sO2CO(fixed=false),
          FCOHb(fixed=false)) 
          annotation (Placement(transformation(extent={{-56,-26},{-36,-6}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints5 
          annotation (Placement(transformation(extent={{-86,-64},{-20,10}})));
      HumMod.Library.Blocks.Constant Artys_pH1(
                                       k=7.4) 
      annotation (Placement(transformation(extent={{-104,-2},{-96,6}})));
      HumMod.Library.Blocks.Constant O2Artys_sO1(
                                          k=.97) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-104,-32})));
        Modelica.Blocks.Math.Product CO2ArtysMass 
          annotation (Placement(transformation(extent={{50,66},{70,86}})));
        Modelica.Blocks.Math.Product O2ArtysMass 
          annotation (Placement(transformation(extent={{62,30},{82,50}})));
      HumMod.Library.Utilities.ConstantFromFile ArtysVol1(varName=
              "ArtysVol.Vol(L)") 
      annotation (Placement(transformation(extent={{4,10},{26,32}})));
        Modelica.Blocks.Math.Product cTHArtysMass 
          annotation (Placement(transformation(extent={{60,-8},{80,12}})));
      Library.Utilities.ConstantFromFile Hct(varName="BloodVol.Hct") 
      annotation (Placement(transformation(extent={{-20,122},{2,144}})));
      Library.Utilities.ConstantFromFile ctHb(varName="ctHb") 
      annotation (Placement(transformation(extent={{-20,116},{2,138}})));
      Library.Utilities.ConstantFromFile cDPG(varName="cDPG") 
      annotation (Placement(transformation(extent={{-20,110},{2,132}})));
      Library.Utilities.ConstantFromFile FMetHb(varName="FMetHb") 
      annotation (Placement(transformation(extent={{-20,102},{2,124}})));
      Library.Utilities.ConstantFromFile FHbF(varName="FHbF") 
      annotation (Placement(transformation(extent={{-20,94},{2,116}})));
      Library.Utilities.ConstantFromFile pCO(varName="pCO") 
      annotation (Placement(transformation(extent={{-20,88},{2,110}})));
      Library.Utilities.ConstantFromFile ctHb_ery(varName="ctHb_ery") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={107,149})));
      Library.Utilities.ConstantFromFile ctAlb(varName="ctAlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={107,143})));
      Library.Utilities.ConstantFromFile ctGlb(varName="ctGlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={107,137})));
      Library.Utilities.ConstantFromFile ctPO4(varName="PO4Pool.[PO4--(mEq/L)]") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={107,129})));
      Library.Utilities.ConstantFromFile T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=0,
              origin={-9,141})));
      equation
        connect(ctCO2_from_pCO2_1.pCO2_mmHg, inverseBlockConstraints1.u2) 
                                                                         annotation (
            Line(
            points={{-28,250},{-28,236},{-56,236},{-56,255},{-65.4,255}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints1.y2, ctCO2_from_pCO2_1.ctCO2) 
                                                                     annotation (Line(
            points={{-10.95,255},{-14,254},{-14,228},{-52,228},{-52,261.8},{-41,
                261.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, CO2VeinsMass.u2) annotation (Line(
            points={{19.1,221},{22.15,221},{22.15,260},{42,260}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints1.y1, CO2VeinsMass.u1) annotation (Line(
            points={{-4.35,255},{20,255},{20,272},{42,272}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, inverseBlockConstraints1.u1) annotation (
            Line(
            points={{-97.6,254},{-82.45,254},{-82.45,255},{-75.3,255}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints2.u2, ctO2_from_sO2.sO2)    annotation (Line(
            points={{-81.4,175},{-72,175},{-72,156},{-48,156},{-48,174}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctO2, inverseBlockConstraints2.y2) 
                                                                annotation (Line(
            points={{-39,175},{-39,160},{-30,160},{-30,175},{-26.95,175}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints2.y1, O2VeinsMass.u1) annotation (Line(
            points={{-20.35,175},{30,175},{30,236},{54,236}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, inverseBlockConstraints2.u1) annotation (Line(
            points={{-101.6,170},{-98,170},{-98,175},{-91.3,175}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, cTH_from_ph1.sO2) annotation (Line(
            points={{-101.6,170},{44,170},{44,155}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.cHCO3, cTH_from_ph1.cHCO3) annotation (Line(
            points={{-24,250},{-24,214},{70,214},{70,152},{47,152}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, ctO2_from_sO2.pCO2_mmHg) annotation (Line(
            points={{-97.6,254},{-84,254},{-84,192},{-57,192}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, ctCO2_from_pCO2_1.sO2) annotation (Line(
            points={{-101.6,170},{-98,170},{-98,300},{-12,300},{-12,262},{-23,
                262}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.pH_ery, ctCO2_from_pCO2_1.pH_ery) annotation (Line(
            points={{40,132},{40,116},{-82,116},{-82,266},{-41,266}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, cTHVeinsMass.u1) annotation (Line(
            points={{19.1,221},{36.15,221},{36.15,198},{52,198}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, O2VeinsMass.u2) annotation (Line(
            points={{19.1,221},{36.15,221},{36.15,224},{54,224}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.pH, inverseBlockConstraints3.u2) annotation (Line(
            points={{38,-60},{38,-82},{22,-82},{22,-60},{12,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_2.pCO2_mmHg, inverseBlockConstraints4.u2) 
                                                                         annotation (
            Line(
            points={{-26,48},{-26,34},{-54,34},{-54,53},{-63.4,53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints4.y2, ctCO2_from_pCO2_2.ctCO2) 
                                                                     annotation (Line(
            points={{-8.95,53},{-12,52},{-12,26},{-50,26},{-50,59.8},{-39,59.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg1.y, inverseBlockConstraints4.u1) annotation (
           Line(
            points={{-95.6,52},{-80.45,52},{-80.45,53},{-73.3,53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints5.u2, ctO2_from_sO1.sO2)    annotation (Line(
            points={{-79.4,-27},{-70,-27},{-70,-46},{-46,-46},{-46,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO1.ctO2, inverseBlockConstraints5.y2) 
                                                                annotation (Line(
            points={{-37,-27},{-37,-42},{-28,-42},{-28,-27},{-24.95,-27}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, ctO2_from_sO1.pH) annotation (Line(
            points={{-95.6,2},{-76,2},{-76,-6},{-55,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO1.y, inverseBlockConstraints5.u1) annotation (Line(
            points={{-99.6,-32},{-96,-32},{-96,-27},{-89.3,-27}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO1.y, cTH_from_ph2.sO2) annotation (Line(
            points={{-99.6,-32},{46,-32},{46,-37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, inverseBlockConstraints3.u1) annotation (Line(
            points={{-95.6,2},{-44,2},{-44,-60},{0,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_2.cHCO3, cTH_from_ph2.cHCO3) annotation (Line(
            points={{-22,48},{-22,12},{72,12},{72,-40},{49,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, ctCO2_from_pCO2_2.pH) annotation (Line(
            points={{-95.6,2},{-92,2},{-92,68},{-39,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg1.y, ctO2_from_sO1.pCO2_mmHg) annotation (
            Line(
            points={{-95.6,52},{-82,52},{-82,-10},{-55,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO1.y, ctCO2_from_pCO2_2.sO2) annotation (Line(
            points={{-99.6,-32},{-94,-32},{-94,98},{-8,98},{-8,60},{-21,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.pH_ery, ctCO2_from_pCO2_2.pH_ery) annotation (Line(
            points={{42,-60},{42,-90},{-80,-90},{-80,64},{-39,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, CO2ArtysMass.u2) annotation (Line(
            points={{27.1,21},{28.15,21},{28.15,70},{48,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints5.y1, O2ArtysMass.u1) annotation (Line(
            points={{-18.35,-27},{36,-27},{36,46},{60,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, O2ArtysMass.u2) annotation (Line(
            points={{27.1,21},{42.15,21},{42.15,34},{60,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, cTHArtysMass.u1) annotation (Line(
            points={{27.1,21},{42.15,21},{42.15,8},{58,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHArtysMass.u2) annotation (Line(
            points={{86,-60},{94,-60},{94,-26},{52,-26},{52,-4},{58,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2ArtysMass.u1, inverseBlockConstraints4.y1) annotation (Line(
            points={{48,82},{22,82},{22,52},{-2.35,52},{-2.35,53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHVeinsMass.u2) annotation (Line(
            points={{86,-60},{94,-60},{94,166},{48,166},{48,186},{52,186}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.pH, ctO2_from_sO2.pH) annotation (Line(
            points={{36,132},{36,118},{-72,118},{-72,196},{-57,196}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.pH, ctCO2_from_pCO2_1.pH) annotation (Line(
            points={{36,132},{36,118},{-72,118},{-72,270},{-41,270}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(Hct.y, ctCO2_from_pCO2_1.Hct) annotation (Line(
            points={{3.1,133},{4,266},{-23,266}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hct.y, ctCO2_from_pCO2_2.Hct) annotation (Line(
            points={{3.1,133},{3.1,63.5},{-21,63.5},{-21,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctHb.y, ctO2_from_sO2.ctHb) annotation (Line(
            points={{3.1,127},{3.1,195.5},{-39,195.5},{-39,196}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctHb.y, ctO2_from_sO1.ctHb) annotation (Line(
            points={{3.1,127},{4,-6},{-37,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cDPG.y, ctO2_from_sO1.cDPG) annotation (Line(
            points={{3.1,121},{3.1,-10.5},{-37,-10.5},{-37,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cDPG.y, ctO2_from_sO2.cDPG) annotation (Line(
            points={{3.1,121},{3.1,191.5},{-39,191.5},{-39,192}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FMetHb.y, ctO2_from_sO2.FMetHb) annotation (Line(
            points={{3.1,113},{3.1,188.5},{-39,188.5},{-39,188}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FMetHb.y, ctO2_from_sO1.FMetHb) annotation (Line(
            points={{3.1,113},{4,-14},{-37,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FHbF.y, ctO2_from_sO1.FHbF) annotation (Line(
            points={{3.1,105},{3.1,-18.5},{-37,-18.5},{-37,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FHbF.y, ctO2_from_sO2.FHbF) annotation (Line(
            points={{3.1,105},{3.1,184},{-39,184}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pCO.y, ctO2_from_sO1.pCO_mmHg) annotation (Line(
            points={{3.1,99},{3.1,-22.5},{-37,-22.5},{-37,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.pCO_mmHg, pCO.y) annotation (Line(
            points={{-39,180},{3.1,180},{3.1,99}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctHb_ery, ctHb_ery.y) annotation (Line(
            points={{47,148},{58,148},{58,149},{94.9,149}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.ctHb_ery, ctHb_ery.y) annotation (Line(
            points={{49,-44},{88,-44},{88,149},{94.9,149}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctAlb.y, cTH_from_ph1.ctAlb) annotation (Line(
            points={{94.9,143},{70.45,143},{70.45,144},{47,144}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.ctAlb, ctAlb.y) annotation (Line(
            points={{49,-48},{88,-48},{88,144},{94.9,144},{94.9,143}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctGlb, ctGlb.y) annotation (Line(
            points={{47,140},{70,140},{70,137},{94.9,137}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb.y, cTH_from_ph2.ctGlb) annotation (Line(
            points={{94.9,137},{88,137},{88,-52},{49,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctPO4, ctPO4.y) annotation (Line(
            points={{47,136},{70,136},{70,129},{94.9,129}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4.y, cTH_from_ph2.ctPO4) annotation (Line(
            points={{94.9,129},{88,129},{88,-56},{49,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctCO2_from_pCO2_2.T) annotation (Line(
            points={{3.1,141},{4,70},{4,68},{-21,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctO2_from_sO1.T) annotation (Line(
            points={{3.1,141},{3.1,8},{-60,8},{-60,-14},{-55,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctCO2_from_pCO2_1.T) annotation (Line(
            points={{3.1,141},{4,270},{-23,270}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctO2_from_sO2.T) annotation (Line(
            points={{3.1,141},{3.1,152},{-64,152},{-64,188},{-57,188}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.cTHox, inverseBlockConstraints3.y2) annotation (
            Line(
            points={{36,-37},{36,-34},{64,-34},{64,-60},{78,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.cTHox, inverseBlockConstraints3.y1) annotation (
            Line(
            points={{34,155},{34,166},{94,166},{94,-60},{86,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,300}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,300}})));
      end calcAll;

      model calcAll_old
        import HumMod;
        cTH_from_ph cTH_from_ph1 
          annotation (Placement(transformation(extent={{28,134},{48,154}})));
        ctCO2_from_pCO2 ctCO2_from_pCO2_1 
          annotation (Placement(transformation(extent={{-42,252},{-22,272}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints1 
          annotation (Placement(transformation(extent={{-72,218},{-6,292}})));
      Library.Blocks.Constant BloodVol_Hct(k=0.44) 
      annotation (Placement(transformation(extent={{12,274},{4,266}})));
      Library.Blocks.Constant CO2Artys_pCO2_mmHg(k=45) 
      annotation (Placement(transformation(extent={{-106,250},{-98,258}})));
      Library.Utilities.ConstantFromFile ArtysVol(varName="VeinsVol.Vol") 
      annotation (Placement(transformation(extent={{-4,210},{18,232}})));
        Modelica.Blocks.Math.Product CO2VeinsMass 
          annotation (Placement(transformation(extent={{44,256},{64,276}})));
        HumMod.Gases.test.ctO2_from_sO2 ctO2_from_sO2(
          pO2(fixed=false),
          sO2CO(fixed=false),
          FCOHb(fixed=false)) 
          annotation (Placement(transformation(extent={{-58,176},{-38,196}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints2 
          annotation (Placement(transformation(extent={{-88,138},{-22,212}})));
      Library.Blocks.Constant O2Artys_sO3(k=.75) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-106,170})));
      Library.Blocks.Constant HeatCore_Temp1(
                                            k=37) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-92,188})));
      Library.Blocks.Constant ctHb(k=8.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={9,203})));
      Library.Blocks.Constant pCO(k=0) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={15,177})));
      Library.Blocks.Constant FHbF(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={15,185})));
      Library.Blocks.Constant FMetHb(k=.005) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={9,191})));
      Library.Blocks.Constant cDPG(k=5.4) 
      annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=180,
              origin={9,197})));
        Modelica.Blocks.Math.Product O2VeinsMass 
          annotation (Placement(transformation(extent={{56,220},{76,240}})));
        Modelica.Blocks.Math.Product cTHVeinsMass 
          annotation (Placement(transformation(extent={{54,182},{74,202}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints3 
          annotation (Placement(transformation(extent={{4,-98},{84,-22}})));
        HumMod.Gases.test.cTH_from_ph cTH_from_ph2 
          annotation (Placement(transformation(extent={{30,-58},{50,-38}})));
      HumMod.Library.Blocks.Constant ctPO1(k=0.17) 
      annotation (Placement(transformation(extent={{104,-72},{98,-66}})));
      HumMod.Library.Blocks.Constant ctAlb1(
                                    k=0.66) 
      annotation (Placement(transformation(extent={{104,-60},{98,-54}})));
      HumMod.Library.Blocks.Constant ctGlb1(
                                    k=28) 
      annotation (Placement(transformation(extent={{104,-66},{98,-60}})));
      HumMod.Library.Blocks.Constant ctHb_ery1(
                                       k=21) 
      annotation (Placement(transformation(extent={{108,-54},{102,-48}})));
        HumMod.Gases.test.ctCO2_from_pCO2 ctCO2_from_pCO2_2 
          annotation (Placement(transformation(extent={{-40,50},{-20,70}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints4 
          annotation (Placement(transformation(extent={{-70,16},{-4,90}})));
      HumMod.Library.Blocks.Constant CO2Artys_pCO2_mmHg1(k=40) 
      annotation (Placement(transformation(extent={{-104,48},{-96,56}})));
        HumMod.Gases.test.ctO2_from_sO2 ctO2_from_sO1(
          pO2(fixed=false),
          sO2CO(fixed=false),
          FCOHb(fixed=false)) 
          annotation (Placement(transformation(extent={{-56,-26},{-36,-6}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints5 
          annotation (Placement(transformation(extent={{-86,-64},{-20,10}})));
      HumMod.Library.Blocks.Constant Artys_pH1(
                                       k=7.4) 
      annotation (Placement(transformation(extent={{-104,-2},{-96,6}})));
      HumMod.Library.Blocks.Constant O2Artys_sO1(
                                          k=.97) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={-104,-32})));
        Modelica.Blocks.Math.Product CO2ArtysMass 
          annotation (Placement(transformation(extent={{50,66},{70,86}})));
        Modelica.Blocks.Math.Product O2ArtysMass 
          annotation (Placement(transformation(extent={{62,30},{82,50}})));
      HumMod.Library.Utilities.ConstantFromFile ArtysVol1(
                                                  varName="ArtysVol.Vol") 
      annotation (Placement(transformation(extent={{4,10},{26,32}})));
        Modelica.Blocks.Math.Product cTHArtysMass 
          annotation (Placement(transformation(extent={{60,-8},{80,12}})));
      Library.Utilities.ConstantFromFile Hct(varName="BloodVol.Hct") 
      annotation (Placement(transformation(extent={{-20,122},{2,144}})));
      Library.Utilities.ConstantFromFile ctHb_(varName="ctHb") 
      annotation (Placement(transformation(extent={{-20,116},{2,138}})));
      Library.Utilities.ConstantFromFile ctHb_1(varName="cDPG") 
      annotation (Placement(transformation(extent={{-20,110},{2,132}})));
      Library.Utilities.ConstantFromFile FMetHb_(varName="FMetHb") 
      annotation (Placement(transformation(extent={{-20,102},{2,124}})));
      Library.Utilities.ConstantFromFile FHbF_1(varName="FHbF") 
      annotation (Placement(transformation(extent={{-20,94},{2,116}})));
      Library.Utilities.ConstantFromFile pCO_(varName="pCO") 
      annotation (Placement(transformation(extent={{-20,88},{2,110}})));
      Library.Utilities.ConstantFromFile ctHb_ery_(varName="ctHb_ery") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={107,149})));
      Library.Utilities.ConstantFromFile ctAlb(varName="ctAlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={107,143})));
      Library.Utilities.ConstantFromFile ctGlb(varName="ctGlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={107,137})));
      Library.Utilities.ConstantFromFile ctPO4(varName="PO4Pool.[PO4--(mEq/L)]") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={107,129})));
      Library.Utilities.ConstantFromFile T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=0,
              origin={-9,141})));
      equation
        connect(ctCO2_from_pCO2_1.pCO2_mmHg, inverseBlockConstraints1.u2) 
                                                                         annotation (
            Line(
            points={{-28,250},{-28,236},{-56,236},{-56,255},{-65.4,255}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints1.y2, ctCO2_from_pCO2_1.ctCO2) 
                                                                     annotation (Line(
            points={{-10.95,255},{-14,254},{-14,228},{-52,228},{-52,261.8},{-41,
                261.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, CO2VeinsMass.u2) annotation (Line(
            points={{19.1,221},{22.15,221},{22.15,260},{42,260}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints1.y1, CO2VeinsMass.u1) annotation (Line(
            points={{-4.35,255},{20,255},{20,272},{42,272}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, inverseBlockConstraints1.u1) annotation (
            Line(
            points={{-97.6,254},{-82.45,254},{-82.45,255},{-75.3,255}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints2.u2, ctO2_from_sO2.sO2)    annotation (Line(
            points={{-81.4,175},{-72,175},{-72,156},{-48,156},{-48,174}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.ctO2, inverseBlockConstraints2.y2) 
                                                                annotation (Line(
            points={{-39,175},{-39,160},{-30,160},{-30,175},{-26.95,175}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints2.y1, O2VeinsMass.u1) annotation (Line(
            points={{-20.35,175},{30,175},{30,236},{54,236}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, inverseBlockConstraints2.u1) annotation (Line(
            points={{-101.6,170},{-98,170},{-98,175},{-91.3,175}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, cTH_from_ph1.sO2) annotation (Line(
            points={{-101.6,170},{44,170},{44,155}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_1.cHCO3, cTH_from_ph1.cHCO3) annotation (Line(
            points={{-24,250},{-24,214},{70,214},{70,152},{47,152}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, ctO2_from_sO2.pCO2_mmHg) annotation (Line(
            points={{-97.6,254},{-84,254},{-84,192},{-57,192}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO3.y, ctCO2_from_pCO2_1.sO2) annotation (Line(
            points={{-101.6,170},{-98,170},{-98,300},{-12,300},{-12,262},{-23,
                262}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.pH_ery, ctCO2_from_pCO2_1.pH_ery) annotation (Line(
            points={{40,132},{40,116},{-82,116},{-82,266},{-41,266}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, cTHVeinsMass.u1) annotation (Line(
            points={{19.1,221},{36.15,221},{36.15,198},{52,198}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, O2VeinsMass.u2) annotation (Line(
            points={{19.1,221},{36.15,221},{36.15,224},{54,224}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.pH, inverseBlockConstraints3.u2) annotation (Line(
            points={{38,-60},{38,-82},{22,-82},{22,-60},{12,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_2.pCO2_mmHg, inverseBlockConstraints4.u2) 
                                                                         annotation (
            Line(
            points={{-26,48},{-26,34},{-54,34},{-54,53},{-63.4,53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints4.y2, ctCO2_from_pCO2_2.ctCO2) 
                                                                     annotation (Line(
            points={{-8.95,53},{-12,52},{-12,26},{-50,26},{-50,59.8},{-39,59.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg1.y, inverseBlockConstraints4.u1) annotation (
           Line(
            points={{-95.6,52},{-80.45,52},{-80.45,53},{-73.3,53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints5.u2, ctO2_from_sO1.sO2)    annotation (Line(
            points={{-79.4,-27},{-70,-27},{-70,-46},{-46,-46},{-46,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO1.ctO2, inverseBlockConstraints5.y2) 
                                                                annotation (Line(
            points={{-37,-27},{-37,-42},{-28,-42},{-28,-27},{-24.95,-27}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, ctO2_from_sO1.pH) annotation (Line(
            points={{-95.6,2},{-76,2},{-76,-6},{-55,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO1.y, inverseBlockConstraints5.u1) annotation (Line(
            points={{-99.6,-32},{-96,-32},{-96,-27},{-89.3,-27}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO1.y, cTH_from_ph2.sO2) annotation (Line(
            points={{-99.6,-32},{46,-32},{46,-37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, inverseBlockConstraints3.u1) annotation (Line(
            points={{-95.6,2},{-44,2},{-44,-60},{0,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_2.cHCO3, cTH_from_ph2.cHCO3) annotation (Line(
            points={{-22,48},{-22,12},{72,12},{72,-40},{49,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, ctCO2_from_pCO2_2.pH) annotation (Line(
            points={{-95.6,2},{-92,2},{-92,68},{-39,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg1.y, ctO2_from_sO1.pCO2_mmHg) annotation (
            Line(
            points={{-95.6,52},{-82,52},{-82,-10},{-55,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys_sO1.y, ctCO2_from_pCO2_2.sO2) annotation (Line(
            points={{-99.6,-32},{-94,-32},{-94,98},{-8,98},{-8,60},{-21,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.pH_ery, ctCO2_from_pCO2_2.pH_ery) annotation (Line(
            points={{42,-60},{42,-90},{-80,-90},{-80,64},{-39,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, CO2ArtysMass.u2) annotation (Line(
            points={{27.1,21},{28.15,21},{28.15,70},{48,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints5.y1, O2ArtysMass.u1) annotation (Line(
            points={{-18.35,-27},{36,-27},{36,46},{60,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, O2ArtysMass.u2) annotation (Line(
            points={{27.1,21},{42.15,21},{42.15,34},{60,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, cTHArtysMass.u1) annotation (Line(
            points={{27.1,21},{42.15,21},{42.15,8},{58,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHArtysMass.u2) annotation (Line(
            points={{86,-60},{94,-60},{94,-26},{52,-26},{52,-4},{58,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2ArtysMass.u1, inverseBlockConstraints4.y1) annotation (Line(
            points={{48,82},{22,82},{22,52},{-2.35,52},{-2.35,53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.cTH, inverseBlockConstraints3.y2) annotation (Line(
            points={{36,-37},{36,-34},{66,-34},{66,-60},{78,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTH_from_ph1.cTH) annotation (Line(
            points={{86,-60},{94,-60},{94,166},{34,166},{34,155}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHVeinsMass.u2) annotation (Line(
            points={{86,-60},{94,-60},{94,166},{48,166},{48,186},{52,186}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.pH, ctO2_from_sO2.pH) annotation (Line(
            points={{36,132},{36,118},{-72,118},{-72,196},{-57,196}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.pH, ctCO2_from_pCO2_1.pH) annotation (Line(
            points={{36,132},{36,118},{-72,118},{-72,270},{-41,270}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(Hct.y, ctCO2_from_pCO2_1.Hct) annotation (Line(
            points={{3.1,133},{4,266},{-23,266}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hct.y, ctCO2_from_pCO2_2.Hct) annotation (Line(
            points={{3.1,133},{3.1,63.5},{-21,63.5},{-21,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctHb_.y, ctO2_from_sO2.ctHb) annotation (Line(
            points={{3.1,127},{3.1,195.5},{-39,195.5},{-39,196}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctHb_.y, ctO2_from_sO1.ctHb) annotation (Line(
            points={{3.1,127},{4,-6},{-37,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctHb_1.y, ctO2_from_sO1.cDPG) annotation (Line(
            points={{3.1,121},{3.1,-10.5},{-37,-10.5},{-37,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctHb_1.y, ctO2_from_sO2.cDPG) annotation (Line(
            points={{3.1,121},{3.1,191.5},{-39,191.5},{-39,192}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FMetHb_.y, ctO2_from_sO2.FMetHb) annotation (Line(
            points={{3.1,113},{3.1,188.5},{-39,188.5},{-39,188}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FMetHb_.y, ctO2_from_sO1.FMetHb) annotation (Line(
            points={{3.1,113},{4,-14},{-37,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FHbF_1.y, ctO2_from_sO1.FHbF) annotation (Line(
            points={{3.1,105},{3.1,-18.5},{-37,-18.5},{-37,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FHbF_1.y, ctO2_from_sO2.FHbF) annotation (Line(
            points={{3.1,105},{3.1,184},{-39,184}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pCO_.y, ctO2_from_sO1.pCO_mmHg) annotation (Line(
            points={{3.1,99},{3.1,-22.5},{-37,-22.5},{-37,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO2.pCO_mmHg, pCO_.y) annotation (Line(
            points={{-39,180},{3.1,180},{3.1,99}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctHb_ery, ctHb_ery_.y) annotation (Line(
            points={{47,148},{58,148},{58,149},{94.9,149}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.ctHb_ery, ctHb_ery_.y) annotation (Line(
            points={{49,-44},{88,-44},{88,149},{94.9,149}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctAlb.y, cTH_from_ph1.ctAlb) annotation (Line(
            points={{94.9,143},{70.45,143},{70.45,144},{47,144}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.ctAlb, ctAlb.y) annotation (Line(
            points={{49,-48},{88,-48},{88,144},{94.9,144},{94.9,143}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctGlb, ctGlb.y) annotation (Line(
            points={{47,140},{70,140},{70,137},{94.9,137}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb.y, cTH_from_ph2.ctGlb) annotation (Line(
            points={{94.9,137},{88,137},{88,-52},{49,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph1.ctPO4, ctPO4.y) annotation (Line(
            points={{47,136},{70,136},{70,129},{94.9,129}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4.y, cTH_from_ph2.ctPO4) annotation (Line(
            points={{94.9,129},{88,129},{88,-56},{49,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctCO2_from_pCO2_2.T) annotation (Line(
            points={{3.1,141},{4,70},{4,68},{-21,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctO2_from_sO1.T) annotation (Line(
            points={{3.1,141},{3.1,8},{-60,8},{-60,-14},{-55,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctCO2_from_pCO2_1.T) annotation (Line(
            points={{3.1,141},{4,270},{-23,270}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctO2_from_sO2.T) annotation (Line(
            points={{3.1,141},{3.1,152},{-64,152},{-64,188},{-57,188}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,300}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,300}})));
      end calcAll_old;

      model calcAll2
        import HumMod;
      HumMod.Library.Blocks.HormoneFlowConstant_mmol O2flow(k=9.5) 
      annotation (Placement(transformation(extent={{144,42},{152,50}})));
      Library.Utilities.ConstantFromFile ArtysVol(varName="VeinsVol.Vol(L)") 
      annotation (Placement(transformation(extent={{202,-8},{224,14}})));
        Modelica.Blocks.Math.Product CO2VeinsMass 
          annotation (Placement(transformation(extent={{260,54},{280,74}})));
      HumMod.Library.Blocks.HormoneFlowConstant_mmol CO2flow(k=7.5) 
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=0,
              origin={142,90})));
        Modelica.Blocks.Math.Product O2VeinsMass 
          annotation (Placement(transformation(extent={{260,10},{280,30}})));
        Modelica.Blocks.Math.Product cTHVeinsMass 
          annotation (Placement(transformation(extent={{260,-32},{280,-12}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints3 
          annotation (Placement(transformation(extent={{30,-108},{110,-32}})));
        HumMod.Gases.test.cTH_from_ph cTH_from_ph2 
          annotation (Placement(transformation(extent={{56,-68},{76,-48}})));
        HumMod.Gases.test.ctCO2_from_pCO2 ctCO2_from_pCO2_2(cHCO3(start=24.5)) 
          annotation (Placement(transformation(extent={{-14,40},{6,60}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints4 
          annotation (Placement(transformation(extent={{-44,6},{22,80}})));
      HumMod.Library.Blocks.PressureConstant CO2Artys_pCO2_mmHg(k=40) 
      annotation (Placement(transformation(extent={{-80,38},{-70,48}})));
        HumMod.Gases.test.ctO2_from_sO2 ctO2_from_sO1(
          pO2(fixed=false),
          FCOHb(fixed=false),
          sO2CO(start=0.97)) 
          annotation (Placement(transformation(extent={{-30,-36},{-10,-16}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints5 
          annotation (Placement(transformation(extent={{-60,-74},{6,0}})));
      HumMod.Library.Blocks.Constant Artys_pH1(
                                       k=7.4) 
      annotation (Placement(transformation(extent={{-78,-12},{-70,-4}})));
      HumMod.Library.Blocks.PressureConstant O2Artys(k=95) 
      annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=0,
              origin={-77,-37})));
        Modelica.Blocks.Math.Product CO2ArtysMass 
          annotation (Placement(transformation(extent={{76,56},{96,76}})));
        Modelica.Blocks.Math.Product O2ArtysMass 
          annotation (Placement(transformation(extent={{88,20},{108,40}})));
      HumMod.Library.Utilities.ConstantFromFile ArtysVol1(varName=
              "ArtysVol.Vol(L)") 
      annotation (Placement(transformation(extent={{30,18},{52,40}})));
        Modelica.Blocks.Math.Product cTHArtysMass 
          annotation (Placement(transformation(extent={{86,-18},{106,2}})));
      Library.Utilities.ConstantFromFile Hct(varName="BloodVol.Hct") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,9})));
      Library.Utilities.ConstantFromFile ctHb(varName="ctHb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,3})));
      Library.Utilities.ConstantFromFile cDPG(varName="cDPG") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-3})));
      Library.Utilities.ConstantFromFile FMetHb(varName="FMetHb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-11})));
      Library.Utilities.ConstantFromFile FHbF(varName="FHbF") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-19})));
      Library.Utilities.ConstantFromFile pCO(varName="pCO") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-25})));
      Library.Utilities.ConstantFromFile ctHb_ery(varName="ctHb_ery") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={167,-43})));
      Library.Utilities.ConstantFromFile ctAlb(varName="ctAlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={167,-49})));
      Library.Utilities.ConstantFromFile ctGlb(varName="ctGlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={167,-55})));
      Library.Utilities.ConstantFromFile ctPO4(varName="PO4Pool.[PO4--(mEq/L)]") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={167,-63})));
      Library.Utilities.ConstantFromFile T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,17})));
      Library.Utilities.ConstantFromFile CO(varName="CardiacOutput.Flow(L/Min)") 
      annotation (Placement(transformation(extent={{110,50},{132,72}})));
        Modelica.Blocks.Math.Add add 
          annotation (Placement(transformation(extent={{170,72},{190,92}})));
        Modelica.Blocks.Math.Product product 
          annotation (Placement(transformation(extent={{142,62},{162,82}})));
        Modelica.Blocks.Math.Division division 
          annotation (Placement(transformation(extent={{204,66},{224,86}})));
        Modelica.Blocks.Math.Add add1(k1=-1) 
          annotation (Placement(transformation(extent={{172,22},{192,42}})));
        Modelica.Blocks.Math.Product product1 
          annotation (Placement(transformation(extent={{144,12},{164,32}})));
        Modelica.Blocks.Math.Division division1 
          annotation (Placement(transformation(extent={{204,16},{224,36}})));
      equation
        connect(ArtysVol.y, CO2VeinsMass.u2) annotation (Line(
            points={{225.1,3},{232,4},{238,4},{238,58},{258,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, cTHVeinsMass.u1) annotation (Line(
            points={{225.1,3},{240,3},{240,-16},{258,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, O2VeinsMass.u2) annotation (Line(
            points={{225.1,3},{238.15,3},{238.15,14},{258,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.pH, inverseBlockConstraints3.u2) annotation (Line(
            points={{64,-70},{64,-92},{48,-92},{48,-70},{38,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_2.pCO2_mmHg, inverseBlockConstraints4.u2) 
                                                                         annotation (
            Line(
            points={{0,38},{0,24},{-28,24},{-28,43},{-37.4,43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints4.y2, ctCO2_from_pCO2_2.ctCO2) 
                                                                     annotation (Line(
            points={{17.05,43},{14,42},{14,16},{-24,16},{-24,49.8},{-13,49.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, inverseBlockConstraints4.u1)  annotation (
           Line(
            points={{-69.5,43},{-47.3,43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO1.ctO2, inverseBlockConstraints5.y2) 
                                                                annotation (Line(
            points={{-11,-37},{-11,-52},{-2,-52},{-2,-37},{1.05,-37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, ctO2_from_sO1.pH) annotation (Line(
            points={{-69.6,-8},{-50,-8},{-50,-16},{-29,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Artys.y, inverseBlockConstraints5.u1)     annotation (Line(
            points={{-71.5,-37},{-63.3,-37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, inverseBlockConstraints3.u1) annotation (Line(
            points={{-69.6,-8},{-18,-8},{-18,-70},{26,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctCO2_from_pCO2_2.cHCO3, cTH_from_ph2.cHCO3) annotation (Line(
            points={{4,38},{4,-40},{80,-40},{80,-50},{75,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, ctCO2_from_pCO2_2.pH) annotation (Line(
            points={{-69.6,-8},{-66,-8},{-66,58},{-13,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys_pCO2_mmHg.y, ctO2_from_sO1.pCO2_mmHg)  annotation (
            Line(
            points={{-69.5,43},{-56,43},{-56,-20},{-29,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.pH_ery, ctCO2_from_pCO2_2.pH_ery) annotation (Line(
            points={{68,-70},{68,-96},{-52,-96},{-52,54},{-13,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, CO2ArtysMass.u2) annotation (Line(
            points={{53.1,29},{54.15,29},{54.15,60},{74,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints5.y1, O2ArtysMass.u1) annotation (Line(
            points={{7.65,-37},{62,-37},{62,36},{86,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, O2ArtysMass.u2) annotation (Line(
            points={{53.1,29},{68.15,29},{68.15,24},{86,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, cTHArtysMass.u1) annotation (Line(
            points={{53.1,29},{68.15,29},{68.15,-2},{84,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHArtysMass.u2) annotation (Line(
            points={{112,-70},{120,-70},{120,-36},{78,-36},{78,-14},{84,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2ArtysMass.u1, inverseBlockConstraints4.y1) annotation (Line(
            points={{74,72},{48,72},{48,42},{23.65,42},{23.65,43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHVeinsMass.u2) annotation (Line(
            points={{112,-70},{236,-70},{236,-28},{258,-28}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(Hct.y, ctCO2_from_pCO2_2.Hct) annotation (Line(
            points={{28.9,9},{28.9,53.5},{5,53.5},{5,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctHb.y, ctO2_from_sO1.ctHb) annotation (Line(
            points={{28.9,3},{30,-16},{-11,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cDPG.y, ctO2_from_sO1.cDPG) annotation (Line(
            points={{28.9,-3},{28.9,-20.5},{-11,-20.5},{-11,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FMetHb.y, ctO2_from_sO1.FMetHb) annotation (Line(
            points={{28.9,-11},{30,-24},{-11,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FHbF.y, ctO2_from_sO1.FHbF) annotation (Line(
            points={{28.9,-19},{28.9,-28.5},{-11,-28.5},{-11,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pCO.y, ctO2_from_sO1.pCO_mmHg) annotation (Line(
            points={{28.9,-25},{28.9,-32.5},{-11,-32.5},{-11,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.ctHb_ery, ctHb_ery.y) annotation (Line(
            points={{75,-54},{104,-54},{104,-43},{154.9,-43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.ctAlb, ctAlb.y) annotation (Line(
            points={{75,-58},{110,-58},{110,-50},{154,-50},{154.9,-49}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb.y, cTH_from_ph2.ctGlb) annotation (Line(
            points={{154.9,-55},{114,-55},{114,-62},{75,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4.y, cTH_from_ph2.ctPO4) annotation (Line(
            points={{154.9,-63},{114,-63},{114,-66},{75,-66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctCO2_from_pCO2_2.T) annotation (Line(
            points={{28.9,17},{30,60},{30,58},{5,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, ctO2_from_sO1.T) annotation (Line(
            points={{28.9,17},{28.9,-2},{-34,-2},{-34,-24},{-29,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTH_from_ph2.cTHox, inverseBlockConstraints3.y2) annotation (
            Line(
            points={{62,-47},{62,-44},{90,-44},{90,-70},{104,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO1.PO2, inverseBlockConstraints5.u2) annotation (
            Line(
            points={{-16,-38},{-16,-52},{-46,-52},{-46,-38},{-53.4,-38},{-53.4,
                -37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO1.sO2, cTH_from_ph2.sO2) annotation (Line(
            points={{-20,-38},{-20,-42},{72,-42},{72,-47}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctO2_from_sO1.sO2, ctCO2_from_pCO2_2.sO2) annotation (Line(
            points={{-20,-38},{-20,-42},{12,-42},{12,50},{5,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2flow.y, add.u1) annotation (Line(
            points={{146.4,90},{156,90},{156,88},{168,88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, add.u2) annotation (Line(
            points={{163,72},{166,72},{166,76},{168,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO.y, product.u2) annotation (Line(
            points={{133.1,61},{136.55,61},{136.55,66},{140,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints4.y1, product.u1) annotation (Line(
            points={{23.65,43},{56,43},{56,78},{140,78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.y, division.u1) annotation (Line(
            points={{191,82},{202,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO.y, division.u2) annotation (Line(
            points={{133.1,61},{198,61},{198,70},{202,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product1.y, add1.u2) annotation (Line(
            points={{165,22},{168,22},{168,26},{170,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add1.y, division1.u1) annotation (Line(
            points={{193,32},{202,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO.y, product1.u2) annotation (Line(
            points={{133.1,61},{138,60},{138,16},{142,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO.y, division1.u2) annotation (Line(
            points={{133.1,61},{198,61},{198,20},{202,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add1.u1, O2flow.y) annotation (Line(
            points={{170,38},{162,38},{162,46},{152.4,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints5.y1, product1.u1) annotation (Line(
            points={{7.65,-37},{70,-37},{70,40},{130,40},{130,28},{142,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.y, CO2VeinsMass.u1) annotation (Line(
            points={{225,76},{240,76},{240,70},{258,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division1.y, O2VeinsMass.u1) annotation (Line(
            points={{225,26},{258,26}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{300,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{300,100}})));
      end calcAll2;

      model calcBreathing
        calc_alveolar_pO2 calc_alveolar_pO2_1(O2Lung(pO2(start=
                  13.865526315789473684210526315789, fixed=true)), Artys(STEADY=
               false)) 
          annotation (Placement(transformation(extent={{-2,14},{18,34}})));
        setup.GasesConstInputsFromFile gasesConstInputsFromFile 
          annotation (Placement(transformation(extent={{6,58},{26,78}})));
        Library.Blocks.Constant Constant(k=7.42906) 
          annotation (Placement(transformation(extent={{-42,38},{-34,46}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-28,48},{-8,68}})));
        calc_CO2 calc_CO2_1(CO2Veins(STEADY=false)) 
          annotation (Placement(transformation(extent={{-24,-26},{-4,-6}})));
        Library.Blocks.Constant Constant1(k=7.2) 
          annotation (Placement(transformation(extent={{-46,50},{-38,58}})));
        calc_CO2_ calc_CO2_2 
          annotation (Placement(transformation(extent={{-72,-8},{-52,12}})));
      equation
        connect(gasesConstInputsFromFile.busConnector, calc_alveolar_pO2_1.busConnector) 
          annotation (Line(
            points={{14,68},{16,68},{16,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, calc_alveolar_pO2_1.busConnector) annotation (
            Line(
            points={{-18,58},{-2,58},{-2,32},{16,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(calc_CO2_1.busConnector, busConnector) annotation (Line(
            points={{-6,-10},{-6,58},{-18,58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(calc_CO2_2.busConnector, busConnector) annotation (Line(
            points={{-54,8},{-6,8},{-6,58},{-18,58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Constant.y, busConnector.Lung_pH) annotation (Line(
            points={{-33.6,42},{-26,42},{-26,58},{-18,58}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
      end calcBreathing;

      model calc_alveolar_pO2
        //extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment Artys(
                                     stateName="O2Artys.Mass[mMol]",
            initialSoluteMass=13.2388) 
          annotation (Placement(transformation(extent={{60,-96},{80,-76}})));
        Library.ConcentrationFlow.ConcentrationCompartment Veins(
                                               stateName="O2Veins.Mass[mMol]",
          STEADY=false,
          initialSoluteMass=24.6549) 
          annotation (Placement(transformation(extent={{-88,-54},{-68,-34}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{88,16},{108,36}}),
              iconTransformation(extent={{60,60},{100,100}})));
        HumMod.Gases.O2.BloodO2_Siggaard O2Lung(pO2(start=13), FCOHb(fixed=true)) 
          annotation (Placement(transformation(extent={{-18,-18},{2,2}})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit 
          annotation (Placement(transformation(extent={{-16,-28},{4,-48}})));
        Modelica.Blocks.Math.Feedback pulmShortCircuitFlow 
          annotation (Placement(transformation(extent={{26,-64},{6,-44}})));
        Library.PressureFlow.InputPump inputPump 
          annotation (Placement(transformation(extent={{-100,36},{-80,56}})));
        Library.Blocks.HormoneFlowConstant_mmol flowConstant(k=9.5) 
          annotation (Placement(transformation(extent={{-102,56},{-94,64}})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit1 
          annotation (Placement(transformation(extent={{-10,10},{10,-10}},
              rotation=180,
              origin={-10,-86})));
        Library.ConcentrationFlow.OutputPump outputPump 
          annotation (Placement(transformation(extent={{-54,-100},{-76,-78}})));
        Library.Blocks.HormoneFlowConstant_mmol flowConstant1(
                                                  k=9.5) 
          annotation (Placement(transformation(extent={{-86,-82},{-78,-74}})));
        Library.PressureFlow.PressureMeasure pressureMeasure 
          annotation (Placement(transformation(extent={{-10,36},{10,56}})));
        Library.Blocks.PressureConstant atm(k=760) 
          annotation (Placement(transformation(extent={{0,28},{8,36}})));
        Library.Blocks.FractConstant air(k=21.6924) 
          annotation (Placement(transformation(extent={{-76,88},{-68,96}})));
        Library.Blocks.PressureConstant vapor(k=47) 
          annotation (Placement(transformation(extent={{-68,58},{-60,66}})));
        Modelica.Blocks.Math.Division expiredConc 
          annotation (Placement(transformation(extent={{20,32},{40,52}})));
        Library.PressureFlow.Gas_FromMLtoMMOL gas_FromMLtoMMOL 
          annotation (Placement(transformation(extent={{-34,32},{-14,52}})));
        Library.PressureFlow.Gas_FromMLtoMMOL gas_FromMLtoMMOL1 
          annotation (Placement(transformation(extent={{-56,32},{-76,52}})));
        Library.PressureFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{-56,32},{-36,52}})));
        Library.Blocks.PressureConstant atm1(k=760) 
          annotation (Placement(transformation(extent={{-76,76},{-68,84}})));
        Modelica.Blocks.Math.Feedback feedback annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-54,80})));
        Modelica.Blocks.Math.Division division1 
          annotation (Placement(transformation(extent={{-36,64},{-16,84}})));
        Modelica.Blocks.Math.Product inspiredConc 
          annotation (Placement(transformation(extent={{-6,70},{14,90}})));
        Modelica.Blocks.Math.Feedback feedback1 
          annotation (Placement(transformation(extent={{36,70},{56,90}})));
        Modelica.Blocks.Math.Division breathingFlow 
          annotation (Placement(transformation(extent={{72,54},{92,74}})));
      equation
        connect(busConnector.ArtysVol, Artys.SolventVolume)   annotation (Line(
            points={{98,26},{34,26},{34,-80},{62,-80}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.VeinsVol, Veins.SolventVolume)   annotation (Line(
            points={{98,26},{-100,26},{-100,-38},{-86,-38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CO2Lung_pCO2, O2Lung.pCO2_mmHg)               annotation (
            Line(
            points={{98,26},{-50,26},{-50,-2},{-17,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(O2Lung.ctHb, busConnector.ctHb)               annotation (Line(
            points={{1,2},{34,2},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.cDPG, busConnector.cDPG)               annotation (Line(
            points={{1,-2},{34,-2},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.FMetHb, busConnector.FMetHb)               annotation (Line(
            points={{1,-6},{34,-6},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.FHbF, busConnector.FHbF)               annotation (Line(
            points={{1,-10},{34,-10},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.pCO_mmHg, busConnector.pCO)               annotation (Line(
            points={{1,-14},{34,-14},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow, O2Lung.BloodFlow) 
          annotation (Line(
            points={{98,26},{-50,26},{-50,-14},{-17,-14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(O2Lung.sO2, busConnector.O2Lung_sO2) annotation (Line(
            points={{-8,-20},{-8,-26},{34,-26},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-3},{6,-3}}));
        connect(busConnector.core_T, O2Lung.T) annotation (Line(
            points={{98,26},{-50,26},{-50,-6},{-17,-6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput) 
          annotation (Line(
            points={{24,-54},{34,-54},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(pulmShortCircuit.q_out, Artys.q_out) 
                                                  annotation (Line(
            points={{4,-38},{14,-38},{14,-18},{70,-18},{70,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Veins.q_out, O2Lung.q_in) annotation (Line(
            points={{-78,-44},{-78,-18},{-18,-18}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit.solventFlow, pulmShortCircuitFlow.y) 
                                                       annotation (Line(
            points={{-6,-44},{-6,-54},{7,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2) 
          annotation (Line(
            points={{98,26},{-50,26},{-50,-14},{-30,-14},{-30,-62},{16,-62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Veins.q_out, pulmShortCircuit.q_in) annotation (Line(
            points={{-78,-44},{-78,-18},{-24,-18},{-24,-38},{-16,-38}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(O2Lung.q_out, Artys.q_out) annotation (Line(
            points={{2,-18},{70,-18},{70,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowConstant.y, inputPump.desiredFlow) annotation (Line(
            points={{-93.6,60},{-90,60},{-90,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmShortCircuit1.q_in, Artys.q_out) annotation (Line(
            points={{0,-86},{70,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit1.q_out, outputPump.q_in) annotation (Line(
            points={{-20,-86},{-40,-86},{-40,-89},{-58.4,-89}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit1.q_out, Veins.q_out) annotation (Line(
            points={{-20,-86},{-50,-86},{-50,-44},{-78,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CardiacOutput, pulmShortCircuit1.solventFlow) 
          annotation (Line(
            points={{98,26},{36,26},{36,-70},{-10,-70},{-10,-80}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(flowConstant1.y, outputPump.desiredFlow) annotation (Line(
            points={{-77.6,-78},{-65,-78},{-65,-84.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Lung.alveolar, pressureMeasure.q_in) annotation (Line(
            points={{-8,2},{-8,42},{-2,42}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pressureMeasure.actualPressure, expiredConc.u1) annotation (
            Line(
            points={{5.2,44},{12,44},{12,48},{18,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(atm.y, expiredConc.u2) annotation (Line(
            points={{8.4,32},{14,32},{14,36},{18,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, gas_FromMLtoMMOL.q_ML) annotation (Line(
            points={{-40,42},{-34,42}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gas_FromMLtoMMOL1.q_ML, flowMeasure.q_in) annotation (Line(
            points={{-56,42},{-52,42}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(inputPump.q_out, gas_FromMLtoMMOL1.q_MMOL) annotation (Line(
            points={{-80,47},{-78,47},{-78,42},{-76,42}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gas_FromMLtoMMOL.q_MMOL, O2Lung.alveolar) annotation (Line(
            points={{-14,42},{-8,42},{-8,2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(atm1.y, feedback.u1) annotation (Line(
            points={{-67.6,80},{-62,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(vapor.y, feedback.u2) annotation (Line(
            points={{-59.6,62},{-54,62},{-54,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, division1.u1) annotation (Line(
            points={{-45,80},{-38,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(atm1.y, division1.u2) annotation (Line(
            points={{-67.6,80},{-66,80},{-66,68},{-38,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division1.y, inspiredConc.u2) annotation (Line(
            points={{-15,74},{-8,74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(air.y, inspiredConc.u1) annotation (Line(
            points={{-67.6,92},{-14,92},{-14,86},{-8,86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inspiredConc.y, feedback1.u1) annotation (Line(
            points={{15,80},{38,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(expiredConc.y, feedback1.u2) annotation (Line(
            points={{41,42},{46,42},{46,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, breathingFlow.u1) annotation (Line(
            points={{-46,47.4},{-46,60},{58,60},{58,70},{70,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback1.y, breathingFlow.u2) annotation (Line(
            points={{55,80},{62,80},{62,58},{70,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Lung_pH, O2Lung.pH) annotation (Line(
            points={{98,26},{-50,26},{-50,2},{-17,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/oxygen.png"), Text(
                extent={{-120,-62},{122,-96}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
      end calc_alveolar_pO2;

      model calc_CO2
       // extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment CO2Veins(
                                 stateName="CO2Veins.Mass[mMol]", initialSoluteMass=85.6985243,
          STEADY=true) 
          annotation (Placement(transformation(extent={{-96,-14},{-76,6}})));
        Library.ConcentrationFlow.ConcentrationCompartment CO2Artys(
                                  stateName="CO2Artys.Mass[mMol]",
          initialSoluteMass=33.9178,
          STEADY=true) 
          annotation (Placement(transformation(extent={{92,-12},{72,8}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-114,-62},{-74,-22}}),
              iconTransformation(extent={{60,40},{100,80}})));
        HumMod.Gases.CO2.BloodCO2 CO2Lung(pCO2(start=
                5.3328947368421052631578947368421, fixed=true)) 
          annotation (Placement(transformation(extent={{-10,22},{10,42}})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit 
          annotation (Placement(transformation(extent={{-38,20},{-18,0}})));
        Modelica.Blocks.Math.Feedback pulmShortCircuitFlow 
          annotation (Placement(transformation(extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-12,-10})));
      //1000 * 1.977/40.01
        Library.PressureFlow.OutputPump inputPump 
          annotation (Placement(transformation(extent={{72,46},{92,66}})));
        Library.Blocks.HormoneFlowConstant_mmol flowConstant(k=7.5) 
          annotation (Placement(transformation(extent={{70,66},{78,74}})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit1 
          annotation (Placement(transformation(extent={{-10,10},{10,-10}},
              rotation=180,
              origin={0,-76})));
        Library.Blocks.HormoneFlowConstant_mmol flowConstant1(k=7.5) 
          annotation (Placement(transformation(extent={{-78,-96},{-70,-88}})));
        Library.ConcentrationFlow.InputPump outputPump 
          annotation (Placement(transformation(extent={{11,-11},{-11,11}},
              rotation=180,
              origin={-63,-79})));
      equation

        CO2Lung.pH_ery = 7.19 + 0.77*(CO2Lung.pH-7.4) + 0.035*(1-CO2Lung.sO2);

        connect(busConnector.VeinsVol, CO2Veins.SolventVolume)     annotation (
            Line(
            points={{-94,-42},{-100,-42},{-100,2},{-94,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Artys.SolventVolume, busConnector.ArtysVol)     annotation (
            Line(
            points={{90,4},{100,4},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Lung.sO2, busConnector.O2Lung_sO2)              annotation (
            Line(
            points={{9,32},{50,32},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow, CO2Lung.BloodFlow) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,32},{-9,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Lung.q_out, CO2Artys.q_out)              annotation (Line(
            points={{10,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CO2Lung.Hct, busConnector.BloodVol_Hct)              annotation (Line(
            points={{9,36},{50,36},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Lung.T, busConnector.core_T) annotation (Line(
            points={{9,40},{50,40},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Lung.pCO2_mmHg, busConnector.CO2Lung_pCO2) annotation (Line(
            points={{4,20},{4,12},{10,12},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-5},{6,-5}}));
        connect(CO2Lung.cHCO3, busConnector.CO2Lung_cHCO3) annotation (Line(
            points={{8,20},{8,12},{10,12},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmShortCircuit.solventFlow, pulmShortCircuitFlow.y) 
                                                       annotation (Line(
            points={{-28,4},{-28,2},{-12,2},{-12,-1}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput) 
          annotation (Line(
            points={{-12,-18},{10,-18},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,-10},{-20,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Veins.q_out, CO2Lung.q_in) annotation (Line(
            points={{-86,-4},{-86,24},{-10,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CO2Veins.q_out, pulmShortCircuit.q_in) annotation (Line(
            points={{-86,-4},{-86,24},{-46,24},{-46,10},{-38,10}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit.q_out, CO2Artys.q_out) annotation (Line(
            points={{-18,10},{24,10},{24,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowConstant.y,inputPump. desiredFlow) annotation (Line(
            points={{78.4,70},{82,70},{82,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.CardiacOutput,pulmShortCircuit1. solventFlow) 
          annotation (Line(
            points={{-94,-42},{46,-42},{46,-60},{7.34788e-016,-60},{
                7.34788e-016,-70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(flowConstant1.y, outputPump.desiredFlow) annotation (Line(
            points={{-69.6,-92},{-63,-83.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys.q_out, pulmShortCircuit1.q_in) annotation (Line(
            points={{82,-2},{46,-2},{46,-76},{10,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit1.q_out, CO2Veins.q_out) annotation (Line(
            points={{-10,-76},{-48,-76},{-48,-4},{-86,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CO2Lung.alveolar_outflow, inputPump.q_in) annotation (Line(
            points={{0,42},{0,56},{72,56}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(outputPump.q_out, pulmShortCircuit1.q_out) annotation (Line(
            points={{-56.4,-79},{-33.2,-79},{-33.2,-76},{-10,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Lung_pH, CO2Lung.pH) annotation (Line(
            points={{-94,-42},{-54,-42},{-54,40},{-9,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-102}}, fileName=
                    "icons/CO2.png"), Text(
                extent={{-116,-60},{126,-94}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
      end calc_CO2;

      model calc_CO2_
       // extends Library.Interfaces.BaseModel;
        Library.ConcentrationFlow.ConcentrationCompartment CO2Veins(
                                 stateName="CO2Veins.Mass[mMol]",
          initialSoluteMass=85.6985243,
          STEADY=false) 
          annotation (Placement(transformation(extent={{-96,-14},{-76,6}})));
        Library.ConcentrationFlow.ConcentrationCompartment CO2Artys(
                                  stateName="CO2Artys.Mass[mMol]",
          initialSoluteMass=33.9178) 
          annotation (Placement(transformation(extent={{92,-12},{72,8}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-114,-62},{-74,-22}}),
              iconTransformation(extent={{60,40},{100,80}})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit 
          annotation (Placement(transformation(extent={{-38,20},{-18,0}})));
        Modelica.Blocks.Math.Feedback pulmShortCircuitFlow 
          annotation (Placement(transformation(extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-12,-10})));
      //1000 * 1.977/40.01
        Library.Blocks.HormoneFlowConstant_mmol flowConstant(k=7.5) 
          annotation (Placement(transformation(extent={{2,68},{10,76}})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit1 
          annotation (Placement(transformation(extent={{-10,10},{10,-10}},
              rotation=180,
              origin={0,-76})));
        Library.Blocks.HormoneFlowConstant_mmol flowConstant1(k=7.5) 
          annotation (Placement(transformation(extent={{-78,-96},{-70,-88}})));
        Library.ConcentrationFlow.InputPump outputPump 
          annotation (Placement(transformation(extent={{11,-11},{-11,11}},
              rotation=180,
              origin={-63,-79})));
        Library.ConcentrationFlow.SolventFlowPump pulmShortCircuit2 
          annotation (Placement(transformation(extent={{-30,56},{-12,74}})));
        Library.ConcentrationFlow.OutputPump outputPump1 
          annotation (Placement(transformation(extent={{11,-11},{-11,11}},
              rotation=180,
              origin={17,83})));
      equation
        connect(busConnector.VeinsVol, CO2Veins.SolventVolume)     annotation (
            Line(
            points={{-94,-42},{-100,-42},{-100,2},{-94,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Artys.SolventVolume, busConnector.ArtysVol)     annotation (
            Line(
            points={{90,4},{100,4},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(pulmShortCircuit.solventFlow, pulmShortCircuitFlow.y) 
                                                       annotation (Line(
            points={{-28,4},{-28,2},{-12,2},{-12,-1}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput) 
          annotation (Line(
            points={{-12,-18},{10,-18},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,-10},{-20,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Veins.q_out, pulmShortCircuit.q_in) annotation (Line(
            points={{-86,-4},{-86,24},{-46,24},{-46,10},{-38,10}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit.q_out, CO2Artys.q_out) annotation (Line(
            points={{-18,10},{24,10},{24,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CardiacOutput,pulmShortCircuit1. solventFlow) 
          annotation (Line(
            points={{-94,-42},{46,-42},{46,-60},{7.34788e-016,-60},{
                7.34788e-016,-70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(flowConstant1.y, outputPump.desiredFlow) annotation (Line(
            points={{-69.6,-92},{-63,-83.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2Artys.q_out, pulmShortCircuit1.q_in) annotation (Line(
            points={{82,-2},{46,-2},{46,-76},{10,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit1.q_out, CO2Veins.q_out) annotation (Line(
            points={{-10,-76},{-48,-76},{-48,-4},{-86,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(outputPump.q_out, pulmShortCircuit1.q_out) annotation (Line(
            points={{-56.4,-79},{-33.2,-79},{-33.2,-76},{-10,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuit2.solventFlow) 
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,82},{-21,82},{-21,70.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Veins.q_out, pulmShortCircuit2.q_in) annotation (Line(
            points={{-86,-4},{-86,24},{-44,24},{-44,65},{-30,65}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit2.q_out, CO2Artys.q_out) annotation (Line(
            points={{-12,65},{24,65},{24,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit2.q_out, outputPump1.q_in) annotation (Line(
            points={{-12,65},{-2,65},{-2,83},{10.4,83}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowConstant.y, outputPump1.desiredFlow) annotation (Line(
            points={{10.4,72},{17,72},{17,78.6}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-102}}, fileName=
                    "icons/CO2.png"), Text(
                extent={{-116,-60},{126,-94}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
</html>"));
      end calc_CO2_;

      model calcAll3
        import HumMod;
      HumMod.Library.Blocks.HormoneFlowConstant_mmol O2flow(k=9.5) 
      annotation (Placement(transformation(extent={{-94,-22},{-76,-4}})));
      Library.Utilities.ConstantFromFile ArtysVol(varName="VeinsVol.Vol(L)") 
      annotation (Placement(transformation(extent={{80,2},{102,24}})));
        Modelica.Blocks.Math.Product CO2VeinsMass 
          annotation (Placement(transformation(extent={{120,52},{140,72}})));
      HumMod.Library.Blocks.HormoneFlowConstant_mmol CO2flow(k=7.5) 
      annotation (Placement(transformation(extent={{-9,-9},{9,9}},
              rotation=0,
              origin={-83,67})));
        Modelica.Blocks.Math.Product O2VeinsMass 
          annotation (Placement(transformation(extent={{120,20},{140,40}})));
        Modelica.Blocks.Math.Product cTHVeinsMass 
          annotation (Placement(transformation(extent={{120,-22},{140,-2}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints3 
          annotation (Placement(transformation(extent={{30,-108},{110,-32}})));
        HumMod.Gases.test.cTH_from_ph LungTH 
          annotation (Placement(transformation(extent={{54,-86},{88,-52}})));
        HumMod.Gases.test.ctCO2_from_pCO2 LungCO2(cHCO3(start=24.5)) 
          annotation (Placement(transformation(extent={{-22,32},{6,60}})));
        Modelica.Blocks.Math.InverseBlockConstraints inv4 
          annotation (Placement(transformation(extent={{-44,6},{22,80}})));
      HumMod.Library.Blocks.PressureConstant pCO2Lungs(k=40) 
      annotation (Placement(transformation(extent={{-96,32},{-74,54}})));
        HumMod.Gases.test.ctO2_from_sO2 LungO2(
          pO2(fixed=false),
          FCOHb(fixed=false),
          sO2CO(start=0.97)) 
          annotation (Placement(transformation(extent={{-40,-46},{-10,-16}})));
        Modelica.Blocks.Math.InverseBlockConstraints inv5 
          annotation (Placement(transformation(extent={{-60,-74},{6,0}})));
      HumMod.Library.Blocks.Constant Artys_pH1(k=7.40034) 
      annotation (Placement(transformation(extent={{-96,-92},{-72,-68}})));
      HumMod.Library.Blocks.PressureConstant pO2Lungs(k=104) 
      annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-84,-36})));
        Modelica.Blocks.Math.Product CO2ArtysMass 
          annotation (Placement(transformation(extent={{82,54},{102,74}})));
        Modelica.Blocks.Math.Product O2ArtysMass 
          annotation (Placement(transformation(extent={{82,20},{102,40}})));
      HumMod.Library.Utilities.ConstantFromFile ArtysVol1(varName=
              "ArtysVol.Vol(L)") 
      annotation (Placement(transformation(extent={{34,18},{56,40}})));
        Modelica.Blocks.Math.Product cTHArtysMass 
          annotation (Placement(transformation(extent={{82,-22},{102,-2}})));
      Library.Utilities.ConstantFromFile Hct(varName="BloodVol.Hct") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,9})));
      Library.Utilities.ConstantFromFile ctHb(varName="ctHb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,3})));
      Library.Utilities.ConstantFromFile cDPG(varName="cDPG") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-3})));
      Library.Utilities.ConstantFromFile FMetHb(varName="FMetHb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-11})));
      Library.Utilities.ConstantFromFile FHbF(varName="FHbF") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-19})));
      Library.Utilities.ConstantFromFile pCO(varName="pCO") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-25})));
      Library.Utilities.ConstantFromFile ctHb_ery(varName="ctHb_ery") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={141,-61})));
      Library.Utilities.ConstantFromFile ctAlb(varName="ctAlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={141,-67})));
      Library.Utilities.ConstantFromFile ctGlb(varName="ctGlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={141,-73})));
      Library.Utilities.ConstantFromFile ctPO4(varName="PO4Pool.[PO4--(mEq/L)]") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={141,-81})));
      Library.Utilities.ConstantFromFile T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,17})));
      Library.Utilities.ConstantFromFile CO(varName="CardiacOutput.Flow") 
      annotation (Placement(transformation(extent={{-44,80},{-22,102}})));

      Real lungs_ctO2;
      Real artys_ctO2;
      Real veins_ctO2;
      Real lungs_ctCO2;
      Real artys_ctCO2;
      Real veins_ctCO2;
      Real breathingFlow;
      Real air_O2;

      Library.Utilities.ConstantFromFile q1(varName="LungBloodFlow.AlveolarVentilated") 
      annotation (Placement(transformation(extent={{-2,78},{20,100}})));

        parameter Real gasConstant(unit="l.mmHg/(K.mol)") = 62.36367
          "gas constant";
        parameter Real stdT(unit="K")=273.15;
        parameter Real stdP(unit="mmHg")=760;
        parameter Real litrePerMol(final unit="l/mol") = gasConstant*stdT/stdP;

      HumMod.Library.Utilities.ConstantFromFile Vapor(
                                               varName="Bronchi.VaporPressure") 
      annotation (Placement(transformation(extent={{32,72},{54,94}})));
      equation
        lungs_ctO2 = inv5.y1;
        lungs_ctCO2 = inv4.y1;

        lungs_ctO2 * q1.y/1000 = veins_ctO2 *q1.y/1000 + O2flow.y;     //Fick law
        lungs_ctCO2 * q1.y/1000 = veins_ctCO2 *q1.y/1000 - CO2flow.y;  //Fick law

        artys_ctO2 * CO.y/1000 = veins_ctO2 *CO.y/1000 + O2flow.y;     //whole circulation flows
        artys_ctCO2 * CO.y/1000 = veins_ctCO2 *CO.y/1000 - CO2flow.y;  //whole circulation flows

        O2ArtysMass.u1 = artys_ctO2;
        CO2ArtysMass.u1 = artys_ctCO2;

        O2VeinsMass.u1 = veins_ctO2;
        CO2VeinsMass.u1 = veins_ctCO2;

        breathingFlow*(pCO2Lungs.y/760) = CO2flow.y*litrePerMol;
        air_O2*(1-Vapor.y/760)*breathingFlow = O2flow.y*litrePerMol + (pO2Lungs.y/760)*breathingFlow;

        connect(ArtysVol.y, CO2VeinsMass.u2) annotation (Line(
            points={{103.1,13},{104,14},{110,14},{110,56},{118,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, cTHVeinsMass.u1) annotation (Line(
            points={{103.1,13},{112,13},{112,-6},{118,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, O2VeinsMass.u2) annotation (Line(
            points={{103.1,13},{110.15,13},{110.15,24},{118,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.pH, inverseBlockConstraints3.u2)       annotation (Line(
            points={{67.6,-89.4},{67.6,-92},{48,-92},{48,-70},{38,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungCO2.pCO2_mmHg, inv4.u2)                              annotation (
            Line(
            points={{-2.4,29.2},{-2.4,24},{-28,24},{-28,43},{-37.4,43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inv4.y2, LungCO2.ctCO2)                              annotation (Line(
            points={{17.05,43},{14,42},{14,16},{-24,16},{-24,45.72},{-20.6,
                45.72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pCO2Lungs.y, inv4.u1)                               annotation (
           Line(
            points={{-72.9,43},{-58,44},{-58,43},{-47.3,43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungO2.ctO2, inv5.y2)                           annotation (Line(
            points={{-11.5,-47.5},{-11.5,-52},{-2,-52},{-2,-37},{1.05,-37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, LungO2.pH)        annotation (Line(
            points={{-70.8,-80},{-52,-80},{-52,-16},{-38.5,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pO2Lungs.y, inv5.u1)                        annotation (Line(
            points={{-73,-36},{-68,-36},{-68,-37},{-63.3,-37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, inverseBlockConstraints3.u1) annotation (Line(
            points={{-70.8,-80},{-18,-80},{-18,-70},{26,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungCO2.cHCO3, LungTH.cHCO3)                 annotation (Line(
            points={{3.2,29.2},{3.2,-40},{80,-40},{80,-55.4},{86.3,-55.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, LungCO2.pH)           annotation (Line(
            points={{-70.8,-80},{-66,-80},{-66,57.2},{-20.6,57.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pCO2Lungs.y, LungO2.pCO2_mmHg)                  annotation (
            Line(
            points={{-72.9,43},{-56,43},{-56,-22},{-38.5,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.pH_ery, LungCO2.pH_ery)                 annotation (Line(
            points={{74.4,-89.4},{74.4,-96},{-52,-96},{-52,51.6},{-20.6,51.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, CO2ArtysMass.u2) annotation (Line(
            points={{57.1,29},{62.15,29},{62.15,58},{80,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, O2ArtysMass.u2) annotation (Line(
            points={{57.1,29},{62.15,29},{62.15,24},{80,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, cTHArtysMass.u1) annotation (Line(
            points={{57.1,29},{62.15,29},{62.15,-6},{80,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHArtysMass.u2) annotation (Line(
            points={{112,-70},{114,-70},{114,-36},{64,-36},{64,-18},{80,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHVeinsMass.u2) annotation (Line(
            points={{112,-70},{114,-70},{114,-18},{118,-18}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(Hct.y, LungCO2.Hct)           annotation (Line(
            points={{28.9,9},{28.9,53.5},{4.6,53.5},{4.6,51.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctHb.y, LungO2.ctHb)        annotation (Line(
            points={{28.9,3},{30,-16},{-11.5,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cDPG.y, LungO2.cDPG)        annotation (Line(
            points={{28.9,-3},{28.9,-20.5},{-11.5,-20.5},{-11.5,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FMetHb.y, LungO2.FMetHb)        annotation (Line(
            points={{28.9,-11},{30,-24},{-11.5,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FHbF.y, LungO2.FHbF)        annotation (Line(
            points={{28.9,-19},{28.9,-28.5},{-11.5,-28.5},{-11.5,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pCO.y, LungO2.pCO_mmHg)        annotation (Line(
            points={{28.9,-25},{28.9,-32.5},{-11.5,-32.5},{-11.5,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.ctHb_ery, ctHb_ery.y)       annotation (Line(
            points={{86.3,-62.2},{90,-62.2},{90,-61},{128.9,-61}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.ctAlb, ctAlb.y)       annotation (Line(
            points={{86.3,-69},{96,-69},{96,-64},{128.9,-64},{128.9,-67}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb.y, LungTH.ctGlb)       annotation (Line(
            points={{128.9,-73},{114,-73},{114,-75.8},{86.3,-75.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4.y, LungTH.ctPO4)       annotation (Line(
            points={{128.9,-81},{114,-81},{114,-82.6},{86.3,-82.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, LungCO2.T)           annotation (Line(
            points={{28.9,17},{30,60},{30,57.2},{4.6,57.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, LungO2.T)        annotation (Line(
            points={{28.9,17},{28.9,-2},{-34,-2},{-34,-28},{-38.5,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.cTHox, inverseBlockConstraints3.y2)       annotation (
            Line(
            points={{64.2,-50.3},{64.2,-44},{98,-44},{98,-70},{104,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungO2.PO2, inv5.u2)                            annotation (
            Line(
            points={{-19,-49},{-19,-52},{-46,-52},{-46,-38},{-53.4,-38},{-53.4,
                -37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungO2.sO2, LungTH.sO2)              annotation (Line(
            points={{-25,-49},{-25,-42},{81.2,-42},{81.2,-50.3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungO2.sO2, LungCO2.sO2)                  annotation (Line(
            points={{-25,-49},{-25,-42},{12,-42},{12,46},{4.6,46}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{150,100}}), graphics={
              Text(
                extent={{-94,8},{-76,-2}},
                lineColor={0,0,255},
                textString="O2:"),
              Text(
                extent={{-98,88},{-70,78}},
                lineColor={0,0,255},
                textString="CO2:"),
              Rectangle(extent={{-100,90},{-68,28}}, lineColor={0,0,255}),
              Rectangle(extent={{-100,10},{-70,-54}}, lineColor={0,0,255})}),
                                                      Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{150,100}})));
      end calcAll3;

      model CalcAll
        import HumMod;
      Library.Utilities.ConstantFromFile ArtysVol(varName="VeinsVol.Vol(L)") 
      annotation (Placement(transformation(extent={{80,2},{102,24}})));
        Modelica.Blocks.Math.Product CO2VeinsMass 
          annotation (Placement(transformation(extent={{120,52},{140,72}})));
        Modelica.Blocks.Math.Product O2VeinsMass 
          annotation (Placement(transformation(extent={{120,20},{140,40}})));
        Modelica.Blocks.Math.Product cTHVeinsMass 
          annotation (Placement(transformation(extent={{120,-22},{140,-2}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints3 
          annotation (Placement(transformation(extent={{30,-108},{110,-32}})));
        HumMod.Gases.test.cTH_from_ph LungTH 
          annotation (Placement(transformation(extent={{54,-86},{88,-52}})));
        HumMod.Gases.test.ctCO2_from_pCO2 LungCO2(cHCO3(start=24.5)) 
          annotation (Placement(transformation(extent={{-22,32},{6,60}})));
        Modelica.Blocks.Math.InverseBlockConstraints inv4 
          annotation (Placement(transformation(extent={{-44,6},{22,80}})));
      HumMod.Library.Blocks.PressureConstant pCO2Lungs(k=40) 
      annotation (Placement(transformation(extent={{-96,32},{-74,54}})));
        HumMod.Gases.test.ctO2_from_sO2 LungO2(
          pO2(fixed=false),
          FCOHb(fixed=false),
          sO2CO(start=0.97)) 
          annotation (Placement(transformation(extent={{-40,-46},{-10,-16}})));
        Modelica.Blocks.Math.InverseBlockConstraints inv5 
          annotation (Placement(transformation(extent={{-60,-74},{6,0}})));
      HumMod.Library.Blocks.Constant Artys_pH1(k=7.40241) 
      annotation (Placement(transformation(extent={{-96,-92},{-72,-68}})));
      HumMod.Library.Blocks.PressureConstant pO2Lungs(k=104) 
      annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-84,-36})));
        Modelica.Blocks.Math.Product CO2ArtysMass 
          annotation (Placement(transformation(extent={{82,54},{102,74}})));
        Modelica.Blocks.Math.Product O2ArtysMass 
          annotation (Placement(transformation(extent={{82,20},{102,40}})));
      HumMod.Library.Utilities.ConstantFromFile ArtysVol1(varName=
              "ArtysVol.Vol(L)") 
      annotation (Placement(transformation(extent={{34,18},{56,40}})));
        Modelica.Blocks.Math.Product cTHArtysMass 
          annotation (Placement(transformation(extent={{82,-22},{102,-2}})));
      Library.Utilities.ConstantFromFile Hct(varName="BloodVol.Hct") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,9})));
      Library.Utilities.ConstantFromFile ctHb(varName="ctHb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,3})));
      Library.Utilities.ConstantFromFile cDPG(varName="cDPG") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-3})));
      Library.Utilities.ConstantFromFile FMetHb(varName="FMetHb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-11})));
      Library.Utilities.ConstantFromFile FHbF(varName="FHbF") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-19})));
      Library.Utilities.ConstantFromFile pCO(varName="pCO") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,-25})));
      Library.Utilities.ConstantFromFile ctHb_ery(varName="ctHb_ery") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={141,-61})));
      Library.Utilities.ConstantFromFile ctAlb(varName="ctAlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={141,-67})));
      Library.Utilities.ConstantFromFile ctGlb(varName="ctGlb") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={141,-73})));
      Library.Utilities.ConstantFromFile ctPO4(varName="PO4Pool.[PO4--(mEq/L)]") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={141,-81})));
      Library.Utilities.ConstantFromFile T(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-11,-11},{11,11}},
              rotation=180,
              origin={41,17})));
      Library.Utilities.ConstantFromFile CO(varName="CardiacOutput.Flow") 
      annotation (Placement(transformation(extent={{-44,80},{-22,102}})));

      Real lungs_ctO2;
      Real artys_ctO2;
      Real veins_ctO2;
      Real lungs_ctCO2;
      Real artys_ctCO2;
      Real veins_ctCO2;
      Real breathingFlow;
      Real air_O2;

      Library.Utilities.ConstantFromFile q1(varName="LungBloodFlow.AlveolarVentilated") 
      annotation (Placement(transformation(extent={{-2,78},{20,100}})));

        parameter Real gasConstant(unit="l.mmHg/(K.mol)") = 62.36367
          "gas constant";
        parameter Real stdT(unit="K")=273.15;
        parameter Real stdP(unit="mmHg")=760;
        parameter Real litrePerMol(final unit="l/mol") = gasConstant*stdT/stdP;

      Library.Utilities.ConstantFromFile CO2flow(varName="CO2Total.Inflow") 
      annotation (Placement(transformation(extent={{-96,54},{-74,76}})));
      Library.Utilities.ConstantFromFile O2flow_in_ml(varName="O2Total.Outflow") 
      annotation (Placement(transformation(extent={{-96,-26},{-74,-4}})));
      Library.Utilities.ConstantFromFile Vapor(varName="Bronchi.VaporPressure") 
      annotation (Placement(transformation(extent={{34,78},{56,100}})));
        HumMod.Library.Utilities.VariableToFile variableToFile(varName="CO2Veins.Mass[mMol]",
            SAVE_FILE="setup/gasesSteadyState.txt") 
          annotation (Placement(transformation(extent={{150,48},{178,76}})));
        HumMod.Library.Utilities.VariableToFile variableToFile1(varName="CO2Artys.Mass[mMol]",
            SAVE_FILE="setup/gasesSteadyState.txt") 
          annotation (Placement(transformation(extent={{108,74},{136,102}})));
        HumMod.Library.Utilities.VariableToFile variableToFile2(varName="AcidBase.Artys_TH[mEq]",
            SAVE_FILE="setup/gasesSteadyState.txt") 
          annotation (Placement(transformation(extent={{110,-8},{138,20}})));
        HumMod.Library.Utilities.VariableToFile variableToFile3(varName="O2Veins.Mass[mMol]",
            SAVE_FILE="setup/gasesSteadyState.txt") 
          annotation (Placement(transformation(extent={{148,16},{176,44}})));
        HumMod.Library.Utilities.VariableToFile variableToFile4(varName="O2Artys.Mass[mMol]",
            SAVE_FILE="setup/gasesSteadyState.txt") 
          annotation (Placement(transformation(extent={{108,34},{136,62}})));
        HumMod.Library.Utilities.VariableToFile variableToFile5(varName="AcidBase.Veins_TH[mEq]",
            SAVE_FILE="setup/gasesSteadyState.txt") 
          annotation (Placement(transformation(extent={{148,-26},{176,2}})));
        HumMod.Library.Utilities.VariableToFile AirO2(varName="AirSupply-InspiredAir.O2(%)",
            SAVE_FILE="setup/gasesSteadyState.txt") 
          annotation (Placement(transformation(extent={{32,54},{60,82}})));
        HumMod.Library.Utilities.VariableToFile BreathingFlow(varName="Breathing.AlveolarVentilation(STPD)",
            SAVE_FILE="setup/gasesSteadyState.txt") 
          annotation (Placement(transformation(extent={{32,62},{60,90}})));
      equation
        lungs_ctO2 = inv5.y1;
        lungs_ctCO2 = inv4.y1;

        lungs_ctO2 * q1.y/1000 = veins_ctO2 *q1.y/1000 + O2flow_in_ml.y/litrePerMol;     //Fick law
        lungs_ctCO2 * q1.y/1000 = veins_ctCO2 *q1.y/1000 - CO2flow.y;  //Fick law

        artys_ctO2 * CO.y/1000 = veins_ctO2 *CO.y/1000 + O2flow_in_ml.y/litrePerMol;     //whole circulation flows
        artys_ctCO2 * CO.y/1000 = veins_ctCO2 *CO.y/1000 - CO2flow.y;  //whole circulation flows

        O2ArtysMass.u1 = artys_ctO2;
        CO2ArtysMass.u1 = artys_ctCO2;

        O2VeinsMass.u1 = veins_ctO2;
        CO2VeinsMass.u1 = veins_ctCO2;

        breathingFlow*(pCO2Lungs.y/760) = CO2flow.y*litrePerMol;
        air_O2*(1-Vapor.y/760)*breathingFlow = O2flow_in_ml.y + (pO2Lungs.y/760)*breathingFlow;

        BreathingFlow.y = breathingFlow;
        AirO2.y=air_O2*100;

        connect(ArtysVol.y, CO2VeinsMass.u2) annotation (Line(
            points={{103.1,13},{104,14},{110,14},{110,56},{118,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, cTHVeinsMass.u1) annotation (Line(
            points={{103.1,13},{112,13},{112,-6},{118,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol.y, O2VeinsMass.u2) annotation (Line(
            points={{103.1,13},{110.15,13},{110.15,24},{118,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.pH, inverseBlockConstraints3.u2)       annotation (Line(
            points={{67.6,-89.4},{67.6,-92},{48,-92},{48,-70},{38,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungCO2.pCO2_mmHg, inv4.u2)                              annotation (
            Line(
            points={{-2.4,29.2},{-2.4,24},{-28,24},{-28,43},{-37.4,43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inv4.y2, LungCO2.ctCO2)                              annotation (Line(
            points={{17.05,43},{14,42},{14,16},{-24,16},{-24,45.72},{-20.6,
                45.72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pCO2Lungs.y, inv4.u1)                               annotation (
           Line(
            points={{-72.9,43},{-58,44},{-58,43},{-47.3,43}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungO2.ctO2, inv5.y2)                           annotation (Line(
            points={{-11.5,-47.5},{-11.5,-52},{-2,-52},{-2,-37},{1.05,-37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, LungO2.pH)        annotation (Line(
            points={{-70.8,-80},{-52,-80},{-52,-16},{-38.5,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pO2Lungs.y, inv5.u1)                        annotation (Line(
            points={{-73,-36},{-68,-36},{-68,-37},{-63.3,-37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, inverseBlockConstraints3.u1) annotation (Line(
            points={{-70.8,-80},{-18,-80},{-18,-70},{26,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungCO2.cHCO3, LungTH.cHCO3)                 annotation (Line(
            points={{3.2,29.2},{3.2,-40},{80,-40},{80,-55.4},{86.3,-55.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Artys_pH1.y, LungCO2.pH)           annotation (Line(
            points={{-70.8,-80},{-66,-80},{-66,57.2},{-20.6,57.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pCO2Lungs.y, LungO2.pCO2_mmHg)                  annotation (
            Line(
            points={{-72.9,43},{-56,43},{-56,-22},{-38.5,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.pH_ery, LungCO2.pH_ery)                 annotation (Line(
            points={{74.4,-89.4},{74.4,-96},{-52,-96},{-52,51.6},{-20.6,51.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, CO2ArtysMass.u2) annotation (Line(
            points={{57.1,29},{62.15,29},{62.15,58},{80,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, O2ArtysMass.u2) annotation (Line(
            points={{57.1,29},{62.15,29},{62.15,24},{80,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysVol1.y, cTHArtysMass.u1) annotation (Line(
            points={{57.1,29},{62.15,29},{62.15,-6},{80,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHArtysMass.u2) annotation (Line(
            points={{112,-70},{114,-70},{114,-36},{64,-36},{64,-18},{80,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints3.y1, cTHVeinsMass.u2) annotation (Line(
            points={{112,-70},{114,-70},{114,-18},{118,-18}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(Hct.y, LungCO2.Hct)           annotation (Line(
            points={{28.9,9},{28.9,53.5},{4.6,53.5},{4.6,51.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctHb.y, LungO2.ctHb)        annotation (Line(
            points={{28.9,3},{30,-16},{-11.5,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cDPG.y, LungO2.cDPG)        annotation (Line(
            points={{28.9,-3},{28.9,-20.5},{-11.5,-20.5},{-11.5,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FMetHb.y, LungO2.FMetHb)        annotation (Line(
            points={{28.9,-11},{30,-24},{-11.5,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FHbF.y, LungO2.FHbF)        annotation (Line(
            points={{28.9,-19},{28.9,-28.5},{-11.5,-28.5},{-11.5,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pCO.y, LungO2.pCO_mmHg)        annotation (Line(
            points={{28.9,-25},{28.9,-32.5},{-11.5,-32.5},{-11.5,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.ctHb_ery, ctHb_ery.y)       annotation (Line(
            points={{86.3,-62.2},{90,-62.2},{90,-61},{128.9,-61}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.ctAlb, ctAlb.y)       annotation (Line(
            points={{86.3,-69},{96,-69},{96,-64},{128.9,-64},{128.9,-67}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb.y, LungTH.ctGlb)       annotation (Line(
            points={{128.9,-73},{114,-73},{114,-75.8},{86.3,-75.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4.y, LungTH.ctPO4)       annotation (Line(
            points={{128.9,-81},{114,-81},{114,-82.6},{86.3,-82.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, LungCO2.T)           annotation (Line(
            points={{28.9,17},{30,60},{30,57.2},{4.6,57.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T.y, LungO2.T)        annotation (Line(
            points={{28.9,17},{28.9,-2},{-34,-2},{-34,-28},{-38.5,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungTH.cTHox, inverseBlockConstraints3.y2)       annotation (
            Line(
            points={{64.2,-50.3},{64.2,-44},{98,-44},{98,-70},{104,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungO2.PO2, inv5.u2)                            annotation (
            Line(
            points={{-19,-49},{-19,-52},{-46,-52},{-46,-38},{-53.4,-38},{-53.4,
                -37}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungO2.sO2, LungTH.sO2)              annotation (Line(
            points={{-25,-49},{-25,-42},{81.2,-42},{81.2,-50.3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungO2.sO2, LungCO2.sO2)                  annotation (Line(
            points={{-25,-49},{-25,-42},{12,-42},{12,46},{4.6,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2VeinsMass.y, variableToFile.y) annotation (Line(
            points={{141,62},{148.6,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2ArtysMass.y, variableToFile1.y) annotation (Line(
            points={{103,64},{104,64},{104,88},{106.6,88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2ArtysMass.y, variableToFile4.y) annotation (Line(
            points={{103,30},{104,30},{104,48},{106.6,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTHArtysMass.y, variableToFile2.y) annotation (Line(
            points={{103,-12},{106,-12},{106,6},{108.6,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cTHVeinsMass.y, variableToFile5.y) annotation (Line(
            points={{141,-12},{143.8,-12},{143.8,-12},{146.6,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2VeinsMass.y, variableToFile3.y) annotation (Line(
            points={{141,30},{146.6,30}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{150,100}}), graphics={
              Text(
                extent={{-94,8},{-76,-2}},
                lineColor={0,0,255},
                textString="O2:"),
              Text(
                extent={{-98,88},{-70,78}},
                lineColor={0,0,255},
                textString="CO2:"),
              Rectangle(extent={{-100,90},{-68,28}}, lineColor={0,0,255}),
              Rectangle(extent={{-100,10},{-70,-54}}, lineColor={0,0,255})}),
                                                      Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{150,100}})));
      end CalcAll;

      model CalcBreathing
        NaturalVentilation naturalVentilation 
          annotation (Placement(transformation(extent={{-70,46},{-50,66}})));
        Library.Blocks.Constant Constant(k=1) 
          annotation (Placement(transformation(extent={{-94,56},{-86,64}})));
        Library.Blocks.Constant Constant1(k=0) 
          annotation (Placement(transformation(extent={{-90,44},{-82,52}})));
        Modelica.Blocks.Math.Product alveolarVentilation_STPD annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={18,68})));
        Modelica.Blocks.Math.Feedback alveolarVolume_STPD 
          annotation (Placement(transformation(extent={{36,-26},{56,-6}})));
        GasEquation tidalVolume 
          annotation (Placement(transformation(extent={{-2,-34},{18,-14}})));
        GasEquation deadVolume 
          annotation (Placement(transformation(extent={{-2,-80},{18,-60}})));
        Library.Blocks.PressureConstant pressureConstant(k=760) 
          annotation (Placement(transformation(extent={{-98,-52},{-78,-32}})));
      Library.Utilities.ConstantFromFile RespiratoryCenter_RespRate(varName="RespiratoryCenter-Output.Rate") 
      annotation (Placement(transformation(extent={{-66,62},{-18,110}})));
        Modelica.Blocks.Math.Product product 
          annotation (Placement(transformation(extent={{-26,20},{-6,40}})));
        Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints 
          annotation (Placement(transformation(extent={{20,24},{40,44}})));
        Library.Blocks.Constant Constant2(
                                         k=3176.28) 
          annotation (Placement(transformation(extent={{2,28},{14,40}})));
      Library.Utilities.ConstantFromFile Temp(varName="HeatCore.Temp(C)") 
      annotation (Placement(transformation(extent={{-92,-86},{-66,-60}})));
        Library.Blocks.TemperatureConstant STPD_Temperature(k=0) annotation (
            Placement(transformation(
              extent={{-7,-7},{7,7}},
              rotation=180,
              origin={81,-59})));
        Library.Blocks.PressureConstant STPD_Pressure(k=760) annotation (
            Placement(transformation(
              extent={{-7,-7},{7,7}},
              rotation=180,
              origin={81,-35})));
        Modelica.Blocks.Math.Feedback airPressureWitoutVapor 
          annotation (Placement(transformation(extent={{-72,-32},{-52,-52}})));
      Library.Utilities.ConstantFromFile Vapor(varName="Bronchi.VaporPressure") 
      annotation (Placement(transformation(extent={{-96,-24},{-74,-2}})));
      Library.Utilities.ConstantFromFile RespiratoryCenter_MotorNerveActivity(varName="RespiratoryCenter-Output.MotorNerveActivity") 
      annotation (Placement(transformation(extent={{-110,58},{-88,80}})));
      equation
        connect(Constant.y, naturalVentilation.RespiratoryMuscleFunctionEffect) 
          annotation (Line(
            points={{-85.6,60},{-68.6,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, naturalVentilation.Thorax_LungInflation) 
          annotation (Line(
            points={{-85.6,60},{-74,60},{-74,52},{-68.6,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, naturalVentilation.ExcessLungWater_Volume) 
          annotation (Line(
            points={{-81.6,48},{-68.6,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(alveolarVolume_STPD.y,alveolarVentilation_STPD. u1) annotation (Line(
            points={{55,-16},{80,-16},{80,96},{24,96},{24,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(deadVolume.V2,alveolarVolume_STPD. u2)   annotation (Line(
            points={{16.6,-62},{46,-62},{46,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(tidalVolume.V2, alveolarVolume_STPD.u1) annotation (Line(
            points={{16.6,-16},{38,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RespiratoryCenter_RespRate.y, alveolarVentilation_STPD.u2) 
          annotation (Line(
            points={{-15.6,86},{-2,86},{-2,80},{12,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(naturalVentilation.TidalVolume, product.u1) annotation (Line(
            points={{-48.6,58},{-48.6,59},{-28,59},{-28,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, tidalVolume.V1) annotation (Line(
            points={{-5,30},{-4,30},{-4,-16},{-0.6,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inverseBlockConstraints.y2, product.u2) annotation (Line(
            points={{38.5,34},{38,34},{38,52},{-38,52},{-38,24},{-28,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(alveolarVentilation_STPD.y, inverseBlockConstraints.u2) 
          annotation (Line(
            points={{18,57},{18,46},{26,46},{26,34},{22,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant2.y, inverseBlockConstraints.u1) annotation (Line(
            points={{14.6,34},{19,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Temp.y, tidalVolume.T1) annotation (Line(
            points={{-64.7,-73},{-20,-73},{-20,-28},{-0.6,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Temp.y, deadVolume.T1) annotation (Line(
            points={{-64.7,-73},{-20,-73},{-20,-74},{-0.6,-74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(naturalVentilation.DeadSpace, deadVolume.V1) annotation (Line(
            points={{-48.6,52},{-46,52},{-46,-52},{-10,-52},{-10,-62},{-0.6,-62}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(STPD_Temperature.y, deadVolume.T2) annotation (Line(
            points={{73.3,-59},{63.65,-59},{63.65,-74},{16.6,-74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(STPD_Temperature.y, tidalVolume.T2) annotation (Line(
            points={{73.3,-59},{64,-59},{64,-28},{16.6,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(STPD_Pressure.y, tidalVolume.P2) annotation (Line(
            points={{73.3,-35},{25.65,-35},{25.65,-22},{16.6,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(STPD_Pressure.y, deadVolume.P2) annotation (Line(
            points={{73.3,-35},{26,-35},{26,-68},{16.6,-68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(airPressureWitoutVapor.y, tidalVolume.P1) annotation (Line(
            points={{-53,-42},{-32,-42},{-32,-22},{-0.6,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(airPressureWitoutVapor.y, deadVolume.P1) annotation (Line(
            points={{-53,-42},{-32,-42},{-32,-68},{-0.6,-68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureConstant.y, airPressureWitoutVapor.u1) annotation (Line(
            points={{-77,-42},{-70,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vapor.y, airPressureWitoutVapor.u2) annotation (Line(
            points={{-72.9,-13},{-62,-13},{-62,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RespiratoryCenter_MotorNerveActivity.y, naturalVentilation.RespiratoryCenterOutput_MotorNerveActivity) 
          annotation (Line(
            points={{-86.9,69},{-77.45,69},{-77.45,64},{-68.6,64}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={
                  {-100,-100},{100,100}}), graphics));
      end CalcBreathing;

      model T_

        Gases gases(
          oxygen(Artys(PARAMETERS_FILE="setup/gasesSteadyState.txt", initType=
                  HumMod.Library.Utilities.Init.FromFile), Veins(
                PARAMETERS_FILE="setup/gasesSteadyState.txt", initType=HumMod.Library.Utilities.Init.FromFile)),
          carbonDioxyd(CO2Artys(
              initType=HumMod.Library.Utilities.Init.FromFile,
              PARAMETERS_FILE="setup/gasesSteadyState.txt",
              STEADY=false), CO2Veins(PARAMETERS_FILE=
                  "setup/gasesSteadyState.txt", initType=HumMod.Library.Utilities.Init.FromFile)),
          acidBase(artys(PARAMETERS_FILE="setup/gasesSteadyState.txt", initType=
                 HumMod.Library.Utilities.Init.FromFile), veins(PARAMETERS_FILE=
                 "setup/gasesSteadyState.txt", initType=HumMod.Library.Utilities.Init.FromFile))) 
          annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

        setup.GasesConstInputsFromFile gasesConstInputs 
          annotation (Placement(transformation(extent={{34,20},{54,40}})));
      equation
        connect(gases.busConnector, gasesConstInputs.busConnector) annotation (
            Line(
            points={{-36,24},{4,24},{4,30},{42,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end T_;
    end test;
    annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
</html>"));
  end Gases;

  package Metabolism "Body Nutrients, Metabolism and Heat Systems"

    model LiverMetabolism
      import QHP = HumMod;
     // extends Library.Interfaces.BaseModel;
      //outer parameter Real EFC_Vol(final unit="ml");
      HumMod.Metabolism.Glycogen Glycogen(initialSoluteMass=100) 
        annotation (Placement(transformation(extent={{96,46},{76,66}})));
      QHP.Library.ConcentrationFlow.SimpleReaction GLU_TO_GLY 
        annotation (Placement(transformation(extent={{48,58},{68,78}})));
      Library.ConcentrationFlow.SoluteFlowPump LM_Glycogenesis 
        annotation (Placement(transformation(extent={{4,58},{24,78}})));
      Library.ConcentrationFlow.SoluteFlowPump LM_Glycogenolysis 
        annotation (Placement(transformation(extent={{24,8},{4,28}})));
      Library.ConcentrationFlow.SoluteFlowPump LM_FA_Glucose 
        annotation (Placement(transformation(extent={{-20,-34},{-40,-14}})));
      Library.ConcentrationFlow.SoluteFlowPump LM_Gluconeogenesis 
        annotation (Placement(transformation(extent={{64,-34},{44,-14}})));
      Library.ConcentrationFlow.SimpleReaction2 AA_TO_GLU 
        annotation (Placement(transformation(extent={{34,-34},{14,-14}})));
      QHP.Library.ConcentrationFlow.SimpleReaction GLU_TO_FA 
        annotation (Placement(transformation(extent={{-46,-34},{-66,-14}})));
      QHP.Library.Factors.SplineValue InsulinEffect(data={{0,0.0,0.0},{35,1.0,
            0.03},{120,3.0,0.0}}) 
        annotation (Placement(transformation(extent={{4,78},{24,98}})));
      QHP.Library.Factors.SplineValue InsulinEffect3(data={{0,0.0,0.0},{40,1.0,
            0.06},{200,3.0,0.0}}) 
        annotation (Placement(transformation(extent={{-20,-18},{-40,2}})));
      QHP.Library.Factors.SplineValue InsulinEffect4(data={{0,2.5,0.0},{35,1.0,
            -0.005},{500,0.0,0.0}}) 
        annotation (Placement(transformation(extent={{44,-10},{64,10}})));
      Library.Blocks.MassFlowConstant massFlowConstant2(k=75) 
        annotation (Placement(transformation(extent={{36,88},{26,98}})));
      Library.Blocks.MassFlowConstant massFlowConstant3(k=70) 
        annotation (Placement(transformation(extent={{-18,-4},{-28,6}})));
      Library.Blocks.MassFlowConstant massFlowConstant4(k=42) 
        annotation (Placement(transformation(extent={{66,4},{56,14}})));
      Library.Factors.SplineValue MassEffect(data={{0,3.0,0.0},{100,1.0,-0.05},
            {200,0.0,0.0}}) 
        annotation (Placement(transformation(extent={{24,74},{4,94}})));
      Library.Factors.SplineValue GlucoseEffect(data={{120,0.0,0.0},{130,1.0,
            0.06},{200,2.0,0.0}}) 
        annotation (Placement(transformation(extent={{4,70},{24,90}})));
      Library.Factors.SimpleMultiply LiverFunctionEffect 
        annotation (Placement(transformation(extent={{4,66},{24,86}})));
      QHP.Library.Factors.SplineValue InsulinEffect1(data={{0,2.0,0.0},{35,1.0,
            -0.02},{120,0.0,0.0}}) 
        annotation (Placement(transformation(extent={{4,36},{24,56}})));
      Library.Blocks.MassFlowConstant massFlowConstant5(k=75) 
        annotation (Placement(transformation(extent={{36,44},{26,54}})));
      Library.Factors.SplineValue MassEffect1(data={{0,0.0,0.0},{100,1.0,0.0}}) 
        annotation (Placement(transformation(extent={{24,28},{4,48}})));
      Library.Factors.SplineValue GlucoseEffect1(data={{45,2.0,0.0},{125,1.0,-0.01},
            {350,0.3,0.0}}) 
        annotation (Placement(transformation(extent={{4,24},{24,44}})));
      Library.Factors.SimpleMultiply LiverFunctionEffect1 
        annotation (Placement(transformation(extent={{4,16},{24,36}})));
      Library.Factors.SplineValue GlucagonEffect(data={{170,1.0,0.0},{680,2.0,
            0.0}}) 
        annotation (Placement(transformation(extent={{4,32},{24,52}})));
      Library.Factors.SplineValue EpinephrineEffect(data={{0,0.8,0.0},{40,1.0,
            0.01},{400,10.0,0.02},{1200,20.0,0.0}}) 
        annotation (Placement(transformation(extent={{24,20},{4,40}})));
      Library.Blocks.Constant Constant1(k=.001) 
        annotation (Placement(transformation(extent={{48,72},{56,80}})));
      Library.Blocks.Constant Constant2(k=0.42) 
        annotation (Placement(transformation(extent={{-66,-18},{-58,-10}})));
      Library.Blocks.Constant Constant3(k=0.6) 
        annotation (Placement(transformation(extent={{32,-18},{26,-12}})));
      Library.Factors.SplineValue GlucoseEffect2(data={{120,0.0,0.0},{130,1.0,
            0.05},{200,2.0,0.0}}) 
        annotation (Placement(transformation(extent={{-20,-22},{-40,-2}})));
      Library.Factors.SimpleMultiply LiverFunctionEffect2 
        annotation (Placement(transformation(extent={{-20,-26},{-40,-6}})));
      Library.Factors.SplineValue GlucagonEffect1(data={{170,1.0,0.0},{680,2.0,
            0.0}}) 
        annotation (Placement(transformation(extent={{44,-14},{64,6}})));
      Library.Factors.SplineValue GlucoseEffect3(data={{45,2.0,0.0},{125,1.0,-0.008},
            {340,0.3,0.0}}) 
        annotation (Placement(transformation(extent={{44,-18},{64,2}})));
      Library.Factors.SplineValue AminoAcidEffect(data={{0,0.0,0.0},{50,1.0,
            0.02},{200,2.0,0.0}}) 
        annotation (Placement(transformation(extent={{64,-22},{44,-2}})));
      Library.Factors.SimpleMultiply LiverFunctionEffect3 
        annotation (Placement(transformation(extent={{44,-26},{64,-6}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow Glucose(conc(final unit
            =    "mg/ml"), q(final unit="mg/min")) "extracellular storage" 
                                 annotation (Placement(
            transformation(extent={{-62,58},{-42,78}}), iconTransformation(extent={{90,-70},
                {110,-50}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow LM_FattyAcids_Release(
          conc(final unit="mg/ml"), q(final unit="mg/min")) 
                                 annotation (Placement(
            transformation(extent={{-92,-16},{-72,4}}), iconTransformation(extent={{90,50},
                {110,70}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow Ketoacids(conc(final unit
            =    "mg/ml"), q(final unit="mg/min")) "extracellular storage" 
                                 annotation (Placement(
            transformation(extent={{-12,-92},{8,-72}}), iconTransformation(extent={{90,-10},
                {110,10}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-108,86},{-88,106}}),
            iconTransformation(extent={{-108,-10},{-88,10}})));
      Library.ConcentrationFlow.SoluteFlowPump LM_Ketoacids 
        annotation (Placement(transformation(extent={{-58,-92},{-38,-72}})));
      QHP.Library.ConcentrationFlow.SimpleReaction FA_TO_KA 
        annotation (Placement(transformation(extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-24,-82})));
      Library.Blocks.Constant Constant4(k=1.02) 
        annotation (Placement(transformation(extent={{-12,-76},{-20,-68}})));
      Library.Factors.SimpleMultiply LiverFunctionEffect4 
        annotation (Placement(transformation(extent={{-58,-84},{-38,-64}})));
      Library.Factors.SplineValue FattyAcidEffect(data={{0,0.5,0.0},{15,1.0,0.05},{75,
            5.0,0.0}}) "effect on fatty acids concentration in mg/dl" 
        annotation (Placement(transformation(extent={{-58,-76},{-38,-56}})));
      Library.Factors.SplineValue GlucagonEffect2(data={{0,0.5,0.0},{170,1.0,
            0.01},{340,10.0,0.0}}) 
        annotation (Placement(transformation(extent={{-58,-80},{-38,-60}})));
      Library.Blocks.MassFlowConstant massFlowConstant1(k=2.2) 
        annotation (Placement(transformation(extent={{-34,-62},{-44,-52}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="mg/dl", toAnotherUnitCoef=100) "from mg/ml to mg/dl" 
        annotation (Placement(transformation(extent={{-80,-92},{-60,-72}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow AminoAcids(conc(
            final unit="mg/ml"), q(final unit="mg/min"))
        "extracellular storage"  annotation (Placement(
            transformation(extent={{76,-34},{96,-14}}), iconTransformation(extent={{50,-110},
                {70,-90}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
          unitsString="mg/dl", toAnotherUnitCoef=100) "from mg/ml to mg/dl" 
        annotation (Placement(transformation(extent={{64,-34},{84,-14}})));
      Library.ConcentrationFlow.SoluteFlowPump LM_FA_AminoAcids 
        annotation (Placement(transformation(extent={{64,-78},{44,-58}})));
      Library.ConcentrationFlow.SimpleReaction2 AA_TO_FA 
        annotation (Placement(transformation(extent={{38,-78},{18,-58}})));
      QHP.Library.Factors.SplineValue InsulinEffect2(data={{0,0.0,0.0},{40,1.0,
            0.05},{80,4.0,0.0}}) 
        annotation (Placement(transformation(extent={{64,-62},{44,-42}})));
      Library.Blocks.MassFlowConstant massFlowConstant6(k=34) 
        annotation (Placement(transformation(extent={{66,-48},{56,-38}})));
      Library.Blocks.Constant Constant5(k=0.437) 
        annotation (Placement(transformation(extent={{40,-62},{30,-52}})));
      Library.Factors.SplineValue AminoAcidEffect2(data={{0,0.0,0.0},{50,1.0,
            0.02},{200,2.0,0.0}}) 
        annotation (Placement(transformation(extent={{64,-66},{44,-46}})));
      Library.Factors.SimpleMultiply LiverFunctionEffect5 
        annotation (Placement(transformation(extent={{64,-70},{44,-50}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow Urea(conc(final unit=
              "mg/ml"), q(final unit="mg/min")) "extracellular storage" 
                                 annotation (Placement(
            transformation(extent={{-8,-42},{12,-22}}), iconTransformation(extent={{-70,
                -110},{-50,-90}})));
      Library.Blocks.Constant Constant6(k=0.3) 
        annotation (Placement(transformation(extent={{10,-18},{16,-12}})));
      Library.Blocks.Constant Constant7(k=0.3) 
        annotation (Placement(transformation(extent={{14,-60},{20,-54}})));
      QHP.Library.ConcentrationFlow.SimpleReaction GLY_TO_GLU 
        annotation (Placement(transformation(extent={{68,38},{48,58}})));
      Library.Blocks.Constant Constant8(k=1000) 
        annotation (Placement(transformation(extent={{48,52},{56,60}})));
      Glucose_MG_TO_MMOL glucose_MG_TO_MMOL 
        annotation (Placement(transformation(extent={{42,88},{50,96}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow
        LM_Ketoacids_FattyAcidUptake(conc(final unit="mg/ml"), q(final unit=
              "mg/min"))         annotation (Placement(
            transformation(extent={{-102,-92},{-82,-72}}),
                                                        iconTransformation(extent={{90,90},
                {110,110}})));
    equation
      connect(InsulinEffect.yBase, massFlowConstant2.y) annotation (Line(
          points={{14,90},{14,93},{25.5,93}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinEffect4.yBase, massFlowConstant4.y) annotation (Line(
          points={{54,2},{54,9},{55.5,9}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinEffect3.yBase, massFlowConstant3.y) annotation (Line(
          points={{-30,-6},{-30,1},{-28.5,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(MassEffect.yBase, InsulinEffect.y) annotation (Line(
          points={{14,86},{14,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(MassEffect.y, GlucoseEffect.yBase) annotation (Line(
          points={{14,82},{14,82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucoseEffect.y, LiverFunctionEffect.yBase) annotation (Line(
          points={{14,78},{14,78}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LiverFunctionEffect.y, LM_Glycogenesis.soluteFlow) annotation (
          Line(
          points={{14,74},{14,74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Glycogen.SoluteMass, MassEffect.u) annotation (Line(
          points={{86,48.6},{86,34},{98,34},{98,84},{23.8,84}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinEffect1.yBase, massFlowConstant5.y) annotation (Line(
          points={{14,48},{14,49},{25.5,49}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Glycogen.SoluteMass, MassEffect1.u) annotation (Line(
          points={{86,48.6},{86,34},{54,34},{54,38},{23.8,38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LM_Glycogenolysis.soluteFlow, LiverFunctionEffect1.y) annotation (
         Line(
          points={{14,24},{14,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucagonEffect.yBase, InsulinEffect1.y) annotation (Line(
          points={{14,44},{14,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucagonEffect.y, MassEffect1.yBase) annotation (Line(
          points={{14,40},{14,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EpinephrineEffect.yBase, GlucoseEffect1.y) annotation (Line(
          points={{14,32},{14,32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EpinephrineEffect.y, LiverFunctionEffect1.yBase) annotation (Line(
          points={{14,28},{14,28}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, GLU_TO_GLY.coef) annotation (Line(
          points={{56.4,76},{58,76},{58,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant2.y, GLU_TO_FA.coef) annotation (Line(
          points={{-57.6,-14},{-56,-14},{-56,-20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant3.y, AA_TO_GLU.coef) annotation (Line(
          points={{25.7,-15},{24,-15},{24,-20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinEffect3.y, GlucoseEffect2.yBase) annotation (Line(
          points={{-30,-10},{-30,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucoseEffect2.y, LiverFunctionEffect2.yBase) annotation (Line(
          points={{-30,-14},{-30,-14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LiverFunctionEffect2.y, LM_FA_Glucose.soluteFlow) annotation (
          Line(
          points={{-30,-18},{-30,-18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinEffect4.y, GlucagonEffect1.yBase) annotation (Line(
          points={{54,-2},{54,-2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucagonEffect1.y, GlucoseEffect3.yBase) annotation (Line(
          points={{54,-6},{54,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AminoAcidEffect.y, LiverFunctionEffect3.yBase) annotation (Line(
          points={{54,-14},{54,-14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LiverFunctionEffect3.y,LM_Gluconeogenesis. soluteFlow) 
        annotation (Line(
          points={{54,-18},{54,-18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.LiverFunctionEffect, LiverFunctionEffect.u) annotation (Line(
          points={{-98,96},{-6,96},{-6,76},{4.2,76}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.LiverFunctionEffect, LiverFunctionEffect1.u) annotation (Line(
          points={{-98,96},{-5.9,96},{-5.9,26},{4.2,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.LiverFunctionEffect, LiverFunctionEffect3.u) annotation (Line(
          points={{-98,96},{-6,96},{-6,-10},{40,-10},{40,-16},{44.2,-16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.LiverFunctionEffect, LiverFunctionEffect2.u) annotation (Line(
          points={{-98,96},{-6,96},{-6,-16},{-20.2,-16}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.PortalVein_Glucagon, GlucagonEffect1.u) annotation (Line(
          points={{-98,96},{-2,96},{-2,-4},{44.2,-4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucagonEffect.u, busConnector.PortalVein_Glucagon) annotation (Line(
          points={{4.2,42},{-2,42},{-2,96},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(MassEffect1.y, GlucoseEffect1.yBase) annotation (Line(
          points={{14,36},{14,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucoseEffect3.y, AminoAcidEffect.yBase) annotation (Line(
          points={{54,-10},{54,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GLU_TO_FA.q_in, LM_FA_Glucose.q_out)   annotation (Line(
          points={{-46,-24},{-40,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_GLU.q_in, LM_Gluconeogenesis.q_out) annotation (Line(
          points={{34,-24},{44,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_Glycogenesis.q_out, GLU_TO_GLY.q_in) annotation (Line(
          points={{24,68},{48,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Constant4.y, FA_TO_KA.coef) annotation (Line(
          points={{-20.4,-72},{-24,-72},{-24,-78}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LM_Ketoacids.q_out, FA_TO_KA.q_in) annotation (Line(
          points={{-38,-82},{-34,-82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LiverFunctionEffect4.y, LM_Ketoacids.soluteFlow) annotation (Line(
          points={{-48,-76},{-48,-76}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucagonEffect2.y, LiverFunctionEffect4.yBase) annotation (Line(
          points={{-48,-72},{-48,-72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FattyAcidEffect.y, GlucagonEffect2.yBase) annotation (Line(
          points={{-48,-68},{-48,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FattyAcidEffect.yBase, massFlowConstant1.y) annotation (Line(
          points={{-48,-64},{-48,-57},{-44.5,-57}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.LiverFunctionEffect, LiverFunctionEffect4.u) 
        annotation (Line(
          points={{-98,96},{-98,-74},{-57.8,-74}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.PortalVein_Glucagon, GlucagonEffect2.u) annotation (Line(
          points={{-98,96},{-98,-70},{-57.8,-70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(concentrationMeasure.actualConc, FattyAcidEffect.u) annotation (Line(
          points={{-70,-78},{-70,-66},{-57.8,-66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.PortalVein_Glucose, GlucoseEffect.u) annotation (Line(
          points={{-98,96},{-10,96},{-10,80},{4.2,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.PortalVein_Glucose, GlucoseEffect1.u) annotation (Line(
          points={{-98,96},{-10,96},{-10,34},{4.2,34}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.PortalVein_Glucose, GlucoseEffect3.u) annotation (Line(
          points={{-98,96},{-10,96},{-10,-8},{44.2,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.PortalVein_Glucose, GlucoseEffect2.u) annotation (Line(
          points={{-98,96},{-10,96},{-10,-12},{-20.2,-12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(EpinephrineEffect.u, busConnector.EpiPool_Epi) annotation (Line(
          points={{23.8,30},{100,30},{100,100},{-98,100},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Glucose, LM_Glycogenesis.q_in) annotation (Line(
          points={{-52,68},{4,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_Glycogenolysis.q_out, Glucose) annotation (Line(
          points={{4,18},{-14,18},{-14,68},{-52,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_FA_Glucose.q_in, Glucose) annotation (Line(
          points={{-20,-24},{-14,-24},{-14,68},{-52,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_GLU.q_out, Glucose) annotation (Line(
          points={{14,-21},{-14,-21},{-14,68},{-52,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(GLU_TO_FA.q_out, LM_FattyAcids_Release) 
                                           annotation (Line(
          points={{-66,-24},{-82,-24},{-82,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Ketoacids, FA_TO_KA.q_out) annotation (Line(
          points={{-2,-82},{-14,-82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AminoAcids, LM_Gluconeogenesis.q_in) annotation (Line(
          points={{86,-24},{64,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AminoAcids, concentrationMeasure1.q_in) annotation (Line(
          points={{86,-24},{74,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure1.actualConc, AminoAcidEffect.u) annotation (
          Line(
          points={{74,-20},{74,-12},{63.8,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinEffect2.yBase,massFlowConstant6. y) annotation (Line(
          points={{54,-50},{54,-43},{55.5,-43}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant5.y, AA_TO_FA.coef)  annotation (Line(
          points={{29.5,-57},{28,-57},{28,-64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinEffect2.y, AminoAcidEffect2.yBase) 
                                                      annotation (Line(
          points={{54,-54},{54,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AminoAcidEffect2.y, LiverFunctionEffect5.yBase) 
                                                            annotation (Line(
          points={{54,-58},{54,-58}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LiverFunctionEffect5.y, LM_FA_AminoAcids.soluteFlow) 
                                                                annotation (
          Line(
          points={{54,-62},{54,-62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.LiverFunctionEffect,LiverFunctionEffect5. u) annotation (Line(
          points={{-98,96},{-98,100},{100,100},{100,-60},{63.8,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AA_TO_FA.q_in, LM_FA_AminoAcids.q_out) annotation (Line(
          points={{38,-68},{44,-68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_FA.q_out, LM_FattyAcids_Release) 
                                          annotation (Line(
          points={{18,-65},{2,-65},{2,-48},{-82,-48},{-82,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure1.actualConc, AminoAcidEffect2.u) annotation (
         Line(
          points={{74,-20},{74,-14},{96,-14},{96,-56},{63.8,-56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LM_FA_AminoAcids.q_in, AminoAcids) annotation (Line(
          points={{64,-68},{80,-68},{80,-24},{86,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea, AA_TO_GLU.q_out2) annotation (Line(
          points={{2,-32},{8,-32},{8,-26},{14,-26},{14,-27}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_FA.q_out2, Urea) annotation (Line(
          points={{18,-71},{8,-71},{8,-32},{2,-32}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_GLU.coef2, Constant6.y) annotation (Line(
          points={{18,-20},{18,-15},{16.3,-15}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AA_TO_FA.coef2, Constant7.y) annotation (Line(
          points={{22,-64},{22,-57},{20.3,-57}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant8.y, GLY_TO_GLU.coef) annotation (Line(
          points={{56.4,56},{58,56},{58,52}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LM_Glycogenolysis.q_in, GLY_TO_GLU.q_out) annotation (Line(
          points={{24,18},{46,18},{46,48},{48,48}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(GLY_TO_GLU.q_in, Glycogen.q_out) annotation (Line(
          points={{68,48},{74,48},{74,56},{86,56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(GLU_TO_GLY.q_out, Glycogen.q_out) annotation (Line(
          points={{68,68},{74,68},{74,56},{86,56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_Glycogenesis.soluteFlow, glucose_MG_TO_MMOL.u) annotation (
          Line(
          points={{14,74},{38,74},{38,92},{42,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(glucose_MG_TO_MMOL.y, busConnector.liver_GlucoseToCellStorageFlow) 
        annotation (Line(
          points={{50.8,92},{60,92},{60,100},{-98,100},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.LM_Insulin_InsulinDelayed, InsulinEffect.u) 
        annotation (Line(
          points={{-98,96},{-16,96},{-16,88},{4.2,88}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.LM_Insulin_InsulinDelayed, InsulinEffect1.u) 
        annotation (Line(
          points={{-98,96},{-16,96},{-16,46},{4.2,46}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.LM_Insulin_InsulinDelayed, InsulinEffect3.u) 
        annotation (Line(
          points={{-98,96},{-16,96},{-16,-8},{-20.2,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.LM_Insulin_InsulinDelayed, InsulinEffect4.u) 
        annotation (Line(
          points={{-98,96},{-16,96},{-16,0},{44.2,0}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(InsulinEffect2.u, busConnector.LM_Insulin_InsulinDelayed) 
        annotation (Line(
          points={{63.8,-52},{100,-52},{100,100},{-98,100},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LM_Ketoacids_FattyAcidUptake, concentrationMeasure.q_in) 
        annotation (Line(
          points={{-92,-82},{-70,-82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_Ketoacids_FattyAcidUptake, LM_Ketoacids.q_in) annotation (Line(
          points={{-92,-82},{-58,-82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}},
            grid={2,2}),                graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Bitmap(extent={{-100,106},{100,-94}}, fileName="icons/jatra.png"),
            Text(
              extent={{-122,100},{94,66}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end LiverMetabolism;

    model Glucose
    //  extends Library.Interfaces.BaseModel;
      //outer parameter Real EFC_Vol(final unit="ml");
      Library.ConcentrationFlow.ConcentrationCompartment GlucosePool(
          initialSoluteMass=15724.2, stateName="GlucosePool.Mass") 
        annotation (Placement(transformation(extent={{-76,46},{-56,66}})));
      Library.ConcentrationFlow.OutputPump Decomposition 
        annotation (Placement(transformation(extent={{-92,56},{-72,36}})));
      Modelica.Blocks.Math.Gain K(k=.0007) 
        annotation (Placement(transformation(extent={{-70,36},{-76,42}})));
      Library.ConcentrationFlow.SolventFlowPump Glomerulus 
        annotation (Placement(transformation(extent={{-34,66},{-14,86}})));
      Library.ConcentrationFlow.ConstLimitedReabsorbtion Reabsorbtion 
        annotation (Placement(transformation(extent={{2,66},{22,86}})));
      Library.ConcentrationFlow.ConcentrationCompartment Bladder(
          initialSoluteMass=0, stateName="BladderGlucose.Mass",
        STEADY=false) 
        annotation (Placement(transformation(extent={{68,66},{88,86}})));
      Library.ConcentrationFlow.PositiveConcentrationFlow q_out(conc(final unit
            ="mg/ml"), q(final unit="mg/min")) 
                                 annotation (Placement(
            transformation(extent={{-60,26},{-40,46}}), iconTransformation(extent={{-10,50},
                {10,70}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-100,0},{-80,20}}),
            iconTransformation(extent={{-100,-12},{-80,8}})));
      Library.ConcentrationFlow.FlowMeasure flowMeasure 
        annotation (Placement(transformation(extent={{50,86},{70,66}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="mg/dl", toAnotherUnitCoef=100) 
        annotation (Placement(transformation(extent={{-76,58},{-56,78}})));
      Modelica.Blocks.Math.Add3 YGLS "Ikeda glucose to cells flow" 
        annotation (Placement(transformation(extent={{-4,-26},{14,-8}})));
      Modelica.Blocks.Math.Gain MW(k=1/180) 
        annotation (Placement(transformation(extent={{4,-4},{-4,4}},
            rotation=90,
            origin={-66,20})));
    equation
      connect(Decomposition.q_in, GlucosePool.q_out) annotation (Line(
          points={{-88,46},{-90,46},{-90,56},{-66,56}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(K.u, GlucosePool.SoluteMass) annotation (Line(
          points={{-69.4,39},{-61.7,39},{-61.7,48.2},{-66,48.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(K.y, Decomposition.desiredFlow) annotation (Line(
          points={{-76.3,39},{-76.3,39.5},{-82,39.5},{-82,42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Glomerulus.q_out, Reabsorbtion.Inflow) annotation (Line(
          points={{-14,76},{2,76}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(GlucosePool.q_out, Glomerulus.q_in) annotation (Line(
          points={{-66,56},{-44.9,56},{-44.9,76},{-34,76}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Reabsorbtion.Reabsorbtion, GlucosePool.q_out) annotation (Line(
          points={{12,72},{12,56},{-66,56}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));

      connect(GlucosePool.q_out, q_out)       annotation (Line(
          points={{-66,56},{-50,56},{-50,36}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, GlucosePool.SolventVolume) annotation (
          Line(
          points={{-90,10},{-100,10},{-100,62},{-74,62}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Glomerulus_GFR, Glomerulus.solventFlow) annotation (
          Line(
          points={{-90,10},{-100,10},{-100,82},{-24,82}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BladderVolume_Mass, Bladder.SolventVolume) 
        annotation (Line(
          points={{-90,10},{-100,10},{-100,92},{38,92},{38,82},{70,82}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Reabsorbtion.Outflow, flowMeasure.q_in) annotation (Line(
          points={{22,76},{56,76}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.q_out, Bladder.q_out) annotation (Line(
          points={{64,76},{78,76}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.CD_Glucose_Outflow, flowMeasure.actualFlow) 
        annotation (Line(
          points={{-90,10},{60,10},{60,71}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(GlucosePool.q_out, concentrationMeasure.q_in) annotation (Line(
          points={{-66,56},{-60,56},{-60,68},{-66,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.Glucose, concentrationMeasure.actualConc) 
        annotation (Line(
          points={{-90,10},{-100,10},{-100,72},{-66,72}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(YGLS.y, busConnector.GlucoseToCellsFlow) annotation (Line(
          points={{14.9,-17},{20,-16},{24,-16},{24,10},{-90,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow,YGLS. u2) 
                 annotation (Line(
          points={{-90,10},{-90,-17},{-5.8,-17}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.liver_GlucoseToCellStorageFlow,YGLS. u1) 
        annotation (Line(
          points={{-90,10},{-90,-9.8},{-5.8,-9.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow,YGLS. u3) 
        annotation (Line(
          points={{-90,10},{-90,-24.2},{-5.8,-24.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(MW.u, GlucosePool.SoluteMass) annotation (Line(
          points={{-66,24.8},{-66,48.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(MW.y, busConnector.GlucoseECF_Osmoles) annotation (Line(
          points={{-66,15.6},{-66,10},{-90,10}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={
            Bitmap(extent={{-96,108},{104,-92}}, fileName=
                  "icons/D-glucose-chain-3D-balls.png"),
            Text(
              extent={{-160,-62},{160,-90}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end Glucose;

    model Proteins
     // extends Library.Interfaces.BaseModel;
      Library.ConcentrationFlow.ConcentrationCompartment CellProteins(
          initialSoluteMass=6000000.0, stateName="CellProtein.Mass") 
        annotation (Placement(transformation(extent={{-52,8},{-32,28}})));
      Library.ConcentrationFlow.OutputPump Degradation 
        annotation (Placement(transformation(extent={{-58,-74},{-26,-42}})));
      Modelica.Blocks.Math.Gain K(k=0.0000053) 
        annotation (Placement(transformation(extent={{10,-10},{-10,10}},
            rotation=90,
            origin={-42,-30})));
      Library.ConcentrationFlow.SolventFlowPump Outflow 
        annotation (Placement(transformation(extent={{-14,30},{6,50}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow aminoAcids(conc(
            final unit="mg/ml"), q(final unit="mg/min")) 
                                 annotation (Placement(
            transformation(extent={{64,0},{84,20}}),    iconTransformation(extent={{90,-10},
                {110,10}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-88,38},{-68,58}}),
            iconTransformation(extent={{-102,-10},{-82,10}})));
      Library.ConcentrationFlow.SolventFlowPump Inflow 
        annotation (Placement(transformation(extent={{8,-18},{-12,2}})));
      Library.Blocks.Constant Constant(k=.88) 
        annotation (Placement(transformation(extent={{-16,50},{-8,58}})));
      Library.Blocks.Constant Constant1(k=464) 
        annotation (Placement(transformation(extent={{-16,2},{-8,10}})));
    equation
      connect(Degradation.q_in, CellProteins.q_out)  annotation (Line(
          points={{-51.6,-58},{-70,-58},{-70,18},{-42,18}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(K.u, CellProteins.SoluteMass) 
                                           annotation (Line(
          points={{-42,-18},{-41.7,-18},{-41.7,10.2},{-42,10.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(K.y, Degradation.desiredFlow)   annotation (Line(
          points={{-42,-41},{-42,-51.6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellProteins.q_out, Outflow.q_in)   annotation (Line(
          points={{-42,18},{-24.9,18},{-24.9,40},{-14,40}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(busConnector.ICFV_Vol, CellProteins.SolventVolume) annotation (
          Line(
          points={{-78,48},{-80,48},{-80,24},{-50,24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(CellProteins.q_out, Inflow.q_out) annotation (Line(
          points={{-42,18},{-24,18},{-24,-6},{-12,-6},{-12,-8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Inflow.q_in, aminoAcids) annotation (Line(
          points={{8,-8},{42,-8},{42,10},{74,10}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Outflow.q_out, aminoAcids) annotation (Line(
          points={{6,40},{42,40},{42,10},{74,10}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Constant.y, Outflow.solventFlow) annotation (Line(
          points={{-7.6,54},{-4,54},{-4,46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Inflow.solventFlow, Constant1.y) annotation (Line(
          points={{-2,-2},{-2,6},{-7.6,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CellProtein_Mass, CellProteins.SoluteMass) annotation (
          Line(
          points={{-78,48},{-80,48},{-80,4},{-42,4},{-42,10.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,-3},{-6,-3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Bitmap(extent={{-100,100},{100,-100}}, fileName="icons/protein.png"),
            Text(
              extent={{-106,-102},{106,-124}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end Proteins;

    model GILumen
      extends Library.Interfaces.Tissues.GILumen;
      Library.ConcentrationFlow.ConcentrationCompartment Carbohydrates(
          initialSoluteMass=1976.32, stateName="GILumenCarbohydrates.Mass") 
        annotation (Placement(transformation(extent={{0,38},{20,58}})));
      Library.ConcentrationFlow.SoluteFlowPump Absorbtion 
        annotation (Placement(transformation(extent={{-6,6},{6,-6}},
            rotation=90,
            origin={14,66})));
      Library.ConcentrationFlow.InputPump Diet 
        annotation (Placement(transformation(extent={{-18,58},{2,38}})));
      Library.Factors.SplineValue AbsorptionSaturation(data={{0,0,0.0},{1900,
            150,0.08},{6000,600,0.0}}, curve(iFrom(start=2))) 
                                       annotation (Placement(transformation(
            extent={{-10,10},{10,-10}},
            rotation=90,
            origin={26,66})));
      Library.Blocks.Constant Constant(k=1) 
        annotation (Placement(transformation(extent={{34,64},{30,68}})));
      Library.ConcentrationFlow.ConcentrationCompartment Fat(initialSoluteMass=
            2041.83, stateName="GILumenFat.Mass") 
        annotation (Placement(transformation(extent={{0,-92},{20,-72}})));
      Library.ConcentrationFlow.SoluteFlowPump Absorbtion1 
        annotation (Placement(transformation(extent={{-6,6},{6,-6}},
            rotation=90,
            origin={14,-64})));
      Library.ConcentrationFlow.InputPump Diet1 
        annotation (Placement(transformation(extent={{-18,-72},{2,-92}})));
      Library.Factors.SimpleMultiply AbsorptionSaturation1 
                                       annotation (Placement(transformation(
            extent={{-10,10},{10,-10}},
            rotation=90,
            origin={26,-64})));
      Library.Blocks.Constant Constant1(k=0.03) 
        annotation (Placement(transformation(extent={{38,-68},{30,-60}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-88,48},{-48,88}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow
        Carbohydrates_Absorption(conc(final unit="mg/ml"), q(final unit=
              "mg/min"))         annotation (Placement(
            transformation(extent={{38,72},{58,92}}),   iconTransformation(extent={{90,-70},
                {110,-50}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow Fat_Absorption(conc(
            final unit="mg/ml"), q(final unit="mg/min")) 
                                 annotation (Placement(
            transformation(extent={{42,-60},{62,-40}}), iconTransformation(extent={{90,-10},
                {110,10}})));
      Library.ConcentrationFlow.ConcentrationCompartment Protein(
          initialSoluteMass=1637.19, stateName="GILumenProtein.Mass") 
        annotation (Placement(transformation(extent={{0,-28},{20,-8}})));
      Library.ConcentrationFlow.SoluteFlowPump Absorbtion2 
        annotation (Placement(transformation(extent={{-6,6},{6,-6}},
            rotation=90,
            origin={14,0})));
      Library.ConcentrationFlow.InputPump Diet2 
        annotation (Placement(transformation(extent={{-18,-8},{2,-28}})));
      Library.Factors.SimpleMultiply AbsorptionSaturation2 
                                       annotation (Placement(transformation(
            extent={{-10,10},{10,-10}},
            rotation=90,
            origin={26,0})));
      Library.Blocks.Constant Constant2(k=0.05) 
        annotation (Placement(transformation(extent={{38,-4},{30,4}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow Protein_Absorption(
          conc(final unit="mg/ml"), q(final unit="mg/min")) 
                                 annotation (Placement(
            transformation(extent={{42,4},{62,24}}),    iconTransformation(extent={{90,50},
                {110,70}})));
      Library.Factors.SplineValue LeptinEffect(data={{0,3.0,0},{8,1.0,-0.04},{
            50,0.0,0}}) 
        annotation (Placement(transformation(extent={{-44,-58},{-24,-38}})));
      Library.Blocks.Constant Constant3(k=(800/9.30)*1000) 
        annotation (Placement(transformation(extent={{-44,-44},{-36,-36}})));
      Library.Blocks.Constant Constant4(k=1/1440) 
        annotation (Placement(transformation(extent={{-64,-60},{-56,-52}})));
      Library.Factors.SimpleMultiply DietFeedingFraction 
        annotation (Placement(transformation(extent={{-44,-66},{-24,-46}})));
      Library.Factors.SplineValue LeptinEffect1(data={{0,3.0,0},{8,1.0,-0.04},{
            50,0.0,0}}) 
        annotation (Placement(transformation(extent={{-40,2},{-20,22}})));
      Library.Blocks.Constant Constant5(k=(500/4.35)*1000) 
        annotation (Placement(transformation(extent={{-40,16},{-32,24}})));
      Library.Blocks.Constant Constant6(k=1/1440) 
        annotation (Placement(transformation(extent={{-60,0},{-52,8}})));
      Library.Factors.SimpleMultiply DietFeedingFraction1 
        annotation (Placement(transformation(extent={{-40,-6},{-20,14}})));
      Library.Factors.SplineValue LeptinEffect2(data={{0,3.0,0},{8,1.0,-0.04},{
            50,0.0,0}}) 
        annotation (Placement(transformation(extent={{-26,70},{-6,90}})));
      Library.Blocks.Constant Constant7(k=(900/4.1)*1000) 
        annotation (Placement(transformation(extent={{-26,84},{-18,92}})));
      Library.Blocks.Constant Constant8(k=1/1440) 
        annotation (Placement(transformation(extent={{-46,68},{-38,76}})));
      Library.Factors.SimpleMultiply DietFeedingFraction2 
        annotation (Placement(transformation(extent={{-26,62},{-6,82}})));
    equation
      connect(Carbohydrates.q_out, Absorbtion.q_in) 
                                              annotation (Line(
          points={{10,48},{14,48},{14,60}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Diet.q_out, Carbohydrates.q_out) 
                                         annotation (Line(
          points={{-2,48},{10,48}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Carbohydrates.SoluteMass, AbsorptionSaturation.u) 
                                                          annotation (Line(
          points={{10,40.2},{10,32},{26,32},{26,56.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AbsorptionSaturation.y,Absorbtion. soluteFlow) annotation (Line(
          points={{24,66},{17.6,66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AbsorptionSaturation.yBase,Constant. y) annotation (Line(
          points={{28,66},{29.8,66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Fat.q_out, Absorbtion1.q_in)    annotation (Line(
          points={{10,-82},{14,-82},{14,-70}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Diet1.q_out, Fat.q_out)    annotation (Line(
          points={{-2,-82},{10,-82}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Fat.SoluteMass, AbsorptionSaturation1.u)    annotation (Line(
          points={{10,-89.8},{10,-98},{26,-98},{26,-73.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AbsorptionSaturation1.y,Absorbtion1. soluteFlow) 
                                                             annotation (Line(
          points={{24,-64},{17.6,-64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AbsorptionSaturation1.yBase,Constant1. y) 
                                                      annotation (Line(
          points={{28,-64},{29.6,-64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.GILumenVolume_Mass, Fat.SolventVolume) 
        annotation (Line(
          points={{-68,68},{-68,-76},{2,-76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GILumenVolume_Mass, Carbohydrates.SolventVolume) 
        annotation (Line(
          points={{-68,68},{-68,54},{2,54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Absorbtion1.q_out, Fat_Absorption) annotation (Line(
          points={{14,-58},{14,-50},{52,-50}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Absorbtion.q_out, Carbohydrates_Absorption) annotation (Line(
          points={{14,72},{14,82},{48,82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Protein.q_out, Absorbtion2.q_in) 
                                              annotation (Line(
          points={{10,-18},{14,-18},{14,-6}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Diet2.q_out, Protein.q_out) 
                                         annotation (Line(
          points={{-2,-18},{10,-18}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Protein.SoluteMass, AbsorptionSaturation2.u) 
                                                          annotation (Line(
          points={{10,-25.8},{10,-34},{26,-34},{26,-9.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AbsorptionSaturation2.y,Absorbtion2. soluteFlow) 
                                                             annotation (Line(
          points={{24,1.22465e-016},{20,1.22465e-016},{20,-2.20436e-016},{17.6,
              -2.20436e-016}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AbsorptionSaturation2.yBase,Constant2. y) 
                                                      annotation (Line(
          points={{28,-1.22465e-016},{28,0},{29.6,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.GILumenVolume_Mass, Protein.SolventVolume) 
        annotation (Line(
          points={{-68,68},{-68,-12},{2,-12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Absorbtion2.q_out, Protein_Absorption) annotation (Line(
          points={{14,6},{14,14},{52,14}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.FA_Absorbtion, AbsorptionSaturation1.y) annotation (
          Line(
          points={{-68,68},{-68,-64},{24,-64}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Leptin, LeptinEffect.u) annotation (Line(
          points={{-68,68},{-68,-48},{-43.8,-48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant3.y, LeptinEffect.yBase) annotation (Line(
          points={{-35.6,-40},{-34,-40},{-34,-46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant4.y, DietFeedingFraction.u) annotation (Line(
          points={{-55.6,-56},{-43.8,-56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LeptinEffect.y, DietFeedingFraction.yBase) annotation (Line(
          points={{-34,-50},{-32,-50},{-32,-54},{-34,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(DietFeedingFraction.y, Diet1.desiredFlow) annotation (Line(
          points={{-34,-58},{-34,-94},{-8,-94},{-8,-86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Leptin, LeptinEffect1.u) annotation (Line(
          points={{-68,68},{-68,12},{-39.8,12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant5.y, LeptinEffect1.yBase) annotation (Line(
          points={{-31.6,20},{-30,20},{-30,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant6.y, DietFeedingFraction1.u) annotation (Line(
          points={{-51.6,4},{-39.8,4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LeptinEffect1.y, DietFeedingFraction1.yBase) annotation (Line(
          points={{-30,10},{-30,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(DietFeedingFraction1.y, Diet2.desiredFlow) annotation (Line(
          points={{-30,2},{-30,-28},{-8,-28},{-8,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
          points={{-68,68},{-68,80},{-25.8,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant7.y, LeptinEffect2.yBase) annotation (Line(
          points={{-17.6,88},{-16,88},{-16,82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant8.y, DietFeedingFraction2.u) annotation (Line(
          points={{-37.6,72},{-25.8,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LeptinEffect2.y, DietFeedingFraction2.yBase) annotation (Line(
          points={{-16,78},{-16,74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(DietFeedingFraction2.y, Diet.desiredFlow) annotation (Line(
          points={{-16,70},{-16,36},{-8,36},{-8,44}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-168,-106},{152,-134}},
              lineColor={0,0,255},
              textString="%name"), Rectangle(extent={{-100,100},{100,-100}},
                lineColor={0,0,0})}));
    end GILumen;

    model Urea
        //extends Library.Interfaces.BaseModel;
      Library.ConcentrationFlow.PositiveConcentrationFlow ureaFromMetabolism(
          conc(final unit="mg/ml"), q(final unit="mg/min")) 
                                 annotation (Placement(transformation(extent={{
                -30,54},{-10,74}}), iconTransformation(extent={{50,90},{70,110}})));
      Library.ConcentrationFlow.Reabsorbtion reabsorbtion 
        annotation (Placement(transformation(extent={{-20,-40},{0,-20}})));
      Library.ConcentrationFlow.SolventFlowPump CD_Outflow 
        annotation (Placement(transformation(extent={{42,-40},{62,-20}})));
      Library.ConcentrationFlow.ConcentrationCompartment Medulla(
                                     stateName="MedullaUrea.Mass",
          initialSoluteMass=590) 
        annotation (Placement(transformation(extent={{22,-66},{42,-46}})));
      Library.Blocks.FractConstant fractConstant(k=40) 
        annotation (Placement(transformation(extent={{-5,-5},{5,5}},
            rotation=180,
            origin={-1,-17})));
      Library.ConcentrationFlow.ConcentrationCompartment Blader(
          initialSoluteMass=0, stateName="BladderUrea.Mass",
        STEADY=false) 
        annotation (Placement(transformation(extent={{80,-16},{100,4}})));
      Library.ConcentrationFlow.SolventFlowPump VasaRecta_Outflow 
        annotation (Placement(transformation(extent={{16,-52},{-4,-72}})));
      Library.Blocks.Fract2Constant CCEfficiency(k=98) 
        annotation (Placement(transformation(extent={{-30,-94},{-18,-82}})));
      Modelica.Blocks.Math.Product product 
        annotation (Placement(transformation(extent={{-10,-84},{2,-72}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-48,60},{-8,100}}),
            iconTransformation(extent={{-100,20},{-60,60}})));
      Library.ConcentrationFlow.ConcentrationCompartment Urea(initialSoluteMass=
           5717.91, stateName="UreaPool.Mass") 
        annotation (Placement(transformation(extent={{-14,24},{6,44}})));
      Library.ConcentrationFlow.SolventFlowPump Glomerulus annotation (
          Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-38,-12})));
      Library.ConcentrationFlow.ConcentrationCompartment UreaCell(
          initialSoluteMass=10150, stateName="UreaCell.Mass") 
        annotation (Placement(transformation(extent={{48,24},{68,44}})));
      Library.ConcentrationFlow.ResistorWithCondParam DC(cond=910) 
        annotation (Placement(transformation(extent={{14,24},{34,44}})));
      Library.ConcentrationFlow.FlowMeasure flowMeasure 
        annotation (Placement(transformation(extent={{64,-38},{80,-22}})));
      Library.ConcentrationFlow.ConcentrationMeasure osmolarityMeasure(
          unitsString="Osmolarity", toAnotherUnitCoef=16.67) 
        annotation (Placement(transformation(extent={{44,-66},{64,-46}})));
      Modelica.Blocks.Math.Gain mg2mosm(k=0.01667) 
        annotation (Placement(transformation(extent={{-8,18},{-16,26}})));
      Modelica.Blocks.Math.Gain mg2mosm1(k=0.01667) 
        annotation (Placement(transformation(extent={{48,10},{40,18}})));
    equation
      connect(reabsorbtion.Outflow, CD_Outflow.q_in) annotation (Line(
          points={{0,-30},{42,-30}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(reabsorbtion.Outflow, Medulla.q_out) annotation (Line(
          points={{0,-30},{32,-30},{32,-56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(fractConstant.y, reabsorbtion.ReabsorbedFract) annotation (Line(
          points={{-6.5,-17},{-10,-17},{-10,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(VasaRecta_Outflow.q_in, Medulla.q_out) annotation (Line(
          points={{16,-62},{24,-62},{24,-56},{32,-56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(CCEfficiency.y2, product.u2) annotation (Line(
          points={{-17.4,-91.12},{-14,-91.12},{-14,-81.6},{-11.2,-81.6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(product.y, VasaRecta_Outflow.solventFlow) annotation (Line(
          points={{2.6,-78},{6,-78},{6,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.BladderVolume_Mass, Blader.SolventVolume) 
        annotation (Line(
          points={{-28,80},{-28,0},{82,0}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_H2O_Outflow, CD_Outflow.solventFlow) annotation (
          Line(
          points={{-28,80},{-28,0},{52,0},{52,-24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Medulla_Volume, Medulla.SolventVolume) annotation (
          Line(
          points={{-28,80},{-28,-50},{24,-50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Glomerulus.q_out, reabsorbtion.Inflow) annotation (Line(
          points={{-38,-22},{-38,-30},{-20,-30}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea.q_out, Glomerulus.q_in) annotation (Line(
          points={{-4,34},{-38,34},{-38,-2}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(VasaRecta_Outflow.q_out, Urea.q_out) annotation (Line(
          points={{-4,-62},{-54,-62},{-54,34},{-4,34}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(reabsorbtion.Reabsorbtion, Urea.q_out) annotation (Line(
          points={{-10,-34},{-10,-62},{-54,-62},{-54,34},{-4,34}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ureaFromMetabolism, Urea.q_out) annotation (Line(
          points={{-20,64},{-4,64},{-4,34}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.ICFV_Vol, UreaCell.SolventVolume) annotation (Line(
          points={{-28,80},{-28,74},{28,74},{28,40},{50,40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Urea.q_out, DC.q_in) annotation (Line(
          points={{-4,34},{15.4,34}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(DC.q_out, UreaCell.q_out) annotation (Line(
          points={{32.6,34},{58,34}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, Urea.SolventVolume) annotation (Line(
          points={{-28,80},{-28,40},{-12,40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Glomerulus_GFR, Glomerulus.solventFlow) annotation (
          Line(
          points={{-28,80},{-28,-12},{-32,-12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.VasaRecta_Outflow, product.u1) annotation (Line(
          points={{-28,80},{-28,-74.4},{-11.2,-74.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(CD_Outflow.q_out, flowMeasure.q_in) annotation (Line(
          points={{62,-30},{68.8,-30}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.q_out, Blader.q_out) annotation (Line(
          points={{75.2,-30},{82,-30},{82,-6},{90,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.actualFlow, busConnector.CD_Urea_Outflow) annotation (
         Line(
          points={{72,-26},{72,80},{-28,80}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Medulla.q_out, osmolarityMeasure.q_in) annotation (Line(
          points={{32,-56},{54,-56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(osmolarityMeasure.actualConc, busConnector.MedullaUrea_Osmolarity) 
        annotation (Line(
          points={{54,-52},{54,-44},{100,-44},{100,80},{-28,80}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Urea.SoluteMass, mg2mosm.u) annotation (Line(
          points={{-4,26.2},{-4,22},{-7.2,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.UreaECF_Osmoles, mg2mosm.y) annotation (Line(
          points={{-28,80},{-28,22},{-16.4,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(UreaCell.SoluteMass, mg2mosm1.u) annotation (Line(
          points={{58,26.2},{58,14},{48.8,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.UreaICF_Osmoles, mg2mosm1.y) annotation (Line(
          points={{-28,80},{-28,14},{39.6,14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Bitmap(extent={{-20,100},{80,0}}, fileName="icons/Urea.jpg"),
            Text(
              extent={{-144,-16},{176,-44}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end Urea;

    model KetoAcids
     // extends Library.Interfaces.BaseModel;
      Library.ConcentrationFlow.ConcentrationCompartment KAPool(
                                     stateName="KAPool.Mass", initialSoluteMass=
           14361.0097207699*4.97693776095066e-003) "mg/ml" 
        annotation (Placement(transformation(extent={{-32,14},{-12,34}})));
      Library.ConcentrationFlow.ConcentrationCompartment Bladder(
          initialSoluteMass=0, stateName="BladderKetoacid.Mass",
        STEADY=false) 
        annotation (Placement(transformation(extent={{76,-96},{96,-76}})));
      Library.ConcentrationFlow.InputPump KAPump 
        annotation (Placement(transformation(extent={{-74,32},{-54,52}})));
      Library.ConcentrationFlow.SolventFlowPump glomerulusKARate 
        annotation (Placement(transformation(extent={{-18,-56},{2,-36}})));
      Electrolytes.Phosphate.GlomerulusStrongAnionFiltration glomerulus 
        annotation (Placement(transformation(extent={{-42,-56},{-22,-36}})));
      Library.ConcentrationFlow.FractReabsorbtion NephronKetoacids(
          MaxReab=30) 
        annotation (Placement(transformation(extent={{42,-56},{62,-36}})));
      Library.Blocks.Constant Constant(k=1) 
        annotation (Placement(transformation(extent={{70,-38},{62,-30}})));
      Library.Factors.SplineValue PhEffect(data={{7.00,0.0,0},{7.40,1.0,0}}) 
        annotation (Placement(transformation(extent={{16,-36},{36,-16}})));
      Library.Blocks.Constant Constant1(k=1) 
        annotation (Placement(transformation(extent={{38,-22},{30,-14}})));
      Library.ConcentrationFlow.OutputPump KADecomposition 
        annotation (Placement(transformation(extent={{-50,26},{-70,6}})));
      Modelica.Blocks.Math.Gain K(k=.0007) 
        annotation (Placement(transformation(extent={{-26,6},{-32,12}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow q_out(conc(final unit
            =                                                                   "mg/ml"),
          q(final unit="mg/min")) 
                                 annotation (Placement(
            transformation(extent={{-88,54},{-48,94}}), iconTransformation(extent={{-10,-70},
                {10,-50}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="mmol/l", toAnotherUnitCoef=9.8) 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-8,32})));
      Library.ConcentrationFlow.FlowMeasure flowMeasure 
        annotation (Placement(transformation(extent={{70,-56},{90,-36}})));
      Modelica.Blocks.Math.Gain gain1(k=0.0098) 
        annotation (Placement(transformation(extent={{-10,12},{-6,16}})));
      Library.ConcentrationFlow.SolventOutflowPump bladderVoid 
        annotation (Placement(transformation(extent={{34,-98},{22,-86}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-96,82},{-76,102}}),
            iconTransformation(extent={{-100,90},{-80,110}})));
      Library.Blocks.MassFlowConstant electrolytesFlowConstant4(       k=0) 
        annotation (Placement(transformation(extent={{-78,48},{-72,54}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
          unitsString="mg/dl", toAnotherUnitCoef=100.0) 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-8,44})));
      Library.ConcentrationFlow.FlowMeasure flowMeasure1 
        annotation (Placement(transformation(extent={{-40,42},{-20,62}})));
      Modelica.Blocks.Math.Gain MG_TO_MMOL(k=0.0098) annotation (Placement(
            transformation(
            extent={{-6,-6},{6,6}},
            rotation=90,
            origin={-30,68})));
    equation
      connect(glomerulus.q_out,glomerulusKARate. q_in)     annotation (Line(
          points={{-22,-46},{-18,-46}},
          color={0,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(glomerulusKARate.q_out, NephronKetoacids.Inflow) annotation (
          Line(
          points={{2,-46},{42,-46}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(NephronKetoacids.Effects, Constant.y) annotation (Line(
          points={{60,-42},{60,-34},{61.6,-34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, PhEffect.yBase) annotation (Line(
          points={{29.6,-18},{26,-18},{26,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(KAPool.SoluteMass, K.u) annotation (Line(
          points={{-22,16.2},{-22,9},{-25.4,9}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(K.y, KADecomposition.desiredFlow) annotation (Line(
          points={{-32.3,9},{-60,9},{-60,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(KAPool.q_out, concentrationMeasure.q_in) annotation (Line(
          points={{-22,24},{-16,24},{-16,32},{-8,32}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(NephronKetoacids.Outflow, flowMeasure.q_in) annotation (Line(
          points={{62,-46},{76,-46}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(flowMeasure.q_out, Bladder.q_out) annotation (Line(
          points={{84,-46},{90,-46},{90,-86},{86,-86}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(KAPool.SoluteMass, gain1.u) annotation (Line(
          points={{-22,16.2},{-22,14},{-10.4,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
          points={{86,-86},{70,-86},{70,-92},{34,-92}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(bladderVoid.solventFlow, busConnector.BladderVoidFlow) annotation (Line(
          points={{28,-88.4},{28,-78},{-84,-78},{-84,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(KAPool.SolventVolume,busConnector.ECFV_Vol)  annotation (Line(
          points={{-30,30},{-84,30},{-84,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Bladder.SolventVolume,busConnector.BladderVolume_Mass)  annotation (Line(
          points={{78,-80},{-84,-80},{-84,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(glomerulusKARate.solventFlow,busConnector.Glomerulus_GFR) 
        annotation (Line(
          points={{-8,-40},{-8,-28},{-84,-28},{-84,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PhEffect.u,busConnector. BloodPh_ArtysPh) annotation (Line(
          points={{16.2,-26},{-84,-26},{-84,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.BloodIons_Cations, glomerulus.Cations) annotation (Line(
          points={{-86,92},{-84,92},{-84,-28},{-38,-28},{-38,-41}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain1.y,busConnector. KAPool_Osmoles) annotation (Line(
          points={{-5.8,14},{81.1,14},{81.1,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(electrolytesFlowConstant4.y, KAPump.desiredFlow) annotation (Line(
          points={{-71.7,51},{-64,51},{-64,46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(flowMeasure.actualFlow, busConnector.CD_KA_Outflow) annotation (
          Line(
          points={{80,-41},{80,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(KAPool.q_out, concentrationMeasure1.q_in) annotation (Line(
          points={{-22,24},{-16,24},{-16,44},{-8,44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure1.actualConc, busConnector.KAPool) 
        annotation (Line(
          points={{-8,48},{80,48},{80,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure.actualConc, busConnector.KAPool_conc_per_liter) 
        annotation (Line(
          points={{-8,36},{80,36},{80,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(KAPump.q_out, flowMeasure1.q_in) annotation (Line(
          points={{-58,42},{-46,42},{-46,52},{-34,52}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(KADecomposition.q_in, flowMeasure1.q_in) annotation (Line(
          points={{-54,16},{-46,16},{-46,52},{-34,52}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(q_out, flowMeasure1.q_in) annotation (Line(
          points={{-68,74},{-46,74},{-46,52},{-34,52}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure1.q_out, KAPool.q_out) annotation (Line(
          points={{-26,52},{-22,52},{-22,24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure1.actualFlow, MG_TO_MMOL.u) annotation (Line(
          points={{-30,57},{-30,60.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PhEffect.y, NephronKetoacids.Normal) annotation (Line(
          points={{26,-28},{26,-32},{46,-32},{46,-42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(KAPool.q_out, glomerulus.q_in) annotation (Line(
          points={{-22,24},{6,24},{6,-4},{-62,-4},{-62,-46},{-42,-46}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(NephronKetoacids.Reabsorbtion, KAPool.q_out) annotation (Line(
          points={{52,-50},{52,-70},{-62,-70},{-62,-4},{6,-4},{6,24},{-22,24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));

      connect(busConnector.BloodIons_ProteinAnions, glomerulus.ProteinAnions) 
        annotation (Line(
          points={{-86,92},{-84,92},{-84,-28},{-34,-28},{-34,-41}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(MG_TO_MMOL.y, busConnector.KA_Change_mmol_per_min) annotation (
          Line(
          points={{-30,74.6},{-30,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-80,-18},{-64,-20}},
              lineColor={0,0,0},
              textString="StrongAnions")}),         Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={
            Bitmap(extent={{-60,100},{60,0}}, fileName="icons/KetoAcid.jpg"),
            Text(
              extent={{-162,-18},{158,-46}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end KetoAcids;

    model Lipids
     // extends Library.Interfaces.BaseModel;
      //outer parameter Real EFC_Vol(final unit="ml");
      Library.ConcentrationFlow.MassStorageCompartment LipidDeposits(
          initialSoluteMass=12544.8) 
        annotation (Placement(transformation(extent={{96,12},{76,32}})));
      HumMod.Library.ConcentrationFlow.SimpleReaction FA_TO_Lipids 
        annotation (Placement(transformation(extent={{50,12},{70,32}})));
      Library.ConcentrationFlow.SoluteFlowPump LipidDeposits_Uptake 
        annotation (Placement(transformation(extent={{6,32},{26,52}})));
      Library.ConcentrationFlow.SoluteFlowPump LipidDeposits_Release 
        annotation (Placement(transformation(extent={{26,-18},{6,2}})));
      Library.Blocks.MassFlowConstant massFlowConstant2(k=100) 
        annotation (Placement(transformation(extent={{32,58},{22,68}})));
      Library.Factors.SplineValue InsulinEffect(data={{0,0.5,0.0},{20,1.0,0.03},{100,
            2.0,0.0}}) 
        annotation (Placement(transformation(extent={{6,44},{26,64}})));
      Library.Factors.SplineValue FattyAcidEffect(data={{0,0.0,0.0},{15,1.0,
            0.10},{50,3.0,0.0}}) 
        annotation (Placement(transformation(extent={{6,40},{26,60}})));
      Library.Blocks.Constant massFlowConstant5(k=.0075) 
        annotation (Placement(transformation(extent={{-14,18},{-6,26}})));
      Library.Factors.SplineValue GlucagonEffect(data={{120,1.0,0.0},{200,2.0,0.0}}) 
        annotation (Placement(transformation(extent={{6,-2},{26,18}})));
      Library.Factors.SplineValue InsulinEffect_(data={{0,2.0,0.0},{20,1.0,-0.04},{100,
            0.0,0.0}}) 
        annotation (Placement(transformation(extent={{6,2},{26,22}})));
      Library.Factors.SplineValue EpinephrineEffect(data={{0,0.5,0.0},{40,1.0,
            0.013},{400,4.0,0.0}}) 
        annotation (Placement(transformation(extent={{6,-6},{26,14}})));
      Library.Blocks.Constant Constant1(k=.001) 
        annotation (Placement(transformation(extent={{50,28},{58,36}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow FattyAcids(conc(
            final unit="mg/ml"), q(final unit="mg/min"))
        "extracellular storage"  annotation (Placement(
            transformation(extent={{-76,-54},{-56,-34}}),
                                                        iconTransformation(extent={{-10,-10},
                {10,10}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-108,86},{-88,106}}),
            iconTransformation(extent={{-90,-48},{-70,-28}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="mg/dl", toAnotherUnitCoef=100) "from mg/ml to mg/dl" 
        annotation (Placement(transformation(extent={{-16,-18},{4,2}})));
      Library.Factors.SimpleMultiply Fraction 
        annotation (Placement(transformation(extent={{6,6},{26,26}})));
      Library.Factors.SplineValue FattyAcidEffect_(data={{0,3.0,0.0},{15,1.0,-0.04},
            {100,0.0,0.0}}) 
        annotation (Placement(transformation(extent={{6,-10},{26,10}})));
      Library.ConcentrationFlow.ConcentrationCompartment Triglyceride(
                                     stateName="TriglyceridePool.Mass",
          initialSoluteMass=14294.7703129358) 
        annotation (Placement(transformation(extent={{-56,58},{-76,78}})));
      Modelica.Blocks.Math.Gain K(k=.0007) 
        annotation (Placement(transformation(extent={{-62,46},{-56,52}})));
      Library.ConcentrationFlow.OutputPump Decomposition 
        annotation (Placement(transformation(extent={{-62,30},{-42,50}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
          unitsString="mg/dl", toAnotherUnitCoef=100) "from mg/ml to mg/dl" 
        annotation (Placement(transformation(extent={{-16,32},{4,52}})));
      Library.ConcentrationFlow.ConcentrationCompartment FAPool(
          initialSoluteMass=2217.16, stateName="FAPool.Mass") "mg/ml" 
        annotation (Placement(transformation(extent={{0,-64},{20,-44}})));
      Library.ConcentrationFlow.OutputPump FADecomposition 
        annotation (Placement(transformation(extent={{16,-90},{36,-70}})));
      Modelica.Blocks.Math.Gain K1(
                                  k=.0007) 
        annotation (Placement(transformation(extent={{16,-74},{22,-68}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure2 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={24,-48})));
      Modelica.Blocks.Math.Gain gain(k=3.92, y(final unit="mmol/l")) 
        annotation (Placement(transformation(extent={{34,-50},{38,-46}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow toTriglicerides(conc(
            final unit="mg/ml"), q(final unit="mg/min")) "from GILumen" 
                                 annotation (Placement(
            transformation(extent={{-106,74},{-86,94}}),iconTransformation(extent={{-10,-90},
                {10,-70}})));
      Library.ConcentrationFlow.SoluteFlowPump TriglycerideHydrolysis 
        annotation (Placement(transformation(extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-66,4})));
      Library.Factors.SplineValue TriglycerideEffect1(data={{0,0.0,0.0},{100,
            1.0,0.03},{200,3.0,0.0}}) 
        annotation (Placement(transformation(extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-56,4})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure3(
          unitsString="mg/dl", toAnotherUnitCoef=100) "from mg/ml to mg/dl" 
        annotation (Placement(transformation(extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-66,18})));
      Library.ConcentrationFlow.SimpleReaction TRIG_TO_FFA 
        annotation (Placement(transformation(extent={{10,-10},{-10,10}},
            rotation=90,
            origin={-66,-20})));
      Library.Blocks.Constant Constant2(k=0.89) 
        annotation (Placement(transformation(extent={{-84,-24},{-76,-16}})));
      Library.Blocks.MassFlowConstant massFlowConstant1(k=100) 
        annotation (Placement(transformation(extent={{-38,-2},{-48,8}})));
      Library.ConcentrationFlow.SimpleReaction FFA_TO_TRIG 
        annotation (Placement(transformation(extent={{10,-10},{-10,10}},
            rotation=180,
            origin={-80,84})));
      Library.Blocks.Constant Constant3(k=1.12) 
        annotation (Placement(transformation(extent={{-90,68},{-82,76}})));
    equation
      connect(FA_TO_Lipids.q_out, LipidDeposits.q_out) 
                                                annotation (Line(
          points={{70,22},{86,22}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(InsulinEffect.y, FattyAcidEffect.yBase) 
                                                 annotation (Line(
          points={{16,52},{16,52}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EpinephrineEffect.yBase,GlucagonEffect. y) annotation (Line(
          points={{16,6},{16,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, FA_TO_Lipids.coef) 
                                            annotation (Line(
          points={{58.4,32},{60,32},{60,26}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(LipidDeposits_Release.q_in, FA_TO_Lipids.q_in) 
                                                       annotation (Line(
          points={{26,-8},{42,-8},{42,22},{50,22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LipidDeposits_Uptake.q_out, FA_TO_Lipids.q_in) 
                                                      annotation (Line(
          points={{26,42},{42,42},{42,22},{50,22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FattyAcids, concentrationMeasure.q_in) annotation (Line(
          points={{-66,-44},{-30,-44},{-30,-8},{-6,-8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(massFlowConstant2.y, InsulinEffect.yBase) annotation (Line(
          points={{21.5,63},{16,63},{16,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Insulin, InsulinEffect.u) annotation (Line(
          points={{-98,96},{-28,96},{-28,54},{6.2,54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(FattyAcidEffect.y, LipidDeposits_Uptake.soluteFlow) 
                                                       annotation (Line(
          points={{16,48},{16,48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Fraction.u, massFlowConstant5.y) annotation (Line(
          points={{6.2,16},{2,16},{2,22},{-5.6,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LipidDeposits.SoluteMass, Fraction.yBase) annotation (Line(
          points={{86,14.6},{86,10},{32,10},{32,22},{16,22},{16,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Fraction.y, InsulinEffect_.yBase) annotation (Line(
          points={{16,14},{16,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Insulin, InsulinEffect_.u) annotation (Line(
          points={{-98,96},{-28,96},{-28,12},{6.2,12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(GlucagonEffect.yBase, InsulinEffect_.y) annotation (Line(
          points={{16,10},{16,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Glucagon_conc, GlucagonEffect.u) annotation (Line(
          points={{-98,96},{-28,96},{-28,8},{6.2,8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.EpiPool_Epi, EpinephrineEffect.u) annotation (Line(
          points={{-98,96},{-28,96},{-28,4},{6.2,4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(LipidDeposits_Release.soluteFlow, FattyAcidEffect_.y) 
                                                      annotation (Line(
          points={{16,-2},{16,-2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EpinephrineEffect.y, FattyAcidEffect_.yBase) annotation (Line(
          points={{16,2},{16,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, FattyAcidEffect_.u) annotation (Line(
          points={{-6,-4},{-6,0},{6.2,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FattyAcids, LipidDeposits_Release.q_out) 
                                         annotation (Line(
          points={{-66,-44},{-30,-44},{-30,-8},{6,-8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(K.y, Decomposition.desiredFlow)   annotation (Line(
          points={{-55.7,49},{-52,49},{-52,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(K.u, Triglyceride.SoluteMass) annotation (Line(
          points={{-62.6,49},{-66,49},{-66,60.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Decomposition.q_in, Triglyceride.q_out) annotation (Line(
          points={{-58,40},{-66,40},{-66,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Triglyceride.SolventVolume, busConnector.ECFV_Vol) annotation (
          Line(
          points={{-58,74},{-38,74},{-38,96},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure1.actualConc, FattyAcidEffect.u) 
        annotation (Line(
          points={{-6,46},{-6,50},{6.2,50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FAPool.SolventVolume,busConnector.ECFV_Vol)  annotation (Line(
          points={{2,-48},{-96,-48},{-96,96},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FAPool.SoluteMass, K1.u) 
                                      annotation (Line(
          points={{10,-61.8},{10,-71},{15.4,-71}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(K1.y, FADecomposition.desiredFlow) 
                                                annotation (Line(
          points={{22.3,-71},{26,-71},{26,-76}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FADecomposition.q_in,FAPool. q_out) annotation (Line(
          points={{20,-80},{2,-80},{2,-54},{10,-54}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(concentrationMeasure2.actualConc, gain.u) 
                                                       annotation (Line(
          points={{28,-48},{33.6,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain.y, busConnector.FAPool_conc_per_liter) annotation (Line(
          points={{38.2,-48},{99.1,-48},{99.1,96},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FAPool.q_out, concentrationMeasure2.q_in) 
                                                       annotation (Line(
          points={{10,-54},{16,-54},{16,-48},{24,-48}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(FAPool.q_out, FattyAcids) annotation (Line(
          points={{10,-54},{-30,-54},{-30,-44},{-66,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(TriglycerideEffect1.y, TriglycerideHydrolysis.soluteFlow) 
                                                       annotation (Line(
          points={{-58,4},{-59,4},{-59,4},{-60,4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Triglyceride.q_out, TriglycerideHydrolysis.q_in) 
                                                             annotation (Line(
          points={{-66,68},{-66,14}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure3.actualConc, TriglycerideEffect1.u) 
        annotation (Line(
          points={{-62,18},{-56,18},{-56,13.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Triglyceride.q_out,concentrationMeasure3. q_in) annotation (Line(
          points={{-66,68},{-66,18}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Constant2.y, TRIG_TO_FFA.coef) 
                                           annotation (Line(
          points={{-75.6,-20},{-70,-20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TRIG_TO_FFA.q_out, FattyAcids) annotation (Line(
          points={{-66,-30},{-66,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(TRIG_TO_FFA.q_in, TriglycerideHydrolysis.q_out) annotation (Line(
          points={{-66,-10},{-66,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(TriglycerideEffect1.yBase, massFlowConstant1.y) annotation (Line(
          points={{-54,4},{-52.75,4},{-52.75,3},{-48.5,3}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant3.y, FFA_TO_TRIG.coef) 
                                           annotation (Line(
          points={{-81.6,72},{-80,72},{-80,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FFA_TO_TRIG.q_out, Triglyceride.q_out) annotation (Line(
          points={{-70,84},{-66,84},{-66,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(toTriglicerides, FFA_TO_TRIG.q_in) annotation (Line(
          points={{-96,84},{-90,84}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FattyAcids, LipidDeposits_Uptake.q_in) annotation (Line(
          points={{-66,-44},{-30,-44},{-30,42},{6,42}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure1.q_in, FattyAcids) annotation (Line(
          points={{-6,42},{-30,42},{-30,-44},{-66,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LipidDeposits.SoluteMass, busConnector.LipidDeposits_Mass) 
        annotation (Line(
          points={{86,14.6},{86,10},{100,10},{100,96},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}},
            grid={2,2}), graphics={Text(
              extent={{80,36},{90,34}},
              lineColor={0,0,0},
              textString="[g]")}),                 Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Bitmap(extent={{-100,100},{100,-100}}, fileName=
                  "icons/FattyAcid.jpg"),
            Text(
              extent={{-168,-100},{152,-128}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end Lipids;

    package Metabolism "Metabolism Reactions in Tissues"

      model O2UseFromPO2
        "Anaerobic metabolism depends On Partial O2 pressure in tissue"

        parameter Real[:,3] PO2OnAerobicFractionData
          "Aerobic Fraction of O2 tissue use depents on pO2";

        Library.Interfaces.RealInput_ O2Need(unit="ml/min") 
                                                 annotation (Placement(
              transformation(
              extent={{-8,-8},{20,20}},
              rotation=270,
              origin={-6,60}),   iconTransformation(
              extent={{-11.4285,-11.4285},{28.5716,28.5716}},
              rotation=0,
              origin={-88.5716,71.4284})));
        Library.Interfaces.RealInput_ pO2(unit="mmHg") 
                                                  annotation (Placement(
              transformation(
              extent={{-20,-20},{20,20}},
              rotation=0,
              origin={-90,-2}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=0,
              origin={-80,0})));
        Modelica.Blocks.Math.Product product annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-6,-22})));
        Library.Curves.Curve PressureOnFlow(
          x=PO2OnAerobicFractionData[:, 1],
          y=PO2OnAerobicFractionData[:, 2],
          slope=PO2OnAerobicFractionData[:, 3],
          iFrom(start=size(PO2OnAerobicFractionData, 1))) 
          annotation (Placement(transformation(extent={{-48,-12},{-28,8}})));
        Library.Interfaces.RealOutput_ O2Use 
          annotation (Placement(transformation(extent={{80,-20},{120,20}}),
              iconTransformation(extent={{80,-20},{120,20}})));
      equation
        connect(product.u2,PressureOnFlow. val) annotation (Line(
            points={{-12,-10},{-12,-2},{-27.8,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pO2, PressureOnFlow.u) annotation (Line(
            points={{-90,-2},{-48,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Need, product.u1)   annotation (Line(
            points={{0,54},{0,-10},{1.77636e-015,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, O2Use) annotation (Line(
            points={{-6,-33},{-6,-52},{48,-52},{48,0},{100,0}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end O2UseFromPO2;

      partial model CellularMetabolismBase

        parameter Real ABurningRatio=0.1075/0.2093
          "how much units of reactant acids(fatty or keto) react with one unit of O2";

        parameter Real[:,3] LacFractionData
          "fraction of oxygen to be use for lactate metabolism (depends on lactate concentration)";

        Library.Interfaces.RealInput_ O2Use(unit="ml/min") 
                                                 annotation (Placement(
              transformation(
              extent={{-4.57101,-4.57142},{11.4274,11.4284}},
              rotation=0,
              origin={-89.427,-37.4284}),
                                 iconTransformation(
              extent={{-11.4284,-11.4285},{28.5715,28.5715}},
              rotation=0,
              origin={-104.572,-48.5715})));
        Library.Curves.Curve LacFraction(
          x=LacFractionData[:, 1],
          y=LacFractionData[:, 2],
          slope=LacFractionData[:, 3])   annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-10,52})));
        Modelica.Blocks.Math.Product O2UsedByLactate(y(final unit="ml/min"))
          "O2 used by lactate burning"       annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={0,4})));
        Modelica.Blocks.Math.Product O2UsedByFA
          "O2 used by fatty acids burning"    annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-44,-10})));
        Modelica.Blocks.Math.Feedback FAandGluFraction annotation (Placement(
              transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={-32,40})));
        Library.Blocks.Constant const(         k=1) 
          annotation (Placement(transformation(extent={{6,-6},{-6,6}},
              rotation=90,
              origin={-32,66})));
        Library.Blocks.SafeDivision Ratio   annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={-54,68})));
        Modelica.Blocks.Math.Division _      annotation (Placement(transformation(
              extent={{-10,-10},{0,0}},
              rotation=270,
              origin={-52,30})));
        Modelica.Blocks.Math.Product FAFraction 
                                              annotation (Placement(
              transformation(
              extent={{-10,-10},{0,0}},
              rotation=270,
              origin={-48,14})));
        Library.Blocks.Add plusKR(k=0.026) 
                                        annotation (Placement(transformation(
              extent={{-8,-8},{0,0}},
              rotation=270,
              origin={-56,46})));
        Library.PressureFlow.Pump oxygenToLactatePump 
          annotation (Placement(transformation(extent={{-10,-32},{10,-12}})));
        CorrectionOxygenInputPump inputPump 
          annotation (Placement(transformation(extent={{-80,-64},{-60,-44}})));
        LacAerobic LactateBurning 
          annotation (Placement(transformation(extent={{71,33},{91,53}})));
        CarboAerobic GlucoseBurning 
          annotation (Placement(transformation(extent={{69,-2},{89,18}})));
        HumMod.Metabolism.Metabolism.EnergyFlow.OutputPump TotalCalsUsed 
          annotation (Placement(transformation(extent={{76,-98},{56,-78}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow lactate(q(
              final unit="mEq/min"), conc(final unit="mEq/ml")) "in mEq/ml" 
          annotation (Placement(transformation(extent={{46,47},{66,67}}),
              iconTransformation(extent={{-70,90},{-50,110}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure3(
            unitsString="mg/dl", toAnotherUnitCoef=100) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={42,6})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
            unitsString="mg/dl", toAnotherUnitCoef=100) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={38,-66})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure2(
            unitsString="mg/dl", toAnotherUnitCoef=9008.0) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={50,64})));
        Library.ConcentrationFlow.PositiveConcentrationFlow glucose(q(
              final unit="mg/min"), conc(final unit="mg/ml")) "in mg/ml" 
          annotation (Placement(transformation(extent={{45,-4},{65,16}}),
              iconTransformation(extent={{-110,30},{-90,50}})));

        Library.Interfaces.RealOutput_ Tissue_CO2FromMetabolism annotation (
            Placement(transformation(extent={{98,58},{106,66}}),
              iconTransformation(extent={{74,-20},{114,20}})));
        Modelica.Blocks.Math.Sum CO2(nin=3) 
                                      annotation (Placement(transformation(
              extent={{-5.0625,-5.0625},{3.9375,3.9375}},
              rotation=0,
              origin={76.0625,60.0625})));
        Library.Interfaces.RealOutput_ Tissue_MotabolicH2ORate(unit="ml/min") 
                                                                annotation (
            Placement(transformation(extent={{90,-98},{100,-88}}),
              iconTransformation(extent={{-20,-20},{20,20}},
              rotation=270,
              origin={14,-98})));
        Modelica.Blocks.Math.Gain gain(k=.000176) 
          annotation (Placement(transformation(extent={{82,-96},{88,-90}})));
        Library.Interfaces.RealInput_ CalsUse(unit="cal/min") annotation (
            Placement(transformation(extent={{46,-86},{56,-76}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={40,100})));
        Modelica.Blocks.Math.Gain mlTOmmol(k=0.0446) 
          annotation (Placement(transformation(extent={{86,56},{96,66}})));
      equation
        connect(const.y,FAandGluFraction. u1) annotation (Line(
            points={{-32,59.4},{-32,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Ratio.y, plusKR.u) 
                                annotation (Line(
            points={{-54,57},{-58,58},{-60,54.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(plusKR.y, _.u2)   annotation (Line(
            points={{-60,45.6},{-60,41}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(_.u1, Ratio.y)      annotation (Line(
            points={{-54,41},{-54,57}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(_.y, FAFraction.u2)    annotation (Line(
            points={{-57,29.5},{-57,27.75},{-56,27.75},{-56,25}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FAandGluFraction.y, FAFraction.u1) 
                                                 annotation (Line(
            points={{-32,31},{-32,30},{-50,30},{-50,25}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FAFraction.y, O2UsedByFA.u2) 
                                         annotation (Line(
            points={{-53,13.5},{-53,6},{-50,6},{-50,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2UsedByLactate.u2, LacFraction.val) 
                                              annotation (Line(
            points={{6,16},{6,52},{0.2,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LacFraction.val, FAandGluFraction.u2) annotation (Line(
            points={{0.2,52},{6,52},{6,40},{-24,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2UsedByLactate.y, oxygenToLactatePump.desiredFlow) 
                                                             annotation (Line(
            points={{-2.02067e-015,-7},{-2.02067e-015,-12},{0,-12},{0,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Use, O2UsedByFA.u1) 
                                    annotation (Line(
            points={{-85.9988,-33.9999},{-26,-33.9999},{-26,24},{-38,24},{-38,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Use, O2UsedByLactate.u1) 
                                    annotation (Line(
            points={{-85.9988,-33.9999},{-26,-33.9999},{-26,24},{-6,24},{-6,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2Use, inputPump.desiredFlow) annotation (Line(
            points={{-85.9988,-33.9999},{-70,-33.9999},{-70,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inputPump.q_out, oxygenToLactatePump.q_in) annotation (Line(
            points={{-60,-53},{-18,-53},{-18,-22},{-10,-22}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(LactateBurning.e,TotalCalsUsed. q_in) annotation (Line(
            points={{81,41},{81,37},{94,37},{94,-88},{72,-88}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GlucoseBurning.e,TotalCalsUsed. q_in) annotation (Line(
            points={{79,6},{79,2},{94,2},{94,-88},{72,-88}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure2.q_in, lactate) annotation (Line(
            points={{50,64},{56,64},{56,57}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(concentrationMeasure3.q_in, glucose) annotation (Line(
            points={{42,6},{55,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(TotalCalsUsed.desiredFlow, CalsUse) annotation (Line(
            points={{66,-84},{66,-81},{51,-81}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inputPump.q_out, GlucoseBurning.oxygen) annotation (Line(
            points={{-60,-53},{24,-53},{24,10},{69,10}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(LactateBurning.lactate, lactate) annotation (Line(
            points={{71,41},{56,41},{56,57}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(oxygenToLactatePump.q_out, LactateBurning.oxygen) annotation (
            Line(
            points={{10,-22},{18,-22},{18,46},{71,46},{71,45}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure2.actualConc, LacFraction.u) annotation (
            Line(
            points={{50,68},{50,74},{-24,74},{-24,52},{-20,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, GlucoseBurning.carbo) annotation (Line(
            points={{55,6},{69,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure3.actualConc, Ratio.u2) annotation (Line(
            points={{42,10},{42,92},{-48,92},{-48,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure1.actualConc, Ratio.u1) annotation (Line(
            points={{38,-70},{38,-98},{-98,-98},{-98,92},{-60,92},{-60,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LactateBurning.CO2FromMetabolism, CO2.u[1]) annotation (Line(
            points={{89,47},{89,52},{68,52},{68,58.9},{70.1,58.9}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GlucoseBurning.CO2FromMetabolism, CO2.u[2]) annotation (Line(
            points={{87,12},{96,12},{96,52},{68,52},{68,59.5},{70.1,59.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, Tissue_MotabolicH2ORate) annotation (Line(
            points={{88.3,-93},{95,-93}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.u, CalsUse) annotation (Line(
            points={{81.4,-93},{76,-93},{76,-81},{51,-81}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CO2.y, mlTOmmol.u) annotation (Line(
            points={{80.45,59.5},{82,59.5},{82,61},{85,61}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mlTOmmol.y, Tissue_CO2FromMetabolism) annotation (Line(
            points={{96.5,61},{100,61},{100,62},{102,62}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}},
                  fileName="icons/cellularMetabolism.png")}),
                                          Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end CellularMetabolismBase;

      model CellularMetabolism
        extends CellularMetabolismBase;

        Library.PressureFlow.Pump oxygenToFattyAcidsPump 
          annotation (Placement(transformation(extent={{-54,-76},{-34,-56}})));
        FatAerobic FABurning "fatty acids or keto acids burning" 
          annotation (Placement(transformation(extent={{70,-66},{90,-46}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow fattyAcids(          q(
              final unit="mg/min"), conc(final unit="mg/ml")) "in mg/ml" 
          annotation (Placement(transformation(extent={{53,-68},{73,-48}}),
              iconTransformation(extent={{-110,-10},{-90,10}})));
        HumMod.Metabolism.Metabolism.AnaerobicGlucoseMetabolism
          Anaerobic_CAL_TO_MG_Carbo 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=90,
              origin={56,26})));
      equation

        connect(inputPump.q_out, oxygenToFattyAcidsPump.q_in) annotation (Line(
            points={{-60,-53},{-56,-53},{-56,-66},{-54,-66}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(FABurning.e, TotalCalsUsed.q_in) annotation (Line(
            points={{80,-58},{80,-66},{94,-66},{94,-88},{72,-88}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(oxygenToFattyAcidsPump.q_out, FABurning.oxygen) annotation (Line(
            points={{-34,-66},{30,-66},{30,-54},{70,-54}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure1.q_in, fattyAcids) annotation (Line(
            points={{38,-66},{50.5,-66},{50.5,-58},{63,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(FABurning.fat, fattyAcids) annotation (Line(
            points={{70,-58},{63,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Anaerobic_CAL_TO_MG_Carbo.e,TotalCalsUsed. q_in) annotation (Line(
            points={{58,26},{94,26},{94,-88},{72,-88}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucose, Anaerobic_CAL_TO_MG_Carbo.glucose) annotation (Line(
            points={{55,6},{55.8,6},{55.8,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Anaerobic_CAL_TO_MG_Carbo.lactate, lactate) annotation (Line(
            points={{56,36},{56,57}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(O2UsedByFA.y, oxygenToFattyAcidsPump.desiredFlow) annotation (
            Line(
            points={{-44,-21},{-44,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FABurning.CO2FromMetabolism, CO2.u[3]) annotation (Line(
            points={{88,-52},{88,-46},{98,-46},{98,52},{76,52},{76,60.1},{70.1,
                60.1}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(graphics));
      end CellularMetabolism;

      model MuscleCellularMetabolism
        extends CellularMetabolismBase;

        Library.PressureFlow.Pump oxygenToFattyAcidsPump 
          annotation (Placement(transformation(extent={{-54,-76},{-34,-56}})));
        FatAerobic FABurning "fatty acids or keto acids burning" 
          annotation (Placement(transformation(extent={{70,-66},{90,-46}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow fattyAcids(          q(
              final unit="mg/min"), conc(final unit="mg/ml")) "in mg/ml" 
          annotation (Placement(transformation(extent={{53,-68},{73,-48}}),
              iconTransformation(extent={{-110,-8},{-90,12}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow glycogen(         q(
              final unit="mg/min"), conc(final unit="g")) "in g" 
          annotation (Placement(transformation(extent={{47,-42},{67,-22}}),
              iconTransformation(extent={{-110,68},{-90,88}})));
        HumMod.Metabolism.Metabolism.AnaerobicGlucoseMetabolism
          Anaerobic_CAL_TO_MG_Carbo 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=90,
              origin={56,26})));
        AnaerobicGlycogenMetabolism anaerobicGlycogenMetabolism annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={32,-12})));
        HumMod.Metabolism.Metabolism.EnergyFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{72,-22},{92,-2}})));
      equation

        connect(inputPump.q_out, oxygenToFattyAcidsPump.q_in) annotation (Line(
            points={{-60,-53},{-56,-53},{-56,-66},{-54,-66}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(FABurning.e, TotalCalsUsed.q_in) annotation (Line(
            points={{80,-58},{80,-66},{94,-66},{94,-88},{72,-88}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(oxygenToFattyAcidsPump.q_out, FABurning.oxygen) annotation (Line(
            points={{-34,-66},{30,-66},{30,-54},{70,-54}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure1.q_in, fattyAcids) annotation (Line(
            points={{38,-66},{50.5,-66},{50.5,-58},{63,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(FABurning.fat, fattyAcids) annotation (Line(
            points={{70,-58},{63,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucose, Anaerobic_CAL_TO_MG_Carbo.glucose) annotation (Line(
            points={{55,6},{55.8,6},{55.8,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Anaerobic_CAL_TO_MG_Carbo.lactate, lactate) annotation (Line(
            points={{56,36},{56,57}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(anaerobicGlycogenMetabolism.glycogen, glycogen) annotation (Line(
            points={{31.8,-22},{32,-22},{32,-32},{57,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(anaerobicGlycogenMetabolism.lactate, lactate) annotation (Line(
            points={{32,-2},{32,57},{56,57}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(anaerobicGlycogenMetabolism.e, flowMeasure.q_in) annotation (Line(
            points={{34,-12},{76,-12}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Anaerobic_CAL_TO_MG_Carbo.e, flowMeasure.q_in) annotation (Line(
            points={{58,26},{66,26},{66,-12},{76,-12}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, TotalCalsUsed.q_in) annotation (Line(
            points={{88,-12},{94,-12},{94,-88},{72,-88}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(anaerobicGlycogenMetabolism.AnaerobicCals, flowMeasure.actualFlow) 
          annotation (Line(
            points={{34,-6},{58,-6},{58,-6.6},{82,-6.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(O2UsedByFA.y, oxygenToFattyAcidsPump.desiredFlow) annotation (
            Line(
            points={{-44,-21},{-44,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FABurning.CO2FromMetabolism, CO2.u[3]) annotation (Line(
            points={{88,-52},{88,-46},{98,-46},{98,52},{68,52},{68,60},{70,60},
                {70,60.1},{70.1,60.1}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(graphics), Icon(graphics));
      end MuscleCellularMetabolism;

      model BrainCellularMetabolism
        extends CellularMetabolismBase(plusKR(k=0.222));

        Library.PressureFlow.Pump oxygenToKetoAcidsPump 
          annotation (Placement(transformation(extent={{-54,-76},{-34,-56}})));
        KetoAerobic KABurning "keto acids or keto acids burning" 
          annotation (Placement(transformation(extent={{68,-66},{88,-46}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow ketoAcids(q(
              final unit="mg/min"), conc(final unit="mg/ml")) "in mg/ml" 
          annotation (Placement(transformation(extent={{43,-68},{63,-48}}),
              iconTransformation(extent={{-110,-10},{-90,10}})));
        HumMod.Metabolism.Metabolism.AnaerobicGlucoseMetabolism
          Anaerobic_CAL_TO_MG_Carbo 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=90,
              origin={56,26})));
      equation

        connect(inputPump.q_out, oxygenToKetoAcidsPump.q_in)  annotation (Line(
            points={{-60,-53},{-56,-53},{-56,-66},{-54,-66}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(KABurning.e, TotalCalsUsed.q_in) annotation (Line(
            points={{78,-58},{78,-62},{94,-62},{94,-88},{72,-88}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(oxygenToKetoAcidsPump.q_out, KABurning.oxygen) annotation (Line(
            points={{-34,-66},{30,-66},{30,-54},{68,-54}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure1.q_in, ketoAcids) annotation (Line(
            points={{38,-66},{43.5,-66},{43.5,-58},{53,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ketoAcids, ketoAcids) annotation (Line(
            points={{53,-58},{53,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ketoAcids, KABurning.ketoAcid) annotation (Line(
            points={{53,-58},{68,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Anaerobic_CAL_TO_MG_Carbo.e,TotalCalsUsed. q_in) annotation (Line(
            points={{58,26},{94,26},{94,-88},{72,-88}},
            color={200,200,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucose, Anaerobic_CAL_TO_MG_Carbo.glucose) annotation (Line(
            points={{55,6},{55.8,6},{55.8,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Anaerobic_CAL_TO_MG_Carbo.lactate, lactate) annotation (Line(
            points={{56,36},{56,57}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(O2UsedByFA.y, oxygenToKetoAcidsPump.desiredFlow) annotation (Line(
            points={{-44,-21},{-44,-60},{-44,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KABurning.CO2FromMetabolism, CO2.u[3]) annotation (Line(
            points={{86,-52},{86,-46},{96,-46},{96,52},{68,52},{68,60.1},{70.1,
                60.1}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(graphics));
      end BrainCellularMetabolism;

      partial model TissueMetabolismBase

        parameter Real initialTissueO2(final unit="ml")=4; //pO2*solubility*LiquidVolume
        parameter Real O2solubility(final unit="ml/mmHg")=0.00003;
        parameter Real O2fromBloodtoTissueConductance(final unit="ml/(min.mmHg)")=1000000;

        parameter Real initialLactateMass(final unit="mEq");
        parameter Real NormalCalsUsed(final unit="Cal/min");
        parameter Real DC(final unit="(mEq/min)/(mEq/ml)");
        parameter Real[:,3] PO2OnAerobicFractionData = {{2,0,0},{10,1,0}}
          "Aerobic Fraction of O2 tissue use depents on pO2";

        O2UseFromPO2 o2Use(
                    PO2OnAerobicFractionData=PO2OnAerobicFractionData) 
                    annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={80,0})));
        Library.ConcentrationFlow.ConcentrationCompartment Lactate(initialSoluteMass=
              initialLactateMass)
          "interstitial concentration is the same as intracellular concentration"
          annotation (Placement(transformation(extent={{7,4},{27,24}})));
        Library.Interfaces.RealInput_ LiquidVol(final unit="ml")
          "sum of interstitial and intracellular tissue water" 
          annotation (Placement(transformation(extent={{-6,15},{4,25}}),
              iconTransformation(extent={{-100,30},{-80,50}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow lactate(
            conc(final unit="mEq/ml"), q(final unit="mEq/min")) 
          annotation (Placement(transformation(extent={{-103,22},{-83,42}}),
              iconTransformation(extent={{90,10},{110,30}})));
        Library.Factors.SimpleMultiply Thyroid 
          annotation (Placement(transformation(extent={{60,74},{80,94}})));
        Library.Factors.SplineValue HeatMetabolism_Skin(data={{10,0.0,0},{37,
              1.0,0.12},{40,1.5,0},{46,0.0,0}}) 
          annotation (Placement(transformation(extent={{60,70},{80,90}})));
        Library.Factors.SimpleMultiply StructureEffect 
          annotation (Placement(transformation(extent={{60,66},{80,86}})));
        Library.Blocks.CaloriesConstant caloriesConstant(k=NormalCalsUsed) 
          annotation (Placement(transformation(extent={{59,87},{67,95}})));
        Library.Interfaces.RealInput_ T(final unit="degC") "temperature" 
          annotation (Placement(transformation(extent={{32,72},{42,82}}),
              iconTransformation(extent={{-100,-10},{-80,10}})));
        Library.Interfaces.RealInput_ Structure_Effect(final unit="1") 
          annotation (Placement(transformation(extent={{32,64},{42,74}}),
              iconTransformation(extent={{-100,10},{-80,30}})));
        Library.Interfaces.RealInput_ ThyroidEffect(final unit="1") 
          annotation (Placement(transformation(extent={{32,81},{42,91}}),
              iconTransformation(extent={{-100,-30},{-80,-10}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow glucose(
            conc(final unit="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-102,-44},{-82,-24}}),
              iconTransformation(extent={{90,90},{110,110}})));
        Library.Interfaces.RealInput_ BloodFlow(final unit="ml/min")
          "blood flow through all tissue capilaries cross-section" 
          annotation (Placement(transformation(extent={{-91,3},{-82,12}}),
              iconTransformation(extent={{-100,70},{-80,90}})));
        Modelica.Blocks.Math.Product PlasmaFlow1 
          annotation (Placement(transformation(extent={{-78,-5},{-70,3}})));
        Modelica.Blocks.Math.Gain CalToO2(k=0.2093) 
          annotation (Placement(transformation(extent={{4,-4},{-4,4}},
              rotation=90,
              origin={88,18})));
        Library.Interfaces.RealInput_ BloodVol_PVCrit(final unit="1")
          "part of plasma in blood" 
          annotation (Placement(transformation(extent={{-94,-9},{-84,1}}),
              iconTransformation(extent={{-100,90},{-80,110}})));
        Library.Interfaces.RealInput_ pO2(final unit="mmHg")
          "tissue venous O2 partial pressure" 
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=0,
              origin={60,24}),
              iconTransformation(extent={{-100,50},{-80,70}})));
        Modelica.Blocks.Math.Sum TotalCaloriesUse 
                                      annotation (Placement(transformation(
              extent={{-4.5,-4.5},{3.5,3.5}},
              rotation=270,
              origin={71.5,45.5})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
            unitsString="mEq/l", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(extent={{20,14},{40,34}})));
        Library.Interfaces.RealOutput_ cLactate(unit="mEq/l") annotation (
            Placement(transformation(extent={{32,28},{44,40}}),iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-30,-100})));
        Library.Interfaces.RealOutput_ Tissue_CO2FromMetabolism(unit="ml/min") 
                                                              annotation (
            Placement(transformation(extent={{90,-66},{102,-54}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-50,-100})));
        Library.Interfaces.RealOutput_ Fuel_FractUseDelay     annotation (
            Placement(transformation(extent={{-46,-6},{-34,6}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-70,-100})));
        Library.Interfaces.RealOutput_ O2Use(unit="ml/min")   annotation (
            Placement(transformation(extent={{82,-22},{94,-10}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-10,-100})));
        Library.Interfaces.RealOutput_ O2Need(unit="ml/min")  annotation (
            Placement(transformation(extent={{92,6},{104,18}}),iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={10,-100})));
        Library.Interfaces.RealOutput_ LactateFromMetabolism(unit="mEq/min") 
                                                              annotation (
            Placement(transformation(extent={{34,0},{46,12}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={30,-100})));
        Library.Interfaces.RealOutput_ H2OFromMetabolism(unit="ml/min") 
                                                              annotation (
            Placement(transformation(extent={{78,-86},{90,-74}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={50,-100})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure annotation (Placement(
              transformation(
              extent={{-8,-8},{8,8}},
              rotation=180,
              origin={36,14})));
        Library.Blocks.Min min(nin=2) 
          annotation (Placement(transformation(extent={{-52,-4},{-44,4}})));
        Library.Interfaces.RealOutput_ TotalCalsUsed(unit="cal/min") 
                                                              annotation (
            Placement(transformation(extent={{90,32},{102,44}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={70,-100})));
        Library.ConcentrationFlow.ResistorWithCondParam resistorWithCondParam(
            cond=DC) 
          annotation (Placement(transformation(extent={{-50,14},{-30,34}})));
      equation
        connect(Lactate.SolventVolume,LiquidVol) 
                                                annotation (Line(
            points={{9,20},{-1,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Thyroid.y,HeatMetabolism_Skin. yBase)       annotation (Line(
            points={{70,82},{70,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HeatMetabolism_Skin.y,StructureEffect. yBase) annotation (Line(
            points={{70,78},{70,78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(caloriesConstant.y,Thyroid. yBase)       annotation (Line(
            points={{67.4,91},{70,91},{70,86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T, HeatMetabolism_Skin.u)               annotation (Line(
            points={{37,77},{49,77},{49,80},{60.2,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Structure_Effect,StructureEffect. u) annotation (Line(
            points={{37,69},{52,69},{52,76},{60.2,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Thyroid.u,ThyroidEffect)  annotation (Line(
            points={{60.2,84},{50,84},{50,86},{37,86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PlasmaFlow1.u1, BloodFlow) 
                                          annotation (Line(
            points={{-78.8,1.4},{-81.85,1.4},{-81.85,7.5},{-86.5,7.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CalToO2.y, o2Use.O2Need) annotation (Line(
            points={{88,13.6},{88,10.8},{88,8},{88,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodVol_PVCrit, PlasmaFlow1.u2) annotation (Line(
            points={{-89,-4},{-88.5,-4},{-88.5,-3.4},{-78.8,-3.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(o2Use.pO2, pO2) annotation (Line(
            points={{80,8},{80,24},{60,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(StructureEffect.y, TotalCaloriesUse.u[1]) annotation (Line(
            points={{70,74},{70,50.8},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y, CalToO2.u) annotation (Line(
            points={{71,41.6},{71,38},{88,38},{88,22.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Lactate.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{17,14},{19.75,14},{19.75,24},{30,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, cLactate) annotation (Line(
            points={{30,28},{30,34},{38,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CalToO2.y, O2Need) annotation (Line(
            points={{88,13.6},{88,12},{98,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(o2Use.O2Use, O2Use) annotation (Line(
            points={{80,-10},{80,-16},{88,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Lactate.q_out, flowMeasure.q_out) annotation (Line(
            points={{17,14},{32.8,14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, LactateFromMetabolism) annotation (Line(
            points={{36,10},{36,6},{40,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(min.y, Fuel_FractUseDelay) annotation (Line(
            points={{-43.6,0},{-40,0}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(TotalCaloriesUse.y, TotalCalsUsed) annotation (Line(
            points={{71,41.6},{71,38},{96,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lactate, resistorWithCondParam.q_in) annotation (Line(
            points={{-93,32},{-72,32},{-72,24},{-48.6,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(resistorWithCondParam.q_out, Lactate.q_out) annotation (Line(
            points={{-31.4,24},{-8,24},{-8,14},{17,14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Bitmap(extent={{32,100},{102,24}},
                  fileName="icons/ohen.png")}));
      end TissueMetabolismBase;

      model TissueMetabolism
        extends TissueMetabolismBase;

        Library.ConcentrationFlow.PositiveConcentrationFlow fattyAcids(          conc(
              final unit="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-103,-80},{-83,-60}}),
              iconTransformation(extent={{90,-70},{110,-50}})));
        CellularMetabolism cellularMetabolism(LacFractionData={{10,0,0},{100,.3,0}}) 
          annotation (Placement(transformation(extent={{62,-76},{92,-46}})));
        NutrientDelivery fattyAcidsDelivery 
          annotation (Placement(transformation(extent={{-74,-80},{-54,-60}})));
        NutrientDelivery glucoseDelivery 
          annotation (Placement(transformation(extent={{-70,-44},{-50,-24}})));
      equation
        connect(o2Use.O2Use,cellularMetabolism. O2Use) annotation (Line(
            points={{80,-10},{80,-28},{58,-28},{58,-67},{62.5999,-67}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{91.1,-61},{96,-61},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{39.2,14},{56,14},{56,-46},{68,-46}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_MotabolicH2ORate, H2OFromMetabolism) 
          annotation (Line(
            points={{79.1,-75.7},{84,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y, cellularMetabolism.CalsUse) annotation (
            Line(
            points={{71,41.6},{71,38},{96,38},{96,-36},{83,-36},{83,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-93,-70},{-74,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-64,-1},{-64,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-60,-1},{-60,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-70,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-50,-34},{-40,-34},{-40,-22},{-92,-22},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-54,-70},{-40,-70},{-40,-60},{-93,-60},{-93,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-66,-41},{-66,-46},{-56,-46},{-56,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose) 
          annotation (Line(
            points={{-60,-39},{-60,-55},{62,-55}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, cellularMetabolism.fattyAcids) 
          annotation (Line(
            points={{-64,-75},{-64,-90},{56,-90},{56,-61},{62,-61}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-70,-77},{-70,-84},{-56,-84},{-56,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics));
      end TissueMetabolism;

      model SkeletalMuscleMetabolism
        extends TissueMetabolismBase(TotalCaloriesUse(nin=4),
            HeatMetabolism_Skin(data={{10.0,0.0,0},{37.1,1.0,0.12},{40.0,1.5,0},
                {46.0,0.0,0}}),
          Lactate(stateName="SkeletalMuscle-Lactate.Mass"));
        extends Library.Interfaces.Tissues.SkeletalMuscle;

        Library.ConcentrationFlow.PositiveConcentrationFlow fattyAcids(          conc(
              final unit="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-103,-78},{-83,-58}}),
              iconTransformation(extent={{90,-70},{110,-50}})));
        MuscleCellularMetabolism cellularMetabolism(
                                              LacFractionData={{10,0,0},{100,.3,0}}) 
          annotation (Placement(transformation(extent={{60,-76},{92,-44}})));
        Library.Blocks.CaloriesFlowConstant Posture_Cals(k=0) 
          annotation (Placement(transformation(extent={{-21,86},{-11,96}})));
        Library.Blocks.FractConstant fractConstant(k=30) 
          annotation (Placement(transformation(extent={{-58,53},{-48,63}})));
        Modelica.Blocks.Math.Division TotalCals 
          annotation (Placement(transformation(extent={{-31,59},{-23,67}})));
        Library.Interfaces.RealInput_ ExerciseMetabolism_MotionCals(final unit="Cal/min") 
          annotation (Placement(transformation(extent={{-50,64},{-40,74}}),
              iconTransformation(extent={{-100,-70},{-80,-50}})));
        Library.Interfaces.RealInput_ HypothalamusShivering_NerveActivity 
          annotation (Placement(transformation(extent={{-88,76},{-78,86}}),
              iconTransformation(extent={{-100,110},{-80,130}})));
        Library.ConcentrationFlow.MassStorageCompartment glycogen(
          q_out(conc(unit="mg"), q(unit="mg/min")),
          initialSoluteMass(unit="mg") = 500000,
          SoluteMass(unit="mg")) 
          annotation (Placement(transformation(extent={{34,-42},{54,-22}})));
        Library.ConcentrationFlow.SoluteFlowPump synthesis 
          annotation (Placement(transformation(extent={{-4,-42},{16,-22}})));
        Library.Blocks.MassFlowConstant massFlowConstant(k=20) 
          annotation (Placement(transformation(extent={{-6,-10},{4,0}})));
        Library.Factors.SplineValue GlucoseEffect(data={{0,0.0,0.0},{100,1.0,
              0.01},{300,3.0,0.0}}) 
          annotation (Placement(transformation(extent={{-4,-32},{16,-12}})));
        Library.Factors.SplineValue Space(data={{0,4.0,0.0},{400000,1.0,-0.015},
              {500000,0.0,0.0}}) 
          annotation (Placement(transformation(extent={{16,-24},{-4,-4}})));
        Library.Factors.DelayedToSpline InsulinEffect(initialValue=20, data={{0,
              0.0,0.0},{20,1.0,0.2},{100,20.0,0.0}},
          adaptationSignalName="SkeletalMuscle-Insulin.[InsulinDelayed]") 
          annotation (Placement(transformation(extent={{-4,-28},{16,-8}})));
        Library.Interfaces.RealInput_ Insulin(final unit="uU/ml")
          "tissue venous O2 partial pressure" 
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=0,
              origin={-16,-18}),
              iconTransformation(extent={{-100,-50},{-80,-30}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure3(
            unitsString="mg/dl", toAnotherUnitCoef=100) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-14,-32})));
        Library.Interfaces.RealOutput_ GlucoseToCellsStorageFlow(unit=
              "mmol/min") "glucose to muscle cells"           annotation (
            Placement(transformation(extent={{32,-16},{44,-4}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-90,-100})));
        Glucose_MG_TO_MMOL glucose_MG_TO_MMOL 
          annotation (Placement(transformation(extent={{24,-14},{32,-6}})));
        NutrientDelivery fattyAcidsDelivery 
          annotation (Placement(transformation(extent={{-76,-78},{-56,-58}})));
        NutrientDelivery glucoseDelivery 
          annotation (Placement(transformation(extent={{-72,-44},{-52,-24}})));
        Library.Factors.SplineValue HeatShivering(data={{0.0,0.0,0},{4.0,70.0,0}}) 
          annotation (Placement(transformation(extent={{-56,72},{-36,92}})));
      equation
        connect(o2Use.O2Use,cellularMetabolism. O2Use) annotation (Line(
            points={{80,-10},{80,-28},{58,-28},{58,-66.4},{60.6399,-66.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y,cellularMetabolism. CalsUse) annotation (Line(
            points={{71,41.6},{71,38},{96,38},{96,-36},{82,-36},{82,-44},{82.4,
                -44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Posture_Cals.y, TotalCaloriesUse.u[4]) annotation (Line(
            points={{-10.5,91},{17,91},{17,52},{71,52},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExerciseMetabolism_MotionCals,TotalCals. u1) annotation (Line(
            points={{-45,69},{-34,69},{-34,65.4},{-31.8,65.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fractConstant.y,TotalCals. u2) annotation (Line(
            points={{-47.5,58},{-46,58},{-46,60.6},{-31.8,60.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCals.y, TotalCaloriesUse.u[2]) annotation (Line(
            points={{-22.6,63},{17,63},{17,50.8},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(synthesis.q_out, glycogen.q_out) annotation (Line(
            points={{16,-32},{44,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glycogen.q_out, cellularMetabolism.glycogen) annotation (Line(
            points={{44,-32},{52,-32},{52,-47.52},{60,-47.52}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GlucoseEffect.y, synthesis.soluteFlow) annotation (Line(
            points={{6,-24},{6,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Space.yBase, massFlowConstant.y) annotation (Line(
            points={{6,-12},{6,-5},{4.5,-5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glycogen.SoluteMass, Space.u) annotation (Line(
            points={{44,-39.4},{44,-42},{22,-42},{22,-14},{15.8,-14}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(InsulinEffect.y, GlucoseEffect.yBase) annotation (Line(
            points={{6,-20},{6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.yBase, Space.y) annotation (Line(
            points={{6,-16},{6,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.u, Insulin) annotation (Line(
            points={{-3.8,-18},{-16,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure3.actualConc, GlucoseEffect.u) annotation (
            Line(
            points={{-14,-28},{-14,-22},{-3.8,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{91.04,-60},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose_MG_TO_MMOL.y, GlucoseToCellsStorageFlow) annotation (
            Line(
            points={{32.8,-10},{38,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GlucoseEffect.y, glucose_MG_TO_MMOL.u) annotation (Line(
            points={{6,-24},{20,-24},{20,-10},{24,-10}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{39.2,14},{56,14},{56,-44},{66.4,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(H2OFromMetabolism, cellularMetabolism.Tissue_MotabolicH2ORate) 
          annotation (Line(
            points={{84,-80},{78,-80},{78,-76},{78.24,-75.68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, synthesis.q_in) annotation (Line(
            points={{-62,-39},{-62,-54},{-8,-54},{-8,-32},{-4,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, concentrationMeasure3.q_in) 
          annotation (Line(
            points={{-62,-39},{-62,-54},{-8,-54},{-8,-32},{-14,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose) 
          annotation (Line(
            points={{-62,-39},{-62,-53.6},{60,-53.6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-93,-68},{-76,-68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-66,-1},{-66,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, cellularMetabolism.fattyAcids) 
          annotation (Line(
            points={{-66,-73},{-66,-80},{54,-80},{54,-59.68},{60,-59.68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-62,-1},{-62,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-72,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-52,-34},{-42,-34},{-42,-24},{-92,-24},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-56,-68},{-42,-68},{-42,-58},{-93,-58},{-93,-68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-68,-41},{-68,-44},{-58,-44},{-58,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-72,-75},{-72,-92},{-58,-92},{-58,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Structure_Effect, HeatShivering.yBase) annotation (Line(
            points={{37,69},{52,69},{52,62},{24,62},{24,98},{-46,98},{-46,84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HeatShivering.u, HypothalamusShivering_NerveActivity) annotation (
            Line(
            points={{-55.8,82},{-66,82},{-66,81},{-83,81}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HeatShivering.y, TotalCaloriesUse.u[3]) annotation (Line(
            points={{-46,80},{-46,78},{18,78},{18,50.8},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Text(
                extent={{-26,84},{-10,86}},
                lineColor={0,0,255},
                textString="Posture_Cals")}),
                                      Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics));
      end SkeletalMuscleMetabolism;

      model RespiratoryMuscle
        extends HumMod.Metabolism.Metabolism.TissueMetabolismBase(
          TotalCaloriesUse(nin=4),
          HeatMetabolism_Skin(data={{10.0,0.0,0},{37.1,1.0,0.12},{40.0,1.5,0},{
                46.0,0.0,0}}),
          Lactate(stateName="RespiratoryMuscle-Lactate.Mass"));
        extends Library.Interfaces.Tissues.RespiratoryMuscle;

        Library.Blocks.CaloriesFlowConstant Shivering_Cals(k=0) 
          annotation (Placement(transformation(extent={{-36,38},{-26,48}})));
        Library.Blocks.CaloriesFlowConstant motionCals(k=5) 
          annotation (Placement(transformation(extent={{-38,66},{-26,78}})));
        Library.Blocks.CaloriesFlowConstant heatCals(k=16) 
          annotation (Placement(transformation(extent={{-38,52},{-26,64}})));
        Library.ConcentrationFlow.MassStorageCompartment glycogen(
          q_out(conc(unit="mg"), q(unit="mg/min")),
          initialSoluteMass(unit="mg") = 46000,
          SoluteMass(unit="mg")) 
          annotation (Placement(transformation(extent={{30,-40},{50,-20}})));
        Library.ConcentrationFlow.SoluteFlowPump synthesis 
          annotation (Placement(transformation(extent={{2,-40},{22,-20}})));
        Library.Blocks.MassFlowConstant massFlowConstant(k=20) 
          annotation (Placement(transformation(extent={{0,-10},{10,0}})));
        Library.Factors.SplineValue GlucoseEffect(data={{0,0.0,0.0},{100,1.0,0.01},{300,
              3.0,0.0}}) 
          annotation (Placement(transformation(extent={{2,-32},{22,-12}})));
        Library.Factors.SplineValue Space(data={{0,4.0,0.0},{40000,1.0,-0.015},{46000,
              0.0,0.0}}) 
          annotation (Placement(transformation(extent={{22,-24},{2,-4}})));
        Library.Factors.DelayedToSpline InsulinEffect(initialValue=20, data={{0,0.0,0.0},
              {20,1.0,0.2},{100,20.0,0.0}},
          adaptationSignalName="RespiratoryMuscle-Insulin.[InsulinDelayed]") 
          annotation (Placement(transformation(extent={{2,-28},{22,-8}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure3(
            unitsString="mg/dl", toAnotherUnitCoef=100) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-14,-30})));
        Library.Interfaces.RealInput_ Insulin(final unit="uU/ml")
          "tissue venous O2 partial pressure" 
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=0,
              origin={-16,-18}),
              iconTransformation(extent={{-100,-50},{-80,-30}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow fattyAcids(          conc(
              final unit="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-101,-78},{-81,-58}}),
              iconTransformation(extent={{90,-70},{110,-50}})));
        MuscleCellularMetabolism cellularMetabolism(
                                              LacFractionData={{10,0,0},{100,.3,0}}) 
          annotation (Placement(transformation(extent={{60,-76},{92,-44}})));
        Glucose_MG_TO_MMOL glucose_MG_TO_MMOL 
          annotation (Placement(transformation(extent={{28,-14},{36,-6}})));
        Library.Interfaces.RealOutput_ GlucoseToCellsStorageFlow(unit=
              "mmol/min") "glucose to muscle cells"           annotation (
            Placement(transformation(extent={{36,-16},{48,-4}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-90,-100})));
        NutrientDelivery fattyAcidsDelivery 
          annotation (Placement(transformation(extent={{-78,-78},{-58,-58}})));
        NutrientDelivery glucoseDelivery 
          annotation (Placement(transformation(extent={{-70,-44},{-50,-24}})));
        Library.Interfaces.RealOutput_ MotionCals_(unit="Cal/min") 
                                                              annotation (
            Placement(transformation(extent={{2,66},{14,78}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={90,-100})));
      equation
        connect(Shivering_Cals.y, TotalCaloriesUse.u[4]) annotation (Line(
            points={{-25.5,43},{-16,42},{-6,42},{-6,56},{71,56},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(motionCals.y, TotalCaloriesUse.u[2]) annotation (Line(
            points={{-25.4,72},{-6,72},{-6,56},{71,56},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(heatCals.y, TotalCaloriesUse.u[3]) annotation (Line(
            points={{-25.4,58},{-6,58},{-6,56},{71,56},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(synthesis.q_out, glycogen.q_out) annotation (Line(
            points={{22,-30},{40,-30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glycogen.q_out, cellularMetabolism.glycogen) annotation (Line(
            points={{40,-30},{52,-30},{52,-47.52},{60,-47.52}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GlucoseEffect.y, synthesis.soluteFlow) annotation (Line(
            points={{12,-24},{12,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Space.yBase, massFlowConstant.y) annotation (Line(
            points={{12,-12},{12,-5},{10.5,-5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glycogen.SoluteMass, Space.u) annotation (Line(
            points={{40,-37.4},{40,-37.4},{40,-42},{26,-42},{26,-14},{21.8,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.y, GlucoseEffect.yBase) annotation (Line(
            points={{12,-20},{12,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.yBase, Space.y) annotation (Line(
            points={{12,-16},{12,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.u, Insulin) annotation (Line(
            points={{2.2,-18},{-16,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure3.actualConc, GlucoseEffect.u) annotation (Line(
            points={{-14,-26},{-14,-22},{2.2,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(o2Use.O2Use,cellularMetabolism. O2Use) annotation (Line(
            points={{80,-10},{80,-28},{58,-28},{58,-66.4},{60.6399,-66.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y,cellularMetabolism. CalsUse) annotation (Line(
            points={{71,41.6},{71,38},{96,38},{96,-36},{82,-36},{82,-44},{82.4,
                -44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{91.04,-60},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose_MG_TO_MMOL.y,GlucoseToCellsStorageFlow)  annotation (
            Line(
            points={{36.8,-10},{42,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GlucoseEffect.y,glucose_MG_TO_MMOL. u) annotation (Line(
            points={{12,-24},{24,-24},{24,-10},{28,-10}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{39.2,14},{56,14},{56,-44},{66.4,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(H2OFromMetabolism, cellularMetabolism.Tissue_MotabolicH2ORate) 
          annotation (Line(
            points={{84,-80},{78,-80},{78,-76},{78.24,-75.68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-91,-68},{-78,-68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-68,-1},{-68,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, cellularMetabolism.fattyAcids) 
          annotation (Line(
            points={{-68,-73},{-68,-80},{52,-80},{52,-59.68},{60,-59.68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, synthesis.q_in) annotation (Line(
            points={{-60,-39},{-60,-54},{-4,-54},{-4,-30},{2,-30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, concentrationMeasure3.q_in) 
          annotation (Line(
            points={{-60,-39},{-60,-54},{-4,-54},{-4,-30},{-14,-30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose) 
          annotation (Line(
            points={{-60,-39},{-60,-53.6},{60,-53.6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-60,-1},{-60,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-70,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-50,-34},{-40,-34},{-40,-24},{-92,-24},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-58,-68},{-40,-68},{-40,-58},{-91,-58},{-91,-68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-66,-41},{-66,-46},{-56,-46},{-56,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-74,-75},{-74,-90},{-56,-90},{-56,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(motionCals.y, MotionCals_) annotation (Line(
            points={{-25.4,72},{8,72}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Icon(graphics), Diagram(graphics={
              Text(
                extent={{-24,46},{-4,46}},
                lineColor={0,0,255},
                textString="Shivering_Cals"),
              Text(
                extent={{-24,74},{-4,74}},
                lineColor={0,0,255},
                textString="Motion_Cals"),
              Text(
                extent={{-24,60},{-4,60}},
                lineColor={0,0,255},
                textString="Heat_Cals")}));
      end RespiratoryMuscle;

      model Brain
        extends HumMod.Metabolism.Metabolism.TissueMetabolismBase(Lactate(
              stateName="Brain-Lactate.Mass"));
        extends Library.Interfaces.Tissues.Brain;
        BrainCellularMetabolism cellularMetabolism(
                                              LacFractionData={{10,0,0},{100,.3,0}},
            ABurningRatio=0.1075/0.2093) 
          annotation (Placement(transformation(extent={{59,-75},{90,-44}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow ketoAcids(conc(
              final unit="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-104,-76},{-84,-56}}),
              iconTransformation(extent={{90,-70},{110,-50}})));
        NutrientDelivery ketoAcidsDelivery 
          annotation (Placement(transformation(extent={{-75,-76},{-55,-56}})));
        NutrientDelivery glucoseDelivery 
          annotation (Placement(transformation(extent={{-72,-44},{-52,-24}})));
      equation
        connect(o2Use.O2Use,cellularMetabolism. O2Use) annotation (Line(
            points={{80,-10},{80,-25},{57,-25},{57,-65.7},{59.6199,-65.7}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y,cellularMetabolism. CalsUse) annotation (Line(
            points={{71,41.6},{71,34},{98,34},{98,-36},{80,-36},{80,-44},{80.7,
                -44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{89.07,-59.5},{94,-59.5},{94,-60},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{39.2,14},{55,14},{55,-44},{65.2,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(H2OFromMetabolism, cellularMetabolism.Tissue_MotabolicH2ORate) 
          annotation (Line(
            points={{84,-80},{77,-80},{77,-76},{76.67,-76},{76.67,-74.69}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose) 
          annotation (Line(
            points={{-62,-39},{-62,-53},{59,-53},{59,-53.3}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ketoAcidsDelivery.solventFlow, PlasmaFlow1.y) annotation (Line(
            points={{-65,-60},{-65,-1},{-69.6,-1}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ketoAcids, ketoAcidsDelivery.q_in) annotation (Line(
            points={{-94,-66},{-75,-66}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ketoAcidsDelivery.neededFlow, cellularMetabolism.ketoAcids) 
          annotation (Line(
            points={{-65,-71},{-65,-83},{43,-83},{43,-59.5},{59,-59.5}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-62,-1},{-62,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-72,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-52,-34},{-40,-34},{-40,-23},{-92,-23},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ketoAcidsDelivery.q_out, ketoAcids) annotation (Line(
            points={{-55,-66},{-39,-66},{-39,-57},{-94,-57},{-94,-66}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-68,-41},{-69,-41},{-69,-45},{-56,-45},{-56,0.4},{-52.8,
                0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ketoAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (Line(
            points={{-71,-73},{-71,-90},{-56,-90},{-56,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics));
      end Brain;

      model Kidney
        extends HumMod.Metabolism.Metabolism.TissueMetabolism(TotalCaloriesUse(
              nin=4), Lactate(stateName="Kidney-Lactate.Mass"));
        extends Library.Interfaces.Tissues.Kidney;

        Library.Interfaces.RealInput_ PT_Na_Reab(final quantity="flow", final unit
            =                                                                      "mEq/min") 
          annotation (Placement(transformation(extent={{-38,55},{-28,65}}),
              iconTransformation(extent={{-100,-70},{-80,-50}})));
        Library.Interfaces.RealInput_ LH_Na_Reab(final quantity="flow", final unit
            =                                                                      "mEq/min") 
          annotation (Placement(transformation(extent={{-38,47},{-28,57}}),
              iconTransformation(extent={{-100,110},{-80,130}})));
        Library.Interfaces.RealInput_ DT_Na_Reab(final quantity="flow", final unit
            =                                                                      "mEq/min") 
          annotation (Placement(transformation(extent={{-38,39},{-28,49}}),
              iconTransformation(extent={{-100,-50},{-80,-30}})));

        Modelica.Blocks.Math.Gain CalPerNa(k=3.6) "CalPerNa+(Meq/Min)" 
          annotation (Placement(transformation(extent={{-19,58},{-15,62}})));
        Modelica.Blocks.Math.Gain CalPerNa1(k=3.6) "CalPerNa+(Meq/Min)" 
          annotation (Placement(transformation(extent={{-19,42},{-15,46}})));
        Modelica.Blocks.Math.Gain CalPerNa2(k=3.6) "CalPerNa+(Meq/Min)" 
          annotation (Placement(transformation(extent={{-19,50},{-15,54}})));
      equation
        connect(CalPerNa.y, TotalCaloriesUse.u[2]) annotation (Line(
            points={{-14.8,60},{71,60},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CalPerNa1.y, TotalCaloriesUse.u[3]) annotation (Line(
            points={{-14.8,44},{14,44},{14,60},{71,60},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CalPerNa2.y, TotalCaloriesUse.u[4]) annotation (Line(
            points={{-14.8,52},{15,52},{15,60},{71,60},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CalPerNa.u, PT_Na_Reab) annotation (Line(
            points={{-19.4,60},{-33,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LH_Na_Reab, CalPerNa2.u) annotation (Line(
            points={{-33,52},{-19.4,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DT_Na_Reab, CalPerNa1.u) annotation (Line(
            points={{-33,44},{-19.4,44}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics));
      end Kidney;

      model HeartMuscle
        extends HumMod.Metabolism.Metabolism.TissueMetabolism(TotalCaloriesUse(
              nin=3));

        parameter Real MotionCals(final unit="Cal/min");
        parameter Real HeatCals(final unit="Cal/min");
        Library.Blocks.CaloriesFlowConstant motionCals(k=MotionCals) 
          annotation (Placement(transformation(extent={{-42,60},{-30,72}})));
        Library.Blocks.CaloriesFlowConstant heatCals(k=HeatCals) 
          annotation (Placement(transformation(extent={{-44,38},{-32,50}})));
      equation

        connect(motionCals.y, TotalCaloriesUse.u[2]) annotation (Line(
            points={{-29.4,66},{-8,66},{-8,56},{71,56},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(heatCals.y, TotalCaloriesUse.u[3]) annotation (Line(
            points={{-31.4,44},{-4,44},{-4,50.8},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Icon(graphics), Diagram(graphics));
      end HeartMuscle;

      model GITract
        extends TissueMetabolismBase(Lactate(stateName="GITract-Lactate.Mass"));
        extends Library.Interfaces.Tissues.GITract;

        Library.ConcentrationFlow.PositiveConcentrationFlow fattyAcids(          conc(
              final unit="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-103,-80},{-83,-60}}),
              iconTransformation(extent={{90,-70},{110,-50}})));
        CellularMetabolism cellularMetabolism(LacFractionData={{10,0,0},{100,.3,0}}) 
          annotation (Placement(transformation(extent={{62,-76},{92,-46}})));
        NutrientDelivery fattyAcidsDelivery 
          annotation (Placement(transformation(extent={{-74,-80},{-54,-60}})));
        NutrientDelivery glucoseDelivery 
          annotation (Placement(transformation(extent={{-70,-44},{-50,-24}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure1 
                                                          annotation (Placement(
              transformation(
              extent={{-8,-8},{8,8}},
              rotation=180,
              origin={28,-54})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure2 
                                                          annotation (Placement(
              transformation(
              extent={{-8,-8},{8,8}},
              rotation=180,
              origin={28,-82})));
        Library.Interfaces.RealOutput_ GIT_GluUse(unit="mg/min") 
                                                              annotation (
            Placement(transformation(extent={{28,-70},{40,-58}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={36,100})));
        Library.Interfaces.RealOutput_ GIT_FatUse(unit="mg/min") 
                                                              annotation (
            Placement(transformation(extent={{30,-96},{42,-84}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={16,100})));
      equation
        connect(o2Use.O2Use,cellularMetabolism. O2Use) annotation (Line(
            points={{80,-10},{80,-28},{58,-28},{58,-67},{62.5999,-67}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{91.1,-61},{96,-61},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{39.2,14},{56,14},{56,-46},{68,-46}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_MotabolicH2ORate, H2OFromMetabolism) 
          annotation (Line(
            points={{79.1,-75.7},{84,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y, cellularMetabolism.CalsUse) annotation (
            Line(
            points={{71,41.6},{71,38},{96,38},{96,-36},{83,-36},{83,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-93,-70},{-74,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-64,-1},{-64,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-60,-1},{-60,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-70,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-66,-41},{-66,-44},{-56,-44},{-56,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-54,-70},{-46,-70},{-46,-60},{-93,-60},{-93,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-50,-34},{-44,-34},{-44,-22},{-92,-22},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.q_in, cellularMetabolism.glucose) annotation (Line(
            points={{31.2,-54},{49.6,-54},{49.6,-55},{62,-55}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, flowMeasure1.q_out) annotation (
            Line(
            points={{-60,-39},{-60,-54},{24.8,-54}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure2.q_in, cellularMetabolism.fattyAcids) annotation (
            Line(
            points={{31.2,-82},{50,-82},{50,-61},{62,-61}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, flowMeasure2.q_out) annotation (
            Line(
            points={{-64,-75},{-64,-82},{24.8,-82}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.actualFlow, GIT_GluUse) annotation (Line(
            points={{28,-58},{28,-64},{34,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure2.actualFlow, GIT_FatUse) annotation (Line(
            points={{28,-86},{28,-90},{36,-90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-70,-77},{-70,-88},{-56,-88},{-56,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics));
      end GITract;

      model Liver
        extends TissueMetabolismBase(Lactate(stateName="Liver-Lactate.Mass"));
        extends Library.Interfaces.Tissues.Liver;
        Library.ConcentrationFlow.PositiveConcentrationFlow fattyAcids(          conc(
              final unit="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-103,-80},{-83,-60}}),
              iconTransformation(extent={{90,-70},{110,-50}})));
        CellularMetabolism cellularMetabolism(LacFractionData={{10,0,0},{100,.3,0}}) 
          annotation (Placement(transformation(extent={{62,-76},{92,-46}})));
        NutrientDelivery_Fat fattyAcidsDelivery 
          annotation (Placement(transformation(extent={{-74,-80},{-54,-60}})));
        NutrientDelivery_ glucoseDelivery 
          annotation (Placement(transformation(extent={{-72,-44},{-52,-24}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow
          GILumenCarbohydrates(conc(final unit="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-96,-58},{-76,-38}}),
              iconTransformation(extent={{-30,90},{-10,110}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
            unitsString="mg/dl", toAnotherUnitCoef=100) 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-32,-46})));
        Library.Interfaces.RealOutput_ PortalVeinGlucose(unit="mg/dl") 
                                                              annotation (
            Placement(transformation(extent={{-28,-52},{-16,-40}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-50,100})));
        Library.Interfaces.RealOutput_ PortalVeinFat(unit="mg/dl") 
                                                              annotation (
            Placement(transformation(extent={{-26,-88},{-14,-76}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={14,100})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure2(
            unitsString="mg/dl", toAnotherUnitCoef=100) 
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-32,-82})));
        Library.Interfaces.RealInput_ GITract_GlucoseUsed(final unit="mg/min")
          "glucose to GIT metabolism flow" 
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-31,-18}),
              iconTransformation(extent={{-100,-52},{-80,-32}})));
        Library.Interfaces.RealInput_ GITract_FatUsed(final unit="mg/min")
          "fat to GIT metabolism flow" 
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-31,-60}),
              iconTransformation(extent={{-100,-74},{-80,-54}})));
        Library.Interfaces.RealInput_ FatAbsorbtion(final unit="mg/min")
          "from GILumen" 
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-31,-54}),
              iconTransformation(extent={{-100,-94},{-80,-74}})));
      equation
        connect(o2Use.O2Use,cellularMetabolism. O2Use) annotation (Line(
            points={{80,-10},{80,-28},{58,-28},{58,-67},{62.5999,-67}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{91.1,-61},{96,-61},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{39.2,14},{56,14},{56,-46},{68,-46}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_MotabolicH2ORate, H2OFromMetabolism) 
          annotation (Line(
            points={{79.1,-75.7},{84,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y, cellularMetabolism.CalsUse) annotation (
            Line(
            points={{71,41.6},{71,38},{96,38},{96,-36},{83,-36},{83,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose) 
          annotation (Line(
            points={{-62,-39},{-62,-52},{62,-52},{62,-55}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-93,-70},{-74,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-64,-1},{-64,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, cellularMetabolism.fattyAcids) 
          annotation (Line(
            points={{-64,-75},{-64,-94},{56,-94},{56,-61},{62,-61}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-62,-1},{-62,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-72,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Fuel_FractUseDelay, Fuel_FractUseDelay) annotation (Line(
            points={{-40,0},{-44,0},{-44,0},{-40,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-68,-41},{-68,-44},{-58,-44},{-58,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumenCarbohydrates, glucoseDelivery.q_in2) annotation (Line(
            points={{-86,-48},{-80,-48},{-80,-38},{-72,-38}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure1.actualConc, PortalVeinGlucose) 
          annotation (Line(
            points={{-28,-46},{-22,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure2.actualConc, PortalVeinFat) annotation (
            Line(
            points={{-28,-82},{-20,-82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, concentrationMeasure1.q_in) 
          annotation (Line(
            points={{-62,-39},{-62,-46},{-32,-46}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-52,-34},{-42,-34},{-42,-24},{-92,-24},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-54,-70},{-42,-70},{-42,-62},{-93,-62},{-93,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, concentrationMeasure2.q_in) 
          annotation (Line(
            points={{-64,-75},{-64,-82},{-32,-82}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GITract_GlucoseUsed, glucoseDelivery.GITUsed) annotation (Line(
            points={{-31,-18},{-54,-18},{-54,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract_FatUsed, fattyAcidsDelivery.GITUsed) annotation (Line(
            points={{-31,-60},{-56,-60},{-56,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FatAbsorbtion, FatAbsorbtion) annotation (
            Line(
            points={{-60,-64},{-60,-54},{-31,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-70,-77},{-70,-88},{-58,-88},{-58,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics));
      end Liver;

      model Skin
        extends TissueMetabolism(Lactate(stateName="Skin-Lactate.Mass"));
        extends Library.Interfaces.Tissues.Skin;
      end Skin;

      model Bone
        extends TissueMetabolism(Lactate(stateName="Bone-Lactate.Mass"));
        extends Library.Interfaces.Tissues.Bone;
      end Bone;

      model Fat
        extends TissueMetabolism(Lactate(stateName="Fat-Lactate.Mass"));
        extends Library.Interfaces.Tissues.Fat;
      end Fat;

      model OtherTissue
        extends TissueMetabolism(Lactate(stateName="OtherTissue-Lactate.Mass"));
        extends Library.Interfaces.Tissues.OtherTissue;
      end OtherTissue;

      model CarboAerobic

        HumMod.Metabolism.Metabolism.EnergyFlow.NegativeEnergyFlow e "energy" 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-30},
                  {10,-10}})));
        parameter Real eTOnutr_coef(unit="g/kCal") = 0.2439
          "how much carbohydrates will be produced with one kilocalorie";
        parameter Real eTOo2_coef(unit="ml/kCal") = 0.2093
          "how much oxygen will be produced with one kilocalorie";
        parameter Real eTOco2_coef(unit="ml/kCal") = 0.2093
          "how much CO2 will be produced with one kilocalorie";
        Library.PressureFlow.PositivePressureFlow oxygen "oxygen flow" 
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,10},
                  {-90,30}})));
        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow carbo
          "carbohydrates flow"    annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,
                  -30},{-90,-10}})));
        Library.Interfaces.RealOutput_ CO2FromMetabolism(unit="ml/min") annotation (
            Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={80,40})));
      equation
        eTOco2_coef * max(-e.q,0) = CO2FromMetabolism;
        eTOnutr_coef * min(e.q,0) + carbo.q = 0;
        eTOo2_coef * e.q + oxygen.q = 0;
        if (e.anaerobicRunning) then
           oxygen.pressure = 0;
        else
           oxygen.pressure = eTOo2_coef * e.q + oxygen.q; // pressure means oxygen-energy flow correction
        end if;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-90,-12},{100,20}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end CarboAerobic;

      model FatAerobic

        HumMod.Metabolism.Metabolism.EnergyFlow.NegativeEnergyFlow e "energy" 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-30},
                  {10,-10}})));
        parameter Real eTOnutr_coef(unit="g/kCal") = 0.1075
          "how much fatty acids will produce one kilocalorie";
        parameter Real eTOo2_coef(unit="ml/kCal") = 0.2093
          "how much oxygen will produce one kilocalorie";
        parameter Real eTOco2_coef(unit="ml/kCal") = 0.1465
          "how much CO2 will be produced with one kilocalorie";
        Library.PressureFlow.PositivePressureFlow oxygen "oxygen flow" 
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,10},
                  {-90,30}})));
        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow fat
          "fatty acids flow"      annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,
                  -30},{-90,-10}})));
        Library.Interfaces.RealOutput_ CO2FromMetabolism(unit="ml/min") annotation (
            Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={80,40}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={80,40})));
      equation
        eTOco2_coef * max(-e.q,0) = CO2FromMetabolism;
        eTOnutr_coef * min(e.q,0) + fat.q = 0;
        eTOo2_coef * e.q + oxygen.q = 0;
        0 = oxygen.pressure;  //TODO
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-90,-12},{100,20}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end FatAerobic;

      model LacAerobic

        HumMod.Metabolism.Metabolism.EnergyFlow.NegativeEnergyFlow e "energy" 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-30},
                  {10,-10}})));
        parameter Real eTOnutr_coef(unit="g/kCal") = 0.2538
          "how much lactate will produce one kilocalorie";
        parameter Real eTOo2_coef(unit="ml/kCal") = 0.2093
          "how much oxygen will produce one kilocalorie";
        parameter Real eTOco2_coef(unit="ml/kCal") = 0.2093
          "how much CO2 will be produced with one kilocalorie";
        Library.PressureFlow.PositivePressureFlow oxygen "oxygen flow" 
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,10},
                  {-90,30}})));
        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow lactate
          "lactate flow"         annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,
                  -30},{-90,-10}})));
        Library.Interfaces.RealOutput_ CO2FromMetabolism(unit="ml/min") annotation (
            Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={80,40}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={80,40})));
      equation
        eTOco2_coef * max(-e.q,0) = CO2FromMetabolism;
        eTOnutr_coef * min(e.q,0) + lactate.q = 0;
        eTOo2_coef * e.q + oxygen.q = 0;
        0 = oxygen.pressure;  //TODO
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-90,-12},{100,20}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end LacAerobic;

      model KetoAerobic

        HumMod.Metabolism.Metabolism.EnergyFlow.NegativeEnergyFlow e "energy" 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-30},
                  {10,-10}})));
        parameter Real eTOnutr_coef(unit="g/kCal") = 0.1075
          "how much ketoacids will produce one kilocalorie";
        parameter Real eTOo2_coef(unit="ml/kCal") = 0.2093
          "how much oxygen will produce one kilocalorie";
        parameter Real eTOco2_coef(unit="ml/kCal") = 0.2093
          "how much CO2 will be produced with one kilocalorie";
        Library.PressureFlow.PositivePressureFlow oxygen "oxygen flow" 
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,10},
                  {-90,30}})));
        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow ketoAcid
          "ketoacids flow"         annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,
                  -30},{-90,-10}})));
        Library.Interfaces.RealOutput_ CO2FromMetabolism(unit="ml/min") annotation (
            Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={80,40}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={80,40})));
      equation
        eTOco2_coef * max(-e.q,0) = CO2FromMetabolism;
        eTOnutr_coef * min(e.q,0) + ketoAcid.q = 0;
        eTOo2_coef * e.q + oxygen.q = 0;
        0 = oxygen.pressure;  //TODO
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-90,-12},{100,20}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end KetoAerobic;

      model AnaerobicGlucoseMetabolism

        HumMod.Metabolism.Metabolism.EnergyFlow.NegativeEnergyFlow e(
            anaerobicRunning(start=false)) "energy" 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-30},
                  {10,-10}})));
        parameter Real glu2lac( unit="mEq/g") = 0.99 * 0.0112
          "how much lactate will produce one gram of glucose";
        parameter Real glu2energy( unit="kCal/g") = 0.1577
          "how much energy in callories will produce one unit of reactant";
        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow lactate
          "lactate flow"       annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{
                  90,-10},{110,10}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow glucose
          "glucose flow"          annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,-8},
                  {-90,12}})));
      equation
        lactate.q + glu2lac*glucose.q = 0;
        e.anaerobicRunning = e.q<0;
        glu2energy*glucose.q = max(-e.q,0);

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-88,-10},{88,20}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end AnaerobicGlucoseMetabolism;

      model AnaerobicGlycogenMetabolism

        HumMod.Metabolism.Metabolism.EnergyFlow.NegativeEnergyFlow e "energy" 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-30},
                  {10,-10}})));
        parameter Real gly2lac( unit="mEq/g") =  0.99 * 0.0112
          "how much lactate is produced by one gram of glycogen";
        parameter Real gly2energy( unit="kCal/g") = 0.1577
          "how much energy in callories is produced by one gram of glycogen";
        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow lactate
          "lactate flow"       annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{
                  90,-10},{110,10}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow glycogen
          "glycogen flow"         annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,-8},
                  {-90,12}})));
        parameter Real Availability[:,3]= {{  0,  0.0,  0.0}, { 50,  1.0,  0.0}};
        Library.Curves.Curve AvailabilityCurve(
          x=Availability[:, 1],
          y=Availability[:, 2],
          slope=Availability[:, 3]) 
          annotation (Placement(transformation(extent={{-42,20},{18,80}})));
        Library.Interfaces.RealInput_ AnaerobicCals(unit="Cal/min") annotation (
            Placement(transformation(extent={{48,-52},{88,-12}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={60,-20})));
      equation
        lactate.q + gly2lac*glycogen.q = 0;
        e.q + gly2energy*glycogen.q = 0;
        AvailabilityCurve.u = glycogen.conc;
        AvailabilityCurve.val * AnaerobicCals = glycogen.q;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={127,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-88,-10},{88,20}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end AnaerobicGlycogenMetabolism;

      model Metabolism
        import QHP = HumMod;
        extends Library.Interfaces.Tissues.Tissues;
        HumMod.Metabolism.Metabolism.Bone Bone(
          DC=180,
          initialTissueO2=4.57,
          NormalCalsUsed=69.8614,
          initialLactateMass=3.00477) 
          annotation (Placement(transformation(extent={{66,88},{40,114}})));
        HumMod.Metabolism.Metabolism.Brain Brain(
          DC=180,
          PO2OnAerobicFractionData={{2.0,0.0,0},{20.0,1.0,0}},
          initialLactateMass=0.850703,
          NormalCalsUsed=193.709) 
          annotation (Placement(transformation(extent={{-60,86},{-32,114}})));
        HumMod.Metabolism.Metabolism.Fat Fat(
          DC=270,
          initialTissueO2=21.87,
          NormalCalsUsed=29.9658,
          initialLactateMass=2.73208) 
          annotation (Placement(transformation(extent={{66,-54},{40,-28}})));
        HumMod.Metabolism.Metabolism.GITract GITract(
          DC=180,
          initialTissueO2=1.826,
          NormalCalsUsed=92.7945,
          initialLactateMass=0.934802) 
          annotation (Placement(transformation(extent={{66,-22},{40,4}})));
        HumMod.Metabolism.Metabolism.Kidney Kidney(
          DC=20,
          PO2OnAerobicFractionData={{2.0,0.0,0},{20.0,1.0,0}},
          initialTissueO2=0.48,
          NormalCalsUsed=36.8312,
          initialLactateMass=0.187607) 
          annotation (Placement(transformation(extent={{66,10},{40,36}})));
        HumMod.Metabolism.Metabolism.Liver Liver(
          DC=100,
          PO2OnAerobicFractionData={{2.0,0.0,0},{10.0,1.0,0}},
          initialTissueO2=2.96,
          NormalCalsUsed=147.338,
          initialLactateMass=1.13373) 
          annotation (Placement(transformation(extent={{66,44},{40,70}})));
        HumMod.Metabolism.Metabolism.OtherTissue OtherTissue(
          DC=270,
          initialTissueO2=5.05,
          NormalCalsUsed=39.1075,
          initialLactateMass=2.66855) 
          annotation (Placement(transformation(extent={{66,-88},{40,-62}})));
        HumMod.Metabolism.Metabolism.RespiratoryMuscle RespiratoryMuscle(
          DC=270,
          initialTissueO2=0.57,
          NormalCalsUsed=6.27882,
          initialLactateMass=2.66976) 
          annotation (Placement(transformation(extent={{-60,52},{-32,80}})));
        HumMod.Metabolism.Metabolism.RightHeartMuscle RightHeart(
                                               MotionCals=5, HeatCals=17,
          DC=3,
          initialTissueO2=0.02,
          NormalCalsUsed=2.34779,
          initialLactateMass=2.8e-002,
          Lactate(stateName="RightHeart-Lactate.Mass")) 
          annotation (Placement(transformation(extent={{-60,14},{-32,42}})));
        HumMod.Metabolism.Metabolism.LeftHeartMuscle LeftHeart(
                                              MotionCals=24, HeatCals=87,
          DC=18,
          initialTissueO2=0.115,
          NormalCalsUsed=15.7067,
          initialLactateMass=0.169817,
          Lactate(stateName="LeftHeart-Lactate.Mass")) 
          annotation (Placement(transformation(extent={{-60,-20},{-32,8}})));
        HumMod.Metabolism.Metabolism.SkeletalMuscleMetabolism SkeletalMuscle(
          DC=1875,
          PO2OnAerobicFractionData={{0.0,0.0,0},{15.0,0.2,0.04},{20.0,1.0,0}},
          initialTissueO2=52.363,
          NormalCalsUsed=145.228,
          initialLactateMass=23.7503) 
          annotation (Placement(transformation(extent={{-58,-58},{-30,-30}})));
        HumMod.Metabolism.Metabolism.Skin Skin(
          DC=270,
          PO2OnAerobicFractionData={{2.0,0.0,0},{20.0,1.0,0}},
          initialTissueO2=1.84,
          HeatMetabolism_Skin(data={{10.0,0.0,0},{29.5,1.0,0.12},{40.0,1.5,0},{46.0,0.0,
                0}}),
          NormalCalsUsed=31.2457,
          initialLactateMass=1.64965) 
          annotation (Placement(transformation(extent={{-60,-96},{-32,-68}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow glucose(conc(final unit
              =                                                                     "mg/ml"),
            q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-12,2},{8,22}}),
              iconTransformation(extent={{90,-20},{110,0}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow fattyAcids(conc(final unit
              =    "mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-10,-16},{10,4}}),
              iconTransformation(extent={{90,70},{110,90}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow ketoAcids(conc(final unit
              ="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{-10,76},{10,96}}),
              iconTransformation(extent={{90,20},{110,40}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-92,106},{-72,126}}),
              iconTransformation(extent={{-92,80},{-72,100}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow
          GILumenCarbohydrates(                                                  conc(
              final unit="mg/ml"), q(final unit="mg/min")) 
          annotation (Placement(transformation(extent={{70,72},{90,92}}),
              iconTransformation(extent={{-70,-110},{-50,-90}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow lactate(conc(final unit
              =                                                                     "mEq/ml"), q(final unit
              =                                                                                             "mEq/min")) 
          annotation (Placement(transformation(extent={{-10,56},{10,76}}),
              iconTransformation(extent={{90,-70},{110,-50}})));
        Modelica.Blocks.Math.Feedback Heat annotation (Placement(transformation(
              extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-77,-61})));
        Modelica.Blocks.Math.Sum MetabolicH2ORate(nin=12) 
          annotation (Placement(transformation(extent={{80,-96},{88,-88}})));
        Modelica.Blocks.Math.Sum CoreHeat(nin=11) 
          annotation (Placement(transformation(extent={{80,-102},{88,-94}})));
        Modelica.Blocks.Math.Sum MotionCals(nin=3) 
          annotation (Placement(transformation(extent={{-6,-88},{2,-80}})));
        Modelica.Blocks.Math.Gain gain(k=-1) 
          annotation (Placement(transformation(extent={{8,-86},{12,-82}})));
      equation

        connect(Brain.glucose, glucose) annotation (Line(
            points={{-32,114},{-28,114},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(RespiratoryMuscle.glucose, glucose) annotation (Line(
            points={{-32,80},{-28,80},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(RightHeart.glucose, glucose) annotation (Line(
            points={{-32,42},{-28,42},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(LeftHeart.glucose, glucose) annotation (Line(
            points={{-32,8},{-28,8},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(SkeletalMuscle.glucose, glucose) annotation (Line(
            points={{-30,-30},{-28,-30},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Skin.glucose, glucose) annotation (Line(
            points={{-32,-68},{-28,-68},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bone.glucose, glucose) annotation (Line(
            points={{40,114},{24,114},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Kidney.glucose, glucose) annotation (Line(
            points={{40,36},{24,36},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GITract.glucose, glucose) annotation (Line(
            points={{40,4},{24,4},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Fat.glucose, glucose) annotation (Line(
            points={{40,-28},{24,-28},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(OtherTissue.glucose, glucose) annotation (Line(
            points={{40,-62},{24,-62},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Brain.lactate, lactate) annotation (Line(
            points={{-32,102.8},{-24,102.8},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(RespiratoryMuscle.lactate, lactate) annotation (Line(
            points={{-32,68.8},{-24,68.8},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(LeftHeart.lactate, lactate) annotation (Line(
            points={{-32,-3.2},{-24,-3.2},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(RightHeart.lactate, lactate) annotation (Line(
            points={{-32,30.8},{-24,30.8},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(SkeletalMuscle.lactate, lactate) annotation (Line(
            points={{-30,-41.2},{-24,-41.2},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Skin.lactate, lactate) annotation (Line(
            points={{-32,-79.2},{-24,-79.2},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bone.lactate, lactate) annotation (Line(
            points={{40,103.6},{20,103.6},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Liver.lactate, lactate) annotation (Line(
            points={{40,59.6},{20,59.6},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Kidney.lactate, lactate) annotation (Line(
            points={{40,25.6},{20,25.6},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GITract.lactate, lactate) annotation (Line(
            points={{40,-6.4},{20,-6.4},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Fat.lactate, lactate) annotation (Line(
            points={{40,-38.4},{20,-38.4},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(OtherTissue.lactate, lactate) annotation (Line(
            points={{40,-72.4},{20,-72.4},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(RespiratoryMuscle.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,57.6},{-20,57.6},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(RightHeart.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,19.6},{-20,19.6},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(LeftHeart.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,-14.4},{-20,-14.4},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(SkeletalMuscle.fattyAcids, fattyAcids) annotation (Line(
            points={{-30,-52.4},{-20,-52.4},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Skin.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,-90.4},{-20,-90.4},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Bone.fattyAcids, fattyAcids) annotation (Line(
            points={{40,93.2},{16,93.2},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Kidney.fattyAcids, fattyAcids) annotation (Line(
            points={{40,15.2},{16,15.2},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(GITract.fattyAcids, fattyAcids) annotation (Line(
            points={{40,-16.8},{16,-16.8},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Fat.fattyAcids, fattyAcids) annotation (Line(
            points={{40,-48.8},{16,-48.8},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(OtherTissue.fattyAcids, fattyAcids) annotation (Line(
            points={{40,-82.8},{16,-82.8},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));

        connect(busConnector.Brain_LiquidVol, Brain.LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,105.6},{-58.6,105.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_LiquidVol, RespiratoryMuscle.LiquidVol)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,71.6},{-58.6,71.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RightHeart_LiquidVol, RightHeart.LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,33.6},{-58.6,33.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.LeftHeart_LiquidVol, LeftHeart.LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-0.4},{-58.6,-0.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.SkeletalMuscle_LiquidVol, SkeletalMuscle.LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-38.4},{-56.6,-38.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(Bone.LiquidVol, busConnector.Bone_LiquidVol)  annotation (Line(
            points={{64.7,106.2},{68,106.2},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Liver.LiquidVol, busConnector.Liver_LiquidVol)  annotation (Line(
            points={{64.7,62.2},{68,62.2},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(GITract.LiquidVol, busConnector.GITract_LiquidVol)  annotation (Line(
            points={{64.7,-3.8},{68,-3.8},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Fat.LiquidVol, busConnector.Fat_LiquidVol)  annotation (Line(
            points={{64.7,-35.8},{68,-35.8},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(OtherTissue.LiquidVol, busConnector.OtherTissue_LiquidVol)  annotation (Line(
            points={{64.7,-69.8},{68,-69.8},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Kidney.LiquidVol, busConnector.Kidney_LiquidVol)  annotation (Line(
            points={{64.7,28.2},{68,28.2},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Skin_LiquidVol, Skin.LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-76.4},{-58.6,-76.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(busConnector.LeftHeart_BloodFlow, LeftHeart.BloodFlow)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,5.2},{-58.6,5.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RightHeart_BloodFlow, RightHeart.BloodFlow)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,39.2},{-58.6,39.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.Brain_BloodFlow, Brain.BloodFlow)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,111.2},{-58.6,111.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_BloodFlow, RespiratoryMuscle.BloodFlow) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,77.2},{-58.6,77.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
           connect(busConnector.SkeletalMuscle_BloodFlow, SkeletalMuscle.BloodFlow) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-32.8},{-56.6,-32.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
       connect(busConnector.Skin_BloodFlow, Skin.BloodFlow)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-70.8},{-58.6,-70.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(Bone.BloodFlow, busConnector.Bone_BloodFlow)  annotation (Line(
            points={{64.7,111.4},{68,111.4},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Kidney.BloodFlow, busConnector.Kidney_BloodFlow)  annotation (Line(
            points={{64.7,33.4},{68,33.4},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(GITract.BloodFlow, busConnector.GITract_BloodFlow)  annotation (
            Line(
            points={{64.7,1.4},{68,1.4},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Fat.BloodFlow, busConnector.Fat_BloodFlow)  annotation (Line(
            points={{64.7,-30.6},{68,-30.6},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(OtherTissue.BloodFlow, busConnector.OtherTissue_BloodFlow) 
          annotation (Line(
            points={{64.7,-64.6},{68,-64.6},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));

        connect(Bone.Structure_Effect, busConnector.Bone_StructureEffect) 
          annotation (Line(
            points={{64.7,103.6},{68,103.6},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Liver.Structure_Effect, busConnector.Liver_StructureEffect) 
          annotation (Line(
            points={{64.7,59.6},{68,59.6},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Kidney.Structure_Effect, busConnector.Kidney_StructureEffect) 
          annotation (Line(
            points={{64.7,25.6},{68,25.6},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(GITract.Structure_Effect, busConnector.GITract_StructureEffect) 
          annotation (Line(
            points={{64.7,-6.4},{68,-6.4},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Fat.Structure_Effect, busConnector.Fat_StructureEffect)  annotation (
            Line(
            points={{64.7,-38.4},{68,-38.4},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(OtherTissue.Structure_Effect, busConnector.OtherTissue_StructureEffect) 
          annotation (Line(
            points={{64.7,-72.4},{68,-72.4},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Skin_StructureEffect, Skin.Structure_Effect) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-79.2},{-58.6,-79.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.SkeletalMuscle_StructureEffect, SkeletalMuscle.Structure_Effect) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-41.2},{-56.6,-41.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.LeftHeart_StructureEffect, LeftHeart.Structure_Effect) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-3.2},{-58.6,-3.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
          connect(busConnector.RightHeart_StructureEffect, RightHeart.Structure_Effect) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,30.8},{-58.6,30.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_StructureEffect, RespiratoryMuscle.Structure_Effect) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,68.8},{-58.6,68.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.Brain_StructureEffect, Brain.Structure_Effect) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,102.8},{-58.6,102.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(Kidney.PT_Na_Reab, busConnector.PT_Na_Reab)  annotation (Line(
            points={{64.7,15.2},{68,15.2},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Kidney.LH_Na_Reab, busConnector.LH_Na_Reab)  annotation (Line(
            points={{64.7,38.6},{68,38.6},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Kidney.DT_Na_Reab, busConnector.DT_Na_Reab)  annotation (Line(
            points={{64.7,17.8},{68,17.8},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.ExerciseMetabolism_MotionCals, SkeletalMuscle.ExerciseMetabolism_MotionCals) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-52.4},{-56.6,-52.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(busConnector.BloodVol_PVCrit, Brain.BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,114},{-58.6,114}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit, RespiratoryMuscle.BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,80},{-58.6,80}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit, RightHeart.BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,42},{-58.6,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit, LeftHeart.BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,8},{-58.6,8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit, SkeletalMuscle.BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-30},{-56.6,-30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit, Skin.BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-68},{-58.6,-68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit, Bone.BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{68,116},{68,114},{64.7,114}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit, Liver.BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{68,116},{68,70},{64.7,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(GITract.BloodVol_PVCrit, busConnector.BloodVol_PVCrit)  annotation (Line(
            points={{64.7,4},{68,4},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(OtherTissue.BloodVol_PVCrit, busConnector.BloodVol_PVCrit)  annotation (Line(
            points={{64.7,-62},{68,-62},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(Fat.BloodVol_PVCrit, busConnector.BloodVol_PVCrit)  annotation (Line(
            points={{64.7,-28},{68,-28},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit, Kidney.BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{68,116},{68,36},{64.7,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(busConnector.ThyroidEffect, Brain.ThyroidEffect)  annotation (Line(
            points={{-82,116},{-62,116},{-62,97.2},{-58.6,97.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.ThyroidEffect, RespiratoryMuscle.ThyroidEffect)  annotation (Line(
            points={{-82,116},{-62,116},{-62,63.2},{-58.6,63.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.ThyroidEffect, RightHeart.ThyroidEffect)  annotation (Line(
            points={{-82,116},{-62,116},{-62,25.2},{-58.6,25.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.ThyroidEffect, LeftHeart.ThyroidEffect)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-8.8},{-58.6,-8.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.ThyroidEffect, SkeletalMuscle.ThyroidEffect)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-46.8},{-56.6,-46.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.ThyroidEffect, Skin.ThyroidEffect)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-84.8},{-58.6,-84.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.ThyroidEffect, Bone.ThyroidEffect)  annotation (Line(
            points={{-82,116},{68,116},{68,98.4},{64.7,98.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.ThyroidEffect, Liver.ThyroidEffect)  annotation (Line(
            points={{-82,116},{68,116},{68,54.4},{64.7,54.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(GITract.ThyroidEffect, busConnector.ThyroidEffect)  annotation (Line(
            points={{64.7,-11.6},{68,-11.6},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(OtherTissue.ThyroidEffect, busConnector.ThyroidEffect)  annotation (Line(
            points={{64.7,-77.6},{68,-77.6},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(Fat.ThyroidEffect, busConnector.ThyroidEffect)  annotation (Line(
            points={{64.7,-43.6},{68,-43.6},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.ThyroidEffect, Kidney.ThyroidEffect)  annotation (Line(
            points={{-82,116},{68,116},{68,20.4},{64.7,20.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(Bone.pO2, busConnector.Bone_PO2) 
          annotation (Line(
            points={{64.7,108.8},{68,108.8},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Liver.pO2, busConnector.Liver_PO2) 
          annotation (Line(
            points={{64.7,64.8},{68,64.8},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Kidney.pO2, busConnector.Kidney_PO2) 
          annotation (Line(
            points={{64.7,30.8},{68,30.8},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(GITract.pO2, busConnector.GITract_PO2) 
          annotation (Line(
            points={{64.7,-1.2},{68,-1.2},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Fat.pO2, busConnector.Fat_PO2)  annotation (
            Line(
            points={{64.7,-33.2},{68,-33.2},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(OtherTissue.pO2, busConnector.OtherTissue_PO2) 
          annotation (Line(
            points={{64.7,-67.2},{68,-67.2},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Skin_PO2, Skin.pO2) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-73.6},{-58.6,-73.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.SkeletalMuscle_PO2, SkeletalMuscle.pO2) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-35.6},{-56.6,-35.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.LeftHeart_PO2, LeftHeart.pO2) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,2.4},{-58.6,2.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
          connect(busConnector.RightHeart_PO2, RightHeart.pO2) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,36.4},{-58.6,36.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_PO2, RespiratoryMuscle.pO2) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,74.4},{-58.6,74.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.Brain_PO2, Brain.pO2) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,108.4},{-58.6,108.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

      connect(Bone.T, busConnector.bone_T) 
          annotation (Line(
            points={{64.7,101},{68,101},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Liver.T, busConnector.liver_T) 
          annotation (Line(
            points={{64.7,57},{68,57},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Kidney.T, busConnector.kidney_T) 
          annotation (Line(
            points={{64.7,23},{68,23},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(GITract.T, busConnector.GITract_T) 
          annotation (Line(
            points={{64.7,-9},{68,-9},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Fat.T, busConnector.fat_T)  annotation (
            Line(
            points={{64.7,-41},{68,-41},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(OtherTissue.T, busConnector.otherTissue_T) 
          annotation (Line(
            points={{64.7,-75},{68,-75},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.skin_T, Skin.T) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-82},{-58.6,-82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.skeletalMuscle_T, SkeletalMuscle.T) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-44},{-56.6,-44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.leftHeart_T, LeftHeart.T) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-6},{-58.6,-6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
          connect(busConnector.rightHeart_T, RightHeart.T) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,28},{-58.6,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.respiratoryMuscle_T, RespiratoryMuscle.T) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,66},{-58.6,66}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.brain_T, Brain.T) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,100},{-58.6,100}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(Bone.cLactate, busConnector.bone_cLactate) 
          annotation (Line(
            points={{56.9,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Liver.cLactate, busConnector.liver_cLactate) 
          annotation (Line(
            points={{56.9,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney.cLactate, busConnector.kidney_cLactate) 
          annotation (Line(
            points={{56.9,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.cLactate, busConnector.GITract_cLactate) 
          annotation (Line(
            points={{56.9,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fat.cLactate, busConnector.fat_cLactate)  annotation (
            Line(
            points={{56.9,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue.cLactate, busConnector.otherTissue_cLactate) 
          annotation (Line(
            points={{56.9,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_cLactate, Skin.cLactate) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-50.2,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_cLactate, SkeletalMuscle.cLactate) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-48.2,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_cLactate, LeftHeart.cLactate) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-50.2,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_cLactate, RightHeart.cLactate) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-50.2,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_cLactate, RespiratoryMuscle.cLactate) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-50.2,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_cLactate, Brain.cLactate) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-50.2,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(Bone.Tissue_CO2FromMetabolism, busConnector.bone_CO2FromMetabolism) 
          annotation (Line(
            points={{59.5,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Liver.Tissue_CO2FromMetabolism, busConnector.liver_CO2FromMetabolism) 
          annotation (Line(
            points={{59.5,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney.Tissue_CO2FromMetabolism, busConnector.kidney_CO2FromMetabolism) 
          annotation (Line(
            points={{59.5,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.Tissue_CO2FromMetabolism, busConnector.GITract_CO2FromMetabolism) 
          annotation (Line(
            points={{59.5,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fat.Tissue_CO2FromMetabolism, busConnector.fat_CO2FromMetabolism)  annotation (
            Line(
            points={{59.5,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue.Tissue_CO2FromMetabolism, busConnector.otherTissue_CO2FromMetabolism) 
          annotation (Line(
            points={{59.5,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_CO2FromMetabolism, Skin.Tissue_CO2FromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-53,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_CO2FromMetabolism, SkeletalMuscle.Tissue_CO2FromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-51,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_CO2FromMetabolism, LeftHeart.Tissue_CO2FromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-53,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_CO2FromMetabolism, RightHeart.Tissue_CO2FromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-53,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_CO2FromMetabolism, RespiratoryMuscle.Tissue_CO2FromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-53,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_CO2FromMetabolism, Brain.Tissue_CO2FromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-53,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

       connect(Bone.LactateFromMetabolism, busConnector.bone_LactateFromMetabolism) 
          annotation (Line(
            points={{49.1,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Liver.LactateFromMetabolism, busConnector.liver_LactateFromMetabolism) 
          annotation (Line(
            points={{49.1,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney.LactateFromMetabolism, busConnector.kidney_LactateFromMetabolism) 
          annotation (Line(
            points={{49.1,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.LactateFromMetabolism, busConnector.GITract_LactateFromMetabolism) 
          annotation (Line(
            points={{49.1,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fat.LactateFromMetabolism, busConnector.fat_LactateFromMetabolism)  annotation (
            Line(
            points={{49.1,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue.LactateFromMetabolism, busConnector.otherTissue_LactateFromMetabolism) 
          annotation (Line(
            points={{49.1,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_LactateFromMetabolism, Skin.LactateFromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-41.8,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_LactateFromMetabolism, SkeletalMuscle.LactateFromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-39.8,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_LactateFromMetabolism, LeftHeart.LactateFromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-41.8,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_LactateFromMetabolism, RightHeart.LactateFromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-41.8,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_LactateFromMetabolism, RespiratoryMuscle.LactateFromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-41.8,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_LactateFromMetabolism, Brain.LactateFromMetabolism) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-41.8,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

       connect(Bone.O2Use, busConnector.bone_O2Use) 
          annotation (Line(
            points={{54.3,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Liver.O2Use, busConnector.liver_O2Use) 
          annotation (Line(
            points={{54.3,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney.O2Use, busConnector.kidney_O2Use) 
          annotation (Line(
            points={{54.3,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.O2Use, busConnector.GITract_O2Use) 
          annotation (Line(
            points={{54.3,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fat.O2Use, busConnector.fat_O2Use)  annotation (
            Line(
            points={{54.3,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue.O2Use, busConnector.otherTissue_O2Use) 
          annotation (Line(
            points={{54.3,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_O2Use, Skin.O2Use) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-47.4,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_O2Use, SkeletalMuscle.O2Use) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-45.4,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_O2Use, LeftHeart.O2Use) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-47.4,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_O2Use, RightHeart.O2Use) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-47.4,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_O2Use, RespiratoryMuscle.O2Use) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-47.4,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_O2Use, Brain.O2Use) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-47.4,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

       connect(Bone.O2Need, busConnector.Bone_O2Need) 
          annotation (Line(
            points={{51.7,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Liver.O2Need, busConnector.Liver_O2Need) 
          annotation (Line(
            points={{51.7,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney.O2Need, busConnector.Kidney_O2Need) 
          annotation (Line(
            points={{51.7,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.O2Need, busConnector.GITract_O2Need) 
          annotation (Line(
            points={{51.7,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fat.O2Need, busConnector.Fat_O2Need)  annotation (
            Line(
            points={{51.7,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue.O2Need, busConnector.OtherO2Need) 
          annotation (Line(
            points={{51.7,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Skin_O2Need, Skin.O2Need) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-44.6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.SkeletalMuscle_O2Need, SkeletalMuscle.O2Need) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-42.6,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.LeftHeart_O2Need, LeftHeart.O2Need) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-44.6,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.RightHeart_O2Need, RightHeart.O2Need) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-44.6,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.RespiratoryMuscle_O2Need, RespiratoryMuscle.O2Need) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-44.6,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Brain_O2Need, Brain.O2Need) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-44.6,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(Bone.Fuel_FractUseDelay, busConnector.bone_Fuel_FractUseDelay) 
          annotation (Line(
            points={{62.1,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Liver.Fuel_FractUseDelay, busConnector.liver_Fuel_FractUseDelay) 
          annotation (Line(
            points={{62.1,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney.Fuel_FractUseDelay, busConnector.kidney_Fuel_FractUseDelay) 
          annotation (Line(
            points={{62.1,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.Fuel_FractUseDelay, busConnector.GITract_Fuel_FractUseDelay) 
          annotation (Line(
            points={{62.1,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fat.Fuel_FractUseDelay, busConnector.fat_Fuel_FractUseDelay)  annotation (
            Line(
            points={{62.1,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue.Fuel_FractUseDelay, busConnector.otherTissue_Fuel_FractUseDelay) 
          annotation (Line(
            points={{62.1,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_Fuel_FractUseDelay, Skin.Fuel_FractUseDelay) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-55.8,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_Fuel_FractUseDelay, SkeletalMuscle.Fuel_FractUseDelay) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-53.8,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_Fuel_FractUseDelay, LeftHeart.Fuel_FractUseDelay) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-55.8,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_Fuel_FractUseDelay, RightHeart.Fuel_FractUseDelay) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-55.8,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_Fuel_FractUseDelay, RespiratoryMuscle.Fuel_FractUseDelay) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-55.8,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_Fuel_FractUseDelay, Brain.Fuel_FractUseDelay) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-55.8,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(Liver.BloodFlow, busConnector.PortalVein_BloodFlow) annotation (Line(
            points={{64.7,67.4},{68,67.4},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Brain.ketoAcids, ketoAcids) annotation (Line(
            points={{-32,91.6},{0,91.6},{0,86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Insulin, SkeletalMuscle.Insulin) annotation (Line(
            points={{-82,116},{-62,116},{-62,-49.6},{-56.6,-49.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,1},{-6,1}}));
        connect(busConnector.Insulin, RespiratoryMuscle.Insulin) annotation (
            Line(
            points={{-82,116},{-62,116},{-62,60.4},{-58.6,60.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow, SkeletalMuscle.GlucoseToCellsStorageFlow) 
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-56.6,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow,
          RespiratoryMuscle.GlucoseToCellsStorageFlow) annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-58.6,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(Skin.TotalCalsUsed, busConnector.MetabolismCaloriesUsed_SkinHeat) 
          annotation (Line(
            points={{-36.2,-96},{-62,-96},{-62,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SkeletalMuscle.TotalCalsUsed, Heat.u1) annotation (Line(
            points={{-34.2,-58},{-36,-58},{-36,-61},{-73,-61}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ExerciseMetabolism_MotionCals, Heat.u2) annotation (Line(
            points={{-82,116},{-62,116},{-62,-56},{-77,-56},{-77,-57}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(Heat.y, busConnector.MetabolismCaloriesUsed_SkeletalMuscleHeat) 
          annotation (Line(
            points={{-81.5,-61},{-86,-61},{-86,-66},{-62,-66},{-62,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MetabolicH2ORate.y, busConnector.MetabolicH2O_Rate) annotation (Line(
            points={{88.4,-92},{94,-92},{94,-82},{68,-82},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

       connect(Bone.H2OFromMetabolism, MetabolicH2ORate.u[1]) 
          annotation (Line(
            points={{46.5,88},{68,88},{68,-92.7333},{79.2,-92.7333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Liver.H2OFromMetabolism, MetabolicH2ORate.u[2]) 
          annotation (Line(
            points={{46.5,44},{68,44},{68,-92.6},{79.2,-92.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney.H2OFromMetabolism, MetabolicH2ORate.u[3]) 
          annotation (Line(
            points={{46.5,10},{68,10},{68,-92.4667},{79.2,-92.4667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.H2OFromMetabolism, MetabolicH2ORate.u[4]) 
          annotation (Line(
            points={{46.5,-22},{68,-22},{68,-92.3333},{79.2,-92.3333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fat.H2OFromMetabolism, MetabolicH2ORate.u[5])  annotation (
            Line(
            points={{46.5,-54},{68,-54},{68,-92.2},{79.2,-92.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue.H2OFromMetabolism, MetabolicH2ORate.u[6]) 
          annotation (Line(
            points={{46.5,-88},{68,-88},{68,-92.0667},{79.2,-92.0667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[7], Skin.H2OFromMetabolism) 
          annotation (Line(
            points={{79.2,-91.9333},{-62,-91.9333},{-62,-96},{-39,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[8], SkeletalMuscle.H2OFromMetabolism) 
          annotation (Line(
            points={{79.2,-91.8},{-62,-91.8},{-62,-58},{-37,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[9], LeftHeart.H2OFromMetabolism) 
          annotation (Line(
            points={{79.2,-91.6667},{-62,-91.6667},{-62,-20},{-39,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(MetabolicH2ORate.u[10], RightHeart.H2OFromMetabolism) 
          annotation (Line(
            points={{79.2,-91.5333},{-62,-91.5333},{-62,14},{-39,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[11], RespiratoryMuscle.H2OFromMetabolism) 
          annotation (Line(
            points={{79.2,-91.4},{-62,-91.4},{-62,52},{-39,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[12], Brain.H2OFromMetabolism) 
          annotation (Line(
            points={{79.2,-91.2667},{-62,-91.2667},{-62,86},{-39,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(Liver.GILumenCarbohydrates, GILumenCarbohydrates) annotation (
            Line(
            points={{55.6,70},{56,70},{56,82},{80,82}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Liver.PortalVeinGlucose, busConnector.PortalVein_Glucose) 
          annotation (Line(
            points={{59.5,70},{60,70},{60,74},{36,74},{36,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Liver.glucose, glucose) annotation (Line(
            points={{40,70},{24,70},{24,12},{-2,12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Liver.fattyAcids, fattyAcids) annotation (Line(
            points={{40,49.2},{16,49.2},{16,-6},{0,-6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GITract.GIT_GluUse, Liver.GITract_GlucoseUsed) annotation (Line(
            points={{48.32,4},{48,4},{48,6},{80,6},{80,51.54},{64.7,51.54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.GIT_FatUse, Liver.GITract_FatUsed) annotation (Line(
            points={{50.92,4},{82,4},{82,48.68},{64.7,48.68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Liver.FatAbsorbtion, busConnector.FA_Absorbtion) annotation (
            Line(
            points={{64.7,46.08},{68,46.08},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(CoreHeat.y, busConnector.MetabolismCaloriesUsed_CoreHeat)         annotation (Line(
            points={{88.4,-98},{94,-98},{94,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(Bone.TotalCalsUsed, CoreHeat.u[1]) 
          annotation (Line(
            points={{43.9,88},{68,88},{68,-98.7273},{79.2,-98.7273}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Liver.TotalCalsUsed, CoreHeat.u[2]) 
          annotation (Line(
            points={{43.9,44},{68,44},{68,-98.5818},{79.2,-98.5818}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney.TotalCalsUsed, CoreHeat.u[3]) 
          annotation (Line(
            points={{43.9,10},{68,10},{68,-98.4364},{79.2,-98.4364}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract.TotalCalsUsed, CoreHeat.u[4]) 
          annotation (Line(
            points={{43.9,-22},{68,-22},{68,-98.2909},{79.2,-98.2909}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fat.TotalCalsUsed, CoreHeat.u[5])          annotation (
            Line(
            points={{43.9,-54},{68,-54},{68,-98.1455},{79.2,-98.1455}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissue.TotalCalsUsed, CoreHeat.u[6]) 
          annotation (Line(
            points={{43.9,-88},{68,-88},{68,-98},{79.2,-98}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CoreHeat.u[7], LeftHeart.TotalCalsUsed) 
          annotation (Line(
            points={{79.2,-97.8545},{-62,-97.8545},{-62,-20},{-36.2,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CoreHeat.u[8], RightHeart.TotalCalsUsed) 
          annotation (Line(
            points={{79.2,-97.7091},{-62,-97.7091},{-62,14},{-36.2,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CoreHeat.u[9], RespiratoryMuscle.TotalCalsUsed) 
          annotation (Line(
            points={{79.2,-97.5636},{-62,-97.5636},{-62,52},{-36.2,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CoreHeat.u[10], Brain.TotalCalsUsed) 
          annotation (Line(
            points={{79.2,-97.4182},{-62,-97.4182},{-62,86},{-36.2,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(RightHeart.MotionCals_, MotionCals.u[1]) annotation (Line(
            points={{-33.4,14},{-12,14},{-12,-84.5333},{-6.8,-84.5333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeftHeart.MotionCals_, MotionCals.u[2]) annotation (Line(
            points={{-33.4,-20},{-12,-20},{-12,-84},{-6.8,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RespiratoryMuscle.MotionCals_, MotionCals.u[3]) annotation (Line(
            points={{-33.4,52},{-12,52},{-12,-83.4667},{-6.8,-83.4667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MotionCals.y, gain.u) annotation (Line(
            points={{2.4,-84},{7.6,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, CoreHeat.u[11]) annotation (Line(
            points={{12.2,-84},{20,-84},{20,-97.2727},{79.2,-97.2727}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.HypothalamusShivering_NerveActivity,
          SkeletalMuscle.HypothalamusShivering_NerveActivity) annotation (Line(
            points={{-82,116},{-62,116},{-62,-27.2},{-56.6,-27.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,120}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,120}}),
              graphics={Text(
                extent={{-166,136},{154,108}},
                lineColor={0,0,255},
                textString="%name"), Bitmap(extent={{28,120},{98,44}}, fileName=
                   "icons/ohen.png")}));
      end Metabolism;

      model CorrectionOxygenInputPump

        Library.PressureFlow.NegativePressureFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,0},{110,20}}),   iconTransformation(
                extent={{90,0},{110,20}})));

        Library.Interfaces.RealInput_ desiredFlow 
                                          annotation (Placement(transformation(
                extent={{-66,50},{-26,90}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,60})));
      equation
        q_out.q = - desiredFlow - q_out.pressure;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Text(
                extent={{-148,-146},{152,-106}},
                textString="%name",
                lineColor={0,0,255}),
              Rectangle(
                extent={{-100,-40},{100,60}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,35},{80,10},{-80,-15},{-80,35}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-90},{150,-50}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{68,58},{90,44},{96,20},{96,0},{88,-24},{72,-38},{64,-34},
                    {82,-20},{90,0},{90,18},{84,40},{64,54},{68,58},{68,58}},
                color={0,0,255},
                smooth=Smooth.None),
              Line(
                points={{-16,40},{-16,34},{24,34},{24,40},{-16,40}},
                color={0,0,255},
                smooth=Smooth.None)}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end CorrectionOxygenInputPump;

      package EnergyFlow "Energy From Metabolism Connections"

        connector EnergyFlowConnector "Energy flow connector"
          Boolean anaerobicRunning;
          flow Real q;
        end EnergyFlowConnector;

        connector PositiveEnergyFlow "Energy inflow"
          extends EnergyFlowConnector;

        annotation (
            defaultComponentName="q_in",
            Coordsys(
              extent=[-100, -100; 100, 100],
              grid=[1, 1],
              component=[20, 20],
              scale=0.2),
            Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-100,0;
                    0,100; 100,0; 0,-100; -100,0],            style(
                  color=74,
                  rgbcolor={200,200,0},
                  fillColor=0,
                  rgbfillColor={200,200,0}))),
            Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                  color=74,
                  rgbcolor={0,0,0},
                  fillColor=0,
                  rgbfillColor={0,0,0})), Text(
                extent=[-105,-38; 115,-83],
                string="%name",
                style(color=0, rgbcolor={0,0,0}))),
            Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
        end PositiveEnergyFlow;

        connector NegativeEnergyFlow "Energy outflow"
          extends EnergyFlowConnector;

        annotation (
            defaultComponentName="q_out",
            Coordsys(
              extent=[-100, -100; 100, 100],
              grid=[1, 1],
              component=[20, 20],
              scale=0.2),
            Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-100,0;
                    0,100; 100,0; 0,-100; -100,0],            style(
                  color=74,
                  rgbcolor={200,200,0},
                  fillColor=0,
                  rgbfillColor={255,240,240}))),
            Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                  color=74,
                  rgbcolor={0,0,0},
                  fillColor=0,
                  rgbfillColor={255,255,255})), Text(
                extent=[-105,-38; 115,-83],
                string="%name",
                style(color=0, rgbcolor={0,0,0}))),
            Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
        end NegativeEnergyFlow;

        model OutputPump

          PositiveEnergyFlow q_in 
                                 annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-70,-10},
                    {-50,10}})));
          HumMod.Library.Interfaces.RealInput_ desiredFlow 
                                         annotation ( extent = [-10,30;10,50], rotation = -90);

        equation
          q_in.q = desiredFlow;

         annotation (
            Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={
                Rectangle(
                  extent={{-60,-32},{60,30}},
                  lineColor={0,0,127},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-48,18},{50,-2},{-48,-26},{-48,18}},
                  lineColor={0,0,127},
                  fillColor={0,0,127},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-78,-54},{72,-32}},
                  textString="%name",
                  lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                           extent={{-100,-100},{100,100}}), graphics),
                      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics));
        end OutputPump;

        model FlowMeasure

          NegativeEnergyFlow q_out 
                                 annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{18,-10},{38,10}}), iconTransformation(
                  extent={{50,-10},{70,10}})));

          PositiveEnergyFlow q_in   annotation (Placement(
                transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-70,-10},
                    {-50,10}})));
          HumMod.Library.Interfaces.RealOutput_ actualFlow(quantity="Flow") 
                                 annotation (Placement(transformation(extent={{-20,30},{20,70}}),
                iconTransformation(extent={{-20,-20},{20,20}},
                                                             rotation=90,
                origin={0,54})));
        equation
          q_in.q + q_out.q = 0;
          q_out.anaerobicRunning = q_in.anaerobicRunning;

          actualFlow = q_in.q;

         annotation (
            Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={Bitmap(extent={{-60,60},{60,-60}},
                    fileName="icons/flowMeassure.png")}),
                                          Diagram(coordinateSystem(preserveAspectRatio=true,
                           extent={{-100,-100},{100,100}}), graphics));
        end FlowMeasure;
      end EnergyFlow;

      model NutrientDelivery

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        Library.Interfaces.RealInput_ solventFlow 
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow neededFlow 
                                  annotation (Placement(
              transformation(extent={{24,-110},{44,-90}}),  iconTransformation(extent={{-10,-60},
                  {10,-40}})));
        Library.ConcentrationFlow.SolventFlowPump toCapylaries 
          annotation (Placement(transformation(extent={{-90,-10},{-70,10}})));
        FuelDeficit fuelDeficit 
          annotation (Placement(transformation(extent={{-10,-52},{10,-32}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{-44,10},{-24,-10}})));
        Library.Interfaces.RealOutput_ FuelFractUseDelay annotation (Placement(
              transformation(extent={{-80,-60},{-66,-46}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,-70})));
      equation
        connect(solventFlow, toCapylaries.solventFlow) annotation (Line(
            points={{0,60},{0,28},{-80,28},{-80,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, toCapylaries.q_in) annotation (Line(
            points={{-100,0},{-90,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fuelDeficit.neededFlow, neededFlow) annotation (Line(
            points={{10,-42},{34,-42},{34,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(toCapylaries.q_out, flowMeasure.q_in) annotation (Line(
            points={{-70,0},{-38,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, fuelDeficit.delivered) annotation (Line(
            points={{-30,0},{0,0},{0,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, fuelDeficit.maximalDeliveryFlow) 
          annotation (Line(
            points={{-34,-5},{-34,-36},{-10,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fuelDeficit.FractUseDelay, FuelFractUseDelay) annotation (Line(
            points={{0,-52},{0,-53},{-73,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, q_out) annotation (Line(
            points={{-30,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{10,-84},{240,-48}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end NutrientDelivery;

      model NutrientDelivery2
        extends NutrientDelivery;
        Library.ConcentrationFlow.PositiveConcentrationFlow q_in2 
                                  annotation (Placement(
              transformation(extent={{-102,-38},{-82,-18}}),iconTransformation(extent={{-110,
                  -50},{-90,-30}})));
      equation
        connect(q_in2, flowMeasure.q_in) annotation (Line(
            points={{-92,-28},{-56,-28},{-56,0},{-38,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Icon(graphics), Diagram(graphics));
      end NutrientDelivery2;

      model FuelDeficit

        Library.ConcentrationFlow.PositiveConcentrationFlow delivered
          "delivery flow is limited" 
                                  annotation (Placement(
              transformation(extent={{-38,72},{2,112}}),    iconTransformation(extent={{-10,90},
                  {10,110}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow neededFlow
          "needed solute mass flow have to be achieved" 
                                  annotation (Placement(
              transformation(extent={{88,-28},{108,-8}}),   iconTransformation(extent={{90,-10},
                  {110,10}})));
        Library.Interfaces.RealInput_ maximalDeliveryFlow
          "maximal flow limit of delivered connector"                                                 annotation (Placement(
              transformation(extent={{-120,40},{-80,80}}), iconTransformation(extent={
                  {-120,40},{-80,80}})));

        Library.Interfaces.RealOutput_ FractUseDelay
          "less than 1 if neededFlow is grater than delivered flow" annotation (
            Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-100})));

        parameter Real Zero = 1e-1;
      equation
        delivered.conc = neededFlow.conc;
        if (not initial()) and ( -neededFlow.q > maximalDeliveryFlow) and ( -neededFlow.q > Zero) then
          delivered.q = maximalDeliveryFlow;
          FractUseDelay*(-neededFlow.q) = delivered.q;
        else
          delivered.q + neededFlow.q = 0;
          FractUseDelay = 1;
        end if;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                extent={{-100,-100},{100,100}}), graphics));
      end FuelDeficit;

      model LeftHeartMuscle
        extends HeartMuscle;
        Library.Interfaces.RealOutput_ MotionCals_(unit="Cal/min") 
                                                              annotation (
            Placement(transformation(extent={{-6,60},{6,72}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={90,-100})));
      equation
        connect(motionCals.y, MotionCals_) annotation (Line(
            points={{-29.4,66},{0,66}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Icon(graphics={Bitmap(extent={{-50,32},{56,-96}}, fileName=
                    "icons/srdceLeva.png")}), Diagram(graphics));
      end LeftHeartMuscle;

      model RightHeartMuscle
        extends HeartMuscle;
        Library.Interfaces.RealOutput_ MotionCals_(unit="Cal/min") 
                                                              annotation (
            Placement(transformation(extent={{-2,60},{10,72}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={90,-100})));
      equation
        connect(motionCals.y, MotionCals_) annotation (Line(
            points={{-29.4,66},{4,66}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Icon(graphics={Bitmap(extent={{-44,58},{62,-90}}, fileName=
                    "icons/srdceprava.png")}));
      end RightHeartMuscle;

      model FuelDeficit2

        Library.ConcentrationFlow.PositiveConcentrationFlow delivered
          "delivery flow is limited" 
                                  annotation (Placement(
              transformation(extent={{-38,72},{2,112}}),    iconTransformation(extent={{-10,90},
                  {10,110}})));
        Library.ConcentrationFlow.PositiveConcentrationFlow neededFlow
          "needed solute mass flow have to be achieved" 
                                  annotation (Placement(
              transformation(extent={{88,-28},{108,-8}}),   iconTransformation(extent={{90,-10},
                  {110,10}})));
        Library.Interfaces.RealInput_ maximalDeliveryFlow
          "maximal flow limit of delivered connector"                                                 annotation (Placement(
              transformation(extent={{-120,40},{-80,80}}), iconTransformation(extent={
                  {-120,40},{-80,80}})));

        Library.Interfaces.RealOutput_ FractUseDelay
          "less than 1 if neededFlow is grater than delivered flow" annotation (
            Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-100})));

        parameter Real Zero = 1e-10;
        Library.Interfaces.RealInput_ concChange
          "aditional change of delivered concentration"                                               annotation (Placement(
              transformation(extent={{-120,0},{-80,40}}),  iconTransformation(extent={{-120,
                  -80},{-80,-40}})));
      equation
        delivered.conc + concChange = neededFlow.conc;
        if ( -neededFlow.q > maximalDeliveryFlow) then
          delivered.q = maximalDeliveryFlow;
          FractUseDelay = delivered.q/(-neededFlow.q);
        else
          delivered.q + neededFlow.q = 0;
          FractUseDelay = 1;
        end if;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                extent={{-100,-100},{100,100}}), graphics));
      end FuelDeficit2;

      model NutrientDelivery_

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        Library.Interfaces.RealInput_ solventFlow 
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow neededFlow 
                                  annotation (Placement(
              transformation(extent={{24,-110},{44,-90}}),  iconTransformation(extent={{-10,-60},
                  {10,-40}})));
        Library.ConcentrationFlow.SolventFlowPump toCapylaries 
          annotation (Placement(transformation(extent={{-90,-10},{-70,10}})));
        FuelDeficit2 fuelDeficit 
          annotation (Placement(transformation(extent={{-10,-52},{10,-32}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{-44,10},{-24,-10}})));
        Library.Interfaces.RealOutput_ FuelFractUseDelay annotation (Placement(
              transformation(extent={{-80,-60},{-66,-46}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,-70})));
        Library.Interfaces.RealInput_ GITUsed "GITract concumption"                                   annotation (Placement(
              transformation(extent={{-94,-50},{-74,-30}}),iconTransformation(extent={{-20,-20},
                  {20,20}},
              rotation=270,
              origin={80,60})));
        Library.ConcentrationFlow.PositiveConcentrationFlow q_in2 
                                  annotation (Placement(
              transformation(extent={{-92,-28},{-72,-8}}),  iconTransformation(extent={{-110,
                  -50},{-90,-30}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure1 
          annotation (Placement(transformation(extent={{-70,-8},{-50,-28}})));
        Modelica.Blocks.Math.Feedback feedback 
          annotation (Placement(transformation(extent={{-54,-40},{-42,-28}})));
        Modelica.Blocks.Math.Division division 
          annotation (Placement(transformation(extent={{-32,-50},{-22,-40}})));
      equation
        connect(solventFlow, toCapylaries.solventFlow) annotation (Line(
            points={{0,60},{0,28},{-80,28},{-80,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, toCapylaries.q_in) annotation (Line(
            points={{-100,0},{-90,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fuelDeficit.neededFlow, neededFlow) annotation (Line(
            points={{10,-42},{34,-42},{34,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(toCapylaries.q_out, flowMeasure.q_in) annotation (Line(
            points={{-70,0},{-38,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, fuelDeficit.delivered) annotation (Line(
            points={{-30,0},{0,0},{0,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, fuelDeficit.maximalDeliveryFlow) 
          annotation (Line(
            points={{-34,-5},{-34,-36},{-10,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fuelDeficit.FractUseDelay, FuelFractUseDelay) annotation (Line(
            points={{0,-52},{0,-53},{-73,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, q_out) annotation (Line(
            points={{-30,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in2, flowMeasure1.q_in) annotation (Line(
            points={{-82,-18},{-74,-18},{-74,-18},{-64,-18}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.q_out, flowMeasure.q_in) annotation (Line(
            points={{-56,-18},{-48,-18},{-48,0},{-38,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.actualFlow, feedback.u1) annotation (Line(
            points={{-60,-23},{-60,-34},{-52.8,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITUsed, feedback.u2) annotation (Line(
            points={{-84,-40},{-49,-40},{-49,-38.8},{-48,-38.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, division.u1) annotation (Line(
            points={{-42.6,-34},{-38,-34},{-38,-42},{-33,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(solventFlow, division.u2) annotation (Line(
            points={{0,60},{0,28},{-40,28},{-40,-48},{-33,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.y, fuelDeficit.concChange) annotation (Line(
            points={{-21.5,-45},{-15.75,-45},{-15.75,-48},{-10,-48}},
            color={0,0,127},
            smooth=Smooth.None));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{10,-84},{240,-48}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end NutrientDelivery_;

      model NutrientDelivery_Fat

        HumMod.Library.ConcentrationFlow.NegativeConcentrationFlow q_out 
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        Library.Interfaces.RealInput_ solventFlow 
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow q_in 
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
        HumMod.Library.ConcentrationFlow.PositiveConcentrationFlow neededFlow 
                                  annotation (Placement(
              transformation(extent={{24,-110},{44,-90}}),  iconTransformation(extent={{-10,-60},
                  {10,-40}})));
        Library.ConcentrationFlow.SolventFlowPump toCapylaries 
          annotation (Placement(transformation(extent={{-90,-10},{-70,10}})));
        FuelDeficit2 fuelDeficit 
          annotation (Placement(transformation(extent={{-10,-52},{10,-32}})));
        Library.ConcentrationFlow.FlowMeasure flowMeasure 
          annotation (Placement(transformation(extent={{-44,10},{-24,-10}})));
        Library.Interfaces.RealOutput_ FuelFractUseDelay annotation (Placement(
              transformation(extent={{-80,-60},{-66,-46}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,-70})));
        Library.Interfaces.RealInput_ GITUsed "GITract concumption"                                   annotation (Placement(
              transformation(extent={{-94,-50},{-74,-30}}),iconTransformation(extent={{-20,-20},
                  {20,20}},
              rotation=270,
              origin={80,60})));
        Modelica.Blocks.Math.Feedback feedback 
          annotation (Placement(transformation(extent={{-54,-40},{-42,-28}})));
        Modelica.Blocks.Math.Division division 
          annotation (Placement(transformation(extent={{-32,-50},{-22,-40}})));
        Library.Interfaces.RealInput_ FatAbsorbtion
          "fat from GILumen absorbtion"                                                               annotation (Placement(
              transformation(extent={{-94,-36},{-74,-16}}),iconTransformation(extent={{-20,-20},
                  {20,20}},
              rotation=270,
              origin={40,60})));
      equation
        connect(solventFlow, toCapylaries.solventFlow) annotation (Line(
            points={{0,60},{0,28},{-80,28},{-80,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, toCapylaries.q_in) annotation (Line(
            points={{-100,0},{-90,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fuelDeficit.neededFlow, neededFlow) annotation (Line(
            points={{10,-42},{34,-42},{34,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(toCapylaries.q_out, flowMeasure.q_in) annotation (Line(
            points={{-70,0},{-38,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, fuelDeficit.delivered) annotation (Line(
            points={{-30,0},{0,0},{0,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.actualFlow, fuelDeficit.maximalDeliveryFlow) 
          annotation (Line(
            points={{-34,-5},{-34,-36},{-10,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fuelDeficit.FractUseDelay, FuelFractUseDelay) annotation (Line(
            points={{0,-52},{0,-53},{-73,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, q_out) annotation (Line(
            points={{-30,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GITUsed, feedback.u2) annotation (Line(
            points={{-84,-40},{-49,-40},{-49,-38.8},{-48,-38.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, division.u1) annotation (Line(
            points={{-42.6,-34},{-38,-34},{-38,-42},{-33,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(solventFlow, division.u2) annotation (Line(
            points={{0,60},{0,28},{-40,28},{-40,-48},{-33,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.y, fuelDeficit.concChange) annotation (Line(
            points={{-21.5,-45},{-15.75,-45},{-15.75,-48},{-10,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FatAbsorbtion, feedback.u1) annotation (Line(
            points={{-84,-26},{-68,-26},{-68,-34},{-52.8,-34}},
            color={0,0,127},
            smooth=Smooth.None));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{10,-84},{240,-48}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"),          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end NutrientDelivery_Fat;
      annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
</html>"));
    end Metabolism;

    model NutrientsAndMetabolism
      import QHP = HumMod;
    //  extends Library.Interfaces.BaseModel;
      HumMod.Metabolism.Metabolism.Metabolism tissuesMetabolism(
                                                            SkeletalMuscle(
            cellularMetabolism(
            concentrationMeasure3(q_in(conc(start=0.974989))),
            concentrationMeasure1(q_in(conc(start=0.151987))),
            GlucoseBurning(e(q(start=-1.31737)))))) 
        annotation (Placement(transformation(extent={{90,-4},{50,36}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{60,60},{100,100}}),
            iconTransformation(extent={{60,60},{100,100}})));
      HumMod.Metabolism.LiverMetabolism liverMetabolism 
        annotation (Placement(transformation(extent={{-66,0},{-26,40}})));
      HumMod.Metabolism.Glucose Glucose 
        annotation (Placement(transformation(extent={{0,-4},{20,16}})));
      HumMod.Metabolism.KetoAcids KetoAcids 
        annotation (Placement(transformation(extent={{0,24},{20,44}})));
      QHP.Metabolism.Proteins CellProteins 
        annotation (Placement(transformation(extent={{-46,-80},{-26,-60}})));
      QHP.Metabolism.GILumen GILumen 
        annotation (Placement(transformation(extent={{46,-80},{72,-54}})));
      QHP.Metabolism.Urea Urea 
        annotation (Placement(transformation(extent={{-74,-52},{-54,-32}})));
      QHP.Metabolism.Lipids Lipids 
        annotation (Placement(transformation(extent={{0,54},{20,74}})));
      HumMod.Metabolism.Heat.Heat heat 
        annotation (Placement(transformation(extent={{-68,60},{-96,88}})));
      Lactate lactate 
        annotation (Placement(transformation(extent={{2,-30},{22,-10}})));
      HumMod.Metabolism.AminoAcids aminoAcids 
        annotation (Placement(transformation(extent={{2,-58},{22,-38}})));
    equation

     connect(tissuesMetabolism.busConnector, busConnector) annotation (Line(
          points={{86.4,30.5455},{96,30.5455},{96,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(liverMetabolism.busConnector, busConnector)  annotation (Line(
          points={{-65.6,20},{-86,20},{-86,-92},{96,-92},{96,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, Glucose.busConnector)     annotation (Line(
          points={{80,80},{-4,80},{-4,5.8},{1,5.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(Glucose.q_out, tissuesMetabolism.glucose) annotation (Line(
          points={{10,12},{28,12},{28,12.3636},{50,12.3636}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(KetoAcids.q_out, tissuesMetabolism.ketoAcids) annotation (Line(
          points={{10,28},{28,28},{28,19.6364},{50,19.6364}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(liverMetabolism.Glucose, Glucose.q_out) annotation (Line(
          points={{-26,8},{-8,8},{-8,12},{10,12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector, GILumen.busConnector) annotation (Line(
          points={{80,80},{96,80},{96,-92},{42,-92},{42,-58.16},{50.16,-58.16}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));

      connect(KetoAcids.q_out, liverMetabolism.Ketoacids) annotation (Line(
          points={{10,28},{-10,28},{-10,20},{-26,20}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea.ureaFromMetabolism, liverMetabolism.Urea) annotation (Line(
          points={{-58,-32},{-58,0}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea.busConnector, busConnector) annotation (Line(
          points={{-72,-38},{-86,-38},{-86,-92},{96,-92},{96,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(KetoAcids.busConnector, busConnector) annotation (Line(
          points={{1,44},{-4,44},{-4,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(CellProteins.busConnector, busConnector) 
                                                   annotation (Line(
          points={{-45.2,-70},{-56,-70},{-56,-92},{96,-92},{96,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, Lipids.busConnector) annotation (Line(
          points={{80,80},{-4,80},{-4,60.2},{2,60.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(Lipids.FattyAcids, tissuesMetabolism.fattyAcids) annotation (Line(
          points={{10,64},{40,64},{40,28.7273},{50,28.7273}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(heat.busConnector, busConnector) annotation (Line(
          points={{-68.84,87.44},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(lactate.busConnector, busConnector) annotation (Line(
          points={{4,-26},{-4,-26},{-4,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(lactate.Lactate, tissuesMetabolism.lactate) annotation (Line(
          points={{12,-20},{40,-20},{40,3.27273},{50,3.27273}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(aminoAcids.busConnector, busConnector) annotation (Line(
          points={{4,-48},{-4,-48},{-4,80},{80,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(GILumen.Protein_Absorption, aminoAcids.AminoAcids) annotation (
          Line(
          points={{72,-59.2},{74,-59.2},{74,-48},{34,-48},{34,-52},{12,-52}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(aminoAcids.AminoAcids, liverMetabolism.AminoAcids) annotation (
          Line(
          points={{12,-52},{-34,-52},{-34,0}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(aminoAcids.AminoAcids, CellProteins.aminoAcids) annotation (Line(
          points={{12,-52},{-8,-52},{-8,-70},{-26,-70}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(GILumen.Carbohydrates_Absorption, tissuesMetabolism.GILumenCarbohydrates) 
        annotation (Line(
          points={{72,-74.8},{84,-74.8},{84,-4},{82,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Lipids.toTriglicerides, GILumen.Fat_Absorption) annotation (Line(
          points={{10,56},{78,56},{78,-67},{72,-67}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Lipids.FattyAcids, liverMetabolism.LM_Ketoacids_FattyAcidUptake) 
        annotation (Line(
          points={{10,64},{-20,64},{-20,40},{-26,40}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(liverMetabolism.LM_FattyAcids_Release, Lipids.toTriglicerides) 
        annotation (Line(
          points={{-26,32},{-14,32},{-14,56},{10,56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                  "icons/vyziva.png"), Text(
              extent={{-180,-96},{190,-128}},
              lineColor={0,0,255},
              textString="%name")}));
    end NutrientsAndMetabolism;

    block Glucose_MG_TO_MMOL "convert glucose units from mg to mmol "
      extends Modelica.SIunits.Conversions.ConversionIcon;
      Library.Interfaces.RealInput_ u annotation (Placement(transformation(extent={{
                -122,-20},{-82,20}}), iconTransformation(extent={{-120,-20},{-80,20}})));
      Library.Interfaces.RealOutput_ y annotation (Placement(transformation(extent=
               {{50,-20},{90,20}}), iconTransformation(extent={{100,-20},{140,20}})));
      constant Real MG_TO_MMOL =   5.551;
    equation
      y = MG_TO_MMOL * u;
      annotation (Icon(graphics={Text(
              extent={{-92,82},{-24,14}},
              lineColor={0,0,0},
              fillColor={0,0,0},
              fillPattern=FillPattern.Solid,
              textString="mg"), Text(
              extent={{-36,-20},{96,-96}},
              lineColor={0,0,0},
              fillColor={0,0,0},
              fillPattern=FillPattern.Solid,
              textString="mmol")}));
    end Glucose_MG_TO_MMOL;

    package setup
      model MetabolismConstInputs

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{72,-2},{86,12}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant BloodCations(k=143.21792523492) 
      annotation (Placement(transformation(extent={{-86,-462},{-80,-456}})));
      Library.Blocks.Constant BloodIons_Cations(k=143.21792523492) 
      annotation (Placement(transformation(extent={{-86,-452},{-80,-446}})));
      Library.Blocks.Constant BloodVol_PVCrit(k=0.55745602408794) 
      annotation (Placement(transformation(extent={{-86,-442},{-80,-436}})));
      Library.Blocks.Constant BreathingTotalVentilation(k=6526.20487266524) 
      annotation (Placement(transformation(extent={{-86,-432},{-80,-426}})));
      Library.Blocks.Constant CD_H2O_Outflow(k=0.7) 
      annotation (Placement(transformation(extent={{-132,16},{-118,30}})));
      //Library.Blocks.Constant CO2Veins_cHCO3(k=2.57071728935027e-002)
      //annotation (Placement(transformation(extent={{-150,-14},{-144,-8}})));

      Library.Blocks.Constant DT_Na_Reab(k=1.37104712291894) 
      annotation (Placement(transformation(extent={{-86,-402},{-80,-396}})));
      Library.Blocks.Constant DietIntakeNutrition_Carbo(k=156.357) 
      annotation (Placement(transformation(extent={{-86,-392},{-80,-386}})));
      Library.Blocks.Constant DietIntakeNutrition_Fat(k=61.2725) 
      annotation (Placement(transformation(extent={{-86,-382},{-80,-376}})));
      Library.Blocks.Constant DietIntakeNutrition_Protein(k=81.8727) 
      annotation (Placement(transformation(extent={{-86,-372},{-80,-366}})));
      Library.Blocks.Constant EpiPool_Epi(k=39.7221841190692) 
      annotation (Placement(transformation(extent={{-86,-362},{-80,-356}})));
      Library.Blocks.Constant ExerciseMetabolism_MotionCals(k=0.) 
      annotation (Placement(transformation(extent={{-86,-352},{-80,-346}})));
      Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
      annotation (Placement(transformation(extent={{-86,-342},{-80,-336}})));
      Library.Blocks.Constant Glomerulus_GFR(k=127.333064117169) 
      annotation (Placement(transformation(extent={{-86,-332},{-80,-326}})));
      Library.Blocks.Constant Glucagon_conc(k=66.2000580531595) 
      annotation (Placement(transformation(extent={{-86,-322},{-80,-316}})));
      Library.Blocks.Constant HeatShivering_Cals(k=0.) 
      annotation (Placement(transformation(extent={{-86,-312},{-80,-306}})));
      Library.Blocks.Constant Insulin(k=18.6374543866765) 
      annotation (Placement(transformation(extent={{-86,-302},{-80,-296}})));
      Library.Blocks.Constant LH_Na_Reab(k=5.27397681954503) 
      annotation (Placement(transformation(extent={{-86,-292},{-80,-286}})));
      Library.Blocks.Constant LiverFunctionEffect(k=0.995580586980285) 
      annotation (Placement(transformation(extent={{-86,-282},{-80,-276}})));
      Library.Blocks.Constant Medulla_Volume(k=31.) 
      annotation (Placement(transformation(extent={{-86,-272},{-80,-266}})));
      Library.Blocks.Constant MetabolismCaloriesUsed_CoreHeat(k=0.796973)
          "kCal/min" 
      annotation (Placement(transformation(extent={{-86,-262},{-80,-256}})));
      Library.Blocks.Constant ECFV_Vol(k=14361) 
      annotation (Placement(transformation(extent={{-86,-232},{-80,-226}})));
      Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
      annotation (Placement(transformation(extent={{-86,-222},{-80,-216}})));
      Library.Blocks.Constant PT_Na_Reab(k=9.90733252672894) 
      annotation (Placement(transformation(extent={{-86,-212},{-80,-206}})));
      Library.Blocks.Constant PortalVein_Glucagon(k=160.797005448649) 
      annotation (Placement(transformation(extent={{-86,-202},{-80,-196}})));
      Library.Blocks.Constant PortalVein_Insulin(k=52.444538843581) 
      annotation (Placement(transformation(extent={{-86,-192},{-80,-186}})));
      Library.Blocks.Constant PortalVein_BloodFlow(k=971.271094732174) 
      annotation (Placement(transformation(extent={{-86,-182},{-80,-176}})));
      Library.Blocks.Constant PortalVein_PlasmaFlow(k=541.440922780939) 
      annotation (Placement(transformation(extent={{-86,-172},{-80,-166}})));
      Library.Blocks.Constant skeletalMuscle_SizeMass(k=26743.5620376591) 
      annotation (Placement(transformation(extent={{-86,-152},{-80,-146}})));
      Library.Blocks.Constant skinSizeMass(k=2244.) 
      annotation (Placement(transformation(extent={{-86,-132},{-80,-126}})));
      Library.Blocks.Constant ThyroidEffect(k=1.04253448385606) 
      annotation (Placement(transformation(extent={{-86,-122},{-80,-116}})));
      Library.Blocks.Constant VasaRecta_Outflow(k=24.3304317899118) 
      annotation (Placement(transformation(extent={{-86,-112},{-80,-106}})));
      Library.Blocks.Constant WeightCore(k=41757.328756) 
      annotation (Placement(transformation(extent={{-86,-102},{-80,-96}})));
      Library.Blocks.Constant BladderVoidFlow(k=0) 
      annotation (Placement(transformation(extent={{-86,-92},{-80,-86}})));
      Library.Blocks.Constant BladderVolume_Mass(k=10) 
      annotation (Placement(transformation(extent={{-86,-82},{-80,-76}})));
      Library.Blocks.Constant BloodPh_ArtysPh(k=7.4) 
      annotation (Placement(transformation(extent={{-86,-72},{-80,-66}})));
      Library.Blocks.Constant Bone_BloodFlow(k=324.086048840702) 
      annotation (Placement(transformation(extent={{-86,-62},{-80,-56}})));
      Library.Blocks.Constant Brain_BloodFlow(k=870.480358845086) 
      annotation (Placement(transformation(extent={{-86,-52},{-80,-46}})));
      Library.Blocks.Constant Fat_BloodFlow(k=236.170497748735) 
      annotation (Placement(transformation(extent={{-86,-42},{-80,-36}})));
      Library.Blocks.Constant GITract_BloodFlow(k=971.271094732174) 
      annotation (Placement(transformation(extent={{-86,-32},{-80,-26}})));
      Library.Blocks.Constant HepaticArty_BloodFlow(k=245.489746000535) 
      annotation (Placement(transformation(extent={{-86,-22},{-80,-16}})));
      Library.Blocks.Constant Kidney_BloodFlow(k=1231.77885077347) 
      annotation (Placement(transformation(extent={{-86,-12},{-80,-6}})));
      Library.Blocks.Constant LeftHeart_BloodFlow(k=187.141403158598) 
      annotation (Placement(transformation(extent={{-86,-2},{-80,4}})));
      Library.Blocks.Constant AlveolarVentilated_BloodFlow(k=5182.99570595689) 
      annotation (Placement(transformation(extent={{-86,8},{-80,14}})));
      Library.Blocks.Constant OtherTissue_BloodFlow(k=367.445620022139) 
      annotation (Placement(transformation(extent={{-86,18},{-80,24}})));
      Library.Blocks.Constant RespiratoryMuscle_BloodFlow(k=96.4514390299406) 
      annotation (Placement(transformation(extent={{-86,28},{-80,34}})));
      Library.Blocks.Constant RightHeart_BloodFlow(k=35.2508578572206) 
      annotation (Placement(transformation(extent={{-86,38},{-80,44}})));
      Library.Blocks.Constant SkeletalMuscle_BloodFlow(k=630.94639202895) 
      annotation (Placement(transformation(extent={{-86,48},{-80,54}})));
      Library.Blocks.Constant Skin_BloodFlow(k=141.322057495783) 
      annotation (Placement(transformation(extent={{-86,58},{-80,64}})));
      Library.Blocks.Constant Liver_BloodFlow(k=1216.760840732709) 
      annotation (Placement(transformation(extent={{-86,68},{-80,74}})));
      Library.Blocks.Constant Bone_LiquidVol(k=2738.56) 
      annotation (Placement(transformation(extent={{-86,78},{-80,84}})));
      Library.Blocks.Constant Brain_LiquidVol(k=775.324) 
      annotation (Placement(transformation(extent={{-86,88},{-80,94}})));
      Library.Blocks.Constant Fat_LiquidVol(k=2490.) 
      annotation (Placement(transformation(extent={{-86,98},{-80,104}})));
      Library.Blocks.Constant GITract_LiquidVol(k=851.972) 
      annotation (Placement(transformation(extent={{-86,108},{-80,114}})));
      Library.Blocks.Constant Kidney_LiquidVol(k=170.984) 
      annotation (Placement(transformation(extent={{-86,118},{-80,124}})));
      Library.Blocks.Constant LeftHeart_LiquidVol(k=154.77) 
      annotation (Placement(transformation(extent={{-86,128},{-80,134}})));
      Library.Blocks.Constant Liver_LiquidVol(k=1033.274) 
      annotation (Placement(transformation(extent={{-86,138},{-80,144}})));
      Library.Blocks.Constant OtherTissue_LiquidVol(k=2432.1) 
      annotation (Placement(transformation(extent={{-86,148},{-80,154}})));
      Library.Blocks.Constant RespiratoryMuscle_LiquidVol(k=2433.2) 
      annotation (Placement(transformation(extent={{-86,158},{-80,164}})));
      Library.Blocks.Constant RightHeart_LiquidVol(k=25.795) 
      annotation (Placement(transformation(extent={{-86,168},{-80,174}})));
      Library.Blocks.Constant SkeletalMuscle_LiquidVol(k=21646.) 
      annotation (Placement(transformation(extent={{-86,178},{-80,184}})));
      Library.Blocks.Constant Skin_LiquidVol(k=1503.48) 
      annotation (Placement(transformation(extent={{-86,188},{-80,194}})));
      Library.Blocks.Constant Bone_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,198},{-80,204}})));
      Library.Blocks.Constant Brain_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,208},{-80,214}})));
      Library.Blocks.Constant Fat_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,218},{-80,224}})));
      Library.Blocks.Constant GITract_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,228},{-80,234}})));
      Library.Blocks.Constant Kidney_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,238},{-80,244}})));
      Library.Blocks.Constant LeftHeart_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,248},{-80,254}})));
      Library.Blocks.Constant Liver_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,258},{-80,264}})));
      Library.Blocks.Constant OtherTissue_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,268},{-80,274}})));
      Library.Blocks.Constant RespiratoryMuscle_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,278},{-80,284}})));
      Library.Blocks.Constant RightHeart_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,288},{-80,294}})));
      Library.Blocks.Constant SkeletalMuscle_StructureEffect(k=0.98811727215541) 
      annotation (Placement(transformation(extent={{-86,298},{-80,304}})));
      Library.Blocks.Constant Skin_StructureEffect(k=1.) 
      annotation (Placement(transformation(extent={{-86,308},{-80,314}})));
      Library.Blocks.Constant Bone_PO2(k=41.5329727005485) 
      annotation (Placement(transformation(extent={{-86,318},{-80,324}})));
      Library.Blocks.Constant Brain_PO2(k=40.3699717617139) 
      annotation (Placement(transformation(extent={{-86,328},{-80,334}})));
      Library.Blocks.Constant Fat_PO2(k=52.1601244532559) 
      annotation (Placement(transformation(extent={{-86,338},{-80,344}})));
      Library.Blocks.Constant GITract_PO2(k=58.8550845443996) 
      annotation (Placement(transformation(extent={{-86,348},{-80,354}})));
      Library.Blocks.Constant LeftHeart_PO2(k=16.7890282637211) 
      annotation (Placement(transformation(extent={{-86,358},{-80,364}})));
      Library.Blocks.Constant OtherTissue_PO2(k=56.8995160542686) 
      annotation (Placement(transformation(extent={{-86,368},{-80,374}})));
      Library.Blocks.Constant RespiratoryMuscle_PO2(k=36.8940260458383) 
      annotation (Placement(transformation(extent={{-86,378},{-80,384}})));
      Library.Blocks.Constant RightHeart_PO2(k=16.4815006094059) 
      annotation (Placement(transformation(extent={{-86,388},{-80,394}})));
      Library.Blocks.Constant SkeletalMuscle_PO2(k=40.6372516711935) 
      annotation (Placement(transformation(extent={{-86,398},{-80,404}})));
      Library.Blocks.Constant Skin_PO2(k=43.4499604248239) 
      annotation (Placement(transformation(extent={{-86,408},{-80,414}})));
      Library.Blocks.Constant Liver_PO2(k=44.4830320222965) 
      annotation (Placement(transformation(extent={{-86,418},{-80,424}})));
      Library.Blocks.Constant Kidney_PO2(k=60.3233226785031) 
      annotation (Placement(transformation(extent={{-86,428},{-80,434}})));
      Library.Blocks.Constant c2(k=52.0752) 
      annotation (Placement(transformation(extent={{-196,-46},{-190,-40}})));
      Library.Blocks.Constant c(k=1009.99) 
      annotation (Placement(transformation(extent={{-196,-58},{-190,-52}})));
      Library.Blocks.Constant Leptin(k=8) 
      annotation (Placement(transformation(extent={{-98,12},{-92,18}})));
      Library.Blocks.Constant BloodIons_ProteinAnions(k=15) 
      annotation (Placement(transformation(extent={{-96,24},{-90,30}})));
      Library.Blocks.Constant GILumenVolume_Intake(k=1.3) 
      annotation (Placement(transformation(extent={{-128,44},{-122,50}})));
      Library.Blocks.Constant HypothalamusShivering_NerveActivity(k=1) 
      annotation (Placement(transformation(extent={{-100,0},{-94,6}})));
      Library.Blocks.Constant GILumenVolume_Absorbtion(k=1.3) 
      annotation (Placement(transformation(extent={{-130,52},{-124,58}})));
      Library.Blocks.Constant DietGoalH2O_DegK(k=294.261111111111) 
      annotation (Placement(transformation(extent={{-126,60},{-120,66}})));
      equation

      connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
       points={{-79.7,-459},{79,-459},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodIons_Cations.y, busConnector.BloodIons_Cations) annotation (Line(
       points={{-79.7,-449},{79,-449},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
       points={{-79.7,-439},{79,-439},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BreathingTotalVentilation.y, busConnector.BreathingTotalVentilation) annotation (Line(
       points={{-79.7,-429},{79,-429},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
       points={{-117.3,23},{79,23},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_Na_Reab.y, busConnector.DT_Na_Reab) annotation (Line(
       points={{-79.7,-399},{79,-399},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeNutrition_Carbo.y, busConnector.DietIntakeNutrition_Carbo) annotation (Line(
       points={{-79.7,-389},{79,-389},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeNutrition_Fat.y, busConnector.DietIntakeNutrition_Fat) annotation (Line(
       points={{-79.7,-379},{79,-379},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeNutrition_Protein.y, busConnector.DietIntakeNutrition_Protein) annotation (Line(
       points={{-79.7,-369},{79,-369},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(EpiPool_Epi.y, busConnector.EpiPool_Epi) annotation (Line(
       points={{-79.7,-359},{79,-359},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
       points={{-79.7,-349},{79,-349},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
       points={{-79.7,-339},{79,-339},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
       points={{-79.7,-329},{79,-329},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
       points={{-79.7,-319},{79,-319},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatShivering_Cals.y, busConnector.HeatShivering_Cals) annotation (Line(
       points={{-79.7,-309},{79,-309},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Insulin.y, busConnector.Insulin) annotation (Line(
       points={{-79.7,-299},{79,-299},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LH_Na_Reab.y, busConnector.LH_Na_Reab) annotation (Line(
       points={{-79.7,-289},{79,-289},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LiverFunctionEffect.y, busConnector.LiverFunctionEffect) annotation (Line(
       points={{-79.7,-279},{79,-279},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
       points={{-79.7,-269},{79,-269},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
       points={{-79.7,-229},{79,-229},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
       points={{-79.7,-219},{79,-219},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PT_Na_Reab.y, busConnector.PT_Na_Reab) annotation (Line(
       points={{-79.7,-209},{79,-209},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
       points={{-79.7,-199},{79,-199},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
       points={{-79.7,-189},{79,-189},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_BloodFlow.y, busConnector.PortalVein_BloodFlow) annotation (Line(
       points={{-79.7,-179},{79,-179},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_PlasmaFlow.y, busConnector.PortalVein_PlasmaFlow) annotation (Line(
       points={{-79.7,-169},{79,-169},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
       points={{-79.7,-149},{79,-149},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
       points={{-79.7,-129},{79,-129},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ThyroidEffect.y, busConnector.ThyroidEffect) annotation (Line(
       points={{-79.7,-119},{79,-119},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
       points={{-79.7,-109},{79,-109},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
       points={{-79.7,-99},{79,-99},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
       points={{-79.7,-89},{79,-89},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
       points={{-79.7,-79},{79,-79},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodPh_ArtysPh.y, busConnector.BloodPh_ArtysPh) annotation (Line(
       points={{-79.7,-69},{79,-69},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_BloodFlow.y, busConnector.Bone_BloodFlow) annotation (Line(
       points={{-79.7,-59},{79,-59},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_BloodFlow.y, busConnector.Brain_BloodFlow) annotation (Line(
       points={{-79.7,-49},{79,-49},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_BloodFlow.y, busConnector.Fat_BloodFlow) annotation (Line(
       points={{-79.7,-39},{79,-39},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
       points={{-79.7,-29},{79,-29},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
       points={{-79.7,-19},{79,-19},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_BloodFlow.y, busConnector.Kidney_BloodFlow) annotation (Line(
       points={{-79.7,-9},{79,-9},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_BloodFlow.y, busConnector.LeftHeart_BloodFlow) annotation (Line(
       points={{-79.7,1},{79,1},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
       points={{-79.7,11},{79,11},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_BloodFlow.y, busConnector.OtherTissue_BloodFlow) annotation (Line(
       points={{-79.7,21},{79,21},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_BloodFlow.y, busConnector.RespiratoryMuscle_BloodFlow) annotation (Line(
       points={{-79.7,31},{79,31},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_BloodFlow.y, busConnector.RightHeart_BloodFlow) annotation (Line(
       points={{-79.7,41},{79,41},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_BloodFlow.y, busConnector.SkeletalMuscle_BloodFlow) annotation (Line(
       points={{-79.7,51},{79,51},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_BloodFlow.y, busConnector.Skin_BloodFlow) annotation (Line(
       points={{-79.7,61},{79,61},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
       points={{-79.7,71},{79,71},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
       points={{-79.7,81},{79,81},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
       points={{-79.7,91},{79,91},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
       points={{-79.7,101},{79,101},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
       points={{-79.7,111},{79,111},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
       points={{-79.7,121},{79,121},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
       points={{-79.7,131},{79,131},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
       points={{-79.7,141},{79,141},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
       points={{-79.7,151},{79,151},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
       points={{-79.7,161},{79,161},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
       points={{-79.7,171},{79,171},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
       points={{-79.7,181},{79,181},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
       points={{-79.7,191},{79,191},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_StructureEffect.y, busConnector.Bone_StructureEffect) annotation (Line(
       points={{-79.7,201},{79,201},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_StructureEffect.y, busConnector.Brain_StructureEffect) annotation (Line(
       points={{-79.7,211},{79,211},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_StructureEffect.y, busConnector.Fat_StructureEffect) annotation (Line(
       points={{-79.7,221},{79,221},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_StructureEffect.y, busConnector.GITract_StructureEffect) annotation (Line(
       points={{-79.7,231},{79,231},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_StructureEffect.y, busConnector.Kidney_StructureEffect) annotation (Line(
       points={{-79.7,241},{79,241},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_StructureEffect.y, busConnector.LeftHeart_StructureEffect) annotation (Line(
       points={{-79.7,251},{79,251},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_StructureEffect.y, busConnector.Liver_StructureEffect) annotation (Line(
       points={{-79.7,261},{79,261},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_StructureEffect.y, busConnector.OtherTissue_StructureEffect) annotation (Line(
       points={{-79.7,271},{79,271},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_StructureEffect.y, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
       points={{-79.7,281},{79,281},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_StructureEffect.y, busConnector.RightHeart_StructureEffect) annotation (Line(
       points={{-79.7,291},{79,291},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_StructureEffect.y, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
       points={{-79.7,301},{79,301},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_StructureEffect.y, busConnector.Skin_StructureEffect) annotation (Line(
       points={{-79.7,311},{79,311},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_PO2.y, busConnector.Bone_PO2) annotation (Line(
       points={{-79.7,321},{79,321},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_PO2.y, busConnector.Brain_PO2) annotation (Line(
       points={{-79.7,331},{79,331},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_PO2.y, busConnector.Fat_PO2) annotation (Line(
       points={{-79.7,341},{79,341},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_PO2.y, busConnector.GITract_PO2) annotation (Line(
       points={{-79.7,351},{79,351},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_PO2.y, busConnector.LeftHeart_PO2) annotation (Line(
       points={{-79.7,361},{79,361},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_PO2.y, busConnector.OtherTissue_PO2) annotation (Line(
       points={{-79.7,371},{79,371},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_PO2.y, busConnector.RespiratoryMuscle_PO2) annotation (Line(
       points={{-79.7,381},{79,381},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_PO2.y, busConnector.RightHeart_PO2) annotation (Line(
       points={{-79.7,391},{79,391},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_PO2.y, busConnector.SkeletalMuscle_PO2) annotation (Line(
       points={{-79.7,401},{79,401},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_PO2.y, busConnector.Skin_PO2) annotation (Line(
       points={{-79.7,411},{79,411},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_PO2.y, busConnector.Liver_PO2) annotation (Line(
       points={{-79.7,421},{79,421},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_PO2.y, busConnector.Kidney_PO2) annotation (Line(
       points={{-79.7,431},{79,431},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(c2.y, busConnector.LM_Insulin_InsulinDelayed) annotation (Line(
            points={{-189.7,-43},{-55.85,-43},{-55.85,5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(c.y, busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume) 
          annotation (Line(
            points={{-189.7,-55},{-76.85,-55},{-76.85,5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Leptin.y, busConnector.Leptin) annotation (Line(
            points={{-91.7,15},{-12,15},{-12,5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) 
          annotation (Line(
            points={{-89.7,27},{-6,27},{-6,5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) 
          annotation (Line(
            points={{-121.7,47},{-10,47},{-10,5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(HypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity) 
          annotation (Line(
            points={{-93.7,3},{-8,3},{-8,5},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumenVolume_Absorbtion.y, busConnector.GILumenVolume_Absorption) 
          annotation (Line(
            points={{-123.7,55},{80,56},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK)  annotation (
              Line(
              points={{-119.7,63},{6,32},{79,5}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(Skin_BloodFlow.y, busConnector.skin_BloodFlow) 
                                                             annotation (Line(
       points={{-79.7,61},{79,61},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(SkeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) 
                                                                                 annotation (Line(
       points={{-79.7,51},{79,51},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end MetabolismConstInputs;

      block writeValues

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-48,2},{-34,16}}),
               iconTransformation(extent={{-40,-20},{0,20}})));

        Library.Blocks.WriteValue writeValue(VariableName=LactateFromTissues) 
          annotation (Placement(transformation(extent={{4,46},{24,66}})));
      equation
        connect(busConnector.LactateFromTissues, writeValue.u) annotation (Line(
            points={{-41,9},{-22,9},{-22,56},{6,56}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end writeValues;

      model MetabolismConstInputsFromFle

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{0,-6},{14,8}}),
               iconTransformation(extent={{-40,-20},{0,20}})));

       Library.Utilities.ConstantFromFile BloodCations(varName="BloodIons.Cations") 
      annotation (Placement(transformation(extent={{64,-230},{70,-224}})));
      Library.Utilities.ConstantFromFile BloodIons_Cations(varName="BloodIons.Cations") 
      annotation (Placement(transformation(extent={{64,-220},{70,-214}})));
      Library.Utilities.ConstantFromFile BloodVol_PVCrit(varName="BloodVol.PVCrit") 
      annotation (Placement(transformation(extent={{64,-210},{70,-204}})));
      Library.Utilities.ConstantFromFile BreathingTotalVentilation(varName="Breathing.TotalVentilation") 
      annotation (Placement(transformation(extent={{64,-200},{70,-194}})));
      Library.Utilities.ConstantFromFile CD_H2O_Outflow(varName="CD_H2O.Outflow") 
      annotation (Placement(transformation(extent={{64,-190},{70,-184}})));
      Library.Utilities.ConstantFromFile DT_Na_Reab(varName="DT_Na.Reab") 
      annotation (Placement(transformation(extent={{64,-170},{70,-164}})));
      Library.Utilities.ConstantFromFile DietIntakeNutrition_Carbo(varName="DietIntakeNutrition.Carbo_mG/Min") 
      annotation (Placement(transformation(extent={{64,-160},{70,-154}})));
      Library.Utilities.ConstantFromFile DietIntakeNutrition_Fat(varName="DietIntakeNutrition.Fat_mG/Min") 
      annotation (Placement(transformation(extent={{64,-150},{70,-144}})));
      Library.Utilities.ConstantFromFile DietIntakeNutrition_Protein(varName="DietIntakeNutrition.Protein_mG/Min") 
      annotation (Placement(transformation(extent={{64,-140},{70,-134}})));
      Library.Utilities.ConstantFromFile ECFV_Vol(varName="OsmBody.ECFV") 
      annotation (Placement(transformation(extent={{64,-130},{70,-124}})));
      Library.Utilities.ConstantFromFile EpiPool_Epi(varName="EpiPool.[Epi(pG/mL)]") 
      annotation (Placement(transformation(extent={{64,-120},{70,-114}})));
      Library.Utilities.ConstantFromFile ExerciseMetabolism_MotionCals(varName="Exercise-Metabolism.MotionCals") 
      annotation (Placement(transformation(extent={{64,-110},{70,-104}})));
      Library.Utilities.ConstantFromFile GILumenVolume_Mass(varName="GILumenVolume.Mass") 
      annotation (Placement(transformation(extent={{64,-100},{70,-94}})));
      Library.Utilities.ConstantFromFile Glomerulus_GFR(varName="GlomerulusFiltrate.GFR") 
      annotation (Placement(transformation(extent={{64,-90},{70,-84}})));
      Library.Utilities.ConstantFromFile Glucagon_conc(varName="GlucagonPool.[Glucagon]") 
      annotation (Placement(transformation(extent={{64,-80},{70,-74}})));
      Library.Utilities.ConstantFromFile HeatShivering_Cals(varName="HeatShivering.Cals") 
      annotation (Placement(transformation(extent={{64,-70},{70,-64}})));
      Library.Utilities.ConstantFromFile ICFV_Vol(varName="OsmBody.ICFV") 
      annotation (Placement(transformation(extent={{64,-60},{70,-54}})));
      Library.Utilities.ConstantFromFile Insulin(varName="InsulinPool.[Insulin]") 
      annotation (Placement(transformation(extent={{64,-50},{70,-44}})));
      Library.Utilities.ConstantFromFile LH_Na_Reab(varName="LH_Na.Reab") 
      annotation (Placement(transformation(extent={{64,-40},{70,-34}})));
      Library.Utilities.ConstantFromFile LiverFunctionEffect(varName="Liver-Function.Effect") 
      annotation (Placement(transformation(extent={{64,-30},{70,-24}})));
      Library.Utilities.ConstantFromFile Medulla_Volume(varName="Medulla.Volume") 
      annotation (Placement(transformation(extent={{64,-20},{70,-14}})));
      Library.Utilities.ConstantFromFile PT_Na_Reab(varName="PT_Na.Reab") 
      annotation (Placement(transformation(extent={{64,-10},{70,-4}})));
      Library.Utilities.ConstantFromFile PortalVein_Glucagon(varName="PortalVein-Glucagon.[Glucagon]") 
      annotation (Placement(transformation(extent={{64,0},{70,6}})));
      Library.Utilities.ConstantFromFile PortalVein_Insulin(varName="PortalVein-Insulin.[Insulin]") 
      annotation (Placement(transformation(extent={{64,10},{70,16}})));
      Library.Utilities.ConstantFromFile PortalVein_BloodFlow(varName="PortalVein.BloodFlow") 
      annotation (Placement(transformation(extent={{64,20},{70,26}})));
      Library.Utilities.ConstantFromFile PortalVein_PlasmaFlow(varName="PortalVein.PlasmaFlow") 
      annotation (Placement(transformation(extent={{64,30},{70,36}})));
      Library.Utilities.ConstantFromFile ThyroidEffect(varName="Thyroid.Effect") 
      annotation (Placement(transformation(extent={{64,40},{70,46}})));
      Library.Utilities.ConstantFromFile VasaRecta_Outflow(varName="VasaRecta.Outflow") 
      annotation (Placement(transformation(extent={{64,50},{70,56}})));
      Library.Utilities.ConstantFromFile WeightCore(varName="Weight.Core") 
      annotation (Placement(transformation(extent={{64,60},{70,66}})));
      Library.Utilities.ConstantFromFile SkeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{64,70},{70,76}})));
      Library.Utilities.ConstantFromFile skeletalMuscle_SizeMass(varName="SkeletalMuscle-Size.Mass") 
      annotation (Placement(transformation(extent={{64,80},{70,86}})));
      Library.Utilities.ConstantFromFile Skin_BloodFlow(varName="Skin-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{64,90},{70,96}})));
      Library.Utilities.ConstantFromFile skinSizeMass(varName="Skin-Size.Mass") 
      annotation (Placement(transformation(extent={{64,100},{70,106}})));
      Library.Utilities.ConstantFromFile Bone_LiquidVol(varName="Bone-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,110},{70,116}})));
      Library.Utilities.ConstantFromFile Brain_LiquidVol(varName="Brain-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,120},{70,126}})));
      Library.Utilities.ConstantFromFile Fat_LiquidVol(varName="Fat-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,130},{70,136}})));
      Library.Utilities.ConstantFromFile GITract_LiquidVol(varName="GITract-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,140},{70,146}})));
      Library.Utilities.ConstantFromFile Kidney_LiquidVol(varName="Kidney-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,150},{70,156}})));
      Library.Utilities.ConstantFromFile LeftHeart_LiquidVol(varName="LeftHeart-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,160},{70,166}})));
      Library.Utilities.ConstantFromFile Liver_LiquidVol(varName="Liver-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,170},{70,176}})));
      Library.Utilities.ConstantFromFile OtherTissue_LiquidVol(varName="OtherTissue-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,180},{70,186}})));
      Library.Utilities.ConstantFromFile RespiratoryMuscle_LiquidVol(varName="RespiratoryMuscle-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,190},{70,196}})));
      Library.Utilities.ConstantFromFile RightHeart_LiquidVol(varName="RightHeart-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,200},{70,206}})));
      Library.Utilities.ConstantFromFile SkeletalMuscle_LiquidVol(varName="SkeletalMuscle-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,210},{70,216}})));
      Library.Utilities.ConstantFromFile Skin_LiquidVol(varName="Skin-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,220},{70,226}})));
      Library.Utilities.ConstantFromFile Bone_PO2(varName="Bone-Flow.PO2") 
      annotation (Placement(transformation(extent={{64,230},{70,236}})));
      Library.Utilities.ConstantFromFile Brain_PO2(varName="Brain-Flow.PO2") 
      annotation (Placement(transformation(extent={{64,240},{70,246}})));
      Library.Utilities.ConstantFromFile Fat_PO2(varName="Fat-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-204},{-54,-198}})));
      Library.Utilities.ConstantFromFile GITract_PO2(varName="GITract-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-194},{-54,-188}})));
      Library.Utilities.ConstantFromFile Kidney_PO2(varName="Kidney-O2.VeinPO2") 
      annotation (Placement(transformation(extent={{-60,-184},{-54,-178}})));
      Library.Utilities.ConstantFromFile LeftHeart_PO2(varName="LeftHeart-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-174},{-54,-168}})));
      Library.Utilities.ConstantFromFile Liver_PO2(varName="Liver-O2.PO2") 
      annotation (Placement(transformation(extent={{-60,-164},{-54,-158}})));
      Library.Utilities.ConstantFromFile OtherTissue_PO2(varName="OtherTissue-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-154},{-54,-148}})));
      Library.Utilities.ConstantFromFile RespiratoryMuscle_PO2(varName="RespiratoryMuscle-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-144},{-54,-138}})));
      Library.Utilities.ConstantFromFile RightHeart_PO2(varName="RightHeart-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-134},{-54,-128}})));
      Library.Utilities.ConstantFromFile SkeletalMuscle_PO2(varName="SkeletalMuscle-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-124},{-54,-118}})));
      Library.Utilities.ConstantFromFile Skin_PO2(varName="Skin-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-114},{-54,-108}})));
      Library.Utilities.ConstantFromFile Bone_StructureEffect(varName="Bone-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-104},{-54,-98}})));
      Library.Utilities.ConstantFromFile Brain_StructureEffect(varName="Brain-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-94},{-54,-88}})));
      Library.Utilities.ConstantFromFile Fat_StructureEffect(varName="Fat-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-84},{-54,-78}})));
      Library.Utilities.ConstantFromFile GITract_StructureEffect(varName="GITract-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-74},{-54,-68}})));
      Library.Utilities.ConstantFromFile Kidney_StructureEffect(varName="Kidney-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-64},{-54,-58}})));
      Library.Utilities.ConstantFromFile LeftHeart_StructureEffect(varName="LeftHeart-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-54},{-54,-48}})));
      Library.Utilities.ConstantFromFile Liver_StructureEffect(varName="Liver-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-44},{-54,-38}})));
      Library.Utilities.ConstantFromFile OtherTissue_StructureEffect(varName="OtherTissue-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-34},{-54,-28}})));
      Library.Utilities.ConstantFromFile RespiratoryMuscle_StructureEffect(varName="RespiratoryMuscle-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-24},{-54,-18}})));
      Library.Utilities.ConstantFromFile RightHeart_StructureEffect(varName="RightHeart-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-14},{-54,-8}})));
      Library.Utilities.ConstantFromFile SkeletalMuscle_StructureEffect(varName="SkeletalMuscle-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-4},{-54,2}})));
      Library.Utilities.ConstantFromFile Skin_StructureEffect(varName="Skin-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,6},{-54,12}})));
      Library.Utilities.ConstantFromFile AlveolarVentilated_BloodFlow(varName="LungBloodFlow.AlveolarVentilated") 
      annotation (Placement(transformation(extent={{-60,16},{-54,22}})));
      Library.Utilities.ConstantFromFile GITract_BloodFlow(varName="GITract-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,26},{-54,32}})));
      Library.Utilities.ConstantFromFile HepaticArty_BloodFlow(varName="HepaticArty.Flow") 
      annotation (Placement(transformation(extent={{-60,36},{-54,42}})));
      Library.Utilities.ConstantFromFile Bone_BloodFlow(varName="Bone-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,46},{-54,52}})));
      Library.Utilities.ConstantFromFile Brain_BloodFlow(varName="Brain-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,56},{-54,62}})));
      Library.Utilities.ConstantFromFile Fat_BloodFlow(varName="Fat-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,66},{-54,72}})));
      Library.Utilities.ConstantFromFile Kidney_BloodFlow(varName="Kidney-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,76},{-54,82}})));
      Library.Utilities.ConstantFromFile LeftHeart_BloodFlow(varName="LeftHeart-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,86},{-54,92}})));
      Library.Utilities.ConstantFromFile OtherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,96},{-54,102}})));
      Library.Utilities.ConstantFromFile RespiratoryMuscle_BloodFlow(varName="RespiratoryMuscle-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,106},{-54,112}})));
      Library.Utilities.ConstantFromFile RightHeart_BloodFlow(varName="RightHeart-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,116},{-54,122}})));
      Library.Utilities.ConstantFromFile Liver_BloodFlow(varName="SplanchnicVeins.Outflow") 
      annotation (Placement(transformation(extent={{-60,126},{-54,132}})));
      Library.Utilities.ConstantFromFile BloodIons_ProteinAnions(varName="BloodIons.Protein") 
      annotation (Placement(transformation(extent={{-60,136},{-54,142}})));
      Library.Utilities.ConstantFromFile DietGoalH2O_DegK(varName="DietGoalH2O.DegK") 
      annotation (Placement(transformation(extent={{-60,146},{-54,152}})));
      Library.Utilities.ConstantFromFile GILumenVolume_Absorption(varName="GILumenVolume.Absorption") 
      annotation (Placement(transformation(extent={{-60,156},{-54,162}})));
      Library.Utilities.ConstantFromFile GILumenVolume_Intake(varName="GILumenVolume.Intake") 
      annotation (Placement(transformation(extent={{-60,166},{-54,172}})));
      Library.Utilities.ConstantFromFile HypothalamusShivering_NerveActivity(varName="HypothalamusShivering.NerveActivity") 
      annotation (Placement(transformation(extent={{-60,176},{-54,182}})));
      Library.Utilities.ConstantFromFile LM_Insulin_InsulinDelayed(varName="LM_Insulin.[InsulinDelayed]") 
      annotation (Placement(transformation(extent={{-60,186},{-54,192}})));
      Library.Utilities.ConstantFromFile Leptin(varName="LeptinPool.[Leptin(nG/mL)]") 
      annotation (Placement(transformation(extent={{-60,196},{-54,202}})));
      Library.Utilities.ConstantFromFile
          SplanchnicCirculation_DeoxygenatedBloodVolume(                               varName="SplanchnicVeins.Vol") 
      annotation (Placement(transformation(extent={{-60,206},{-54,212}})));
      Library.Utilities.ConstantFromFile BloodPh_ArtysPh(varName="BloodPh.ArtysPh") 
      annotation (Placement(transformation(extent={{-60,216},{-54,222}})));
      Library.Utilities.ConstantFromFile BladderVolume_Mass(varName="BladderVolume.Mass") 
      annotation (Placement(transformation(extent={{-60,226},{-54,232}})));
      Library.Utilities.ConstantFromFile BladderVoidFlow(varName="BladderVoidFlow") 
      annotation (Placement(transformation(extent={{-60,236},{-54,242}})));

      Library.Utilities.ConstantFromFile skeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{64,70},{70,76}})));
      Library.Utilities.ConstantFromFile skin_BloodFlow(varName="Skin-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{64,90},{70,96}})));

      equation
      connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
       points={{70.3,-227},{7,-227},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodIons_Cations.y, busConnector.BloodIons_Cations) annotation (Line(
       points={{70.3,-217},{7,-217},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
       points={{70.3,-207},{7,-207},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BreathingTotalVentilation.y, busConnector.BreathingTotalVentilation) annotation (Line(
       points={{70.3,-197},{7,-197},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
       points={{70.3,-187},{7,-187},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_Na_Reab.y, busConnector.DT_Na_Reab) annotation (Line(
       points={{70.3,-167},{7,-167},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeNutrition_Carbo.y, busConnector.DietIntakeNutrition_Carbo) annotation (Line(
       points={{70.3,-157},{7,-157},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeNutrition_Fat.y, busConnector.DietIntakeNutrition_Fat) annotation (Line(
       points={{70.3,-147},{7,-147},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeNutrition_Protein.y, busConnector.DietIntakeNutrition_Protein) annotation (Line(
       points={{70.3,-137},{7,-137},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(EpiPool_Epi.y, busConnector.EpiPool_Epi) annotation (Line(
       points={{70.3,-117},{7,-117},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
       points={{70.3,-107},{7,-107},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
       points={{70.3,-97},{7,-97},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
       points={{70.3,-87},{7,-87},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
       points={{70.3,-77},{7,-77},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatShivering_Cals.y, busConnector.HeatShivering_Cals) annotation (Line(
       points={{70.3,-67},{7,-67},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Insulin.y, busConnector.Insulin) annotation (Line(
       points={{70.3,-47},{7,-47},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LH_Na_Reab.y, busConnector.LH_Na_Reab) annotation (Line(
       points={{70.3,-37},{7,-37},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LiverFunctionEffect.y, busConnector.LiverFunctionEffect) annotation (Line(
       points={{70.3,-27},{7,-27},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
       points={{70.3,-17},{7,-17},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
       points={{70.3,-127},{7,-127},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
       points={{70.3,-57},{7,-57},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PT_Na_Reab.y, busConnector.PT_Na_Reab) annotation (Line(
       points={{70.3,-7},{7,-7},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
       points={{70.3,3},{7,3},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
       points={{70.3,13},{7,13},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_BloodFlow.y, busConnector.PortalVein_BloodFlow) annotation (Line(
       points={{70.3,23},{7,23},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_PlasmaFlow.y, busConnector.PortalVein_PlasmaFlow) annotation (Line(
       points={{70.3,33},{7,33},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
       points={{70.3,83},{7,83},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
       points={{70.3,103},{7,103},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ThyroidEffect.y, busConnector.ThyroidEffect) annotation (Line(
       points={{70.3,43},{7,43},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
       points={{70.3,53},{7,53},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
       points={{70.3,63},{7,63},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
       points={{-53.7,229},{7,229},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodPh_ArtysPh.y, busConnector.BloodPh_ArtysPh) annotation (Line(
       points={{-53.7,219},{7,219},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_BloodFlow.y, busConnector.Bone_BloodFlow) annotation (Line(
       points={{-53.7,49},{7,49},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_BloodFlow.y, busConnector.Brain_BloodFlow) annotation (Line(
       points={{-53.7,59},{7,59},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_BloodFlow.y, busConnector.Fat_BloodFlow) annotation (Line(
       points={{-53.7,69},{7,69},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
       points={{-53.7,29},{7,29},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
       points={{-53.7,39},{7,39},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_BloodFlow.y, busConnector.Kidney_BloodFlow) annotation (Line(
       points={{-53.7,79},{7,79},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_BloodFlow.y, busConnector.LeftHeart_BloodFlow) annotation (Line(
       points={{-53.7,89},{7,89},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
       points={{-53.7,19},{7,19},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_BloodFlow.y, busConnector.OtherTissue_BloodFlow) annotation (Line(
       points={{-53.7,99},{7,99},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_BloodFlow.y, busConnector.RespiratoryMuscle_BloodFlow) annotation (Line(
       points={{-53.7,109},{7,109},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_BloodFlow.y, busConnector.RightHeart_BloodFlow) annotation (Line(
       points={{-53.7,119},{7,119},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_BloodFlow.y, busConnector.SkeletalMuscle_BloodFlow) annotation (Line(
       points={{70.3,73},{7,73},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_BloodFlow.y, busConnector.Skin_BloodFlow) annotation (Line(
       points={{70.3,93},{7,93},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
       points={{-53.7,129},{7,129},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
       points={{70.3,113},{7,113},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
       points={{70.3,123},{7,123},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
       points={{70.3,133},{7,133},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
       points={{70.3,143},{7,143},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
       points={{70.3,153},{7,153},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
       points={{70.3,163},{7,163},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
       points={{70.3,173},{7,173},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
       points={{70.3,183},{7,183},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
       points={{70.3,193},{7,193},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
       points={{70.3,203},{7,203},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
       points={{70.3,213},{7,213},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
       points={{70.3,223},{7,223},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_StructureEffect.y, busConnector.Bone_StructureEffect) annotation (Line(
       points={{-53.7,-101},{7,-101},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_StructureEffect.y, busConnector.Brain_StructureEffect) annotation (Line(
       points={{-53.7,-91},{7,-91},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_StructureEffect.y, busConnector.Fat_StructureEffect) annotation (Line(
       points={{-53.7,-81},{7,-81},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_StructureEffect.y, busConnector.GITract_StructureEffect) annotation (Line(
       points={{-53.7,-71},{7,-71},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_StructureEffect.y, busConnector.Kidney_StructureEffect) annotation (Line(
       points={{-53.7,-61},{7,-61},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_StructureEffect.y, busConnector.LeftHeart_StructureEffect) annotation (Line(
       points={{-53.7,-51},{7,-51},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_StructureEffect.y, busConnector.Liver_StructureEffect) annotation (Line(
       points={{-53.7,-41},{7,-41},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_StructureEffect.y, busConnector.OtherTissue_StructureEffect) annotation (Line(
       points={{-53.7,-31},{7,-31},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_StructureEffect.y, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
       points={{-53.7,-21},{7,-21},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_StructureEffect.y, busConnector.RightHeart_StructureEffect) annotation (Line(
       points={{-53.7,-11},{7,-11},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_StructureEffect.y, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
       points={{-53.7,-1},{7,-1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_StructureEffect.y, busConnector.Skin_StructureEffect) annotation (Line(
       points={{-53.7,9},{7,9},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_PO2.y, busConnector.Bone_PO2) annotation (Line(
       points={{70.3,233},{7,233},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_PO2.y, busConnector.Brain_PO2) annotation (Line(
       points={{70.3,243},{7,243},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_PO2.y, busConnector.Fat_PO2) annotation (Line(
       points={{-53.7,-201},{7,-201},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_PO2.y, busConnector.GITract_PO2) annotation (Line(
       points={{-53.7,-191},{7,-191},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_PO2.y, busConnector.LeftHeart_PO2) annotation (Line(
       points={{-53.7,-171},{7,-171},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_PO2.y, busConnector.OtherTissue_PO2) annotation (Line(
       points={{-53.7,-151},{7,-151},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_PO2.y, busConnector.RespiratoryMuscle_PO2) annotation (Line(
       points={{-53.7,-141},{7,-141},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_PO2.y, busConnector.RightHeart_PO2) annotation (Line(
       points={{-53.7,-131},{7,-131},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_PO2.y, busConnector.SkeletalMuscle_PO2) annotation (Line(
       points={{-53.7,-121},{7,-121},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_PO2.y, busConnector.Skin_PO2) annotation (Line(
       points={{-53.7,-111},{7,-111},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_PO2.y, busConnector.Liver_PO2) annotation (Line(
       points={{-53.7,-161},{7,-161},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_PO2.y, busConnector.Kidney_PO2) annotation (Line(
       points={{-53.7,-181},{7,-181},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(LM_Insulin_InsulinDelayed.y, busConnector.LM_Insulin_InsulinDelayed) annotation (Line(
            points={{-53.7,189},{4.15,189},{4.15,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(SplanchnicCirculation_DeoxygenatedBloodVolume.y, busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume) 
          annotation (Line(
            points={{-53.7,209},{7.15,209},{7.15,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Leptin.y, busConnector.Leptin) annotation (Line(
            points={{-53.7,199},{4,199},{4,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) 
          annotation (Line(
            points={{-53.7,139},{6,139},{6,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) 
          annotation (Line(
            points={{-53.7,169},{8,169},{8,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(HypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity) 
          annotation (Line(
            points={{-53.7,179},{8,179},{8,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK)  annotation (
              Line(
              points={{-53.7,149},{6,150},{7,1}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) 
                                                                                 annotation (Line(
       points={{70.3,73},{7,73},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) 
                                                             annotation (Line(
       points={{70.3,93},{7,93},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
       points={{-53.7,239},{7,239},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumenVolume_Absorption.y, busConnector.GILumenVolume_Absorption) 
          annotation (Line(
            points={{-53.7,159},{6,160},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end MetabolismConstInputsFromFle;

      model _MetabolismConstInputsFromFle

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{0,-6},{14,8}}),
               iconTransformation(extent={{-40,-20},{0,20}})));

      Library.Utilities.VariableToFile BloodCations(varName="BloodIons.Cations") 
      annotation (Placement(transformation(extent={{64,-230},{70,-224}})));
      Library.Utilities.VariableToFile BloodIons_Cations(varName="BloodIons.Cations") 
      annotation (Placement(transformation(extent={{64,-220},{70,-214}})));
      Library.Utilities.VariableToFile BloodVol_PVCrit(varName="BloodVol.PVCrit") 
      annotation (Placement(transformation(extent={{64,-210},{70,-204}})));
      Library.Utilities.VariableToFile BreathingTotalVentilation(varName="Breathing.TotalVentilation") 
      annotation (Placement(transformation(extent={{64,-200},{70,-194}})));
      Library.Utilities.VariableToFile CD_H2O_Outflow(varName="CD_H2O.Outflow") 
      annotation (Placement(transformation(extent={{64,-190},{70,-184}})));
      Library.Utilities.VariableToFile DT_Na_Reab(varName="DT_Na.Reab") 
      annotation (Placement(transformation(extent={{64,-170},{70,-164}})));
      Library.Utilities.VariableToFile DietIntakeNutrition_Carbo(varName="DietIntakeNutrition.Carbo_mG/Min") 
      annotation (Placement(transformation(extent={{64,-160},{70,-154}})));
      Library.Utilities.VariableToFile DietIntakeNutrition_Fat(varName="DietIntakeNutrition.Fat_mG/Min") 
      annotation (Placement(transformation(extent={{64,-150},{70,-144}})));
      Library.Utilities.VariableToFile DietIntakeNutrition_Protein(varName="DietIntakeNutrition.Protein_mG/Min") 
      annotation (Placement(transformation(extent={{64,-140},{70,-134}})));
      Library.Utilities.VariableToFile ECFV_Vol(varName="OsmBody.ECFV") 
      annotation (Placement(transformation(extent={{64,-130},{70,-124}})));
      Library.Utilities.VariableToFile EpiPool_Epi(varName="EpiPool.[Epi(pG/mL)]") 
      annotation (Placement(transformation(extent={{64,-120},{70,-114}})));
      Library.Utilities.VariableToFile ExerciseMetabolism_MotionCals(varName="Exercise-Metabolism.MotionCals") 
      annotation (Placement(transformation(extent={{64,-110},{70,-104}})));
      Library.Utilities.VariableToFile GILumenVolume_Mass(varName="GILumenVolume.Mass") 
      annotation (Placement(transformation(extent={{64,-100},{70,-94}})));
      Library.Utilities.VariableToFile Glomerulus_GFR(varName="GlomerulusFiltrate.GFR") 
      annotation (Placement(transformation(extent={{64,-90},{70,-84}})));
      Library.Utilities.VariableToFile Glucagon_conc(varName="GlucagonPool.[Glucagon]") 
      annotation (Placement(transformation(extent={{64,-80},{70,-74}})));
      Library.Utilities.VariableToFile HeatShivering_Cals(varName="HeatShivering.Cals") 
      annotation (Placement(transformation(extent={{64,-70},{70,-64}})));
      Library.Utilities.VariableToFile ICFV_Vol(varName="OsmBody.ICFV") 
      annotation (Placement(transformation(extent={{64,-60},{70,-54}})));
      Library.Utilities.VariableToFile Insulin(varName="InsulinPool.[Insulin]") 
      annotation (Placement(transformation(extent={{64,-50},{70,-44}})));
      Library.Utilities.VariableToFile LH_Na_Reab(varName="LH_Na.Reab") 
      annotation (Placement(transformation(extent={{64,-40},{70,-34}})));
      Library.Utilities.VariableToFile LiverFunctionEffect(varName="Liver-Function.Effect") 
      annotation (Placement(transformation(extent={{64,-30},{70,-24}})));
      Library.Utilities.VariableToFile Medulla_Volume(varName="Medulla.Volume") 
      annotation (Placement(transformation(extent={{64,-20},{70,-14}})));
      Library.Utilities.VariableToFile PT_Na_Reab(varName="PT_Na.Reab") 
      annotation (Placement(transformation(extent={{64,-10},{70,-4}})));
      Library.Utilities.VariableToFile PortalVein_Glucagon(varName="PortalVein-Glucagon.[Glucagon]") 
      annotation (Placement(transformation(extent={{64,0},{70,6}})));
      Library.Utilities.VariableToFile PortalVein_Insulin(varName="PortalVein-Insulin.[Insulin]") 
      annotation (Placement(transformation(extent={{64,10},{70,16}})));
      Library.Utilities.VariableToFile PortalVein_BloodFlow(varName="PortalVein.BloodFlow") 
      annotation (Placement(transformation(extent={{64,20},{70,26}})));
      Library.Utilities.VariableToFile PortalVein_PlasmaFlow(varName="PortalVein.PlasmaFlow") 
      annotation (Placement(transformation(extent={{64,30},{70,36}})));
      Library.Utilities.VariableToFile ThyroidEffect(varName="Thyroid.Effect") 
      annotation (Placement(transformation(extent={{64,40},{70,46}})));
      Library.Utilities.VariableToFile VasaRecta_Outflow(varName="VasaRecta.Outflow") 
      annotation (Placement(transformation(extent={{64,50},{70,56}})));
      Library.Utilities.VariableToFile WeightCore(varName="Weight.Core") 
      annotation (Placement(transformation(extent={{64,60},{70,66}})));
      Library.Utilities.VariableToFile SkeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{64,70},{70,76}})));
      Library.Utilities.VariableToFile skeletalMuscle_SizeMass(varName="SkeletalMuscle-Size.Mass") 
      annotation (Placement(transformation(extent={{64,80},{70,86}})));
      Library.Utilities.VariableToFile Skin_BloodFlow(varName="Skin-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{64,90},{70,96}})));
      Library.Utilities.VariableToFile skinSizeMass(varName="Skin-Size.Mass") 
      annotation (Placement(transformation(extent={{64,100},{70,106}})));
      Library.Utilities.VariableToFile Bone_LiquidVol(varName="Bone-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,110},{70,116}})));
      Library.Utilities.VariableToFile Brain_LiquidVol(varName="Brain-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,120},{70,126}})));
      Library.Utilities.VariableToFile Fat_LiquidVol(varName="Fat-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,130},{70,136}})));
      Library.Utilities.VariableToFile GITract_LiquidVol(varName="GITract-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,140},{70,146}})));
      Library.Utilities.VariableToFile Kidney_LiquidVol(varName="Kidney-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,150},{70,156}})));
      Library.Utilities.VariableToFile LeftHeart_LiquidVol(varName="LeftHeart-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,160},{70,166}})));
      Library.Utilities.VariableToFile Liver_LiquidVol(varName="Liver-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,170},{70,176}})));
      Library.Utilities.VariableToFile OtherTissue_LiquidVol(varName="OtherTissue-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,180},{70,186}})));
      Library.Utilities.VariableToFile RespiratoryMuscle_LiquidVol(varName="RespiratoryMuscle-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,190},{70,196}})));
      Library.Utilities.VariableToFile RightHeart_LiquidVol(varName="RightHeart-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,200},{70,206}})));
      Library.Utilities.VariableToFile SkeletalMuscle_LiquidVol(varName="SkeletalMuscle-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,210},{70,216}})));
      Library.Utilities.VariableToFile Skin_LiquidVol(varName="Skin-Size.LiquidVol") 
      annotation (Placement(transformation(extent={{64,220},{70,226}})));
      Library.Utilities.VariableToFile Bone_PO2(varName="Bone-Flow.PO2") 
      annotation (Placement(transformation(extent={{64,230},{70,236}})));
      Library.Utilities.VariableToFile Brain_PO2(varName="Brain-Flow.PO2") 
      annotation (Placement(transformation(extent={{64,240},{70,246}})));
      Library.Utilities.VariableToFile Fat_PO2(varName="Fat-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-204},{-54,-198}})));
      Library.Utilities.VariableToFile GITract_PO2(varName="GITract-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-194},{-54,-188}})));
      Library.Utilities.VariableToFile Kidney_PO2(varName="Kidney-O2.VeinPO2") 
      annotation (Placement(transformation(extent={{-60,-184},{-54,-178}})));
      Library.Utilities.VariableToFile LeftHeart_PO2(varName="LeftHeart-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-174},{-54,-168}})));
      Library.Utilities.VariableToFile Liver_PO2(varName="Liver-O2.PO2") 
      annotation (Placement(transformation(extent={{-60,-164},{-54,-158}})));
      Library.Utilities.VariableToFile OtherTissue_PO2(varName="OtherTissue-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-154},{-54,-148}})));
      Library.Utilities.VariableToFile RespiratoryMuscle_PO2(varName="RespiratoryMuscle-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-144},{-54,-138}})));
      Library.Utilities.VariableToFile RightHeart_PO2(varName="RightHeart-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-134},{-54,-128}})));
      Library.Utilities.VariableToFile SkeletalMuscle_PO2(varName="SkeletalMuscle-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-124},{-54,-118}})));
      Library.Utilities.VariableToFile Skin_PO2(varName="Skin-Flow.PO2") 
      annotation (Placement(transformation(extent={{-60,-114},{-54,-108}})));
      Library.Utilities.VariableToFile Bone_StructureEffect(varName="Bone-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-104},{-54,-98}})));
      Library.Utilities.VariableToFile Brain_StructureEffect(varName="Brain-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-94},{-54,-88}})));
      Library.Utilities.VariableToFile Fat_StructureEffect(varName="Fat-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-84},{-54,-78}})));
      Library.Utilities.VariableToFile GITract_StructureEffect(varName="GITract-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-74},{-54,-68}})));
      Library.Utilities.VariableToFile Kidney_StructureEffect(varName="Kidney-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-64},{-54,-58}})));
      Library.Utilities.VariableToFile LeftHeart_StructureEffect(varName="LeftHeart-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-54},{-54,-48}})));
      Library.Utilities.VariableToFile Liver_StructureEffect(varName="Liver-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-44},{-54,-38}})));
      Library.Utilities.VariableToFile OtherTissue_StructureEffect(varName="OtherTissue-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-34},{-54,-28}})));
      Library.Utilities.VariableToFile RespiratoryMuscle_StructureEffect(varName="RespiratoryMuscle-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-24},{-54,-18}})));
      Library.Utilities.VariableToFile RightHeart_StructureEffect(varName="RightHeart-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-14},{-54,-8}})));
      Library.Utilities.VariableToFile SkeletalMuscle_StructureEffect(varName="SkeletalMuscle-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,-4},{-54,2}})));
      Library.Utilities.VariableToFile Skin_StructureEffect(varName="Skin-Structure.Effect") 
      annotation (Placement(transformation(extent={{-60,6},{-54,12}})));
      Library.Utilities.VariableToFile AlveolarVentilated_BloodFlow(varName="LungBloodFlow.AlveolarVentilated") 
      annotation (Placement(transformation(extent={{-60,16},{-54,22}})));
      Library.Utilities.VariableToFile GITract_BloodFlow(varName="GITract-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,26},{-54,32}})));
      Library.Utilities.VariableToFile HepaticArty_BloodFlow(varName="HepaticArty.Flow") 
      annotation (Placement(transformation(extent={{-60,36},{-54,42}})));
      Library.Utilities.VariableToFile Bone_BloodFlow(varName="Bone-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,46},{-54,52}})));
      Library.Utilities.VariableToFile Brain_BloodFlow(  varName="Brain-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,56},{-54,62}})));
      Library.Utilities.VariableToFile Fat_BloodFlow(varName="Fat-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,66},{-54,72}})));
      Library.Utilities.VariableToFile Kidney_BloodFlow(varName="Kidney-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,76},{-54,82}})));
      Library.Utilities.VariableToFile LeftHeart_BloodFlow(varName="LeftHeart-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,86},{-54,92}})));
      Library.Utilities.VariableToFile OtherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,96},{-54,102}})));
      Library.Utilities.VariableToFile RespiratoryMuscle_BloodFlow(varName="RespiratoryMuscle-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,106},{-54,112}})));
      Library.Utilities.VariableToFile RightHeart_BloodFlow(varName="RightHeart-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{-60,116},{-54,122}})));
      Library.Utilities.VariableToFile Liver_BloodFlow(varName="SplanchnicVeins.Outflow") 
      annotation (Placement(transformation(extent={{-60,126},{-54,132}})));
      Library.Utilities.VariableToFile BloodIons_ProteinAnions(varName="BloodIons.Protein") 
      annotation (Placement(transformation(extent={{-60,136},{-54,142}})));
      Library.Utilities.VariableToFile DietGoalH2O_DegK(varName="DietGoalH2O.DegK") 
      annotation (Placement(transformation(extent={{-60,146},{-54,152}})));
      Library.Utilities.VariableToFile GILumenVolume_Absorption(varName="GILumenVolume.Absorption") 
      annotation (Placement(transformation(extent={{-60,156},{-54,162}})));
      Library.Utilities.VariableToFile GILumenVolume_Intake(varName="GILumenVolume.Intake") 
      annotation (Placement(transformation(extent={{-60,166},{-54,172}})));
      Library.Utilities.VariableToFile HypothalamusShivering_NerveActivity(varName="HypothalamusShivering.NerveActivity") 
      annotation (Placement(transformation(extent={{-60,176},{-54,182}})));
      Library.Utilities.VariableToFile LM_Insulin_InsulinDelayed(varName="LM_Insulin.[InsulinDelayed]") 
      annotation (Placement(transformation(extent={{-60,186},{-54,192}})));
      Library.Utilities.VariableToFile Leptin(varName="LeptinPool.[Leptin(nG/mL)]") 
      annotation (Placement(transformation(extent={{-60,196},{-54,202}})));
      Library.Utilities.VariableToFile
          SplanchnicCirculation_DeoxygenatedBloodVolume(                               varName="SplanchnicVeins.Vol") 
      annotation (Placement(transformation(extent={{-60,206},{-54,212}})));
      Library.Utilities.VariableToFile BloodPh_ArtysPh(varName="BloodPh.ArtysPh") 
      annotation (Placement(transformation(extent={{-60,216},{-54,222}})));
      Library.Utilities.VariableToFile BladderVolume_Mass(varName="BladderVolume.Mass") 
      annotation (Placement(transformation(extent={{-60,226},{-54,232}})));
      Library.Utilities.VariableToFile BladderVoidFlow(varName="BladderVoidFlow") 
      annotation (Placement(transformation(extent={{-60,236},{-54,242}})));

      Library.Utilities.VariableToFile skeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{64,70},{70,76}})));
      Library.Utilities.VariableToFile skin_BloodFlow(varName="Skin-Flow.BloodFlow") 
      annotation (Placement(transformation(extent={{64,90},{70,96}})));

      equation
      connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
       points={{63.7,-227},{7,-227},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodIons_Cations.y, busConnector.BloodIons_Cations) annotation (Line(
       points={{63.7,-217},{7,-217},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
       points={{63.7,-207},{7,-207},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BreathingTotalVentilation.y, busConnector.BreathingTotalVentilation) annotation (Line(
       points={{63.7,-197},{7,-197},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
       points={{63.7,-187},{7,-187},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_Na_Reab.y, busConnector.DT_Na_Reab) annotation (Line(
       points={{63.7,-167},{7,-167},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeNutrition_Carbo.y, busConnector.DietIntakeNutrition_Carbo) annotation (Line(
       points={{63.7,-157},{7,-157},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeNutrition_Fat.y, busConnector.DietIntakeNutrition_Fat) annotation (Line(
       points={{63.7,-147},{7,-147},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeNutrition_Protein.y, busConnector.DietIntakeNutrition_Protein) annotation (Line(
       points={{63.7,-137},{7,-137},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(EpiPool_Epi.y, busConnector.EpiPool_Epi) annotation (Line(
       points={{63.7,-117},{7,-117},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
       points={{63.7,-107},{7,-107},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
       points={{63.7,-97},{7,-97},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
       points={{63.7,-87},{7,-87},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
       points={{63.7,-77},{7,-77},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatShivering_Cals.y, busConnector.HeatShivering_Cals) annotation (Line(
       points={{63.7,-67},{7,-67},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Insulin.y, busConnector.Insulin) annotation (Line(
       points={{63.7,-47},{7,-47},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LH_Na_Reab.y, busConnector.LH_Na_Reab) annotation (Line(
       points={{63.7,-37},{7,-37},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LiverFunctionEffect.y, busConnector.LiverFunctionEffect) annotation (Line(
       points={{63.7,-27},{7,-27},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
       points={{63.7,-17},{7,-17},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
       points={{63.7,-127},{7,-127},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
       points={{63.7,-57},{7,-57},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PT_Na_Reab.y, busConnector.PT_Na_Reab) annotation (Line(
       points={{63.7,-7},{7,-7},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
       points={{63.7,3},{7,3},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
       points={{63.7,13},{7,13},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_BloodFlow.y, busConnector.PortalVein_BloodFlow) annotation (Line(
       points={{63.7,23},{7,23},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_PlasmaFlow.y, busConnector.PortalVein_PlasmaFlow) annotation (Line(
       points={{63.7,33},{7,33},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
       points={{63.7,83},{7,83},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
       points={{63.7,103},{7,103},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ThyroidEffect.y, busConnector.ThyroidEffect) annotation (Line(
       points={{63.7,43},{7,43},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
       points={{63.7,53},{7,53},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
       points={{63.7,63},{7,63},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
       points={{-60.3,229},{7,229},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodPh_ArtysPh.y, busConnector.BloodPh_ArtysPh) annotation (Line(
       points={{-60.3,219},{7,219},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_BloodFlow.y, busConnector.Bone_BloodFlow) annotation (Line(
       points={{-60.3,49},{7,49},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_BloodFlow.y, busConnector.Brain_BloodFlow) annotation (Line(
       points={{-60.3,59},{7,59},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_BloodFlow.y, busConnector.Fat_BloodFlow) annotation (Line(
       points={{-60.3,69},{7,69},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
       points={{-60.3,29},{7,29},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
       points={{-60.3,39},{7,39},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_BloodFlow.y, busConnector.Kidney_BloodFlow) annotation (Line(
       points={{-60.3,79},{7,79},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_BloodFlow.y, busConnector.LeftHeart_BloodFlow) annotation (Line(
       points={{-60.3,89},{7,89},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
       points={{-60.3,19},{7,19},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_BloodFlow.y, busConnector.OtherTissue_BloodFlow) annotation (Line(
       points={{-60.3,99},{7,99},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_BloodFlow.y, busConnector.RespiratoryMuscle_BloodFlow) annotation (Line(
       points={{-60.3,109},{7,109},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_BloodFlow.y, busConnector.RightHeart_BloodFlow) annotation (Line(
       points={{-60.3,119},{7,119},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_BloodFlow.y, busConnector.SkeletalMuscle_BloodFlow) annotation (Line(
       points={{63.7,73},{7,73},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_BloodFlow.y, busConnector.Skin_BloodFlow) annotation (Line(
       points={{63.7,93},{7,93},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
       points={{-60.3,129},{7,129},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
       points={{63.7,113},{7,113},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
       points={{63.7,123},{7,123},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
       points={{63.7,133},{7,133},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
       points={{63.7,143},{7,143},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
       points={{63.7,153},{7,153},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
       points={{63.7,163},{7,163},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
       points={{63.7,173},{7,173},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
       points={{63.7,183},{7,183},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
       points={{63.7,193},{7,193},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
       points={{63.7,203},{7,203},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
       points={{63.7,213},{7,213},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
       points={{63.7,223},{7,223},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_StructureEffect.y, busConnector.Bone_StructureEffect) annotation (Line(
       points={{-60.3,-101},{7,-101},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_StructureEffect.y, busConnector.Brain_StructureEffect) annotation (Line(
       points={{-60.3,-91},{7,-91},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_StructureEffect.y, busConnector.Fat_StructureEffect) annotation (Line(
       points={{-60.3,-81},{7,-81},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_StructureEffect.y, busConnector.GITract_StructureEffect) annotation (Line(
       points={{-60.3,-71},{7,-71},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_StructureEffect.y, busConnector.Kidney_StructureEffect) annotation (Line(
       points={{-60.3,-61},{7,-61},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_StructureEffect.y, busConnector.LeftHeart_StructureEffect) annotation (Line(
       points={{-60.3,-51},{7,-51},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_StructureEffect.y, busConnector.Liver_StructureEffect) annotation (Line(
       points={{-60.3,-41},{7,-41},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_StructureEffect.y, busConnector.OtherTissue_StructureEffect) annotation (Line(
       points={{-60.3,-31},{7,-31},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_StructureEffect.y, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
       points={{-60.3,-21},{7,-21},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_StructureEffect.y, busConnector.RightHeart_StructureEffect) annotation (Line(
       points={{-60.3,-11},{7,-11},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_StructureEffect.y, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
       points={{-60.3,-1},{7,-1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_StructureEffect.y, busConnector.Skin_StructureEffect) annotation (Line(
       points={{-60.3,9},{7,9},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_PO2.y, busConnector.Bone_PO2) annotation (Line(
       points={{63.7,233},{7,233},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_PO2.y, busConnector.Brain_PO2) annotation (Line(
       points={{63.7,243},{7,243},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_PO2.y, busConnector.Fat_PO2) annotation (Line(
       points={{-60.3,-201},{7,-201},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_PO2.y, busConnector.GITract_PO2) annotation (Line(
       points={{-60.3,-191},{7,-191},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_PO2.y, busConnector.LeftHeart_PO2) annotation (Line(
       points={{-60.3,-171},{7,-171},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_PO2.y, busConnector.OtherTissue_PO2) annotation (Line(
       points={{-60.3,-151},{7,-151},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_PO2.y, busConnector.RespiratoryMuscle_PO2) annotation (Line(
       points={{-60.3,-141},{7,-141},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_PO2.y, busConnector.RightHeart_PO2) annotation (Line(
       points={{-60.3,-131},{7,-131},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_PO2.y, busConnector.SkeletalMuscle_PO2) annotation (Line(
       points={{-60.3,-121},{7,-121},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_PO2.y, busConnector.Skin_PO2) annotation (Line(
       points={{-60.3,-111},{7,-111},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_PO2.y, busConnector.Liver_PO2) annotation (Line(
       points={{-60.3,-161},{7,-161},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_PO2.y, busConnector.Kidney_PO2) annotation (Line(
       points={{-60.3,-181},{7,-181},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(LM_Insulin_InsulinDelayed.y, busConnector.LM_Insulin_InsulinDelayed) annotation (Line(
            points={{-60.3,189},{4.15,189},{4.15,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(SplanchnicCirculation_DeoxygenatedBloodVolume.y, busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume) 
          annotation (Line(
            points={{-60.3,209},{7.15,209},{7.15,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Leptin.y, busConnector.Leptin) annotation (Line(
            points={{-60.3,199},{4,199},{4,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) 
          annotation (Line(
            points={{-60.3,139},{6,139},{6,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) 
          annotation (Line(
            points={{-60.3,169},{8,169},{8,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(HypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity) 
          annotation (Line(
            points={{-60.3,179},{8,179},{8,1},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK)  annotation (
              Line(
              points={{-60.3,149},{6,150},{7,1}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) 
                                                                                 annotation (Line(
       points={{63.7,73},{7,73},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) 
                                                             annotation (Line(
       points={{63.7,93},{7,93},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
       points={{-60.3,239},{7,239},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumenVolume_Absorption.y, busConnector.GILumenVolume_Absorption) 
          annotation (Line(
            points={{-60.3,159},{6,160},{7,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end _MetabolismConstInputsFromFle;
    end setup;

    package test
      model T

        NutrientsAndMetabolism nutrientsAndMetabolism 
          annotation (Placement(transformation(extent={{-84,18},{-64,38}})));
        setup.MetabolismConstInputsFromFle nutrientsAndMetabolismConstInputs 
          annotation (Placement(transformation(extent={{14,16},{34,36}})));
        Library.Utilities.VariableToFile variableToFile(varName="CO2Total.Inflow") 
          annotation (Placement(transformation(extent={{36,-42},{64,-14}})));
        Modelica.Blocks.Math.Sum sum1(nin=12) 
          annotation (Placement(transformation(extent={{4,-38},{24,-18}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-32,-28},{-12,-8}})));
        Modelica.Blocks.Math.Sum sum2(nin=12) 
          annotation (Placement(transformation(extent={{4,-80},{24,-60}})));
        Library.Utilities.VariableToFile variableToFile1(varName="O2Total.Outflow") 
          annotation (Placement(transformation(extent={{36,-84},{64,-56}})));
      equation
        connect(nutrientsAndMetabolism.busConnector,
          nutrientsAndMetabolismConstInputs.busConnector) annotation (Line(
            points={{-66,36},{-2,36},{-2,26},{22,26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(sum1.y, variableToFile.y) annotation (Line(
            points={{25,-28},{34.6,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(nutrientsAndMetabolism.busConnector, busConnector) annotation (Line(
            points={{-66,36},{-44,36},{-44,-18},{-22,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.fat_CO2FromMetabolism, sum1.u[1]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-29.8333},{2,-29.8333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.bone_CO2FromMetabolism, sum1.u[2]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-29.5},{2,-29.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.brain_CO2FromMetabolism, sum1.u[3]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-29.1667},{2,-29.1667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skeletalMuscle_CO2FromMetabolism, sum1.u[4]) annotation (
           Line(
            points={{-22,-18},{-12,-18},{-12,-28.8333},{2,-28.8333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.respiratoryMuscle_CO2FromMetabolism, sum1.u[5]) 
          annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-28.5},{2,-28.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skin_CO2FromMetabolism, sum1.u[6]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-28.1667},{2,-28.1667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.otherTissue_CO2FromMetabolism, sum1.u[7]) annotation (
            Line(
            points={{-22,-18},{-12,-18},{-12,-27.8333},{2,-27.8333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.kidney_CO2FromMetabolism, sum1.u[8]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-27.5},{2,-27.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GITract_CO2FromMetabolism, sum1.u[9]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-27.1667},{2,-27.1667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.leftHeart_CO2FromMetabolism, sum1.u[10]) annotation (
            Line(
            points={{-22,-18},{-12,-18},{-12,-26.8333},{2,-26.8333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.rightHeart_CO2FromMetabolism, sum1.u[11]) annotation (
            Line(
            points={{-22,-18},{-12,-18},{-12,-26.5},{2,-26.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.liver_CO2FromMetabolism, sum1.u[12]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-26.1667},{2,-26.1667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(sum2.y, variableToFile1.y) annotation (Line(
            points={{25,-70},{34.6,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.fat_O2Use, sum2.u[1]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-71.8333},{2,-71.8333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.bone_O2Use, sum2.u[2]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-71.5},{2,-71.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.brain_O2Use, sum2.u[3]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-71.1667},{2,-71.1667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skeletalMuscle_O2Use, sum2.u[4]) annotation (
           Line(
            points={{-22,-18},{-12,-18},{-12,-70.8333},{2,-70.8333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.respiratoryMuscle_O2Use, sum2.u[5]) 
          annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-70.5},{2,-70.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skin_O2Use, sum2.u[6]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-70.1667},{2,-70.1667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.otherTissue_O2Use, sum2.u[7]) annotation (
            Line(
            points={{-22,-18},{-12,-18},{-12,-69.8333},{2,-69.8333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.kidney_O2Use, sum2.u[8]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-69.5},{2,-69.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GITract_O2Use, sum2.u[9]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-69.1667},{2,-69.1667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.leftHeart_O2Use, sum2.u[10]) annotation (
            Line(
            points={{-22,-18},{-12,-18},{-12,-68.8333},{2,-68.8333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.rightHeart_O2Use, sum2.u[11]) annotation (
            Line(
            points={{-22,-18},{-12,-18},{-12,-68.5},{2,-68.5}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.liver_O2Use, sum2.u[12]) annotation (Line(
            points={{-22,-18},{-12,-18},{-12,-68.1667},{2,-68.1667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),        graphics));
      end T;

      model _
        setup._MetabolismConstInputsFromFle _MetabolismConstInputsFromFle 
          annotation (Placement(transformation(extent={{22,-36},{42,-16}})));
        setup.MetabolismConstInputs metabolismConstInputs 
          annotation (Placement(transformation(extent={{-56,-30},{-36,-10}})));
      equation
        connect(metabolismConstInputs.busConnector,
          _MetabolismConstInputsFromFle.busConnector) annotation (Line(
            points={{-48,-20},{-10,-20},{-10,-26},{30,-26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end _;
    end test;

    model Lactate
     // extends Library.Interfaces.BaseModel;
      //outer parameter Real EFC_Vol(final unit="ml");
      Library.ConcentrationFlow.NegativeConcentrationFlow Lactate(conc(final unit
            =    "mEq/ml"), q(final unit="mEq/min")) "extracellular storage" 
                                 annotation (Placement(
            transformation(extent={{-74,-18},{-54,2}}), iconTransformation(extent={{-10,-10},
                {10,10}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-108,86},{-88,106}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.ConcentrationFlow.ConcentrationCompartment Lactate1(
          initialSoluteMass(unit="mmol/ml") = 15, stateName="LacPool.Mass",
        STEADY=false) 
        annotation (Placement(transformation(extent={{-26,-42},{-6,-22}})));
      Library.ConcentrationFlow.FlowMeasure flowMeasure annotation (Placement(
            transformation(
            extent={{-6,-6},{6,6}},
            rotation=270,
            origin={-16,-16})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="mEq/l", toAnotherUnitCoef=1000) 
        annotation (Placement(transformation(extent={{-10,-36},{10,-16}})));
      Modelica.Blocks.Math.Gain to_mmol(k=1) 
        annotation (Placement(transformation(extent={{-8,-18},{-4,-14}})));
    equation

      connect(busConnector.ECFV_Vol, Lactate1.SolventVolume) 
                                                            annotation (Line(
          points={{-98,96},{-34,96},{-34,-26},{-24,-26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(Lactate1.q_out, flowMeasure.q_out) 
                                                annotation (Line(
          points={{-16,-32},{-16,-18.4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Lactate1.SoluteMass, busConnector.LacPool_Mass_mEq) 
                                                                 annotation (
          Line(
          points={{-16,-39.8},{-16,-46},{74,-46},{74,96},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure.actualConc, busConnector.LacPool_Lac_mEq_per_litre) 
        annotation (Line(
          points={{0,-22},{72,-22},{72,96},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Lactate1.q_out, concentrationMeasure.q_in) 
                                                        annotation (Line(
          points={{-16,-32},{0,-32},{0,-26}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(to_mmol.y, busConnector.LactateFromTissues) annotation (Line(
          points={{-3.8,-16},{72,-16},{72,96},{-98,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(flowMeasure.actualFlow,to_mmol. u) annotation (Line(
          points={{-13,-16},{-8.4,-16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Lactate, flowMeasure.q_in) annotation (Line(
          points={{-64,-8},{-16,-8},{-16,-13.6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}},
            grid={2,2}), graphics),                Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Bitmap(
              extent={{-76,82},{76,-82}},
              fileName="icons/Lactate.jpg",
              origin={-16,-28},
              rotation=90),
            Text(
              extent={{-168,-100},{152,-128}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end Lactate;

    model AminoAcids
     // extends Library.Interfaces.BaseModel;
      //outer parameter Real EFC_Vol(final unit="ml");
      Library.ConcentrationFlow.NegativeConcentrationFlow AminoAcids(conc(
            final unit="mg/ml"), q(final unit="mg/min"))
        "extracellular storage"  annotation (Placement(
            transformation(extent={{-72,-20},{-52,0}}), iconTransformation(extent={{-10,-50},
                {10,-30}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-108,86},{-88,106}}),
            iconTransformation(extent={{-90,-10},{-70,10}})));
      Library.ConcentrationFlow.ConcentrationCompartment AminoAcidsPool(
          initialSoluteMass=6288.48, stateName="AAPool.Mass") 
        annotation (Placement(transformation(extent={{-2,6},{18,26}})));
    equation

      connect(AminoAcids, AminoAcidsPool.q_out) annotation (Line(
          points={{-62,-10},{-28,-10},{-28,16},{8,16}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, AminoAcidsPool.SolventVolume) annotation (
          Line(
          points={{-98,96},{-96,96},{-96,22},{0,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}},
            grid={2,2}), graphics),                Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Bitmap(
              extent={{-76,82},{76,-82}},
              origin={8,28},
              rotation=180,
              fileName="icons/AminoAcid.jpg"),
            Text(
              extent={{-168,-100},{152,-128}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end AminoAcids;

    model Glycogen
      extends Library.ConcentrationFlow.MassStorageCompartment;
      annotation (Icon(graphics={Rectangle(
              extent={{-100,100},{100,-100}},
              lineColor={0,0,255},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Bitmap(extent={{-100,100},{100,-102}},
                fileName="icons/glykogen.png")}));
    end Glycogen;

    package Heat "Body Temperature Balance"

      model Heat

        Library.HeatFlow.HeatAccumulation core(specificHeat=0.83,
            initialTemperature(displayUnit="degC") = 310.15,
          stateName="HeatCore.Mass",
          STEADY=false) 
          annotation (Placement(transformation(extent={{-56,-46},{-36,-26}})));
        Library.HeatFlow.HeatFlux skinFlux(specificHeat=0.92) 
          annotation (Placement(transformation(extent={{8,30},{28,50}})));
        Library.HeatFlow.InputPump Metabolism 
          annotation (Placement(transformation(extent={{-78,-46},{-58,-26}})));
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-104,86},{-84,106}}),
              iconTransformation(extent={{-104,86},{-84,106}})));
        Modelica.Blocks.Math.Gain ML2KG(k=.001) annotation (Placement(
              transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={18,68})));
        Library.HeatFlow.HeatAccumulation skin(
            specificHeat=0.83, initialTemperature=300.731,
          stateName="HeatSkin.Mass") 
          annotation (Placement(transformation(extent={{8,4},{28,24}})));
        Library.HeatFlow.InputPump Metabolism1 
          annotation (Placement(transformation(extent={{-22,4},{-2,24}})));
        Library.HeatFlow.HeatVaporOutflow skinVapor(TempToolsVapor=580.0,
            specificHeat=1) 
          annotation (Placement(transformation(extent={{62,-12},{82,8}})));
        Library.Blocks.MassFlowConstant_kg massFlowConstant(k=.00037) 
          annotation (Placement(transformation(extent={{54,6},{68,20}})));
        Library.HeatFlow.ResistorWithCond conduction 
          annotation (Placement(transformation(extent={{74,-60},{94,-40}})));
        Library.Factors.SplineValue WindEffect(data={{0.0,1.0,0},{20.0,4.0,0}}) 
          annotation (Placement(transformation(extent={{74,-50},{94,-30}})));
        Library.Factors.SplineValue BloodFlowEffect(data={{0,0.8,0},{250,1.0,
              1.0E-3},{8000,8.0,0}}) 
          annotation (Placement(transformation(extent={{74,-42},{94,-22}})));
        Library.Factors.SplineValue ClothesEffect(data={{0.0,4.0,0},{2.0,1.0,-1.2},
              {4.0,0.2,0}}) 
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Library.Blocks.Constant Constant(k=.034) 
          annotation (Placement(transformation(extent={{74,-20},{82,-12}})));
        Library.Blocks.Constant Constant1(k=2) 
          annotation (Placement(transformation(extent={{60,-28},{68,-20}})));
        Library.Blocks.Constant Constant2(k=0, y(final unit="miles/h")) 
          annotation (Placement(transformation(extent={{60,-44},{68,-36}})));
        Library.HeatFlow.AmbientTemperature ambientTemperature 
          annotation (Placement(transformation(extent={{56,-88},{76,-68}})));
        Library.HeatFlow.ResistorWithCond radiation 
          annotation (Placement(transformation(extent={{26,-88},{46,-68}})));
        Library.Factors.SplineValue ClothesEffect1(data={{0.0,4.0,0},{2.0,1.0,-1.2},
              {4.0,0.2,0}}) 
          annotation (Placement(transformation(extent={{26,-78},{46,-58}})));
        Library.Blocks.Constant Constant3(k=.068) 
          annotation (Placement(transformation(extent={{24,-62},{32,-54}})));
        Library.HeatFlow.HeatVaporOutflow lungsVapor(TempToolsVapor=580.0,
            specificHeat=1) 
          annotation (Placement(transformation(extent={{-22,-28},{-2,-8}})));
        Library.Blocks.MassFlowConstant_kg massFlowConstant1(k=.00028) 
          annotation (Placement(transformation(extent={{-34,-12},{-20,2}})));
        Library.HeatFlow.HeatAccumulation skeletalMuscle(specificHeat=0.83,
            initialTemperature=310.166,
          stateName="HeatSkeletalMuscle.Mass") 
          annotation (Placement(transformation(extent={{-50,52},{-30,72}})));
        Library.HeatFlow.HeatFlux muscleFlux(specificHeat=0.92) 
          annotation (Placement(transformation(extent={{-22,52},{-2,72}})));
        Modelica.Blocks.Math.Gain ML2KG1(k=.001) annotation (Placement(
              transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={-12,78})));
        Library.HeatFlow.InputPump Metabolism2 
          annotation (Placement(transformation(extent={{-74,52},{-54,72}})));
        TissuesHeat otherTissuesHeat 
          annotation (Placement(transformation(extent={{62,76},{82,96}})));
        Modelica.Blocks.Math.Gain gain(k=0.001) 
          annotation (Placement(transformation(extent={{-26,26},{-18,34}})));
        Modelica.Blocks.Math.Gain gain1(k=0.001) 
          annotation (Placement(transformation(extent={{-80,-16},{-72,-8}})));
        Modelica.Blocks.Math.Gain gain2(k=0.001) 
          annotation (Placement(transformation(extent={{-76,80},{-68,88}})));
        Library.HeatFlow.HeatAccumulation GILumen(initialTemperature(displayUnit=
                "degC") = 310, specificHeat=1,
          stateName="GILumenTemperature.Mass") 
          annotation (Placement(transformation(extent={{-60,-92},{-40,-72}})));
        Library.HeatFlow.ResistorWithCondParam resistorWithCondParam(cond=0.01) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-50,-62})));
        Library.HeatFlow.InputPump Intake 
          annotation (Placement(transformation(extent={{-94,-100},{-74,-80}})));
        Modelica.Blocks.Math.Gain SpecificHeat(k=0.001) 
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=270,
              origin={-84,-78})));
        Modelica.Blocks.Math.Product tempTOgramIntake 
          annotation (Placement(transformation(extent={{-88,-66},{-80,-58}})));
        Modelica.Blocks.Math.Gain mlTOkg(k=0.001) 
          annotation (Placement(transformation(extent={{-74,-56},{-66,-48}})));
        Library.HeatFlow.Pump Convection(specificHeat=0.001) annotation (Placement(
              transformation(
              extent={{-10,10},{10,-10}},
              rotation=90,
              origin={-36,-58})));
        Library.HeatFlow.HeatAccumulation Bladder(
          STEADY=false,
          stateName="BladderTemperature.Mass",
          initialTemperature(displayUnit="degC")) 
          annotation (Placement(transformation(extent={{-4,-90},{16,-70}})));
        Library.HeatFlow.Pump toUrine(specificHeat=0.001)    annotation (Placement(
              transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={6,-46})));
        Modelica.Blocks.Math.Gain gTOkg1(k=0.001) 
          annotation (Placement(transformation(extent={{-82,66},{-74,74}})));
        Modelica.Blocks.Math.Gain gTOkg3(k=0.001) 
          annotation (Placement(transformation(extent={{-84,18},{-76,26}})));
        Modelica.Blocks.Math.Gain gTOkg4(k=0.001) 
          annotation (Placement(transformation(extent={{-84,-32},{-76,-24}})));
      equation
        connect(core.q_in, skinFlux.q_in) annotation (Line(
            points={{-46,-36},{-46,40},{8,40}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Metabolism.q_out, core.q_in) annotation (Line(
            points={{-62,-36},{-46,-36}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.skin_BloodFlow, ML2KG.u) annotation (Line(
            points={{-94,96},{18,96},{18,72.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(ML2KG.y, skinFlux.substanceFlow) annotation (Line(
            points={{18,63.6},{18,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skinFlux.q_out, skin.q_in) annotation (Line(
            points={{18,35},{18,14}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Metabolism1.q_out, skin.q_in) annotation (Line(
            points={{-6,14},{18,14}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(skinVapor.q_in, skin.q_in) annotation (Line(
            points={{62,-2},{46,-2},{46,14},{18,14}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(massFlowConstant.y, skinVapor.liquidOutflow) annotation (Line(
            points={{68.7,13},{72,13},{72,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skin.q_in, conduction.q_in) annotation (Line(
            points={{18,14},{46,14},{46,-50},{74,-50}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(BloodFlowEffect.y, WindEffect.yBase) annotation (Line(
            points={{84,-34},{84,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ClothesEffect.y, BloodFlowEffect.yBase) annotation (Line(
            points={{84,-26},{84,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, ClothesEffect.yBase) annotation (Line(
            points={{82.4,-16},{84,-16},{84,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, ClothesEffect.u) annotation (Line(
            points={{68.4,-24},{74.2,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant2.y, WindEffect.u) annotation (Line(
            points={{68.4,-40},{74.2,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_BloodFlow, BloodFlowEffect.u) annotation (Line(
            points={{-94,96},{50,96},{50,-32},{74.2,-32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(WindEffect.y, conduction.cond) annotation (Line(
            points={{84,-42},{84,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(conduction.q_out, ambientTemperature.q_in) annotation (Line(
            points={{94,-50},{98,-50},{98,-78},{66,-78}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Constant1.y, ClothesEffect1.u) annotation (Line(
            points={{68.4,-24},{70,-24},{70,-16},{22,-16},{22,-68},{26.2,-68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ClothesEffect1.y, radiation.cond) annotation (Line(
            points={{36,-70},{36,-74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant3.y, ClothesEffect1.yBase) annotation (Line(
            points={{32.4,-58},{36,-58},{36,-66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(radiation.q_out, ambientTemperature.q_in) annotation (Line(
            points={{46,-78},{66,-78}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(radiation.q_in, skin.q_in) annotation (Line(
            points={{26,-78},{18,-78},{18,-50},{46,-50},{46,14},{18,14}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(lungsVapor.q_in, core.q_in) annotation (Line(
            points={{-22,-18},{-32,-18},{-32,-36},{-46,-36}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(massFlowConstant1.y, lungsVapor.liquidOutflow) annotation (Line(
            points={{-19.3,-5},{-12,-5},{-12,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ML2KG1.y, muscleFlux.substanceFlow) annotation (Line(
            points={{-12,73.6},{-12,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(muscleFlux.q_out, core.q_in) annotation (Line(
            points={{-12,57},{-12,40},{-46,40},{-46,-36}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(skeletalMuscle.q_in, muscleFlux.q_in) annotation (Line(
            points={{-40,62},{-22,62}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_BloodFlow, ML2KG1.u) annotation (Line(
            points={{-94,96},{-12,96},{-12,82.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Metabolism2.q_out, skeletalMuscle.q_in) annotation (Line(
            points={{-58,62},{-40,62}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, otherTissuesHeat.busConnector) annotation (Line(
            points={{-94,96},{58.6,96},{58.6,95.2},{63.2,95.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_T, skeletalMuscle.T) annotation (
            Line(
            points={{-94,96},{-94,46},{-40,46},{-40,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(busConnector.core_T, core.T) annotation (Line(
            points={{-94,96},{-94,-46},{-46,-46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(busConnector.skin_T, skin.T) annotation (Line(
            points={{-94,96},{-94,4},{18,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(gain.y, Metabolism1.desiredFlow) annotation (Line(
            points={{-17.6,30},{-12,30},{-12,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.MetabolismCaloriesUsed_SkinHeat, gain.u) annotation (
           Line(
            points={{-94,96},{-94,30},{-26.8,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.MetabolismCaloriesUsed_CoreHeat, gain1.u) 
          annotation (Line(
            points={{-94,96},{-94,-12},{-80.8,-12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(gain1.y, Metabolism.desiredFlow) annotation (Line(
            points={{-71.6,-12},{-68,-12},{-68,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain2.y, Metabolism2.desiredFlow) annotation (Line(
            points={{-67.6,84},{-64,84},{-64,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.MetabolismCaloriesUsed_SkeletalMuscleHeat, gain2.u) 
          annotation (Line(
            points={{-94,96},{-88,96},{-88,84},{-76.8,84}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(GILumen.q_in, resistorWithCondParam.q_in) annotation (Line(
            points={{-50,-82},{-50,-72}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(resistorWithCondParam.q_out, core.q_in) annotation (Line(
            points={{-50,-52},{-50,-36},{-46,-36}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Intake.q_out, GILumen.q_in) annotation (Line(
            points={{-78,-90},{-66,-90},{-66,-82},{-50,-82}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(SpecificHeat.y, Intake.desiredFlow) annotation (Line(
            points={{-84,-82.4},{-84,-86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SpecificHeat.u, tempTOgramIntake.y) annotation (Line(
            points={{-84,-73.2},{-84,-68},{-78,-68},{-78,-62},{-79.6,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.DietGoalH2O_DegK, tempTOgramIntake.u1) annotation (
            Line(
            points={{-94,96},{-94,-59.6},{-88.8,-59.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GILumenVolume_Intake, tempTOgramIntake.u2) 
          annotation (Line(
            points={{-94,96},{-94,-64.4},{-88.8,-64.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(core.T, busConnector.HeatCore_Temp) annotation (Line(
            points={{-46,-46},{-94,-46},{-94,96}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(mlTOkg.y, GILumen.weight) annotation (Line(
            points={{-65.6,-52},{-64,-52},{-64,-74},{-60,-74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.GILumenVolume_Mass, mlTOkg.u) annotation (Line(
            points={{-94,96},{-94,-52},{-74.8,-52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Convection.desiredFlow, busConnector.GILumenVolume_Absorption) 
          annotation (Line(
            points={{-32,-58},{-20,-58},{-20,-98},{-94,-98},{-94,96}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumen.q_in, Convection.q_in) annotation (Line(
            points={{-50,-82},{-36,-82},{-36,-64}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Convection.q_out, core.q_in) annotation (Line(
            points={{-36,-52},{-36,-36},{-46,-36}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.BladderVolume_Mass, Bladder.weight) annotation (
            Line(
            points={{-94,96},{-94,-98},{-20,-98},{-20,-72},{-4,-72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(core.q_in, toUrine.q_in) annotation (Line(
            points={{-46,-36},{6,-36},{6,-40}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(toUrine.q_out, Bladder.q_in) annotation (Line(
            points={{6,-52},{6,-80}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CD_H2O_Outflow, toUrine.desiredFlow) annotation (
            Line(
            points={{-94,96},{-94,-98},{-20,-98},{-20,-46},{2,-46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skeletalMuscle_SizeMass, gTOkg1.u) annotation (
            Line(
            points={{-94,96},{-94,70},{-82.8,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skinSizeMass, gTOkg3.u) annotation (Line(
            points={{-94,96},{-94,22},{-84.8,22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.WeightCore, gTOkg4.u) annotation (Line(
            points={{-94,96},{-94,-28},{-84.8,-28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(gTOkg1.y, skeletalMuscle.weight) annotation (Line(
            points={{-73.6,70},{-50,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gTOkg3.y, skin.weight) annotation (Line(
            points={{-75.6,22},{8,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gTOkg4.y, core.weight) annotation (Line(
            points={{-75.6,-28},{-56,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/ohen.png"), Text(
                extent={{-94,-100},{94,-126}},
                lineColor={0,0,255},
                textString="%name")}));
      end Heat;

      model TissuesHeat
       extends Library.Interfaces.BaseModel;

        tissues.Bone Bone 
          annotation (Placement(transformation(extent={{64,30},{44,50}})));

        tissues.Fat Fat 
          annotation (Placement(transformation(extent={{64,-62},{44,-42}})));

        tissues.Brain Brain 
          annotation (Placement(transformation(extent={{-58,-2},{-38,18}})));

        tissues.RightHeart RightHeart 
          annotation (Placement(transformation(extent={{-58,30},{-38,50}})));

        tissues.RespiratoryMuscle RespiratoryMuscle 
          annotation (Placement(transformation(extent={{-58,-30},{-38,-10}})));

        tissues.OtherTissue OtherTissue 
          annotation (Placement(transformation(extent={{64,-88},{44,-68}})));

        tissues.Liver Liver 
          annotation (Placement(transformation(extent={{64,58},{44,78}})));

        tissues.LeftHeart LeftHeart 
          annotation (Placement(transformation(extent={{-58,-62},{-38,-42}})));

        tissues.Kidney Kidney 
          annotation (Placement(transformation(extent={{64,-32},{44,-12}})));

        tissues.GITract GITract 
          annotation (Placement(transformation(extent={{64,-2},{44,18}})));

        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-108,72},{-68,112}})));

      equation
        connect(busConnector.core_T, Brain.BaseT) 
          annotation (Line(
            points={{-88,92},{-62,92},{-62,8},{-58,8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.core_T, RespiratoryMuscle.BaseT) 
          annotation (Line(
            points={{-88,92},{-62,92},{-62,-20},{-58,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.core_T, LeftHeart.BaseT) 
          annotation (Line(
            points={{-88,92},{-62,92},{-62,-52},{-58,-52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.core_T, RightHeart.BaseT) 
          annotation (Line(
            points={{-88,92},{-62,92},{-62,40},{-58,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(Bone.BaseT, busConnector.core_T)  annotation (
            Line(
            points={{64,40},{68,40},{68,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Liver.BaseT, busConnector.core_T)  annotation (
           Line(
            points={{64,68},{68,68},{68,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Kidney.BaseT, busConnector.core_T) 
          annotation (Line(
            points={{64,-22},{68,-22},{68,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(GITract.BaseT, busConnector.core_T) 
          annotation (Line(
            points={{64,8},{68,8},{68,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(Fat.BaseT, busConnector.core_T)  annotation (
            Line(
            points={{64,-52},{68,-52},{68,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(OtherTissue.BaseT, busConnector.core_T) 
          annotation (Line(
            points={{64,-78},{68,-78},{68,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));

        connect(RightHeart.T, busConnector.rightHeart_T) annotation (Line(
            points={{-38,40},{-34,40},{-34,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain.T, busConnector.brain_T) annotation (Line(
            points={{-38,8},{-34,8},{-34,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle.T, busConnector.respiratoryMuscle_T) annotation (Line(
            points={{-38,-20},{-34,-20},{-34,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart.T, busConnector.leftHeart_T) annotation (Line(
            points={{-38,-52},{-34,-52},{-34,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(busConnector.liver_T, Liver.T) annotation (Line(
            points={{-88,92},{40,92},{40,68},{44,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.bone_T, Bone.T) annotation (Line(
            points={{-88,92},{40,92},{40,40},{44,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(busConnector.GITract_T, GITract.T) annotation (Line(
            points={{-88,92},{40,92},{40,8},{44,8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(busConnector.kidney_T, Kidney.T) annotation (Line(
            points={{-88,92},{40,92},{40,-22},{44,-22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(busConnector.fat_T, Fat.T) annotation (Line(
            points={{-88,92},{40,92},{40,-52},{44,-52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(busConnector.otherTissue_T, OtherTissue.T) annotation (Line(
            points={{-88,92},{40,92},{40,-78},{44,-78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                         graphics),
                                 Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics),
          Documentation(info="<html>
<p>Heat in tissues. Temperatures are in celsius degrees.</p>
</html>",       revisions="<html>
<p>Marek Matejak, 24.12.2009</p>
</html>"));
      end TissuesHeat;

      package setup

      model HeatConstInputs

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{72,-2},{86,12}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant BreathingTotalVentilation(k=6152.76967874893) 
      annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
      Library.Blocks.Constant MetabolismCaloriesUsed_CoreHeat(k=880.576) 
      annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
      Library.Blocks.Constant MetabolismCaloriesUsed_SkeletalMuscleHeat(k=
                139.646210544881) 
      annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
      Library.Blocks.Constant MetabolismCaloriesUsed_SkinHeat(k=28.1208366330766) 
      annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
      Library.Blocks.Constant skeletalMuscle_BloodFlow(k=643.197470590973) 
      annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
      Library.Blocks.Constant skeletalMuscle_SizeMass(k=27400) 
      annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
      Library.Blocks.Constant skin_BloodFlow(k=130) 
      annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
      Library.Blocks.Constant skinSizeMass(k=2244) 
      annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
      Library.Blocks.Constant WeightCore(k=41757.328756) 
      annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
      Library.Blocks.Constant DietGoalH2O_DegK(k=294.261111111111) 
      annotation (Placement(transformation(extent={{-36,0},{-30,6}})));
      Library.Blocks.Constant GILumenVolume_Intake(k=1.379) 
      annotation (Placement(transformation(extent={{-36,-10},{-30,-4}})));
      Library.Blocks.Constant GILumenVolume_Mass(k=1000) 
      annotation (Placement(transformation(extent={{-36,-20},{-30,-14}})));
      Library.Blocks.Constant GILumenVolume_Absorbtion(k=1.379) 
      annotation (Placement(transformation(extent={{-36,-30},{-30,-24}})));
      Library.Blocks.Constant CD_H2O_Outflow(k=0.78) 
      annotation (Placement(transformation(extent={{-36,-40},{-30,-34}})));
      Library.Blocks.Constant BladderVolume(k=10) 
      annotation (Placement(transformation(extent={{-36,-48},{-30,-42}})));
      equation

      connect(BreathingTotalVentilation.y, busConnector.BreathingTotalVentilation) annotation (Line(
       points={{-29.7,13},{79,13},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolismCaloriesUsed_CoreHeat.y, busConnector.MetabolismCaloriesUsed_CoreHeat) annotation (Line(
       points={{-29.7,23},{79,23},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolismCaloriesUsed_SkeletalMuscleHeat.y, busConnector.MetabolismCaloriesUsed_SkeletalMuscleHeat) annotation (Line(
       points={{-29.7,33},{79,33},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolismCaloriesUsed_SkinHeat.y, busConnector.MetabolismCaloriesUsed_SkinHeat) annotation (Line(
       points={{-29.7,43},{79,43},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) annotation (Line(
       points={{-29.7,53},{79,53},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
       points={{-29.7,63},{79,63},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) annotation (Line(
       points={{-29.7,73},{79,73},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
       points={{-29.7,83},{79,83},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
       points={{-29.7,93},{79,93},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK) annotation (
              Line(
              points={{-29.7,3},{80,2},{79,5}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) 
            annotation (Line(
              points={{-29.7,-7},{78,4},{79,5}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) 
            annotation (Line(
              points={{-29.7,-17},{82,2},{79,5}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(GILumenVolume_Absorbtion.y, busConnector.GILumenVolume_Absorption) 
            annotation (Line(
              points={{-29.7,-27},{82,6},{79,5}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (
              Line(
              points={{-29.7,-37},{84,6},{79,5}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BladderVolume.y, busConnector.BladderVolume_Mass) annotation (
             Line(
              points={{-29.7,-45},{84,6},{79,5}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
      end HeatConstInputs;

      end setup;

      package test
        model T
          setup.HeatConstInputs heatConstInputs 
            annotation (Placement(transformation(extent={{-46,6},{-26,26}})));
          Heat heat 
            annotation (Placement(transformation(extent={{10,4},{30,24}})));
        equation
          connect(heatConstInputs.busConnector, heat.busConnector) annotation (
              Line(
              points={{-38,16},{-12,16},{-12,23.6},{10.6,23.6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}),        graphics));
        end T;
      end test;

      package tissues
        model TissueTemperature

          Library.Interfaces.RealInput_ BaseT(unit="degC") 
            annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
          Library.Interfaces.RealOutput_ T(unit="degC") 
            annotation (Placement(transformation(extent={{80,-20},{120,20}})));
        equation
          T=BaseT;
          annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Text(
                  extent={{-148,-98},{100,-124}},
                  lineColor={0,0,255},
                  textString="%name"), Rectangle(extent={{-100,100},{100,-100}},
                    lineColor={0,0,255})}));
        end TissueTemperature;

        model RightHeart
          extends TissueTemperature;
          extends Library.Interfaces.Tissues.RightHeart;
        end RightHeart;

        model Brain
          extends TissueTemperature;
            extends Library.Interfaces.Tissues.Brain;
        end Brain;

        model RespiratoryMuscle
          extends TissueTemperature;
          extends Library.Interfaces.Tissues.RespiratoryMuscle;
        end RespiratoryMuscle;

        model LeftHeart
          extends TissueTemperature;
            extends Library.Interfaces.Tissues.LeftHeart;
        end LeftHeart;

        model Liver
          extends TissueTemperature;
            extends Library.Interfaces.Tissues.Liver;
        end Liver;

        model Bone
          extends TissueTemperature;
          extends Library.Interfaces.Tissues.Bone;
        end Bone;

          model GITract
          extends TissueTemperature;
            extends Library.Interfaces.Tissues.GITract;
          end GITract;

        model Kidney
          extends TissueTemperature;
            extends Library.Interfaces.Tissues.Kidney;
        end Kidney;

        model Fat
          extends TissueTemperature;
            extends Library.Interfaces.Tissues.Fat;
        end Fat;

        model OtherTissue
          extends TissueTemperature;
            extends Library.Interfaces.Tissues.OtherTissue;
        end OtherTissue;

      end tissues;
      annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
    end Heat;
    annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
  end Metabolism;

  package Hormones "Hormones"

    model Insulin
      extends Library.Interfaces.Tissues.Pancreas;
    // outer parameter Real ECF_Vol(final unit="ml");

      Library.ConcentrationFlow.ConcentrationCompartment InsulinPool(
                                   stateName="InsulinPool.Mass",
          initialSoluteMass=0.021038*14361.0097207699)
        "0.021 mU/ml * 15000 ml  = 307 mU .. all initial extracellular insulin"
        annotation (Placement(transformation(extent={{-86,-26},{-66,-6}})));
      Library.ConcentrationFlow.SoluteFlowPump secretion 
        annotation (Placement(transformation(extent={{32,-14},{12,6}})));
      Library.ConcentrationFlow.InputPump synthesis 
        annotation (Placement(transformation(extent={{90,-14},{70,6}})));
      Library.ConcentrationFlow.OutputPump clearance 
        annotation (Placement(transformation(extent={{-54,-16},{-34,-36}})));
      Library.ConcentrationFlow.FlowConcentrationMeasure
        PortalVeinConcentration 
        annotation (Placement(transformation(extent={{-66,2},{-46,22}})));
      Library.ConcentrationFlow.MassStorageCompartment InsulinStorage(
          initialSoluteMass=1982.14) 
        annotation (Placement(transformation(extent={{-10,10},{10,-10}},
            rotation=180,
            origin={52,-4})));
      Modelica.Blocks.Math.Gain gain(k=0.057) 
        annotation (Placement(transformation(extent={{-64,-42},{-58,-36}})));
      Library.Factors.SplineValue KAEffect(data={{0.0,0.6,0},{0.5,1.0,0.05},{
            50.0,2.0,0}}) 
        annotation (Placement(transformation(extent={{12,0},{32,20}})));
      Library.Factors.SplineValue MassEffect(
        data={{0,200,0},{2000,17,-0.02},{3000,0,0}}) 
        annotation (Placement(transformation(extent={{70,64},{90,84}})));
      Library.Blocks.Constant hormoneFlowConstant(                  k=1) 
        annotation (Placement(transformation(extent={{88,78},{82,84}})));
      Library.Factors.SplineValue GlucoseEffect(data={{0,0.0,0},{105,1.0,0.01},
            {600,50.0,0}}) 
        annotation (Placement(transformation(extent={{12,4},{32,24}})));
      Library.Factors.SimpleMultiply FunctionEffect 
        annotation (Placement(transformation(extent={{12,-4},{32,16}})));
      Library.Factors.SimpleMultiply BasicFraction 
        annotation (Placement(transformation(extent={{32,8},{12,28}})));
      Library.Blocks.Constant Constant(k=0.0085) 
        annotation (Placement(transformation(extent={{48,12},{36,24}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="uU/l", toAnotherUnitCoef=1) 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-80,10})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-108,30},{-88,50}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealOutput_ Insulin(quantity="Concentration", final unit
          =    "uU/ml") annotation (Placement(transformation(extent={{-88,-70},
                {-68,-50}}), iconTransformation(extent={{80,-20},{120,20}})));
      Modelica.Blocks.Math.Gain mU_per_l(k=10^3) "from mU/ml to mU/l" 
        annotation (Placement(transformation(extent={{-40,8},{-32,16}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1(
          unitsString="uU/ml", toAnotherUnitCoef=1000) 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-84,2})));
      Library.Blocks.Integrator integrator(            k=(1/20)/Library.SecPerMin, y_start=
            17.3969,
        stateName="InsulinSynthesis.Rate") 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={80,24})));
      Modelica.Blocks.Math.Feedback feedback annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={80,56})));
      Library.Blocks.Integrator integrator1(            k=(1/40)/Library.SecPerMin,
          y_start=52.0752,
        stateName="LM_Insulin.[InsulinDelayed]") 
        annotation (Placement(transformation(
            extent={{-5,-5},{5,5}},
            rotation=270,
            origin={25,-63})));
      Modelica.Blocks.Math.Feedback feedback1 
                                             annotation (Placement(
            transformation(
            extent={{-7,-7},{7,7}},
            rotation=270,
            origin={25,-45})));
      Library.Interfaces.RealOutput_ LM_Insulin_InsulinDelayed(quantity=
            "Concentration", unit="uU/ml") 
                        annotation (Placement(transformation(extent={{52,-86},{
                72,-66}}),   iconTransformation(extent={{80,-60},{120,-20}})));
    equation
      connect(InsulinPool.SoluteMass, gain.u) annotation (Line(
          points={{-76,-23.8},{-76,-39},{-64.6,-39}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain.y, clearance.desiredFlow) annotation (Line(
          points={{-57.7,-39},{-44,-39},{-44,-30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinStorage.SoluteMass, MassEffect.u) annotation (Line(
          points={{52,-11.4},{52,74},{70.2,74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y, MassEffect.yBase) annotation (Line(
          points={{81.7,81},{80,81},{80,76}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion.soluteFlow, FunctionEffect.y) annotation (Line(
          points={{22,2},{22,4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.yBase, KAEffect.y) annotation (Line(
          points={{22,8},{22,8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(KAEffect.yBase, GlucoseEffect.y) annotation (Line(
          points={{22,12},{22,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucoseEffect.yBase, BasicFraction.y) annotation (Line(
          points={{22,16},{22,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, BasicFraction.u) annotation (Line(
          points={{35.4,18},{31.8,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinStorage.SoluteMass, BasicFraction.yBase) annotation (Line(
          points={{52,-11.4},{52,40},{22,40},{22,20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PortalVeinConcentration.AdditionalSoluteFlow, FunctionEffect.y) 
        annotation (Line(
          points={{-56,6},{-56,4},{22,4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Glucose, GlucoseEffect.u) annotation (Line(
          points={{-98,40},{4,40},{4,14},{12.2,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KAPool, KAEffect.u) annotation (Line(
          points={{-98,40},{4,40},{4,10},{12.2,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.GITractFunctionEffect, FunctionEffect.u) annotation (Line(
          points={{-98,40},{4.1,40},{4.1,6},{12.2,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinPool.q_out, PortalVeinConcentration.q_in) annotation (Line(
          points={{-76,-16},{-76,12},{-66,12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(InsulinPool.q_out, secretion.q_out) annotation (Line(
          points={{-76,-16},{-58,-16},{-58,-4},{12,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(secretion.q_in, InsulinStorage.q_out) annotation (Line(
          points={{32,-4},{52,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(InsulinStorage.q_out, synthesis.q_out) annotation (Line(
          points={{52,-4},{74,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(clearance.q_in, InsulinPool.q_out) annotation (Line(
          points={{-50,-26},{-58,-26},{-58,-16},{-76,-16}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, InsulinPool.q_out) annotation (Line(
          points={{-80,10},{-76,10},{-76,-16}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));

      connect(busConnector.PortalVein_PlasmaFlow, PortalVeinConcentration.SolventFlow) 
        annotation (Line(
          points={{-98,40},{-56,40},{-56,18}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-3,3},{-3,3}}));
      connect(busConnector.ECFV_Vol, InsulinPool.SolventVolume) annotation (Line(
          points={{-98,40},{-98,-10},{-84,-10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(mU_per_l.y, busConnector.PortalVein_Insulin) annotation (Line(
          points={{-31.6,12},{-26,12},{-26,40},{-98,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(PortalVeinConcentration.Conc, mU_per_l.u) annotation (Line(
          points={{-45.8,12},{-40.8,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure1.actualConc, Insulin) annotation (Line(
          points={{-84,6},{-84,10},{-90,10},{-90,-60},{-78,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinPool.q_out, concentrationMeasure1.q_in) annotation (Line(
          points={{-76,-16},{-80,-16},{-80,2},{-84,2}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure1.actualConc, busConnector.Insulin) 
        annotation (Line(
          points={{-84,6},{-84,40},{-98,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(feedback.y,integrator. u) annotation (Line(
          points={{80,47},{80,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y,feedback. u2) annotation (Line(
          points={{80,13},{80,4},{62,4},{62,56},{72,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(MassEffect.y, feedback.u1) annotation (Line(
          points={{80,72},{80,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y, synthesis.desiredFlow) annotation (Line(
          points={{80,13},{80,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback1.y,integrator1. u) 
                                        annotation (Line(
          points={{25,-51.3},{24,-52},{25,-52},{25,-57}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y,feedback1. u2) 
                                         annotation (Line(
          points={{25,-68.5},{25,-76},{10,-76},{10,-45},{19.4,-45}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y, LM_Insulin_InsulinDelayed) 
                                         annotation (Line(
          points={{25,-68.5},{25,-76},{62,-76}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(mU_per_l.y, feedback1.u1) annotation (Line(
          points={{-31.6,12},{-26,12},{-26,-30},{25,-30},{25,-39.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y, busConnector.LM_Insulin_InsulinDelayed) 
        annotation (Line(
          points={{25,-68.5},{25,-76},{-98,-76},{-98,40}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-100,80},{100,100}},
              lineColor={0,0,255},
              textString="%name")}));
    end Insulin;

    model Glucagon
     extends Library.Interfaces.Tissues.Pancreas;
     // outer parameter Real ECF_Vol(final unit="ml");

      Modelica.Blocks.Math.Gain gain(k=0.05) 
        annotation (Placement(transformation(extent={{-44,-32},{-38,-26}})));
      Library.ConcentrationFlow.OutputPump clearance 
        annotation (Placement(transformation(extent={{-34,-6},{-14,-26}})));
      Library.ConcentrationFlow.ConcentrationCompartment GlucagonPool(
          initialSoluteMass=996.06, stateName="GlucagonPool.Mass")
        "66.2 pg/ml * 15000 ml * 0.001 ng/pg = 993 ng .. all initial extracellular glucagon"
        annotation (Placement(transformation(extent={{-66,-16},{-46,4}})));
      Library.ConcentrationFlow.FlowConcentrationMeasure
        PortalVeinConcentration 
        annotation (Placement(transformation(extent={{-54,8},{-34,28}})));
      Library.ConcentrationFlow.InputPump synthesis 
        annotation (Placement(transformation(extent={{78,-16},{58,4}})));
      HumMod.Library.Blocks.HormoneFlowConstant_nG hormoneFlowConstant_pG(k=50) 
        annotation (Placement(transformation(extent={{80,18},{72,26}})));
      Library.Factors.SplineValue InsulinEffect(data={{0,6.0,0},{7,1.3,-0.020},
            {20,1.0,-0.006},{100,0.6,0}}) 
        annotation (Placement(transformation(extent={{78,0},{58,20}})));
      Library.Factors.SplineValue GlucoseEffect(data={{0,2.5,0},{70,1.1,-0.005},
            {110,1.0,-0.001},{400,0.6,0}}) 
        annotation (Placement(transformation(extent={{58,4},{78,24}})));
      Library.Factors.SimpleMultiply FunctionEffect 
        annotation (Placement(transformation(extent={{58,-4},{78,16}})));
      Modelica.Blocks.Math.Gain gain1(k=.001) 
        annotation (Placement(transformation(extent={{-76,0},{-72,4}})));
      Modelica.Blocks.Math.Gain gain2(k=.001) 
        annotation (Placement(transformation(extent={{-52,28},{-48,32}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-98,68},{-78,88}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealInput_ Insulin(unit="uU/ml") annotation (Placement(
            transformation(extent={{58,34},{78,54}}), iconTransformation(extent={{-100,40},
                {-60,80}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="ng/l") 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-60,8})));
      Library.Interfaces.RealOutput_ Glucagon(
                                             quantity="Concentration", final unit
          =    "ng/l")  annotation (Placement(transformation(extent={{-78,-60},
                {-58,-40}}), iconTransformation(extent={{80,-20},{120,20}})));
    equation

    connect(GlucagonPool.SoluteMass, gain.u) annotation (Line(
          points={{-56,-13.8},{-56,-29},{-44.6,-29}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain.y, clearance.desiredFlow) annotation (Line(
          points={{-37.7,-29},{-24,-29},{-24,-20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(clearance.q_in, GlucagonPool.q_out) annotation (Line(
          points={{-30,-16},{-38,-16},{-38,-6},{-56,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(GlucagonPool.q_out, PortalVeinConcentration.q_in) annotation (
          Line(
          points={{-56,-6},{-54,-6},{-54,18}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(PortalVeinConcentration.Conc, busConnector. PortalVein_Glucagon) annotation (
          Line(
          points={{-33.8,18},{4.1,18},{4.1,78},{-88,78}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(PortalVeinConcentration.AdditionalSoluteFlow, FunctionEffect.y) 
        annotation (Line(
          points={{-44,12},{-44,2},{68,2},{68,4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.GITractFunctionEffect, FunctionEffect.u) annotation (Line(
          points={{-88,78},{12.1,78},{12.1,6},{58.2,6}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.Glucose, GlucoseEffect.u) annotation (Line(
          points={{-88,78},{12,78},{12,14},{58.2,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(InsulinEffect.yBase, GlucoseEffect.y) annotation (Line(
          points={{68,12},{68,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinEffect.y, FunctionEffect.yBase) annotation (Line(
          points={{68,8},{68,8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(synthesis.desiredFlow, FunctionEffect.y) annotation (Line(
          points={{68,-2},{68,4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant_pG.y, GlucoseEffect.yBase) annotation (Line(
          points={{71.6,22},{68,22},{68,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(synthesis.q_out, GlucagonPool.q_out) annotation (Line(
          points={{62,-6},{-56,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, gain1.u) annotation (Line(
          points={{-88,78},{-93.2,78},{-93.2,2},{-76.4,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(gain1.y, GlucagonPool.SolventVolume) annotation (Line(
          points={{-71.8,2},{-67.9,2},{-67.9,0},{-64,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain2.y, PortalVeinConcentration.SolventFlow) annotation (Line(
          points={{-47.8,30},{-44,30},{-44,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain2.u, busConnector. PortalVein_PlasmaFlow) annotation (Line(
          points={{-52.4,30},{-65.2,30},{-65.2,78},{-88,78}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));

      connect(Insulin, InsulinEffect.u) annotation (Line(
          points={{68,44},{90,44},{90,10},{77.8,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucagonPool.q_out, concentrationMeasure.q_in) annotation (Line(
          points={{-56,-6},{-54,-6},{-54,8},{-60,8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, Glucagon) annotation (Line(
          points={{-60,12},{-60,18},{-80,18},{-80,-50},{-68,-50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Glucagon_conc, concentrationMeasure.actualConc) 
        annotation (Line(
          points={{-88,78},{-88,14},{-60,14},{-60,12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-100,80},{100,100}},
              lineColor={0,0,255},
              textString="%name")}));
    end Glucagon;

    model ADH
      extends Library.Interfaces.Tissues.Hypophysis;
    // outer parameter Real ECF_Vol(final unit="ml");

      Library.ConcentrationFlow.ConcentrationCompartment ADHPool(
                                stateName="ADHPool.Mass", initialSoluteMass=
            2.2251*.001*14361.0097207699)
        "2pg/ml * 15000 ml * 0.001 ng/pg = 30 ng .. all initial extracellular insulin"
        annotation (Placement(transformation(extent={{-86,-26},{-66,-6}})));
      Library.ConcentrationFlow.SoluteFlowPump secretion 
        annotation (Placement(transformation(extent={{-24,-14},{-44,6}})));
      Library.ConcentrationFlow.InputPump synthesis 
        annotation (Placement(transformation(extent={{98,-14},{78,6}})));
      Library.ConcentrationFlow.SolventOutflowPump Liver_clearance(K=0.0005) 
        annotation (Placement(transformation(extent={{-34,-42},{-14,-22}})));
      Library.Factors.SplineValue NeuralEffect(data={{0.50,0.4,0},{1.00,1.0,0.4},{1.20,
            2.0,5.0},{1.50,20.0,0}}) 
        annotation (Placement(transformation(extent={{-44,0},{-24,20}})));
      Library.Blocks.HormoneFlowConstant_nG hormoneFlowConstant(k=3.2) 
        annotation (Placement(transformation(extent={{96,14},{90,20}})));
      Library.Factors.SplineValue OsmEffect(data={{0.243,0.0,0},{0.253,1.0,180},{0.263,
            5.0,0}}) 
        annotation (Placement(transformation(extent={{-44,4},{-24,24}})));
      Library.Factors.SimpleMultiply BasicFraction 
        annotation (Placement(transformation(extent={{-24,8},{-44,28}})));
      Library.Blocks.Constant BaseK(k=0.001) 
        annotation (Placement(transformation(extent={{-8,12},{-20,24}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="ng/l") 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-80,0})));
      Modelica.Blocks.Math.Gain gain2(k=.001) 
        annotation (Placement(transformation(extent={{-2,-2},{2,2}},
            rotation=270,
            origin={-92,-6})));
      Library.ConcentrationFlow.SolventOutflowPump Kidney_clearance(K=0.00059) 
        annotation (Placement(transformation(extent={{-34,-70},{-14,-50}})));
      Library.ConcentrationFlow.SolventOutflowPump Other_clearance(K=0.00108) 
        annotation (Placement(transformation(extent={{-34,-100},{-14,-80}})));
      Library.ConcentrationFlow.MassStorageCompartment SlowMass(
          initialSoluteMass=15782.3) 
        annotation (Placement(transformation(extent={{-10,10},{10,-10}},
            rotation=180,
            origin={56,-4})));
      Library.ConcentrationFlow.MassStorageCompartment FastMass(
          initialSoluteMass=2632.19) 
        annotation (Placement(transformation(extent={{-10,10},{10,-10}},
            rotation=180,
            origin={6,-4})));
      Library.Factors.SplineValue Feedback(data={{0,4.0,0},{17000,1.0,-0.0003},{20000,
            0.0,0}}) annotation (Placement(transformation(extent={{78,0},{98,20}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-88,78},{-68,98}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealOutput_ ADH(quantity="Concentration", final unit=
            "nG/l")     annotation (Placement(transformation(extent={{-76,28},{
                -56,48}}),   iconTransformation(extent={{80,-20},{120,20}})));
      Library.Blocks.Log10AsEffect log10_1 
        annotation (Placement(transformation(extent={{-68,52},{-48,72}})));
      Library.ConcentrationFlow.SoluteFlowPump fluxDown 
        annotation (Placement(transformation(extent={{28,6},{38,16}})));
      Library.ConcentrationFlow.SoluteFlowPump fluxUp 
        annotation (Placement(transformation(extent={{38,-14},{28,-24}})));
      Modelica.Blocks.Math.Gain gain1(k=.0043) 
        annotation (Placement(transformation(extent={{-5,-5},{5,5}},
            rotation=270,
            origin={33,25})));
      Modelica.Blocks.Math.Gain gain3(k=.001) 
        annotation (Placement(transformation(extent={{-5,-5},{5,5}},
            rotation=90,
            origin={33,-35})));
      Library.Blocks.Integrator integrator1(           k=(1/20)/Library.SecPerMin, y_start=
            2.27115,
        stateName="NephronADH.[ADHDelayed]") 
        annotation (Placement(transformation(
            extent={{-5,-5},{5,5}},
            rotation=270,
            origin={41,67})));
      Modelica.Blocks.Math.Feedback feedback1 
                                             annotation (Placement(
            transformation(
            extent={{-7,-7},{7,7}},
            rotation=270,
            origin={41,85})));
      Library.Interfaces.RealOutput_ NephronADH(quantity="Concentration", unit=
            "ng/l")     annotation (Placement(transformation(extent={{68,44},{
                88,64}}),    iconTransformation(extent={{80,-60},{120,-20}})));
    equation
      connect(NeuralEffect.yBase, OsmEffect.y) annotation (Line(
          points={{-34,12},{-34,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(OsmEffect.yBase, BasicFraction.y)     annotation (Line(
          points={{-34,16},{-34,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BaseK.y, BasicFraction.u)    annotation (Line(
          points={{-20.6,18},{-24.2,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Osmreceptors, OsmEffect.u) 
                                        annotation (Line(
          points={{-78,88},{-96,88},{-96,14},{-43.8,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.SympsCNS_PituitaryNA, NeuralEffect.u) 
                                  annotation (Line(
          points={{-78,88},{-94.9,88},{-94.9,10},{-43.8,10}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(ADHPool.q_out, secretion.q_out)     annotation (Line(
          points={{-76,-16},{-58,-16},{-58,-4},{-44,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Liver_clearance.q_in, ADHPool.q_out) 
                                                 annotation (Line(
          points={{-34,-32},{-58,-32},{-58,-16},{-76,-16}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, ADHPool.q_out)     annotation (Line(
          points={{-80,0},{-75.2,0},{-75.2,-16},{-76,-16}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, busConnector. ADH)     annotation (Line(
          points={{-80,4},{-81,4},{-81,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(gain2.y, ADHPool.SolventVolume)     annotation (Line(
          points={{-92,-8.2},{-84,-8.2},{-84,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, gain2.u) annotation (Line(
          points={{-78,88},{-92,88},{-92,-3.6}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(ADHPool.q_out, Kidney_clearance.q_in) annotation (Line(
          points={{-76,-16},{-58,-16},{-58,-60},{-34,-60}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ADHPool.q_out, Other_clearance.q_in) annotation (Line(
          points={{-76,-16},{-58,-16},{-58,-90},{-34,-90}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(NeuralEffect.y, secretion.soluteFlow) annotation (Line(
          points={{-34,8},{-34,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion.q_in, FastMass.q_out) annotation (Line(
          points={{-24,-4},{6,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(SlowMass.q_out, synthesis.q_out) annotation (Line(
          points={{56,-4},{82,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FastMass.SoluteMass, BasicFraction.yBase) annotation (Line(
          points={{6,-11.4},{6,-16},{-4,-16},{-4,28},{-34,28},{-34,20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Feedback.y, synthesis.desiredFlow) annotation (Line(
          points={{88,8},{88,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Feedback.yBase, hormoneFlowConstant.y) annotation (Line(
          points={{88,12},{88,17},{89.7,17}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SlowMass.SoluteMass, Feedback.u) annotation (Line(
          points={{56,-11.4},{56,-16},{78,-16},{78,10},{78.2,10}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(concentrationMeasure.actualConc, ADH) annotation (Line(
          points={{-80,4},{-80,38},{-66,38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, log10_1.u) annotation (Line(
          points={{-80,4},{-80,62},{-70,62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(log10_1.y, busConnector.ADHPool_Log10Conc) annotation (Line(
          points={{-47,62},{-24,62},{-24,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Kidney_BloodFlow, Kidney_clearance.solventFlow) 
        annotation (Line(
          points={{-78,88},{-96,88},{-96,-54},{-24,-54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.OtherTissue_BloodFlow, Other_clearance.solventFlow) 
        annotation (Line(
          points={{-78,88},{-96,88},{-96,-84},{-24,-84}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(gain1.y, fluxDown.soluteFlow) annotation (Line(
          points={{33,19.5},{33,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FastMass.SoluteMass, gain1.u) annotation (Line(
          points={{6,-11.4},{6,38},{33,38},{33,31}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain3.y, fluxUp.soluteFlow) annotation (Line(
          points={{33,-29.5},{33,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain3.u, SlowMass.SoluteMass) annotation (Line(
          points={{33,-41},{33,-46},{56,-46},{56,-11.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(fluxDown.q_out, SlowMass.q_out) annotation (Line(
          points={{38,11},{46,11},{46,-4},{56,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(fluxUp.q_in, SlowMass.q_out) annotation (Line(
          points={{38,-19},{46,-19},{46,-4},{56,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FastMass.q_out, fluxDown.q_in) annotation (Line(
          points={{6,-4},{24,-4},{24,11},{28,11}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FastMass.q_out, fluxUp.q_out) annotation (Line(
          points={{6,-4},{24,-4},{24,-19},{28,-19}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(feedback1.y, integrator1.u) 
                                        annotation (Line(
          points={{41,78.7},{40,78},{41,78},{41,73}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y, feedback1.u2) 
                                         annotation (Line(
          points={{41,61.5},{41,54},{26,54},{26,85},{35.4,85}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, feedback1.u1) annotation (Line(
          points={{-80,4},{-80,46},{10,46},{10,96},{41,96},{41,90.6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y, NephronADH) annotation (Line(
          points={{41,61.5},{41,54},{78,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y, busConnector.NephronADH) annotation (Line(
          points={{41,61.5},{41,54},{-4,54},{-4,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.GITract_BloodFlow, Liver_clearance.solventFlow) 
        annotation (Line(
          points={{-78,88},{-96,88},{-96,-26},{-24,-26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-82,48},{-66,42}},
              lineColor={0,0,0},
              textString="ng/l")}),                Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-112,120},{122,98}},
              lineColor={0,0,255},
              textString="%name")}));
    end ADH;

    model Aldosterone
      extends Library.Interfaces.Tissues.AdrenalGland;

      Library.ConcentrationFlow.ConcentrationCompartment AldoPool(
          initialSoluteMass=13477.9, stateName="AldoPool.Mass")
        " 0.33 pmol/ml * 43000 ml = 14190.0 ng .. all initial extracellular insulin"
        annotation (Placement(transformation(extent={{-50,-26},{-30,-6}})));
      Library.ConcentrationFlow.InputPump adrenalCortex 
        annotation (Placement(transformation(extent={{66,-14},{46,6}})));
      Library.ConcentrationFlow.SolventOutflowPump Clearance(K=0.78) 
        annotation (Placement(transformation(extent={{2,-42},{22,-22}})));
      Library.Factors.SplineValue KEffect(data={{3.0,0.3,0},{4.4,1.0,1.0},{6.0,3.0,0}}) 
        annotation (Placement(transformation(extent={{46,0},{66,20}})));
      Library.Blocks.HormoneFlowConstant_pmol hormoneFlowConstant(
                                                                k=330.0) 
        annotation (Placement(transformation(extent={{68,26},{60,34}})));
      Library.Factors.SplineValue A2Effect(data={{0.0,0.4,0},{1.3,1.0,1.0},{4.0,4.0,
            0}}) 
        annotation (Placement(transformation(extent={{46,4},{66,24}})));
      Library.Factors.SimpleMultiply FunctionEffect 
        annotation (Placement(transformation(extent={{46,8},{66,28}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="pmol/l", toAnotherUnitCoef=1000) 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-44,-2})));
      Library.ConcentrationFlow.OutputPump Degradation 
        annotation (Placement(transformation(extent={{0,-68},{20,-48}})));
      Modelica.Blocks.Math.Gain DegradeK(k=.0007) 
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            rotation=0,
            origin={-3,-49})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-100,80},{-80,100}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealInput_ A2Pool_Log10Conc annotation (Placement(
            transformation(extent={{-28,4},{-8,24}}), iconTransformation(extent={{-100,40},
                {-60,80}})));
      Library.Interfaces.RealOutput_ Aldo(quantity="Concentration", final unit=
            "pmol/l")   annotation (Placement(transformation(extent={{-46,34},{
                -26,54}}),   iconTransformation(extent={{80,-20},{120,20}})));
      Library.ConcentrationFlow.ConcentrationMeasure TO_ng_per_dl(unitsString=
            "ng/dl", toAnotherUnitCoef=36)
        "conversion from \"pmol/ml\" to \"ng/dl\"" 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-50,16})));
      Library.Blocks.Integrator AldoDelayed(            k=(1/(3*60))/Library.SecPerMin, y_start=
            11,
        stateName="NephronAldo.[AldoDelayed]") 
        annotation (Placement(transformation(
            extent={{-5,-5},{5,5}},
            rotation=270,
            origin={-57,-57})));
      Modelica.Blocks.Math.Feedback feedback1 
                                             annotation (Placement(
            transformation(
            extent={{-7,-7},{7,7}},
            rotation=270,
            origin={-57,-39})));
      Library.Interfaces.RealOutput_ NephronAldo(quantity="Concentration",
          final unit="ngl/dl") 
                        annotation (Placement(transformation(extent={{-56,-92},
                {-36,-72}}), iconTransformation(extent={{80,-60},{120,-20}})));
    equation
     connect(KEffect.yBase, A2Effect.y)       annotation (Line(
          points={{56,12},{56,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2Effect.yBase, FunctionEffect.y)     annotation (Line(
          points={{56,16},{56,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KPool_per_liter, KEffect.u) 
                                  annotation (Line(
          points={{-90,90},{12.1,90},{12.1,10},{46.2,10}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(AldoPool.q_out, adrenalCortex.q_out) 
                                                  annotation (Line(
          points={{-40,-16},{-22,-16},{-22,-4},{50,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Clearance.q_in, AldoPool.q_out)    annotation (Line(
          points={{2,-32},{-22,-32},{-22,-16},{-40,-16}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, AldoPool.q_out)    annotation (Line(
          points={{-44,-2},{-39.2,-2},{-39.2,-16},{-40,-16}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, busConnector. Aldo)    annotation (Line(
          points={{-44,2},{-90,2},{-90,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(AldoPool.q_out, Degradation.q_in) annotation (Line(
          points={{-40,-16},{-22,-16},{-22,-58},{4,-58}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.BodyH2O_Vol, AldoPool.SolventVolume) annotation (Line(
          points={{-90,90},{-90,-10},{-48,-10}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.Liver_BloodFlow, Clearance.solventFlow) annotation (Line(
          points={{-90,90},{12,90},{12,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(AldoPool.SoluteMass, DegradeK.u) annotation (Line(
          points={{-40,-23.8},{-40,-49},{-6.6,-49}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.u, busConnector. OtherTissueFunctionEffect) annotation (Line(
          points={{46.2,18},{12,18},{12,90},{-90,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(adrenalCortex.desiredFlow, KEffect.y) 
                                                annotation (Line(
          points={{56,0},{56,8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.yBase, hormoneFlowConstant.y) annotation (Line(
          points={{56,20},{56,30},{59.6,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Degradation.desiredFlow, DegradeK.y) annotation (Line(
          points={{10,-54},{10,-49},{0.3,-49}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(A2Pool_Log10Conc, A2Effect.u) annotation (Line(
          points={{-18,14},{46.2,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, Aldo) annotation (Line(
          points={{-44,2},{-44,44},{-36,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.AldoPool_Aldo, concentrationMeasure.actualConc) 
        annotation (Line(
          points={{-90,90},{-90,2},{-44,2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(TO_ng_per_dl.q_in, AldoPool.q_out)            annotation (Line(
          points={{-50,16},{-39.2,16},{-39.2,-16},{-40,-16}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(busConnector.Aldo_conc_in_nG_per_dl, TO_ng_per_dl.actualConc) 
        annotation (Line(
          points={{-90,90},{-90,20},{-50,20}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(feedback1.y, AldoDelayed.u) 
                                        annotation (Line(
          points={{-57,-45.3},{-58,-46},{-57,-46},{-57,-51}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AldoDelayed.y, feedback1.u2) 
                                         annotation (Line(
          points={{-57,-62.5},{-57,-66},{-72,-66},{-72,-39},{-62.6,-39}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AldoDelayed.y, NephronAldo) annotation (Line(
          points={{-57,-62.5},{-57,-82},{-46,-82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TO_ng_per_dl.actualConc, feedback1.u1) annotation (Line(
          points={{-50,20},{-50,36},{-57,36},{-57,-33.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.NephronAldo_conc_in_nG_per_dl, AldoDelayed.y) 
        annotation (Line(
          points={{-90,90},{-90,-66},{-57,-66},{-57,-62.5}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-116,104},{118,82}},
              lineColor={0,0,255},
              textString="%name")}));
    end Aldosterone;

    model ANP
      extends Library.Interfaces.Tissues.Heart;
    // outer parameter Real ECF_Vol(final unit="ml");

      Library.ConcentrationFlow.ConcentrationCompartment ANPPool(
          initialSoluteMass=285.895, stateName="ANPPool.Mass")
        "default = 20 pmol/l" 
        annotation (Placement(transformation(extent={{-30,-42},{-10,-22}})));
      Library.ConcentrationFlow.InputPump secretion 
        annotation (Placement(transformation(extent={{48,-54},{28,-34}})));
      Library.Factors.SplineValue LAPEffect(data={{0.0,0.0,0},{8.0,1.0,0.4},{20.0,10.0,
            0}}) 
        annotation (Placement(transformation(extent={{56,60},{76,80}})));
      Library.Blocks.HormoneFlowConstant_pmol hormoneFlowConstant(k=41) 
        annotation (Placement(transformation(extent={{22,82},{14,90}})));
      Library.Factors.SplineValue RAPEffect(data={{0.0,0.0,0},{4.0,1.0,0.4},{20.0,10.0,
            0}}) 
        annotation (Placement(transformation(extent={{0,60},{20,80}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="pmol/l", toAnotherUnitCoef=1000) 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-26,-16})));
      Library.ConcentrationFlow.OutputPump Degradation 
        annotation (Placement(transformation(extent={{12,-86},{32,-66}})));
      Modelica.Blocks.Math.Gain DegradeK(k=0.223) 
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            rotation=0,
            origin={7,-65})));
      Library.Blocks.HormoneFlowConstant_pmol hormoneFlowConstant1(k=26) 
        annotation (Placement(transformation(extent={{78,82},{70,90}})));
      Modelica.Blocks.Math.Add SteadyState annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={38,42})));
      Library.Blocks.Integrator integrator(            k=(1/20)/Library.SecPerMin,
          y_start=67,
        stateName="ANPSecretion.NaturalRate") 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={38,-14})));
      Modelica.Blocks.Math.Feedback feedback annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={38,18})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-104,84},{-84,104}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealOutput_ ANP(quantity="Concentration", final unit=
            "pmol/l")                                         annotation (
          Placement(transformation(extent={{-24,2},{-4,22}}),
            iconTransformation(extent={{80,-20},{120,20}})));
      Library.Blocks.Log10AsEffect log10_1 
        annotation (Placement(transformation(extent={{-32,6},{-44,18}})));
      Library.Blocks.Log10AsEffect log10_2 
        annotation (Placement(transformation(extent={{-52,-88},{-64,-76}})));
      Library.Blocks.Integrator integrator1(           k=(1/20)/Library.SecPerMin, y_start=
            20,
        stateName="NephronANP.[ANPDelayed]") 
        annotation (Placement(transformation(
            extent={{-5,-5},{5,5}},
            rotation=270,
            origin={-35,-65})));
      Modelica.Blocks.Math.Feedback feedback1 
                                             annotation (Placement(
            transformation(
            extent={{-7,-7},{7,7}},
            rotation=270,
            origin={-35,-47})));
      Library.Interfaces.RealOutput_ NephronANP_Log10Conc 
                        annotation (Placement(transformation(extent={{-94,-64},
                {-74,-44}}), iconTransformation(extent={{80,-60},{120,-20}})));
    equation
      connect(ANPPool.q_out, secretion.q_out)     annotation (Line(
          points={{-20,-32},{-2,-32},{-2,-44},{32,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, ANPPool.q_out)     annotation (Line(
          points={{-26,-16},{-19.2,-16},{-19.2,-32},{-20,-32}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(ANPPool.q_out, Degradation.q_in) annotation (Line(
          points={{-20,-32},{-2,-32},{-2,-76},{16,-76}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ANPPool.SoluteMass, DegradeK.u) annotation (Line(
          points={{-20,-39.8},{-20,-65},{3.4,-65}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Degradation.desiredFlow, DegradeK.y) annotation (Line(
          points={{22,-72},{22,-65},{10.3,-65}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant1.y, LAPEffect.yBase) annotation (Line(
          points={{69.6,86},{66,86},{66,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y, RAPEffect.yBase) annotation (Line(
          points={{13.6,86},{10,86},{10,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RAPEffect.y, SteadyState.u2) annotation (Line(
          points={{10,68},{10,60},{32,60},{32,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LAPEffect.y, SteadyState.u1) annotation (Line(
          points={{66,68},{66,60},{44,60},{44,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback.y,integrator. u) annotation (Line(
          points={{38,9},{38,-2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y,feedback. u2) annotation (Line(
          points={{38,-25},{38,-34},{14,-34},{14,18},{30,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SteadyState.y, feedback.u1) annotation (Line(
          points={{38,31},{38,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y, secretion.desiredFlow) annotation (Line(
          points={{38,-25},{38,-40}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(concentrationMeasure.actualConc, ANP) annotation (Line(
          points={{-26,-12},{-26,12},{-14,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, log10_1.u) annotation (Line(
          points={{-26,-12},{-26,12},{-30.8,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.NephronANP_Log10Conc, log10_2.y) annotation (Line(
          points={{-94,94},{-94,-82},{-64.6,-82}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ANPPool_Log10Conc, log10_1.y) annotation (Line(
          points={{-94,94},{-94,12},{-44.6,12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ANP, concentrationMeasure.actualConc) annotation (
          Line(
          points={{-94,94},{-94,-8},{-26,-8},{-26,-12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.rightAtrium_TMP, RAPEffect.u) annotation (Line(
          points={{-94,94},{-32,94},{-32,70},{0.2,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.leftAtrium_TMP, LAPEffect.u) annotation (Line(
          points={{-94,94},{32,94},{32,70},{56.2,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ECFV_Vol, ANPPool.SolventVolume) annotation (Line(
          points={{-94,94},{-94,-26},{-28,-26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(feedback1.y, integrator1.u) 
                                        annotation (Line(
          points={{-35,-53.3},{-36,-54},{-35,-54},{-35,-59}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y, feedback1.u2) 
                                         annotation (Line(
          points={{-35,-70.5},{-35,-74},{-50,-74},{-50,-47},{-40.6,-47}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y, log10_2.u) annotation (Line(
          points={{-35,-70.5},{-35,-82},{-50.8,-82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, feedback1.u1) annotation (Line(
          points={{-26,-12},{-26,-8},{-35,-8},{-35,-41.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(log10_2.y, NephronANP_Log10Conc) annotation (Line(
          points={{-64.6,-82},{-94,-82},{-94,-54},{-84,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-120,94},{114,72}},
              lineColor={0,0,255},
              textString="%name")}));
    end ANP;

    package Catechols "Epinephrine and Norepinephrine"

      model Epinephrine
        extends Library.Interfaces.Tissues.AdrenalGland;
      // outer parameter Real ECF_Vol(final unit="ml");

        Library.ConcentrationFlow.ConcentrationCompartment EpiPool(
            initialSoluteMass=571.791, stateName="EpiPool.Mass")
          "0.040 ng/ml * 15000 ml =  600 ng " 
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
        Library.ConcentrationFlow.InputPump secretion 
          annotation (Placement(transformation(extent={{48,-54},{28,-34}})));
        Library.Blocks.HormoneFlowConstant_nG hormoneFlowConstant(k=375) 
          annotation (Placement(transformation(extent={{50,-10},{42,-2}})));
        Library.Factors.SplineValue AdrenalNerveEffect(data={{2.0,1.0,0},{8.0,20.0,0}}) 
          annotation (Placement(transformation(extent={{28,-32},{48,-12}})));
        Library.Interfaces.RealInput OtherTissueFunctionEffect 
                           annotation (Placement(transformation(
                extent={{0,-36},{8,-28}}),   iconTransformation(extent={{-100,40},{-80,
                  60}})));
        Library.Interfaces.RealInput ECFV_Vol(final quantity="Volume", final unit
            =                                                                     "ml") 
          annotation (Placement(transformation(extent={{-98,-30},{-90,-22}}),
              iconTransformation(extent={{-100,80},{-80,100}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
                               unitsString="pg/ml", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-76,-26})));
        Library.Interfaces.RealOutput Epinephrine(final quantity="Concentration", final unit
            =    "pg/ml")             annotation (Placement(
              transformation(extent={{-82,-20},{-90,-12}}),
                                                         iconTransformation(
                extent={{100,-10},{120,10}})));
        Library.Interfaces.RealInput AdrenalNerve_NA(final quantity="Frequency", final unit
            =                                                                               "Hz") 
                           annotation (Placement(transformation(
                extent={{6,-26},{14,-18}}),  iconTransformation(extent={{-100,0},{-80,
                  20}})));
        Library.ConcentrationFlow.SolventOutflowPump Clearance(K=1) 
          annotation (Placement(transformation(extent={{-28,-96},{-8,-76}})));
        Library.Blocks.FlowConstant flowConstant(k=9400) 
          annotation (Placement(transformation(extent={{-30,-76},{-22,-68}})));
        Library.Factors.SimpleMultiply FunctionEffect 
          annotation (Placement(transformation(extent={{28,-42},{48,-22}})));
      equation
        connect(EpiPool.q_out, secretion.q_out)     annotation (Line(
            points={{-72,-44},{32,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, EpiPool.q_out)     annotation (Line(
            points={{-76,-26},{-71.2,-26},{-71.2,-44},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, Epinephrine) 
                                                          annotation (Line(
            points={{-76,-22},{-76,-16},{-86,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ECFV_Vol, EpiPool.SolventVolume) annotation (Line(
            points={{-94,-26},{-88,-26},{-88,-38},{-80,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AdrenalNerve_NA, AdrenalNerveEffect.u) 
                                              annotation (Line(
            points={{10,-22},{28.2,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant.y, AdrenalNerveEffect.yBase) 
                                                        annotation (Line(
            points={{41.6,-6},{38,-6},{38,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EpiPool.q_out, Clearance.q_in)          annotation (Line(
            points={{-72,-44},{-42,-44},{-42,-86},{-28,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowConstant.y, Clearance.solventFlow)          annotation (Line(
            points={{-21.6,-72},{-18,-72},{-18,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissueFunctionEffect, FunctionEffect.u) annotation (Line(
            points={{4,-32},{28.2,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AdrenalNerveEffect.y, FunctionEffect.yBase) annotation (Line(
            points={{38,-24},{38,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FunctionEffect.y, secretion.desiredFlow) annotation (Line(
            points={{38,-34},{38,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end Epinephrine;

      model Norepinephrine
        extends Library.Interfaces.Tissues.AdrenalGland;
      // outer parameter Real ECF_Vol(final unit="ml");

        Library.ConcentrationFlow.ConcentrationCompartment NEPool(
            initialSoluteMass=3430.74, stateName="NEPool.Mass")
          "0.240 ng/ml * 15000 ml =  3600 ng " 
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
        Library.ConcentrationFlow.InputPump secretion 
          annotation (Placement(transformation(extent={{48,-54},{28,-34}})));
        Library.Blocks.HormoneFlowConstant_nG hormoneFlowConstant(k=220) 
          annotation (Placement(transformation(extent={{50,-10},{42,-2}})));
        Library.Factors.SplineValue AdrenalNerveEffect(data={{2.0,1.0,0},{8.0,
              20.0,0}}) 
          annotation (Placement(transformation(extent={{28,-32},{48,-12}})));
        Library.Interfaces.RealInput OtherTissueFunctionEffect 
                           annotation (Placement(transformation(
                extent={{0,-36},{8,-28}}),   iconTransformation(extent={{-100,-40},{-80,
                  -20}})));
        Library.Interfaces.RealInput ECFV_Vol(final quantity="Volume", final unit
            =                                                                     "ml") 
          annotation (Placement(transformation(extent={{-98,-30},{-90,-22}}),
              iconTransformation(extent={{-100,80},{-80,100}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
                               unitsString="pg/ml", toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-78,-20})));
        Library.Interfaces.RealOutput Norepinephrine(final quantity=
              "Concentration", final unit="pg/ml") 
                                      annotation (Placement(
              transformation(extent={{-80,-16},{-88,-8}}),
                                                         iconTransformation(
                extent={{100,-10},{120,10}})));
        Library.Interfaces.RealInput AdrenalNerve_NA(final quantity="Frequency", final unit
            =                                                                               "Hz") 
                           annotation (Placement(transformation(
                extent={{6,-26},{14,-18}}),  iconTransformation(extent={{-100,40},{-80,
                  60}})));
        Library.ConcentrationFlow.SolventOutflowPump Clearance(K=1) 
          annotation (Placement(transformation(extent={{-28,-96},{-8,-76}})));
        Library.Blocks.FlowConstant flowConstant(k=4500) 
          annotation (Placement(transformation(extent={{-30,-76},{-22,-68}})));
        Library.Factors.SimpleMultiply FunctionEffect 
          annotation (Placement(transformation(extent={{28,-42},{48,-22}})));
        Library.ConcentrationFlow.InputPump Spillover 
          annotation (Placement(transformation(extent={{50,18},{30,38}})));
        Library.Blocks.Constant hormoneFlowConstant1(k=570.0) 
          annotation (Placement(transformation(extent={{52,50},{44,58}})));
        Library.Factors.SimpleMultiply SpilloverK 
          annotation (Placement(transformation(extent={{30,28},{50,48}})));
        Library.Interfaces.RealInput GangliaGeneral_NA(final quantity=
              "Frequency", final unit="Hz") 
                           annotation (Placement(transformation(
                extent={{8,34},{16,42}}),    iconTransformation(extent={{-100,0},{-80,
                  20}})));
      equation
        connect(NEPool.q_out, secretion.q_out)      annotation (Line(
            points={{-72,-44},{32,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, NEPool.q_out)      annotation (Line(
            points={{-78,-20},{-71.2,-20},{-71.2,-44},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, Norepinephrine) 
                                                          annotation (Line(
            points={{-78,-16},{-78,-12},{-84,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ECFV_Vol, NEPool.SolventVolume)  annotation (Line(
            points={{-94,-26},{-88,-26},{-88,-38},{-80,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AdrenalNerve_NA, AdrenalNerveEffect.u) 
                                              annotation (Line(
            points={{10,-22},{28.2,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant.y, AdrenalNerveEffect.yBase) 
                                                        annotation (Line(
            points={{41.6,-6},{38,-6},{38,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NEPool.q_out, Clearance.q_in)           annotation (Line(
            points={{-72,-44},{-42,-44},{-42,-86},{-28,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowConstant.y, Clearance.solventFlow)          annotation (Line(
            points={{-21.6,-72},{-18,-72},{-18,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OtherTissueFunctionEffect, FunctionEffect.u) annotation (Line(
            points={{4,-32},{28.2,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AdrenalNerveEffect.y, FunctionEffect.yBase) annotation (Line(
            points={{38,-24},{38,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FunctionEffect.y, secretion.desiredFlow) annotation (Line(
            points={{38,-34},{38,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NEPool.q_out, Spillover.q_out)      annotation (Line(
            points={{-72,-44},{-21,-44},{-21,28},{34,28}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GangliaGeneral_NA, SpilloverK.u) 
                                              annotation (Line(
            points={{12,38},{30.2,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, SpilloverK.yBase) 
                                                        annotation (Line(
            points={{43.6,54},{40,54},{40,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SpilloverK.y, Spillover.desiredFlow) annotation (Line(
            points={{40,36},{40,32}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end Norepinephrine;

      model Catechols
        extends Library.Interfaces.Tissues.AdrenalGland;
        Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{-88,78},{-68,98}}),
              iconTransformation(extent={{-90,-70},{-70,-50}})));

        Epinephrine epinephrine 
          annotation (Placement(transformation(extent={{-30,46},{-10,66}})));
        Norepinephrine norepinephrine 
          annotation (Placement(transformation(extent={{-30,14},{-10,34}})));
        Library.Interfaces.RealOutput_ EpinephrineConc(                    quantity="Concentration", final unit
            =    "pg/ml")                                       annotation (
            Placement(transformation(extent={{38,46},{58,66}}),
              iconTransformation(extent={{80,-40},{120,0}})));
        Library.Interfaces.RealOutput_ NorepinephrineConc(quantity="Concentration", final unit
            =    "pg/ml")                                       annotation (
            Placement(transformation(extent={{38,14},{58,34}}),
              iconTransformation(extent={{80,0},{120,40}})));
        Library.Blocks.Log10AsEffect log10_1 
          annotation (Placement(transformation(extent={{10,-66},{30,-46}})));
        Modelica.Blocks.Math.Add3 AlphaTotal(
          k1=.021,
          k2=.125,
          k3=5) 
          annotation (Placement(transformation(extent={{-28,-66},{-8,-46}})));
        Library.Blocks.Constant Desglymidodrine(k=0) 
          annotation (Placement(transformation(extent={{-62,-68},{-54,-60}})));
        Modelica.Blocks.Math.Add BetaTotal(k1=.021, k2=.125) 
          annotation (Placement(transformation(extent={{-24,-32},{-8,-16}})));
        Library.Blocks.Constant Constant(k=1) 
          annotation (Placement(transformation(extent={{32,-66},{40,-58}})));
        Library.Blocks.Constant Constant1(k=1) 
          annotation (Placement(transformation(extent={{26,-34},{34,-26}})));
        Library.Blocks.Log10AsEffect log10_2 
          annotation (Placement(transformation(extent={{4,-34},{24,-14}})));
      equation
        connect(busConnector.ECFV_Vol, epinephrine.ECFV_Vol) annotation (Line(
            points={{-78,88},{-78,65},{-29,65}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ECFV_Vol, norepinephrine.ECFV_Vol) annotation (
            Line(
            points={{-78,88},{-78,33},{-29,33}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AdrenalNerve_NA, epinephrine.AdrenalNerve_NA) 
          annotation (Line(
            points={{-78,88},{-78,57},{-29,57}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.OtherTissueFunctionEffect, epinephrine.OtherTissueFunctionEffect) 
          annotation (Line(
            points={{-78,88},{-78,61},{-29,61}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.OtherTissueFunctionEffect, norepinephrine.OtherTissueFunctionEffect) 
          annotation (Line(
            points={{-78,88},{-78,21},{-29,21}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AdrenalNerve_NA, norepinephrine.AdrenalNerve_NA) 
          annotation (Line(
            points={{-78,88},{-78,29},{-29,29}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GangliaGeneral_NA, norepinephrine.GangliaGeneral_NA) 
          annotation (Line(
            points={{-78,88},{-78,25},{-29,25}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(epinephrine.Epinephrine, busConnector.EpiPool_Epi) annotation (
            Line(
            points={{-9,56},{28,56},{28,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(norepinephrine.Norepinephrine, busConnector.NEPool_NE) 
          annotation (Line(
            points={{-9,24},{28,24},{28,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(norepinephrine.Norepinephrine, NorepinephrineConc) annotation (Line(
            points={{-9,24},{48,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(epinephrine.Epinephrine, EpinephrineConc) annotation (Line(
            points={{-9,56},{48,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(log10_1.y, busConnector.AlphaPool_Effect) annotation (Line(
            points={{31,-56},{78,-56},{78,90},{-78,90},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(AlphaTotal.y, log10_1.u) annotation (Line(
            points={{-7,-56},{8,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AlphaTotal.u1, norepinephrine.Norepinephrine) annotation (Line(
            points={{-30,-48},{-36,-48},{-36,-2},{-4,-2},{-4,24},{-9,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(epinephrine.Epinephrine, AlphaTotal.u2) annotation (Line(
            points={{-9,56},{16,56},{16,2},{-40,2},{-40,-56},{-30,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Desglymidodrine.y, AlphaTotal.u3) annotation (Line(
            points={{-53.6,-64},{-30,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BetaTotal.u1, norepinephrine.Norepinephrine) annotation (Line(
            points={{-25.6,-19.2},{-36,-19.2},{-36,-2},{-4,-2},{-4,24},{-9,24}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(BetaTotal.u2, epinephrine.Epinephrine) annotation (Line(
            points={{-25.6,-28.8},{-40,-28.8},{-40,2},{16,2},{16,56},{-9,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BetaTotal.y, log10_2.u) annotation (Line(
            points={{-7.2,-24},{2,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(log10_2.y, busConnector.BetaPool_Effect) annotation (Line(
            points={{25,-24},{78,-24},{78,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Constant.y, busConnector.AlphaBlocade_Effect) annotation (Line(
            points={{40.4,-62},{78,-62},{78,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, busConnector.BetaBlocade_Effect) annotation (Line(
            points={{34.4,-30},{78,-30},{78,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                               graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                extent={{-100,-100},{100,100}}), graphics={Text(
                extent={{-100,80},{100,100}},
                lineColor={0,0,255},
                textString="%name")}));
      end Catechols;
      annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
    end Catechols;

    model EPO
      extends Library.Interfaces.Tissues.Kidney;
    // outer parameter Real ECF_Vol(final unit="ml");

      Library.ConcentrationFlow.ConcentrationCompartment EPOPool(
                               stateName="EPOPool.Mass", initialSoluteMass=0.02
            *14361.0097207699*.4)
        "default = 6.7 U/L = 0.0067 U/ml ; may be it is better to set 0.020, then is red cells count more in steady state"
        annotation (Placement(transformation(extent={{-86,-54},{-66,-34}})));
      Library.ConcentrationFlow.InputPump secretion 
        annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
      Library.Factors.SimpleMultiply CountEffect 
        annotation (Placement(transformation(extent={{56,24},{76,44}})));
      Library.Blocks.Constant hormoneFlowConstant(k=1) 
        annotation (Placement(transformation(extent={{-4,32},{-12,40}})));
      Library.Factors.SplineValue PO2Effect(data={{0.0,4.0,0},{35.0,0.0,-0.14},
            {60.0,-1.0,0}}) 
        annotation (Placement(transformation(extent={{-24,14},{-4,34}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="U/l", toAnotherUnitCoef=1000) 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-76,-32})));
      Library.ConcentrationFlow.OutputPump Clearance 
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
      Modelica.Blocks.Math.Gain K(k=0.00555) 
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            rotation=0,
            origin={-35,-77})));
      Library.Blocks.HormoneFlowConstant_U hormoneFlowConstant1(k=0.67) 
        annotation (Placement(transformation(extent={{82,42},{70,54}})));
      Modelica.Blocks.Math.Gain VODIST(k=.4) 
        annotation (Placement(transformation(extent={{-6,-6},{6,6}},
            rotation=0,
            origin={-66,-2})));
      Library.Blocks.Pow avg1 
        annotation (Placement(transformation(extent={{-8,10},{0,18}})));
      Library.Factors.SimpleMultiply FunctionEffect 
        annotation (Placement(transformation(extent={{56,14},{76,34}})));
      Library.Factors.SimpleMultiply PO2Effect_ 
        annotation (Placement(transformation(extent={{56,4},{76,24}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-88,78},{-68,98}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealOutput_ Erythropoetin(quantity="Concentration",
          final unit="mU/ml")                                 annotation (
          Placement(transformation(extent={{-50,-28},{-30,-8}}),
            iconTransformation(extent={{80,-20},{120,20}})));
      Library.Blocks.Log10AsEffect log10_1 
        annotation (Placement(transformation(extent={{-46,46},{-26,66}})));
    equation
      connect(EPOPool.q_out, secretion.q_out)     annotation (Line(
          points={{-76,-44},{60,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in,EPOPool. q_out)     annotation (Line(
          points={{-76,-32},{-71.2,-32},{-71.2,-44},{-76,-44}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, busConnector.EPO)      annotation (Line(
          points={{-76,-28},{-77,-28},{-77,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(EPOPool.q_out, Clearance.q_in)   annotation (Line(
          points={{-76,-44},{-54,-44},{-54,-88},{-26,-88}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(EPOPool.SoluteMass, K.u)        annotation (Line(
          points={{-76,-51.8},{-76,-77},{-38.6,-77}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Clearance.desiredFlow, K.y)          annotation (Line(
          points={{-20,-84},{-20,-77},{-31.7,-77}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KidneyO2_TubulePO2, PO2Effect.u) 
                                            annotation (Line(
          points={{-78,88},{-64.9,88},{-64.9,24},{-23.8,24}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.Kidney_NephronCount_Total_xNormal, CountEffect.u) 
                                           annotation (Line(
          points={{-78,88},{5.1,88},{5.1,34},{56.2,34}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(hormoneFlowConstant1.y, CountEffect.yBase) 
                                                       annotation (Line(
          points={{69.4,48},{66,48},{66,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y,PO2Effect. yBase) annotation (Line(
          points={{-12.4,36},{-14,36},{-14,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, VODIST.u) annotation (Line(
          points={{-78,88},{-76.6,88},{-76.6,-2},{-73.2,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));

      connect(avg1.u, PO2Effect.y) annotation (Line(
          points={{-8.8,14},{-14,14},{-14,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CountEffect.y, FunctionEffect.yBase) annotation (Line(
          points={{66,32},{66,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.y, PO2Effect_.yBase) annotation (Line(
          points={{66,22},{66,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PO2Effect_.y, secretion.desiredFlow) annotation (Line(
          points={{66,12},{66,-40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(avg1.y, PO2Effect_.u) annotation (Line(
          points={{0.4,14},{56.2,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.u, busConnector. KidneyFunctionEffect) annotation (Line(
          points={{56.2,24},{5.1,24},{5.1,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));

      connect(concentrationMeasure.actualConc, Erythropoetin) annotation (Line(
          points={{-76,-28},{-76,-18},{-40,-18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, log10_1.u) annotation (Line(
          points={{-76,-28},{-76,-18},{-54,-18},{-54,56},{-48,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(log10_1.y, busConnector.EPOPool_Log10Conc) annotation (Line(
          points={{-25,56},{-6,56},{-6,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(VODIST.y, EPOPool.SolventVolume) annotation (Line(
          points={{-59.4,-2},{-56,-2},{-56,-14},{-94,-14},{-94,-38},{-84,-38}},
          color={0,0,127},
          smooth=Smooth.None));

      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-116,104},{118,82}},
              lineColor={0,0,255},
              textString="%name")}));
    end EPO;

    model Thyroxine
     extends Library.Interfaces.Tissues.ThyroidGland;
    // outer parameter Real ECF_Vol(final unit="ml");

      Library.ConcentrationFlow.ConcentrationCompartment ThyroidPool(
          initialSoluteMass=1143.58, stateName="ThyroidPool.Mass")
        "default = 8 uG/dl" 
        annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Library.ConcentrationFlow.InputPump secretion 
        annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
      Library.Blocks.HormoneFlowConstant_uG hormoneFlowConstant(k=0.05) 
        annotation (Placement(transformation(extent={{80,-24},{68,-12}})));
      Library.Factors.SplineValue TSHEffect(data={{0.0,0.0,0},{4.0,1.0,0.4},{
            30.0,10.0,0}}) 
        annotation (Placement(transformation(extent={{56,-40},{76,-20}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="ug/dl", toAnotherUnitCoef=100) 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-76,-30})));
      Library.ConcentrationFlow.OutputPump Clearance 
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
      Modelica.Blocks.Math.Gain K(k=0.000041) 
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            rotation=0,
            origin={-35,-77})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-88,78},{-68,98}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealInput_ TSH(quantity="Concentration", final unit=
            "uU/ml") "thyrotropin" annotation (Placement(transformation(extent=
                {{4,-40},{24,-20}}), iconTransformation(extent={{-100,40},{-60,
                80}})));
      Library.Interfaces.RealOutput_ Thyroxine(quantity="Concentration", final unit
          =    "ug/ml") annotation (Placement(transformation(extent={{-50,-18},
                {-30,2}}),   iconTransformation(extent={{80,-20},{120,20}})));
      Library.Curves.Curve curve(
        x={0,8,40},
        y={0.7,1.0,1.5},
        slope={0,0.4,0}) 
        annotation (Placement(transformation(extent={{-54,18},{-34,38}})));
    equation
     connect(ThyroidPool.q_out, secretion.q_out) annotation (Line(
          points={{-72,-44},{60,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, ThyroidPool.q_out) annotation (Line(
          points={{-76,-30},{-71.2,-30},{-71.2,-44},{-72,-44}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, busConnector. ThyroidPool_conc) 
                                                        annotation (Line(
          points={{-76,-26},{-77,-26},{-77,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(ThyroidPool.q_out, Clearance.q_in) 
                                               annotation (Line(
          points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ThyroidPool.SoluteMass, K.u)    annotation (Line(
          points={{-72,-51.8},{-72,-77},{-38.6,-77}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Clearance.desiredFlow, K.y)          annotation (Line(
          points={{-20,-84},{-20,-77},{-31.7,-77}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y,TSHEffect. yBase) annotation (Line(
          points={{67.4,-18},{66,-18},{66,-28}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(secretion.desiredFlow, TSHEffect.y) annotation (Line(
          points={{66,-40},{66,-32}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(TSH, TSHEffect.u) annotation (Line(
          points={{14,-30},{56.2,-30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, ThyroidPool.SolventVolume) annotation (
          Line(
          points={{-78,88},{-94,88},{-94,-38},{-80,-38}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(concentrationMeasure.actualConc, Thyroxine) annotation (Line(
          points={{-76,-26},{-76,-8},{-40,-8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(curve.val, busConnector.ThyroidEffect) annotation (Line(
          points={{-33.8,28},{0,28},{0,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure.actualConc, curve.u) annotation (Line(
          points={{-76,-26},{-76,28},{-54,28}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-124,114},{118,90}},
              lineColor={0,0,255},
              textString="%name")}));
    end Thyroxine;

    model Thyrotropin
      extends Library.Interfaces.Tissues.Hypophysis;
    // outer parameter Real ECF_Vol(final unit="ml");

      Library.Blocks.ConcentrationConstant_uU_per_ml hormoneFlowConstant(k=4) 
        annotation (Placement(transformation(extent={{2,32},{-10,44}})));
      Library.Factors.SplineValue ThyroxineEffect(data={{0.0,8.0,0},{8.0,1.0,-0.2},
            {20.0,0.0,0}}) 
        annotation (Placement(transformation(extent={{-24,14},{-4,34}})));
      Library.Factors.SimpleMultiply HypothalamusTSH 
        annotation (Placement(transformation(extent={{-4,4},{-24,24}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-88,78},{-68,98}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealOutput_ TSH(quantity="Concentration", final unit=
            "uU/ml") "thyrotropin" annotation (Placement(transformation(extent=
                {{12,-32},{32,-12}}), iconTransformation(extent={{80,-20},{120,
                20}})));
      Library.Interfaces.RealInput_ Thyroxine(quantity="Concentration", final unit
          =    "ug/ml") annotation (Placement(transformation(extent={{-68,14},{
                -48,34}}), iconTransformation(extent={{-100,60},{-60,100}})));
      Library.Factors.SplineValue TemperatureEffect_(data={{-2.0,4.0,0},{0.0,
            1.0,-1.0},{2.0,0.2,0}}) 
        annotation (Placement(transformation(extent={{56,16},{36,36}})));
      Modelica.Blocks.Math.Feedback feedback 
        annotation (Placement(transformation(extent={{76,20},{64,32}})));
      Library.Blocks.TemperatureConstant temperatureConstant(k=37) 
        annotation (Placement(transformation(extent={{90,12},{82,20}})));
    equation
      connect(hormoneFlowConstant.y, ThyroxineEffect.yBase) 
                                                      annotation (Line(
          points={{-10.6,38},{-14,38},{-14,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ThyroxineEffect.y, HypothalamusTSH.yBase)   annotation (Line(
          points={{-14,22},{-14,16}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(HypothalamusTSH.y, TSH)   annotation (Line(
          points={{-14,12},{-14,-22},{22,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Thyroxine, ThyroxineEffect.u) annotation (Line(
          points={{-58,24},{-23.8,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.brain_FunctionEffect, TemperatureEffect_.yBase) 
        annotation (Line(
          points={{-78,88},{46,88},{46,28}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(TemperatureEffect_.u, feedback.y) annotation (Line(
          points={{55.8,26},{64.6,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback.u1, busConnector.HeatCore_Temp) annotation (Line(
          points={{74.8,26},{82,26},{82,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(feedback.u2, temperatureConstant.y) annotation (Line(
          points={{70,21.2},{70,16},{81.6,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TemperatureEffect_.y, HypothalamusTSH.u) annotation (Line(
          points={{46,24},{46,14},{-4.2,14}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-118,122},{116,100}},
              lineColor={0,0,255},
              textString="%name")}));
    end Thyrotropin;

    model Renin
      extends Library.Interfaces.Tissues.Kidney;
    // outer parameter Real ECF_Vol(final unit="ml");

      Library.ConcentrationFlow.ConcentrationCompartment ReninPool(
          initialSoluteMass=17153.7, stateName="ReninPool.Mass")
        " 2 GU/ml * 0.6 * 15000 ml =  18000 GU " 
        annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Library.ConcentrationFlow.SoluteFlowPump secretion 
        annotation (Placement(transformation(extent={{12,-54},{-8,-34}})));
      Library.Factors.SimpleMultiply CountEffect 
        annotation (Placement(transformation(extent={{36,62},{56,82}})));
      Library.Blocks.Constant hormoneFlowConstant(k=0.0033) 
        annotation (Placement(transformation(extent={{-20,-10},{-12,-2}})));
      Library.Factors.SplineValue TGFEffect(data={{0.0,8.0,0},{0.5,2.0,-4.0},{
            1.0,1.0,-1.0},{3.0,0.5,0}}) 
        annotation (Placement(transformation(extent={{12,-22},{-8,-2}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="GU/ml") 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-62,-32})));
      Library.ConcentrationFlow.OutputPump Clearance 
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
      Modelica.Blocks.Math.Gain K(k=0.0161) 
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            rotation=0,
            origin={-35,-59})));
      Library.Blocks.HormoneFlowConstant_GU hormoneFlowConstant1(k=290) 
        annotation (Placement(transformation(extent={{62,76},{50,88}})));
      Modelica.Blocks.Math.Gain VODIST(k=.6) 
        annotation (Placement(transformation(extent={{-6,-6},{6,6}},
            rotation=0,
            origin={-68,-2})));
      Library.Factors.SimpleMultiply FunctionEffect 
        annotation (Placement(transformation(extent={{36,56},{56,76}})));
      Library.Factors.SimpleMultiply BaseFraction 
        annotation (Placement(transformation(extent={{-8,-16},{12,4}})));
      Library.ConcentrationFlow.ConcentrationCompartment ReninFree(
          initialSoluteMass=87000, stateName="ReninFree.Mass") 
        annotation (Placement(transformation(extent={{-10,10},{10,-10}},
            rotation=180,
            origin={36,-44})));
      Library.ConcentrationFlow.ConcentrationCompartment ReninGranules(
          initialSoluteMass=870000.0, stateName="ReninGranules.Mass") 
        annotation (Placement(transformation(extent={{-10,10},{10,-10}},
            rotation=180,
            origin={86,-44})));
      Library.ConcentrationFlow.InputPump synthesis 
        annotation (Placement(transformation(extent={{56,-30},{36,-10}})));
      Library.Blocks.Constant Constant(k=1)
        "only a normalized volume to normal value of ReginFree solute volume" 
        annotation (Placement(transformation(extent={{52,-34},{46,-28}})));
      Library.Blocks.Constant Constant1(k=10)
        "only a normalized volume to normal value of ReginFree solute volume" 
        annotation (Placement(transformation(extent={{86,-34},{92,-28}})));
      Library.Factors.SplineValue TGFEffect1(data={{0.0,10.0,0},{0.6,2.0,-4.0},
            {1.0,1.0,-1.0},{2.0,0.3,0}}) 
        annotation (Placement(transformation(extent={{56,34},{36,54}})));
      Library.Blocks.Integrator integrator(            k=(1/60)/Library.SecPerMin,
          y_start=290,
        stateName="ReninSynthesis.Rate") 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={46,6})));
      Modelica.Blocks.Math.Feedback feedback annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={46,28})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-88,80},{-68,100}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealOutput_ ReninPool_PRA(quantity="Concentration",
          final unit="GU/ml") "ReninPool.[PRA]" annotation (Placement(
            transformation(extent={{-98,-80},{-78,-60}}), iconTransformation(
              extent={{80,-20},{120,20}})));
      Nerves.BetaReceptorsActivityFactor betaReceptorsActivityFactor 
        annotation (Placement(transformation(extent={{-12,14},{8,34}})));
      Library.Factors.SplineValue NaEffect(data={{0,0.0,0.0},{48,1.0,0.03},{100,
            2.0,0.0}}) 
        annotation (Placement(transformation(extent={{82,54},{62,74}})));
      Library.Factors.SplineValue ANPEffect(data={{0.0,1.2,0.0},{1.3,1.0,-0.3},
            {2.7,0.8,0.0}}) 
        annotation (Placement(transformation(extent={{82,50},{62,70}})));
      Library.Factors.SplineValue A2Effect(data={{0.0,0.9,0.0},{1.3,1.0,0.1},{
            2.5,2.0,2.0},{3.5,5.0,0.0}}, curve(iFrom(start=2))) 
        annotation (Placement(transformation(extent={{82,46},{62,66}})));
      Library.Factors.SplineValue FurosemideEffect(data={{0.0,1.0,0.0},{1.3,0.2,
            0.0}}) 
        annotation (Placement(transformation(extent={{82,42},{62,62}})));
      Library.Blocks.Constant Constant2(k=1) 
        annotation (Placement(transformation(extent={{62,68},{68,74}})));
      Library.Factors.SplineValue SympsEffect(data={{0.0,0.5,0},{1.0,1.0,1.0},{
            3.0,4.0,0}}) 
        annotation (Placement(transformation(extent={{-8,-34},{12,-14}})));
      Library.Blocks.Constant Constant3(k=1) 
        annotation (Placement(transformation(extent={{-12,36},{-6,42}})));
      Library.Factors.SplineValue SympsEffect1(data={{0.0,0.5,0},{1.0,1.0,1.0},
            {2.5,4.0,0}}) 
        annotation (Placement(transformation(extent={{36,44},{56,64}})));
      Library.ConcentrationFlow.SoluteFlowPump fluxReninFree 
        annotation (Placement(transformation(extent={{60,-44},{70,-34}})));
      Library.ConcentrationFlow.SoluteFlowPump fluxReninGranules 
        annotation (Placement(transformation(extent={{70,-46},{60,-56}})));
      Modelica.Blocks.Math.Gain gain1(k=.01) 
        annotation (Placement(transformation(extent={{-5,-5},{5,5}},
            rotation=270,
            origin={65,-27})));
      Modelica.Blocks.Math.Gain gain3(k=.001) 
        annotation (Placement(transformation(extent={{-5,-5},{5,5}},
            rotation=90,
            origin={65,-63})));
    equation
       connect(ReninPool.q_out, secretion.q_out)   annotation (Line(
          points={{-72,-44},{-8,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, ReninPool.q_out)   annotation (Line(
          points={{-62,-32},{-71.2,-32},{-71.2,-44},{-72,-44}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, busConnector. Renin)   annotation (Line(
          points={{-62,-28},{-77,-28},{-77,90},{-78,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
      connect(ReninPool.q_out, Clearance.q_in) annotation (Line(
          points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ReninPool.SoluteMass, K.u)      annotation (Line(
          points={{-72,-51.8},{-72,-59},{-38.6,-59}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Clearance.desiredFlow, K.y)          annotation (Line(
          points={{-20,-84},{-20,-59},{-31.7,-59}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Kidney_NephronCount_Total_xNormal, CountEffect.u) 
                                           annotation (Line(
          points={{-78,90},{-28.9,90},{-28.9,72},{36.2,72}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(hormoneFlowConstant1.y, CountEffect.yBase) 
                                                       annotation (Line(
          points={{49.4,82},{46,82},{46,74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, VODIST.u) annotation (Line(
          points={{-78,90},{-76.6,90},{-76.6,-2},{-75.2,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(VODIST.y, ReninPool.SolventVolume) annotation (Line(
          points={{-61.4,-2},{-58,-2},{-58,-22},{-90,-22},{-90,-38},{-80,-38}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(CountEffect.y, FunctionEffect.yBase) annotation (Line(
          points={{46,70},{46,68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BaseFraction.y, TGFEffect.yBase) annotation (Line(
          points={{2,-8},{2,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y, BaseFraction.u) annotation (Line(
          points={{-11.6,-6},{-7.8,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ReninFree.SoluteMass, BaseFraction.yBase) annotation (Line(
          points={{36,-51.8},{36,-58},{18,-58},{18,0},{2,0},{2,-4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, ReninFree.SolventVolume) annotation (Line(
          points={{45.7,-31},{44,-31},{44,-38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, ReninGranules.SolventVolume) annotation (Line(
          points={{92.3,-31},{94,-31},{94,-38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback.y,integrator. u) annotation (Line(
          points={{46,19},{46,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y,feedback. u2) annotation (Line(
          points={{46,-5},{46,-8},{28,-8},{28,28},{38,28}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y, synthesis.desiredFlow) annotation (Line(
          points={{46,-5},{46,-16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion.q_in, ReninFree.q_out) annotation (Line(
          points={{12,-44},{36,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ReninFree.q_out, synthesis.q_out) annotation (Line(
          points={{36,-44},{36,-20},{40,-20}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));

      connect(concentrationMeasure.actualConc, ReninPool_PRA) annotation (Line(
          points={{-62,-28},{-92,-28},{-92,-70},{-88,-70}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.BetaPool_Effect, betaReceptorsActivityFactor.BetaPool_Effect) 
        annotation (Line(
          points={{-78,90},{-42,90},{-42,30},{-11.8,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BetaBlocade_Effect, betaReceptorsActivityFactor.BetaBlockade_Effect) 
        annotation (Line(
          points={{-78,90},{-42,90},{-42,24},{-11.8,24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GangliaKidney_NA, betaReceptorsActivityFactor.GangliaGeneral_NA) 
        annotation (Line(
          points={{-78,90},{-42,90},{-42,18},{-11.8,18}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant2.y, NaEffect.yBase) annotation (Line(
          points={{68.3,71},{72,71},{72,66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NaEffect.y, ANPEffect.yBase) annotation (Line(
          points={{72,62},{72,62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ANPEffect.y, A2Effect.yBase) annotation (Line(
          points={{72,58},{72,58}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2Effect.y, FurosemideEffect.yBase) annotation (Line(
          points={{72,54},{72,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KidneyFunctionEffect, FunctionEffect.u) annotation (
          Line(
          points={{-78,90},{-28,90},{-28,66},{36.2,66}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(TGFEffect1.y, feedback.u1) annotation (Line(
          points={{46,42},{46,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FurosemideEffect.y, TGFEffect1.u) annotation (Line(
          points={{72,50},{72,44},{55.8,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ANPEffect.u, busConnector.ANPPool_Log10Conc) annotation (Line(
          points={{81.8,60},{98,60},{98,90},{-78,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(A2Effect.u, busConnector.A2Pool_Log10Conc) annotation (Line(
          points={{81.8,56},{98,56},{98,90},{-78,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(FurosemideEffect.u, busConnector.FurosemidePool_Loss) annotation (
         Line(
          points={{81.8,52},{98,52},{98,90},{-78,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(TGFEffect.u, FurosemideEffect.y) annotation (Line(
          points={{11.8,-12},{72,-12},{72,50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TGFEffect.y, SympsEffect.yBase) annotation (Line(
          points={{2,-14},{2,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect.y, secretion.soluteFlow) annotation (Line(
          points={{2,-26},{2,-38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(betaReceptorsActivityFactor.y, SympsEffect.u) annotation (Line(
          points={{-2,17},{-2,6},{-32,6},{-32,-24},{-7.8,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant3.y, betaReceptorsActivityFactor.yBase) annotation (Line(
          points={{-5.7,39},{-2,39},{-2,31}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect1.y, TGFEffect1.yBase) annotation (Line(
          points={{46,52},{46,46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.y, SympsEffect1.yBase) annotation (Line(
          points={{46,64},{46,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(betaReceptorsActivityFactor.y, SympsEffect1.u) annotation (Line(
          points={{-2,17},{-2,6},{18,6},{18,54},{36.2,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NaEffect.u, busConnector.MD_Na) annotation (Line(
          points={{81.8,64},{98,64},{98,90},{-78,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(gain1.y, fluxReninFree.soluteFlow) 
                                            annotation (Line(
          points={{65,-32.5},{66,-34},{65,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain3.y, fluxReninGranules.soluteFlow) 
                                          annotation (Line(
          points={{65,-57.5},{65,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(fluxReninFree.q_out, ReninGranules.q_out) annotation (Line(
          points={{70,-39},{74,-39},{74,-44},{86,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(fluxReninGranules.q_in, ReninGranules.q_out) annotation (Line(
          points={{70,-51},{74,-51},{74,-44},{86,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ReninFree.q_out, fluxReninFree.q_in) annotation (Line(
          points={{36,-44},{48,-44},{48,-39},{60,-39}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ReninFree.q_out, fluxReninGranules.q_out) annotation (Line(
          points={{36,-44},{48,-44},{48,-51},{60,-51}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ReninGranules.SoluteMass, gain3.u) annotation (Line(
          points={{86,-51.8},{86,-72},{64,-72},{64,-69},{65,-69}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ReninFree.SoluteMass, gain1.u) annotation (Line(
          points={{36,-51.8},{36,-58},{58,-58},{58,-16},{65,-16},{65,-21}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-112,108},{122,86}},
              lineColor={0,0,255},
              textString="%name")}));
    end Renin;

    model Angiotensine2
    //  extends Library.Interfaces.Tissues.Liver;
    //  extends Library.Interfaces.Tissues.Kidney;
      extends Library.Interfaces.Tissues.Lungs;

    // outer parameter Real ECF_Vol(final unit="ml");

      Library.Blocks.Constant CEBase(k=30.0) 
        annotation (Placement(transformation(extent={{-64,22},{-50,36}})));
      Library.Factors.SimpleMultiply A2_pG_per_mL 
        annotation (Placement(transformation(extent={{-32,0},{-12,20}})));
      Library.Factors.SimpleMultiply EndogenousRate 
        annotation (Placement(transformation(extent={{-46,10},{-26,30}})));
      Library.Blocks.ConcentrationConstant_pg_per_ml
        concentrationConstant_pg_per_ml(k=0.3333) 
        annotation (Placement(transformation(extent={{-44,38},{-24,58}})));
      Library.Factors.SimpleMultiply PG_TO_PMOL 
        annotation (Placement(transformation(extent={{-32,-54},{-12,-34}})));
      Library.Blocks.Constant CEBase1(k=0.956)
        "conversion AII from pg to pmol coeficient" 
        annotation (Placement(transformation(extent={{-72,-54},{-58,-40}})));
      Library.Blocks.Log10AsEffect log10_1 
        annotation (Placement(transformation(extent={{-2,-42},{18,-22}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-88,78},{-68,98}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.Interfaces.RealInput_ ReninPool_PRA(unit="GU/ml") annotation (
          Placement(transformation(extent={{-90,4},{-70,24}}),
            iconTransformation(extent={{-100,20},{-60,60}})));
      Library.Interfaces.RealOutput_ A2Pool_Log10Conc(quantity=
            "ConcentrationEffect", final unit="log10(pg/ml)") annotation (
          Placement(transformation(extent={{70,-42},{90,-22}}),
            iconTransformation(extent={{80,-60},{120,-20}})));
      Library.Interfaces.RealOutput_ Angiotensine2(final unit="pg/ml", quantity="Concentration") 
                                                              annotation (
          Placement(transformation(extent={{-12,-64},{8,-44}}),
            iconTransformation(extent={{80,-20},{120,20}})));
    equation
      connect(concentrationConstant_pg_per_ml.y, A2_pG_per_mL.yBase) 
                                                                   annotation (
          Line(
          points={{-23,48},{-22,48},{-22,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CEBase1.y, PG_TO_PMOL.u) annotation (Line(
          points={{-57.3,-47},{-44.65,-47},{-44.65,-44},{-31.8,-44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(log10_1.y, busConnector. A2Pool_Log10Conc) annotation (Line(
          points={{19,-32},{60.5,-32},{60.5,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));

      connect(ReninPool_PRA, EndogenousRate.u) annotation (Line(
          points={{-80,14},{-64,14},{-64,20},{-45.8,20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(log10_1.y, A2Pool_Log10Conc) annotation (Line(
          points={{19,-32},{80,-32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PG_TO_PMOL.y, Angiotensine2) annotation (Line(
          points={{-22,-46},{-22,-54},{-2,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(log10_1.y, busConnector.A2Pool_Log10Con) annotation (Line(
          points={{19,-32},{58,-32},{58,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(CEBase.y, EndogenousRate.yBase) annotation (Line(
          points={{-49.3,29},{-36,29},{-36,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EndogenousRate.y, A2_pG_per_mL.u) annotation (Line(
          points={{-36,18},{-36,10},{-31.8,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2_pG_per_mL.y, log10_1.u) annotation (Line(
          points={{-22,8},{-22,-32},{-4,-32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2_pG_per_mL.y, PG_TO_PMOL.yBase) annotation (Line(
          points={{-22,8},{-22,-42}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-128,102},{106,80}},
              lineColor={0,0,255},
              textString="%name")}));
    end Angiotensine2;

    model Hormones
      //extends Library.Interfaces.BaseModel;
      ADH vasopressin 
              annotation (Placement(transformation(extent={{-80,44},{-60,64}})));
      Aldosterone aldosterone 
        annotation (Placement(transformation(extent={{20,72},{40,92}})));
      Angiotensine2 angiotensine2 
        annotation (Placement(transformation(extent={{-28,72},{-8,92}})));
      ANP atriopeptin 
        annotation (Placement(transformation(extent={{-78,-28},{-58,-8}})));
      EPO erythropoietin 
              annotation (Placement(transformation(extent={{-78,0},{-58,20}})));
      Glucagon glucagon 
        annotation (Placement(transformation(extent={{-28,-64},{-8,-44}})));
      Insulin insulin 
        annotation (Placement(transformation(extent={{-78,-64},{-58,-44}})));
      Renin renin 
        annotation (Placement(transformation(extent={{-80,72},{-60,92}})));
      Thyrotropin thyrotropin 
        annotation (Placement(transformation(extent={{-78,-96},{-58,-76}})));
      Thyroxine thyroxine 
        annotation (Placement(transformation(extent={{-28,-96},{-8,-76}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-98,20},{-78,40}}),
            iconTransformation(extent={{-80,40},{-42,78}})));
      Catechols.Catechols catechols 
        annotation (Placement(transformation(extent={{20,-14},{40,6}})));
      Leptin leptin 
        annotation (Placement(transformation(extent={{22,-62},{42,-42}})));
    equation
      connect(busConnector, aldosterone.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,76},{22,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, angiotensine2.busConnector)   annotation (Line(
          points={{-88,30},{-34,30},{-34,76},{-26,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, renin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,76},{-78,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, vasopressin.busConnector) 
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,48},{-78,48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, erythropoietin.busConnector) 
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,4},{-76,4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, glucagon.busConnector) annotation (Line(
          points={{-88,30},{-34,30},{-34,-60},{-26,-60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, thyroxine.busConnector) annotation (Line(
          points={{-88,30},{-34,30},{-34,-94},{-26,-94},{-26,-92}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, atriopeptin.busConnector) 
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,-24},{-76,-24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, insulin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,-60},{-76,-60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, thyrotropin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,-92},{-76,-92}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(renin.ReninPool_PRA, angiotensine2.ReninPool_PRA) annotation (
          Line(
          points={{-60,82},{-52,82},{-52,86},{-26,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(angiotensine2.A2Pool_Log10Conc, aldosterone.A2Pool_Log10Conc) 
        annotation (Line(
          points={{-8,78},{2,78},{2,88},{22,88}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(insulin.Insulin, glucagon.Insulin) annotation (Line(
          points={{-58,-54},{-36,-54},{-36,-48},{-26,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector, catechols.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,-10},{22,-10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(thyrotropin.TSH, thyroxine.TSH) annotation (Line(
          points={{-58,-86},{-36,-86},{-36,-80},{-26,-80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(thyroxine.Thyroxine, thyrotropin.Thyroxine) annotation (Line(
          points={{-8,-86},{0,-86},{0,-72},{-80,-72},{-80,-78},{-76,-78}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector, leptin.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,-58},{24,-58}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                  "icons/hormony.png"), Text(
              extent={{-120,-98},{122,-132}},
              lineColor={0,0,255},
              textString="%name")}));
    end Hormones;

    package FemaleSexHormones "Ovarian Cycle Driving Hormones"

      model Estradiol
        extends Library.Interfaces.BaseModel;

        Library.ConcentrationFlow.ConcentrationCompartment_knownConc estradiol(
            q_out(conc(final unit="nMol/ml"), q(final unit="nMol/min")),
            concentration=0.00015,
          stateName="Estradiol.Mass") 
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
        Library.ConcentrationFlow.InputPump CorpusLuteum_OvariesSecretion 
          annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
        Library.Blocks.HormoneFlowConstant_nmol hormoneFlowConstant(k=0.3) 
          annotation (Placement(transformation(extent={{80,-24},{68,-12}})));
        Library.Factors.SplineValue MassEffect2(data={{0.0,0.0,0.0},{4000.0,
              10.0,0.0}}) 
          annotation (Placement(transformation(extent={{56,-40},{76,-20}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          actualConc(final unit="nMol/l"),
          unitsString="nMol/l",
          toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-78,-22})));
        Library.ConcentrationFlow.OutputPump Degradation 
          annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=.11) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={-35,-77})));
        Library.ConcentrationFlow.InputPump Follicle_OvariesSecretion 
          annotation (Placement(transformation(extent={{76,-98},{56,-78}})));
        Library.Factors.SplineValue MassEffect(data={{0.0,0.0,0.0},{4000.0,10.0,
              0.0}}) 
          annotation (Placement(transformation(extent={{56,-80},{76,-60}})));
        Library.Blocks.HormoneFlowConstant_nmol hormoneFlowConstant1(k=.3) 
          annotation (Placement(transformation(extent={{82,-66},{70,-54}})));
        Library.Factors.ZeroIfFalse onlyIf 
          annotation (Placement(transformation(extent={{56,-88},{76,-68}})));
        Library.Interfaces.RealInput_ EFCV_Vol(quantity="Volume", final unit=
              "ml") "extracellular fluid volume" 
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Modelica.Blocks.Interfaces.BooleanInput IsFollicular 
          annotation (Placement(transformation(extent={{22,-82},{30,-74}}),
              iconTransformation(extent={{-120,20},{-80,60}})));
        Library.Interfaces.RealInput_ OvariesFollicleMass(quantity="Mass",
            final unit="mg")     annotation (Placement(transformation(extent={{22,-74},
                  {30,-66}}),         iconTransformation(extent={{-120,-60},{
                  -80,-20}})));
        Library.Interfaces.RealInput_ CorpusLuteumMass(quantity="Mass", final unit
            =    "mg")           annotation (Placement(transformation(extent={{22,-34},
                  {30,-26}}),         iconTransformation(extent={{-120,-20},{
                  -80,20}})));
        Library.Interfaces.RealOutput_ Estradiol(quantity="Concentration",
            final unit="nMol/l") annotation (Placement(transformation(extent={{
                  -64,-2},{-56,6}}), iconTransformation(extent={{80,-40},{120,0}})));
      equation
        connect(estradiol.q_out, CorpusLuteum_OvariesSecretion.q_out) 
                                                   annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in,estradiol. q_out)   annotation (Line(
            points={{-78,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(estradiol.q_out, Degradation.q_in) 
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(estradiol.SoluteMass, K.u)      annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Degradation.desiredFlow, K.y)        annotation (Line(
            points={{-20,-84},{-20,-77},{-31.7,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant.y, MassEffect2.yBase) 
                                                        annotation (Line(
            points={{67.4,-18},{66,-18},{66,-28}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(CorpusLuteum_OvariesSecretion.desiredFlow, MassEffect2.y) 
                                                    annotation (Line(
            points={{66,-40},{66,-32}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(Follicle_OvariesSecretion.q_out,estradiol. q_out) annotation (
            Line(
            points={{60,-88},{-4,-88},{-4,-44},{-72,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(MassEffect.yBase, hormoneFlowConstant1.y) annotation (Line(
            points={{66,-68},{66,-60},{69.4,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect.y, onlyIf.yBase)        annotation (Line(
            points={{66,-72},{66,-76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(onlyIf.y, Follicle_OvariesSecretion.desiredFlow) 
          annotation (Line(
            points={{66,-80},{66,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, estradiol.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IsFollicular, onlyIf.condition) annotation (Line(
            points={{26,-78},{56.2,-78}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(OvariesFollicleMass, MassEffect.u) annotation (Line(
            points={{26,-70},{56.2,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect2.u, CorpusLuteumMass) annotation (Line(
            points={{56.2,-30},{26,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, Estradiol) annotation (Line(
            points={{-78,-18},{-78,2},{-60,2}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end Estradiol;

      model FemaleSexHormones
       // extends Library.Interfaces.BaseModel;

        OvarianCycle ovarianCycle 
          annotation (Placement(transformation(extent={{14,-60},{34,-40}})));
        OvariesFollicle ovariesFollicle 
          annotation (Placement(transformation(extent={{42,-52},{62,-32}})));
        CorpusLuteum corpusLuteum 
          annotation (Placement(transformation(extent={{72,-52},{92,-32}})));
        FSH fSH annotation (Placement(transformation(extent={{-18,-16},{2,4}})));
        Progesterone progesterone 
          annotation (Placement(transformation(extent={{-18,-56},{2,-36}})));
        LH lH annotation (Placement(transformation(extent={{-18,10},{2,30}})));
        hCG hCG_ 
          annotation (Placement(transformation(extent={{42,-28},{62,-8}})));
        Estradiol estradiol 
          annotation (Placement(transformation(extent={{-66,20},{-46,40}})));
        GnRH gnRH 
          annotation (Placement(transformation(extent={{-66,-4},{-46,16}})));
        Testosterone testosterone 
          annotation (Placement(transformation(extent={{-66,-36},{-46,-16}})));
        Inhibin inhibin 
          annotation (Placement(transformation(extent={{-66,-60},{-46,-40}})));
        Library.Interfaces.BooleanInput Cycling 
                                 annotation (Placement(transformation(extent={{-4,-4},
                  {4,4}},
              rotation=0,
              origin={0,-80}),        iconTransformation(extent={{-120,20},{-80,
                  60}})));
        Library.Interfaces.RealInput_ EFCV_Vol(quantity="Volume", final unit=
              "ml") "extracellular fluid volume" 
                               annotation (Placement(transformation(extent={{-100,44},
                  {-92,52}}),         iconTransformation(extent={{-120,60},{-80,
                  100}})));

        DayCounter dayCounter 
          annotation (Placement(transformation(extent={{50,16},{70,36}})));
      equation
          connect(ovarianCycle.IsFollicular, ovariesFollicle.IsFollicular) 
          annotation (Line(
            points={{34,-42},{42,-42}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(ovarianCycle.IsOvulatory, ovariesFollicle.IsOvulatory) 
          annotation (Line(
            points={{34,-46},{42,-46}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(ovarianCycle.IsLuteal, ovariesFollicle.IsLuteal) annotation (
            Line(
            points={{34,-50},{42,-50}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(progesterone.Progesterone, ovarianCycle.Progesterone) 
          annotation (Line(
            points={{2,-48},{14,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fSH.FSH_Circulating, ovarianCycle.FSH_Circulating) annotation (
            Line(
            points={{2,-8},{10,-8},{10,-40},{14,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.LH_Circulating, ovarianCycle.LH_Circulating) annotation (
            Line(
            points={{2,18},{6,18},{6,-44},{14,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovariesFollicle.FollicleMass, ovarianCycle.FollicleMass) 
          annotation (Line(
            points={{62,-44},{68,-44},{68,-66},{6,-66},{6,-56},{14,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fSH.FSH_Circulating, ovariesFollicle.FSH_Circulating) 
          annotation (Line(
            points={{2,-8},{10,-8},{10,-34},{42,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovariesFollicle.Atresia, corpusLuteum.OvariesFollicleAtresia) 
          annotation (Line(
            points={{62,-38},{72,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(corpusLuteum.CorpusLuteumMass, ovarianCycle.CorpusLuteumMass) 
          annotation (Line(
            points={{92,-44},{96,-44},{96,-70},{4,-70},{4,-52},{14,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hCG_.hCG, corpusLuteum.hCG) annotation (Line(
            points={{62,-20},{66,-20},{66,-34},{72,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(estradiol.Estradiol, fSH.Estradiol) annotation (Line(
            points={{-46,28},{-40,28},{-40,-14},{-17.8,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovarianCycle.IsFollicular, estradiol.IsFollicular) annotation (
            Line(
            points={{34,-42},{36,-42},{36,42},{-70,42},{-70,34},{-66,34}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(ovariesFollicle.FollicleMass, estradiol.OvariesFollicleMass) 
          annotation (Line(
            points={{62,-44},{68,-44},{68,-66},{-78,-66},{-78,26},{-66,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gnRH.GnRH_period, fSH.GnRH_Period) annotation (Line(
            points={{-46,-2},{-17.8,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(testosterone.Testosterone, fSH.Testosterone) annotation (Line(
            points={{-46,-28},{-32,-28},{-32,-6},{-17.8,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inhibin.Inhibin, fSH.Inhibin) annotation (Line(
            points={{-46,-52},{-36,-52},{-36,-10},{-17.8,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(corpusLuteum.CorpusLuteumMass, progesterone.CorpusLuteumMass) 
          annotation (Line(
            points={{92,-44},{96,-44},{96,-70},{-24,-70},{-24,-42},{-18,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.Estradiol, estradiol.Estradiol) annotation (Line(
            points={{-18,24},{-32,24},{-32,28},{-46,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.GnRH_Period, gnRH.GnRH_period) annotation (Line(
            points={{-18,20},{-28,20},{-28,-2},{-46,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(corpusLuteum.CorpusLuteumMass, inhibin.CorpusLuteumMass) 
          annotation (Line(
            points={{92,-44},{96,-44},{96,-70},{-82,-70},{-82,-54},{-66,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovarianCycle.IsFollicular, inhibin.IsFollicular) annotation (
            Line(
            points={{34,-42},{36,-42},{36,42},{-86,42},{-86,-46},{-66,-46}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(estradiol.Estradiol, gnRH.Estradiol) annotation (Line(
            points={{-46,28},{-40,28},{-40,-14},{-74,-14},{-74,14},{-66,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(testosterone.Testosterone, gnRH.Testosterone) annotation (Line(
            points={{-46,-28},{-32,-28},{-32,-6},{-72,-6},{-72,2},{-66,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.Inhibin, inhibin.Inhibin) annotation (Line(
            points={{-18,12},{-36,12},{-36,-52},{-46,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.Testosterone, testosterone.Testosterone) annotation (Line(
            points={{-18,16},{-32,16},{-32,-28},{-46,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Cycling, ovarianCycle.Cycling) annotation (Line(
            points={{0,-80},{8,-80},{8,-60},{14,-60}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(EFCV_Vol, estradiol.EFCV_Vol) annotation (Line(
            points={{-96,48},{-90,48},{-90,38},{-66,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, testosterone.EFCV_Vol) annotation (Line(
            points={{-96,48},{-90,48},{-90,-18},{-66,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, inhibin.EFCV_Vol) annotation (Line(
            points={{-96,48},{-90,48},{-90,-42},{-66,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, lH.EFCV_Vol) annotation (Line(
            points={{-96,48},{-24,48},{-24,28},{-18.2,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, fSH.EFCV_Vol) annotation (Line(
            points={{-96,48},{-24,48},{-24,2},{-17.8,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, progesterone.EFCV_Vol) annotation (Line(
            points={{-96,48},{-24,48},{-24,-38},{-18,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, hCG_.EFCV_Vol) annotation (Line(
            points={{-96,48},{32,48},{32,-10},{42,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovariesFollicle.FollicleMass, inhibin.OvariesFollicleMass) 
          annotation (Line(
            points={{62,-44},{68,-44},{68,-66},{-78,-66},{-78,-50},{-66,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(corpusLuteum.CorpusLuteumMass, estradiol.CorpusLuteumMass) 
          annotation (Line(
            points={{92,-44},{96,-44},{96,-70},{-82,-70},{-82,30},{-66,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(estradiol.Estradiol, ovariesFollicle.Estradiol) annotation (
            Line(
            points={{-46,28},{-40,28},{-40,36},{28,36},{28,-38},{42,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovarianCycle.IsFollicular, dayCounter.Reset) annotation (Line(
            points={{34,-42},{36,-42},{36,26},{50,26}},
            color={255,0,255},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                    "icons/hormonesFemaleSex.png"), Text(
                extent={{-100,-100},{102,-122}},
                lineColor={0,0,255},
                textString="%name")}));
      end FemaleSexHormones;

      model OvariesFollicle

        Library.Interfaces.RealInput_ FSH_Circulating(quantity="Concentration",
            final unit="IU/l") annotation (Placement(transformation(extent={{-70,6},{-62,
                  14}}),              iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Library.Factors.SplineValue FSHEffect(data={{0.0,0.8,0.0},{5.0,2.0,0.2},
              {15.0,3.0,0.0}}) 
          annotation (Placement(transformation(extent={{-50,0},{-30,20}})));
        Library.Factors.SplineValue EstradiolEffect(data={{0.0,1.0,0.0},{3.0,
              3.0,0.0}}) 
          annotation (Placement(transformation(extent={{-50,-6},{-30,14}})));
        Library.Factors.SplineValue MassEffect(data={{0.0,1.0,0.005},{4000.0,
              10.0,0.0}}) 
          annotation (Placement(transformation(extent={{-50,-12},{-30,8}})));
        Library.Blocks.Constant BasicGrowth(k=0.02) 
          annotation (Placement(transformation(extent={{-52,16},{-44,24}})));
        Library.Factors.ZeroIfFalse OnlyIf 
          annotation (Placement(transformation(extent={{-50,-18},{-30,2}})));
        Library.Interfaces.RealInput_ Estradiol(quantity="Concentration",
            final unit="nMol/l") annotation (Placement(transformation(extent={{-78,0},
                  {-70,8}}),          iconTransformation(extent={{-120,20},{-80,
                  60}})));
        Library.Factors.ZeroIfFalse OnlyIf2 
          annotation (Placement(transformation(extent={{30,-16},{50,4}})));
        Library.Factors.SplineValue MassEffect1(data={{0.0,0.0,0.0},{200.0,1.0,
              0.0}}) 
          annotation (Placement(transformation(extent={{30,-10},{50,10}})));
        Library.Blocks.Constant Constant1(k=0.5) 
          annotation (Placement(transformation(extent={{28,4},{36,12}})));
        Modelica.Blocks.Math.Feedback Change 
          annotation (Placement(transformation(extent={{30,-30},{50,-50}})));
        Modelica.Blocks.Interfaces.BooleanInput IsFollicular 
          annotation (Placement(transformation(extent={{-78,-12},{-70,-4}}),
              iconTransformation(extent={{-120,-20},{-80,20}})));
        Modelica.Blocks.Interfaces.BooleanInput IsOvulatory 
          annotation (Placement(transformation(extent={{-8,-8},{0,0}}),
              iconTransformation(extent={{-120,-60},{-80,-20}})));
        Modelica.Blocks.Interfaces.BooleanInput IsLuteal 
          annotation (Placement(transformation(extent={{-8,-16},{0,-8}}),
              iconTransformation(extent={{-120,-100},{-80,-60}})));
        Modelica.Blocks.Logical.Or or1 
          annotation (Placement(transformation(extent={{12,-10},{20,-2}})));
        Library.Blocks.IntegratorWithRestart Mass(y_start=65, k=1/Library.SecPerMin) 
          annotation (Placement(transformation(extent={{60,-50},{80,-30}})));
        Modelica.Blocks.Logical.Edge edge1 
          annotation (Placement(transformation(extent={{-4,-84},{16,-64}})));
        Library.Interfaces.RealOutput_ Atresia annotation (Placement(transformation(
                extent={{44,-26},{54,-16}}), iconTransformation(extent={{80,20},{120,60}})));
        Library.Interfaces.RealOutput_ FollicleMass(quantity="Mass", final unit
            =                                                                   "mg") 
          annotation (Placement(transformation(extent={{86,-44},{94,-36}}),
              iconTransformation(extent={{80,-40},{120,0}})));
      equation
        connect(EstradiolEffect.y, MassEffect.yBase) annotation (Line(
            points={{-40,2},{-40,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FSHEffect.y, EstradiolEffect.yBase) annotation (Line(
            points={{-40,8},{-40,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BasicGrowth.y, FSHEffect.yBase) annotation (Line(
            points={{-43.6,20},{-40,20},{-40,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FSHEffect.u, FSH_Circulating) annotation (Line(
            points={{-49.8,10},{-66,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect.y, OnlyIf.yBase)        annotation (Line(
            points={{-40,-4},{-40,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffect.u, Estradiol) annotation (Line(
            points={{-49.8,4},{-74,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect1.y, OnlyIf2.yBase)   annotation (Line(
            points={{40,-2},{40,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, MassEffect1.yBase) annotation (Line(
            points={{36.4,8},{40,8},{40,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Change.y, Mass.u) annotation (Line(
            points={{49,-40},{58,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Change.u1, OnlyIf.y)        annotation (Line(
            points={{32,-40},{-40,-40},{-40,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OnlyIf.condition, IsFollicular) annotation (Line(
            points={{-49.8,-8},{-74,-8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(or1.y, OnlyIf2.condition)   annotation (Line(
            points={{20.4,-6},{30.2,-6}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(IsOvulatory, or1.u1) annotation (Line(
            points={{-4,-4},{4,-4},{4,-6},{11.2,-6}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(IsLuteal, or1.u2) annotation (Line(
            points={{-4,-12},{4,-12},{4,-9.2},{11.2,-9.2}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Mass.y, MassEffect1.u) annotation (Line(
            points={{81,-40},{86,-40},{86,36},{24,36},{24,0},{30.2,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Mass.y, MassEffect.u) annotation (Line(
            points={{81,-40},{86,-40},{86,36},{-92,36},{-92,-2},{-49.8,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OnlyIf2.y, Change.u2)   annotation (Line(
            points={{40,-8},{40,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IsFollicular, edge1.u) annotation (Line(
            points={{-74,-8},{-60,-8},{-60,-74},{-6,-74}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(edge1.y, Mass.restart) annotation (Line(
            points={{17,-74},{52,-74},{52,-48},{58,-48}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(OnlyIf2.y, Atresia) annotation (Line(
            points={{40,-8},{40,-21},{49,-21}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Mass.y, FollicleMass) annotation (Line(
            points={{81,-40},{90,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
      end OvariesFollicle;

      model OvarianCycle

        Modelica.StateGraph.InitialStepWithSignal FOLLICULAR(
                                                   nIn=3) 
          annotation (Placement(transformation(extent={{-94,18},{-74,38}})));
        Modelica.StateGraph.TransitionWithSignal Follicle 
          annotation (Placement(transformation(extent={{-68,38},{-48,18}})));
        Modelica.StateGraph.StepWithSignal OVULATORY(
                                           nOut=2) 
          annotation (Placement(transformation(extent={{-42,18},{-22,38}})));
        Modelica.StateGraph.TransitionWithSignal Ovulation 
          annotation (Placement(transformation(extent={{-10,38},{10,18}})));
        Modelica.StateGraph.StepWithSignal LUTEAL(
                                        nOut=2) 
          annotation (Placement(transformation(extent={{16,18},{36,38}})));
        Modelica.StateGraph.StepWithSignal IDLE 
          annotation (Placement(transformation(extent={{74,18},{94,38}})));
        Modelica.StateGraph.TransitionWithSignal CorpusLuteum 
          annotation (Placement(transformation(extent={{48,38},{68,18}})));
        Modelica.StateGraph.TransitionWithSignal PrimaryFollicleFromIdle 
          annotation (Placement(transformation(extent={{88,-20},{68,0}})));
        Modelica.StateGraph.TransitionWithSignal PrimaryFollicleFromLuteal 
          annotation (Placement(transformation(extent={{38,-20},{18,0}})));
        Modelica.StateGraph.TransitionWithSignal PrimaryFollicleFromOvulation 
          annotation (Placement(transformation(extent={{-20,-20},{-40,0}})));
        Library.Interfaces.RealInput_ FSH_Circulating(quantity="Concentration",
            final unit="IU/l") annotation (Placement(transformation(extent={{24,-92},{
                  32,-84}}),          iconTransformation(extent={{-120,80},{-80,
                  120}})));
        Library.Interfaces.RealInput_ LH_Circulating(quantity="Concentration",
            final unit="IU/l") annotation (Placement(transformation(extent={{-96,90},{
                  -88,98}}),          iconTransformation(extent={{-120,40},{-80,
                  80}})));
        Library.Interfaces.BooleanInput Cycling 
                                 annotation (Placement(transformation(extent={{-4,-4},
                  {4,4}},
              rotation=90,
              origin={82,-90}),       iconTransformation(extent={{-120,-120},{-80,-80}})));
        Modelica.Blocks.Logical.GreaterThreshold greaterThreshold(threshold=3) 
          annotation (Placement(transformation(extent={{44,-92},{52,-84}})));
        Library.Interfaces.RealInput_ FollicleMass(quantity="Mass", final unit="mg") 
                                 annotation (Placement(transformation(extent={{-96,78},
                  {-88,86}}),         iconTransformation(extent={{-120,-80},{-80,-40}})));
        Library.Interfaces.RealInput_ CorpusLuteumMass(quantity="Mass", final unit
            =                                                                      "mg") 
                                 annotation (Placement(transformation(extent={{16,78},
                  {24,86}}),          iconTransformation(extent={{-120,-40},{-80,0}})));
        Modelica.Blocks.Math.Add mass 
          annotation (Placement(transformation(extent={{22,-66},{30,-58}})));
        Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold(threshold=400) 
          annotation (Placement(transformation(extent={{44,-66},{52,-58}})));
        Modelica.Blocks.Logical.And and1 
          annotation (Placement(transformation(extent={{62,-80},{72,-70}})));
        Modelica.Blocks.Logical.And and2 annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=90,
              origin={78,-58})));
        Modelica.Blocks.Logical.GreaterThreshold greaterThreshold1(threshold=20) 
          annotation (Placement(transformation(extent={{-74,90},{-66,98}})));
        Modelica.Blocks.Logical.GreaterThreshold greaterThreshold2(threshold=2800) 
          annotation (Placement(transformation(extent={{-74,78},{-66,86}})));
        Modelica.Blocks.Logical.And and3 annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={-58,70})));
        Library.Interfaces.RealInput_ Progesterone(quantity="Concentration", final unit
            =    "nMol/l")     annotation (Placement(transformation(extent={{-32,90},{
                  -24,98}}),          iconTransformation(extent={{-120,0},{-80,
                  40}})));
        Modelica.Blocks.Logical.GreaterEqualThreshold greaterEqualThreshold(threshold=
             8) annotation (Placement(transformation(extent={{-14,90},{-6,98}})));
        Modelica.Blocks.Logical.LessThreshold greaterThreshold3(threshold=100) 
          annotation (Placement(transformation(
              extent={{4,-4},{-4,4}},
              rotation=180,
              origin={46,82})));
        Modelica.Blocks.Logical.And and4 annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={58,72})));
        Modelica.Blocks.Interfaces.BooleanOutput IsFollicular annotation (Placement(
              transformation(extent={{-78,4},{-72,10}}), iconTransformation(extent={{80,
                  60},{120,100}})));
        Modelica.Blocks.Interfaces.BooleanOutput IsOvulatory annotation (Placement(
              transformation(extent={{-24,8},{-18,14}}), iconTransformation(extent={{80,
                  20},{120,60}})));
        Modelica.Blocks.Interfaces.BooleanOutput IsLuteal annotation (Placement(
              transformation(extent={{32,10},{38,16}}), iconTransformation(extent={{80,
                  -20},{120,20}})));
        Modelica.Blocks.Interfaces.BooleanOutput IsIdle annotation (Placement(
              transformation(extent={{90,10},{96,16}}), iconTransformation(extent={{80,
                  -60},{120,-20}})));
      equation
        connect(FOLLICULAR.outPort[1], Follicle.inPort) annotation (Line(
            points={{-73.5,28},{-62,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(Follicle.outPort, OVULATORY.inPort[1]) annotation (Line(
            points={{-56.5,28},{-43,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(OVULATORY.outPort[1], Ovulation.inPort) annotation (Line(
            points={{-21.5,28.25},{-6.75,28.25},{-6.75,28},{-4,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(Ovulation.outPort, LUTEAL.inPort[1]) annotation (Line(
            points={{1.5,28},{15,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(LUTEAL.outPort[1], CorpusLuteum.inPort) annotation (Line(
            points={{36.5,28.25},{54,28.25},{54,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(CorpusLuteum.outPort, IDLE.inPort[1]) annotation (Line(
            points={{59.5,28},{73,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(IDLE.outPort[1], PrimaryFollicleFromIdle.inPort) annotation (
            Line(
            points={{94.5,28},{96,28},{96,-10},{82,-10}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(PrimaryFollicleFromLuteal.outPort, FOLLICULAR.inPort[1]) 
          annotation (Line(
            points={{26.5,-10},{10,-10},{10,-34},{-98,-34},{-98,28.6667},{-95,
                28.6667}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(PrimaryFollicleFromIdle.outPort, FOLLICULAR.inPort[2]) 
          annotation (Line(
            points={{76.5,-10},{62,-10},{62,-34},{-98,-34},{-98,28},{-95,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(OVULATORY.outPort[2], PrimaryFollicleFromOvulation.inPort) 
          annotation (Line(
            points={{-21.5,27.75},{-12,27.75},{-12,-10},{-26,-10}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(LUTEAL.outPort[2], PrimaryFollicleFromLuteal.inPort) 
          annotation (Line(
            points={{36.5,27.75},{46,27.75},{46,-10},{32,-10}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(PrimaryFollicleFromOvulation.outPort, FOLLICULAR.inPort[3]) 
          annotation (Line(
            points={{-31.5,-10},{-50,-10},{-50,-34},{-98,-34},{-98,28},{-94,28},
                {-94,27.3333},{-95,27.3333}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(FSH_Circulating, greaterThreshold.u) annotation (Line(
            points={{28,-88},{43.2,-88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mass.y, lessEqualThreshold.u) annotation (Line(
            points={{30.4,-62},{43.2,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lessEqualThreshold.y, and1.u1) annotation (Line(
            points={{52.4,-62},{56,-62},{56,-75},{61,-75}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(greaterThreshold.y, and1.u2) annotation (Line(
            points={{52.4,-88},{56,-88},{56,-79},{61,-79}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and2.y, PrimaryFollicleFromIdle.condition) annotation (Line(
            points={{78,-53.6},{78,-22}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and2.y, PrimaryFollicleFromLuteal.condition) annotation (Line(
            points={{78,-53.6},{78,-30},{28,-30},{28,-22}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and2.y, PrimaryFollicleFromOvulation.condition) annotation (Line(
            points={{78,-53.6},{78,-30},{-30,-30},{-30,-22}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(greaterThreshold1.u, LH_Circulating) annotation (Line(
            points={{-74.8,94},{-92,94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FollicleMass, greaterThreshold2.u) annotation (Line(
            points={{-92,82},{-74.8,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greaterThreshold1.y, and3.u1) annotation (Line(
            points={{-65.6,94},{-58,94},{-58,74.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(greaterThreshold2.y, and3.u2) annotation (Line(
            points={{-65.6,82},{-61.2,82},{-61.2,74.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and1.y, and2.u1) annotation (Line(
            points={{72.5,-75},{78,-75},{78,-62.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Cycling, and2.u2) annotation (Line(
            points={{82,-90},{82,-62.8},{81.2,-62.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and3.y, Follicle.condition) annotation (Line(
            points={{-58,65.6},{-58,40}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Progesterone, greaterEqualThreshold.u) annotation (Line(
            points={{-28,94},{-14.8,94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greaterEqualThreshold.y, Ovulation.condition) annotation (Line(
            points={{-5.6,94},{0,94},{0,40}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(greaterThreshold3.u, CorpusLuteumMass) annotation (Line(
            points={{41.2,82},{20,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CorpusLuteumMass, mass.u2) annotation (Line(
            points={{20,82},{38,82},{38,92},{100,92},{100,-98},{10,-98},{10,-64.4},{21.2,
                -64.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FollicleMass, mass.u1) annotation (Line(
            points={{-92,82},{-84,82},{-84,70},{-100,70},{-100,-59.6},{21.2,-59.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greaterThreshold3.y, and4.u2) annotation (Line(
            points={{50.4,82},{54,82},{54,76.8},{54.8,76.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(CorpusLuteum.condition, and4.y) annotation (Line(
            points={{58,40},{58,67.6}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Cycling, and4.u1) annotation (Line(
            points={{82,-90},{82,-72},{98,-72},{98,82},{58,82},{58,76.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(IsFollicular, FOLLICULAR.active) annotation (Line(
            points={{-75,7},{-84,7},{-84,17}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(OVULATORY.active, IsOvulatory) annotation (Line(
            points={{-32,17},{-32,11},{-21,11}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(LUTEAL.active, IsLuteal) annotation (Line(
            points={{26,17},{26,13},{35,13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(IDLE.active, IsIdle) annotation (Line(
            points={{84,17},{84,13},{93,13}},
            color={255,0,255},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
      end OvarianCycle;

      model CorpusLuteum

        Library.Interfaces.RealInput_ hCG(quantity="Concentration", final unit="IU/l") 
                               annotation (Placement(transformation(extent={{-42,34},{
                  -34,42}}),          iconTransformation(extent={{-120,60},{-80,100}})));
        Library.Interfaces.RealInput_ OvariesFollicleAtresia(quantity="MassChange",
            final unit="mg/min") 
                               annotation (Placement(transformation(extent={{-46,2},{-38,
                  10}}),              iconTransformation(extent={{-120,20},{-80,60}})));
        Library.Factors.SimpleMultiply massEffect 
          annotation (Placement(transformation(extent={{-26,22},{-6,42}})));
        Library.Factors.SplineValue hCGEffect(data={{0.0,1.0,0.0},{100.0,-0.5,0.0}}) 
          annotation (Placement(transformation(extent={{-26,28},{-6,48}})));
        Library.Blocks.Constant Constant1(k=.0001) 
          annotation (Placement(transformation(extent={{-28,42},{-20,50}})));
        Modelica.Blocks.Math.Feedback Change 
          annotation (Placement(transformation(extent={{-26,16},{-6,-4}})));
        Modelica.Blocks.Continuous.Integrator Mass(k=1/Library.SecPerMin, final
            y_start=0) 
          annotation (Placement(transformation(extent={{8,-4},{28,16}})));
        Library.Interfaces.RealOutput_ CorpusLuteumMass(quantity="Mass", final unit
            =                                                                       "mg") 
          annotation (Placement(transformation(extent={{48,2},{56,10}}),
              iconTransformation(extent={{80,-40},{120,0}})));
      equation
        connect(hCGEffect.y, massEffect.yBase)  annotation (Line(
            points={{-16,36},{-16,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, hCGEffect.yBase)   annotation (Line(
            points={{-19.6,46},{-16,46},{-16,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Change.y, Mass.u) annotation (Line(
            points={{-7,6},{6,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(massEffect.y, Change.u2) 
                                        annotation (Line(
            points={{-16,30},{-16,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OvariesFollicleAtresia, Change.u1) annotation (Line(
            points={{-42,6},{-24,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hCG, hCGEffect.u) annotation (Line(
            points={{-38,38},{-25.8,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Mass.y, massEffect.u) annotation (Line(
            points={{29,6},{36,6},{36,60},{-46,60},{-46,32},{-25.8,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Mass.y, CorpusLuteumMass) annotation (Line(
            points={{29,6},{52,6}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
      end CorpusLuteum;

      model Progesterone
        extends Library.Interfaces.BaseModel;

        Library.ConcentrationFlow.ConcentrationCompartment_knownConc
          progesterone(q_out(conc(final unit="nMol/ml"), q(final unit=
                  "nMol/min")), concentration=0.0001,
          stateName="Progesterone.Mass") 
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
        Library.ConcentrationFlow.InputPump OvariesSecretion 
          annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
        Library.Blocks.HormoneFlowConstant_nmol hormoneFlowConstant(k=20) 
          annotation (Placement(transformation(extent={{80,-24},{68,-12}})));
        Library.Factors.SplineValue MassEffect2(data={{0.0,0.0,0.0},{4000.0,
              10.0,0.0}}) 
          annotation (Placement(transformation(extent={{56,-40},{76,-20}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          actualConc(final unit="nMol/l"),
          unitsString="nMol/l",
          toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-76,-22})));
        Library.ConcentrationFlow.OutputPump Degradation 
          annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=.16) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={-35,-77})));
        Library.Interfaces.RealInput_ EFCV_Vol(quantity="Volume", final unit=
              "ml") "extracellular fluid volume" 
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Library.Interfaces.RealInput_ CorpusLuteumMass(quantity="Mass", final unit
            =    "mg")           annotation (Placement(transformation(extent={{34,-34},
                  {42,-26}}),         iconTransformation(extent={{-120,20},{-80,
                  60}})));
        Library.Interfaces.RealOutput_ Progesterone(quantity="Concentration",
            final unit="nMol/l") annotation (Placement(transformation(extent={{
                  -60,-10},{-52,-2}}), iconTransformation(extent={{80,-40},{120,
                  0}})));
      equation
        connect(progesterone.q_out, OvariesSecretion.q_out) 
                                                   annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, progesterone.q_out) 
                                                              annotation (Line(
            points={{-76,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(progesterone.q_out, Degradation.q_in) 
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(progesterone.SoluteMass, K.u)   annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Degradation.desiredFlow, K.y)        annotation (Line(
            points={{-20,-84},{-20,-77},{-31.7,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant.y, MassEffect2.yBase) 
                                                        annotation (Line(
            points={{67.4,-18},{66,-18},{66,-28}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(OvariesSecretion.desiredFlow, MassEffect2.y) 
                                                    annotation (Line(
            points={{66,-40},{66,-32}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(EFCV_Vol, progesterone.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CorpusLuteumMass, MassEffect2.u) annotation (Line(
            points={{38,-30},{56.2,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, Progesterone) annotation (Line(
            points={{-76,-18},{-76,-6},{-56,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end Progesterone;

      model LH
        extends Library.Interfaces.BaseModel;

        Library.ConcentrationFlow.ConcentrationCompartment_knownConc
          LH_Circulating_Mass(q_out(conc(final unit="IU/ml"), q(final unit="IU/min")),
            concentration=0.013,
          stateName="LH-Circulating.Mass") 
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          toAnotherUnitCoef=1000,
          unitsString="IU/l",
          actualConc(final unit="IU/l")) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-78,-22})));
        Library.ConcentrationFlow.OutputPump Degradation 
          annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=.005) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={-35,-77})));
        Library.ConcentrationFlow.InputPump AnteriorPituitary 
          annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
        Library.Factors.SplineValue InhibinEffect(data={{0.0,1.0,0.0},{7000.0,0.4,0.0}}) 
          annotation (Placement(transformation(extent={{56,-36},{76,-16}})));
        Library.Blocks.HormoneFlowConstant_IU hormoneFlowConstant1(k=.6) 
          annotation (Placement(transformation(extent={{82,0},{70,12}})));
        Library.Factors.SplineValue EstradiolEffect(data={{0.0,1.0,0.0},{0.4,0.5,0.0},
              {1.5,0.5,0.0},{2.0,20.0,0.0}}) 
          annotation (Placement(transformation(extent={{56,-26},{76,-6}})));
        Library.Factors.SplineValue GnRHEffect(data={{0.0,2.0,0.0},{80.0,1.0,-0.01},{200.0,
              0.2,0.0}}) 
          annotation (Placement(transformation(extent={{56,-16},{76,4}})));
        Library.Factors.SplineValue TestosteroneEffect(data={{0.0,0.999,0.0},{50.0,0.2,
              0.0}}) 
          annotation (Placement(transformation(extent={{56,-44},{76,-24}})));
        Library.Interfaces.RealInput_ Estradiol(quantity="Concentration", final unit
            =                                                                        "nMol/l") 
                               annotation (Placement(transformation(extent={{38,-20},{
                  46,-12}}),          iconTransformation(extent={{-120,20},{-80,
                  60}})));
        Library.Interfaces.RealInput_ Inhibin(quantity="Concentration", final unit
            =                                                                      "IU/l") 
                               annotation (Placement(transformation(extent={{38,-30},{
                  46,-22}}),          iconTransformation(extent={{-120,-100},{-80,-60}})));
        Library.Interfaces.RealInput_ Testosterone(quantity="Concentration", final unit
            =    "nMol/l")     annotation (Placement(transformation(extent={{38,-38},{
                  46,-30}}),          iconTransformation(extent={{-120,-60},{-80,-20}})));
        Library.Interfaces.RealInput_ GnRH_Period(quantity="Time", final unit="min") 
                               annotation (Placement(transformation(extent={{38,-10},{
                  46,-2}}),           iconTransformation(extent={{-120,-20},{-80,20}})));
        Library.Interfaces.RealInput_ EFCV_Vol(quantity="Volume", final unit="ml")
          "extracellular fluid volume" 
                               annotation (Placement(transformation(extent={{-100,-40},
                  {-92,-32}}),        iconTransformation(extent={{-122,60},{-82,
                  100}})));
        Library.Interfaces.RealOutput_ LH_Circulating(quantity="Concentration",
            final unit="IU/l") annotation (Placement(transformation(extent={{-64,-8},{
                  -56,0}}), iconTransformation(extent={{80,-40},{120,0}})));
      equation
        connect(concentrationMeasure.q_in, LH_Circulating_Mass.q_out) 
                                                              annotation (Line(
            points={{-78,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(LH_Circulating_Mass.q_out, Degradation.q_in) 
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(LH_Circulating_Mass.SoluteMass, K.u) 
                                                annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Degradation.desiredFlow, K.y)        annotation (Line(
            points={{-20,-84},{-20,-77},{-31.7,-77}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(AnteriorPituitary.q_out, LH_Circulating_Mass.q_out) 
                                                                  annotation (
            Line(
            points={{60,-44},{-72,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(TestosteroneEffect.y, AnteriorPituitary.desiredFlow) annotation (Line(
            points={{66,-36},{66,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InhibinEffect.y, TestosteroneEffect.yBase) annotation (Line(
            points={{66,-28},{66,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffect.y, InhibinEffect.yBase) annotation (Line(
            points={{66,-18},{66,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GnRHEffect.y, EstradiolEffect.yBase) annotation (Line(
            points={{66,-8},{66,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, GnRHEffect.yBase) annotation (Line(
            points={{69.4,6},{66,6},{66,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffect.u, Estradiol) annotation (Line(
            points={{56.2,-16},{50,-16},{50,-16},{42,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InhibinEffect.u, Inhibin) annotation (Line(
            points={{56.2,-26},{42,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TestosteroneEffect.u, Testosterone) annotation (Line(
            points={{56.2,-34},{42,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GnRHEffect.u, GnRH_Period) annotation (Line(
            points={{56.2,-6},{42,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, LH_Circulating_Mass.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, LH_Circulating) annotation (Line(
            points={{-78,-18},{-78,-4},{-60,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end LH;

      model FSH
        extends Library.Interfaces.BaseModel;

        Library.ConcentrationFlow.ConcentrationCompartment_knownConc
          FSH_Circulating_(
            q_out(conc(final unit="IU/ml"), q(final unit="IU/min")), concentration=0.013,
          stateName="FSH-Circulating.Mass") 
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          toAnotherUnitCoef=1000,
          unitsString="IU/l",
          actualConc(final unit="IU/l")) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-76,-22})));
        Library.ConcentrationFlow.OutputPump Degradation 
          annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=.0009) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={-35,-77})));
        Library.ConcentrationFlow.InputPump AnteriorPituitary 
          annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
        Library.Factors.SplineValue InhibinEffect(data={{0.0,1.0,0.0},{7000.0,0.4,0.0}}) 
          annotation (Placement(transformation(extent={{56,-36},{76,-16}})));
        Library.Blocks.HormoneFlowConstant_IU hormoneFlowConstant1(k=.05) 
          annotation (Placement(transformation(extent={{82,0},{70,12}})));
        Library.Factors.SplineValue GnRHEffect(data={{0.0,2.0,0.0},{80.0,1.0,-0.01},{200.0,
              0.2,0.0}}) 
          annotation (Placement(transformation(extent={{56,-16},{76,4}})));
        Library.Factors.SplineValue TestosteroneEffect(data={{0.0,0.999,0.0},{50.0,0.2,
              0.0}}) 
          annotation (Placement(transformation(extent={{56,-44},{76,-24}})));
        Library.Interfaces.RealInput_ Estradiol(quantity="Concentration", final unit
            =                                                                        "nMol/l") 
                               annotation (Placement(transformation(extent={{38,-20},{
                  46,-12}}),          iconTransformation(extent={{-118,-100},{
                  -78,-60}})));
        Library.Interfaces.RealInput_ Inhibin(quantity="Concentration", final unit
            =                                                                      "IU/l") 
                               annotation (Placement(transformation(extent={{38,-30},{
                  46,-22}}),          iconTransformation(extent={{-118,-60},{
                  -78,-20}})));
        Library.Interfaces.RealInput_ Testosterone(quantity="Concentration", final unit
            =    "nMol/l")     annotation (Placement(transformation(extent={{38,-38},{
                  46,-30}}),          iconTransformation(extent={{-118,-20},{
                  -78,20}})));
        Library.Interfaces.RealInput_ GnRH_Period(quantity="Time", final unit="min") 
                               annotation (Placement(transformation(extent={{38,-10},{
                  46,-2}}),           iconTransformation(extent={{-118,20},{-78,
                  60}})));
        Library.Interfaces.RealInput_ EFCV_Vol(quantity="Volume", final unit="ml")
          "extracellular fluid volume" 
                               annotation (Placement(transformation(extent={{-100,-40},
                  {-92,-32}}),        iconTransformation(extent={{-118,60},{-78,
                  100}})));
        Library.Interfaces.RealOutput_ FSH_Circulating(quantity="Concentration",
            final unit="IU/l") annotation (Placement(transformation(extent={{-62,-6},{
                  -54,2}}), iconTransformation(extent={{80,-40},{120,0}})));
        Library.Factors.SplineDelayByDay EstradiolEffectDelayed(Tau=10, data={{0.0,1.0,
              0.0},{0.4,0.6,0.0},{1.5,0.6,0.0},{2.0,5.0,0.0}}) 
          annotation (Placement(transformation(extent={{56,-26},{76,-6}})));
      equation
        connect(concentrationMeasure.q_in, FSH_Circulating_.q_out) 
                                                              annotation (Line(
            points={{-76,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(FSH_Circulating_.q_out, Degradation.q_in) 
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(FSH_Circulating_.SoluteMass, K.u) 
                                                annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Degradation.desiredFlow, K.y)        annotation (Line(
            points={{-20,-84},{-20,-77},{-31.7,-77}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(AnteriorPituitary.q_out, FSH_Circulating_.q_out)  annotation (
            Line(
            points={{60,-44},{-72,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(TestosteroneEffect.y, AnteriorPituitary.desiredFlow) annotation (Line(
            points={{66,-36},{66,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InhibinEffect.y, TestosteroneEffect.yBase) annotation (Line(
            points={{66,-28},{66,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, GnRHEffect.yBase) annotation (Line(
            points={{69.4,6},{66,6},{66,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InhibinEffect.u, Inhibin) annotation (Line(
            points={{56.2,-26},{42,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TestosteroneEffect.u, Testosterone) annotation (Line(
            points={{56.2,-34},{42,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GnRHEffect.u, GnRH_Period) annotation (Line(
            points={{56.2,-6},{42,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, FSH_Circulating_.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, FSH_Circulating) annotation (Line(
            points={{-76,-18},{-76,-2},{-58,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GnRHEffect.y, EstradiolEffectDelayed.yBase) annotation (Line(
            points={{66,-8},{66,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffectDelayed.y, InhibinEffect.yBase) annotation (Line(
            points={{66,-18},{66,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Estradiol, EstradiolEffectDelayed.u) annotation (Line(
            points={{42,-16},{50,-16},{50,-16},{56.2,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end FSH;

      model GnRH
        extends Library.Interfaces.BaseModel;

        Library.Blocks.TimeConstant hormoneFlowConstant1(k=80) 
          annotation (Placement(transformation(extent={{30,40},{18,52}})));
        Library.Factors.SplineValue EstradiolEffect(data={{0.0,1.0,0.0},{1.0,1.5,0.0},
              {2.0,0.5,0.0}}) 
          annotation (Placement(transformation(extent={{4,14},{24,34}})));
        Library.Factors.SplineValue TestosteroneEffect(data={{5.0,1.0,0.0},{20.0,2.0,0.0}}) 
          annotation (Placement(transformation(extent={{4,-4},{24,16}})));
        Library.Interfaces.RealInput_ Estradiol(quantity="Concentration", final unit
            =                                                                        "nMol/l") 
                               annotation (Placement(transformation(extent={{-14,20},{
                  -6,28}}),           iconTransformation(extent={{-120,60},{-80,100}})));
        Library.Interfaces.RealInput_ Testosterone(quantity="Concentration", final unit
            =    "nMol/l")     annotation (Placement(transformation(extent={{-14,2},{-6,
                  10}}),              iconTransformation(extent={{-120,-60},{-80,-20}})));
        Library.Interfaces.RealOutput_ GnRH_period(quantity="Time", final unit="min") 
          annotation (Placement(transformation(extent={{24,-24},{32,-16}}),
              iconTransformation(extent={{80,-100},{120,-60}})));
      equation

        connect(EstradiolEffect.u, Estradiol) annotation (Line(
            points={{4.2,24},{-10,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TestosteroneEffect.u, Testosterone) annotation (Line(
            points={{4.2,6},{-10,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TestosteroneEffect.y, GnRH_period) annotation (Line(
            points={{14,4},{14,-20},{28,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, EstradiolEffect.yBase) annotation (Line(
            points={{17.4,46},{14,46},{14,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffect.y, TestosteroneEffect.yBase) annotation (Line(
            points={{14,22},{14,8}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end GnRH;

      model Inhibin
        extends Library.Interfaces.BaseModel;

        Library.ConcentrationFlow.ConcentrationCompartment_knownConc inhibin(
            q_out(conc(final unit="IU/ml"), q(final unit="IU/min")),
            concentration=0.027,
          stateName="Inhibin.Mass") 
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
        Library.ConcentrationFlow.InputPump A 
          annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
        Library.Blocks.HormoneFlowConstant_IU hormoneFlowConstant(  k=.28) 
          annotation (Placement(transformation(extent={{80,-24},{68,-12}})));
        Library.Factors.SimpleMultiply MassEffect2 
          annotation (Placement(transformation(extent={{56,-40},{76,-20}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          toAnotherUnitCoef=1000,
          unitsString="IU/l",
          actualConc(final unit="IU/l")) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-76,-22})));
        Library.ConcentrationFlow.OutputPump Degradation 
          annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=.008) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={-35,-77})));
        Library.Interfaces.RealInput_ EFCV_Vol(quantity="Volume", final unit=
              "ml") "extracellular fluid volume" 
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Library.Interfaces.RealInput_ CorpusLuteumMass(quantity="Mass", final unit
            =    "mg")           annotation (Placement(transformation(extent={{34,-34},
                  {42,-26}}),         iconTransformation(extent={{-120,-60},{
                  -80,-20}})));
        Library.Interfaces.RealOutput_ Inhibin(quantity="Concentration", final unit
            =    "IU/l") annotation (Placement(transformation(extent={{-60,-10},
                  {-52,-2}}), iconTransformation(extent={{80,-40},{120,0}})));
        Library.Factors.SimpleMultiply MassEffect1 
          annotation (Placement(transformation(extent={{56,-86},{76,-66}})));
        Library.Blocks.HormoneFlowConstant_IU hormoneFlowConstant1(  k=.28) 
          annotation (Placement(transformation(extent={{82,-72},{70,-60}})));
        Library.ConcentrationFlow.InputPump B 
          annotation (Placement(transformation(extent={{76,-104},{56,-84}})));
        Library.Interfaces.RealInput_ OvariesFollicleMass(quantity="Mass",
            final unit="mg")     annotation (Placement(transformation(extent={{34,-80},
                  {42,-72}}),         iconTransformation(extent={{-120,-20},{
                  -80,20}})));
        Library.Factors.ZeroIfFalse zeroIfFalse 
          annotation (Placement(transformation(extent={{56,-94},{76,-74}})));
        Modelica.Blocks.Interfaces.BooleanInput IsFollicular 
          annotation (Placement(transformation(extent={{34,-88},{42,-80}}),
              iconTransformation(extent={{-120,20},{-80,60}})));
      equation
        connect(inhibin.q_out, A.q_out)            annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, inhibin.q_out)     annotation (Line(
            points={{-76,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(inhibin.q_out, Degradation.q_in) annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(inhibin.SoluteMass, K.u)        annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Degradation.desiredFlow, K.y)        annotation (Line(
            points={{-20,-84},{-20,-77},{-31.7,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant.y, MassEffect2.yBase) 
                                                        annotation (Line(
            points={{67.4,-18},{66,-18},{66,-28}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(A.desiredFlow, MassEffect2.y)       annotation (Line(
            points={{66,-40},{66,-32}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(EFCV_Vol, inhibin.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CorpusLuteumMass, MassEffect2.u) annotation (Line(
            points={{38,-30},{56.2,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, Inhibin) annotation (Line(
            points={{-76,-18},{-76,-6},{-56,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, MassEffect1.yBase) annotation (Line(
            points={{69.4,-66},{66,-66},{66,-74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OvariesFollicleMass, MassEffect1.u) annotation (Line(
            points={{38,-76},{56.2,-76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(zeroIfFalse.condition, IsFollicular) annotation (Line(
            points={{56.2,-84},{38,-84}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(MassEffect1.y, zeroIfFalse.yBase) annotation (Line(
            points={{66,-78},{66,-82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(zeroIfFalse.y, B.desiredFlow) annotation (Line(
            points={{66,-86},{66,-90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(B.q_out, inhibin.q_out) annotation (Line(
            points={{60,-94},{22,-94},{22,-44},{-72,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end Inhibin;

      model Testosterone
        extends Library.Interfaces.BaseModel;

        Library.ConcentrationFlow.ConcentrationCompartment_knownConc
          testosterone(q_out(conc(final unit="nMol/ml"), q(final unit=
                  "nMol/min")), concentration=0.0006,
          stateName="Testosterone.Mass") 
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
        Library.ConcentrationFlow.InputPump OvariesSecretion 
          annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
        Library.Blocks.HormoneFlowConstant_nmol hormoneFlowConstant(k=.25) 
          annotation (Placement(transformation(extent={{84,-34},{72,-22}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          actualConc(final unit="nMol/l"),
          unitsString="nMol/l",
          toAnotherUnitCoef=1000) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-78,-22})));
        Library.ConcentrationFlow.OutputPump Degradation 
          annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=.043) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={-35,-77})));
        Library.Interfaces.RealInput_ EFCV_Vol(quantity="Volume", final unit=
              "ml") "extracellular fluid volume" 
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Library.Interfaces.RealOutput_ Testosterone(quantity="Concentration",
            final unit="nMol/l") annotation (Placement(transformation(extent={{
                  -60,-10},{-52,-2}}), iconTransformation(extent={{80,-40},{120,
                  0}})));
      equation
        connect(testosterone.q_out, OvariesSecretion.q_out) 
                                                   annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, testosterone.q_out) 
                                                              annotation (Line(
            points={{-78,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(testosterone.q_out, Degradation.q_in) 
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(testosterone.SoluteMass, K.u)   annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Degradation.desiredFlow, K.y)        annotation (Line(
            points={{-20,-84},{-20,-77},{-31.7,-77}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(EFCV_Vol, testosterone.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, Testosterone) annotation (Line(
            points={{-78,-18},{-78,-6},{-56,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant.y, OvariesSecretion.desiredFlow) 
          annotation (Line(
            points={{71.4,-28},{66,-28},{66,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end Testosterone;

      model hCG
        extends Library.Interfaces.BaseModel;

        Library.ConcentrationFlow.ConcentrationCompartment_knownConc hCG_Pool(
            q_out(conc(final unit="IU/ml"), q(final unit="IU/min")),
            concentration=0.001,
          stateName="hCG.Mass") 
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
        Library.ConcentrationFlow.InputPump OvariesSecretion 
          annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
        Library.Blocks.HormoneFlowConstant_IU hormoneFlowConstant(k=.009) 
          annotation (Placement(transformation(extent={{84,-34},{72,-22}})));
        Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          toAnotherUnitCoef=1000,
          unitsString="IU/l",
          actualConc(final unit="IU/l")) 
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-76,-22})));
        Library.ConcentrationFlow.OutputPump Degradation 
          annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=.0009) 
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=0,
              origin={-35,-77})));
        Library.Interfaces.RealInput_ EFCV_Vol(quantity="Volume", final unit=
              "ml") "extracellular fluid volume" 
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Library.Interfaces.RealOutput_ hCG(quantity="Concentration", final unit
            ="IU/l") annotation (Placement(transformation(extent={{-60,-10},{
                  -52,-2}}), iconTransformation(extent={{80,-40},{120,0}})));
      equation
        connect(hCG_Pool.q_out, OvariesSecretion.q_out) 
                                                   annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, hCG_Pool.q_out)    annotation (Line(
            points={{-76,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(hCG_Pool.q_out, Degradation.q_in) 
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hCG_Pool.SoluteMass, K.u)       annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Degradation.desiredFlow, K.y)        annotation (Line(
            points={{-20,-84},{-20,-77},{-31.7,-77}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(EFCV_Vol, hCG_Pool.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, hCG) annotation (Line(
            points={{-76,-18},{-76,-6},{-56,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant.y, OvariesSecretion.desiredFlow) 
          annotation (Line(
            points={{71.4,-28},{66,-28},{66,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end hCG;

      model DayCounter

        Modelica.Blocks.Interfaces.BooleanInput Reset
          "restart counter on rising edge" 
          annotation (Placement(transformation(extent={{-68,-2},{-60,6}}),
              iconTransformation(extent={{-120,-20},{-80,20}})));

       discrete Real startTime(start=0);
        Library.Interfaces.RealOutput_ dayInCycle 
          annotation (Placement(transformation(extent={{100,-20},{140,20}}),
              iconTransformation(extent={{100,-20},{140,20}})));
      equation
       when edge(Reset) then
         startTime=time;
       end when;
       dayInCycle = floor((time-startTime)/(60*60*24));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,40},{100,-40}},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid,
                pattern=LinePattern.None), Text(
                extent={{-76,18},{98,-18}},
                lineColor={0,0,0},
                textString="day in cycle")}));
      end DayCounter;
      annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
    end FemaleSexHormones;

    package setup

    model HormonesConstInputs

      Library.Blocks.Constant AdrenalNerve_NA(k=1.01731692572164) 
        annotation (Placement(transformation(extent={{6,-98},{12,-92}})));
      Library.Blocks.Constant BodyH2O_Vol(k=44394.3284646237) 
        annotation (Placement(transformation(extent={{6,-88},{12,-82}})));
      Library.Blocks.Constant ECFV_Vol(k=14361) 
        annotation (Placement(transformation(extent={{6,-78},{12,-72}})));
      Library.Blocks.Constant GITractFunction_Effect(k=0.995580586980285) 
        annotation (Placement(transformation(extent={{6,-68},{12,-62}})));
      Library.Blocks.Constant GangliaGeneral_NA(k=1.50811) 
        annotation (Placement(transformation(extent={{6,-58},{12,-52}})));
      Library.Blocks.Constant Glucose(k=100) 
        annotation (Placement(transformation(extent={{6,-48},{12,-42}})));
      Library.Blocks.Constant HypothalamusTSH_TemperatureEffect(k=
            1.03855784498264) 
        annotation (Placement(transformation(extent={{6,-38},{12,-32}})));
      Library.Blocks.Constant KAPool(k=0.497694) 
        annotation (Placement(transformation(extent={{6,-28},{12,-22}})));
      Library.Blocks.Constant KPool_per_liter(k=4.30150131804415) 
        annotation (Placement(transformation(extent={{6,-18},{12,-12}})));
      Library.Blocks.Constant GangliaKidney_NA(k=1.49162) 
        annotation (Placement(transformation(extent={{-70,-34},{-64,-28}})));
      Library.Blocks.Constant Kidney_BloodFlow(k=1231.77885077347) 
        annotation (Placement(transformation(extent={{6,2},{12,8}})));
      Library.Blocks.Constant KidneyFunctionEffect(k=0.995580586980285) 
        annotation (Placement(transformation(extent={{6,12},{12,18}})));
      Library.Blocks.Constant NephronCount_Total_xNormal(k=1.) 
        annotation (Placement(transformation(extent={{6,22},{12,28}})));
      Library.Blocks.Constant KidneyO2_TubulePO2(k=39.4299) 
        annotation (Placement(transformation(extent={{6,32},{12,38}})));
      Library.Blocks.Constant LeftAtrium_TMP(k=8.08056) 
        annotation (Placement(transformation(extent={{6,42},{12,48}})));
      Library.Blocks.Constant Liver_BloodFlow(k=1216.76084073271) 
        annotation (Placement(transformation(extent={{6,52},{12,58}})));
      Library.Blocks.Constant OrganFlow_SplanchnicFlow(k=1216.76084073271) 
        annotation (Placement(transformation(extent={{6,62},{12,68}})));
      Library.Blocks.Constant Osmreceptors(k=0.253) 
        annotation (Placement(transformation(extent={{6,72},{12,78}})));
      Library.Blocks.Constant OtherTissue_BloodFlow(k=367.445620022139) 
        annotation (Placement(transformation(extent={{6,82},{12,88}})));
      Library.Blocks.Constant OtherTissueFunctionEffect(k=0.995580586980285) 
        annotation (Placement(transformation(extent={{6,92},{12,98}})));
      Library.Blocks.Constant PortalVein_PlasmaFlow(k=541.440922780939) 
        annotation (Placement(transformation(extent={{-70,-14},{-64,-8}})));
      Library.Blocks.Constant RightAtrium_TMP(k=4.13163) 
        annotation (Placement(transformation(extent={{-70,-4},{-64,2}})));
      Library.Blocks.Constant SympsCNS_PituitaryNA(k=1.01092145441383) 
        annotation (Placement(transformation(extent={{-70,6},{-64,12}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{90,-16},{104,-2}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.BooleanConstant booleanConstant 
        annotation (Placement(transformation(extent={{-70,26},{-64,32}})));
      Library.Blocks.Constant const38(k=0) 
        annotation (Placement(transformation(extent={{-42,-62},{-48,-56}})));
      Library.Blocks.Constant MD_Na(k=47.834) 
        annotation (Placement(transformation(extent={{-72,-46},{-66,-40}})));
      Library.Blocks.Constant kidney_InterstitialWater(k=75) 
        annotation (Placement(transformation(extent={{-70,-72},{-64,-66}})));
    Library.Blocks.Constant PortalVein_PlasmaFlow1(k=12544.8) 
        annotation (Placement(transformation(extent={{-70,-24},{-64,-18}})));
      Library.Blocks.Constant c(k=1) 
        annotation (Placement(transformation(extent={{-14,-4},{-8,2}})));
      Library.Blocks.Constant HeatCore_Temp(k=37) 
        annotation (Placement(transformation(extent={{-70,36},{-64,42}})));
      Library.Blocks.Constant BrainFunctionEffect1(k=1) 
        annotation (Placement(transformation(extent={{-70,46},{-64,52}})));
      Library.Blocks.Constant GITract_BloodFlow1(k=985.261) 
        annotation (Placement(transformation(extent={{-70,56},{-64,62}})));
    equation
      connect(AdrenalNerve_NA.y, busConnector.AdrenalNerve_NA) annotation (Line(
          points={{12.3,-95},{97,-95},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(BodyH2O_Vol.y, busConnector.BodyH2O_Vol) annotation (Line(
          points={{12.3,-85},{97,-85},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
          points={{12.3,-75},{97,-75},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(GITractFunction_Effect.y, busConnector.GITractFunctionEffect) 
        annotation (Line(
          points={{12.3,-65},{97,-65},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(GangliaGeneral_NA.y, busConnector.GangliaGeneral_NA) annotation (
          Line(
          points={{12.3,-55},{97,-55},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Glucose.y, busConnector.Glucose) annotation (Line(
          points={{12.3,-45},{97,-45},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(HypothalamusTSH_TemperatureEffect.y, busConnector.HypothalamusTSH_TemperatureEffect) 
        annotation (Line(
          points={{12.3,-35},{97,-35},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(KAPool.y, busConnector.KAPool) annotation (Line(
          points={{12.3,-25},{97,-25},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(KPool_per_liter.y, busConnector.KPool_per_liter) annotation (Line(
          points={{12.3,-15},{97,-15},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(GangliaKidney_NA.y, busConnector.GangliaKidney_NA) 
        annotation (Line(
          points={{-63.7,-31},{97,-31},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Kidney_BloodFlow.y, busConnector.Kidney_BloodFlow) annotation (
          Line(
          points={{12.3,5},{97,5},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(KidneyFunctionEffect.y, busConnector.KidneyFunctionEffect) 
        annotation (Line(
          points={{12.3,15},{97,15},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) 
        annotation (Line(
          points={{12.3,25},{97,25},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(KidneyO2_TubulePO2.y, busConnector.KidneyO2_TubulePO2) 
        annotation (Line(
          points={{12.3,35},{97,35},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
          points={{12.3,55},{97,55},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(OrganFlow_SplanchnicFlow.y, busConnector.OrganFlow_SplanchnicFlow) 
        annotation (Line(
          points={{12.3,65},{97,65},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Osmreceptors.y, busConnector.Osmreceptors) annotation (Line(
          points={{12.3,75},{97,75},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(OtherTissue_BloodFlow.y, busConnector.OtherTissue_BloodFlow) 
        annotation (Line(
          points={{12.3,85},{97,85},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(OtherTissueFunctionEffect.y, busConnector.OtherTissueFunctionEffect) 
        annotation (Line(
          points={{12.3,95},{97,95},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(PortalVein_PlasmaFlow.y, busConnector.PortalVein_PlasmaFlow) 
        annotation (Line(
          points={{-63.7,-11},{97,-11},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(SympsCNS_PituitaryNA.y, busConnector.SympsCNS_PituitaryNA) 
        annotation (Line(
          points={{-63.7,9},{97,9},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(booleanConstant.y, busConnector.Cycling) annotation (Line(
          points={{-63.7,29},{98,30},{97,-9}},
          color={255,0,255},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const38.y, busConnector.FurosemidePool_Loss) annotation (Line(
          points={{-48.3,-59},{97,-59},{97,-9}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) 
          annotation (Line(
            points={{-63.7,-69},{98.15,-69},{98.15,-9},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(MD_Na.y, busConnector.MD_Na) annotation (Line(
            points={{-65.7,-43},{-10,-43},{-10,-9},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(RightAtrium_TMP.y, busConnector.rightAtrium_TMP) annotation (
            Line(
            points={{-63.7,-1},{96,-8},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(LeftAtrium_TMP.y, busConnector.leftAtrium_TMP) annotation (Line(
            points={{12.3,45},{97,45},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

     connect(PortalVein_PlasmaFlow1.y, busConnector.LipidDeposits_Mass) 
          annotation (Line(
            points={{-63.7,-21},{-10,-21},{-10,-9},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(c.y, busConnector.FatFunctionEffect) annotation (Line(
            points={{-7.7,-1},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
          points={{-63.7,39},{97,-9}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(BrainFunctionEffect1.y, busConnector.brain_FunctionEffect) 
        annotation (Line(
          points={{-63.7,49},{97,49},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow1.y, busConnector.GITract_BloodFlow) 
                                                               annotation (Line(
          points={{-63.7,59},{97,59},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),    graphics));
    end HormonesConstInputs;

    model HormonesConstInputsFromFile

    Library.Utilities.ConstantFromFile AdrenalNerve_NA(varName="AdrenalNerve.NA") 
    annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
    Library.Utilities.ConstantFromFile BodyH2O_Vol(varName="BodyH2O.Vol") 
    annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
    Library.Utilities.ConstantFromFile ECFV_Vol(varName="ECFV.Vol") 
    annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
    Library.Utilities.ConstantFromFile GITractFunctionEffect(varName="GITract-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
    Library.Utilities.ConstantFromFile GangliaGeneral_NA(varName="GangliaGeneral.NA(Hz)") 
    annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
    Library.Utilities.ConstantFromFile Glucose(varName="GlucosePool.[Glucose(mG/dL)]") 
    annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
    Library.Utilities.ConstantFromFile HypothalamusTSH_TemperatureEffect(varName="HypothalamusTSH.TemperatureEffect") 
    annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
    Library.Utilities.ConstantFromFile KAPool(varName="KAPool.[KA]") 
    annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
    Library.Utilities.ConstantFromFile KPool_per_liter(varName="KPool.[K+(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
    Library.Utilities.ConstantFromFile GangliaKidney_NA(varName="GangliaKidney.NA(Hz)") 
    annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
    Library.Utilities.ConstantFromFile KidneyFunctionEffect(varName="Kidney-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
    Library.Utilities.ConstantFromFile KidneyO2_TubulePO2(varName="Kidney-O2.TubulePO2") 
    annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
    Library.Utilities.ConstantFromFile Kidney_BloodFlow(varName="Kidney-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
    Library.Utilities.ConstantFromFile LeftAtrium_TMP(varName="LeftAtrium.TMP") 
    annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
    Library.Utilities.ConstantFromFile Liver_BloodFlow(varName="Liver-O2.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
    Library.Utilities.ConstantFromFile Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)") 
    annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
    Library.Utilities.ConstantFromFile OrganFlow_SplanchnicFlow(varName=
              "SplanchnicVeins.Outflow") 
    annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
    Library.Utilities.ConstantFromFile Osmreceptors(varName="OsmBody.[Osm]-Osmoreceptors") 
    annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
    Library.Utilities.ConstantFromFile OtherTissueFunctionEffect(varName="OtherTissue-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,190},{-30,196}})));
    Library.Utilities.ConstantFromFile OtherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,200},{-30,206}})));
    Library.Utilities.ConstantFromFile PortalVein_PlasmaFlow(varName="PortalVein.PlasmaFlow") 
    annotation (Placement(transformation(extent={{-36,210},{-30,216}})));
    Library.Utilities.ConstantFromFile RightAtrium_TMP(varName="RightAtrium.TMP") 
    annotation (Placement(transformation(extent={{-36,220},{-30,226}})));
    Library.Utilities.ConstantFromFile SympsCNS_PituitaryNA(varName="SympsCNS.PituitaryNA") 
    annotation (Placement(transformation(extent={{-36,230},{-30,236}})));
    Library.Utilities.ConstantFromFile LipidDeposits_Mass(varName="LipidDeposits.Mass") 
    annotation (Placement(transformation(extent={{-36,240},{-30,246}})));
    Library.Utilities.ConstantFromFile MD_Na(varName="MD_Na.[Na+(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,250},{-30,256}})));
    Library.Utilities.ConstantFromFile FurosemidePool_Loss(varName="FurosemidePool.Loss") 
    annotation (Placement(transformation(extent={{-36,260},{-30,266}})));
    Library.Utilities.ConstantFromFile kidney_InterstitialWater(varName="Kidney-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,270},{-30,276}})));
    Library.Utilities.ConstantFromFile GITract_BloodFlow(varName="GITract-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,280},{-30,286}})));
    Library.Utilities.ConstantFromFile HeatCore_Temp(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,290},{-30,296}})));
    Library.Utilities.ConstantFromFile brain_FunctionEffect(varName="Brain-Function.Effect") 
    annotation (Placement(transformation(extent={{-26,-66},{-20,-60}})));
    Library.Utilities.ConstantFromFile FatFunctionEffect(varName="Fat-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,320},{-30,326}})));

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{90,-16},{104,-2}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.BooleanConstant booleanConstant 
        annotation (Placement(transformation(extent={{-116,4},{-110,10}})));
    Library.Utilities.ConstantFromFile PlasmaVol(varName="PlasmaVol.Vol") 
    annotation (Placement(transformation(extent={{-16,-56},{-10,-50}})));
    equation
      connect(AdrenalNerve_NA.y, busConnector.AdrenalNerve_NA) annotation (Line(
          points={{-29.7,13},{97,13},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(BodyH2O_Vol.y, busConnector.BodyH2O_Vol) annotation (Line(
          points={{-29.7,23},{97,23},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
          points={{-29.7,33},{97,33},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(GangliaGeneral_NA.y, busConnector.GangliaGeneral_NA) annotation (
          Line(
          points={{-29.7,53},{97,53},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Glucose.y, busConnector.Glucose) annotation (Line(
          points={{-29.7,63},{97,63},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(HypothalamusTSH_TemperatureEffect.y, busConnector.HypothalamusTSH_TemperatureEffect) 
        annotation (Line(
          points={{-29.7,73},{97,73},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(KAPool.y, busConnector.KAPool) annotation (Line(
          points={{-29.7,83},{97,83},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(KPool_per_liter.y, busConnector.KPool_per_liter) annotation (Line(
          points={{-29.7,93},{97,93},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(GangliaKidney_NA.y, busConnector.GangliaKidney_NA) 
        annotation (Line(
          points={{-29.7,103},{97,103},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Kidney_BloodFlow.y, busConnector.Kidney_BloodFlow) annotation (
          Line(
          points={{-29.7,133},{97,133},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(KidneyFunctionEffect.y, busConnector.KidneyFunctionEffect) 
        annotation (Line(
          points={{-29.7,113},{97,113},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(KidneyO2_TubulePO2.y, busConnector.KidneyO2_TubulePO2) 
        annotation (Line(
          points={{-29.7,123},{97,123},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
          points={{-29.7,153},{97,153},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(OrganFlow_SplanchnicFlow.y, busConnector.OrganFlow_SplanchnicFlow) 
        annotation (Line(
          points={{-29.7,173},{97,173},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Osmreceptors.y, busConnector.Osmreceptors) annotation (Line(
          points={{-29.7,183},{97,183},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(OtherTissue_BloodFlow.y, busConnector.OtherTissue_BloodFlow) 
        annotation (Line(
          points={{-29.7,203},{97,203},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(OtherTissueFunctionEffect.y, busConnector.OtherTissueFunctionEffect) 
        annotation (Line(
          points={{-29.7,193},{97,193},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(PortalVein_PlasmaFlow.y, busConnector.PortalVein_PlasmaFlow) 
        annotation (Line(
          points={{-29.7,213},{97,213},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(SympsCNS_PituitaryNA.y, busConnector.SympsCNS_PituitaryNA) 
        annotation (Line(
          points={{-29.7,233},{97,233},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(booleanConstant.y, busConnector.Cycling) annotation (Line(
          points={{-109.7,7},{96,2},{97,-9}},
          color={255,0,255},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) 
          annotation (Line(
            points={{-29.7,273},{98.15,273},{98.15,-9},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(MD_Na.y, busConnector.MD_Na) annotation (Line(
            points={{-29.7,253},{-10,253},{-10,-9},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(RightAtrium_TMP.y, busConnector.rightAtrium_TMP) annotation (
            Line(
            points={{-29.7,223},{68,114},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(LeftAtrium_TMP.y, busConnector.leftAtrium_TMP) annotation (Line(
            points={{-29.7,143},{97,143},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

      connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
          points={{-29.7,293},{97,-9}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) 
        annotation (Line(
          points={{-29.7,163},{97,163},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(FurosemidePool_Loss.y, busConnector.FurosemidePool_Loss) annotation (Line(
          points={{-29.7,263},{97,263},{97,-9}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
     connect(LipidDeposits_Mass.y, busConnector.LipidDeposits_Mass) 
          annotation (Line(
            points={{-29.7,243},{0,243},{0,-9},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(FatFunctionEffect.y, busConnector.FatFunctionEffect) annotation (Line(
            points={{-29.7,323},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) 
                                                               annotation (Line(
          points={{-29.7,283},{97,283},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(GITractFunctionEffect.y, busConnector.GITractFunctionEffect) 
        annotation (Line(
          points={{-29.7,43},{97,43},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(brain_FunctionEffect.y, busConnector.brain_FunctionEffect) 
        annotation (Line(
          points={{-19.7,-63},{97,-63},{97,-9}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
        connect(PlasmaVol.y, busConnector.PlasmaVol) annotation (Line(
            points={{-9.7,-53},{97,-9}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),    graphics));
    end HormonesConstInputsFromFile;
    end setup;

    package test
      model T
        setup.HormonesConstInputsFromFile hormonesConstInputs 
          annotation (Placement(transformation(extent={{-68,4},{-48,24}})));
        Hormones hormones 
          annotation (Placement(transformation(extent={{-26,2},{-6,22}})));
      equation
        connect(hormonesConstInputs.busConnector, hormones.busConnector) 
          annotation (Line(
            points={{-60,14},{-42,14},{-42,17.9},{-22.1,17.9}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end T;
    end test;

  model Leptin
     extends Library.Interfaces.Tissues.Fat;
     // outer parameter Real ECF_Vol(final unit="ml");

      Modelica.Blocks.Math.Gain gain(k=0.01) 
        annotation (Placement(transformation(extent={{-44,-32},{-38,-26}})));
      Library.ConcentrationFlow.OutputPump clearance 
        annotation (Placement(transformation(extent={{-34,-6},{-14,-26}})));
      Library.ConcentrationFlow.ConcentrationCompartment LeptinPool(
          initialSoluteMass=111.543, stateName="LeptinPool.Mass") 
        annotation (Placement(transformation(extent={{-66,-16},{-46,4}})));
      Library.ConcentrationFlow.InputPump secretion 
        annotation (Placement(transformation(extent={{78,-16},{58,4}})));
      HumMod.Library.Blocks.HormoneFlowConstant_nG hormoneFlowConstant_pG(k=1.2) 
        annotation (Placement(transformation(extent={{80,18},{72,26}})));
      Library.Factors.SplineValue AdiposeEffect(data={{0,0.0,0},{13300,1.0,0.00008},
            {100000,6.0,0}}) 
        annotation (Placement(transformation(extent={{78,0},{58,20}})));
      Library.Factors.SimpleMultiply FunctionEffect 
        annotation (Placement(transformation(extent={{58,-4},{78,16}})));
      Modelica.Blocks.Math.Gain gain1(k=.001) 
        annotation (Placement(transformation(extent={{-76,0},{-72,4}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-98,68},{-78,88}}),
            iconTransformation(extent={{-90,-70},{-70,-50}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="ng/ml") 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={-60,8})));
      Library.Interfaces.RealOutput_ Leptin(quantity="Concentration", final unit
          =    "ng/ml") annotation (Placement(transformation(extent={{-78,-60},
                {-58,-40}}), iconTransformation(extent={{80,-20},{120,20}})));
  equation

      connect(LeptinPool.SoluteMass, gain.u) annotation (Line(
          points={{-56,-13.8},{-56,-29},{-44.6,-29}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain.y, clearance.desiredFlow) annotation (Line(
          points={{-37.7,-29},{-24,-29},{-24,-20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(clearance.q_in, LeptinPool.q_out)   annotation (Line(
          points={{-30,-16},{-38,-16},{-38,-6},{-56,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.FatFunctionEffect, FunctionEffect.u) annotation (Line(
          points={{-88,78},{12.1,78},{12.1,6},{58.2,6}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(AdiposeEffect.y, FunctionEffect.yBase) annotation (Line(
          points={{68,8},{68,8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion.desiredFlow, FunctionEffect.y) annotation (Line(
          points={{68,-2},{68,4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion.q_out, LeptinPool.q_out)   annotation (Line(
          points={{62,-6},{-56,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, gain1.u) annotation (Line(
          points={{-88,78},{-93.2,78},{-93.2,2},{-76.4,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(gain1.y, LeptinPool.SolventVolume)   annotation (Line(
          points={{-71.8,2},{-67.9,2},{-67.9,0},{-64,0}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(LeptinPool.q_out, concentrationMeasure.q_in)   annotation (Line(
          points={{-56,-6},{-54,-6},{-54,8},{-60,8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(hormoneFlowConstant_pG.y, AdiposeEffect.yBase) annotation (Line(
          points={{71.6,22},{68,22},{68,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AdiposeEffect.u, busConnector.LipidDeposits_Mass) annotation (
          Line(
          points={{77.8,10},{90,10},{90,78},{-88,78}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure.actualConc, Leptin) annotation (Line(
          points={{-60,12},{-60,20},{-82,20},{-82,-50},{-68,-50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, busConnector.Leptin) annotation (
         Line(
          points={{-60,12},{-60,78},{-88,78}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-100,80},{100,100}},
              lineColor={0,0,255},
              textString="%name")}));
  end Leptin;

    model PTH
      extends Library.Interfaces.Tissues.ThyroidGland;
      Library.ConcentrationFlow.ConcentrationCompartment PTH_Pool(
          initialSoluteMass=3.85*14361.0097207699*.001) 
        annotation (Placement(transformation(extent={{14,-58},{34,-38}})));
      Modelica.Blocks.Math.Gain mlTOlitre(k=.001) 
                                     annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=0,
            origin={-2,-40})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-92,76},{-72,96}})));
        Library.ConcentrationFlow.OutputPump clearance 
          annotation (Placement(transformation(extent={{52,-46},{72,-66}})));
        Modelica.Blocks.Math.Gain gain(k=7.143) 
          annotation (Placement(transformation(extent={{42,-72},{48,-66}})));
        Library.ConcentrationFlow.InputPump secretion 
          annotation (Placement(transformation(extent={{72,-38},{52,-18}})));
      Electrolytes.Calcium2.Factors.H_minus H4_10to7_minus(
        alpha=96.25,
        delta=3.037,
        gamma=11.74,
        ro=6249) annotation (Placement(transformation(extent={{52,-30},{72,-10}})));
      Library.Factors.SimpleMultiply simpleMultiply 
        annotation (Placement(transformation(extent={{52,-10},{72,10}})));
      Library.Factors.SimpleMultiply simpleMultiply1 
        annotation (Placement(transformation(extent={{52,-20},{72,0}})));
      Library.Blocks.Constant Constant(k=2) 
        annotation (Placement(transformation(extent={{36,-4},{44,4}})));
      Library.ConcentrationFlow.MassStorageCompartment PT_max_capacity(
          initialSoluteMass=1) 
        annotation (Placement(transformation(extent={{-36,8},{-16,28}})));
        Modelica.Blocks.Math.Gain gain1(k=.0001604) 
          annotation (Placement(transformation(extent={{-18,0},{-12,6}})));
        Library.ConcentrationFlow.OutputPump clearance1 
          annotation (Placement(transformation(extent={{-12,28},{8,8}})));
        Library.ConcentrationFlow.InputPump secretion1 
          annotation (Placement(transformation(extent={{-62,8},{-42,28}})));
      Electrolytes.Calcium2.Factors.H_minus H6_11_minus1(
        alpha=4.103,
        delta=69,
        gamma=12.5,
        ro=.9) annotation (Placement(transformation(extent={{-62,18},{-42,38}})));
      Library.Blocks.Constant Constant1(k=.0001604) 
        annotation (Placement(transformation(extent={{-64,36},{-56,44}})));

      model PT

        Library.Interfaces.RealInput_ Calcitriol 
          annotation (Placement(transformation(extent={{-110,40},{-70,80}})));
        Library.Interfaces.RealInput_ Ca 
          annotation (Placement(transformation(extent={{-110,-64},{-70,-24}})));
        Library.Interfaces.RealOutput_ PT_pool 
          annotation (Placement(transformation(extent={{56,-18},{96,22}})));

        Real T64m;
        Real T64p;

        parameter Real initialPT(unit="1") = 0.5 "initial pool of PT gland";

      initial equation
      //  PT_pool = initialPT;
        der( PT_pool) = 0;
      equation
        der( PT_pool)   = (1-PT_pool)*0.01*(0.85*T64m+0.15) - PT_pool*0.01*(0.85*T64p+0.15);
        T64m = 1-(exp(0.03*(Calcitriol - 90*(2.35/Ca))) - exp(-0.03*(Calcitriol - 90*(2.35/Ca)))) / (exp(0.03*(Calcitriol - 90*(2.35/Ca))) + exp(-0.03*(Calcitriol - 90*(2.35/Ca))));
        T64p = 1+(exp(0.03*(Calcitriol - 90*(2.35/Ca))) - exp(-0.03*(Calcitriol - 90*(2.35/Ca)))) / (exp(0.03*(Calcitriol - 90*(2.35/Ca))) + exp(-0.03*(Calcitriol - 90*(2.35/Ca))));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),                                                                    graphics), Icon(
              coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{
                  100,100}}), graphics));
      end PT;

      PT PT_pool 
        annotation (Placement(transformation(extent={{36,46},{56,66}})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="pmol/l") 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={34,-36})));
    equation
      connect(busConnector.ECFV_Vol,mlTOlitre. u) annotation (Line(
          points={{-82,86},{-82,-40},{-6.8,-40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(mlTOlitre.y, PTH_Pool.SolventVolume) annotation (Line(
          points={{2.4,-40},{9.2,-40},{9.2,-42},{16,-42}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(gain.y,clearance. desiredFlow) annotation (Line(
            points={{48.3,-69},{62,-69},{62,-60}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(PTH_Pool.q_out, clearance.q_in) annotation (Line(
          points={{24,-48},{46,-48},{46,-56},{56,-56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(PTH_Pool.SoluteMass, gain.u) annotation (Line(
          points={{24,-55.8},{24,-69},{41.4,-69}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion.q_out, PTH_Pool.q_out) annotation (Line(
          points={{56,-28},{46,-28},{46,-48},{24,-48}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(H4_10to7_minus.y, secretion.desiredFlow) annotation (Line(
          points={{62,-22},{62,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CaPool_conc_per_liter, H4_10to7_minus.u) annotation (
          Line(
          points={{-82,86},{-82,-20},{52.2,-20}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(simpleMultiply1.y, H4_10to7_minus.yBase) annotation (Line(
          points={{62,-12},{62,-18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(simpleMultiply.y, simpleMultiply1.yBase) annotation (Line(
          points={{62,-2},{62,-8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, simpleMultiply.u) annotation (Line(
          points={{44.4,0},{52.2,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain1.y, clearance1.desiredFlow) annotation (Line(
            points={{-11.7,3},{-2,3},{-2,14}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(PT_max_capacity.q_out, clearance1.q_in) annotation (Line(
          points={{-26,18},{-8,18}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(PT_max_capacity.SoluteMass, gain1.u) annotation (Line(
          points={{-26,10.6},{-26,3},{-18.6,3}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion1.q_out, PT_max_capacity.q_out) annotation (Line(
          points={{-46,18},{-26,18}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(H6_11_minus1.y, secretion1.desiredFlow) annotation (Line(
          points={{-52,26},{-52,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Calcitriol, H6_11_minus1.u) annotation (Line(
          points={{-82,86},{-82,28},{-61.8,28}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(PT_max_capacity.SoluteMass, simpleMultiply1.u) annotation (Line(
          points={{-26,10.6},{-26,-10},{52.2,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, H6_11_minus1.yBase) annotation (Line(
          points={{-55.6,40},{-52,40},{-52,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PT_pool.PT_pool, simpleMultiply.yBase) annotation (Line(
          points={{53.6,56.2},{62,56.2},{62,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Calcitriol, PT_pool.Calcitriol) annotation (Line(
          points={{-82,86},{-82,62},{37,62}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CaPool_conc_per_liter, PT_pool.Ca) annotation (Line(
          points={{-82,86},{-82,51.6},{37,51.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(PTH_Pool.q_out, concentrationMeasure.q_in) annotation (Line(
          points={{24,-48},{28,-48},{28,-36},{34,-36}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, busConnector.PTH) annotation (
          Line(
          points={{34,-32},{34,-28},{-82,-28},{-82,86}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-102,88},{98,108}},
              lineColor={0,0,255},
              textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
              extent={{-100,-100},{100,100}}), graphics));
    end PTH;

    model Calcitriol
      extends Library.Interfaces.Tissues.Kidney;
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-86,72},{-66,92}})));

      model One_alpha_OH

        function H
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        output Real value;
        algorithm
        value:=alpha*x^gamma/(delta^gamma+x^gamma);
        end H;

      function H_minus
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        input Real ro;
        output Real value;
      algorithm
        value:=alpha-(alpha-ro)*x^gamma/(delta^gamma+x^gamma);
      end H_minus;

        Library.Interfaces.RealInput_ PO4 
          annotation (Placement(transformation(extent={{-110,-64},{-70,-24}}),
              iconTransformation(extent={{-100,-60},{-60,-20}})));
        Library.Interfaces.RealInput_ PTH 
          annotation (Placement(transformation(extent={{-110,40},{-70,80}}),
              iconTransformation(extent={{-100,40},{-60,80}})));
        Library.Interfaces.RealOutput_ One_alpha_OH 
          annotation (Placement(transformation(extent={{56,-18},{96,22}}),
              iconTransformation(extent={{60,-20},{100,20}})));

      initial equation
        //One_alpha_OH = 126;
        der( One_alpha_OH)  = 0;
      equation
        der( One_alpha_OH)  = 6.3*H(PTH, 1.90371, 1.549,.1112)*( if PO4<=16.8/14 then 1 else H_minus(PO4,1.525,1.302,8.252,-1.78249))  -.05 *One_alpha_OH;
        //H7,9:alpha was calculated,
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),                                                                 graphics));
      end One_alpha_OH;
      One_alpha_OH one_alpha_OH 
        annotation (Placement(transformation(extent={{-26,16},{-6,36}})));
        Library.ConcentrationFlow.InputPump secretion1 
          annotation (Placement(transformation(extent={{-6,-10},{14,10}})));
      Library.ConcentrationFlow.ConcentrationCompartment Calcitriol_pool(
          initialSoluteMass=1260, stateName="Calcitriol.Mass") 
        annotation (Placement(transformation(extent={{10,-32},{30,-12}})));
        Library.ConcentrationFlow.OutputPump clearance1 
          annotation (Placement(transformation(extent={{60,-12},{80,-32}})));
        Modelica.Blocks.Math.Gain gain1(k=.1) 
          annotation (Placement(transformation(extent={{54,-40},{60,-34}})));
      Modelica.Blocks.Math.Gain mlTOlitre(k=.001) 
                                     annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=0,
            origin={-2,-16})));
      Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure(
          unitsString="pmol/l") 
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={30,0})));
    equation

      connect(gain1.y,clearance1. desiredFlow) annotation (Line(
            points={{60.3,-37},{70,-37},{70,-26}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(Calcitriol_pool.SoluteMass,gain1. u) annotation (Line(
          points={{20,-29.8},{20,-37},{53.4,-37}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol,mlTOlitre. u) annotation (Line(
          points={{-76,82},{-76,-16},{-6.8,-16}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(mlTOlitre.y, Calcitriol_pool.SolventVolume) annotation (Line(
          points={{2.4,-16},{12,-16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion1.q_out, Calcitriol_pool.q_out) annotation (Line(
          points={{10,0},{20,0},{20,-22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Calcitriol_pool.q_out, clearance1.q_in) annotation (Line(
          points={{20,-22},{64,-22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(one_alpha_OH.One_alpha_OH, secretion1.desiredFlow) annotation (
          Line(
          points={{-8,26},{4,26},{4,4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.PTH, one_alpha_OH.PTH) annotation (Line(
          points={{-76,82},{-76,32},{-24,32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ctPO4, one_alpha_OH.PO4) annotation (Line(
          points={{-76,82},{-76,22},{-24,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(concentrationMeasure.q_in, Calcitriol_pool.q_out) annotation (
          Line(
          points={{30,0},{20,0},{20,-22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.actualConc, busConnector.Calcitriol) 
        annotation (Line(
          points={{30,4},{30,78},{-76,78},{-76,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-96,94},{104,114}},
              lineColor={0,0,255},
              textString="%name")}));
    end Calcitriol;

    model Hormones2
      //extends Library.Interfaces.BaseModel;
      ADH vasopressin 
              annotation (Placement(transformation(extent={{-80,44},{-60,64}})));
      Aldosterone aldosterone 
        annotation (Placement(transformation(extent={{20,72},{40,92}})));
      Angiotensine2 angiotensine2 
        annotation (Placement(transformation(extent={{-28,72},{-8,92}})));
      ANP atriopeptin 
        annotation (Placement(transformation(extent={{-78,-28},{-58,-8}})));
      EPO erythropoietin 
              annotation (Placement(transformation(extent={{-78,0},{-58,20}})));
      Glucagon glucagon 
        annotation (Placement(transformation(extent={{-28,-64},{-8,-44}})));
      Insulin insulin 
        annotation (Placement(transformation(extent={{-78,-64},{-58,-44}})));
      Renin renin 
        annotation (Placement(transformation(extent={{-80,72},{-60,92}})));
      Thyrotropin thyrotropin 
        annotation (Placement(transformation(extent={{-78,-96},{-58,-76}})));
      Thyroxine thyroxine 
        annotation (Placement(transformation(extent={{-28,-96},{-8,-76}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-98,20},{-78,40}}),
            iconTransformation(extent={{-80,40},{-42,78}})));
      HumMod.Hormones.FemaleSexHormones.FemaleSexHormones femaleSexHormones 
        annotation (Placement(transformation(extent={{42,26},{62,46}})));
      Catechols.Catechols catechols 
        annotation (Placement(transformation(extent={{20,-14},{40,6}})));
      Library.Blocks.BooleanConstant Cycling 
        annotation (Placement(transformation(extent={{20,24},{30,34}})));
      Leptin leptin 
        annotation (Placement(transformation(extent={{22,-62},{42,-42}})));
    equation
      connect(busConnector, aldosterone.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,76},{22,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, angiotensine2.busConnector)   annotation (Line(
          points={{-88,30},{-34,30},{-34,76},{-26,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, renin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,76},{-78,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, vasopressin.busConnector) 
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,48},{-78,48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, erythropoietin.busConnector) 
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,4},{-76,4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, glucagon.busConnector) annotation (Line(
          points={{-88,30},{-34,30},{-34,-60},{-26,-60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, thyroxine.busConnector) annotation (Line(
          points={{-88,30},{-34,30},{-34,-94},{-26,-94},{-26,-92}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, atriopeptin.busConnector) 
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,-24},{-76,-24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, insulin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,-60},{-76,-60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, thyrotropin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,-92},{-76,-92}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(renin.ReninPool_PRA, angiotensine2.ReninPool_PRA) annotation (
          Line(
          points={{-60,82},{-52,82},{-52,86},{-26,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(angiotensine2.A2Pool_Log10Conc, aldosterone.A2Pool_Log10Conc) 
        annotation (Line(
          points={{-8,78},{2,78},{2,88},{22,88}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(insulin.Insulin, glucagon.Insulin) annotation (Line(
          points={{-58,-54},{-36,-54},{-36,-48},{-26,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector, catechols.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,-10},{22,-10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(thyrotropin.TSH, thyroxine.TSH) annotation (Line(
          points={{-58,-86},{-36,-86},{-36,-80},{-26,-80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(thyroxine.Thyroxine, thyrotropin.Thyroxine) annotation (Line(
          points={{-8,-86},{0,-86},{0,-72},{-80,-72},{-80,-78},{-76,-78}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.ECFV_Vol, femaleSexHormones.EFCV_Vol) annotation (
          Line(
          points={{-88,30},{16,30},{16,44},{42,44}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Cycling.y, femaleSexHormones.Cycling) annotation (Line(
          points={{30.5,29},{36,29},{36,40},{42,40}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(busConnector, leptin.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,-58},{24,-58}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                  "icons/hormony.png"), Text(
              extent={{-120,-98},{122,-132}},
              lineColor={0,0,255},
              textString="%name")}));
    end Hormones2;
    annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
  end Hormones;

  package Nerves "Autonimic Nerves"

    model BaroReceptorInHoursAdaptation

      Library.Interfaces.RealInput_ pressure annotation (Placement(transformation(
              extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,-10},
                {-90,10}})));
      Library.Blocks.Integrator adaptivePressure(                          y_start=
            AdaptivePressure, k=1/(Tau*60*Library.SecPerMin),
        stateName="Baroreflex.AdaptedPressure") 
        annotation (Placement(transformation(extent={{-22,-10},{-2,10}})));
      Modelica.Blocks.Math.Feedback pressureChange 
        annotation (Placement(transformation(extent={{-70,-10},{-50,10}})));
      Library.Curves.Curve pressureChangeOnNA(
        x=PressureChangeOnNA[:, 1],
        y=PressureChangeOnNA[:, 2],
        slope=PressureChangeOnNA[:, 3]) 
        annotation (Placement(transformation(extent={{30,16},{66,52}})));
      Library.Interfaces.RealOutput_ NA 
        annotation (Placement(transformation(extent={{80,-20},{120,20}})));
      parameter Real AdaptivePressure(final unit="mmHg");
      parameter Real Tau(final unit="h");
      parameter Real PressureChangeOnNA[3,:];

    equation
      connect(pressureChange.u2, adaptivePressure.y) annotation (Line(
          points={{-60,-8},{-60,-22},{12,-22},{12,0},{-1,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureChange.y, adaptivePressure.u) annotation (Line(
          points={{-51,0},{-24,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureChangeOnNA.val, NA) annotation (Line(
          points={{66.36,34},{88,34},{88,0},{100,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureChange.y, pressureChangeOnNA.u) annotation (Line(
          points={{-51,0},{-40,0},{-40,34},{30,34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressure, pressureChange.u1) annotation (Line(
          points={{-100,0},{-68,0}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={
            Ellipse(
              extent={{-100,60},{100,-60}},
              lineColor={0,0,0},
              fillColor={215,215,215},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-122,130},{118,102}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"),
            Bitmap(extent={{-100,100},{100,-100}}, fileName=
                  "icons/baroreflex.png")}));
    end BaroReceptorInHoursAdaptation;

    model BaroReceptorInDaysAdaptation

      Library.Interfaces.RealInput_ pressure annotation (Placement(transformation(
              extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,-10},
                {-90,10}})));
      Library.Blocks.Integrator adaptivePressure(                          y_start=
            AdaptivePressure, k=1/(Tau*1440*Library.SecPerMin),
        stateName="LowPressureReceptors.AdaptedPressure") 
        annotation (Placement(transformation(extent={{-20,-10},{0,10}})));
      Modelica.Blocks.Math.Feedback pressureChange 
        annotation (Placement(transformation(extent={{-70,-10},{-50,10}})));
      Library.Curves.Curve pressureChangeOnNA(
        x=PressureChangeOnNA[:, 1],
        y=PressureChangeOnNA[:, 2],
        slope=PressureChangeOnNA[:, 3]) 
        annotation (Placement(transformation(extent={{30,16},{66,52}})));
      Library.Interfaces.RealOutput_ NA 
        annotation (Placement(transformation(extent={{80,-20},{120,20}})));
      parameter Real AdaptivePressure(final unit="mmHg");
      parameter Real Tau(final unit="d");
      parameter Real PressureChangeOnNA[3,:];

    equation
      connect(pressureChange.u2, adaptivePressure.y) annotation (Line(
          points={{-60,-8},{-60,-22},{12,-22},{12,0},{1,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureChange.y, adaptivePressure.u) annotation (Line(
          points={{-51,0},{-22,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureChangeOnNA.val, NA) annotation (Line(
          points={{66.36,34},{88,34},{88,0},{100,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureChange.y, pressureChangeOnNA.u) annotation (Line(
          points={{-51,0},{-40,0},{-40,34},{30,34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressure, pressureChange.u1) annotation (Line(
          points={{-100,0},{-68,0}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={
            Ellipse(
              extent={{-100,60},{100,-60}},
              lineColor={0,0,0},
              fillColor={215,215,215},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-100,100},{100,64}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"),
            Bitmap(extent={{-102,106},{98,-94}}, fileName=
                  "icons/receptoryVSrdci.png")}));
    end BaroReceptorInDaysAdaptation;

    model SympatheticCNS

      parameter Real BaroEffect[:,3]={{ 0.0,  1.5,  0}, { 1.0,  1.0,  -0.5}, { 2.0,  0.5,  0}};
      parameter Real LowPressureEffect[:, 3]={{ 0.0,  1.1,  0}, { 1.0,  1.0,  -0.1}, { 4.0,  0.9,  0}};
      parameter Real FuelEffect[:,3]={{ 0.30,  0.0,  0}, { 0.60,  3.0,  0}, { 0.80,  0.0,  0}};
      parameter Real A2ConcEffect[:,3]={{ 1.7,  1.0,  0}, { 2.3,  1.4,  0}};

      Library.Interfaces.RealInput_ CarotidSinusReceptors 
        annotation (Placement(transformation(extent={{-100,60},{-60,100}}),
            iconTransformation(extent={{-100,60},{-60,100}})));
      Library.Interfaces.RealInput_ LowPressureReceptors 
        annotation (Placement(transformation(extent={{-120,20},{-80,60}})));
      Library.Curves.Curve baroEffect(
        x=BaroEffect[:, 1],
        y=BaroEffect[:, 2],
        slope=BaroEffect[:, 3]) 
        annotation (Placement(transformation(extent={{-46,70},{-26,90}})));
      Library.Curves.Curve lowPressureEffect(
        x=LowPressureEffect[:, 1],
        y=LowPressureEffect[:, 2],
        slope=LowPressureEffect[:, 3]) 
        annotation (Placement(transformation(extent={{-46,30},{-26,50}})));
      Library.Interfaces.RealInput_ brain_Fuel_FractUseDelay 
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
      Library.Curves.Curve fuelEffect(
        x=FuelEffect[:, 1],
        y=FuelEffect[:, 2],
        slope=FuelEffect[:, 3]) 
        annotation (Placement(transformation(extent={{-46,-10},{-26,10}})));
      Library.Interfaces.RealInput_ A2Pool_Log10Conc 
        annotation (Placement(transformation(extent={{-100,-100},{-60,-60}}),
            iconTransformation(extent={{-100,-100},{-60,-60}})));
      Library.Curves.Curve A2Effect(
        x=A2ConcEffect[:, 1],
        y=A2ConcEffect[:, 2],
        slope=A2ConcEffect[:, 3]) 
        annotation (Placement(transformation(extent={{-46,-90},{-26,-70}})));
      Modelica.Blocks.Math.Product reflexNA 
        annotation (Placement(transformation(extent={{-2,54},{18,74}})));
      Modelica.Blocks.Math.Product neuralActivity 
        annotation (Placement(transformation(extent={{56,-10},{76,10}})));
      Modelica.Blocks.Math.Sum stimulus(nin=3) 
        annotation (Placement(transformation(extent={{28,8},{48,28}})));
      Library.Interfaces.RealOutput_ NA(unit="Hz") 
        annotation (Placement(transformation(extent={{80,-80},{120,-40}}),
            iconTransformation(extent={{80,-80},{120,-40}})));
      Library.Interfaces.RealInput_ ExerciseSymps_TotalEffect 
        annotation (Placement(transformation(extent={{-120,-60},{-80,-20}})));
      Modelica.Blocks.Math.Gain gain(k=1.5) 
        annotation (Placement(transformation(extent={{84,-4},{92,4}})));
      Library.Interfaces.RealOutput_ SympsCNS_A2Effect 
        annotation (Placement(transformation(extent={{80,20},{120,60}}),
            iconTransformation(extent={{80,20},{120,60}})));
      Library.Interfaces.RealOutput_ SympsCNS_BaroEffect 
        annotation (Placement(transformation(extent={{60,60},{100,100}}),
            iconTransformation(extent={{60,60},{100,100}})));
    equation
      connect(CarotidSinusReceptors, baroEffect.u) annotation (Line(
          points={{-80,80},{-46,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LowPressureReceptors, lowPressureEffect.u) annotation (Line(
          points={{-100,40},{-46,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain_Fuel_FractUseDelay, fuelEffect.u) annotation (Line(
          points={{-100,0},{-46,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2Pool_Log10Conc, A2Effect.u) annotation (Line(
          points={{-80,-80},{-46,-80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(baroEffect.val, reflexNA.u1) annotation (Line(
          points={{-25.8,80},{-14,80},{-14,70},{-4,70}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lowPressureEffect.val, reflexNA.u2) annotation (Line(
          points={{-25.8,40},{-14,40},{-14,58},{-4,58}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2Effect.val, neuralActivity.u2) 
                                        annotation (Line(
          points={{-25.8,-80},{44,-80},{44,-6},{54,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(fuelEffect.val, stimulus.u[1]) 
                                         annotation (Line(
          points={{-25.8,0},{20,0},{20,18},{26,18},{26,16.6667}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(stimulus.y, neuralActivity.u1) 
                                  annotation (Line(
          points={{49,18},{49.5,18},{49.5,6},{54,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(reflexNA.y, stimulus.u[2]) 
                                     annotation (Line(
          points={{19,64},{22,64},{22,18},{26,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ExerciseSymps_TotalEffect, stimulus.u[3]) annotation (Line(
          points={{-100,-40},{22,-40},{22,19.3333},{26,19.3333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(neuralActivity.y, gain.u) annotation (Line(
          points={{77,0},{83.2,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain.y, NA) annotation (Line(
          points={{92.4,0},{96,0},{96,-60},{100,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(baroEffect.val, SympsCNS_BaroEffect) annotation (Line(
          points={{-25.8,80},{40,80},{40,80},{80,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2Effect.val, SympsCNS_A2Effect) annotation (Line(
          points={{-25.8,-80},{44,-80},{44,40},{100,40}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-160,198},{156,164}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"), Bitmap(extent={{-54,164},{48,-168}},
                fileName="icons/sympatetickeNervy.png")}));
    end SympatheticCNS;

    model ExerciseSympathetic

      parameter Real MotorRadiation_TotalEffect[:,3]={{    0,  0.0,  0.004}, {  500,  2.2,  0.002}, { 1000,  2.6,  0}};
      parameter Real PhOnNerveActivity[:,3]={{ 6.5,  5.0,  0}, { 6.9,  0.0,  0}};

      Library.Curves.Curve SkeletalMuscle_Metaboreflex_NerveActivity(
        x=PhOnNerveActivity[:, 1],
        y=PhOnNerveActivity[:, 2],
        slope=PhOnNerveActivity[:, 3]) 
        annotation (Placement(transformation(extent={{-54,20},{-34,40}})));
      Library.Interfaces.RealInput_ SkeletalMuscle_Ph 
        annotation (Placement(transformation(extent={{-136,0},{-96,40}}),
            iconTransformation(extent={{-120,20},{-80,60}})));
      Library.Curves.Curve motorRadiation_TotalEffect(
        x=MotorRadiation_TotalEffect[:, 1],
        y=MotorRadiation_TotalEffect[:, 2],
        slope=MotorRadiation_TotalEffect[:, 3]) 
        annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
      Modelica.Blocks.Math.Sum totalEffect(nin=2) 
        annotation (Placement(transformation(extent={{32,-10},{52,10}})));
      Modelica.Blocks.Math.Gain gain(k=.32) 
        annotation (Placement(transformation(extent={{-26,26},{-18,34}})));
      Library.Interfaces.RealOutput_ ExerciseSymps_TotalEffect 
        annotation (Placement(transformation(extent={{78,-20},{118,20}})));
      Library.Interfaces.RealInput_ ExerciseMetabolism_TotalWats 
        annotation (Placement(transformation(extent={{-118,-60},{-78,-20}}),
            iconTransformation(extent={{-118,-60},{-78,-20}})));
    equation
      connect(SkeletalMuscle_Ph, SkeletalMuscle_Metaboreflex_NerveActivity.u) 
                                            annotation (Line(
          points={{-116,20},{-85,20},{-85,30},{-54,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SkeletalMuscle_Metaboreflex_NerveActivity.val, gain.u) 
        annotation (Line(
          points={{-33.8,30},{-26.8,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain.y, totalEffect.u[1]) 
                                 annotation (Line(
          points={{-17.6,30},{6,30},{6,-1},{30,-1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(motorRadiation_TotalEffect.val, totalEffect.u[2]) 
                                                         annotation (Line(
          points={{-33.8,0},{-1.9,0},{-1.9,1},{30,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ExerciseMetabolism_TotalWats, motorRadiation_TotalEffect.u) 
                                            annotation (Line(
          points={{-98,-40},{-76,-40},{-76,0},{-54,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(totalEffect.y, ExerciseSymps_TotalEffect) annotation (Line(
          points={{53,0},{98,0}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Ellipse(
              extent={{-100,100},{100,-100}},
              lineColor={0,0,255},
              fillColor={175,175,175},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-132,142},{130,106}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"),
            Bitmap(extent={{-100,100},{100,-100}}, fileName="icons/cviceni.png")}));
    end ExerciseSympathetic;

    model VagusNerve

      parameter Real SympsOnParasymps[:,3]={{ 0.0,  8.0,  0}, { 1.5,  2.0,  -2.0}, { 4.5,  0.0,  0}};

      Library.Curves.Curve sympsOnParasymps(
        x=SympsOnParasymps[:, 1],
        y=SympsOnParasymps[:, 2],
        slope=SympsOnParasymps[:, 3]) 
        annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
      Library.Interfaces.RealOutput_ VagusNerve_NA_Hz 
        annotation (Placement(transformation(extent={{78,-20},{118,20}})));
      Library.Interfaces.RealInput_ SympsCNS_NA_Hz 
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
    equation
      connect(SympsCNS_NA_Hz, sympsOnParasymps.u) 
                                            annotation (Line(
          points={{-100,0},{-54,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympsOnParasymps.val, VagusNerve_NA_Hz) annotation (Line(
          points={{-33.8,0},{98,0}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Ellipse(
              extent={{-100,100},{100,-100}},
              lineColor={0,0,255},
              fillColor={175,175,175},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-104,136},{100,102}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"),
            Bitmap(extent={{-100,100},{100,-100}}, fileName="icons/vagus.png")}));
    end VagusNerve;

    model SA_Node

      parameter Real SympatheticEffect[:,3]={{ 0.0,    0,  0}, { 1.0,   10,  10}, { 5.0,  120,  0}};
      parameter Real ParasympatheticEffect[:,3]={{ 0.0,    0,  0}, { 2.0,  -20,  -8}, { 8.0,  -40,  0}};

      Library.Interfaces.RealInput_ GangliaGeneral_NA 
        annotation (Placement(transformation(extent={{-120,-40},{-80,0}})));
      Library.Curves.Curve parasympatheticEffect(
        x=ParasympatheticEffect[:, 1],
        y=ParasympatheticEffect[:, 2],
        slope=ParasympatheticEffect[:, 3]) 
        annotation (Placement(transformation(extent={{-50,-70},{-30,-50}})));
      Modelica.Blocks.Math.Sum rate(nin=3) 
        annotation (Placement(transformation(extent={{64,-10},{84,10}})));
      Library.Interfaces.RealOutput_ Rate 
        annotation (Placement(transformation(extent={{78,-20},{118,20}})));
      Library.Interfaces.RealInput_ VagusNerve_NA_Hz 
        annotation (Placement(transformation(extent={{-120,-80},{-80,-40}})));
      HumMod.Nerves.BetaReceptorsActivityFactor betaReceptorsActivityFactor 
        annotation (Placement(transformation(extent={{10,62},{30,82}})));
      Library.Blocks.Constant Constant(k=1) 
        annotation (Placement(transformation(extent={{-2,82},{10,94}})));
      Library.Blocks.Constant Constant1(k=82) 
        annotation (Placement(transformation(extent={{-6,-10},{14,10}})));
      Library.Interfaces.RealInput_ BetaBlockade_Effect 
        annotation (Placement(transformation(extent={{-120,0},{-80,40}})));
      Library.Interfaces.RealInput_ BetaPool_Effect 
        annotation (Placement(transformation(extent={{-120,40},{-80,80}})));
      Library.Curves.Curve sympatheticEffect(
        x=SympatheticEffect[:, 1],
        y=SympatheticEffect[:, 2],
        slope=SympatheticEffect[:, 3]) 
        annotation (Placement(transformation(extent={{26,20},{46,40}})));
    equation
      connect(parasympatheticEffect.val, rate.u[2])      annotation (Line(
          points={{-29.8,-60},{54.1,-60},{54.1,1.11022e-016},{62,1.11022e-016}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(VagusNerve_NA_Hz, parasympatheticEffect.u) 
                                            annotation (Line(
          points={{-100,-60},{-50,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(rate.y, Rate) annotation (Line(
          points={{85,0},{98,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, betaReceptorsActivityFactor.yBase) annotation (Line(
          points={{10.6,88},{20,88},{20,79}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, rate.u[1]) annotation (Line(
          points={{15,0},{14,0},{14,-1.33333},{62,-1.33333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BetaPool_Effect, betaReceptorsActivityFactor.BetaPool_Effect) 
        annotation (Line(
          points={{-100,60},{-46,60},{-46,78},{10.2,78}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(betaReceptorsActivityFactor.BetaBlockade_Effect, BetaBlockade_Effect) 
        annotation (Line(
          points={{10.2,72},{-40,72},{-40,20},{-100,20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GangliaGeneral_NA, betaReceptorsActivityFactor.GangliaGeneral_NA) 
        annotation (Line(
          points={{-100,-20},{-30,-20},{-30,66},{10.2,66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(betaReceptorsActivityFactor.y, sympatheticEffect.u) annotation (
          Line(
          points={{20,65},{20,30},{26,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympatheticEffect.val, rate.u[3]) annotation (Line(
          points={{46.2,30},{54,30},{54,1.33333},{62,1.33333}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Ellipse(
              extent={{-100,100},{100,-100}},
              lineColor={0,0,255},
              fillColor={175,175,175},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-102,134},{100,102}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"),
            Bitmap(extent={{-100,100},{100,-100}}, fileName="icons/SANode.png")}));
    end SA_Node;

    model RespiratoryCenter

      parameter Real RadiationTotalDrive[:,3]={{    0,  0.0,  0}, {  500,  3.5,  0.003}, { 1000,  4.0,  0}};
      parameter Real OutputRate[:,3]={{  0,   0,  12}, {  1,  12,   4}, { 10,  40,   0}};

      Library.Curves.Curve RespiratoryCenterOutput(
        x=OutputRate[:, 1],
        y=OutputRate[:, 2],
        slope=OutputRate[:, 3]) 
        annotation (Placement(transformation(extent={{-10,-16},{10,4}})));
      Library.Interfaces.RealOutput_ RespRate 
        annotation (Placement(transformation(extent={{80,-20},{120,20}}),
            iconTransformation(extent={{74,20},{114,60}})));
      Library.Blocks.Constant Constant(k=0.6) 
        annotation (Placement(transformation(extent={{-2,82},{10,94}})));
      Library.Interfaces.RealOutput_ RespiratoryCenterOutput_MotorNerveActivity
        annotation (Placement(transformation(extent={{54,-68},{94,-28}}),
            iconTransformation(extent={{76,-60},{116,-20}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-42,82},{-22,102}}),
            iconTransformation(extent={{-62,62},{-22,102}})));
      Library.Interfaces.RealInput_ Chemoreceptors_FiringRate 
        annotation (Placement(transformation(extent={{-100,40},{-60,80}}),
            iconTransformation(extent={{-100,40},{-60,80}})));
      Library.Factors.SplineValue splineValue(data={{6.60,0.0,0},{6.87,10.0,0},
            {7.04,1.0,-8.0},{7.50,0.0,0}}) 
        annotation (Placement(transformation(extent={{2,68},{22,88}})));
      Library.Curves.Curve Radiation(
        x=RadiationTotalDrive[:, 1],
        y=RadiationTotalDrive[:, 2],
        slope=RadiationTotalDrive[:, 3]) 
        annotation (Placement(transformation(extent={{-10,12},{10,32}})));
      Library.Blocks.Constant PeripheralBase(k=0.4) 
        annotation (Placement(transformation(extent={{-22,50},{-10,62}})));
      Modelica.Blocks.Math.Add RespiratoryCenterChemical_TotalDrive 
        annotation (Placement(transformation(extent={{36,52},{56,72}})));
      Library.Factors.SimpleMultiply PeripheralDrive 
        annotation (Placement(transformation(extent={{-12,30},{8,50}})));
      Library.Interfaces.RealInput_ Metaboreflex 
        annotation (Placement(transformation(extent={{-120,0},{-80,40}}),
            iconTransformation(extent={{-118,0},{-78,40}})));
      Modelica.Blocks.Math.Add RespiratoryCenterExercise_TotalDrive 
        annotation (Placement(transformation(extent={{26,18},{46,38}})));
      Modelica.Blocks.Math.Add RespiratoryCenterIntegration_TotalDrive 
        annotation (Placement(transformation(extent={{66,24},{86,44}})));
      Modelica.Blocks.Math.Product Rate 
        annotation (Placement(transformation(extent={{62,-10},{82,10}})));
      Library.Factors.SimpleMultiply FunctionEffect 
        annotation (Placement(transformation(extent={{14,-48},{34,-28}})));
      Library.Factors.SimpleMultiply AnesthesiaEffect 
        annotation (Placement(transformation(extent={{14,-60},{34,-40}})));
    equation
      connect(Constant.y, splineValue.yBase) annotation (Line(
          points={{10.6,88},{12,88},{12,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PeripheralBase.y, PeripheralDrive.yBase) annotation (Line(
          points={{-9.4,56},{-2,56},{-2,42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Chemoreceptors_FiringRate, PeripheralDrive.u) annotation (Line(
          points={{-80,60},{-45.9,60},{-45.9,40},{-11.8,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PeripheralDrive.y, RespiratoryCenterChemical_TotalDrive.u2) 
        annotation (Line(
          points={{-2,38},{-2,36},{14,36},{14,56},{34,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(splineValue.y, RespiratoryCenterChemical_TotalDrive.u1) annotation (
          Line(
          points={{12,76},{12,68},{34,68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Radiation.val, RespiratoryCenterExercise_TotalDrive.u2) annotation (
          Line(
          points={{10.2,22},{24,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Metaboreflex, RespiratoryCenterExercise_TotalDrive.u1) annotation (
          Line(
          points={{-100,20},{-44,20},{-44,34},{24,34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RespiratoryCenterChemical_TotalDrive.y,
        RespiratoryCenterIntegration_TotalDrive.u1) annotation (Line(
          points={{57,62},{60,62},{60,40},{64,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RespiratoryCenterExercise_TotalDrive.y,
        RespiratoryCenterIntegration_TotalDrive.u2) annotation (Line(
          points={{47,28},{64,28}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RespiratoryCenterIntegration_TotalDrive.y,
        RespiratoryCenterOutput.u) annotation (Line(
          points={{87,34},{92,34},{92,-22},{-20,-22},{-20,-6},{-10,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RespiratoryCenterOutput.val, Rate.u2) annotation (Line(
          points={{10.2,-6},{60,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Rate.y, RespRate) annotation (Line(
          points={{83,0},{100,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.y, AnesthesiaEffect.yBase) annotation (Line(
          points={{24,-40},{24,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AnesthesiaEffect.y, RespiratoryCenterOutput_MotorNerveActivity) 
        annotation (Line(
          points={{24,-52},{24,-62},{64,-62},{64,-48},{74,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RespiratoryCenterIntegration_TotalDrive.y, FunctionEffect.yBase) 
        annotation (Line(
          points={{87,34},{92,34},{92,-22},{24,-22},{24,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.AnesthesiaTidalVolume, AnesthesiaEffect.u) 
        annotation (Line(
          points={{-32,92},{-32,-50},{14.2,-50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ExerciseMetabolism_TotalWatts, Radiation.u) 
        annotation (Line(
          points={{-32,92},{-32,22},{-10,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.brain_pH_intracellular, splineValue.u) annotation (
          Line(
          points={{-32,92},{-32,78},{2.2,78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.brain_FunctionEffect, FunctionEffect.u) annotation (
          Line(
          points={{-32,92},{-32,-38},{14.2,-38}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.brain_FunctionEffect, Rate.u1) annotation (Line(
          points={{-32,92},{-32,6},{60,6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Ellipse(
              extent={{-100,100},{100,-100}},
              lineColor={0,0,255},
              fillColor={175,175,175},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-66,32},{76,-22}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"),
            Bitmap(extent={{-100,100},{100,-100}}, fileName=
                  "icons/respiracniCentrum.png"),
            Text(
              extent={{-114,140},{108,108}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end RespiratoryCenter;

    model Nerves
     // extends Library.Interfaces.BaseModel;
      Modelica.Blocks.Math.Add avePressure(k1=.5, k2=.5) 
        annotation (Placement(transformation(extent={{-64,-28},{-52,-16}})));
      BaroReceptorInDaysAdaptation lowPressureReceptors(
        PressureChangeOnNA={{-4.0,0.0,0},{0.0,1.0,0.3},{12.0,4.0,0}},
        AdaptivePressure=6,
        Tau=30) 
        annotation (Placement(transformation(
            extent={{-14,-14},{14,14}},
            rotation=0,
            origin={-32,-22})));
      BaroReceptorInHoursAdaptation Baroreflex(
        Tau=10,
        PressureChangeOnNA={{-50.0,0.0,0},{0.0,1.0,0.02},{50.0,2.0,0}},
        AdaptivePressure=96.8679) 
        annotation (Placement(transformation(
            extent={{9,9},{-9,-9}},
            rotation=180,
            origin={-43,39})));
      ExerciseSympathetic exercise                   annotation (Placement(
            transformation(extent={{-62,-78},{-42,-58}})));
      SympatheticCNS sympatheticCNS 
        annotation (Placement(transformation(extent={{-2,-86},{18,-66}})));
      VagusNerve vagusNerve 
        annotation (Placement(transformation(extent={{46,-98},{66,-78}})));
      SA_Node SA_node 
        annotation (Placement(transformation(extent={{74,-64},{94,-44}})));
      Library.Blocks.Constant const38(
                              k=1) 
        annotation (Placement(transformation(extent={{-24,-68},{-18,-62}})));
      RespiratoryCenter respiratoryCenter        annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=0,
            origin={56,80})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-80,80},{-60,100}}),
            iconTransformation(extent={{-100,60},{-60,100}})));
      GangliaKidney gangliaKidney 
        annotation (Placement(transformation(extent={{38,-16},{58,4}})));
      Chemoreceptors chemoreceptors 
        annotation (Placement(transformation(extent={{0,80},{20,100}})));
      SkeletalMuscleMetaboreflex skeletalMuscleMetaboreflex 
        annotation (Placement(transformation(extent={{4,50},{24,70}})));
      Modelica.Blocks.Math.Gain AdrenalNerve(k=.667)
        "from Hz to normal activity" 
        annotation (Placement(transformation(extent={{52,-36},{60,-28}})));
      Library.Blocks.Constant Constant(k=1) 
        annotation (Placement(transformation(extent={{62,-16},{70,-8}})));
      Library.Blocks.Constant KidneyAlpha_PT_NA(k=1) 
        annotation (Placement(transformation(extent={{62,2},{70,10}})));
      Pituitary pituitary 
        annotation (Placement(transformation(extent={{46,30},{66,50}})));
      Hypothalamus hypothalamus 
        annotation (Placement(transformation(extent={{4,12},{24,32}})));
    equation
      connect(avePressure.y,lowPressureReceptors. pressure) annotation (Line(
          points={{-51.4,-22},{-46,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympatheticCNS.ExerciseSymps_TotalEffect, exercise.ExerciseSymps_TotalEffect) 
        annotation (Line(
          points={{-2,-80},{-30,-80},{-30,-68},{-42.2,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SA_node.GangliaGeneral_NA,sympatheticCNS. NA) annotation (Line(
          points={{74,-56},{30,-56},{30,-82},{18,-82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympatheticCNS.brain_Fuel_FractUseDelay,const38. y) annotation (
          Line(
          points={{-2,-76},{-8,-76},{-8,-65},{-17.7,-65}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SA_node.VagusNerve_NA_Hz,vagusNerve. VagusNerve_NA_Hz) 
        annotation (Line(
          points={{74,-60},{70,-60},{70,-88},{65.8,-88}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(vagusNerve.SympsCNS_NA_Hz,sympatheticCNS. NA) annotation (Line(
          points={{46,-88},{30,-88},{30,-82},{18,-82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympatheticCNS.NA, busConnector.GangliaGeneral_NA) annotation (
          Line(
          points={{18,-82},{30,-82},{30,98},{-70,98},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(lowPressureReceptors.NA, sympatheticCNS.LowPressureReceptors) 
        annotation (Line(
          points={{-18,-22},{-12,-22},{-12,-72},{-2,-72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Baroreflex.NA, sympatheticCNS.CarotidSinusReceptors) annotation (
          Line(
          points={{-34,39},{-8,39},{-8,-68},{0,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(respiratoryCenter.RespiratoryCenterOutput_MotorNerveActivity,
        busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
          points={{65.6,76},{98,76},{98,98},{-70,98},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(respiratoryCenter.RespRate, busConnector.RespiratoryCenter_RespRate) 
        annotation (Line(
          points={{65.4,84},{98,84},{98,98},{-70,98},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.BetaPool_Effect, SA_node.BetaPool_Effect) 
        annotation (Line(
          points={{-70,90},{-88,90},{-88,-48},{74,-48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BetaBlocade_Effect, SA_node.BetaBlockade_Effect) 
        annotation (Line(
          points={{-70,90},{-88,90},{-88,-52},{74,-52}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.A2Pool_Log10Con, sympatheticCNS.A2Pool_Log10Conc) 
        annotation (Line(
          points={{-70,90},{-88,90},{-88,-88},{-26,-88},{-26,-84},{0,-84}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CarotidSinusArteryPressure, Baroreflex.pressure) 
        annotation (Line(
          points={{-70,90},{-88,90},{-88,39},{-52,39}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(exercise.ExerciseSymps_TotalEffect, gangliaKidney.ExerciseSymps_TotalEffect) 
        annotation (Line(
          points={{-42.2,-68},{-30,-68},{-30,-38},{22,-38},{22,-6},{38,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lowPressureReceptors.NA, gangliaKidney.LowPressureReceptors_NA) 
        annotation (Line(
          points={{-18,-22},{-12,-22},{-12,-2},{38,-2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.brain_Fuel_FractUseDelay, gangliaKidney.brain_Fuel_FractUseDelay) 
        annotation (Line(
          points={{-70,90},{-88,90},{-88,2},{40,2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(gangliaKidney.NA, busConnector.GangliaKidney_NA) annotation (Line(
          points={{56,0.2},{100,0.2},{100,98},{-70,98},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sympatheticCNS.SympsCNS_BaroEffect, gangliaKidney.SympsCNS_BaroEffect) 
        annotation (Line(
          points={{16,-68},{24,-68},{24,-10},{38,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympatheticCNS.SympsCNS_A2Effect, gangliaKidney.SympsCNS_A2Effect) 
        annotation (Line(
          points={{18,-72},{26,-72},{26,-14},{40,-14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector, respiratoryCenter.busConnector) annotation (Line(
          points={{-70,90},{-88,90},{-88,98},{51.8,98},{51.8,88.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(sympatheticCNS.NA, chemoreceptors.GangliaGeneral_NA) annotation (
          Line(
          points={{18,-82},{30,-82},{30,78},{-6,78},{-6,87},{2.2,87}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector, chemoreceptors.busConnector) annotation (Line(
          points={{-70,90},{-88,90},{-88,98},{0,98},{0,90}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(chemoreceptors.Chemoreceptors_FiringRate, respiratoryCenter.Chemoreceptors_FiringRate) 
        annotation (Line(
          points={{20,90},{36,90},{36,86},{48,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(skeletalMuscleMetaboreflex.NA, respiratoryCenter.Metaboreflex) 
        annotation (Line(
          points={{24,60},{40,60},{40,82},{46.2,82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ExerciseMetabolism_TotalWatts, exercise.ExerciseMetabolism_TotalWats) 
        annotation (Line(
          points={{-70,90},{-88,90},{-88,-72},{-61.8,-72}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(sympatheticCNS.NA, AdrenalNerve.u) annotation (Line(
          points={{18,-82},{36,-82},{36,-32},{51.2,-32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AdrenalNerve.y, busConnector.AdrenalNerve_NA) annotation (Line(
          points={{60.4,-32},{100,-32},{100,98},{-88,98},{-88,90},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant.y, busConnector.Kidney_Alpha_NA) annotation (Line(
          points={{70.4,-12},{100,-12},{100,98},{-88,98},{-88,90},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
          points={{70.4,6},{100,6},{100,98},{-88,98},{-88,90},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Baroreflex.NA, pituitary.Baroreflex_NA) annotation (Line(
          points={{-34,39},{-8,39},{-8,40},{46,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pituitary.BaroEffect, busConnector.SympsCNS_PituitaryNA) 
        annotation (Line(
          points={{65.8,40},{100,40},{100,98},{-88,98},{-88,90},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.skeletalMuscle_pH_intracellular,
        skeletalMuscleMetaboreflex.skeletalMuscle_pH) annotation (Line(
          points={{-70,90},{-88,90},{-88,60},{4,60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.skeletalMuscle_pH_intracellular, exercise.SkeletalMuscle_Ph) 
        annotation (Line(
          points={{-70,90},{-88,90},{-88,-64},{-62,-64}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.rightAtrium_TMP, avePressure.u1) annotation (Line(
          points={{-70,90},{-88,90},{-88,-18},{-74,-18},{-65.2,-18.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.brain_FunctionEffect, hypothalamus.BrainFunctionEffect) 
        annotation (Line(
          points={{-70,90},{-88,90},{-88,28},{4,28}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.HeatCore_Temp, hypothalamus.HeatCore_Temp) 
        annotation (Line(
          points={{-70,90},{-88,90},{-88,22},{4,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(hypothalamus.HypothalamusSkinFlow_NA, busConnector.HypothalamusSkinFlow_NervesActivity) 
        annotation (Line(
          points={{24,22},{100,22},{100,98},{-70,98},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(hypothalamus.HypothalamusShivering_NA, busConnector.HypothalamusShivering_NerveActivity) 
        annotation (Line(
          points={{24,14},{100,14},{100,98},{-70,98},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.skin_T, hypothalamus.HeatSkin_Temp) annotation (Line(
          points={{-70,90},{-88,90},{-88,18},{4,18}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.leftAtrium_TMP, avePressure.u2) annotation (Line(
          points={{-70,90},{-88,90},{-88,-25.6},{-65.2,-25.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                  "icons/nervyNeuron.png"), Text(
              extent={{-120,-70},{122,-104}},
              lineColor={0,0,255},
              textString="%name")}));
      connect(vagusNerve.VagusNerve_NA_Hz, busConnector.VagusNerve_NA)
        annotation (Line(
          points={{65.8,-88},{100,-88},{100,98},{-70,98},{-70,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    end Nerves;

    model GangliaKidney
      extends HumMod.Library.Interfaces.Tissues.Kidney;
      parameter Real LowPressureEffect[:,3]={{ 0.0,  1.5,  0}, { 1.0,  1.0,  -0.4}, { 4.0,  0.2,  0}};
      parameter Real FuelEffect[:,3]={{ 0.30,  0.0,  0}, { 0.60,  3.0,  0}, { 0.80,  0.0,  0}};

      Library.Interfaces.RealInput_ SympsCNS_BaroEffect 
        annotation (Placement(transformation(extent={{-120,-60},{-80,-20}}),
            iconTransformation(extent={{-120,-60},{-80,-20}})));
      Library.Interfaces.RealOutput_ NA 
        annotation (Placement(transformation(extent={{60,42},{100,82}})));
      Library.Interfaces.RealInput_ LowPressureReceptors_NA 
        annotation (Placement(transformation(extent={{-120,20},{-80,60}}),
            iconTransformation(extent={{-120,20},{-80,60}})));
      Library.Interfaces.RealInput_ brain_Fuel_FractUseDelay 
        annotation (Placement(transformation(extent={{-100,60},{-60,100}}),
            iconTransformation(extent={{-100,60},{-60,100}})));
      Library.Interfaces.RealInput_ SympsCNS_A2Effect 
        annotation (Placement(transformation(extent={{-100,-100},{-60,-60}}),
            iconTransformation(extent={{-100,-100},{-60,-60}})));
      Library.Interfaces.RealInput_ ExerciseSymps_TotalEffect 
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-120,-20},{-80,20}})));
      Library.Blocks.MultiProduct ReflexNA(nin=2) 
        annotation (Placement(transformation(extent={{-12,8},{8,28}})));
      Library.Curves.Curve LowPressureEffectCurve(
        x=LowPressureEffect[:, 1],
        y=LowPressureEffect[:, 2],
        slope=LowPressureEffect[:, 3]) 
        annotation (Placement(transformation(extent={{-66,22},{-30,58}})));
      Library.Curves.Curve FuelEffectCurve(
        x=FuelEffect[:, 1],
        y=FuelEffect[:, 2],
        slope=FuelEffect[:, 3]) 
        annotation (Placement(transformation(extent={{-34,62},{2,98}})));
      Modelica.Blocks.Math.Sum sum1(nin=3) 
        annotation (Placement(transformation(extent={{32,16},{52,36}})));
      Modelica.Blocks.Math.Product NeuralActivity 
        annotation (Placement(transformation(extent={{62,-28},{82,-8}})));
      Modelica.Blocks.Math.Gain toHz(k=1.5) 
        annotation (Placement(transformation(extent={{88,-4},{96,4}})));
    equation
      connect(SympsCNS_BaroEffect,ReflexNA. u[1]) annotation (Line(
          points={{-100,-40},{-58,-40},{-58,18},{-14,18},{-14,17}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LowPressureReceptors_NA, LowPressureEffectCurve.u) annotation (Line(
          points={{-100,40},{-66,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LowPressureEffectCurve.val,ReflexNA. u[2]) annotation (Line(
          points={{-29.64,40},{-16,40},{-16,19},{-14,19}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain_Fuel_FractUseDelay, FuelEffectCurve.u) annotation (Line(
          points={{-80,80},{-34,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ReflexNA.y, sum1.u[1]) annotation (Line(
          points={{9,18},{18,18},{18,24.6667},{30,24.6667}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ExerciseSymps_TotalEffect, sum1.u[2]) annotation (Line(
          points={{-100,0},{16,0},{16.8848,25.502},{30,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FuelEffectCurve.val, sum1.u[3]) annotation (Line(
          points={{2.36,80},{16,80},{16,26},{30,26},{30,27.3333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sum1.y, NeuralActivity.u1) annotation (Line(
          points={{53,26},{56,26},{56,-12},{60,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsCNS_A2Effect, NeuralActivity.u2) annotation (Line(
          points={{-80,-80},{42,-80},{42,-24},{60,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NeuralActivity.y, toHz.u) annotation (Line(
          points={{83,-18},{86,-18},{86,0},{87.2,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(toHz.y, NA) annotation (Line(
          points={{96.4,0},{98,0},{98,36},{68,36},{68,62},{80,62}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-112,138},{110,106}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"), Ellipse(extent={{-106,104},{100,-98}},
                lineColor={0,0,0})}));
    end GangliaKidney;

    model Chemoreceptors

      Library.Curves.Curve PhEffectCurve(
        x=PhEffect[:, 1],
        y=PhEffect[:, 2],
        slope=PhEffect[:, 3]) 
        annotation (Placement(transformation(extent={{-24,8},{12,44}})));
      Library.Interfaces.RealOutput_ Chemoreceptors_FiringRate 
        annotation (Placement(transformation(extent={{80,-20},{120,20}})));
      parameter Real PhEffect[:,3]={{ 7.10,  2.0,  0}, { 7.44,  0.4,  -3.0}, { 7.70,  0.0,  0}};
      parameter Real PO2Effect[:,3]={{  30,  10.0,  0}, {  60,   2.0,  -0.05}, {  94,   0.5,  -0.005}, { 400,   0.2,  0}};
      parameter Real SteadyState[:,3]={{  0,  0,  0}, {  1,  1,  0.3}, { 10,  2,  0}};
      parameter Real Tau(final quantity="Time", final unit="h") = 20;

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-102,64},{-82,84}}),
            iconTransformation(extent={{-120,-20},{-80,20}})));
      Library.Interfaces.RealInput_ GangliaGeneral_NA 
        annotation (Placement(transformation(extent={{-98,-50},{-58,-10}}),
            iconTransformation(extent={{-98,-50},{-58,-10}})));
      HumMod.Nerves.AplhaReceptorsActivityFactor aplhaReceptorsActivityFactor(
        data={{0,0.0,0},{1,0.1,0.2},{4,0.6,0}},
        NEURALK=0.5,
        HUMORALK=0.5) 
        annotation (Placement(transformation(extent={{-26,68},{-6,88}})));
      Library.Blocks.Constant Constant(k=1) 
        annotation (Placement(transformation(extent={{-30,90},{-22,98}})));
      Library.Curves.Curve PO2EffectCurve(
        x=PO2Effect[:, 1],
        y=PO2Effect[:, 2],
        slope=PO2Effect[:, 3]) 
        annotation (Placement(transformation(extent={{-24,-38},{12,-2}})));
      Modelica.Blocks.Math.Sum sum(nin=3) 
        annotation (Placement(transformation(extent={{32,0},{52,20}})));
      Modelica.Blocks.Math.Product product 
        annotation (Placement(transformation(extent={{74,-16},{94,4}})));
      Library.Curves.Curve SteadyStateCurve(
        x=SteadyState[:, 1],
        y=SteadyState[:, 2],
        slope=SteadyState[:, 3]) "ChemoreceptorAcclimation" 
        annotation (Placement(transformation(extent={{-62,-96},{-26,-60}})));
      Modelica.Blocks.Math.Feedback feedback 
        annotation (Placement(transformation(extent={{-8,-88},{12,-68}})));
      Library.Blocks.Integrator integrator(                             y_start=
           1.03314,
        stateName="ChemoreceptorAcclimation.Effect",
        k=1/(60*Tau*Library.SecPerMin)) "ChemoreceptorAcclimation.Effect" 
        annotation (Placement(transformation(extent={{24,-88},{44,-68}})));
    equation
      connect(Constant.y, aplhaReceptorsActivityFactor.yBase) annotation (Line(
          points={{-21.6,94},{-16,94},{-16,85}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.AlphaPool_Effect, aplhaReceptorsActivityFactor.AlphaPool_Effect) 
        annotation (Line(
          points={{-92,74},{-60,74},{-60,84},{-25.8,84}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.AlphaBlocade_Effect, aplhaReceptorsActivityFactor.AlphaBlockade_Effect) 
        annotation (Line(
          points={{-92,74},{-60,74},{-60,78},{-25.8,78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(aplhaReceptorsActivityFactor.GangliaGeneral_NA, GangliaGeneral_NA) 
        annotation (Line(
          points={{-25.8,72},{-46,72},{-46,-30},{-78,-30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.O2Artys_PO2, PO2EffectCurve.u) annotation (Line(
          points={{-92,74},{-60,74},{-60,-20},{-24,-20}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Artys_pH, PhEffectCurve.u) annotation (Line(
          points={{-92,74},{-60,74},{-60,26},{-24,26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(PO2EffectCurve.val, sum.u[3]) annotation (Line(
          points={{12.36,-20},{26,-20},{26,11.3333},{30,11.3333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PhEffectCurve.val, sum.u[2]) annotation (Line(
          points={{12.36,26},{26,26},{26,10},{30,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(aplhaReceptorsActivityFactor.y, sum.u[1]) annotation (Line(
          points={{-16,71},{-16,54},{26,54},{26,8.66667},{30,8.66667}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(product.y, Chemoreceptors_FiringRate) annotation (Line(
          points={{95,-6},{98,-6},{98,0},{100,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sum.y, product.u1) annotation (Line(
          points={{53,10},{60,10},{60,0},{72,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sum.y, SteadyStateCurve.u) annotation (Line(
          points={{53,10},{60,10},{60,-42},{-82,-42},{-82,-78},{-62,-78}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y, product.u2) annotation (Line(
          points={{45,-78},{66,-78},{66,-12},{72,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SteadyStateCurve.val, feedback.u1) annotation (Line(
          points={{-25.64,-78},{-6,-78}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y, feedback.u2) annotation (Line(
          points={{45,-78},{56,-78},{56,-98},{2,-98},{2,-86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback.y, integrator.u) annotation (Line(
          points={{11,-78},{22,-78}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Ellipse(
              extent={{-100,60},{100,-60}},
              lineColor={0,0,0},
              fillColor={215,215,215},
              fillPattern=FillPattern.Solid), Text(
              extent={{-72,28},{70,-26}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end Chemoreceptors;

    model SkeletalMuscleMetaboreflex

      Library.Interfaces.RealInput_ skeletalMuscle_pH 
                                             annotation (Placement(transformation(
              extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,-10},
                {-90,10}})));
      Library.Curves.Curve NerveActivity(
        x=PhOnNerveActivity[:, 1],
        y=PhOnNerveActivity[:, 2],
        slope=PhOnNerveActivity[:, 3]) 
        annotation (Placement(transformation(extent={{-10,-18},{26,18}})));
      Library.Interfaces.RealOutput_ NA 
        annotation (Placement(transformation(extent={{80,-20},{120,20}})));
       parameter Real PhOnNerveActivity[:,3]={{ 6.5,  5.0,  0}, { 6.9,  0.0,  0}};

    equation
      connect(NerveActivity.val, NA)      annotation (Line(
          points={{26.36,0},{100,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(skeletalMuscle_pH, NerveActivity.u) annotation (Line(
          points={{-100,0},{-10,0}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={
            Ellipse(
              extent={{-100,60},{100,-60}},
              lineColor={0,0,0},
              fillColor={215,215,215},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-140,134},{148,106}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"),
            Bitmap(extent={{100,-100},{-100,100}}, fileName=
                  "icons/kyselostVeSvalech.png")}));
    end SkeletalMuscleMetaboreflex;

    model BetaReceptorsActivityFactor
      //extends Library.BaseFactor2;

      HumMod.Library.Interfaces.RealInput_ GangliaGeneral_NA(final quantity=
            "Frequency", final unit="Hz")       annotation (Placement(transformation(extent={{-100,40},
                {-80,60}}), iconTransformation(extent={{-108,-70},{-88,-50}})));
      HumMod.Library.Interfaces.RealInput_ BetaPool_Effect 
                                          annotation (Placement(transformation(extent={{-100,0},
                {-80,20}}),
            iconTransformation(extent={{-108,50},{-88,70}})));
      HumMod.Library.Interfaces.RealInput_ BetaBlockade_Effect 
                   annotation (Placement(transformation(extent={{-42,-46},{-22,-26}}),
            iconTransformation(extent={{-108,-10},{-88,10}})));
      HumMod.Library.Interfaces.RealInput_ yBase 
                               annotation (Placement(transformation(extent={{-10,-10},
                {10,10}},
            rotation=270,
            origin={86,90}),
            iconTransformation(extent={{-10,-10},{10,10}},rotation=270,
            origin={0,70})));
      HumMod.Library.Interfaces.RealOutput_ y 
                            annotation (Placement(transformation(extent={{-10,-10},
                {10,10}},
            rotation=270,
            origin={80,-90}),
            iconTransformation(extent={{-10,-10},{10,10}},  rotation=270,
            origin={0,-70})));

      parameter Real NEURALK(final quantity="FrequencyCoefficient", final unit="1/Hz") = 0.333;
      parameter Real HUMORALK = 0.5;
      parameter Boolean Switch = false;
      parameter Real Setting = 0;

      Modelica.Blocks.Math.Add TotalAgonism(k1=NEURALK, k2=HUMORALK) 
        annotation (Placement(transformation(extent={{-58,20},{-38,40}})));
      Modelica.Blocks.Logical.Switch switch1 
        annotation (Placement(transformation(extent={{18,28},{38,48}})));
      HumMod.Library.Blocks.BooleanConstant booleanConstant(k=Switch) 
        annotation (Placement(transformation(extent={{-28,38},{-8,58}})));
      HumMod.Library.Blocks.Constant Constant(k=Setting) 
        annotation (Placement(transformation(extent={{-30,76},{-10,96}})));
      Modelica.Blocks.Math.Product Activity 
        annotation (Placement(transformation(extent={{-6,-40},{14,-20}})));
      Modelica.Blocks.Math.Product SympsEffect 
                                            annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={80,-66})));
    equation

      connect(Activity.u2, BetaBlockade_Effect) annotation (Line(
          points={{-8,-36},{-32,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Activity.u1, switch1.y) 
                                     annotation (Line(
          points={{-8,-24},{-20,-24},{-20,2},{62,2},{62,38},{39,38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(switch1.u3, TotalAgonism.y) 
                                 annotation (Line(
          points={{16,30},{-37,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(switch1.u2, booleanConstant.y) annotation (Line(
          points={{16,38},{-2,38},{-2,48},{-7,48}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(switch1.u1, Constant.y) annotation (Line(
          points={{16,46},{10,46},{10,86},{-9,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(yBase, SympsEffect.u1) 
                                  annotation (Line(
          points={{86,90},{86,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect.y, y) 
                             annotation (Line(
          points={{80,-77},{80,-90}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GangliaGeneral_NA, TotalAgonism.u1) annotation (Line(
          points={{-90,50},{-70,50},{-70,36},{-60,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BetaPool_Effect, TotalAgonism.u2)  annotation (Line(
          points={{-90,10},{-70,10},{-70,24},{-60,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Activity.y, SympsEffect.u2) annotation (Line(
          points={{15,-30},{74,-30},{74,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Rectangle(
              extent={{-100,70},{100,-70}},
              lineColor={112,143,0},
              fillPattern=FillPattern.Sphere,
              fillColor={255,255,255}), Text(
              extent={{-88,-40},{100,48}},
              lineColor={0,0,0},
              fillPattern=FillPattern.Sphere,
              fillColor={85,255,170},
              textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                      extent={{-100,-100},{100,100}}), graphics));
    end BetaReceptorsActivityFactor;

    model AplhaReceptorsActivityFactor
      //extends Library.BaseFactor2;

      HumMod.Library.Interfaces.RealInput_ GangliaGeneral_NA(final quantity=
            "Frequency", final unit="Hz")       annotation (Placement(transformation(extent={{-100,40},
                {-80,60}}), iconTransformation(extent={{-108,-70},{-88,-50}})));
      HumMod.Library.Interfaces.RealInput_ AlphaPool_Effect 
                                          annotation (Placement(transformation(extent={{-100,0},
                {-80,20}}),
            iconTransformation(extent={{-108,50},{-88,70}})));
      HumMod.Library.Interfaces.RealInput_ AlphaBlockade_Effect 
                   annotation (Placement(transformation(extent={{-42,-46},{-22,-26}}),
            iconTransformation(extent={{-108,-10},{-88,10}})));
      HumMod.Library.Interfaces.RealInput_ yBase 
                               annotation (Placement(transformation(extent={{-10,-10},
                {10,10}},
            rotation=270,
            origin={86,90}),
            iconTransformation(extent={{-10,-10},{10,10}},rotation=270,
            origin={0,70})));
      HumMod.Library.Interfaces.RealOutput_ y 
                            annotation (Placement(transformation(extent={{-10,-10},
                {10,10}},
            rotation=270,
            origin={80,-90}),
            iconTransformation(extent={{-10,-10},{10,10}},  rotation=270,
            origin={0,-70})));

      parameter Real[:,3] data;

      parameter Real NEURALK( final quantity="FrequencyCoefficient", final unit
          =                                                                     "1/Hz") = 0.333;
      parameter Real HUMORALK = 0.5;
      parameter Boolean Switch = false;
      parameter Real Setting = 0;

      Modelica.Blocks.Math.Add TotalAgonism(k1=NEURALK, k2=HUMORALK) 
        annotation (Placement(transformation(extent={{-58,20},{-38,40}})));
      Modelica.Blocks.Logical.Switch switch1 
        annotation (Placement(transformation(extent={{18,28},{38,48}})));
      HumMod.Library.Blocks.BooleanConstant booleanConstant(k=Switch) 
        annotation (Placement(transformation(extent={{-28,38},{-8,58}})));
      HumMod.Library.Blocks.Constant Constant(k=Setting) 
        annotation (Placement(transformation(extent={{-30,76},{-10,96}})));
      Library.Curves.Curve SympsOnConductance(
        x=data[:, 1],
        y=data[:, 2],
        slope=data[:, 3]) 
        annotation (Placement(transformation(extent={{30,-40},{50,-20}})));
      Modelica.Blocks.Math.Product Activity 
        annotation (Placement(transformation(extent={{-6,-40},{14,-20}})));
      Modelica.Blocks.Math.Product SympsEffect 
                                            annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={80,-66})));
    equation

      connect(SympsEffect.u2, SympsOnConductance.val) 
                                      annotation (Line(
          points={{74,-54},{74,-30},{50.2,-30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsOnConductance.u, Activity.y) 
                                  annotation (Line(
          points={{30,-30},{15,-30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Activity.u2, AlphaBlockade_Effect) 
                                                annotation (Line(
          points={{-8,-36},{-32,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Activity.u1, switch1.y) 
                                     annotation (Line(
          points={{-8,-24},{-20,-24},{-20,2},{62,2},{62,38},{39,38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(switch1.u3, TotalAgonism.y) 
                                 annotation (Line(
          points={{16,30},{-37,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(switch1.u2, booleanConstant.y) annotation (Line(
          points={{16,38},{-2,38},{-2,48},{-7,48}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(switch1.u1, Constant.y) annotation (Line(
          points={{16,46},{10,46},{10,86},{-9,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(yBase, SympsEffect.u1) 
                                  annotation (Line(
          points={{86,90},{86,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect.y, y) 
                             annotation (Line(
          points={{80,-77},{80,-90}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GangliaGeneral_NA, TotalAgonism.u1) annotation (Line(
          points={{-90,50},{-70,50},{-70,36},{-60,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AlphaPool_Effect, TotalAgonism.u2) annotation (Line(
          points={{-90,10},{-70,10},{-70,24},{-60,24}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Rectangle(
              extent={{-100,70},{100,-70}},
              lineColor={112,143,0},
              fillPattern=FillPattern.Sphere,
              fillColor={255,255,255}), Text(
              extent={{-88,-40},{100,48}},
              lineColor={0,0,0},
              fillPattern=FillPattern.Sphere,
              fillColor={85,255,170},
              textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                      extent={{-100,-100},{100,100}}), graphics));
    end AplhaReceptorsActivityFactor;

    package setup

    model NervesConstInputs

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{84,-102},{98,-88}}),
             iconTransformation(extent={{-100,60},{-60,100}})));
    Library.Blocks.Constant A2Pool_Log10Con(k=1.30698460203345) 
    annotation (Placement(transformation(extent={{-38,-98},{-32,-92}})));
    Library.Blocks.Constant AlphaBlocade_Effect(k=1.) 
    annotation (Placement(transformation(extent={{-38,-88},{-32,-82}})));
    Library.Blocks.Constant AlphaPool_Effect(k=1.00194503821729) 
    annotation (Placement(transformation(extent={{-38,-78},{-32,-72}})));
    Library.Blocks.Constant AnesthesiaTidalVolume(k=1.) 
    annotation (Placement(transformation(extent={{-38,-68},{-32,-62}})));
    Library.Blocks.Constant BetaBlocade_Effect(k=1.) 
    annotation (Placement(transformation(extent={{-38,-58},{-32,-52}})));
    Library.Blocks.Constant BetaPool_Effect(k=1.00194503821729) 
    annotation (Placement(transformation(extent={{-38,-48},{-32,-42}})));
    Library.Blocks.Constant Artys_pH(k=7.38644600458198) 
    annotation (Placement(transformation(extent={{-38,-38},{-32,-32}})));
    Library.Blocks.Constant BrainFuel_FractUseDelay(k=1.) 
    annotation (Placement(transformation(extent={{-38,-28},{-32,-22}})));
    Library.Blocks.Constant BrainFunctionEffect(k=1.) 
    annotation (Placement(transformation(extent={{-38,-18},{-32,-12}})));
    Library.Blocks.Constant brain_pH_interstitial(k=7.06723228718216) 
    annotation (Placement(transformation(extent={{-38,-8},{-32,-2}})));
    Library.Blocks.Constant CarotidSinusArteryPressure(k=95.4078941631755) 
    annotation (Placement(transformation(extent={{-38,2},{-32,8}})));
    Library.Blocks.Constant ExerciseMetabolism_TotalWatts(k=0.) 
    annotation (Placement(transformation(extent={{-38,12},{-32,18}})));
    Library.Blocks.Constant LeftAtrium_TMP(k=7.74050434820321) 
    annotation (Placement(transformation(extent={{-38,22},{-32,28}})));
    Library.Blocks.Constant O2Artys_pO2(k=90.2887657203378) 
    annotation (Placement(transformation(extent={{-38,32},{-32,38}})));
    Library.Blocks.Constant RightAtrium_TMP(k=3.89677311588134) 
    annotation (Placement(transformation(extent={{-38,42},{-32,48}})));
    Library.Blocks.Constant skeletalMuscle_pH_interstitial(k=7.07675128734354) 
    annotation (Placement(transformation(extent={{-38,52},{-32,58}})));
    Library.Blocks.Constant skeletalMuscle_pH_interstitial1(k=4.08) 
    annotation (Placement(transformation(extent={{-72,64},{-66,70}})));
    Library.Blocks.Constant skeletalMuscle_pH_interstitial2(k=8.16) 
    annotation (Placement(transformation(extent={{-38,74},{-32,80}})));
    Library.Blocks.Constant skeletalMuscle_pH_interstitial3(k=1) 
    annotation (Placement(transformation(extent={{-38,82},{-32,88}})));
    Library.Blocks.Constant HeatCore_Temp(k=37) 
    annotation (Placement(transformation(extent={{-38,92},{-32,98}})));
    Library.Blocks.Constant skeletalMuscle_pH_interstitial4(k=28.888888888888) 
    annotation (Placement(transformation(extent={{-62,74},{-56,80}})));
    equation

    connect(A2Pool_Log10Con.y, busConnector.A2Pool_Log10Con) annotation (Line(
     points={{-31.7,-95},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AlphaBlocade_Effect.y, busConnector.AlphaBlocade_Effect) annotation (Line(
     points={{-31.7,-85},{91,-85},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AlphaPool_Effect.y, busConnector.AlphaPool_Effect) annotation (Line(
     points={{-31.7,-75},{91,-75},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AnesthesiaTidalVolume.y, busConnector.AnesthesiaTidalVolume) annotation (Line(
     points={{-31.7,-65},{91,-65},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BetaBlocade_Effect.y, busConnector.BetaBlocade_Effect) annotation (Line(
     points={{-31.7,-55},{91,-55},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BetaPool_Effect.y, busConnector.BetaPool_Effect) annotation (Line(
     points={{-31.7,-45},{91,-45},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
     points={{-31.7,-35},{91,-35},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BrainFuel_FractUseDelay.y, busConnector.brain_Fuel_FractUseDelay) annotation (Line(
     points={{-31.7,-25},{91,-25},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BrainFunctionEffect.y, busConnector.BrainFunctionEffect) annotation (Line(
     points={{-31.7,-15},{91,-15},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CarotidSinusArteryPressure.y, busConnector.CarotidSinusArteryPressure) annotation (Line(
     points={{-31.7,5},{91,5},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_TotalWatts.y, busConnector.ExerciseMetabolism_TotalWatts) annotation (Line(
     points={{-31.7,15},{91,15},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftAtrium_TMP.y, busConnector.LeftAtrium_Pressure) annotation (Line(
     points={{-31.7,25},{91,25},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(O2Artys_pO2.y, busConnector.O2Artys_PO2) annotation (Line(
     points={{-31.7,35},{91,35},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightAtrium_TMP.y, busConnector.RightAtrium_Pressure) annotation (Line(
     points={{-31.7,45},{91,45},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

        connect(brain_pH_interstitial.y, busConnector.brain_pH_intracellular) 
          annotation (Line(
            points={{-31.7,-5},{91,-5},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skeletalMuscle_pH_interstitial.y, busConnector.skeletalMuscle_pH_intracellular) 
          annotation (Line(
            points={{-31.7,55},{91,55},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
            points={{-31.7,95},{91,95},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skeletalMuscle_pH_interstitial3.y, busConnector.brain_FunctionEffect) 
          annotation (Line(
            points={{-31.7,85},{91,85},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skeletalMuscle_pH_interstitial2.y, busConnector.leftAtrium_TMP) 
          annotation (Line(
            points={{-31.7,77},{91,77},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skeletalMuscle_pH_interstitial1.y, busConnector.rightAtrium_TMP) 
          annotation (Line(
            points={{-65.7,67},{91,67},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skeletalMuscle_pH_interstitial4.y, busConnector.skin_T) 
          annotation (Line(
            points={{-55.7,77},{91,77},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
    end NervesConstInputs;

    model NervesConstInputsFromFile

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{84,-102},{98,-88}}),
             iconTransformation(extent={{-100,60},{-60,100}})));

    Library.Utilities.ConstantFromFile A2Pool_Log10Con(varName="A2Pool.Log10Conc") 
    annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
    Library.Utilities.ConstantFromFile AlphaBlocade_Effect(varName="AlphaBlockade.Effect") 
    annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
    Library.Utilities.ConstantFromFile AlphaPool_Effect(varName="AlphaPool.Effect") 
    annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
    Library.Utilities.ConstantFromFile AnesthesiaTidalVolume(varName="Anesthesia.TidalVolume") 
    annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
    Library.Utilities.ConstantFromFile BetaBlocade_Effect(varName="BetaBlockade.Effect") 
    annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
    Library.Utilities.ConstantFromFile BetaPool_Effect(varName="BetaPool.Effect") 
    annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
    Library.Utilities.ConstantFromFile Artys_pH(varName="BloodPh.ArtysPh") 
    annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
    Library.Utilities.ConstantFromFile BrainFuel_FractUseDelay(varName="Brain-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
    Library.Utilities.ConstantFromFile brain_FunctionEffect(varName="Brain-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,88},{-30,94}})));
    Library.Utilities.ConstantFromFile brain_pH_intracellular(varName="Brain-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
    Library.Utilities.ConstantFromFile CarotidSinusArteryPressure(varName="CarotidSinus.Pressure") 
    annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
    Library.Utilities.ConstantFromFile ExerciseMetabolism_TotalWatts(varName="Exercise-Metabolism.TotalWatts") 
    annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
    Library.Utilities.ConstantFromFile leftAtrium_TMP(varName="LeftAtrium.TMP") 
    annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
    Library.Utilities.ConstantFromFile O2Artys_pO2(varName="PO2Artys.Pressure") 
    annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
    Library.Utilities.ConstantFromFile rightAtrium_TMP(varName="RightAtrium.TMP") 
    annotation (Placement(transformation(extent={{-36,148},{-30,154}})));
    Library.Utilities.ConstantFromFile skeletalMuscle_pH_intracellular(varName="SkeletalMuscle-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
    Library.Utilities.ConstantFromFile skin_T(varName="HeatSkin.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
    Library.Utilities.ConstantFromFile HeatCore_Temp(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,180},{-30,186}})));

    equation
    connect(A2Pool_Log10Con.y, busConnector.A2Pool_Log10Con) annotation (Line(
     points={{-29.7,13},{30.65,13},{30.65,-95},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AlphaBlocade_Effect.y, busConnector.AlphaBlocade_Effect) annotation (Line(
     points={{-29.7,23},{91,23},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AlphaPool_Effect.y, busConnector.AlphaPool_Effect) annotation (Line(
     points={{-29.7,33},{91,33},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AnesthesiaTidalVolume.y, busConnector.AnesthesiaTidalVolume) annotation (Line(
     points={{-29.7,43},{91,43},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BetaBlocade_Effect.y, busConnector.BetaBlocade_Effect) annotation (Line(
     points={{-29.7,53},{91,53},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BetaPool_Effect.y, busConnector.BetaPool_Effect) annotation (Line(
     points={{-29.7,63},{91,63},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
     points={{-29.7,73},{91,73},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BrainFuel_FractUseDelay.y, busConnector.brain_Fuel_FractUseDelay) annotation (Line(
     points={{-29.7,83},{91,83},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CarotidSinusArteryPressure.y, busConnector.CarotidSinusArteryPressure) annotation (Line(
     points={{-29.7,113},{91,113},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_TotalWatts.y, busConnector.ExerciseMetabolism_TotalWatts) annotation (Line(
     points={{-29.7,123},{91,123},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(O2Artys_pO2.y, busConnector.O2Artys_PO2) annotation (Line(
     points={{-29.7,143},{91,143},{91,-95}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

        connect(brain_pH_intracellular.y, busConnector.brain_pH_intracellular) 
          annotation (Line(
            points={{-29.7,103},{91,103},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skeletalMuscle_pH_intracellular.y, busConnector.skeletalMuscle_pH_intracellular) 
          annotation (Line(
            points={{-29.7,163},{91,163},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
            points={{-29.7,183},{91,183},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(brain_FunctionEffect.y, busConnector.brain_FunctionEffect) 
          annotation (Line(
            points={{-29.7,91},{91,91},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(leftAtrium_TMP.y, busConnector.leftAtrium_TMP) 
          annotation (Line(
            points={{-29.7,133},{91,133},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(rightAtrium_TMP.y, busConnector.rightAtrium_TMP) 
          annotation (Line(
            points={{-29.7,151},{91,151},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skin_T.y, busConnector.skin_T) 
          annotation (Line(
            points={{-29.7,173},{91,173},{91,-95}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),       graphics));
    end NervesConstInputsFromFile;
    end setup;

    package test
      model T
        setup.NervesConstInputsFromFile nervesConstInputs 
          annotation (Placement(transformation(extent={{-60,18},{-40,38}})));
        Nerves nerves 
          annotation (Placement(transformation(extent={{-4,18},{16,38}})));
      equation
        connect(nervesConstInputs.busConnector, nerves.busConnector) 
          annotation (Line(
            points={{-58,36},{-2,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end T;
    end test;

    model Pituitary
      extends HumMod.Library.Interfaces.Tissues.Hypophysis;
      parameter Real BaroreflexOnBaroEffectData[:,3]={{ 0.0,  1.5,  0}, { 1.0,  1.0,  -0.5}, { 2.0,  0.5,  0}};

      Library.Curves.Curve BaroreflexOnBaroEffect(
        x=BaroreflexOnBaroEffectData[:, 1],
        y=BaroreflexOnBaroEffectData[:, 2],
        slope=BaroreflexOnBaroEffectData[:, 3]) 
        annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
      Library.Interfaces.RealOutput_ BaroEffect 
        annotation (Placement(transformation(extent={{78,-20},{118,20}})));
      Library.Interfaces.RealInput_ Baroreflex_NA 
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
      Modelica.Blocks.Math.Feedback sub 
        annotation (Placement(transformation(extent={{-18,-10},{2,10}})));
      Library.Blocks.Constant Constant(k=1) 
        annotation (Placement(transformation(extent={{-22,-20},{-14,-12}})));
      Modelica.Blocks.Math.Add add 
        annotation (Placement(transformation(extent={{46,-10},{66,10}})));
      Modelica.Blocks.Math.Product product 
        annotation (Placement(transformation(extent={{12,2},{32,22}})));
      Library.Blocks.Constant BaroSensitivity(k=1) 
        annotation (Placement(transformation(extent={{-12,30},{-4,38}})));
    equation
      connect(Baroreflex_NA, BaroreflexOnBaroEffect.u) 
                                            annotation (Line(
          points={{-100,0},{-54,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BaroreflexOnBaroEffect.val, sub.u1) annotation (Line(
          points={{-33.8,0},{-16,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, sub.u2) annotation (Line(
          points={{-13.6,-16},{-8,-16},{-8,-8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(add.y, BaroEffect) annotation (Line(
          points={{67,0},{98,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, add.u2) annotation (Line(
          points={{-13.6,-16},{16,-16},{16,-6},{44,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(product.y, add.u1) annotation (Line(
          points={{33,12},{38,12},{38,6},{44,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sub.y, product.u2) annotation (Line(
          points={{1,0},{6,0},{6,6},{10,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BaroSensitivity.y, product.u1) annotation (Line(
          points={{-3.6,34},{4,34},{4,18},{10,18}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-110,128},{110,102}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end Pituitary;

    model Hypothalamus
      Library.Interfaces.RealInput_ BrainFunctionEffect 
        annotation (Placement(transformation(extent={{-120,40},{-80,80}})));
      Library.Interfaces.RealOutput_ HypothalamusSkinFlow_NA 
        annotation (Placement(transformation(extent={{80,-20},{120,20}})));
      Library.Interfaces.RealInput_ HeatCore_Temp 
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
      Library.Factors.SplineValue TemperatureEffect_(data={{-2.0,0.0,0},{0.0,
            1.0,1.8},{2.0,4.0,0}}) 
        annotation (Placement(transformation(extent={{-16,6},{4,26}})));
      Modelica.Blocks.Math.Feedback feedback annotation (Placement(
            transformation(
            extent={{6,-6},{-6,6}},
            rotation=180,
            origin={-38,16})));
      Library.Blocks.TemperatureConstant temperatureConstant(k=37) 
        annotation (Placement(transformation(extent={{-22,24},{-30,32}})));
      Library.Factors.SplineValue SkinTempOffset(data={{24,0.0,0},{32,-1.0,0}}) 
        annotation (Placement(transformation(extent={{-38,-50},{-18,-30}})));
      Library.Interfaces.RealInput_ HeatSkin_Temp 
        annotation (Placement(transformation(extent={{-120,-60},{-80,-20}})));
      Library.Blocks.TemperatureConstant temperatureConstant1(k=37) 
        annotation (Placement(transformation(extent={{-14,-32},{-22,-24}})));
      Modelica.Blocks.Math.Feedback feedback1 annotation (Placement(
            transformation(
            extent={{6,-6},{-6,6}},
            rotation=180,
            origin={0,-74})));
      Library.Curves.Curve NerveActivity(
        x={-2,0},
        y={4,0},
        slope={0,0}) 
        annotation (Placement(transformation(extent={{20,-84},{40,-64}})));
      Library.Factors.SplineDelayByDay HypothalamusSweatingAcclimation(
        Tau=7,
        data={{20,0.3,0},{28,0.0,-0.04},{39,-0.3,0}},
        integrator(y_start=0)) 
        annotation (Placement(transformation(extent={{-38,-60},{-18,-40}})));
      Library.Interfaces.RealOutput_ HypothalamusShivering_NA 
        annotation (Placement(transformation(extent={{80,-100},{120,-60}})));
    equation
      connect(TemperatureEffect_.u, feedback.y) annotation (Line(
          points={{-15.8,16},{-32.6,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback.u2, temperatureConstant.y) annotation (Line(
          points={{-38,20.8},{-38,28},{-30.4,28}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TemperatureEffect_.yBase, BrainFunctionEffect) annotation (Line(
          points={{-6,18},{-6,60},{-100,60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TemperatureEffect_.y, HypothalamusSkinFlow_NA) annotation (Line(
          points={{-6,14},{-6,0},{100,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatCore_Temp, feedback.u1) annotation (Line(
          points={{-100,0},{-72,0},{-72,16},{-42.8,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatSkin_Temp, SkinTempOffset.u) annotation (Line(
          points={{-100,-40},{-37.8,-40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(temperatureConstant1.y, SkinTempOffset.yBase) annotation (Line(
          points={{-22.4,-28},{-28,-28},{-28,-38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatCore_Temp, feedback1.u1) annotation (Line(
          points={{-100,0},{-72,0},{-72,-74},{-4.8,-74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback1.y, NerveActivity.u) annotation (Line(
          points={{5.4,-74},{20,-74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatSkin_Temp, HypothalamusSweatingAcclimation.u) annotation (
          Line(
          points={{-100,-40},{-50,-40},{-50,-50},{-37.8,-50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SkinTempOffset.y, HypothalamusSweatingAcclimation.yBase) 
        annotation (Line(
          points={{-28,-42},{-28,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HypothalamusSweatingAcclimation.y, feedback1.u2) annotation (Line(
          points={{-28,-52},{-28,-60},{5.8783e-016,-60},{5.8783e-016,-69.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NerveActivity.val, HypothalamusShivering_NA) annotation (Line(
          points={{40.2,-74},{74,-74},{74,-80},{100,-80}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end Hypothalamus;
    annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
  end Nerves;

  package Setup "Environment Influences"

    model Setup

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{54,-24},{74,-4}}),
            iconTransformation(extent={{60,40},{100,80}})));
      Exercise exercise 
        annotation (Placement(transformation(extent={{0,10},{20,30}})));
      Tissues tissuesSetup 
        annotation (Placement(transformation(extent={{20,-58},{40,-38}})));
      Blood bloodInOut 
        annotation (Placement(transformation(extent={{-24,-60},{-4,-40}})));
      Enviroment enviroment 
        annotation (Placement(transformation(extent={{-36,14},{-16,34}})));
      Posture posture 
        annotation (Placement(transformation(extent={{38,4},{58,24}})));
      Diet diet 
        annotation (Placement(transformation(extent={{-76,14},{-56,34}})));
      Drugs drugs 
        annotation (Placement(transformation(extent={{-68,-58},{-48,-38}})));
      Secretion secretion 
        annotation (Placement(transformation(extent={{-50,42},{-30,62}})));
      Anesthesia anesthesia 
        annotation (Placement(transformation(extent={{-16,42},{4,62}})));
      Unpaired unpaired 
        annotation (Placement(transformation(extent={{58,-62},{78,-42}})));
    equation
      connect(enviroment.busConnector, busConnector) annotation (Line(
          points={{-28,24},{-38,24},{-38,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(exercise.busConnector, busConnector) annotation (Line(
          points={{8,20},{-2,20},{-2,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(tissuesSetup.busConnector, busConnector) annotation (Line(
          points={{28,-48},{16,-48},{16,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(bloodInOut.busConnector, busConnector) annotation (Line(
          points={{-16,-50},{-22,-50},{-22,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(posture.busConnector, busConnector) annotation (Line(
          points={{46,14},{38,14},{38,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(diet.busConnector, busConnector) annotation (Line(
          points={{-68,24},{-76,24},{-76,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(drugs.busConnector, busConnector) annotation (Line(
          points={{-60,-48},{-66,-48},{-66,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(secretion.busConnector, busConnector) annotation (Line(
          points={{-42,52},{-50,52},{-50,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(anesthesia.busConnector, busConnector) annotation (Line(
          points={{-8,52},{-16,52},{-16,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(unpaired.busConnector, busConnector) annotation (Line(
          points={{66,-52},{66,-33},{66,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/setup.png"), Text(
              extent={{-120,-42},{122,-76}},
              lineColor={0,0,255},
              textString="%name")}),               Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
    end Setup;

    model Enviroment

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-40,-20},{-26,-6}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant const2(k=9.81) 
        annotation (Placement(transformation(extent={{14,36},{8,42}})));
      Library.Blocks.Constant Constant77(k=760) 
        annotation (Placement(transformation(extent={{34,76},{28,82}})));
      Library.Blocks.Constant Constant78(k=760) 
        annotation (Placement(transformation(extent={{34,68},{28,74}})));
      Library.Blocks.Constant Constant8(k=0) 
        annotation (Placement(transformation(extent={{76,90},{68,98}})));
      Library.Blocks.Constant Gravity_Gz(k=1) 
        annotation (Placement(transformation(extent={{14,28},{8,34}})));
    Library.Blocks.FractConstant EnvironmentRelativeHumidity(k=70) 
    annotation (Placement(transformation(extent={{-84,12},{-78,18}})));
    Library.Blocks.Constant AmbientTemperature(k=22.2) 
    annotation (Placement(transformation(extent={{-84,20},{-78,26}})));
    equation
      connect(busConnector.BarometerPressure,Constant77. y) 
        annotation (Line(
          points={{-33,-13},{-33,79},{27.7,79}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.AirSupplyInspiredAirPressure,Constant78. y) 
        annotation (Line(
          points={{-33,-13},{-33,71},{27.7,71}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.pCO,Constant8. y) annotation (Line(
          points={{-33,-13},{46,-13},{46,94},{67.6,94}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Gravity_Gz.y, busConnector.Gravity_Gz) annotation (Line(
          points={{7.7,31},{-33,31},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="enviroment")}),          Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
      connect(EnvironmentRelativeHumidity.y, busConnector.EnvironmentRelativeHumidity) 
        annotation (Line(
          points={{-77.7,15},{8,-18},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(AmbientTemperature.y, busConnector.AmbientTemperature) 
        annotation (Line(
          points={{-77.7,23},{-33,23},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    end Enviroment;

    model Diet

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-40,-20},{-24,-4}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant Constant14(k=0) 
        annotation (Placement(transformation(extent={{24,40},{16,48}})));
      Library.Blocks.Constant Constant15(k=0) 
        annotation (Placement(transformation(extent={{24,48},{16,56}})));
      Library.Blocks.Constant Constant16(k=0) 
        annotation (Placement(transformation(extent={{24,56},{16,64}})));
      Library.Blocks.Constant Constant17(k=0) 
        annotation (Placement(transformation(extent={{24,64},{16,72}})));
      Library.Blocks.Constant Constant18(k=0) 
        annotation (Placement(transformation(extent={{24,72},{16,80}})));
      Library.Blocks.Constant Constant19(k=0.128213) 
        annotation (Placement(transformation(extent={{24,80},{16,88}})));
      Library.Blocks.Constant Constant20(k=0) 
        annotation (Placement(transformation(extent={{24,88},{16,96}})));
      Library.Blocks.Constant Constant21(k=0) 
        annotation (Placement(transformation(extent={{36,-90},{28,-82}})));
      Library.Blocks.Constant Constant22(k=0) 
        annotation (Placement(transformation(extent={{36,-82},{28,-74}})));
      Library.Blocks.Constant Constant23(k=0) 
        annotation (Placement(transformation(extent={{36,-74},{28,-66}})));
      Library.Blocks.Constant Constant24(k=0) 
        annotation (Placement(transformation(extent={{36,-66},{28,-58}})));
      Library.Blocks.Constant Constant25(k=0) 
        annotation (Placement(transformation(extent={{36,-58},{28,-50}})));
      Library.Blocks.Constant Constant26(k=5.2e-002) 
        annotation (Placement(transformation(extent={{36,-50},{28,-42}})));
      Library.Blocks.Constant Constant27(k=0) 
        annotation (Placement(transformation(extent={{36,-42},{28,-34}})));
      Library.Blocks.Constant Constant28(k=0) 
        annotation (Placement(transformation(extent={{82,-28},{74,-20}})));
      Library.Blocks.Constant Constant29(k=0) 
        annotation (Placement(transformation(extent={{82,-20},{74,-12}})));
      Library.Blocks.Constant Constant30(k=0) 
        annotation (Placement(transformation(extent={{82,-12},{74,-4}})));
      Library.Blocks.Constant Constant31(k=0) 
        annotation (Placement(transformation(extent={{82,-4},{74,4}})));
      Library.Blocks.Constant Constant32(k=0) 
        annotation (Placement(transformation(extent={{82,4},{74,12}})));
      Library.Blocks.Constant Constant33(k=0.142459) 
        annotation (Placement(transformation(extent={{82,12},{74,20}})));
      Library.Blocks.Constant Constant34(k=0) 
        annotation (Placement(transformation(extent={{82,20},{74,28}})));
      Library.Blocks.Constant Constant35(k=2.2e-002) 
        annotation (Placement(transformation(extent={{-94,-32},{-86,-24}})));
      Library.Blocks.Constant Constant36(k=3.7e-002) 
        annotation (Placement(transformation(extent={{-94,-50},{-86,-42}})));
    Library.Blocks.Constant DietGoalH2O_DegK(k=294.261) 
    annotation (Placement(transformation(extent={{-92,-14},{-86,-8}})));
    equation
      connect(Constant14.y,busConnector. IVDrip_NaRate) annotation (Line(
          points={{15.6,44},{-32,44},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant15.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{15.6,52},{-32,52},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant16.y,busConnector. SweatDuct_NaRate) annotation (Line(
          points={{15.6,60},{-32,60},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant17.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{15.6,68},{-32,68},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant18.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{15.6,76},{-32,76},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant19.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{15.6,84},{-32,84},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant20.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{15.6,92},{-32,92},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant21.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{27.6,-86},{-32,-86},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant22.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{27.6,-78},{-32,-78},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant23.y,busConnector. SweatDuct_KRate) annotation (Line(
          points={{27.6,-70},{-32,-70},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant24.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{27.6,-62},{-32,-62},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant25.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{27.6,-54},{-32,-54},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant26.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{27.6,-46},{-32,-46},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant27.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{27.6,-38},{-32,-38},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant28.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{73.6,-24},{-32,-24},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant29.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{73.6,-16},{-32,-16},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant30.y,busConnector. SweatDuct_ClRate) annotation (Line(
          points={{73.6,-8},{-32,-8},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant31.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{73.6,0},{-32,0},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant32.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{73.6,8},{-32,8},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant33.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{73.6,16},{-32,16},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant34.y, busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{73.6,24},{-32,24},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant35.y, busConnector.DietIntakeElectrolytes_PO4) annotation (Line(
          points={{-85.6,-28},{-80,-28},{-80,-30},{-32,-30},{-32,-12}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(Constant36.y, busConnector.DietIntakeElectrolytes_SO4) annotation (Line(
          points={{-85.6,-46},{-32,-46},{-32,-12}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-85.7,-11},{-84,-12},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="diet")}),                Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
    end Diet;

    model Exercise

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-40,-20},{-26,-6}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant const7(
                              k=1) 
        annotation (Placement(transformation(extent={{-90,-88},{-84,-82}})));
      Library.Blocks.Constant const24(
                               k=0) 
        annotation (Placement(transformation(extent={{-90,-80},{-84,-74}})));
      Library.Blocks.Constant const25(k=0) 
        annotation (Placement(transformation(extent={{-90,-48},{-84,-42}})));
      Library.Blocks.Constant const19(
                               k=1) 
        annotation (Placement(transformation(extent={{-90,-36},{-84,-30}})));
      Library.Blocks.Constant const14(
                               k=.37) 
        annotation (Placement(transformation(extent={{-96,-16},{-90,-10}})));
      Library.Blocks.Constant const15(
                               k=.27) 
        annotation (Placement(transformation(extent={{-96,-6},{-90,0}})));
      Library.Blocks.Constant const11(
                              k=0) 
        annotation (Placement(transformation(extent={{-78,6},{-74,10}})));
      Library.Blocks.Constant const1(k=0) 
        annotation (Placement(transformation(extent={{-90,-56},{-84,-50}})));
      Library.Blocks.Constant const2(k=0) 
        annotation (Placement(transformation(extent={{-90,-64},{-84,-58}})));
    equation
      connect(const7.y,busConnector. Exercise_MusclePump_Effect) annotation (
          Line(
          points={{-83.7,-85},{-48,-85},{-48,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const24.y,busConnector. Exercise_Metabolism_ContractionRate) 
        annotation (Line(
          points={{-83.7,-77},{-48,-77},{-48,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const25.y,busConnector. Exercise_Metabolism_MotionWatts) 
        annotation (Line(
          points={{-83.7,-45},{-48,-45},{-48,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const19.y, busConnector.LegMusclePump_Effect) annotation (Line(
          points={{-83.7,-33},{-47.85,-33},{-47.85,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const14.y, busConnector.HeatInsensibleSkin_H2O)  annotation (Line(
          points={{-89.7,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const15.y, busConnector.HeatInsensibleLung_H2O)  annotation (Line(
          points={{-89.7,-3},{-48.9,-3},{-48.9,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const11.y, busConnector.HeatSweating_H2O) annotation (Line(
          points={{-73.8,8},{-48.9,8},{-48.9,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const1.y, busConnector.ExerciseMetabolism_MotionCals) annotation (
         Line(
          points={{-83.7,-53},{-48,-53},{-48,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const2.y, busConnector.ExerciseMetabolism_TotalWatts) annotation (
         Line(
          points={{-83.7,-61},{-48,-61},{-48,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const11.y, busConnector.SweatDuct_H2OOutflow) annotation (Line(
          points={{-73.8,8},{-33,8},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="exercise")}),            Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
    end Exercise;

    model Posture

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-40,-20},{-26,-6}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant const36(k=0) 
        annotation (Placement(transformation(extent={{64,50},{58,56}})));
      Library.Blocks.Constant const37(k=0) 
        annotation (Placement(transformation(extent={{64,44},{58,50}})));
      Library.Blocks.Constant const10(k=0) 
        annotation (Placement(transformation(extent={{64,32},{58,38}})));
      Library.Blocks.Constant integerConstant(                k=HumMod.Water.Hydrostatics.Posture.Lying) 
        annotation (Placement(transformation(extent={{18,12},{24,18}})));
    equation
      connect(const36.y,busConnector. LowerTorsoArtyHeight) 
        annotation (Line(
          points={{57.7,53},{52,53},{52,58},{-38,58},{-38,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const37.y,busConnector. LowerTorsoVeinHeight) 
        annotation (Line(
          points={{57.7,47},{52,47},{52,58},{-38,58},{-38,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const10.y,busConnector. CarotidSinusHeight) 
        annotation (Line(
          points={{57.7,35},{52,35},{52,58},{-38,58},{-38,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(integerConstant.y, busConnector.Status_Posture) annotation (Line(
          points={{24.3,15},{62.15,15},{62.15,-13},{-33,-13}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="posture")}),             Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
    end Posture;

    model Drugs

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-40,-20},{-26,-6}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant const38(k=0) 
        annotation (Placement(transformation(extent={{26,-72},{20,-66}})));
      Library.Blocks.Constant Constant1(k=0) annotation (Placement(
            transformation(extent={{-80,-88},{-72,-80}})));
      Library.Blocks.Constant Constant2(k=0) annotation (Placement(
            transformation(extent={{-92,6},{-84,14}})));
    equation
      connect(const38.y, busConnector.FurosemidePool_Loss) annotation (Line(
          points={{19.7,-69},{-33,-69},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant1.y,busConnector. FurosemidePool_Furosemide_conc) 
        annotation (Line(
          points={{-71.6,-84},{-38,-84},{-38,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant2.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{-83.6,10},{-62,10},{-62,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="drugs")}),               Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
    end Drugs;

    model Blood

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-40,-20},{-26,-6}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant const41(
                              k=0) 
        annotation (Placement(transformation(extent={{-90,-2},{-84,4}})));
      Library.Blocks.Constant const5(
                              k=0) 
        annotation (Placement(transformation(extent={{-90,-36},{-84,-30}})));
      Library.Blocks.Constant const6(
                              k=0) 
        annotation (Placement(transformation(extent={{-92,-78},{-86,-72}})));
      Library.Blocks.Constant const(
                             k=0) 
        annotation (Placement(transformation(extent={{-90,10},{-86,14}})));
      Library.Blocks.Constant const22(
                             k=0) 
        annotation (Placement(transformation(extent={{-90,-24},{-86,-20}})));
      Library.Blocks.Constant const16(
                             k=0) 
        annotation (Placement(transformation(extent={{-90,-62},{-86,-58}})));
      Library.Blocks.Constant const1(
                             k=0) 
        annotation (Placement(transformation(extent={{-90,-52},{-86,-48}})));
      Library.Blocks.Constant const2(
                              k=0) 
        annotation (Placement(transformation(extent={{-90,-44},{-84,-38}})));
    equation
      connect(const6.y, busConnector.Hemorrhage_ProteinRate) annotation (Line(
          points={{-85.7,-75},{-85.7,-75.5},{-33,-75.5},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const5.y, busConnector.Transfusion_ProteinRate) annotation (Line(
          points={{-83.7,-33},{-83.7,-32.5},{-33,-32.5},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const41.y, busConnector.IVDripProteinRate) annotation (Line(
          points={{-83.7,1},{-83.7,0.5},{-33,0.5},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const.y, busConnector.IVDrip_H2ORate)  annotation (Line(
          points={{-85.8,12},{-39.85,12},{-39.85,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const22.y, busConnector.Transfusion_PlasmaRate) 
                                                             annotation (Line(
          points={{-85.8,-22},{-33,-22},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const16.y, busConnector.Hemorrhage_PlasmaRate) 
                                                            annotation (Line(
          points={{-85.8,-60},{-33,-60},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const1.y, busConnector.Hemorrhage_RBCRate) annotation (Line(
          points={{-85.8,-50},{-33,-50},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const2.y, busConnector.Transfusion_RBCRate) annotation (Line(
          points={{-83.7,-41},{-33,-41},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="blood +-")}),            Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
    end Blood;

    model Tissues

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-40,-20},{-26,-6}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Modelica.Blocks.Sources.Step step(
        startTime=600,
        height=0,
        offset=-3) 
        annotation (Placement(transformation(extent={{-88,-40},{-78,-30}})));
      Modelica.Blocks.Sources.Step step1(
        offset=-4,
        startTime=600,
        height=0) 
        annotation (Placement(transformation(extent={{-88,-26},{-78,-16}})));
      Library.Blocks.Constant Constant12(k=1) 
        annotation (Placement(transformation(extent={{-90,46},{-84,52}})));
      Library.Blocks.Constant Constant11(k=0) 
        annotation (Placement(transformation(extent={{-90,52},{-84,58}})));
      Library.Blocks.Constant Constant1(k=1) annotation (Placement(
            transformation(extent={{-88,22},{-80,30}})));
      Library.Blocks.ConstantFromFile Constant21(units="ml",k=31) 
                                             annotation (Placement(
            transformation(extent={{-86,70},{-78,78}})));
      Library.Blocks.Constant Constant2(k=1) annotation (Placement(
            transformation(extent={{-88,10},{-80,18}})));
    equation
      connect(step.y,busConnector. Pericardium_Pressure)          annotation (
         Line(
          points={{-77.5,-35},{-32,-35},{-32,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(step1.y,busConnector. Thorax_AvePressure)          annotation (
          Line(
          points={{-77.5,-21},{-33,-21},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant12.y, busConnector.Thorax_LungInflation) 
        annotation (Line(
          points={{-83.7,49},{-33,49},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant11.y, busConnector.ExcessLungWater_Volume) 
        annotation (Line(
          points={{-83.7,55},{-33,55},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant1.y, busConnector.Kidney_NephronCount_Total_xNormal) 
        annotation (Line(
          points={{-79.6,26},{-34,26},{-34,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant21.y, busConnector.Medulla_Volume)        annotation (Line(
          points={{-77.6,74},{-34,74},{-34,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant2.y, busConnector.Kidney_NephronCount_Filtering_xNormal) 
        annotation (Line(
          points={{-79.6,14},{-34,14},{-34,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="tissues")}),             Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
    end Tissues;

    model Secretion "of urine and faeces"

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-40,-20},{-26,-6}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant const9(k=0) 
        annotation (Placement(transformation(extent={{-60,24},{-56,28}})));
    equation
      connect(const9.y, busConnector.BladerVoidFlow) annotation (Line(
          points={{-55.8,26},{-33,26},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const9.y, busConnector.BladderVoidFlow) annotation (Line(
          points={{-55.8,26},{-33,26},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="secretion")}),                Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
    end Secretion;

    model Anesthesia

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-40,-20},{-26,-6}}),
            iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant const9(k=1) 
        annotation (Placement(transformation(extent={{-60,24},{-56,28}})));
      Library.Blocks.Constant const1(k=1) 
        annotation (Placement(transformation(extent={{-76,14},{-72,18}})));
    equation
      connect(const9.y, busConnector.AnesthesiaTidalVolume) annotation (Line(
          points={{-55.8,26},{-33,26},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const1.y, busConnector.Anesthesia_VascularConductance) 
        annotation (Line(
          points={{-71.8,16},{-33,16},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="anesthesia")}),               Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics),
        Documentation(info="<html>
<p>effect 1 means no anesthesia</p>
</html>"));
    end Anesthesia;

    model Unpaired
    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{72,-2},{86,12}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant HeatShivering_Cals(k=0.) 
    annotation (Placement(transformation(extent={{-96,-70},{-90,-64}})));
    Library.Blocks.Constant HypothalamusSkinFlow_NervesActivity(k=0.935029749050722) 
    annotation (Placement(transformation(extent={{-96,-78},{-90,-72}})));
    Library.Blocks.Constant HypothalamusTSH_TemperatureEffect(k=1.03855784498264) 
    annotation (Placement(transformation(extent={{-96,-62},{-90,-56}})));
    Library.Blocks.Constant skeletalMuscle_SizeMass(k=26743.5620376591) 
    annotation (Placement(transformation(extent={{-96,22},{-90,28}})));
    Library.Blocks.Constant skinSizeMass(k=2792.87262585285) 
    annotation (Placement(transformation(extent={{-96,28},{-90,34}})));
    Library.Blocks.Constant WeightCore(k=48332.7389031163) 
    annotation (Placement(transformation(extent={{-96,34},{-90,40}})));
    equation
    connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{-89.7,25},{79,25},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
     points={{-89.7,31},{79,31},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
     points={{-89.7,37},{79,37},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end Unpaired;

    model SetupFromFile

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-8,-36},{12,-16}}),
            iconTransformation(extent={{60,40},{100,80}})));

     Library.Utilities.ConstantFromFile AirSupplyInspiredAirPressure(varName="AirSupply-InspiredAir.Pressure") 
    annotation (Placement(transformation(extent={{-80,-154},{-74,-148}})));
    Library.Utilities.ConstantFromFile Anesthesia_VascularConductance(varName="Anesthesia.VascularConductance") 
    annotation (Placement(transformation(extent={{-80,-144},{-74,-138}})));
    Library.Utilities.ConstantFromFile AnesthesiaTidalVolume(varName="Anesthesia.TidalVolume") 
    annotation (Placement(transformation(extent={{-80,-134},{-74,-128}})));
    Library.Utilities.ConstantFromFile BarometerPressure(varName="Barometer.Pressure") 
    annotation (Placement(transformation(extent={{-80,-124},{-74,-118}})));
    Library.Utilities.ConstantFromFile BladderVoidFlow(varName="BladderVoidFlow") 
    annotation (Placement(transformation(extent={{-80,-114},{-74,-108}})));
    Library.Utilities.ConstantFromFile CarotidSinusHeight(varName="CarotidSinus.Level") 
    annotation (Placement(transformation(extent={{-80,-94},{-74,-88}})));
    Library.Utilities.ConstantFromFile DialyzerActivity_Cl_Flux(varName="DialyzerActivity.Cl-Flux") 
    annotation (Placement(transformation(extent={{-80,-84},{-74,-78}})));
    Library.Utilities.ConstantFromFile DialyzerActivity_K_Flux(varName="DialyzerActivity.K+Flux") 
    annotation (Placement(transformation(extent={{-80,-74},{-74,-68}})));
    Library.Utilities.ConstantFromFile DialyzerActivity_Na_Flux(varName="DialyzerActivity.Na+Flux") 
    annotation (Placement(transformation(extent={{-80,-64},{-74,-58}})));
    Library.Utilities.ConstantFromFile DietGoalH2O_DegK(varName="DietGoalH2O.DegK") 
    annotation (Placement(transformation(extent={{-80,-54},{-74,-48}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_Cl(varName="DietIntakeElectrolytes.Cl-_mEq/Min") 
    annotation (Placement(transformation(extent={{-80,-44},{-74,-38}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_K(varName="DietIntakeElectrolytes.K+_mEq/Min") 
    annotation (Placement(transformation(extent={{-80,-34},{-74,-28}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_Na(varName="DietIntakeElectrolytes.Na+_mEq/Min") 
    annotation (Placement(transformation(extent={{-80,-24},{-74,-18}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_PO4(varName="DietIntakeElectrolytes.PO4--mEq/Min") 
    annotation (Placement(transformation(extent={{-80,-14},{-74,-8}})));
    Library.Utilities.ConstantFromFile DietIntakeElectrolytes_SO4(varName="DietIntakeElectrolytes.SO4--mEq/Min") 
    annotation (Placement(transformation(extent={{-80,-4},{-74,2}})));
    Library.Utilities.ConstantFromFile Exercise_Metabolism_ContractionRate(varName="Exercise-Metabolism.ContractionRate") 
    annotation (Placement(transformation(extent={{-80,16},{-74,22}})));
    Library.Utilities.ConstantFromFile Exercise_Metabolism_MotionWatts(varName="Exercise-Metabolism.MotionWatts") 
    annotation (Placement(transformation(extent={{-80,26},{-74,32}})));
    Library.Utilities.ConstantFromFile Exercise_MusclePump_Effect(varName="Exercise-MusclePump.Effect") 
    annotation (Placement(transformation(extent={{-80,36},{-74,42}})));
    Library.Utilities.ConstantFromFile ExerciseMetabolism_MotionCals(varName="Exercise-Metabolism.MotionCals") 
    annotation (Placement(transformation(extent={{-80,46},{-74,52}})));
    Library.Utilities.ConstantFromFile ExerciseMetabolism_TotalWatts(varName="Exercise-Metabolism.TotalWatts") 
    annotation (Placement(transformation(extent={{-80,56},{-74,62}})));
    Library.Utilities.ConstantFromFile FurosemidePool_Furosemide_conc(varName="FurosemidePool.[Furosemide]") 
    annotation (Placement(transformation(extent={{-80,66},{-74,72}})));
    Library.Utilities.ConstantFromFile FurosemidePool_Loss(varName="FurosemidePool.Loss") 
    annotation (Placement(transformation(extent={{-80,76},{-74,82}})));
    Library.Utilities.ConstantFromFile Gravity_Gz(varName="Gravity.Gz") 
    annotation (Placement(transformation(extent={{-80,86},{-74,92}})));
    Library.Utilities.ConstantFromFile GILumenDiarrhea_KLoss(varName="GILumenDiarrhea.K+Loss") 
    annotation (Placement(transformation(extent={{-80,96},{-74,102}})));
    Library.Utilities.ConstantFromFile GILumenDiarrhea_NaLoss(varName="GILumenDiarrhea.Na+Loss") 
    annotation (Placement(transformation(extent={{-80,106},{-74,112}})));
    Library.Utilities.ConstantFromFile GILumenVomitus_ClLoss(varName="GILumenVomitus.Cl-Loss") 
    annotation (Placement(transformation(extent={{-80,116},{-74,122}})));
    Library.Utilities.ConstantFromFile HeatInsensibleLung_H2O(varName="HeatInsensibleLung.H2O") 
    annotation (Placement(transformation(extent={{-80,126},{-74,132}})));
    Library.Utilities.ConstantFromFile HeatInsensibleSkin_H2O(varName="HeatInsensibleSkin.H2O") 
    annotation (Placement(transformation(extent={{-80,136},{-74,142}})));
    Library.Utilities.ConstantFromFile Hemorrhage_ClRate(varName="Hemorrhage.ClRate") 
    annotation (Placement(transformation(extent={{68,12},{74,18}})));
    Library.Utilities.ConstantFromFile Hemorrhage_KRate(varName="Hemorrhage.KRate") 
    annotation (Placement(transformation(extent={{68,22},{74,28}})));
    Library.Utilities.ConstantFromFile Hemorrhage_NaRate(varName="Hemorrhage.NaRate") 
    annotation (Placement(transformation(extent={{72,-168},{78,-162}})));
    Library.Utilities.ConstantFromFile Hemorrhage_PlasmaRate(varName="Hemorrhage.PlasmaRate") 
    annotation (Placement(transformation(extent={{72,-158},{78,-152}})));
    Library.Utilities.ConstantFromFile Hemorrhage_ProteinRate(varName="Hemorrhage.ProteinRate") 
    annotation (Placement(transformation(extent={{72,-148},{78,-142}})));
    Library.Utilities.ConstantFromFile Hemorrhage_RBCRate(varName="Hemorrhage.RBCRate") 
    annotation (Placement(transformation(extent={{72,-138},{78,-132}})));
    Library.Utilities.ConstantFromFile IVDrip_ClRate(varName="IVDrip.ClRate") 
    annotation (Placement(transformation(extent={{72,-128},{78,-122}})));
    Library.Utilities.ConstantFromFile IVDrip_H2ORate(varName="IVDrip.H2ORate") 
    annotation (Placement(transformation(extent={{72,-118},{78,-112}})));
    Library.Utilities.ConstantFromFile IVDrip_KRate(varName="IVDrip.KRate") 
    annotation (Placement(transformation(extent={{72,-108},{78,-102}})));
    Library.Utilities.ConstantFromFile IVDrip_NaRate(varName="IVDrip.NaRate") 
    annotation (Placement(transformation(extent={{72,-98},{78,-92}})));
    Library.Utilities.ConstantFromFile Kidney_NephronCount_Filtering_xNormal(varName="Kidney-NephronCount.Filtering(xNormal)") 
    annotation (Placement(transformation(extent={{72,-88},{78,-82}})));
    Library.Utilities.ConstantFromFile Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)") 
    annotation (Placement(transformation(extent={{72,-78},{78,-72}})));
    Library.Utilities.ConstantFromFile LegMusclePump_Effect(varName="LegMusclePump.Effect") 
    annotation (Placement(transformation(extent={{72,-68},{78,-62}})));
    Library.Utilities.ConstantFromFile LowerTorsoArtyHeight(varName="Hydrostatics.LowerTorsoArtyGradient") 
    annotation (Placement(transformation(extent={{72,-58},{78,-52}})));
    Library.Utilities.ConstantFromFile LowerTorsoVeinHeight(varName="Hydrostatics.LowerTorsoVeinGradient") 
    annotation (Placement(transformation(extent={{72,-48},{78,-42}})));
    Library.Utilities.ConstantFromFile Medulla_Volume(varName="Medulla.Volume") 
    annotation (Placement(transformation(extent={{72,-38},{78,-32}})));
    Library.Utilities.ConstantFromFile pCO(varName="pCO") 
    annotation (Placement(transformation(extent={{72,-28},{78,-22}})));
    Library.Utilities.ConstantFromFile Pericardium_Pressure(varName="Pericardium-Cavity.Pressure") 
    annotation (Placement(transformation(extent={{72,-18},{78,-12}})));
    Library.Utilities.ConstantFromFile skeletalMuscle_SizeMass(varName="SkeletalMuscle-Size.Mass") 
    annotation (Placement(transformation(extent={{72,-8},{78,-2}})));
    Library.Utilities.ConstantFromFile skinSizeMass(varName="Skin-Size.Mass") 
    annotation (Placement(transformation(extent={{72,2},{78,8}})));
    Library.Utilities.ConstantFromFile Status_Posture(varName="Status.Posture") 
    annotation (Placement(transformation(extent={{72,12},{78,18}})));
    Library.Utilities.ConstantFromFile SweatDuct_ClRate(varName="SweatDuct.ClOutflow") 
    annotation (Placement(transformation(extent={{72,22},{78,28}})));
    Library.Utilities.ConstantFromFile SweatDuct_H2OOutflow(varName="SweatDuct.H2OOutflow") 
    annotation (Placement(transformation(extent={{72,32},{78,38}})));
    Library.Utilities.ConstantFromFile SweatDuct_KRate(varName="SweatDuct.KOutflow") 
    annotation (Placement(transformation(extent={{72,42},{78,48}})));
    Library.Utilities.ConstantFromFile SweatDuct_NaRate(varName="SweatDuct.NaOutflow") 
    annotation (Placement(transformation(extent={{72,52},{78,58}})));
    Library.Utilities.ConstantFromFile ThiazidePool_Thiazide_conc(varName="ThiazidePool.[Thiazide]") 
    annotation (Placement(transformation(extent={{72,62},{78,68}})));
    Library.Utilities.ConstantFromFile Thorax_AvePressure(varName="Thorax.AvePressure") 
    annotation (Placement(transformation(extent={{72,72},{78,78}})));
    Library.Utilities.ConstantFromFile Thorax_LungInflation(varName="Thorax.LungInflation") 
    annotation (Placement(transformation(extent={{72,82},{78,88}})));
    Library.Utilities.ConstantFromFile Transfusion_ClRate(varName="Transfusion.ClRate") 
    annotation (Placement(transformation(extent={{72,92},{78,98}})));
    Library.Utilities.ConstantFromFile Transfusion_KRate(varName="Transfusion.KRate") 
    annotation (Placement(transformation(extent={{72,102},{78,108}})));
    Library.Utilities.ConstantFromFile Transfusion_NaRate(varName="Transfusion.NaRate") 
    annotation (Placement(transformation(extent={{72,112},{78,118}})));
    Library.Utilities.ConstantFromFile Transfusion_PlasmaRate(varName="Transfusion.PlasmaRate") 
    annotation (Placement(transformation(extent={{72,122},{78,128}})));
    Library.Utilities.ConstantFromFile Transfusion_ProteinRate(varName="Transfusion.ProteinRate") 
    annotation (Placement(transformation(extent={{72,132},{78,138}})));
    Library.Utilities.ConstantFromFile Transfusion_RBCRate(varName="Transfusion.RBCRate") 
    annotation (Placement(transformation(extent={{72,142},{78,148}})));
    Library.Utilities.ConstantFromFile WeightCore(varName="Weight.Core") 
    annotation (Placement(transformation(extent={{72,152},{78,158}})));

    Library.Utilities.ConstantFromFile IVDrip_ProteinRate(varName="IVDrip.ProteinRate") 
    annotation (Placement(transformation(extent={{-90,-40},{-84,-34}})));
    Library.Utilities.ConstantFromFile AmbientTemperature(varName=
            "AmbientTemperature.Temp(C)") 
    annotation (Placement(transformation(extent={{-94,10},{-88,16}})));
    Library.Utilities.ConstantFromFile EnvironmentRelativeHumidity(varName=
            "EnvironmentRelativeHumidity", k=0.7) 
    annotation (Placement(transformation(extent={{-94,2},{-88,8}})));
    equation
      connect( Gravity_Gz.y,busConnector.Gravity_Gz)          annotation (Line(
          points={{-73.7,89},{2,89},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(BarometerPressure.y,busConnector.BarometerPressure) 
        annotation (Line(
          points={{-73.7,-121},{2,-120},{4,-120},{4,-26},{2,-26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(AirSupplyInspiredAirPressure.y,busConnector.AirSupplyInspiredAirPressure) 
        annotation (Line(
          points={{-73.7,-151},{4,-154},{4,-26},{2,-26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(pCO.y,busConnector.pCO) annotation (Line(
          points={{78.3,-25},{2,-28},{2,-26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect( IVDrip_NaRate.y,busConnector. IVDrip_NaRate) annotation (Line(
          points={{78.3,-95},{2,-95},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_NaRate.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{78.3,115},{2,115},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( SweatDuct_NaRate.y,busConnector. SweatDuct_NaRate) annotation (Line(
          points={{78.3,55},{2,55},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_NaRate.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{78.3,-165},{2,-165},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_Na_Flux.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{-73.7,-61},{2,-61},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_Na.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{-73.7,-21},{2,-21},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( GILumenDiarrhea_NaLoss.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{-73.7,109},{2,109},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( IVDrip_KRate.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{78.3,-105},{2,-105},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_KRate.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{78.3,105},{2,105},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( SweatDuct_KRate.y,busConnector. SweatDuct_KRate) annotation (Line(
          points={{78.3,45},{2,45},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_KRate.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{74.3,25},{2,25},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_K_Flux.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{-73.7,-71},{2,-71},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_K.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{-73.7,-31},{2,-31},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( GILumenDiarrhea_KLoss.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{-73.7,99},{2,99},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( IVDrip_ClRate.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{78.3,-125},{2,-125},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_ClRate.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{78.3,95},{2,95},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( SweatDuct_ClRate.y,busConnector. SweatDuct_ClRate) annotation (Line(
          points={{78.3,25},{-4.85,25},{-4.85,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_ClRate.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{74.3,15},{2,15},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_Cl_Flux.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{-73.7,-81},{2,-81},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_Cl.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{-73.7,-41},{2,-41},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GILumenVomitus_ClLoss.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{-73.7,119},{2,119},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(DietIntakeElectrolytes_PO4.y,busConnector.DietIntakeElectrolytes_PO4) annotation (Line(
          points={{-73.7,-11},{6,-11},{6,-26},{2,-26}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(DietIntakeElectrolytes_SO4.y,busConnector.DietIntakeElectrolytes_SO4) annotation (Line(
          points={{-73.7,-1},{2,-1},{2,-26}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(DietGoalH2O_DegK.y,busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-73.7,-51},{-2,28},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Exercise_MusclePump_Effect.y,busConnector. Exercise_MusclePump_Effect) annotation (
          Line(
          points={{-73.7,39},{-2,39},{-2,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Exercise_Metabolism_ContractionRate.y,busConnector. Exercise_Metabolism_ContractionRate) 
        annotation (Line(
          points={{-73.7,19},{-2,19},{-2,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Exercise_Metabolism_MotionWatts.y,busConnector. Exercise_Metabolism_MotionWatts) 
        annotation (Line(
          points={{-73.7,29},{-2,29},{-2,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(LegMusclePump_Effect.y,busConnector.LegMusclePump_Effect) annotation (Line(
          points={{78.3,-65},{-7.85,-65},{-7.85,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(HeatInsensibleSkin_H2O.y,busConnector.HeatInsensibleSkin_H2O)  annotation (Line(
          points={{-73.7,139},{-3.85,139},{-3.85,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(HeatInsensibleLung_H2O.y,busConnector.HeatInsensibleLung_H2O)  annotation (Line(
          points={{-73.7,129},{-2.9,129},{-2.9,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ExerciseMetabolism_MotionCals.y,busConnector.ExerciseMetabolism_MotionCals) annotation (
         Line(
          points={{-73.7,49},{-2,49},{-2,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ExerciseMetabolism_TotalWatts.y,busConnector.ExerciseMetabolism_TotalWatts) annotation (
         Line(
          points={{-73.7,59},{-2,59},{-2,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(SweatDuct_H2OOutflow.y,busConnector.SweatDuct_H2OOutflow) annotation (Line(
          points={{78.3,35},{2,35},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( LowerTorsoArtyHeight.y,busConnector. LowerTorsoArtyHeight) 
        annotation (Line(
          points={{78.3,-55},{-6,-55},{-6,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( LowerTorsoVeinHeight.y,busConnector. LowerTorsoVeinHeight) 
        annotation (Line(
          points={{78.3,-45},{-6,-45},{-6,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( CarotidSinusHeight.y,busConnector. CarotidSinusHeight) 
        annotation (Line(
          points={{-73.7,-91},{0,-91},{0,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Status_Posture.y,busConnector.Status_Posture) annotation (Line(
          points={{78.3,15},{4.15,15},{4.15,-26},{2,-26}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( FurosemidePool_Furosemide_conc.y,busConnector. FurosemidePool_Furosemide_conc) 
        annotation (Line(
          points={{-73.7,69},{8,69},{8,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( ThiazidePool_Thiazide_conc.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{78.3,65},{-2,65},{-2,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(FurosemidePool_Loss.y,busConnector.FurosemidePool_Loss) annotation (Line(
          points={{-73.7,79},{2,79},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_ProteinRate.y,busConnector.Hemorrhage_ProteinRate) annotation (Line(
          points={{78.3,-145},{78.3,-163.5},{2,-163.5},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_ProteinRate.y,busConnector.Transfusion_ProteinRate) annotation (Line(
          points={{78.3,135},{78.3,-24.5},{2,-24.5},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(IVDrip_H2ORate.y,busConnector.IVDrip_H2ORate)  annotation (Line(
          points={{78.3,-115},{0.15,-115},{0.15,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate.y,busConnector.Transfusion_PlasmaRate) 
                                                             annotation (Line(
          points={{78.3,125},{2,125},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate.y,busConnector.Hemorrhage_PlasmaRate) 
                                                            annotation (Line(
          points={{78.3,-155},{2,-155},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_RBCRate.y,busConnector.Hemorrhage_RBCRate) annotation (Line(
          points={{78.3,-135},{2,-135},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_RBCRate.y,busConnector.Transfusion_RBCRate) annotation (Line(
          points={{78.3,145},{2,145},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Pericardium_Pressure.y,busConnector. Pericardium_Pressure)          annotation (
         Line(
          points={{78.3,-15},{2,-15},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Thorax_AvePressure.y,busConnector. Thorax_AvePressure)          annotation (
          Line(
          points={{78.3,75},{2,75},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Thorax_LungInflation.y,busConnector.Thorax_LungInflation) 
        annotation (Line(
          points={{78.3,85},{2,85},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y,busConnector.Kidney_NephronCount_Total_xNormal) 
        annotation (Line(
          points={{78.3,-75},{6,-75},{6,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Medulla_Volume.y,busConnector.Medulla_Volume)         annotation (Line(
          points={{78.3,-35},{-6,-35},{-6,-26},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Filtering_xNormal.y,busConnector.Kidney_NephronCount_Filtering_xNormal) 
        annotation (Line(
          points={{78.3,-85},{2,-85},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(BladderVoidFlow.y,busConnector.BladderVoidFlow) annotation (Line(
          points={{-73.7,-111},{2,-111},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AnesthesiaTidalVolume.y,busConnector.AnesthesiaTidalVolume) 
                                                            annotation (Line(
          points={{-73.7,-131},{2,-131},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Anesthesia_VascularConductance.y,busConnector.Anesthesia_VascularConductance) 
        annotation (Line(
          points={{-73.7,-141},{2,-141},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y,busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{78.3,-5},{2,-5},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y,busConnector.skinSizeMass) annotation (Line(
     points={{78.3,5},{2,5},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y,busConnector.WeightCore) annotation (Line(
     points={{78.3,155},{2,155},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(IVDrip_ProteinRate.y, busConnector.IVDripProteinRate) annotation (
          Line(
    points={{-83.7,-37},{2,-37},{2,-26}},
         color={0,0,127},
         smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}}, 
                fileName="icons/setup.png"), Text(
              extent={{-120,-42},{122,-76}},
              lineColor={0,0,255},
              textString="%name")}),               Diagram(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics));
      connect(AmbientTemperature.y, busConnector.AmbientTemperature) 
        annotation (Line(
          points={{-87.7,13},{2,-24},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(EnvironmentRelativeHumidity.y, busConnector.EnvironmentRelativeHumidity) 
        annotation (Line(
          points={{-87.7,5},{-2,-28},{2,-26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    end SetupFromFile;
    annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
  end Setup;

  package Status "Fitness Status of Tissue Structures and Functionality"

    model TissuesFitness
     //extends Library.Interfaces.BaseModel;
      tissues.SkeletalMuscle skeletalMuscle 
        annotation (Placement(transformation(extent={{-80,64},{-60,84}})));

      tissues.Bone bone 
        annotation (Placement(transformation(extent={{-80,32},{-60,52}})));

      tissues.Fat fat 
        annotation (Placement(transformation(extent={{-80,-58},{-60,-38}})));

      tissues.Brain brain 
        annotation (Placement(transformation(extent={{0,30},{20,50}})));

      tissues.RightHeart rightHeart 
        annotation (Placement(transformation(extent={{0,-90},{20,-70}})));

      tissues.RespiratoryMuscle respiratoryMuscle 
        annotation (Placement(transformation(extent={{-80,-28},{-60,-8}})));

      tissues.OtherTissue otherTissue 
        annotation (Placement(transformation(extent={{-80,2},{-60,22}})));

      tissues.Liver liver 
        annotation (Placement(transformation(extent={{0,64},{20,84}})));

      tissues.LeftHeart leftHeart 
        annotation (Placement(transformation(extent={{0,-60},{20,-40}})));

      tissues.Kidney kidney 
        annotation (Placement(transformation(extent={{0,-30},{20,-10}})));

      tissues.GITract GITract 
        annotation (Placement(transformation(extent={{0,-2},{20,18}})));

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
      tissues.Skin skin 
        annotation (Placement(transformation(extent={{-80,-88},{-60,-68}})));

      PatientStatus patientStatus 
        annotation (Placement(transformation(extent={{74,16},{94,36}})));
    equation

      connect(bone.pH_intracellular, busConnector.bone_pH_intracellular)        annotation (
         Line(
          points={{-61,50},{-20,50},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(brain.pH_intracellular, busConnector.brain_pH_intracellular) 
        annotation (Line(
          points={{19,48},{46,48},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(fat.pH_intracellular, busConnector.fat_pH_intracellular)     annotation (
          Line(
          points={{-61,-40},{-20,-40},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(GITract.pH_intracellular, busConnector.GITract_pH_intracellular) 
        annotation (Line(
          points={{19,16},{46,16},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(kidney.pH_intracellular, busConnector.kidney_pH_intracellular) 
        annotation (Line(
          points={{19,-12},{46,-12},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(leftHeart.pH_intracellular, busConnector.leftHeart_pH_intracellular) 
        annotation (Line(
          points={{19,-42},{46,-42},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(liver.pH_intracellular, busConnector.liver_pH_intracellular) 
        annotation (Line(
          points={{19,82},{46,82},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(otherTissue.pH_intracellular, busConnector.otherTissue_pH_intracellular) 
        annotation (Line(
          points={{-61,20},{-20,20},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(respiratoryMuscle.pH_intracellular, busConnector.respiratoryMuscle_pH_intracellular) 
        annotation (Line(
          points={{-61,-10},{-20,-10},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(rightHeart.pH_intracellular, busConnector.rightHeart_pH_intracellular) 
        annotation (Line(
          points={{19,-72},{46,-72},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skin.pH_intracellular, busConnector.skin_pH_intracellular)     annotation (
         Line(
          points={{-61,-70},{-20,-70},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skeletalMuscle.pH_intracellular, busConnector.skeletalMuscle_pH_intracellular) 
        annotation (Line(
          points={{-61,82},{-20.5,82},{-20.5,92},{-88,92}},
          color={127,0,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));

      connect(bone.T, busConnector.bone_T)        annotation (
         Line(
          points={{-61,46},{-20,46},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(brain.T, busConnector.brain_T) 
        annotation (Line(
          points={{19,44},{46,44},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(fat.T, busConnector.fat_T)     annotation (
          Line(
          points={{-61,-44},{-20,-44},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(GITract.T, busConnector.GITract_T) 
        annotation (Line(
          points={{19,12},{46,12},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(kidney.T, busConnector.kidney_T) 
        annotation (Line(
          points={{19,-16},{46,-16},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(leftHeart.T, busConnector.leftHeart_T) 
        annotation (Line(
          points={{19,-46},{46,-46},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(liver.T, busConnector.liver_T) 
        annotation (Line(
          points={{19,78},{46,78},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(otherTissue.T, busConnector.otherTissue_T) 
        annotation (Line(
          points={{-61,16},{-20,16},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(respiratoryMuscle.T, busConnector.respiratoryMuscle_T) 
        annotation (Line(
          points={{-61,-14},{-20,-14},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(rightHeart.T, busConnector.rightHeart_T) 
        annotation (Line(
          points={{19,-76},{46,-76},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skin.T, busConnector.skin_T)     annotation (
         Line(
          points={{-61,-74},{-20,-74},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skeletalMuscle.T, busConnector.skeletalMuscle_T) 
        annotation (Line(
          points={{-61,78},{-20.5,78},{-20.5,92},{-88,92}},
          color={127,0,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));

      connect(bone.Fuel_FractUseDelay, busConnector.bone_Fuel_FractUseDelay)        annotation (
         Line(
          points={{-61,42},{-20,42},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(brain.Fuel_FractUseDelay, busConnector.brain_Fuel_FractUseDelay) 
        annotation (Line(
          points={{19,40},{46,40},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(fat.Fuel_FractUseDelay, busConnector.fat_Fuel_FractUseDelay)     annotation (
          Line(
          points={{-61,-48},{-20,-48},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(GITract.Fuel_FractUseDelay, busConnector.GITract_Fuel_FractUseDelay) 
        annotation (Line(
          points={{19,8},{46,8},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(kidney.Fuel_FractUseDelay, busConnector.kidney_Fuel_FractUseDelay) 
        annotation (Line(
          points={{19,-20},{46,-20},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(leftHeart.Fuel_FractUseDelay, busConnector.leftHeart_Fuel_FractUseDelay) 
        annotation (Line(
          points={{19,-50},{46,-50},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(liver.Fuel_FractUseDelay, busConnector.liver_Fuel_FractUseDelay) 
        annotation (Line(
          points={{19,74},{46,74},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(otherTissue.Fuel_FractUseDelay, busConnector.otherTissue_Fuel_FractUseDelay) 
        annotation (Line(
          points={{-61,12},{-20,12},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(respiratoryMuscle.Fuel_FractUseDelay, busConnector.respiratoryMuscle_Fuel_FractUseDelay) 
        annotation (Line(
          points={{-61,-18},{-20,-18},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(rightHeart.Fuel_FractUseDelay, busConnector.rightHeart_Fuel_FractUseDelay) 
        annotation (Line(
          points={{19,-80},{46,-80},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skin.Fuel_FractUseDelay, busConnector.skin_Fuel_FractUseDelay)     annotation (
         Line(
          points={{-61,-78},{-20,-78},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skeletalMuscle.Fuel_FractUseDelay, busConnector.skeletalMuscle_Fuel_FractUseDelay) 
        annotation (Line(
          points={{-61,74},{-20.5,74},{-20.5,92},{-88,92}},
          color={127,0,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));

      connect(bone.CellProtein_Mass, busConnector.CellProtein_Mass)       annotation (
         Line(
          points={{-61,34},{-20,34},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(brain.CellProtein_Mass, busConnector.CellProtein_Mass) 
        annotation (Line(
          points={{19,32},{46,32},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(fat.CellProtein_Mass, busConnector.CellProtein_Mass)     annotation (
          Line(
          points={{-61,-56},{-20,-56},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(GITract.CellProtein_Mass, busConnector.CellProtein_Mass) 
        annotation (Line(
          points={{19,0},{46,0},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(kidney.CellProtein_Mass, busConnector.CellProtein_Mass) 
        annotation (Line(
          points={{19,-28},{46,-28},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(leftHeart.CellProtein_Mass, busConnector.CellProtein_Mass) 
        annotation (Line(
          points={{19,-58},{46,-58},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(liver.CellProtein_Mass, busConnector.CellProtein_Mass) 
        annotation (Line(
          points={{19,66},{46,66},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(otherTissue.CellProtein_Mass, busConnector.CellProtein_Mass) 
        annotation (Line(
          points={{-61,4},{-20,4},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(respiratoryMuscle.CellProtein_Mass, busConnector.CellProtein_Mass) 
        annotation (Line(
          points={{-61,-26},{-20,-26},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(rightHeart.CellProtein_Mass, busConnector.CellProtein_Mass) 
        annotation (Line(
          points={{19,-88},{46,-88},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skin.CellProtein_Mass, busConnector.CellProtein_Mass)     annotation (
         Line(
          points={{-61,-86},{-20,-86},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skeletalMuscle.CellProtein_Mass, busConnector.CellProtein_Mass) 
        annotation (Line(
          points={{-61,66},{-20.5,66},{-20.5,92},{-88,92}},
          color={127,0,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));

    connect(bone.StructureEffect, busConnector.bone_StructureEffect) annotation (Line(
          points={{-68,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.StructureEffect, busConnector.brain_StructureEffect) annotation (Line(
          points={{12,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.StructureEffect, busConnector.fat_StructureEffect) annotation (Line(
          points={{-68,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(GITract.StructureEffect, busConnector.GITract_StructureEffect) annotation (Line(
          points={{12,-4},{-20,-4},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.StructureEffect, busConnector.kidney_StructureEffect) annotation (Line(
          points={{12,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.StructureEffect, busConnector.leftHeart_StructureEffect) annotation (Line(
          points={{12,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.StructureEffect, busConnector.liver_StructureEffect) annotation (Line(
          points={{12,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.StructureEffect, busConnector.otherTissue_StructureEffect) annotation (Line(
          points={{-68,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.StructureEffect, busConnector.rightHeart_StructureEffect) annotation (Line(
          points={{12,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.StructureEffect, busConnector.respiratoryMuscle_StructureEffect) annotation (Line(
          points={{-68,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.StructureEffect, busConnector.skin_StructureEffect) annotation (Line(
          points={{-68,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.StructureEffect, busConnector.skeletalMuscle_StructureEffect) annotation (Line(
          points={{-68,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

    connect(bone.StructureEffect, busConnector.Bone_StructureEffect) annotation (Line(
          points={{-68,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.StructureEffect, busConnector.Brain_StructureEffect) annotation (Line(
          points={{12,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.StructureEffect, busConnector.Fat_StructureEffect) annotation (Line(
          points={{-68,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.StructureEffect, busConnector.Kidney_StructureEffect) annotation (Line(
          points={{12,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.StructureEffect, busConnector.LeftHeart_StructureEffect) annotation (Line(
          points={{12,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.StructureEffect, busConnector.Liver_StructureEffect) annotation (Line(
          points={{12,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.StructureEffect, busConnector.OtherTissue_StructureEffect) annotation (Line(
          points={{-68,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.StructureEffect, busConnector.RightHeart_StructureEffect) annotation (Line(
          points={{12,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.StructureEffect, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
          points={{-68,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.StructureEffect, busConnector.Skin_StructureEffect) annotation (Line(
          points={{-68,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.StructureEffect, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
          points={{-68,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

     connect(bone.FunctionEffect, busConnector.bone_FunctionEffect) annotation (Line(
          points={{-72,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.FunctionEffect, busConnector.brain_FunctionEffect) annotation (Line(
          points={{8,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.FunctionEffect, busConnector.fat_FunctionEffect) annotation (Line(
          points={{-72,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(GITract.FunctionEffect, busConnector.GITract_FunctionEffect) annotation (Line(
          points={{8,-4},{-20,-4},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.FunctionEffect, busConnector.kidney_FunctionEffect) annotation (Line(
          points={{8,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.FunctionEffect, busConnector.leftHeart_FunctionEffect) annotation (Line(
          points={{8,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.FunctionEffect, busConnector.liver_FunctionEffect) annotation (Line(
          points={{8,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.FunctionEffect, busConnector.otherTissue_FunctionEffect) annotation (Line(
          points={{-72,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.FunctionEffect, busConnector.rightHeart_FunctionEffect) annotation (Line(
          points={{8,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.FunctionEffect, busConnector.respiratoryMuscle_FunctionEffect) annotation (Line(
          points={{-72,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.FunctionEffect, busConnector.skin_FunctionEffect) annotation (Line(
          points={{-72,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.FunctionEffect, busConnector.skeletalMuscle_FunctionEffect) annotation (Line(
          points={{-72,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

    connect(bone.FunctionEffect, busConnector.BoneFunctionEffect) annotation (Line(
          points={{-72,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.FunctionEffect, busConnector.BrainFunctionEffect) annotation (Line(
          points={{8,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.FunctionEffect, busConnector.FatFunctionEffect) annotation (Line(
          points={{-72,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(GITract.FunctionEffect, busConnector.GITractFunctionEffect) annotation (Line(
          points={{8,-4},{-20,-4},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.FunctionEffect, busConnector.KidneyFunctionEffect) annotation (Line(
          points={{8,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.FunctionEffect, busConnector.LeftHeartFunctionEffect) annotation (Line(
          points={{8,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.FunctionEffect, busConnector.LiverFunctionEffect) annotation (Line(
          points={{8,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.FunctionEffect, busConnector.OtherTissueFunctionEffect) annotation (Line(
          points={{-72,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.FunctionEffect, busConnector.RightHeartFunctionEffect) annotation (Line(
          points={{8,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.FunctionEffect, busConnector.RespiratoryMuscleFunctionEffect) annotation (Line(
          points={{-72,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.FunctionEffect, busConnector.SkinFunctionEffect) annotation (Line(
          points={{-72,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.FunctionEffect, busConnector.SkeletalMuscleFunctionEffect) annotation (Line(
          points={{-72,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

    connect(bone.FunctionFailed, busConnector.Bone_Function_Failed) annotation (Line(
          points={{-64,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.FunctionFailed, busConnector.Brain_Function_Failed) annotation (Line(
          points={{16,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(GITract.FunctionFailed, busConnector.GITract_Function_Failed) annotation (Line(
          points={{16,-4},{-20,-4},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.FunctionFailed, busConnector.Fat_Function_Failed) annotation (Line(
          points={{-64,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.FunctionFailed, busConnector.Kidney_Function_Failed) annotation (Line(
          points={{16,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.FunctionFailed, busConnector.LeftHeart_Function_Failed) annotation (Line(
          points={{16,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.FunctionFailed, busConnector.Liver_Function_Failed) annotation (Line(
          points={{16,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.FunctionFailed, busConnector.OtherTissue_Function_Failed) annotation (Line(
          points={{-64,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.FunctionFailed, busConnector.RightHeart_Function_Failed) annotation (Line(
          points={{16,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.FunctionFailed, busConnector.RespiratoryMuscle_Function_Failed) annotation (Line(
          points={{-64,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.FunctionFailed, busConnector.Skin_Function_Failed) annotation (Line(
          points={{-64,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.FunctionFailed, busConnector.SkeletalMuscle_Function_Failed) annotation (Line(
          points={{-64,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(brain.FunctionEffect, patientStatus.BrainFunctionEffect) 
        annotation (Line(
          points={{8,28},{8,26},{74,26}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Bitmap(extent={{-100,-100},{100,
                  100}}, fileName="icons/tissueFitness.png"), Text(
              extent={{-152,-102},{150,-138}},
              lineColor={0,0,255},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid,
              textString="%name")}),
                               Diagram(coordinateSystem(preserveAspectRatio=true,
                      extent={{-100,-100},{100,100}}), graphics),
        Documentation(info="<html>
<p>BE_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then BE value decrease with the same concentration. </p>
<p>Meaning might be interpreted like what amount of hydrogen iont must be added to sollution if the end poit of titration will be pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can be simplified with difference of lactate concentration from its normal value.</p>
</html>",     revisions="<html>
<p>Marek Matejak, 24.12.2009</p>
</html>"));
    end TissuesFitness;

    model Failed
      parameter Real effectAtFailing=.2;
      parameter Real effectAtRevitaling=.4;

      Library.Interfaces.RealInput_ FunctionEffect annotation (Placement(
            transformation(extent={{-118,-20},{-78,20}}), iconTransformation(extent=
               {{-120,-20},{-80,20}})));
      Library.Interfaces.BooleanOutput Failed(start=false) annotation (Placement(transformation(
              extent={{80,-20},{120,20}}), iconTransformation(extent={{80,-20},{120,
                20}})));
      Boolean a(start=false);
      Boolean b(start=true);
      Boolean c;
    equation
      a=FunctionEffect<effectAtFailing;
      b=FunctionEffect>effectAtRevitaling;
      c=pre(Failed);
      Failed=a or ( c and ( not b));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}),      graphics));
    end Failed;

    model PatientStatus

      Normal normal 
        annotation (Placement(transformation(extent={{-66,34},{-46,54}})));
      Confused confused(                          nOut=2) 
        annotation (Placement(transformation(extent={{-24,34},{-4,54}})));
      Modelica.StateGraph.TransitionWithSignal worse1 "He's like confused. 
"     annotation (Placement(transformation(extent={{-44,34},{-24,54}})));
      Modelica.StateGraph.TransitionWithSignal better "Now he's feeling better. 
"     annotation (Placement(transformation(extent={{-24,84},{-44,64}})));
      Impaired impaired(                          nIn=2) 
        annotation (Placement(transformation(extent={{28,34},{48,54}})));
      Comatose comatose(                          nIn=2, nOut=2) 
        annotation (Placement(transformation(extent={{88,-52},{68,-32}})));
      NotBreathing notBreathing(                      nOut=2, nIn=3) 
        annotation (Placement(transformation(extent={{44,-52},{24,-32}})));
      MayBeDead mayBeDead(                         nOut=2) 
        annotation (Placement(transformation(extent={{-12,-52},{-32,-32}})));
      IsReallyDead isReallyDead 
        annotation (Placement(transformation(extent={{-64,-52},{-84,-32}})));
      Library.Interfaces.RealInput_ BrainFunctionEffect 
                                                   annotation (Placement(
            transformation(extent={{-104,86},{-94,96}}),  iconTransformation(extent=
               {{-120,-20},{-80,20}})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold(threshold=.8) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={-34,24})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold1(threshold=.6) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={14,24})));
      Modelica.StateGraph.TransitionWithSignal worse2 "He can't talk wery well ... 
"     annotation (Placement(transformation(extent={{4,34},{24,54}})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold2(threshold=.4) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={62,24})));
      Modelica.StateGraph.TransitionWithSignal worse3 "Your patient is not conscious! 
"     annotation (Placement(transformation(extent={{52,34},{72,54}})));
      Modelica.StateGraph.TransitionWithSignal worse4 "Your patient is not conscious! 
"     annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={60,-42})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold3(threshold=.2) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={60,-22})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold4(threshold=.1) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={6,-22})));
      Modelica.StateGraph.TransitionWithSignal worse5 "Your patient is not conscious! 
"     annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={6,-42})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold5(threshold=0) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={-50,-22})));
      Modelica.StateGraph.TransitionWithSignal worse6 "Your patient is not conscious! 
"     annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={-50,-42})));
      Modelica.StateGraph.TransitionWithSignal better2 "Your patient seems to be conscious again. 
"     annotation (Placement(transformation(extent={{72,84},{52,64}})));
      Modelica.StateGraph.TransitionWithSignal better3 "Your patient is breathing again. 
"     annotation (Placement(transformation(extent={{52,-82},{72,-62}})));
      Modelica.StateGraph.TransitionWithSignal better4
        "Wait. Your patient is not dead! " 
        annotation (Placement(transformation(extent={{-4,-82},{16,-62}})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold6(threshold=.2) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={6,-92})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold7(threshold=.4) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={62,-92})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold8(threshold=.6) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={62,94})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold9(threshold=.95) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={-34,94})));
      Modelica.StateGraph.TransitionWithSignal better5
        "Wait. Your patient is not dead!" 
        annotation (Placement(transformation(extent={{-60,-82},{-40,-62}})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold10(threshold=.2) 
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={-50,-90})));
      Library.Interfaces.BooleanOutput IS_NORMAL 
        annotation (Placement(transformation(extent={{-54,22},{-44,32}}),
            iconTransformation(extent={{100,100},{140,140}})));
      Library.Interfaces.BooleanOutput IS_CONFUSED 
        annotation (Placement(transformation(extent={{-10,22},{0,32}}),
            iconTransformation(extent={{100,60},{140,100}})));
      Library.Interfaces.BooleanOutput IS_IMPAIRED 
        annotation (Placement(transformation(extent={{42,22},{52,32}}),
            iconTransformation(extent={{100,20},{140,60}})));
      Library.Interfaces.BooleanOutput IS_COMATOUS 
        annotation (Placement(transformation(extent={{80,-64},{90,-54}}),
            iconTransformation(extent={{100,-20},{140,20}})));
      Library.Interfaces.BooleanOutput IS_NOT_BREATHING 
        annotation (Placement(transformation(extent={{30,-64},{40,-54}}),
            iconTransformation(extent={{100,-60},{140,-20}})));
      Library.Interfaces.BooleanOutput IS_MAY_BE_DEAD 
        annotation (Placement(transformation(extent={{-24,-64},{-14,-54}}),
            iconTransformation(extent={{100,-100},{140,-60}})));
      Library.Interfaces.BooleanOutput IS_REALLY_DEAD 
        annotation (Placement(transformation(extent={{-78,-64},{-68,-54}}),
            iconTransformation(extent={{100,-140},{140,-100}})));
    equation
      connect(normal.outPort[1], worse1.inPort) annotation (Line(
          points={{-45.5,44},{-38,44}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse1.outPort, confused.inPort[1]) annotation (Line(
          points={{-32.5,44},{-25,44}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better.outPort, normal.inPort[1]) annotation (Line(
          points={{-35.5,74},{-76,74},{-76,44},{-67,44}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(lessEqualThreshold.y, worse1.condition) annotation (Line(
          points={{-34,28.4},{-34,32}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,19.2},{-34,19.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold1.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,19.2},{14,19.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lessEqualThreshold1.y, worse2.condition) annotation (Line(
          points={{14,28.4},{14,32}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(confused.outPort[1], worse2.inPort) annotation (Line(
          points={{-3.5,44.25},{3.25,44.25},{3.25,44},{10,44}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse2.outPort, impaired.inPort[1]) annotation (Line(
          points={{15.5,44},{21.25,44},{21.25,44.5},{27,44.5}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold2.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,19.2},{62,19.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lessEqualThreshold2.y, worse3.condition) annotation (Line(
          points={{62,28.4},{62,32}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(impaired.outPort[1], worse3.inPort) annotation (Line(
          points={{48.5,44},{58,44}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse3.outPort, comatose.inPort[1]) annotation (Line(
          points={{63.5,44},{96,44},{96,-41.5},{89,-41.5}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(lessEqualThreshold3.y, worse4.condition) annotation (Line(
          points={{60,-26.4},{60,-30}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold3.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-17.2},{60,-17.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lessEqualThreshold4.y, worse5.condition) annotation (Line(
          points={{6,-26.4},{6,-27.3},{6,-27.3},{6,-28.2},{6,-30},{6,-30}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(lessEqualThreshold5.y, worse6.condition) annotation (Line(
          points={{-50,-26.4},{-50,-30}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold4.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-17.2},{6,-17.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold5.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-17.2},{-50,-17.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(notBreathing.outPort[1], worse5.inPort) annotation (Line(
          points={{23.5,-41.75},{10.75,-41.75},{10.75,-42},{10,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse5.outPort, mayBeDead.inPort[1]) annotation (Line(
          points={{4.5,-42},{-11,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(mayBeDead.outPort[1], worse6.inPort) annotation (Line(
          points={{-32.5,-41.75},{-45.25,-41.75},{-45.25,-42},{-46,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse6.outPort, isReallyDead.inPort[1]) annotation (Line(
          points={{-51.5,-42},{-63,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(lessEqualThreshold6.y, better4.condition) annotation (Line(
          points={{6,-87.6},{6,-84}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(mayBeDead.outPort[2], better4.inPort) annotation (Line(
          points={{-32.5,-42.25},{-36,-42.25},{-36,-72},{2,-72}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better4.outPort, notBreathing.inPort[2]) annotation (Line(
          points={{7.5,-72},{14,-72},{14,-64},{48,-64},{48,-42},{45,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold6.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-96.8},{6,-96.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold7.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-96.8},{62,-96.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lessEqualThreshold7.y, better3.condition) annotation (Line(
          points={{62,-87.6},{62,-84}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(notBreathing.outPort[2], better3.inPort) annotation (Line(
          points={{23.5,-42.25},{22,-42.25},{22,-72},{58,-72}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better3.outPort, comatose.inPort[2]) annotation (Line(
          points={{63.5,-72},{70,-72},{70,-64},{96,-64},{96,-42.5},{89,-42.5}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(comatose.outPort[2], better2.inPort) annotation (Line(
          points={{67.5,-42.25},{66,-42.25},{66,0},{82,0},{82,74},{66,74}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better2.outPort, impaired.inPort[2]) annotation (Line(
          points={{60.5,74},{22,74},{22,43.5},{27,43.5}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(lessEqualThreshold8.y, better2.condition) annotation (Line(
          points={{62,89.6},{62,86}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(lessEqualThreshold8.u, BrainFunctionEffect) annotation (Line(
          points={{62,98.8},{-90,98.8},{-90,91},{-99,91}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(better.condition, lessEqualThreshold9.y) annotation (Line(
          points={{-34,86},{-34,89.6}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold9.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,98.8},{-34,98.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(normal.active, IS_NORMAL) annotation (Line(
          points={{-56,33},{-56,27},{-49,27}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(confused.active, IS_CONFUSED) annotation (Line(
          points={{-14,33},{-14,27},{-5,27}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(impaired.active, IS_IMPAIRED) annotation (Line(
          points={{38,33},{38,27},{47,27}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(comatose.active, IS_COMATOUS) annotation (Line(
          points={{78,-53},{78,-59},{85,-59}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(notBreathing.active, IS_NOT_BREATHING) annotation (Line(
          points={{34,-53},{34,-59},{35,-59}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(IS_MAY_BE_DEAD, mayBeDead.active) annotation (Line(
          points={{-19,-59},{-22,-59},{-22,-53}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(isReallyDead.active, IS_REALLY_DEAD) annotation (Line(
          points={{-74,-53},{-74,-59},{-73,-59}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(better5.condition, lessEqualThreshold10.y) annotation (Line(
          points={{-50,-84},{-50,-85.6}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold10.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-96},{-50,-96},{-50,-94.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(comatose.outPort[1], worse4.inPort) annotation (Line(
          points={{67.5,-41.75},{65.75,-41.75},{65.75,-42},{64,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse4.outPort, notBreathing.inPort[1]) annotation (Line(
          points={{58.5,-42},{59.75,-42},{59.75,-41.3333},{45,-41.3333}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(confused.outPort[2], better.inPort) annotation (Line(
          points={{-3.5,43.75},{2,43.75},{2,74},{-30,74}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better5.outPort, notBreathing.inPort[3]) annotation (Line(
          points={{-48.5,-72},{-44,-72},{-44,-64},{48,-64},{48,-42.6667},{45,
              -42.6667}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(isReallyDead.outPort[1], better5.inPort) annotation (Line(
          points={{-84.5,-42},{-86,-42},{-86,-72},{-54,-72}},
          color={0,0,0},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),
                             graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                  "icons/siluetaNormal.png")}));
    end PatientStatus;

    package setup
    model StatusConstInputs

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{72,-2},{86,12}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
      Library.Blocks.Constant CellProtein_Mass(k=5997.6153054491) 
      annotation (Placement(transformation(extent={{-86,-160},{-80,-154}})));
      Library.Blocks.Constant bone_pH_intracellular(k=7.078478271226) 
      annotation (Placement(transformation(extent={{-86,-180},{-80,-174}})));
      Library.Blocks.Constant brain_pH_intracellular(k=7.06723228718216) 
      annotation (Placement(transformation(extent={{-86,-170},{-80,-164}})));
      Library.Blocks.Constant fat_pH_intracellular(k=7.0973658261387) 
      annotation (Placement(transformation(extent={{-86,-150},{-80,-144}})));
      Library.Blocks.Constant GITract_pH_intracellular(k=7.09835905592481) 
      annotation (Placement(transformation(extent={{-86,-140},{-80,-134}})));
      Library.Blocks.Constant kidney_pH_intracellular(k=7.10948209416151) 
      annotation (Placement(transformation(extent={{-86,-130},{-80,-124}})));
      Library.Blocks.Constant leftHeart_pH_intracellular(k=6.99468554470656) 
      annotation (Placement(transformation(extent={{-86,-120},{-80,-114}})));
      Library.Blocks.Constant liver_pH_intracellular(k=7.13290519945998) 
      annotation (Placement(transformation(extent={{-86,-110},{-80,-104}})));
      Library.Blocks.Constant otherTissue_pH_intracellular(k=7.09543534550075) 
      annotation (Placement(transformation(extent={{-86,-100},{-80,-94}})));
      Library.Blocks.Constant respiratoryMuscle_pH_intracellular(k=7.06223184635617) 
      annotation (Placement(transformation(extent={{-86,-90},{-80,-84}})));
      Library.Blocks.Constant rightHeart_pH_intracellular(k=6.9933588521077) 
      annotation (Placement(transformation(extent={{-86,-80},{-80,-74}})));
      Library.Blocks.Constant skeletalMuscle_pH_intracellular(k=7.07675128734354) 
      annotation (Placement(transformation(extent={{-86,-70},{-80,-64}})));
      Library.Blocks.Constant skin_pH_intracellular(k=7.05658093322868) 
      annotation (Placement(transformation(extent={{-86,-60},{-80,-54}})));
      Library.Blocks.Constant GITract_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,-50},{-80,-44}})));
      Library.Blocks.Constant bone_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,-40},{-80,-34}})));
      Library.Blocks.Constant brain_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,-30},{-80,-24}})));
      Library.Blocks.Constant fat_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,-20},{-80,-14}})));
      Library.Blocks.Constant kidney_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,-10},{-80,-4}})));
      Library.Blocks.Constant leftHeart_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,0},{-80,6}})));
      Library.Blocks.Constant liver_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,10},{-80,16}})));
      Library.Blocks.Constant otherTissue_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,20},{-80,26}})));
      Library.Blocks.Constant respiratoryMuscle_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,30},{-80,36}})));
      Library.Blocks.Constant rightHeart_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,40},{-80,46}})));
      Library.Blocks.Constant skeletalMuscle_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,50},{-80,56}})));
      Library.Blocks.Constant skin_Fuel_FractUseDelay(k=1) 
      annotation (Placement(transformation(extent={{-86,60},{-80,66}})));
      Library.Blocks.Constant GITract_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,70},{-80,76}})));
      Library.Blocks.Constant HeatCore_Temp(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,80},{-80,86}})));
      Library.Blocks.Constant bone_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,90},{-80,96}})));
      Library.Blocks.Constant brain_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,100},{-80,106}})));
      Library.Blocks.Constant fat_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,110},{-80,116}})));
      Library.Blocks.Constant kidney_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,120},{-80,126}})));
      Library.Blocks.Constant leftHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,130},{-80,136}})));
      Library.Blocks.Constant liver_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,140},{-80,146}})));
      Library.Blocks.Constant otherTissue_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,150},{-80,156}})));
      Library.Blocks.Constant respiratoryMuscle_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,160},{-80,166}})));
      Library.Blocks.Constant rightHeart_T(k=36.9631174702302) 
      annotation (Placement(transformation(extent={{-86,170},{-80,176}})));
      Library.Blocks.Constant skeletalMuscle_T(k=37.239827522926) 
      annotation (Placement(transformation(extent={{-86,180},{-80,186}})));
      Library.Blocks.Constant skin_T(k=28.6404308069366) 
      annotation (Placement(transformation(extent={{-86,190},{-80,196}})));
    equation

      connect(CellProtein_Mass.y, busConnector.CellProtein_Mass) annotation (Line(
       points={{-79.7,-157},{79,-157},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_intracellular.y, busConnector.bone_pH_intracellular) annotation (Line(
       points={{-79.7,-177},{79,-177},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_intracellular.y, busConnector.brain_pH_intracellular) annotation (Line(
       points={{-79.7,-167},{79,-167},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_intracellular.y, busConnector.fat_pH_intracellular) annotation (Line(
       points={{-79.7,-147},{79,-147},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pH_intracellular.y, busConnector.GITract_pH_intracellular) annotation (Line(
       points={{-79.7,-137},{79,-137},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_intracellular.y, busConnector.kidney_pH_intracellular) annotation (Line(
       points={{-79.7,-127},{79,-127},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_intracellular.y, busConnector.leftHeart_pH_intracellular) annotation (Line(
       points={{-79.7,-117},{79,-117},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_intracellular.y, busConnector.liver_pH_intracellular) annotation (Line(
       points={{-79.7,-107},{79,-107},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_intracellular.y, busConnector.otherTissue_pH_intracellular) annotation (Line(
       points={{-79.7,-97},{79,-97},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_intracellular.y, busConnector.respiratoryMuscle_pH_intracellular) annotation (Line(
       points={{-79.7,-87},{79,-87},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_intracellular.y, busConnector.rightHeart_pH_intracellular) annotation (Line(
       points={{-79.7,-77},{79,-77},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_intracellular.y, busConnector.skeletalMuscle_pH_intracellular) annotation (Line(
       points={{-79.7,-67},{79,-67},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_intracellular.y, busConnector.skin_pH_intracellular) annotation (Line(
       points={{-79.7,-57},{79,-57},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_Fuel_FractUseDelay.y, busConnector.GITract_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,-47},{79,-47},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_Fuel_FractUseDelay.y, busConnector.bone_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,-37},{79,-37},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_Fuel_FractUseDelay.y, busConnector.brain_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,-27},{79,-27},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_Fuel_FractUseDelay.y, busConnector.fat_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,-17},{79,-17},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_Fuel_FractUseDelay.y, busConnector.kidney_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,-7},{79,-7},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_Fuel_FractUseDelay.y, busConnector.leftHeart_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,3},{79,3},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_Fuel_FractUseDelay.y, busConnector.liver_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,13},{79,13},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_Fuel_FractUseDelay.y, busConnector.otherTissue_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,23},{79,23},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_Fuel_FractUseDelay.y, busConnector.respiratoryMuscle_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,33},{79,33},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_Fuel_FractUseDelay.y, busConnector.rightHeart_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,43},{79,43},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_Fuel_FractUseDelay.y, busConnector.skeletalMuscle_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,53},{79,53},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_Fuel_FractUseDelay.y, busConnector.skin_Fuel_FractUseDelay) annotation (Line(
       points={{-79.7,63},{79,63},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_T.y, busConnector.GITract_T) annotation (Line(
       points={{-79.7,73},{79,73},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
       points={{-79.7,83},{79,83},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_T.y, busConnector.bone_T) annotation (Line(
       points={{-79.7,93},{79,93},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_T.y, busConnector.brain_T) annotation (Line(
       points={{-79.7,103},{79,103},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_T.y, busConnector.fat_T) annotation (Line(
       points={{-79.7,113},{79,113},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_T.y, busConnector.kidney_T) annotation (Line(
       points={{-79.7,123},{79,123},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_T.y, busConnector.leftHeart_T) annotation (Line(
       points={{-79.7,133},{79,133},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_T.y, busConnector.liver_T) annotation (Line(
       points={{-79.7,143},{79,143},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_T.y, busConnector.otherTissue_T) annotation (Line(
       points={{-79.7,153},{79,153},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_T.y, busConnector.respiratoryMuscle_T) annotation (Line(
       points={{-79.7,163},{79,163},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_T.y, busConnector.rightHeart_T) annotation (Line(
       points={{-79.7,173},{79,173},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_T.y, busConnector.skeletalMuscle_T) annotation (Line(
       points={{-79.7,183},{79,183},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y, busConnector.skin_T) annotation (Line(
       points={{-79.7,193},{79,193},{79,5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
    end StatusConstInputs;

    model StatusConstInputsFromFile

    Library.Utilities.ConstantFromFile CellProtein_Mass(varName="CellProtein.Mass") 
    annotation (Placement(transformation(extent={{-76,-164},{-70,-158}})));
    Library.Utilities.ConstantFromFile GITract_pH_intracellular(varName="GITract-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-154},{-70,-148}})));
    Library.Utilities.ConstantFromFile bone_pH_intracellular(varName="Bone-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-144},{-70,-138}})));
    Library.Utilities.ConstantFromFile brain_pH_intracellular(varName="Brain-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-134},{-70,-128}})));
    Library.Utilities.ConstantFromFile fat_pH_intracellular(varName="Fat-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-124},{-70,-118}})));
    Library.Utilities.ConstantFromFile kidney_pH_intracellular(varName="Kidney-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-114},{-70,-108}})));
    Library.Utilities.ConstantFromFile leftHeart_pH_intracellular(varName="LeftHeart-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-104},{-70,-98}})));
    Library.Utilities.ConstantFromFile liver_pH_intracellular(varName="Liver-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-94},{-70,-88}})));
    Library.Utilities.ConstantFromFile otherTissue_pH_intracellular(varName="OtherTissue-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-84},{-70,-78}})));
    Library.Utilities.ConstantFromFile respiratoryMuscle_pH_intracellular(varName="RespiratoryMuscle-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-74},{-70,-68}})));
    Library.Utilities.ConstantFromFile rightHeart_pH_intracellular(varName="RightHeart-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-64},{-70,-58}})));
    Library.Utilities.ConstantFromFile skeletalMuscle_pH_intracellular(varName="SkeletalMuscle-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-54},{-70,-48}})));
    Library.Utilities.ConstantFromFile skin_pH_intracellular(varName="Skin-Ph.Ph") 
    annotation (Placement(transformation(extent={{-76,-44},{-70,-38}})));
    Library.Utilities.ConstantFromFile GITract_Fuel_FractUseDelay(varName="GITract-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,-34},{-70,-28}})));
    Library.Utilities.ConstantFromFile bone_Fuel_FractUseDelay(varName="Bone-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,-24},{-70,-18}})));
    Library.Utilities.ConstantFromFile brain_Fuel_FractUseDelay(varName="Brain-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,-14},{-70,-8}})));
    Library.Utilities.ConstantFromFile fat_Fuel_FractUseDelay(varName="Fat-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,-4},{-70,2}})));
    Library.Utilities.ConstantFromFile kidney_Fuel_FractUseDelay(varName="Kidney-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,6},{-70,12}})));
    Library.Utilities.ConstantFromFile leftHeart_Fuel_FractUseDelay(varName="LeftHeart-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,16},{-70,22}})));
    Library.Utilities.ConstantFromFile liver_Fuel_FractUseDelay(varName="Liver-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,26},{-70,32}})));
    Library.Utilities.ConstantFromFile otherTissue_Fuel_FractUseDelay(varName="OtherTissue-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,36},{-70,42}})));
    Library.Utilities.ConstantFromFile respiratoryMuscle_Fuel_FractUseDelay(varName="RespiratoryMuscle-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,46},{-70,52}})));
    Library.Utilities.ConstantFromFile rightHeart_Fuel_FractUseDelay(varName="RightHeart-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,56},{-70,62}})));
    Library.Utilities.ConstantFromFile skeletalMuscle_Fuel_FractUseDelay(varName="SkeletalMuscle-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,66},{-70,72}})));
    Library.Utilities.ConstantFromFile skin_Fuel_FractUseDelay(varName="Skin-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-76,76},{-70,82}})));
    Library.Utilities.ConstantFromFile GITract_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,86},{-70,92}})));
    Library.Utilities.ConstantFromFile HeatCore_Temp(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,96},{-70,102}})));
    Library.Utilities.ConstantFromFile bone_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,106},{-70,112}})));
    Library.Utilities.ConstantFromFile brain_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,116},{-70,122}})));
    Library.Utilities.ConstantFromFile fat_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,126},{-70,132}})));
    Library.Utilities.ConstantFromFile kidney_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,136},{-70,142}})));
    Library.Utilities.ConstantFromFile leftHeart_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,146},{-70,152}})));
    Library.Utilities.ConstantFromFile liver_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,156},{-70,162}})));
    Library.Utilities.ConstantFromFile respiratoryMuscle_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,166},{-70,172}})));
    Library.Utilities.ConstantFromFile rightHeart_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,176},{-70,182}})));
    Library.Utilities.ConstantFromFile skeletalMuscle_T(varName="HeatSkeletalMuscle.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,186},{-70,192}})));
    Library.Utilities.ConstantFromFile skin_T(varName="HeatSkin.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,196},{-70,202}})));
    Library.Utilities.ConstantFromFile otherTissue_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-76,206},{-70,212}})));

      Library.Interfaces.BusConnector busConnector 
          annotation (Placement(transformation(extent={{66,-6},{80,8}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
    equation
      connect(CellProtein_Mass.y, busConnector.CellProtein_Mass) annotation (Line(
       points={{-69.7,-161},{73,-161},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_intracellular.y, busConnector.bone_pH_intracellular) annotation (Line(
       points={{-69.7,-141},{73,-141},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_intracellular.y, busConnector.brain_pH_intracellular) annotation (Line(
       points={{-69.7,-131},{73,-131},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_intracellular.y, busConnector.fat_pH_intracellular) annotation (Line(
       points={{-69.7,-121},{73,-121},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pH_intracellular.y, busConnector.GITract_pH_intracellular) annotation (Line(
       points={{-69.7,-151},{73,-151},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_intracellular.y, busConnector.kidney_pH_intracellular) annotation (Line(
       points={{-69.7,-111},{73,-111},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_intracellular.y, busConnector.leftHeart_pH_intracellular) annotation (Line(
       points={{-69.7,-101},{73,-101},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_intracellular.y, busConnector.liver_pH_intracellular) annotation (Line(
       points={{-69.7,-91},{1.65,-91},{1.65,1},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_intracellular.y, busConnector.otherTissue_pH_intracellular) annotation (Line(
       points={{-69.7,-81},{73,-81},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_intracellular.y, busConnector.respiratoryMuscle_pH_intracellular) annotation (Line(
       points={{-69.7,-71},{73,-71},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_intracellular.y, busConnector.rightHeart_pH_intracellular) annotation (Line(
       points={{-69.7,-61},{73,-61},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_intracellular.y, busConnector.skeletalMuscle_pH_intracellular) annotation (Line(
       points={{-69.7,-51},{73,-51},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_intracellular.y, busConnector.skin_pH_intracellular) annotation (Line(
       points={{-69.7,-41},{73,-41},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_Fuel_FractUseDelay.y, busConnector.GITract_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,-31},{73,-31},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_Fuel_FractUseDelay.y, busConnector.bone_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,-21},{73,-21},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_Fuel_FractUseDelay.y, busConnector.brain_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,-11},{73,-11},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_Fuel_FractUseDelay.y, busConnector.fat_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,-1},{73,-1},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_Fuel_FractUseDelay.y, busConnector.kidney_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,9},{73,9},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_Fuel_FractUseDelay.y, busConnector.leftHeart_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,19},{73,19},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_Fuel_FractUseDelay.y, busConnector.liver_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,29},{73,29},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_Fuel_FractUseDelay.y, busConnector.otherTissue_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,39},{73,39},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_Fuel_FractUseDelay.y, busConnector.respiratoryMuscle_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,49},{73,49},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_Fuel_FractUseDelay.y, busConnector.rightHeart_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,59},{73,59},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_Fuel_FractUseDelay.y, busConnector.skeletalMuscle_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,69},{73,69},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_Fuel_FractUseDelay.y, busConnector.skin_Fuel_FractUseDelay) annotation (Line(
       points={{-69.7,79},{73,79},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_T.y, busConnector.GITract_T) annotation (Line(
       points={{-69.7,89},{73,89},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
       points={{-69.7,99},{73,99},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_T.y, busConnector.bone_T) annotation (Line(
       points={{-69.7,109},{73,109},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_T.y, busConnector.brain_T) annotation (Line(
       points={{-69.7,119},{73,119},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_T.y, busConnector.fat_T) annotation (Line(
       points={{-69.7,129},{73,129},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_T.y, busConnector.kidney_T) annotation (Line(
       points={{-69.7,139},{73,139},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_T.y, busConnector.leftHeart_T) annotation (Line(
       points={{-69.7,149},{73,149},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_T.y, busConnector.liver_T) annotation (Line(
       points={{-69.7,159},{73,159},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_T.y, busConnector.otherTissue_T) annotation (Line(
       points={{-69.7,209},{73,209},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_T.y, busConnector.respiratoryMuscle_T) annotation (Line(
       points={{-69.7,169},{73,169},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_T.y, busConnector.rightHeart_T) annotation (Line(
       points={{-69.7,179},{73,179},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_T.y, busConnector.skeletalMuscle_T) annotation (Line(
       points={{-69.7,189},{73,189},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y, busConnector.skin_T) annotation (Line(
       points={{-69.7,199},{73,199},{73,1}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
    end StatusConstInputsFromFile;
    end setup;

    package test
      model T
        setup.StatusConstInputsFromFile statusConstInputs 
          annotation (Placement(transformation(extent={{-72,16},{-52,36}})));
        TissuesFitness tissuesFitness 
          annotation (Placement(transformation(extent={{-26,14},{-6,34}})));
      equation
        connect(statusConstInputs.busConnector, tissuesFitness.busConnector) 
          annotation (Line(
            points={{-64,26},{-44,26},{-44,33.2},{-24.8,33.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),        graphics));
      end T;
    end test;

    block Normal
      extends Modelica.StateGraph.InitialStepWithSignal;
      annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/siluetaNormal.png")}));
    end Normal;

    block Confused
      extends Modelica.StateGraph.StepWithSignal;
      annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/siluetaZmateni.png")}));
    end Confused;

    block Impaired
      extends Modelica.StateGraph.StepWithSignal;
      annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/siluetaVaznejsiStav.png")}));
    end Impaired;

    block Comatose
      extends Modelica.StateGraph.StepWithSignal;
      annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/siluetaKoma.png")}));
    end Comatose;

    block NotBreathing
      extends Modelica.StateGraph.StepWithSignal;
      annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/siluetaNedychaSam.png")}));
    end NotBreathing;

    block MayBeDead
      extends Modelica.StateGraph.StepWithSignal;
      annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/siluetaSkoroMrtvy.png")}));
    end MayBeDead;

    block IsReallyDead
      extends Modelica.StateGraph.StepWithSignal;
      annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}},
                fileName="icons/siluetaMrtvy.png")}));
    end IsReallyDead;

    package tissues
      model TissueFitness

        Library.Interfaces.RealOutput_ FunctionEffect          annotation (Placement(transformation(
                extent={{56,-14},{68,-2}}),  iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,-120})));
        Library.Interfaces.RealOutput_ StructureEffect                                annotation (Placement(
              transformation(extent={{-8,-34},{8,-18}}),  iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={20,-120})));

        Library.Interfaces.RealInput_ pH_intracellular 
                                         annotation (Placement(transformation(extent={{-84,42},
                  {-72,54}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,80})));
        Library.Interfaces.RealInput_ T(final unit="degC") "tissue temperature"
                                         annotation (Placement(transformation(extent={{-104,66},
                  {-92,78}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,40})));

        Library.Interfaces.RealInput_ Fuel_FractUseDelay                               annotation (Placement(transformation(extent={{-96,54},
                  {-84,66}}),           iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,0})));

        Library.Interfaces.RealInput_ CellProtein_Mass(final unit="g")                 annotation (Placement(transformation(extent={{-2,30},
                  {8,40}}),             iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,-80})));

        Library.Factors.SplineValue PhOnStructure(data={{6.5,0.1,0},{6.6,0.0,0}}) 
          annotation (Placement(transformation(extent={{-64,14},{-44,36}})));
        Library.Factors.SplineValue FuelOnStructure(data={{0.5,0.05,0},{0.8,0.00,0}}) 
          annotation (Placement(transformation(extent={{-64,0},{-44,20}})));
        Library.Factors.SplineValue TemperatureOnStructure(data={{44.0,0.00,0},{46.0,0.05,
              0}}) annotation (Placement(transformation(extent={{-64,-14},{-44,6}})));
        Library.Blocks.Constant Constant(k=1) 
          annotation (Placement(transformation(extent={{-66,30},{-58,38}})));
        Modelica.Blocks.Math.Feedback feedback 
          annotation (Placement(transformation(extent={{-64,-16},{-44,-36}})));
        Modelica.Blocks.Continuous.Integrator integrator(y_start=1, k=1/Library.SecPerMin) 
          annotation (Placement(transformation(extent={{-38,-36},{-18,-16}})));
        Library.Factors.SplineValue PhOnFunction(data={{6.6,0.0,0},{6.7,1.0,0}}) 
          annotation (Placement(transformation(extent={{20,38},{40,58}})));
        Library.Factors.SplineValue ProteinOnFunction(data={{3000.0,0.0,0},{5200.0,1.0,
              0}}) annotation (Placement(transformation(extent={{20,24},{40,46}})));
        Library.Factors.SplineValue FuelOnFunction(data={{0.0,0.0,0},{0.9,1.0,0}}) 
          annotation (Placement(transformation(extent={{20,50},{40,70}})));
        Library.Factors.SplineValue TemperatureOnFunction(data={{10,0.0,0},{37,1.0,0.12},
              {40,1.5,0},{46,0.0,0}}) 
          annotation (Placement(transformation(extent={{20,62},{40,82}})));
        Library.Blocks.Constant Constant1(k=1) 
          annotation (Placement(transformation(extent={{20,78},{28,86}})));
        Library.Factors.SimpleMultiply StructureEff 
          annotation (Placement(transformation(extent={{20,10},{40,30}})));
        Failed failed 
          annotation (Placement(transformation(extent={{44,-70},{64,-50}})));
        Library.Interfaces.BooleanOutput FunctionFailed annotation (Placement(
              transformation(extent={{76,-66},{88,-54}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={60,-120})));
        Library.Blocks.Constant Constant2(k=0) 
          annotation (Placement(transformation(extent={{-86,-30},{-78,-22}})));
      equation

        connect(PhOnStructure.u, pH_intracellular) 
                                                  annotation (Line(
            points={{-63.8,25},{-70,26},{-70,48},{-78,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FuelOnStructure.u, Fuel_FractUseDelay) annotation (Line(
            points={{-63.8,10},{-82,10},{-82,60},{-90,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TemperatureOnStructure.u, T) annotation (Line(
            points={{-63.8,-4},{-92,-4},{-92,72},{-98,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PhOnStructure.y, FuelOnStructure.yBase) annotation (Line(
            points={{-54,22.8},{-54,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FuelOnStructure.y, TemperatureOnStructure.yBase) annotation (Line(
            points={{-54,8},{-54,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, PhOnStructure.yBase) annotation (Line(
            points={{-57.6,34},{-54,34},{-54,27.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TemperatureOnStructure.y, feedback.u2) annotation (Line(
            points={{-54,-6},{-54,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, integrator.u) annotation (Line(
            points={{-45,-26},{-40,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, StructureEffect) annotation (Line(
            points={{-17,-26},{0,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pH_intracellular, PhOnFunction.u) 
                                                 annotation (Line(
            points={{-78,48},{20.2,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CellProtein_Mass, ProteinOnFunction.u) annotation (Line(
            points={{3,35},{20.2,35}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fuel_FractUseDelay, FuelOnFunction.u) annotation (Line(
            points={{-90,60},{20.2,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T, TemperatureOnFunction.u) annotation (Line(
            points={{-98,72},{20.2,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TemperatureOnFunction.y, FuelOnFunction.yBase) annotation (Line(
            points={{30,70},{30,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FuelOnFunction.y, PhOnFunction.yBase) annotation (Line(
            points={{30,58},{30,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PhOnFunction.y, ProteinOnFunction.yBase) annotation (Line(
            points={{30,46},{30,37.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, TemperatureOnFunction.yBase) annotation (Line(
            points={{28.4,82},{30,82},{30,74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, StructureEff.u) annotation (Line(
            points={{-17,-26},{-12,-26},{-12,20},{20.2,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ProteinOnFunction.y, StructureEff.yBase) annotation (Line(
            points={{30,32.8},{30,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(StructureEff.y, FunctionEffect) annotation (Line(
            points={{30,18},{30,-8},{62,-8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(StructureEff.y, failed.FunctionEffect) annotation (Line(
            points={{30,18},{30,-60},{44,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(failed.Failed, FunctionFailed) annotation (Line(
            points={{64,-60},{82,-60}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Constant2.y, feedback.u1) annotation (Line(
            points={{-77.6,-26},{-62,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,
                    0,255})}));
      end TissueFitness;

      model SkeletalMuscle
        extends TissueFitness;
        extends Library.Interfaces.Tissues.SkeletalMuscle;
      end SkeletalMuscle;

      model Bone
        extends TissueFitness;
        extends Library.Interfaces.Tissues.Bone;
      end Bone;

      model OtherTissue
        extends TissueFitness;
        extends Library.Interfaces.Tissues.OtherTissue;
      end OtherTissue;

      model RespiratoryMuscle
        extends TissueFitness;
        extends Library.Interfaces.Tissues.RespiratoryMuscle;
      end RespiratoryMuscle;

      model Fat
        extends TissueFitness;
        extends Library.Interfaces.Tissues.Fat;
      end Fat;

      model Skin
        extends TissueFitness(TemperatureOnFunction(data={{10.0,0.0,0},{29.5,
                1.0,0.12},{40.0,1.5,0},{46.0,0.0,0}}));
        extends Library.Interfaces.Tissues.Skin;
      end Skin;

      model Liver
        extends TissueFitness;
        extends Library.Interfaces.Tissues.Liver;
      end Liver;

      model Brain
        extends TissueFitness;
        extends Library.Interfaces.Tissues.Brain;
      end Brain;

      model GITract
        extends TissueFitness;
        extends Library.Interfaces.Tissues.GITract;
      end GITract;

      model Kidney
        extends TissueFitness;
        extends Library.Interfaces.Tissues.Kidney;
      end Kidney;

      model LeftHeart
        extends TissueFitness;
        extends Library.Interfaces.Tissues.LeftHeart;
      end LeftHeart;

      model RightHeart
        extends TissueFitness;
        extends Library.Interfaces.Tissues.RightHeart;
      end RightHeart;
    end tissues;
    annotation (Documentation(revisions="<html>
<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>Copyright:</td>
<td>In public domains</td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
</html>"));
  end Status;

  package test
    model Kidney
      Water.WaterCompartments.Kidney2 H2OExcretion 
        annotation (Placement(transformation(extent={{22,-64},{42,-44}})));
      Library.PressureFlow.VolumeCompartement Bladder(    initialVolume=200) 
        annotation (Placement(transformation(extent={{39,-86},{59,-66}})));
      Library.Semipermeable.OsmoticControlledCompartment plasma 
        annotation (Placement(transformation(extent={{38,-42},{58,-22}})));
      Library.Blocks.Constant Constant(k=0) 
        annotation (Placement(transformation(extent={{34,-16},{42,-8}})));
      Blood.OrganFlow.Kidney bloodFlow 
        annotation (Placement(transformation(extent={{-48,-64},{-28,-44}})));
      Library.PressureFlow.PressureControledCompartment veins(initialVolume=0) 
        annotation (Placement(transformation(extent={{-22,-64},{-2,-44}})));
      Library.PressureFlow.PressureControledCompartment artys(initialVolume=0) 
        annotation (Placement(transformation(extent={{-54,-64},{-74,-44}})));
      Library.Blocks.Constant const32(k=95.4078941631755) 
        annotation (Placement(transformation(extent={{-74,-40},{-68,-34}})));
      Library.Blocks.Constant const33(k=6.97968986938239) 
        annotation (Placement(transformation(extent={{-22,-38},{-16,-32}})));
      setup.KidneyConstInputs kidneyConstInputs 
        annotation (Placement(transformation(extent={{-96,-10},{-76,10}})));
      Electrolytes.Electrolytes electrolytes 
        annotation (Placement(transformation(extent={{-10,28},{10,48}})));
    equation
      connect(H2OExcretion.urine, Bladder.con) annotation (Line(
          points={{32.2,-64},{32,-64},{32,-76},{39,-76}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, H2OExcretion.q_in) annotation (Line(
          points={{48,-32},{33.2,-32},{33.2,-49.6}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Constant.y, plasma.Osmolarity) annotation (Line(
          points={{42.4,-12},{47.8,-12},{47.8,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(artys.y[1], bloodFlow.q_in) annotation (Line(
          points={{-54,-54},{-48,-54}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(bloodFlow.q_out, veins.y[1]) annotation (Line(
          points={{-28,-54},{-22,-54}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(const32.y, artys.pressure[1]) annotation (Line(
          points={{-67.7,-37},{-64,-37},{-64,-44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const33.y, veins.pressure[1]) annotation (Line(
          points={{-15.7,-35},{-12,-35},{-12,-44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(kidneyConstInputs.busConnector, H2OExcretion.busConnector) 
        annotation (Line(
          points={{-94,8},{6,8},{6,-54},{22.4,-54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(kidneyConstInputs.busConnector, bloodFlow.organBloodFlowSignals) 
        annotation (Line(
          points={{-94,8},{-31.1,8},{-31.1,-52.1}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(kidneyConstInputs.busConnector, electrolytes.busConnector) 
        annotation (Line(
          points={{-94,8},{-52,8},{-52,42},{-10,42}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end Kidney;

    model Gases
      import QHP = HumMod;
      HumMod.Gases.AcidBase.test.AcidBase acidBase 
        annotation (Placement(transformation(extent={{44,18},{64,38}})));
      QHP.Gases.CO2.CO2 CO2 
        annotation (Placement(transformation(extent={{-26,34},{-6,54}})));
      QHP.Gases.O2.O2 O2 
        annotation (Placement(transformation(extent={{-26,0},{-6,20}})));
      QHP.setup.AcidBaseConstInputs acidBaseConstInputs 
        annotation (Placement(transformation(extent={{38,-26},{58,-6}})));
    equation
      connect(O2.busConnector, acidBaseConstInputs.busConnector)   annotation (
          Line(
          points={{-8,18},{16,18},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(acidBaseConstInputs.busConnector, CO2.busConnector)   annotation (
         Line(
          points={{40,-8},{16,-8},{16,50},{-8,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(acidBaseConstInputs.busConnector, acidBase.busConnector) 
        annotation (Line(
          points={{40,-8},{16,-8},{16,30},{50,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end Gases;

    model AcidBase2
      import QHP = HumMod;
      HumMod.Gases.AcidBase.test.AcidBase acidBase 
        annotation (Placement(transformation(extent={{44,18},{64,38}})));
      QHP.Gases.CO2.CO2 CO2 
        annotation (Placement(transformation(extent={{-26,34},{-6,54}})));
      QHP.Gases.O2.O2 O2 
        annotation (Placement(transformation(extent={{-26,0},{-6,20}})));
      QHP.setup.AcidBaseConstInputs2 acidBaseConstInputs 
        annotation (Placement(transformation(extent={{38,-26},{58,-6}})));
      QHP.Nerves.Nerves nerves 
        annotation (Placement(transformation(extent={{46,54},{66,74}})));
    equation
      connect(O2.busConnector, acidBaseConstInputs.busConnector)   annotation (
          Line(
          points={{-8,18},{16,18},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(acidBaseConstInputs.busConnector, CO2.busConnector)   annotation (
         Line(
          points={{40,-8},{16,-8},{16,50},{-8,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(acidBaseConstInputs.busConnector, acidBase.busConnector) 
        annotation (Line(
          points={{40,-8},{16,-8},{16,30},{50,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(nerves.busConnector, acidBaseConstInputs.busConnector) 
        annotation (Line(
          points={{48,72},{16,72},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end AcidBase2;

    model AcidBase3
      import QHP = HumMod;
      HumMod.Gases.AcidBase.test.AcidBase acidBase 
        annotation (Placement(transformation(extent={{44,18},{64,38}})));
      QHP.Gases.CO2.CO2 CO2 
        annotation (Placement(transformation(extent={{-26,34},{-6,54}})));
      QHP.Gases.O2.O2 O2 
        annotation (Placement(transformation(extent={{-26,0},{-6,20}})));
      QHP.setup.AcidBaseConstInputs3 constInputs 
        annotation (Placement(transformation(extent={{38,-26},{58,-6}})));
      QHP.Nerves.Nerves nerves 
        annotation (Placement(transformation(extent={{46,54},{66,74}})));
      QHP.Electrolytes.Electrolytes2 electrolytes 
        annotation (Placement(transformation(extent={{-26,-52},{-6,-32}})));
    equation
      connect(O2.busConnector, constInputs.busConnector)           annotation (
          Line(
          points={{-8,18},{16,18},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(constInputs.busConnector, CO2.busConnector)           annotation (
         Line(
          points={{40,-8},{16,-8},{16,50},{-8,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(constInputs.busConnector, acidBase.busConnector) 
        annotation (Line(
          points={{40,-8},{16,-8},{16,30},{50,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(nerves.busConnector, constInputs.busConnector) 
        annotation (Line(
          points={{48,72},{16,72},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(electrolytes.busConnector, constInputs.busConnector) annotation (
          Line(
          points={{-26,-38},{-26,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end AcidBase3;

    model AcidBase4
      import QHP = HumMod;
      HumMod.Gases.AcidBase.test.AcidBase acidBase 
        annotation (Placement(transformation(extent={{44,18},{64,38}})));
      QHP.Gases.CO2.CO2 CO2 
        annotation (Placement(transformation(extent={{-26,34},{-6,54}})));
      QHP.Gases.O2.O2 O2 
        annotation (Placement(transformation(extent={{-26,0},{-6,20}})));
      QHP.setup.AcidBaseConstInputs4 constInputs 
        annotation (Placement(transformation(extent={{38,-26},{58,-6}})));
      QHP.Nerves.Nerves nerves 
        annotation (Placement(transformation(extent={{46,54},{66,74}})));
      QHP.Electrolytes.Electrolytes2 electrolytes 
        annotation (Placement(transformation(extent={{-26,-52},{-6,-32}})));
      QHP.Blood.CVS cVS 
        annotation (Placement(transformation(extent={{30,-66},{50,-46}})));
    equation
      connect(O2.busConnector, constInputs.busConnector)           annotation (
          Line(
          points={{-8,18},{16,18},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(constInputs.busConnector, CO2.busConnector)           annotation (
         Line(
          points={{40,-8},{16,-8},{16,50},{-8,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(constInputs.busConnector, acidBase.busConnector) 
        annotation (Line(
          points={{40,-8},{16,-8},{16,30},{50,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(nerves.busConnector, constInputs.busConnector) 
        annotation (Line(
          points={{48,72},{16,72},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(electrolytes.busConnector, constInputs.busConnector) annotation (
          Line(
          points={{-26,-38},{-26,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(cVS.busConnector, constInputs.busConnector) annotation (Line(
          points={{32,-48},{16,-48},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end AcidBase4;

    model inc5
      import QHP = HumMod;
      HumMod.Gases.AcidBase.test.AcidBase acidBase 
        annotation (Placement(transformation(extent={{44,18},{64,38}})));
      QHP.Gases.CO2.CO2 CO2 
        annotation (Placement(transformation(extent={{-26,34},{-6,54}})));
      QHP.Gases.O2.O2 O2 
        annotation (Placement(transformation(extent={{-26,0},{-6,20}})));
      QHP.setup.inc5ConstInputs constInputs 
        annotation (Placement(transformation(extent={{38,-26},{58,-6}})));
      QHP.Nerves.Nerves nerves 
        annotation (Placement(transformation(extent={{46,54},{66,74}})));
      QHP.Electrolytes.Electrolytes2 electrolytes 
        annotation (Placement(transformation(extent={{-26,-52},{-6,-32}})));
      QHP.Blood.CVS cVS 
        annotation (Placement(transformation(extent={{30,-66},{50,-46}})));
      HumMod.Metabolism.NutrientsAndMetabolism nutrientsAndMetabolism 
        annotation (Placement(transformation(extent={{-28,-88},{-8,-68}})));
      QHP.Hormones.Hormones hormones 
        annotation (Placement(transformation(extent={{72,-58},{92,-38}})));
      QHP.Proteins.Proteins proteins 
        annotation (Placement(transformation(extent={{-84,-26},{-64,-6}})));
      QHP.Status.TissuesFitness tissuesFitness 
        annotation (Placement(transformation(extent={{72,-92},{92,-72}})));
      QHP.Water.Water water 
        annotation (Placement(transformation(extent={{-68,68},{-48,88}})));
    equation
      connect(O2.busConnector, constInputs.busConnector)           annotation (
          Line(
          points={{-8,18},{16,18},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(constInputs.busConnector, CO2.busConnector)           annotation (
         Line(
          points={{40,-8},{16,-8},{16,50},{-8,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(constInputs.busConnector, acidBase.busConnector) 
        annotation (Line(
          points={{40,-8},{16,-8},{16,30},{50,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(nerves.busConnector, constInputs.busConnector) 
        annotation (Line(
          points={{48,72},{16,72},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(electrolytes.busConnector, constInputs.busConnector) annotation (
          Line(
          points={{-26,-38},{-26,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(cVS.busConnector, constInputs.busConnector) annotation (Line(
          points={{32,-48},{16,-48},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(nutrientsAndMetabolism.busConnector, constInputs.busConnector) 
        annotation (Line(
          points={{-10,-70},{16,-70},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(hormones.busConnector, constInputs.busConnector) annotation (Line(
          points={{75.9,-42.1},{16,-42.1},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(proteins.busConnector, constInputs.busConnector) annotation (Line(
          points={{-67.7,-7.7},{16,-7.7},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(tissuesFitness.busConnector, constInputs.busConnector) 
        annotation (Line(
          points={{73.2,-72.8},{16,-72.8},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(water.busConnector, constInputs.busConnector) annotation (Line(
          points={{-51,85},{16,85},{16,-8},{40,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics),
        experiment(StopTime=1000),
        experimentSetupOutput(equdistant=false, events=false));
    end inc5;

    model T10_PressureFlow
      Library.PressureFlow.ReabsorbtionWithMinimalOutflow
        reabsorbtionWithMinimalOutflow 
        annotation (Placement(transformation(extent={{-10,-10},{10,10}})));
      Library.PressureFlow.InputPump inputPump 
        annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
      Library.Blocks.FlowConstant const(     k=5) 
        annotation (Placement(transformation(extent={{-80,20},{-60,40}})));
      Library.PressureFlow.PressureControledCompartment
        pressureControledCompartment(initialVolume=0) 
        annotation (Placement(transformation(extent={{42,-10},{62,10}})));
      Library.Blocks.PressureConstant const2(k=0) 
        annotation (Placement(transformation(extent={{-64,68},{-48,84}})));
      Library.PressureFlow.PressureControledCompartment
        pressureControledCompartment1(initialVolume=0) 
        annotation (Placement(transformation(extent={{70,-56},{90,-36}})));
      Library.Blocks.FractConstant const1(k=15) 
        annotation (Placement(transformation(extent={{34,-24},{22,-12}})));
      Library.Blocks.FlowConstant const3(k=2) 
        annotation (Placement(transformation(extent={{40,20},{24,36}})));
    equation
      connect(inputPump.q_out, reabsorbtionWithMinimalOutflow.Inflow) 
        annotation (Line(
          points={{-40,1},{-26,1},{-26,0},{-10,0}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(const.y, inputPump.desiredFlow) annotation (Line(
          points={{-59,30},{-50,30},{-50,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const2.y, pressureControledCompartment.pressure[1]) annotation (
          Line(
          points={{-47.2,76},{52,76},{52,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(reabsorbtionWithMinimalOutflow.Outflow,
        pressureControledCompartment.y[1]) annotation (Line(
          points={{10,0},{42,0}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(const2.y, pressureControledCompartment1.pressure[1]) annotation (
          Line(
          points={{-47.2,76},{80,76},{80,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(reabsorbtionWithMinimalOutflow.Reabsorbtion,
        pressureControledCompartment1.y[1]) annotation (Line(
          points={{0,-10},{0,-46},{70,-46}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(reabsorbtionWithMinimalOutflow.FractReab, const1.y) annotation (
          Line(
          points={{9.4,-5.6},{16,-6},{16,-18},{21.4,-18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const3.y, reabsorbtionWithMinimalOutflow.OutflowMin) annotation (
          Line(
          points={{23.2,28},{14,28},{14,5},{3.4,5}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end T10_PressureFlow;

    model T9_PressureFlow
      Library.PressureFlow.PressureControledCompartment
        pressureControledCompartment(initialVolume=100) 
        annotation (Placement(transformation(extent={{-10,-10},{10,10}})));
      Library.PressureFlow.InputPump inputPump 
        annotation (Placement(transformation(extent={{-50,-10},{-30,10}})));
      Modelica.Blocks.Sources.Clock clock(startTime=3) 
        annotation (Placement(transformation(extent={{-70,10},{-50,30}})));
      Modelica.Blocks.Math.Add add 
        annotation (Placement(transformation(extent={{20,-40},{40,-20}})));
      Modelica.Blocks.Sources.Constant const(k=2) 
        annotation (Placement(transformation(extent={{-50,-46},{-30,-26}})));
    equation
      connect(add.y, pressureControledCompartment.pressure[1]) annotation (Line(
          points={{41,-30},{50,-30},{50,20},{0,20},{0,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(add.u1, pressureControledCompartment.Volume) annotation (Line(
          points={{18,-24},{0,-24},{0,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const.y, add.u2) annotation (Line(
          points={{-29,-36},{18,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(clock.y, inputPump.desiredFlow) annotation (Line(
          points={{-49,20},{-40,20},{-40,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(inputPump.q_out, pressureControledCompartment.y[1]) annotation (
          Line(
          points={{-30,1},{-20,1},{-20,0},{-10,0}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end T9_PressureFlow;

    model T3 "otestovany sloupec"
      Library.PressureFlow.GravityHydrostaticDifference
        gravityHydrostaticDifference 
        annotation (Placement(transformation(extent={{-20,0},{0,20}})));
      Library.Blocks.HeightConstant heightConstant(k=1) 
        annotation (Placement(transformation(extent={{-60,0},{-40,20}})));
      Library.Blocks.GConstant gConstant(k=9.6) 
        annotation (Placement(transformation(extent={{-60,-40},{-40,-20}})));
      Library.Blocks.FlowConstant flowConstant(k=-100) 
        annotation (Placement(transformation(extent={{-4,-14},{4,-6}})));
      Library.PressureFlow.InputPump inputPump 
        annotation (Placement(transformation(extent={{0,-40},{20,-20}})));
      Library.PressureFlow.VolumeCompartement volumeCompartement(initialVolume=
            100, pressure=100) 
                 annotation (Placement(transformation(extent={{40,0},{60,20}})));
    equation
      connect(heightConstant.y, gravityHydrostaticDifference.height) 
        annotation (Line(
          points={{-39,10},{-27.55,10},{-27.55,9.5},{-16.1,9.5}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gConstant.y, gravityHydrostaticDifference.G) annotation (Line(
          points={{-39,-30},{-8.5,-30},{-8.5,1.5}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(inputPump.q_out, gravityHydrostaticDifference.q_down) annotation (
         Line(
          points={{20,-29},{26,-29},{26,4.4},{-3,4.4}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowConstant.y, inputPump.desiredFlow) annotation (Line(
          points={{4.4,-10},{10,-10},{10,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gravityHydrostaticDifference.q_up, volumeCompartement.con) 
        annotation (Line(
          points={{-2.8,14.8},{18.6,14.8},{18.6,10},{40,10}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end T3;

    model T4
      Library.PressureFlow.Reabsorbtion reabsorbtion 
        annotation (Placement(transformation(extent={{-20,0},{0,20}})));
      Library.PressureFlow.InputPump inputPump 
        annotation (Placement(transformation(extent={{-60,0},{-40,20}})));
      Library.PressureFlow.VolumeCompartement volumeCompartement(pressure=10,
          initialVolume=10) 
        annotation (Placement(transformation(extent={{20,0},{40,20}})));
      Library.PressureFlow.VolumeCompartement volumeCompartement1(initialVolume=
           10, pressure=10) 
        annotation (Placement(transformation(extent={{20,-40},{40,-20}})));
      Library.Blocks.FlowConstant flowConstant(k=15) 
        annotation (Placement(transformation(extent={{-68,20},{-60,28}})));
      Library.Blocks.Constant Constant(k=3) 
        annotation (Placement(transformation(extent={{0,-14},{8,-6}})));
    equation
      connect(inputPump.q_out, reabsorbtion.Inflow) annotation (Line(
          points={{-40,11},{-30,11},{-30,10},{-20,10}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(reabsorbtion.Outflow, volumeCompartement.con) annotation (Line(
          points={{0,10},{20,10}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(reabsorbtion.Reabsorbtion, volumeCompartement1.con) annotation (
          Line(
          points={{-10,0},{-10,-30},{20,-30}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowConstant.y, inputPump.desiredFlow) annotation (Line(
          points={{-59.6,24},{-50,24},{-50,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(reabsorbtion.FractReab, Constant.y) annotation (Line(
          points={{0.4,5.4},{14,5.4},{14,-10},{8.4,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end T4;

    model TestCurveSpline
      Library.Curves.Curve curve(
        x={0,1,10},
        y={0,5,10},
        slope={0.5,10,0}) 
        annotation (Placement(transformation(extent={{-20,0},{0,20}})));
      Modelica.Blocks.Sources.Clock clock 
        annotation (Placement(transformation(extent={{-80,0},{-60,20}})));
    equation
      connect(clock.y, curve.u) annotation (Line(
          points={{-59,10},{-20,10}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}),      graphics));
    end TestCurveSpline;

    model Yesterday
      parameter Real PSa;
      parameter Real PSb;
      parameter Real Ga2b;
      parameter Real Gb2a;
      parameter Real initialA1;
      parameter Real initialA2;
      parameter Real initialB1;
      parameter Real initialB2;
      Library.ConcentrationFlow.ConcentrationCompartment_knownConc A1(
          concentration=initialA1) 
        annotation (Placement(transformation(extent={{-60,-6},{-40,14}})));
      Library.ConcentrationFlow.ConcentrationCompartment_knownConc A2(
          concentration=initialA2) 
        annotation (Placement(transformation(extent={{-58,-68},{-38,-48}})));
      Library.ConcentrationFlow.ResistorWithCondParam permeabilityA(cond=PSa) 
                                                          annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=90,
            origin={-50,-26})));
      Library.ConcentrationFlow.SimpleReaction simpleReaction 
        annotation (Placement(transformation(extent={{-22,-68},{-2,-48}})));
      Library.ConcentrationFlow.ResistorWithCondParam reactionSpeedFactor(cond=
            Gb2a) 
        annotation (Placement(transformation(extent={{10,-68},{30,-48}})));
      Library.ConcentrationFlow.ConcentrationCompartment_knownConc B2(
          concentration=initialB2) 
        annotation (Placement(transformation(extent={{50,-68},{70,-48}})));
      Library.ConcentrationFlow.ConcentrationCompartment_knownConc B1(
          concentration=initialB1) 
        annotation (Placement(transformation(extent={{50,-6},{70,14}})));
      Library.ConcentrationFlow.ResistorWithCondParam permeabilityB(cond=PSb) 
                                                          annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=90,
            origin={60,-28})));
      Library.Blocks.Constant Constant(k=Ga2b/Gb2a) 
        annotation (Placement(transformation(extent={{-24,-52},{-16,-44}})));
      Library.ConcentrationFlow.SolventFlowPump FAin 
        annotation (Placement(transformation(extent={{-82,-4},{-66,12}})));
      Library.ConcentrationFlow.SolventFlowPump FAout 
        annotation (Placement(transformation(extent={{-38,-4},{-22,12}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-100,76},{-80,96}})));
      Library.ConcentrationFlow.PositiveConcentrationFlow A_in 
        annotation (Placement(transformation(extent={{-102,-6},{-82,14}}),
            iconTransformation(extent={{-100,40},{-80,60}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow A_out 
        annotation (Placement(transformation(extent={{-26,-6},{-6,14}}),
            iconTransformation(extent={{80,40},{100,60}})));
      Library.ConcentrationFlow.PositiveConcentrationFlow B_in 
        annotation (Placement(transformation(extent={{6,-6},{26,14}}),
            iconTransformation(extent={{-100,-40},{-80,-20}})));
      Library.ConcentrationFlow.SolventFlowPump FBin 
        annotation (Placement(transformation(extent={{26,-4},{42,12}})));
      Library.ConcentrationFlow.SolventFlowPump FBout 
        annotation (Placement(transformation(extent={{72,-4},{88,12}})));
      Library.ConcentrationFlow.NegativeConcentrationFlow B_out 
        annotation (Placement(transformation(extent={{86,-6},{104,14}}),
            iconTransformation(extent={{80,-40},{100,-20}})));
      Library.ConcentrationFlow.SolventOutflowPump Gb1 
        annotation (Placement(transformation(extent={{68,24},{84,40}})));
    equation
      connect(A1.q_out, permeabilityA.q_out) 
                                   annotation (Line(
          points={{-50,4},{-50,-17.4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(permeabilityA.q_in, A2.q_out) 
                                  annotation (Line(
          points={{-50,-34.6},{-50,-58},{-48,-58}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(A2.q_out, simpleReaction.q_in) annotation (Line(
          points={{-48,-58},{-22,-58}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(simpleReaction.q_out, reactionSpeedFactor.q_in)    annotation (Line(
          points={{-2,-58},{11.4,-58}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(reactionSpeedFactor.q_out, B2.q_out)    annotation (Line(
          points={{28.6,-58},{60,-58}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(B1.q_out, permeabilityB.q_out) 
                                   annotation (Line(
          points={{60,4},{60,-19.4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(permeabilityB.q_in, B2.q_out) 
                                  annotation (Line(
          points={{60,-36.6},{60,-58}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Constant.y, simpleReaction.coef) annotation (Line(
          points={{-15.6,-48},{-12,-48},{-12,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A_in, FAin.q_in) annotation (Line(
          points={{-92,4},{-82,4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FAin.q_out, A1.q_out) annotation (Line(
          points={{-66,4},{-50,4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(A1.q_out, FAout.q_in) annotation (Line(
          points={{-50,4},{-38,4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FAout.q_out, A_out) annotation (Line(
          points={{-22,4},{-16,4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(B_in, FBin.q_in) annotation (Line(
          points={{16,4},{26,4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FBout.q_out, B_out) annotation (Line(
          points={{88,4},{95,4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FBin.q_out, B1.q_out) annotation (Line(
          points={{42,4},{60,4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(B1.q_out, FBout.q_in) annotation (Line(
          points={{60,4},{72,4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.V1, A1.SolventVolume) annotation (Line(
          points={{-90,86},{-70,86},{-70,12},{-60,12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.V1, B1.SolventVolume) annotation (Line(
          points={{-90,86},{38,86},{38,20},{40,20},{40,12},{50,12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.F, FAin.solventFlow) annotation (Line(
          points={{-90,86},{-70,86},{-70,20},{-74,20},{-74,8.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.F, FAout.solventFlow) annotation (Line(
          points={{-90,86},{-70,86},{-70,20},{-30,20},{-30,8.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.F, FBin.solventFlow) annotation (Line(
          points={{-90,86},{38,86},{38,20},{34,20},{34,8.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.F, FBout.solventFlow) annotation (Line(
          points={{-90,86},{38,86},{38,20},{80,20},{80,8.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.V2, A2.SolventVolume) annotation (Line(
          points={{-90,86},{-92,86},{-92,-42},{-68,-42},{-68,-50},{-58,-50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.V2, B2.SolventVolume) annotation (Line(
          points={{-90,86},{-92,86},{-92,-42},{40,-42},{40,-50},{50,-50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.G1B, Gb1.solventFlow)                annotation (Line(
          points={{-90,86},{76,86},{76,36.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(B1.q_out, Gb1.q_in)                annotation (Line(
          points={{60,4},{60,32},{68,32}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),
                             graphics), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={
            Rectangle(
              extent={{-100,100},{100,-100}},
              lineColor={0,0,0},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-80,40},{-20,60}},
              lineColor={0,0,0},
              textString="A1 in"),
            Text(
              extent={{20,40},{80,60}},
              lineColor={0,0,0},
              textString="A1 out"),
            Text(
              extent={{-80,-40},{-20,-20}},
              lineColor={0,0,0},
              textString="B1 in"),
            Text(
              extent={{20,-40},{80,-20}},
              lineColor={0,0,0},
              textString="B1 out")}));
    end Yesterday;

    model readParam

      parameter Real pokus = Library.Utilities.readRealParameter("SystemicVeins.Vol");

    end readParam;

    model writeParam
      import Modelica.Utilities.*;
      parameter String PARAMETERS_FILE = "parameters/steadyState.txt";
      parameter Boolean SAVE_VALUES = true;
    equation
      if SAVE_VALUES and terminal() then
         Streams.print( "Time", PARAMETERS_FILE);
         Streams.print( String(time), PARAMETERS_FILE);
      end if;
    end writeParam;

    model GM
      import HumMod;
      HumMod.Metabolism.NutrientsAndMetabolism nutrientsAndMetabolism 
        annotation (Placement(transformation(extent={{-72,28},{-52,48}})));
      HumMod.Gases.Gases gases(
        acidBase(artys(STEADY=false)),
        oxygen(Artys(STEADY=false)),
        carbonDioxyd(CO2Veins(STEADY=false))) 
        annotation (Placement(transformation(extent={{26,24},{46,44}})));
      HumMod.setup.GM_fromFile gN 
        annotation (Placement(transformation(extent={{-18,-36},{2,-16}})));
    equation
      connect(gN.busConnector, nutrientsAndMetabolism.busConnector) annotation (
         Line(
          points={{-10,-26},{-12,-26},{-12,46},{-54,46}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(gN.busConnector, gases.busConnector) annotation (Line(
          points={{-10,-26},{-10,42},{44,42}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end GM;

    model BGM
      import HumMod;
      Blood.CVS cVS 
        annotation (Placement(transformation(extent={{-54,50},{-34,70}})));
      HumMod.Gases.Gases gases 
        annotation (Placement(transformation(extent={{-52,12},{-32,32}})));
      HumMod.Metabolism.NutrientsAndMetabolism nutrientsAndMetabolism 
        annotation (Placement(transformation(extent={{38,36},{58,56}})));
      HumMod.setup.BGM bGN 
        annotation (Placement(transformation(extent={{0,60},{20,80}})));
    equation
      connect(cVS.busConnector, bGN.busConnector) annotation (Line(
          points={{-52,68},{-52,70},{8,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(gases.busConnector, bGN.busConnector) annotation (Line(
          points={{-34,30},{-12,30},{-12,70},{8,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(bGN.busConnector, nutrientsAndMetabolism.busConnector) 
        annotation (Line(
          points={{8,70},{56,70},{56,54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end BGM;

    model BGMS
      import HumMod;
      Blood.CVS cVS 
        annotation (Placement(transformation(extent={{-54,50},{-34,70}})));
      HumMod.Gases.Gases gases 
        annotation (Placement(transformation(extent={{-52,12},{-32,32}})));
      HumMod.Metabolism.NutrientsAndMetabolism nutrientsAndMetabolism 
        annotation (Placement(transformation(extent={{38,36},{58,56}})));
      HumMod.setup.BGMS bGN 
        annotation (Placement(transformation(extent={{0,60},{20,80}})));
      HumMod.Status.TissuesFitness tissuesFitness 
        annotation (Placement(transformation(extent={{46,-32},{66,-12}})));
    equation
      connect(cVS.busConnector, bGN.busConnector) annotation (Line(
          points={{-52,68},{-52,70},{8,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(gases.busConnector, bGN.busConnector) annotation (Line(
          points={{-34,30},{-12,30},{-12,70},{8,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(bGN.busConnector, nutrientsAndMetabolism.busConnector) 
        annotation (Line(
          points={{8,70},{56,70},{56,54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(tissuesFitness.busConnector, bGN.busConnector) annotation (Line(
          points={{47.2,-12.8},{8,-12.8},{8,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end BGMS;

    model BEGMS
      import HumMod;
      Blood.CVS cVS 
        annotation (Placement(transformation(extent={{-54,50},{-34,70}})));
      HumMod.Gases.Gases gases 
        annotation (Placement(transformation(extent={{-52,12},{-32,32}})));
      HumMod.Metabolism.NutrientsAndMetabolism nutrientsAndMetabolism 
        annotation (Placement(transformation(extent={{38,36},{58,56}})));
      HumMod.setup.BEGMS bGN 
        annotation (Placement(transformation(extent={{0,58},{20,78}})));
      HumMod.Status.TissuesFitness tissuesFitness 
        annotation (Placement(transformation(extent={{46,-32},{66,-12}})));
      HumMod.Electrolytes.Electrolytes2 electrolytes2_1 
        annotation (Placement(transformation(extent={{2,-58},{22,-38}})));
    equation
      connect(cVS.busConnector, bGN.busConnector) annotation (Line(
          points={{-52,68},{8,68}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(gases.busConnector, bGN.busConnector) annotation (Line(
          points={{-34,30},{-12,30},{-12,68},{8,68}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(bGN.busConnector, nutrientsAndMetabolism.busConnector) 
        annotation (Line(
          points={{8,68},{56,68},{56,54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(tissuesFitness.busConnector, bGN.busConnector) annotation (Line(
          points={{47.2,-12.8},{8,-12.8},{8,68}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(electrolytes2_1.busConnector, bGN.busConnector) annotation (Line(
          points={{2,-44},{-12,-44},{-12,68},{8,68}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end BEGMS;

    model GeneratePeriodeTime
    // parameter Real Rate=70;
     discrete Real HR(start=72);
     Real T0(start=0);
     Boolean b(start=false);
     Real Tpulse;
     Real Tsyst;
     parameter Real Ers = 20;
     parameter Real Erd =           1.2;
     parameter Real Els =                      10;
     parameter Real Eld =                                0.4;
     Real Edias;
     Real Esys;
     Real Et;
    equation
      Tpulse = 60/HR;

      b=(time-pre(T0)>(60/pre(HR)));
      when edge(b) then
        T0=time;
        HR=72;
      end when;

      Tsyst = 0.3*Tpulse^0.5;

      Esys = Els;
      Edias = Eld;
      Et =
      if ( time-T0 >= 0 and time-T0 <= Tsyst) then 
          Edias + (Esys - Edias)/2*(1 - cos(Modelica.Constants.pi*(time-T0)/Tsyst)) else if (time-T0 < (3/2)* Tsyst) then 
               Edias + (Esys - Edias)/2*(1 + cos(2 * Modelica.Constants.pi *(time-T0 - Tsyst)/Tsyst)) else  Edias;
    end GeneratePeriodeTime;

    model HeartElasticitySource
     Real actualHR;

     discrete Real HR(start=72);
     parameter Real Edias = 0.4; //1.2
     parameter Real Esys = 10; //20

     Real T0(start=0);
     Boolean b(start=false);
     Real Tpulse;
     Real Tsyst;

     Real Et;
    equation
      actualHR=72+time*5;

      b=(time-pre(T0)>(60/pre(HR)));
      when edge(b) then
        T0=time;
        HR=actualHR;
      end when;

      Tpulse = 60/HR;
      Tsyst = 0.3*Tpulse^0.5;

      Et =
      if ( time-T0 >= 0 and time-T0 <= Tsyst) then 
          Edias + (Esys - Edias)/2*(1 - cos(Modelica.Constants.pi*(time-T0)/Tsyst)) else if (time-T0 < (3/2)* Tsyst) then 
               Edias + (Esys - Edias)/2*(1 + cos(2 * Modelica.Constants.pi *(time-T0 - Tsyst)/Tsyst)) else  Edias;
    end HeartElasticitySource;
  end test;

  package setup
    model KidneyConstInputs
      Library.Interfaces.BusConnector busConnector
        "signals of organ bood flow resistence"                                          annotation (Placement(
            transformation(extent={{-94,56},{-72,78}}),  iconTransformation(
              extent={{-100,60},{-60,100}})));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),      graphics));
    end KidneyConstInputs;

    model AcidBaseConstInputs
      Library.Interfaces.BusConnector busConnector
        "signals of organ bood flow resistence"                                          annotation (Placement(
            transformation(extent={{-90,68},{-68,90}}),  iconTransformation(
              extent={{-100,60},{-60,100}})));
      AcidBaseO2ConstInputs acidBaseO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,60},{-2,80}})));
      AcidBaseCO2ConstInputs acidBaseCO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,20},{-2,40}})));
      AcidBaseAcidBaseConstInputs acidBaseAcidBaseConstInputs 
        annotation (Placement(transformation(extent={{-18,-18},{2,2}})));
    Library.Blocks.Constant RespiratoryCenter_MotorNerveActivity(k=0.993694435232649) 
    annotation (Placement(transformation(extent={{-26,-76},{-20,-70}})));
    Library.Blocks.Constant RespiratoryCenter_RespRate(k=11.9741435842595) 
    annotation (Placement(transformation(extent={{-26,-66},{-20,-60}})));
    equation
      connect(busConnector, acidBaseO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40.5,79},{-40.5,70},{-14,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseCO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40,79},{-40,30},{-14,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseAcidBaseConstInputs.busConnector) 
        annotation (Line(
          points={{-79,79},{-38,79},{-38,-8},{-10,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    connect(RespiratoryCenter_MotorNerveActivity.y, busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
     points={{-19.7,-73},{-50,-72},{-50,79},{-79,79}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_RespRate.y, busConnector.RespiratoryCenter_RespRate) annotation (Line(
     points={{-19.7,-63},{-50,-62},{-50,79},{-79,79}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}),      graphics));
    end AcidBaseConstInputs;

  model AcidBaseO2ConstInputs

  Library.Interfaces.BusConnector busConnector 
      annotation (Placement(transformation(extent={{72,-2},{86,12}}),
           iconTransformation(extent={{-40,-20},{0,20}})));
  Library.Blocks.Constant AirSupplyInspiredAirPressure(k=760.) 
  annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
  Library.Blocks.Constant ArtysVol(k=1587.76521066473) 
  annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
  Library.Blocks.Constant BarometerPressure(k=760.) 
  annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
  Library.Blocks.Constant bone_BloodFlow(k=411.529549648395) 
  annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
  Library.Blocks.Constant bone_O2Use(k=19.5514326580859) 
  annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
  Library.Blocks.Constant brain_BloodFlow(k=870.480358845086) 
  annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
  Library.Blocks.Constant brain_O2Use(k=52.1371537548956) 
  annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
  Library.Blocks.Constant CardiacOutput(k=5402.99570595689) 
  annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
  Library.Blocks.Constant ExcessLungWater_Volume(k=0.) 
  annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
  Library.Blocks.Constant fat_BloodFlow(k=236.170497748735) 
  annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
  Library.Blocks.Constant fat_O2Use(k=6.51714421936195) 
  annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
  Library.Blocks.Constant GITract_BloodFlow(k=971.271094732174) 
  annotation (Placement(transformation(extent={{-92,-172},{-86,-166}})));
  Library.Blocks.Constant GITract_O2Use(k=25.8513387368024) 
  annotation (Placement(transformation(extent={{-92,-162},{-86,-156}})));
  Library.Blocks.Constant GITract_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-152},{-86,-146}})));
  Library.Blocks.Constant HeatCore_Temp(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-142},{-86,-136}})));
  Library.Blocks.Constant bone_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-132},{-86,-126}})));
  Library.Blocks.Constant brain_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-122},{-86,-116}})));
  Library.Blocks.Constant fat_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-112},{-86,-106}})));
  Library.Blocks.Constant kidney_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-102},{-86,-96}})));
  Library.Blocks.Constant leftHeart_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-92},{-86,-86}})));
  Library.Blocks.Constant liver_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-82},{-86,-76}})));
  Library.Blocks.Constant otherTissue_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-72},{-86,-66}})));
  Library.Blocks.Constant respiratoryMuscle_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-62},{-86,-56}})));
  Library.Blocks.Constant rightHeart_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-92,-52},{-86,-46}})));
  Library.Blocks.Constant skeletalMuscle_T(k=37.239827522926) 
  annotation (Placement(transformation(extent={{-92,-42},{-86,-36}})));
  Library.Blocks.Constant skin_T(k=28.6404308069366) 
  annotation (Placement(transformation(extent={{-92,-32},{-86,-26}})));
  Library.Blocks.Constant HepaticArty_BloodFlow(k=245.489746000535) 
  annotation (Placement(transformation(extent={{-92,-22},{-86,-16}})));
  Library.Blocks.Constant kidney_BloodFlow(k=1231.77885077347) 
  annotation (Placement(transformation(extent={{-92,-2},{-86,4}})));
  Library.Blocks.Constant kidney_O2Use(k=22.5439741398034) 
  annotation (Placement(transformation(extent={{-92,8},{-86,14}})));
  Library.Blocks.Constant leftHeart_BloodFlow(k=187.141403158598) 
  annotation (Placement(transformation(extent={{-92,28},{-86,34}})));
  Library.Blocks.Constant leftHeart_O2Use(k=27.577062812908) 
  annotation (Placement(transformation(extent={{-92,38},{-86,44}})));
  Library.Blocks.Constant liver_O2Use(k=41.0580085819803) 
  annotation (Placement(transformation(extent={{-92,58},{-86,64}})));
  Library.Blocks.Constant AlveolarVentilated_BloodFlow(k=5182.99570595689) 
  annotation (Placement(transformation(extent={{-92,68},{-86,74}})));
  Library.Blocks.Constant otherTissue_BloodFlow(k=367.445620022139) 
  annotation (Placement(transformation(extent={{-92,98},{-86,104}})));
  Library.Blocks.Constant otherTissue_O2Use(k=10.8619070322699) 
  annotation (Placement(transformation(extent={{-92,108},{-86,114}})));
  Library.Blocks.Constant respiratoryMuscle_BloodFlow(k=96.4514390299406) 
  annotation (Placement(transformation(extent={{-92,148},{-86,154}})));
  Library.Blocks.Constant respiratoryMuscle_O2Use(k=6.35044326580859) 
  annotation (Placement(transformation(extent={{-92,158},{-86,164}})));
  Library.Blocks.Constant RespiratorMuscle_FunctionEffect(k=0.995580586980285) 
  annotation (Placement(transformation(extent={{-92,168},{-86,174}})));
  Library.Blocks.Constant rightHeart_BloodFlow(k=35.2508578572206) 
  annotation (Placement(transformation(extent={{-92,188},{-86,194}})));
  Library.Blocks.Constant rightHeart_O2Use(k=5.2563144219362) 
  annotation (Placement(transformation(extent={{-92,198},{-86,204}})));
  Library.Blocks.Constant skeletalMuscle_BloodFlow(k=630.94639202895) 
  annotation (Placement(transformation(extent={{24,-92},{30,-86}})));
  Library.Blocks.Constant skeletalMuscle_O2Use(k=31.4048958169092) 
  annotation (Placement(transformation(extent={{24,-82},{30,-76}})));
  Library.Blocks.Constant skin_BloodFlow(k=116.996639739554) 
  annotation (Placement(transformation(extent={{24,-62},{30,-56}})));
  Library.Blocks.Constant skin_O2Use(k=8.44525143799096) 
  annotation (Placement(transformation(extent={{24,-52},{30,-46}})));
  Library.Blocks.Constant Thorax_LungInflation(k=1.) 
  annotation (Placement(transformation(extent={{24,-42},{30,-36}})));
  Library.Blocks.Constant VeinsVol(k=3777.66406071807) 
  annotation (Placement(transformation(extent={{24,-32},{30,-26}})));
  Library.Blocks.Constant ctHb(k=8.4) 
  annotation (Placement(transformation(extent={{24,-22},{30,-16}})));
  Library.Blocks.Constant pCO(k=0) 
  annotation (Placement(transformation(extent={{24,-12},{30,-6}})));
  Library.Blocks.Constant FHbF(k=.005) 
  annotation (Placement(transformation(extent={{24,-2},{30,4}})));
  Library.Blocks.Constant FMetHb(k=.005) 
  annotation (Placement(transformation(extent={{24,4},{30,10}})));
  Library.Blocks.Constant cDPG(k=5.4) 
  annotation (Placement(transformation(extent={{24,18},{30,24}})));
  equation

  connect(AirSupplyInspiredAirPressure.y, busConnector.AirSupplyInspiredAirPressure) annotation (Line(
   points={{-29.7,13},{79,13},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(BarometerPressure.y, busConnector.BarometerPressure) annotation (Line(
   points={{-29.7,33},{79,33},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(ExcessLungWater_Volume.y, busConnector.ExcessLungWater_Volume) annotation (Line(
   points={{-29.7,153},{79,153},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(Thorax_LungInflation.y, busConnector.Thorax_LungInflation) annotation (Line(
   points={{30.3,-39},{79,-39},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(pCO.y, busConnector.pCO) annotation (Line(
   points={{30.3,-9},{79,-9},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

      annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}),      graphics));
  end AcidBaseO2ConstInputs;

  model AcidBaseCO2ConstInputs

  Library.Interfaces.BusConnector busConnector 
      annotation (Placement(transformation(extent={{-18,-2},{-4,12}}),
           iconTransformation(extent={{-40,-20},{0,20}})));
  Library.Blocks.Constant BloodVol_Hct(k=0.44254397591206) 
  annotation (Placement(transformation(extent={{-98,-58},{-92,-52}})));
  Library.Blocks.Constant bone_CO2FromMetabolism(k=0.697595117240503) 
  annotation (Placement(transformation(extent={{-98,-48},{-92,-42}})));
  Library.Blocks.Constant brain_CO2FromMetabolism(k=1.86025364597468) 
  annotation (Placement(transformation(extent={{-98,-28},{-92,-22}})));
  Library.Blocks.Constant fat_CO2FromMetabolism(k=0.232531705746834) 
  annotation (Placement(transformation(extent={{-98,12},{-92,18}})));
  Library.Blocks.Constant GITract_CO2FromMetabolism(k=0.92237576612911) 
  annotation (Placement(transformation(extent={{-98,32},{-92,38}})));
  Library.Blocks.Constant kidney_CO2FromMetabolism(k=0.804368997308183) 
  annotation (Placement(transformation(extent={{-52,-14},{-46,-8}})));
  Library.Blocks.Constant leftHeart_CO2FromMetabolism(k=0.983949601164556) 
  annotation (Placement(transformation(extent={{-52,6},{-46,12}})));
  Library.Blocks.Constant liver_CO2FromMetabolism(k=1.46494974620506) 
  annotation (Placement(transformation(extent={{-52,26},{-46,32}})));
  Library.Blocks.Constant otherTissue_CO2FromMetabolism(k=0.387552842911391) 
  annotation (Placement(transformation(extent={{-52,46},{-46,52}})));
  Library.Blocks.Constant respiratoryMuscle_CO2FromMetabolism(k=0.22658381572405) 
  annotation (Placement(transformation(extent={{-52,86},{-46,92}})));
  Library.Blocks.Constant rightHeart_CO2FromMetabolism(k=0.187545298574683) 
  annotation (Placement(transformation(extent={{18,-30},{12,-24}})));
  Library.Blocks.Constant skeletalMuscle_CO2FromMetabolism(k=1.12052668274732) 
  annotation (Placement(transformation(extent={{18,-90},{12,-84}})));
  Library.Blocks.Constant skin_CO2FromMetabolism(k=0.301326571307518) 
  annotation (Placement(transformation(extent={{18,-70},{12,-64}})));
  equation

    annotation (Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end AcidBaseCO2ConstInputs;

  model AcidBaseAcidBaseConstInputs

  Library.Interfaces.BusConnector busConnector 
      annotation (Placement(transformation(extent={{72,-2},{86,12}}),
           iconTransformation(extent={{-40,-20},{0,20}})));
  Library.Blocks.Constant BladderVolume_Mass(k=5365.4292713828) 
  annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
  Library.Blocks.Constant CD_KA_Outflow(k=6.08968322729714e-005) 
  annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
  Library.Blocks.Constant CD_PO4_Outflow(k=2.28968543265027e-002) 
  annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
  Library.Blocks.Constant CD_NH4_Outflow(k=3.45950195621061e-002) 
  annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
  Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
  annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
  Library.Blocks.Constant PotasiumToCells(k=0) 
  annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
  Library.Blocks.Constant LactateFromTissues(k=1.45802146223154e-004) 
  annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
  Library.Blocks.Constant ctPO4(k=0.171693430695613) 
  annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
  Library.Blocks.Constant ctAlb(k=0.66) 
  annotation (Placement(transformation(extent={{8,-30},{14,-24}})));
  Library.Blocks.Constant ctGlb(k=28) 
  annotation (Placement(transformation(extent={{8,-20},{14,-14}})));
  Library.Blocks.Constant ctHb_ery(k=21) 
  annotation (Placement(transformation(extent={{8,-10},{14,-4}})));
  Library.Blocks.Constant DT_AldosteroneEffect(k=1) 
  annotation (Placement(transformation(extent={{8,0},{14,6}})));
  Library.Blocks.Constant GITract_InterstitialWater(k=1095.27) 
  annotation (Placement(transformation(extent={{20,-96},{26,-90}})));
  Library.Blocks.Constant bone_InterstitialWater(k=3442.29) 
  annotation (Placement(transformation(extent={{20,-86},{26,-80}})));
  Library.Blocks.Constant brain_InterstitialWater(k=704.104) 
  annotation (Placement(transformation(extent={{20,-76},{26,-70}})));
  Library.Blocks.Constant fat_InterstitialWater(k=2425.25) 
  annotation (Placement(transformation(extent={{20,-66},{26,-60}})));
  Library.Blocks.Constant kidney_InterstitialWater(k=234.701) 
  annotation (Placement(transformation(extent={{20,-56},{26,-50}})));
  Library.Blocks.Constant leftHeart_InterstitialWater(k=195.585) 
  annotation (Placement(transformation(extent={{20,-46},{26,-40}})));
  Library.Blocks.Constant liver_InterstitialWater(k=1721.14) 
  annotation (Placement(transformation(extent={{20,-36},{26,-30}})));
  Library.Blocks.Constant otherTissue_InterstitialWater(k=3090.24) 
  annotation (Placement(transformation(extent={{20,-26},{26,-20}})));
  Library.Blocks.Constant respiratoryMuscle_InterstitialWater(k=2738.18) 
  annotation (Placement(transformation(extent={{20,-16},{26,-10}})));
  Library.Blocks.Constant rightHeart_InterstitialWater(k=39.1169) 
  annotation (Placement(transformation(extent={{20,-6},{26,0}})));
  Library.Blocks.Constant skeletalMuscle_InterstitialWater(k=18463.2) 
  annotation (Placement(transformation(extent={{20,4},{26,10}})));
  Library.Blocks.Constant skin_InterstitialWater(k=4967.85) 
  annotation (Placement(transformation(extent={{20,14},{26,20}})));
  Library.Blocks.Constant GITract_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,24},{26,30}})));
  Library.Blocks.Constant bone_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,34},{26,40}})));
  Library.Blocks.Constant brain_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,44},{26,50}})));
  Library.Blocks.Constant fat_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,54},{26,60}})));
  Library.Blocks.Constant kidney_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,64},{26,70}})));
  Library.Blocks.Constant leftHeart_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,74},{26,80}})));
  Library.Blocks.Constant liver_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,84},{26,90}})));
  Library.Blocks.Constant otherTissue_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,94},{26,100}})));
  Library.Blocks.Constant respiratoryMuscle_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,104},{26,110}})));
  Library.Blocks.Constant rightHeart_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,114},{26,120}})));
  Library.Blocks.Constant skeletalMuscle_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,124},{26,130}})));
  Library.Blocks.Constant skin_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{20,134},{26,140}})));
  Library.Blocks.Constant bone_cLactate(k=1.17864964797693) 
  annotation (Placement(transformation(extent={{-86,-76},{-80,-70}})));
  Library.Blocks.Constant brain_cLactate(k=1.17824818197653) 
  annotation (Placement(transformation(extent={{-86,-66},{-80,-60}})));
  Library.Blocks.Constant fat_cLactate(k=1.17872566761662) 
  annotation (Placement(transformation(extent={{-86,-56},{-80,-50}})));
  Library.Blocks.Constant GITract_cLactate(k=1.17853264928685) 
  annotation (Placement(transformation(extent={{-86,-46},{-80,-40}})));
  Library.Blocks.Constant kidney_cLactate(k=1.17768541381456) 
  annotation (Placement(transformation(extent={{-86,-36},{-80,-30}})));
  Library.Blocks.Constant leftHeart_cLactate(k=1.1772823164353) 
  annotation (Placement(transformation(extent={{-86,-26},{-80,-20}})));
  Library.Blocks.Constant liver_cLactate(k=1.17837719280468) 
  annotation (Placement(transformation(extent={{-86,-16},{-80,-10}})));
  Library.Blocks.Constant otherTissue_cLactate(k=1.17872358416974) 
  annotation (Placement(transformation(extent={{-86,-6},{-80,0}})));
  Library.Blocks.Constant respiratoryMuscle_cLactate(k=1.17873921576527) 
  annotation (Placement(transformation(extent={{-86,4},{-80,10}})));
  Library.Blocks.Constant rightHeart_cLactate(k=1.17710930900017) 
  annotation (Placement(transformation(extent={{-86,14},{-80,20}})));
  Library.Blocks.Constant skeletalMuscle_cLactate(k=1.17874448371875) 
  annotation (Placement(transformation(extent={{-86,24},{-80,30}})));
  Library.Blocks.Constant skin_cLactate(k=1.17866886042046) 
  annotation (Placement(transformation(extent={{-86,34},{-80,40}})));
  Library.Blocks.Constant KCell_conc(k=145.580640839212) 
  annotation (Placement(transformation(extent={{-86,44},{-80,50}})));
  Library.Blocks.Constant liver_BloodFlow(k=1216.760840732709) 
  annotation (Placement(transformation(extent={{-94,76},{-90,80}})));
    Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
      annotation (Placement(transformation(extent={{-86,-96},{-80,-90}})));
  equation

    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),
                           graphics));
  end AcidBaseAcidBaseConstInputs;

  model AcidBaseNervesConstInputs

  Library.Interfaces.BusConnector busConnector 
      annotation (Placement(transformation(extent={{84,-102},{98,-88}}),
           iconTransformation(extent={{-100,60},{-60,100}})));
  Library.Blocks.Constant A2Pool_Log10Con(k=1.30698460203345) 
  annotation (Placement(transformation(extent={{-38,-98},{-32,-92}})));
  Library.Blocks.Constant AlphaBlocade_Effect(k=1.) 
  annotation (Placement(transformation(extent={{-38,-88},{-32,-82}})));
  Library.Blocks.Constant AlphaPool_Effect(k=1.00194503821729) 
  annotation (Placement(transformation(extent={{-38,-78},{-32,-72}})));
  Library.Blocks.Constant AnesthesiaTidalVolume(k=1.) 
  annotation (Placement(transformation(extent={{-38,-68},{-32,-62}})));
  Library.Blocks.Constant BetaBlocade_Effect(k=1.) 
  annotation (Placement(transformation(extent={{-38,-58},{-32,-52}})));
  Library.Blocks.Constant BetaPool_Effect(k=1.00194503821729) 
  annotation (Placement(transformation(extent={{-38,-48},{-32,-42}})));
  Library.Blocks.Constant BrainFuel_FractUseDelay(k=1.) 
  annotation (Placement(transformation(extent={{-38,-28},{-32,-22}})));
  Library.Blocks.Constant BrainFunctionEffect(k=1.) 
  annotation (Placement(transformation(extent={{-38,-18},{-32,-12}})));
  Library.Blocks.Constant CarotidSinusArteryPressure(k=95.4078941631755) 
  annotation (Placement(transformation(extent={{-38,2},{-32,8}})));
  Library.Blocks.Constant ExerciseMetabolism_TotalWatts(k=0.) 
  annotation (Placement(transformation(extent={{-38,12},{-32,18}})));
  Library.Blocks.Constant LeftAtrium_TMP(k=7.74050434820321) 
  annotation (Placement(transformation(extent={{-38,22},{-32,28}})));
  Library.Blocks.Constant RightAtrium_TMP(k=3.89677311588134) 
  annotation (Placement(transformation(extent={{-38,42},{-32,48}})));
  equation

  connect(AnesthesiaTidalVolume.y, busConnector.AnesthesiaTidalVolume) annotation (Line(
   points={{-31.7,-65},{91,-65},{91,-95}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(ExerciseMetabolism_TotalWatts.y, busConnector.ExerciseMetabolism_TotalWatts) annotation (Line(
   points={{-31.7,15},{91,15},{91,-95}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

  end AcidBaseNervesConstInputs;

    model AcidBaseConstInputs2
      Library.Interfaces.BusConnector busConnector
        "signals of organ bood flow resistence"                                          annotation (Placement(
            transformation(extent={{-90,68},{-68,90}}),  iconTransformation(
              extent={{-100,60},{-60,100}})));
      AcidBaseO2ConstInputs acidBaseO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,60},{-2,80}})));
      AcidBaseCO2ConstInputs acidBaseCO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,20},{-2,40}})));
      AcidBaseAcidBaseConstInputs acidBaseAcidBaseConstInputs 
        annotation (Placement(transformation(extent={{-18,-18},{2,2}})));
      AcidBaseNervesConstInputs acidBaseNervesConstInputs 
        annotation (Placement(transformation(extent={{-22,-50},{-2,-30}})));
    equation
      connect(busConnector, acidBaseO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40.5,79},{-40.5,70},{-14,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseCO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40,79},{-40,30},{-14,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseAcidBaseConstInputs.busConnector) 
        annotation (Line(
          points={{-79,79},{-38,79},{-38,-8},{-10,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseNervesConstInputs.busConnector) annotation (
         Line(
          points={{-79,79},{-42,79},{-42,-32},{-20,-32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}),      graphics));
    end AcidBaseConstInputs2;

    model AcidBaseConstInputs3
      Library.Interfaces.BusConnector busConnector
        "signals of organ bood flow resistence"                                          annotation (Placement(
            transformation(extent={{-90,68},{-68,90}}),  iconTransformation(
              extent={{-100,60},{-60,100}})));
      AcidBaseO2ConstInputs acidBaseO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,60},{-2,80}})));
      AcidBaseCO2ConstInputs acidBaseCO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,20},{-2,40}})));
      AcidBaseAcidBaseConstInputs acidBaseAcidBaseConstInputs 
        annotation (Placement(transformation(extent={{-20,-18},{0,2}})));
      AcidBaseNervesConstInputs acidBaseNervesConstInputs 
        annotation (Placement(transformation(extent={{-22,-50},{-2,-30}})));
      AcidBaseElectrolytesConstInputs acidBaseElectrolytesConstInputs 
        annotation (Placement(transformation(extent={{-50,-80},{-30,-60}})));
    equation
      connect(busConnector, acidBaseO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40.5,79},{-40.5,70},{-14,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseCO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40,79},{-40,30},{-14,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseAcidBaseConstInputs.busConnector) 
        annotation (Line(
          points={{-79,79},{-38,79},{-38,-8},{-12,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseNervesConstInputs.busConnector) annotation (
         Line(
          points={{-79,79},{-42,79},{-42,-32},{-20,-32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(acidBaseElectrolytesConstInputs.busConnector, busConnector) 
        annotation (Line(
          points={{-42,-70},{-42,79},{-79,79}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}),      graphics));
    end AcidBaseConstInputs3;

  model AcidBaseElectrolytesConstInputs

  Library.Interfaces.BusConnector busConnector 
      annotation (Placement(transformation(extent={{26,-6},{40,8}}),
           iconTransformation(extent={{-40,-20},{0,20}})));
  Library.Blocks.Constant CD_KA_Outflow(k=6.08968322729714e-005) 
  annotation (Placement(transformation(extent={{-30,-48},{-24,-42}})));
  Library.Blocks.Constant CO2Veins_cHCO3(k=25.7071728935027) 
  annotation (Placement(transformation(extent={{-30,-38},{-24,-32}})));
  Library.Blocks.Constant CellH2O_Vol(k=27335.8967957385) 
  annotation (Placement(transformation(extent={{-30,-28},{-24,-22}})));
  Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
  annotation (Placement(transformation(extent={{-30,-8},{-24,-2}})));
  Library.Blocks.Constant GlomerulusFiltrate_GFR(k=130.805) 
  annotation (Placement(transformation(extent={{-30,2},{-24,8}})));
  Library.Blocks.Constant KAPool_Osmoles(k=2.10110505683432) 
  annotation (Placement(transformation(extent={{-30,8},{-24,14}})));
  Library.Blocks.Constant KAPool_conc(k=1.3839925831359e-002) 
  annotation (Placement(transformation(extent={{-30,14},{-24,20}})));
  Library.Blocks.Constant KidneyFunction_Effect(k=0.995580586980285) 
  annotation (Placement(transformation(extent={{-30,26},{-24,32}})));
  Library.Blocks.Constant Kidney_NephronCount_Total_xNormal(k=1.) 
  annotation (Placement(transformation(extent={{-30,32},{-24,38}})));
  Library.Blocks.Constant LacPool_Mass_mEq(k=18.2596543652006) 
  annotation (Placement(transformation(extent={{78,-2},{72,4}})));
  Library.Blocks.Constant LacPool_Lac_mEq_per_litre(k=1.17870363536868) 
  annotation (Placement(transformation(extent={{78,8},{72,14}})));
  Library.Blocks.Constant Medulla_Volume(k=31.) 
  annotation (Placement(transformation(extent={{78,18},{72,24}})));
  Library.Blocks.Constant NephronANP_Log10Conc(k=1.25866025557014) 
  annotation (Placement(transformation(extent={{78,28},{72,34}})));
  Library.Blocks.Constant NephronAldo_conc_in_nG_per_dl(k=9.9383249094754) 
  annotation (Placement(transformation(extent={{78,38},{72,44}})));
  Library.Blocks.Constant NephroneIFP_Pressure(k=3.98695) 
  annotation (Placement(transformation(extent={{78,48},{72,54}})));
  Library.Blocks.Constant VasaRecta_Outflow(k=21.7865579572364) 
  annotation (Placement(transformation(extent={{78,58},{72,64}})));
  Library.Blocks.Constant liver_GlucoseToCellStorageFlow(k=0) 
  annotation (Placement(transformation(extent={{78,68},{72,74}})));
  Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow(k=0) 
  annotation (Placement(transformation(extent={{78,78},{72,84}})));
  Library.Blocks.Constant skeletalMuscle_GlucoseToCellStorageFlow1(
                                                                  k=0) 
  annotation (Placement(transformation(extent={{78,88},{72,94}})));
    Library.Blocks.Constant Constant14(k=0) 
      annotation (Placement(transformation(extent={{-86,42},{-78,50}})));
    Library.Blocks.Constant Constant15(k=0) 
      annotation (Placement(transformation(extent={{-86,50},{-78,58}})));
    Library.Blocks.Constant Constant16(k=0) 
      annotation (Placement(transformation(extent={{-86,58},{-78,66}})));
    Library.Blocks.Constant Constant17(k=0) 
      annotation (Placement(transformation(extent={{-86,66},{-78,74}})));
    Library.Blocks.Constant Constant18(k=0) 
      annotation (Placement(transformation(extent={{-86,74},{-78,82}})));
    Library.Blocks.Constant Constant19(k=.12) 
      annotation (Placement(transformation(extent={{-86,82},{-78,90}})));
    Library.Blocks.Constant Constant20(k=0) 
      annotation (Placement(transformation(extent={{-86,90},{-78,98}})));
    Library.Blocks.Constant Constant1(k=0) annotation (Placement(
          transformation(extent={{-94,-10},{-86,-2}})));
    Library.Blocks.Constant Constant2(k=0) annotation (Placement(
          transformation(extent={{-94,-24},{-86,-16}})));
  Library.Blocks.Constant Kidney_NephronCount_Filtering_xNormal(
                                                            k=1.) 
  annotation (Placement(transformation(extent={{-30,38},{-24,44}})));
    Library.Blocks.Constant Constant21(k=0) 
      annotation (Placement(transformation(extent={{-92,-92},{-84,-84}})));
    Library.Blocks.Constant Constant22(k=0) 
      annotation (Placement(transformation(extent={{-92,-84},{-84,-76}})));
    Library.Blocks.Constant Constant23(k=0) 
      annotation (Placement(transformation(extent={{-92,-76},{-84,-68}})));
    Library.Blocks.Constant Constant24(k=0) 
      annotation (Placement(transformation(extent={{-92,-68},{-84,-60}})));
    Library.Blocks.Constant Constant25(k=0) 
      annotation (Placement(transformation(extent={{-92,-60},{-84,-52}})));
    Library.Blocks.Constant Constant26(k=5.2e-002) 
      annotation (Placement(transformation(extent={{-92,-52},{-84,-44}})));
    Library.Blocks.Constant Constant27(k=0) 
      annotation (Placement(transformation(extent={{-92,-44},{-84,-36}})));
    Library.Blocks.Constant Constant28(k=0) 
      annotation (Placement(transformation(extent={{80,-70},{72,-62}})));
    Library.Blocks.Constant Constant29(k=0) 
      annotation (Placement(transformation(extent={{80,-62},{72,-54}})));
    Library.Blocks.Constant Constant30(k=0) 
      annotation (Placement(transformation(extent={{80,-54},{72,-46}})));
    Library.Blocks.Constant Constant31(k=0) 
      annotation (Placement(transformation(extent={{80,-46},{72,-38}})));
    Library.Blocks.Constant Constant32(k=0) 
      annotation (Placement(transformation(extent={{80,-38},{72,-30}})));
    Library.Blocks.Constant Constant33(k=0.149511) 
      annotation (Placement(transformation(extent={{80,-30},{72,-22}})));
    Library.Blocks.Constant Constant34(k=0) 
      annotation (Placement(transformation(extent={{80,-22},{72,-14}})));
  Library.Blocks.Constant A2Pool_Log10Conc1(k=11.1951) 
  annotation (Placement(transformation(extent={{-86,28},{-80,34}})));
  Library.Blocks.Constant A2Pool_Log10Conc2(k=2.5e-002) 
  annotation (Placement(transformation(extent={{-86,22},{-80,28}})));
  Library.Blocks.Constant A2Pool_Log10Conc3(k=4.2e-002) 
  annotation (Placement(transformation(extent={{-86,16},{-80,22}})));
  Library.Blocks.Constant A2Pool_Log10Conc4(k=14.9621) 
  annotation (Placement(transformation(extent={{-88,4},{-82,10}})));
  Library.Blocks.Constant A2Pool_Log10Conc(k=1.29916) 
  annotation (Placement(transformation(extent={{-34,-78},{-28,-72}})));
  Library.Blocks.Constant AldoPool_Aldo(k=0.290854848569316) 
  annotation (Placement(transformation(extent={{-34,-66},{-28,-60}})));
  Library.Blocks.Constant BladderVoidFlow(k=0) 
  annotation (Placement(transformation(extent={{-32,-90},{-26,-84}})));
    Library.Blocks.Constant Constant3(k=41.0125) 
      annotation (Placement(transformation(extent={{-72,-34},{-64,-26}})));
  equation

  connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
   points={{-23.7,35},{33,35},{33,1}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
   points={{71.7,21},{33,21},{33,1}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

    connect(Constant14.y,busConnector.IVDrip_NaRate) annotation (Line(
        points={{-77.6,46},{33,46},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant15.y,busConnector. Transfusion_NaRate) annotation (Line(
        points={{-77.6,54},{33,54},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant16.y,busConnector. SweatDuct_NaRate) annotation (Line(
        points={{-77.6,62},{33,62},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant17.y,busConnector. Hemorrhage_NaRate) annotation (Line(
        points={{-77.6,70},{33,70},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant18.y,busConnector. DialyzerActivity_Na_Flux) annotation (
        Line(
        points={{-77.6,78},{33,78},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant19.y,busConnector. DietIntakeElectrolytes_Na) annotation (
        Line(
        points={{-77.6,86},{33,86},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant20.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
        points={{-77.6,94},{33,94},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant1.y,busConnector. FurosemidePool_Furosemide_conc) 
      annotation (Line(
        points={{-85.6,-6},{-62,-6},{-62,1},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant2.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
        Line(
        points={{-85.6,-20},{-62,-20},{-62,1},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Kidney_NephronCount_Filtering_xNormal.y, busConnector.Kidney_NephronCount_Filtering_xNormal) 
                                                                                               annotation (Line(
   points={{-23.7,41},{33,41},{33,1}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(Constant21.y,busConnector. IVDrip_KRate) annotation (Line(
        points={{-83.6,-88},{-58,-88},{-58,-40},{34,-40},{34,1},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant22.y,busConnector. Transfusion_KRate) annotation (Line(
        points={{-83.6,-80},{-58,-80},{-58,-40},{34,-40},{34,1},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant23.y,busConnector. SweatDuct_KRate) annotation (Line(
        points={{-83.6,-72},{-58,-72},{-58,-40},{34,-40},{34,1},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant24.y,busConnector. Hemorrhage_KRate) annotation (Line(
        points={{-83.6,-64},{-58,-64},{-58,-40},{34,-40},{34,1},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant25.y,busConnector. DialyzerActivity_K_Flux) annotation (
        Line(
        points={{-83.6,-56},{-58,-56},{-58,-40},{34,-40},{34,1},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant26.y,busConnector. DietIntakeElectrolytes_K) annotation (
        Line(
        points={{-83.6,-48},{-58,-48},{-58,-40},{34,-40},{34,1},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant27.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
        points={{-83.6,-40},{33,-40},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant28.y,busConnector. IVDrip_ClRate) annotation (Line(
        points={{71.6,-66},{33,-66},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant29.y,busConnector. Transfusion_ClRate) annotation (Line(
        points={{71.6,-58},{33,-58},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant30.y,busConnector. SweatDuct_ClRate) annotation (Line(
        points={{71.6,-50},{33,-50},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant31.y,busConnector. Hemorrhage_ClRate) annotation (Line(
        points={{71.6,-42},{33,-42},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant32.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
        Line(
        points={{71.6,-34},{33,-34},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant33.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
        Line(
        points={{71.6,-26},{33,-26},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant34.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
        points={{71.6,-18},{33,-18},{33,1}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(A2Pool_Log10Conc2.y, busConnector.DietIntakeElectrolytes_PO4) 
        annotation (Line(
          points={{-79.7,25},{-56,25},{-56,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(A2Pool_Log10Conc3.y, busConnector.DietIntakeElectrolytes_SO4) 
        annotation (Line(
          points={{-79.7,19},{-56,19},{-56,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(A2Pool_Log10Conc4.y, busConnector.BloodIons_ProteinAnions) 
        annotation (Line(
          points={{-81.7,7},{-56,7},{-56,1},{33,1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
  connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
   points={{-25.7,-87},{33,-87},{33,1}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),
                           graphics));
  end AcidBaseElectrolytesConstInputs;

    model AcidBaseConstInputs4
      Library.Interfaces.BusConnector busConnector
        "signals of organ bood flow resistence"                                          annotation (Placement(
            transformation(extent={{-90,68},{-68,90}}),  iconTransformation(
              extent={{-100,60},{-60,100}})));
      AcidBaseO2ConstInputs acidBaseO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,60},{-2,80}})));
      AcidBaseCO2ConstInputs acidBaseCO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,20},{-2,40}})));
      AcidBaseAcidBaseConstInputs acidBaseAcidBaseConstInputs 
        annotation (Placement(transformation(extent={{-20,-18},{0,2}})));
      AcidBaseNervesConstInputs acidBaseNervesConstInputs 
        annotation (Placement(transformation(extent={{-22,-50},{-2,-30}})));
      AcidBaseElectrolytesConstInputs acidBaseElectrolytesConstInputs 
        annotation (Placement(transformation(extent={{-50,-80},{-30,-60}})));
      aCVSConstInputs aCVSConstInputs1 
        annotation (Placement(transformation(extent={{-80,-36},{-60,-16}})));
    equation
      connect(busConnector, acidBaseO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40.5,79},{-40.5,70},{-14,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseCO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40,79},{-40,30},{-14,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseAcidBaseConstInputs.busConnector) 
        annotation (Line(
          points={{-79,79},{-38,79},{-38,-8},{-12,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseNervesConstInputs.busConnector) annotation (
         Line(
          points={{-79,79},{-42,79},{-42,-32},{-20,-32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(acidBaseElectrolytesConstInputs.busConnector, busConnector) 
        annotation (Line(
          points={{-42,-70},{-42,79},{-79,79}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(aCVSConstInputs1.busConnector, busConnector) annotation (Line(
          points={{-74.1,-27.3},{-74.1,25.35},{-79,25.35},{-79,79}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}),      graphics));
    end AcidBaseConstInputs4;

    model aCVSConstInputs

      Library.Blocks.Constant const1(k=72.2) 
        annotation (Placement(transformation(extent={{-4,38},{-10,44}})));
      Library.Blocks.Constant const2(k=9.81) 
        annotation (Placement(transformation(extent={{-4,44},{-10,50}})));
      Library.Blocks.Constant const7(
                              k=1) 
        annotation (Placement(transformation(extent={{-98,-64},{-92,-58}})));
      Library.Blocks.Constant const9(k=1.49317) 
        annotation (Placement(transformation(extent={{-40,80},{-46,86}})));
      Library.Blocks.Constant const13(
                              k=1) 
        annotation (Placement(transformation(extent={{-98,-40},{-92,-34}})));
      Library.Blocks.BooleanConstant booleanConstant1(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.BooleanConstant booleanConstant2(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.BooleanConstant booleanConstant3(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.BooleanConstant booleanConstant4(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.BooleanConstant booleanConstant5(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.BooleanConstant booleanConstant6(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.Constant const14(
                               k=.8) 
        annotation (Placement(transformation(extent={{10,82},{4,88}})));
      Library.Blocks.Constant const21(
                               k=1.3) 
        annotation (Placement(transformation(extent={{48,80},{42,74}})));
      Library.Blocks.Constant const23(
                               k=1) 
        annotation (Placement(transformation(extent={{48,90},{42,96}})));
      Library.Blocks.Constant c1(k=27.58) 
        annotation (Placement(transformation(extent={{-98,-32},{-92,-26}})));
      Library.Blocks.Constant c2(k=0.877724) 
        annotation (Placement(transformation(extent={{-46,88},{-52,94}})));
      Library.Blocks.Constant const30(
                                   k=6.2) 
        annotation (Placement(transformation(extent={{-98,8},{-92,14}})));
      Library.Blocks.Constant const31(
                               k=51.8) 
        annotation (Placement(transformation(extent={{-98,26},{-92,32}})));
      Library.Blocks.Constant const32(
                                   k=27.3) 
        annotation (Placement(transformation(extent={{-98,-8},{-92,-2}})));
      Library.Blocks.BooleanConstant booleanConstant7(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.BooleanConstant booleanConstant8(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.BooleanConstant booleanConstant11(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.Constant const24(
                               k=0) 
        annotation (Placement(transformation(extent={{-98,-56},{-92,-50}})));
      Modelica.Blocks.Sources.Step const25(
        startTime=600,
        height=0,
        offset=0) 
        annotation (Placement(transformation(extent={{-98,-48},{-92,-42}})));
      Library.Blocks.BooleanConstant booleanConstant9(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-24},{-92,-18}})));
      Library.Blocks.Constant const27(
                               k=1) 
        annotation (Placement(transformation(extent={{-4,56},{-10,62}})));
      Library.Blocks.Constant const34(
                               k=1) 
        annotation (Placement(transformation(extent={{-4,50},{-10,56}})));
      Library.Blocks.Constant const35(k=1) 
        annotation (Placement(transformation(extent={{46,46},{40,52}})));
      Library.Blocks.Constant const36(k=0) 
        annotation (Placement(transformation(extent={{46,58},{40,64}})));
      Library.Blocks.Constant const37(k=0) 
        annotation (Placement(transformation(extent={{46,52},{40,58}})));
      Library.Blocks.Constant const10(k=0) 
        annotation (Placement(transformation(extent={{46,40},{40,46}})));
      Library.Blocks.Constant const39(k=1.25839) 
        annotation (Placement(transformation(extent={{76,-94},{70,-88}})));
      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-48,-20},{-34,-6}})));
      Library.Blocks.Constant const22(k=44.3) 
        annotation (Placement(transformation(extent={{76,-82},{70,-76}})));
      Library.Blocks.Constant const38(k=0) 
        annotation (Placement(transformation(extent={{76,-88},{70,-82}})));
      Library.Blocks.Constant const4(k=1.3) 
        annotation (Placement(transformation(extent={{6,0},{0,6}})));
      Library.Blocks.Constant const5(k=3000) 
        annotation (Placement(transformation(extent={{6,6},{0,12}})));
      Library.Blocks.Constant const40(k=0) 
        annotation (Placement(transformation(extent={{6,18},{0,24}})));
      Library.Blocks.Constant const41(k=0) 
        annotation (Placement(transformation(extent={{6,12},{0,18}})));
      Library.Blocks.BooleanConstant booleanConstant10(
                                               k=false) 
        annotation (Placement(transformation(extent={{-98,-70},{-92,-64}})));
      Library.Blocks.Constant const3( k=1) 
        annotation (Placement(transformation(extent={{16,-34},{10,-28}})));
      Library.Blocks.Constant Constant(k=194.998197576335) 
        annotation (Placement(transformation(extent={{16,-48},{4,-36}})));
      Library.Blocks.Constant Constant1(k=1122.53390426779) 
        annotation (Placement(transformation(extent={{16,-60},{4,-48}})));
      Library.Blocks.Constant const42(k=1.57900669573065) 
        annotation (Placement(transformation(extent={{16,-16},{8,-8}})));
      Library.Blocks.Constant const43(k=3.06978620259696) 
        annotation (Placement(transformation(extent={{16,-26},{8,-18}})));
      Library.Blocks.Constant const44(k=-4) 
        annotation (Placement(transformation(extent={{-96,-88},{-90,-82}})));
      Library.Blocks.Constant const45(k=-3) 
        annotation (Placement(transformation(extent={{-96,-96},{-90,-90}})));
    equation
      connect(const7.y, busConnector.Exercise_MusclePump_Effect) annotation (
          Line(
          points={{-91.7,-61},{-56,-61},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const13.y, busConnector.Anesthesia_VascularConductance) annotation (
          Line(
          points={{-91.7,-37},{-56,-37},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const24.y, busConnector.Exercise_Metabolism_ContractionRate) 
        annotation (Line(
          points={{-91.7,-53},{-56,-53},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const25.y, busConnector.Exercise_Metabolism_MotionWatts) 
        annotation (Line(
          points={{-91.7,-45},{-56,-45},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const21.y, busConnector.TGF_Vascular_signal)          annotation (
          Line(
          points={{41.7,77},{40,77},{40,66},{-56,66},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const36.y, busConnector.LowerTorsoArtyHeight) 
        annotation (Line(
          points={{39.7,61},{34,61},{34,66},{-56,66},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const37.y, busConnector.LowerTorsoVeinHeight) 
        annotation (Line(
          points={{39.7,55},{34,55},{34,66},{-56,66},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const35.y, busConnector.LegMusclePump_Effect) 
        annotation (Line(
          points={{39.7,49},{34,49},{34,66},{-56,66},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const10.y, busConnector.CarotidSinusHeight) 
        annotation (Line(
          points={{39.7,43},{34,43},{34,66},{-56,66},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const2.y, busConnector.G)          annotation (Line(
          points={{-10.3,47},{-41,47},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const38.y, busConnector.FurosemidePool_Loss) annotation (Line(
          points={{69.7,-85},{-41,-85},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Transfusion_RBCRate, const40.y) annotation (Line(
          points={{-41,-13},{-41,21},{-0.3,21}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Hemorrhage_RBCRate, const41.y) annotation (Line(
          points={{-41,-13},{-41,15},{-0.3,15}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(const44.y, busConnector.Thorax_AvePressure) annotation (Line(
          points={{-89.7,-85},{-41,-85},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const45.y, busConnector.Pericardium_Pressure) annotation (Line(
          points={{-89.7,-93},{-41,-93},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(c2.y, busConnector.HypothalamusSkinFlow_NervesActivity) annotation (
          Line(
          points={{-52.3,91},{-54,92},{-56,90},{-56,-13},{-41,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Documentation(info="<html>
</html>"), Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics),
        experiment(StopTime=1000),
        experimentSetupOutput);
    end aCVSConstInputs;

    model inc5ConstInputs
      Library.Interfaces.BusConnector busConnector
        "signals of organ bood flow resistence"                                          annotation (Placement(
            transformation(extent={{-90,68},{-68,90}}),  iconTransformation(
              extent={{-100,60},{-60,100}})));
      AcidBaseO2ConstInputs acidBaseO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,60},{-2,80}})));
      AcidBaseCO2ConstInputs acidBaseCO2ConstInputs 
        annotation (Placement(transformation(extent={{-22,20},{-2,40}})));
      AcidBaseAcidBaseConstInputs acidBaseAcidBaseConstInputs 
        annotation (Placement(transformation(extent={{-20,-18},{0,2}})));
      AcidBaseNervesConstInputs acidBaseNervesConstInputs 
        annotation (Placement(transformation(extent={{-22,-50},{-2,-30}})));
      AcidBaseElectrolytesConstInputs acidBaseElectrolytesConstInputs 
        annotation (Placement(transformation(extent={{-50,-80},{-30,-60}})));
      aCVSConstInputs aCVSConstInputs1 
        annotation (Placement(transformation(extent={{-80,-36},{-60,-16}})));
      inc5MetabolismConstInputs inc5MetabolismConstInputs1 
        annotation (Placement(transformation(extent={{-70,46},{-50,66}})));
      inc5HormonesConstInputs inc5HormonesConstInputs1 
        annotation (Placement(transformation(extent={{-68,16},{-48,36}})));
      inc5ProteinsConstInputs inc5ProteinsConstInputs1 
        annotation (Placement(transformation(extent={{-88,-64},{-68,-44}})));
      inc5WaterConstInputs inc5WaterConstInputs1 
        annotation (Placement(transformation(extent={{-88,-96},{-68,-76}})));
    equation
      connect(busConnector, acidBaseO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40.5,79},{-40.5,70},{-14,70}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseCO2ConstInputs.busConnector) annotation (
          Line(
          points={{-79,79},{-40,79},{-40,30},{-14,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseAcidBaseConstInputs.busConnector) 
        annotation (Line(
          points={{-79,79},{-38,79},{-38,-8},{-12,-8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, acidBaseNervesConstInputs.busConnector) annotation (
         Line(
          points={{-79,79},{-42,79},{-42,-32},{-20,-32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(acidBaseElectrolytesConstInputs.busConnector, busConnector) 
        annotation (Line(
          points={{-42,-70},{-42,79},{-79,79}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(aCVSConstInputs1.busConnector, busConnector) annotation (Line(
          points={{-74.1,-27.3},{-74.1,25.35},{-79,25.35},{-79,79}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, inc5MetabolismConstInputs1.busConnector) 
        annotation (Line(
          points={{-79,79},{-79,67.5},{-62,67.5},{-62,56}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, inc5HormonesConstInputs1.busConnector) annotation (
          Line(
          points={{-79,79},{-60,26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(inc5ProteinsConstInputs1.busConnector, busConnector) annotation (
          Line(
          points={{-80,-54},{-80,79},{-79,79}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(inc5WaterConstInputs1.busConnector, busConnector) annotation (
          Line(
          points={{-80,-86},{-92,-86},{-92,79},{-79,79}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}),      graphics));
    end inc5ConstInputs;

    model inc5MetabolismConstInputs

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{72,-2},{86,12}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant BloodCations(k=143.21792523492) 
    annotation (Placement(transformation(extent={{-70,-418},{-64,-412}})));
    Library.Blocks.Constant BloodIons_Cations(k=143.21792523492) 
    annotation (Placement(transformation(extent={{-70,-408},{-64,-402}})));
    Library.Blocks.Constant BloodVol_PVCrit(k=0.55745602408794) 
    annotation (Placement(transformation(extent={{-70,-398},{-64,-392}})));
    Library.Blocks.Constant BreathingTotalVentilation(k=6526.20487266524) 
    annotation (Placement(transformation(extent={{-70,-388},{-64,-382}})));
    Library.Blocks.Constant CD_H2O_Outflow(k=1.81253965687863) 
    annotation (Placement(transformation(extent={{-70,-378},{-64,-372}})));
    Library.Blocks.Constant CO2Veins_cHCO3(k=2.57071728935027e-002) 
    annotation (Placement(transformation(extent={{-70,-368},{-64,-362}})));
    Library.Blocks.Constant DT_Na_Reab(k=1.18778011790507) 
    annotation (Placement(transformation(extent={{-70,-358},{-64,-352}})));
    Library.Blocks.Constant DietIntakeNutrition_Carbo(k=164.09702891373) 
    annotation (Placement(transformation(extent={{-70,-348},{-64,-342}})));
    Library.Blocks.Constant DietIntakeNutrition_Fat(k=64.3056457391916) 
    annotation (Placement(transformation(extent={{-70,-338},{-64,-332}})));
    Library.Blocks.Constant DietIntakeNutrition_Protein(k=85.9256473239198) 
    annotation (Placement(transformation(extent={{-70,-328},{-64,-322}})));
    Library.Blocks.Constant EpiPool_Epi(k=39.7221841190692) 
    annotation (Placement(transformation(extent={{-70,-318},{-64,-312}})));
    Library.Blocks.Constant ExerciseMetabolism_MotionCals(k=0.) 
    annotation (Placement(transformation(extent={{-70,-308},{-64,-302}})));
    Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
    annotation (Placement(transformation(extent={{-70,-298},{-64,-292}})));
    Library.Blocks.Constant Glomerulus_GFR(k=127.333064117169) 
    annotation (Placement(transformation(extent={{-70,-288},{-64,-282}})));
    Library.Blocks.Constant Glucagon_conc(k=66.2000580531595) 
    annotation (Placement(transformation(extent={{-70,-278},{-64,-272}})));
    Library.Blocks.Constant HeatShivering_Cals(k=0.) 
    annotation (Placement(transformation(extent={{-70,-268},{-64,-262}})));
    Library.Blocks.Constant Insulin(k=18.6374543866765) 
    annotation (Placement(transformation(extent={{-70,-258},{-64,-252}})));
    Library.Blocks.Constant LH_Na_Reab(k=5.27397681954503) 
    annotation (Placement(transformation(extent={{-70,-248},{-64,-242}})));
    Library.Blocks.Constant LiverFunctionEffect(k=0.995580586980285) 
    annotation (Placement(transformation(extent={{-70,-238},{-64,-232}})));
    Library.Blocks.Constant Medulla_Volume(k=31.) 
    annotation (Placement(transformation(extent={{-70,-228},{-64,-222}})));
    Library.Blocks.Constant MetabolismCaloriesUsed_CoreHeat(k=0.778649)
        "kCal/min" 
    annotation (Placement(transformation(extent={{-70,-218},{-64,-212}})));
    Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
    annotation (Placement(transformation(extent={{-70,-188},{-64,-182}})));
    Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
    annotation (Placement(transformation(extent={{-70,-178},{-64,-172}})));
    Library.Blocks.Constant PT_Na_Reab(k=9.90733252672894) 
    annotation (Placement(transformation(extent={{-70,-168},{-64,-162}})));
    Library.Blocks.Constant PortalVein_Glucagon(k=160.797005448649) 
    annotation (Placement(transformation(extent={{-70,-158},{-64,-152}})));
    Library.Blocks.Constant PortalVein_Insulin(k=49.1008802520183) 
    annotation (Placement(transformation(extent={{-70,-148},{-64,-142}})));
    Library.Blocks.Constant PortalVein_BloodFlow(k=971.271094732174) 
    annotation (Placement(transformation(extent={{-70,-138},{-64,-132}})));
    Library.Blocks.Constant PortalVein_PlasmaFlow(k=541.440922780939) 
    annotation (Placement(transformation(extent={{-70,-128},{-64,-122}})));
    Library.Blocks.Constant skeletalMuscle_BloodFlow(k=630.94639202895) 
    annotation (Placement(transformation(extent={{-70,-118},{-64,-112}})));
    Library.Blocks.Constant skeletalMuscle_SizeMass(k=26743.5620376591) 
    annotation (Placement(transformation(extent={{-70,-108},{-64,-102}})));
    Library.Blocks.Constant skin_BloodFlow(k=116.996639739554) 
    annotation (Placement(transformation(extent={{-70,-98},{-64,-92}})));
    Library.Blocks.Constant skinSizeMass(k=2792.87262585285) 
    annotation (Placement(transformation(extent={{-70,-88},{-64,-82}})));
    Library.Blocks.Constant ThyroidEffect(k=1.04253448385606) 
    annotation (Placement(transformation(extent={{-70,-78},{-64,-72}})));
    Library.Blocks.Constant VasaRecta_Outflow(k=21.7865579572364) 
    annotation (Placement(transformation(extent={{-70,-68},{-64,-62}})));
    Library.Blocks.Constant WeightCore(k=48332.738903116) 
    annotation (Placement(transformation(extent={{-70,-58},{-64,-52}})));
    Library.Blocks.Constant BladderVoidFlow(k=0) 
    annotation (Placement(transformation(extent={{-70,-48},{-64,-42}})));
    Library.Blocks.Constant BladderVolume_Mass(k=0) 
    annotation (Placement(transformation(extent={{-70,-38},{-64,-32}})));
    Library.Blocks.Constant BloodPh_ArtysPh(k=7.4) 
    annotation (Placement(transformation(extent={{-70,-28},{-64,-22}})));
    Library.Blocks.Constant Bone_BloodFlow(k=411.529549648395) 
    annotation (Placement(transformation(extent={{-70,-18},{-64,-12}})));
    Library.Blocks.Constant Brain_BloodFlow(k=870.480358845086) 
    annotation (Placement(transformation(extent={{-70,-8},{-64,-2}})));
    Library.Blocks.Constant Fat_BloodFlow(k=236.170497748735) 
    annotation (Placement(transformation(extent={{-70,2},{-64,8}})));
    Library.Blocks.Constant GITract_BloodFlow(k=971.271094732174) 
    annotation (Placement(transformation(extent={{-70,12},{-64,18}})));
    Library.Blocks.Constant HepaticArty_BloodFlow(k=245.489746000535) 
    annotation (Placement(transformation(extent={{-70,22},{-64,28}})));
    Library.Blocks.Constant Kidney_BloodFlow(k=1231.77885077347) 
    annotation (Placement(transformation(extent={{-70,32},{-64,38}})));
    Library.Blocks.Constant LeftHeart_BloodFlow(k=187.141403158598) 
    annotation (Placement(transformation(extent={{-70,42},{-64,48}})));
    Library.Blocks.Constant AlveolarVentilated_BloodFlow(k=5182.99570595689) 
    annotation (Placement(transformation(extent={{-70,52},{-64,58}})));
    Library.Blocks.Constant OtherTissue_BloodFlow(k=367.445620022139) 
    annotation (Placement(transformation(extent={{-70,62},{-64,68}})));
    Library.Blocks.Constant RespiratoryMuscle_BloodFlow(k=96.4514390299406) 
    annotation (Placement(transformation(extent={{-70,72},{-64,78}})));
    Library.Blocks.Constant RightHeart_BloodFlow(k=35.2508578572206) 
    annotation (Placement(transformation(extent={{-70,82},{-64,88}})));
    Library.Blocks.Constant SkeletalMuscle_BloodFlow(k=630.94639202895) 
    annotation (Placement(transformation(extent={{-70,92},{-64,98}})));
    Library.Blocks.Constant Skin_BloodFlow(k=116.996639739554) 
    annotation (Placement(transformation(extent={{-70,102},{-64,108}})));
    Library.Blocks.Constant Liver_BloodFlow(k=1216.760840732709) 
    annotation (Placement(transformation(extent={{-70,112},{-64,118}})));
    Library.Blocks.Constant Bone_LiquidVol(k=3642.26580997869) 
    annotation (Placement(transformation(extent={{-70,122},{-64,128}})));
    Library.Blocks.Constant Brain_LiquidVol(k=1236.43378761903) 
    annotation (Placement(transformation(extent={{-70,132},{-64,138}})));
    Library.Blocks.Constant Fat_LiquidVol(k=2579.18849868295) 
    annotation (Placement(transformation(extent={{-70,142},{-64,148}})));
    Library.Blocks.Constant GITract_LiquidVol(k=1142.74972779574) 
    annotation (Placement(transformation(extent={{-70,152},{-64,158}})));
    Library.Blocks.Constant Kidney_LiquidVol(k=266.353146295739) 
    annotation (Placement(transformation(extent={{-70,162},{-64,168}})));
    Library.Blocks.Constant LeftHeart_LiquidVol(k=226.516938045739) 
    annotation (Placement(transformation(extent={{-70,172},{-64,178}})));
    Library.Blocks.Constant Liver_LiquidVol(k=1479.43419504262) 
    annotation (Placement(transformation(extent={{-70,182},{-64,188}})));
    Library.Blocks.Constant OtherTissue_LiquidVol(k=3283.73993572869) 
    annotation (Placement(transformation(extent={{-70,192},{-64,198}})));
    Library.Blocks.Constant RespiratoryMuscle_LiquidVol(k=3116.56533904886) 
    annotation (Placement(transformation(extent={{-70,202},{-64,208}})));
    Library.Blocks.Constant RightHeart_LiquidVol(k=39.83620825) 
    annotation (Placement(transformation(extent={{-70,212},{-64,218}})));
    Library.Blocks.Constant SkeletalMuscle_LiquidVol(k=20989.5620376591) 
    annotation (Placement(transformation(extent={{-70,222},{-64,228}})));
    Library.Blocks.Constant Skin_LiquidVol(k=1833.56262585285) 
    annotation (Placement(transformation(extent={{-70,232},{-64,238}})));
    Library.Blocks.Constant Bone_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,242},{-64,248}})));
    Library.Blocks.Constant Brain_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,252},{-64,258}})));
    Library.Blocks.Constant Fat_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,262},{-64,268}})));
    Library.Blocks.Constant GITract_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,272},{-64,278}})));
    Library.Blocks.Constant Kidney_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,282},{-64,288}})));
    Library.Blocks.Constant LeftHeart_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,292},{-64,298}})));
    Library.Blocks.Constant Liver_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,302},{-64,308}})));
    Library.Blocks.Constant OtherTissue_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,312},{-64,318}})));
    Library.Blocks.Constant RespiratoryMuscle_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,322},{-64,328}})));
    Library.Blocks.Constant RightHeart_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,332},{-64,338}})));
    Library.Blocks.Constant SkeletalMuscle_StructureEffect(k=0.98811727215541) 
    annotation (Placement(transformation(extent={{-70,342},{-64,348}})));
    Library.Blocks.Constant Skin_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-70,352},{-64,358}})));
    Library.Blocks.Constant Bone_PO2(k=41.5329727005485) 
    annotation (Placement(transformation(extent={{-70,362},{-64,368}})));
    Library.Blocks.Constant Brain_PO2(k=37.046581052177) 
    annotation (Placement(transformation(extent={{-70,372},{-64,378}})));
    Library.Blocks.Constant Fat_PO2(k=52.1601244532559) 
    annotation (Placement(transformation(extent={{-70,382},{-64,388}})));
    Library.Blocks.Constant GITract_PO2(k=52.8192085811961) 
    annotation (Placement(transformation(extent={{-70,392},{-64,398}})));
    Library.Blocks.Constant LeftHeart_PO2(k=16.7890282637211) 
    annotation (Placement(transformation(extent={{-70,402},{-64,408}})));
    Library.Blocks.Constant OtherTissue_PO2(k=51.1517173177862) 
    annotation (Placement(transformation(extent={{-70,412},{-64,418}})));
    Library.Blocks.Constant RespiratoryMuscle_PO2(k=35.2445642115429) 
    annotation (Placement(transformation(extent={{-70,422},{-64,428}})));
    Library.Blocks.Constant RightHeart_PO2(k=16.4815006094059) 
    annotation (Placement(transformation(extent={{-70,432},{-64,438}})));
    Library.Blocks.Constant SkeletalMuscle_PO2(k=40.6372516711935) 
    annotation (Placement(transformation(extent={{-70,442},{-64,448}})));
    Library.Blocks.Constant Skin_PO2(k=33.5645573783334) 
    annotation (Placement(transformation(extent={{-70,452},{-64,458}})));
    Library.Blocks.Constant Liver_PO2(k=38.6172728320022) 
    annotation (Placement(transformation(extent={{-70,462},{-64,468}})));
    Library.Blocks.Constant Kidney_PO2(k=60.3233226785031) 
    annotation (Placement(transformation(extent={{-70,472},{-64,478}})));
    equation

    connect(DietIntakeNutrition_Carbo.y, busConnector.DietIntakeNutrition_Carbo) annotation (Line(
     points={{-63.7,-345},{-10,-344},{-10,5},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Fat.y, busConnector.DietIntakeNutrition_Fat) annotation (Line(
     points={{-63.7,-335},{-10,-334},{-10,5},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Protein.y, busConnector.DietIntakeNutrition_Protein) annotation (Line(
     points={{-63.7,-325},{-10,-324},{-10,5},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
     points={{-63.7,-305},{-10,-304},{-10,5},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatShivering_Cals.y, busConnector.HeatShivering_Cals) annotation (Line(
     points={{-63.7,-265},{-10,-264},{-10,5},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MetabolismCaloriesUsed_CoreHeat.y, busConnector.MetabolismCaloriesUsed_CoreHeat) annotation (Line(
     points={{-63.7,-215},{-10,-214},{-10,5},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{-63.7,-105},{79,-105},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
     points={{-63.7,-85},{79,-85},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
     points={{-63.7,-55},{79,-55},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}),        graphics));
    end inc5MetabolismConstInputs;

  model inc5HormonesConstInputs

    Library.Blocks.Constant AdrenalNerve_NA(k=1.01731692572164) 
      annotation (Placement(transformation(extent={{6,-98},{12,-92}})));
    Library.Blocks.Constant BodyH2O_Vol(k=44394.3284646237) 
      annotation (Placement(transformation(extent={{6,-88},{12,-82}})));
    Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
      annotation (Placement(transformation(extent={{6,-78},{12,-72}})));
    Library.Blocks.Constant GITractFunction_Effect(k=0.995580586980285) 
      annotation (Placement(transformation(extent={{6,-68},{12,-62}})));
    Library.Blocks.Constant GangliaGeneral_NA(k=1.52521278219136) 
      annotation (Placement(transformation(extent={{6,-58},{12,-52}})));
    Library.Blocks.Constant Glucose(k=0.975928478199946) 
      annotation (Placement(transformation(extent={{6,-48},{12,-42}})));
    Library.Blocks.Constant HypothalamusTSH_TemperatureEffect(k=
          1.03855784498264) 
      annotation (Placement(transformation(extent={{6,-38},{12,-32}})));
    Library.Blocks.Constant KAPool(k=1.3839925831359e-002) 
      annotation (Placement(transformation(extent={{6,-28},{12,-22}})));
    Library.Blocks.Constant KPool_per_liter(k=4.30150131804415) 
      annotation (Placement(transformation(extent={{6,-18},{12,-12}})));
    Library.Blocks.Constant GangliaKidney_NA(k=1.55304643822383) 
      annotation (Placement(transformation(extent={{-70,-34},{-64,-28}})));
    Library.Blocks.Constant Kidney_BloodFlow(k=1231.77885077347) 
      annotation (Placement(transformation(extent={{6,2},{12,8}})));
    Library.Blocks.Constant KidneyFunctionEffect(k=0.995580586980285) 
      annotation (Placement(transformation(extent={{6,12},{12,18}})));
    Library.Blocks.Constant NephronCount_Total_xNormal(k=1.) 
      annotation (Placement(transformation(extent={{6,22},{12,28}})));
    Library.Blocks.Constant KidneyO2_TubulePO2(k=35.2214767670192) 
      annotation (Placement(transformation(extent={{6,32},{12,38}})));
    Library.Blocks.Constant LeftAtrium_TMP(k=7.74050434820321) 
      annotation (Placement(transformation(extent={{6,42},{12,48}})));
    Library.Blocks.Constant Liver_BloodFlow(k=1216.76084073271) 
      annotation (Placement(transformation(extent={{6,52},{12,58}})));
    Library.Blocks.Constant OrganFlow_SplanchnicFlow(k=1216.76084073271) 
      annotation (Placement(transformation(extent={{6,62},{12,68}})));
    Library.Blocks.Constant Osmreceptors(k=0.254358) 
      annotation (Placement(transformation(extent={{6,72},{12,78}})));
    Library.Blocks.Constant OtherTissue_BloodFlow(k=367.445620022139) 
      annotation (Placement(transformation(extent={{6,82},{12,88}})));
    Library.Blocks.Constant OtherTissueFunctionEffect(k=0.995580586980285) 
      annotation (Placement(transformation(extent={{6,92},{12,98}})));
    Library.Blocks.Constant PortalVein_PlasmaFlow(k=541.440922780939) 
      annotation (Placement(transformation(extent={{-70,-14},{-64,-8}})));
    Library.Blocks.Constant RightAtrium_TMP(k=3.89677311588134) 
      annotation (Placement(transformation(extent={{-70,-4},{-64,2}})));
    Library.Blocks.Constant SympsCNS_PituitaryNA(k=1.01092145441383) 
      annotation (Placement(transformation(extent={{-70,6},{-64,12}})));
    Library.Blocks.Constant TGFReninSignal(k=0.899262601368171) 
      annotation (Placement(transformation(extent={{-70,16},{-64,22}})));
    Library.Interfaces.BusConnector busConnector 
      annotation (Placement(transformation(extent={{90,-16},{104,-2}}),
          iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.BooleanConstant booleanConstant 
      annotation (Placement(transformation(extent={{-70,26},{-64,32}})));
    Library.Blocks.Constant const38(k=0) 
      annotation (Placement(transformation(extent={{-42,-62},{-48,-56}})));
    Library.Blocks.Constant MedullaNa_conc(k=561.266952133897) 
      annotation (Placement(transformation(extent={{-70,-46},{-64,-40}})));
    Library.Blocks.Constant kidney_InterstitialWater(k=75) 
      annotation (Placement(transformation(extent={{-70,-72},{-64,-66}})));
  equation
    connect(HypothalamusTSH_TemperatureEffect.y, busConnector.HypothalamusTSH_TemperatureEffect) 
      annotation (Line(
        points={{12.3,-35},{97,-35},{97,-9}},
      color={0,0,127},
      smooth=Smooth.None), Text(
      string="%second",
      index=1,
      extent={{6,3},{6,3}}));
    connect(TGFReninSignal.y, busConnector.TGFReninSignal) annotation (Line(
        points={{-63.7,19},{97,19},{97,-9}},
      color={0,0,127},
      smooth=Smooth.None), Text(
      string="%second",
      index=1,
      extent={{6,3},{6,3}}));
    connect(booleanConstant.y, busConnector.Cycling) annotation (Line(
        points={{-63.7,29},{98,30},{97,-9}},
        color={255,0,255},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}),    graphics));
  end inc5HormonesConstInputs;

   model inc5ProteinsConstInputs

     Library.Interfaces.BusConnector busConnector 
      annotation (Placement(transformation(extent={{72,-2},{86,12}}),
           iconTransformation(extent={{-40,-20},{0,20}})));
     Library.Blocks.Constant Hemorrhage_ProteinRate(k=0.) 
       annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
     Library.Blocks.Constant IVDrip_ProteinRate(k=0.) 
       annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
     Library.Blocks.Constant LT_InterstitialWater_Vol(k=3125.07786356537) 
       annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
     Library.Blocks.Constant LT_LymphFlow(k=1.29454203270117) 
       annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
     Library.Blocks.Constant MT_InterstitialWater_Vol(k=6250.15572713074) 
       annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
     Library.Blocks.Constant MT_LymphFlow(k=0.798585433714562) 
       annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
     Library.Blocks.Constant PeritoneumSpace_Gain(k=0.) 
       annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
     Library.Blocks.Constant PeritoneumSpace_Loss(k=0.) 
       annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
     Library.Blocks.Constant PeritoneumSpace_Vol(k=0.) 
       annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
     Library.Blocks.Constant PlasmaVol(k=2990.99086915011) 
       annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
     Library.Blocks.Constant Transfusion_ProteinRate(k=0.) 
       annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
     Library.Blocks.Constant UT_InterstitialWater_Vol(k=3125.07786356537) 
       annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
     Library.Blocks.Constant UT_LymphFlow(k=0.393665531698635) 
       annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
   equation

     connect(Hemorrhage_ProteinRate.y, busConnector.Hemorrhage_ProteinRate) 
       annotation (Line(
   points={{-29.7,13},{79,13},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
     connect(IVDrip_ProteinRate.y, busConnector.IVDripProteinRate) annotation (
         Line(
   points={{-29.7,23},{79,23},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

     connect(Transfusion_ProteinRate.y, busConnector.Transfusion_ProteinRate) 
       annotation (Line(
   points={{-29.7,113},{79,113},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
   end inc5ProteinsConstInputs;

  model inc5StatusConstInputs

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{72,-2},{86,12}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant CellProtein_Mass(k=5997.6153054491) 
    annotation (Placement(transformation(extent={{-92,-212},{-86,-206}})));
    Library.Blocks.Constant bone_pH_intracellular(k=7.078478271226) 
    annotation (Placement(transformation(extent={{-92,-232},{-86,-226}})));
    Library.Blocks.Constant brain_pH_intracellular(k=7.06723228718216) 
    annotation (Placement(transformation(extent={{-92,-222},{-86,-216}})));
    Library.Blocks.Constant fat_pH_intracellular(k=7.0973658261387) 
    annotation (Placement(transformation(extent={{-92,-202},{-86,-196}})));
    Library.Blocks.Constant GITract_pH_intracellular(k=7.09835905592481) 
    annotation (Placement(transformation(extent={{-92,-192},{-86,-186}})));
    Library.Blocks.Constant kidney_pH_intracellular(k=7.10948209416151) 
    annotation (Placement(transformation(extent={{-92,-182},{-86,-176}})));
    Library.Blocks.Constant leftHeart_pH_intracellular(k=6.99468554470656) 
    annotation (Placement(transformation(extent={{-92,-172},{-86,-166}})));
    Library.Blocks.Constant liver_pH_intracellular(k=7.13290519945998) 
    annotation (Placement(transformation(extent={{-92,-162},{-86,-156}})));
    Library.Blocks.Constant otherTissue_pH_intracellular(k=7.09543534550075) 
    annotation (Placement(transformation(extent={{-92,-152},{-86,-146}})));
    Library.Blocks.Constant respiratoryMuscle_pH_intracellular(k=7.06223184635617) 
    annotation (Placement(transformation(extent={{-92,-142},{-86,-136}})));
    Library.Blocks.Constant rightHeart_pH_intracellular(k=6.9933588521077) 
    annotation (Placement(transformation(extent={{-92,-132},{-86,-126}})));
    Library.Blocks.Constant skeletalMuscle_pH_intracellular(k=7.07675128734354) 
    annotation (Placement(transformation(extent={{-92,-122},{-86,-116}})));
    Library.Blocks.Constant skin_pH_intracellular(k=7.05658093322868) 
    annotation (Placement(transformation(extent={{-92,-112},{-86,-106}})));
    Library.Blocks.Constant GITract_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-102},{-86,-96}})));
    Library.Blocks.Constant bone_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-92},{-86,-86}})));
    Library.Blocks.Constant brain_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-82},{-86,-76}})));
    Library.Blocks.Constant fat_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-72},{-86,-66}})));
    Library.Blocks.Constant kidney_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-62},{-86,-56}})));
    Library.Blocks.Constant leftHeart_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-52},{-86,-46}})));
    Library.Blocks.Constant liver_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-42},{-86,-36}})));
    Library.Blocks.Constant otherTissue_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-32},{-86,-26}})));
    Library.Blocks.Constant respiratoryMuscle_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-22},{-86,-16}})));
    Library.Blocks.Constant rightHeart_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-12},{-86,-6}})));
    Library.Blocks.Constant skeletalMuscle_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,-2},{-86,4}})));
    Library.Blocks.Constant skin_Fuel_FractUseDelay(k=1) 
    annotation (Placement(transformation(extent={{-92,8},{-86,14}})));
    Library.Blocks.Constant GITract_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,18},{-86,24}})));
    Library.Blocks.Constant HeatCore_Temp(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,28},{-86,34}})));
    Library.Blocks.Constant bone_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,38},{-86,44}})));
    Library.Blocks.Constant brain_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,48},{-86,54}})));
    Library.Blocks.Constant fat_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,58},{-86,64}})));
    Library.Blocks.Constant kidney_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,68},{-86,74}})));
    Library.Blocks.Constant leftHeart_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,78},{-86,84}})));
    Library.Blocks.Constant liver_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,88},{-86,94}})));
    Library.Blocks.Constant otherTissue_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,98},{-86,104}})));
    Library.Blocks.Constant respiratoryMuscle_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,108},{-86,114}})));
    Library.Blocks.Constant rightHeart_T(k=36.9631174702302) 
    annotation (Placement(transformation(extent={{-92,118},{-86,124}})));
    Library.Blocks.Constant skeletalMuscle_T(k=37.239827522926) 
    annotation (Placement(transformation(extent={{-92,128},{-86,134}})));
    Library.Blocks.Constant skin_T(k=28.6404308069366) 
    annotation (Placement(transformation(extent={{-92,138},{-86,144}})));
  equation

    connect(GITract_Fuel_FractUseDelay.y, busConnector.GITract_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-99},{79,-99},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_Fuel_FractUseDelay.y, busConnector.bone_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-89},{79,-89},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_Fuel_FractUseDelay.y, busConnector.brain_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-79},{79,-79},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_Fuel_FractUseDelay.y, busConnector.fat_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-69},{79,-69},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_Fuel_FractUseDelay.y, busConnector.kidney_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-59},{79,-59},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_Fuel_FractUseDelay.y, busConnector.leftHeart_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-49},{79,-49},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_Fuel_FractUseDelay.y, busConnector.liver_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-39},{79,-39},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_Fuel_FractUseDelay.y, busConnector.otherTissue_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-29},{79,-29},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_Fuel_FractUseDelay.y, busConnector.respiratoryMuscle_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-19},{79,-19},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_Fuel_FractUseDelay.y, busConnector.rightHeart_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,-9},{79,-9},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_Fuel_FractUseDelay.y, busConnector.skeletalMuscle_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,1},{79,1},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_Fuel_FractUseDelay.y, busConnector.skin_Fuel_FractUseDelay) annotation (Line(
     points={{-85.7,11},{79,11},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
  end inc5StatusConstInputs;

    model inc5WaterConstInputs

      Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-10,-8},{4,6}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant BladderVoidFlow(k=3.5662844585126) 
    annotation (Placement(transformation(extent={{-96,-82},{-90,-76}})));
    Library.Blocks.Constant CD_Glucose_Outflow(k=0.) 
    annotation (Placement(transformation(extent={{-96,-76},{-90,-70}})));
    Library.Blocks.Constant CD_K_Outflow(k=4.56825290311951e-002) 
    annotation (Placement(transformation(extent={{-96,-66},{-90,-60}})));
    Library.Blocks.Constant CD_NH4_Outflow(k=3.45950195621061e-002) 
    annotation (Placement(transformation(extent={{-96,-56},{-90,-50}})));
    Library.Blocks.Constant CD_Na_Outflow(k=0.1194216432775) 
    annotation (Placement(transformation(extent={{-96,-46},{-90,-40}})));
    Library.Blocks.Constant DT_Na_Outflow(k=0.48247099389415) 
    annotation (Placement(transformation(extent={{-96,-36},{-90,-30}})));
    Library.Blocks.Constant DietIntakeH2O_Rate(k=1.20389600964301) 
    annotation (Placement(transformation(extent={{-96,-26},{-90,-20}})));
    Library.Blocks.Constant GILumenPotassium_Mass(k=25.3499091328323) 
    annotation (Placement(transformation(extent={{-96,-16},{-90,-10}})));
    Library.Blocks.Constant GILumenSodium_Mass(k=82.4214467881287) 
    annotation (Placement(transformation(extent={{-96,-6},{-90,0}})));
    Library.Blocks.Constant GlomerulusBloodPressure(k=60.6851911992974) 
    annotation (Placement(transformation(extent={{-96,4},{-90,10}})));
    Library.Blocks.Constant HeatInsensibleLung_H2O(k=0.281460196409109) 
    annotation (Placement(transformation(extent={{-96,14},{-90,20}})));
    Library.Blocks.Constant HeatInsensibleSkin_H2O(k=0.37) 
    annotation (Placement(transformation(extent={{-96,24},{-90,30}})));
    Library.Blocks.Constant HeatSweating_H2O(k=0.) 
    annotation (Placement(transformation(extent={{-96,34},{-90,40}})));
    Library.Blocks.Constant Hemorrhage_PlasmaRate(k=0.) 
    annotation (Placement(transformation(extent={{-96,44},{-90,50}})));
    Library.Blocks.Constant IVDrip_H2ORate(k=0.) 
    annotation (Placement(transformation(extent={{-96,54},{-90,60}})));
    Library.Blocks.Constant KidneyPlasmaFlow(k=686.662540707788) 
    annotation (Placement(transformation(extent={{-96,64},{-90,70}})));
    Library.Blocks.Constant NephronCound_xNormal(k=1.) 
    annotation (Placement(transformation(extent={{-96,74},{-90,80}})));
    Library.Blocks.Constant LH_Na_FractReab(k=0.759476340881585) 
    annotation (Placement(transformation(extent={{-96,84},{-90,90}})));
    Library.Blocks.Constant LT_InterstitialProtein_Mass(k=75.2615682859139) 
    annotation (Placement(transformation(extent={{72,-102},{66,-96}})));
    Library.Blocks.Constant LegMusclePump_Effect(k=1.) 
    annotation (Placement(transformation(extent={{72,-92},{66,-86}})));
    Library.Blocks.Constant MT_InterstitialProtein_Mass(k=150.186117655147) 
    annotation (Placement(transformation(extent={{72,-82},{66,-76}})));
    Library.Blocks.Constant MedullaNa_conc(k=0.561266952133897) 
    annotation (Placement(transformation(extent={{72,-72},{66,-66}})));
    Library.Blocks.Constant MetabolicH2O_Rate(k=0.216577482707408) 
    annotation (Placement(transformation(extent={{72,-62},{66,-56}})));
    Library.Blocks.Constant NephronADH_conc(k=1.57192247618231) 
    annotation (Placement(transformation(extent={{72,-52},{66,-46}})));
    Library.Blocks.Constant OsmCell_Electrolytes(k=8343.15474687638) 
    annotation (Placement(transformation(extent={{72,-42},{66,-36}})));
    Library.Blocks.Constant OsmCell_NonElectrolytes(k=522.057110884377) 
    annotation (Placement(transformation(extent={{72,-32},{66,-26}})));
    Library.Blocks.Constant OsmECFV_Electrolytes(k=4207.99353373135) 
    annotation (Placement(transformation(extent={{72,-22},{66,-16}})));
    Library.Blocks.Constant OsmECFV_NonElectrolytes(k=514.529014183744) 
    annotation (Placement(transformation(extent={{72,-12},{66,-6}})));
    Library.Blocks.Constant PT_Na_FractReab(k=0.58791781042346) 
    annotation (Placement(transformation(extent={{72,-2},{66,4}})));
    Library.Blocks.Constant PlasmaProtein_Mass(k=209.473340067555) 
    annotation (Placement(transformation(extent={{72,8},{66,14}})));
    Library.Blocks.Constant PulmCapys_Pressure(k=8.73093338623239) 
    annotation (Placement(transformation(extent={{72,18},{66,24}})));
    Library.Blocks.Constant RBCVol_Vol(k=2374.43840223269) 
    annotation (Placement(transformation(extent={{72,28},{66,34}})));
    Library.Blocks.Constant RightAtrium_Pressure(k=0.89677311588134) 
    annotation (Placement(transformation(extent={{72,38},{66,44}})));
    Library.Blocks.Constant SplanchnicVeins_Pressure(k=7.73298487727023) 
    annotation (Placement(transformation(extent={{72,48},{66,54}})));
    Water.Hydrostatics.Constant Status_Posture(k=HumMod.Water.Hydrostatics.Posture.Lying) 
    annotation (Placement(transformation(extent={{72,58},{66,64}})));
    Library.Blocks.Constant SystemicArtys_Pressure(k=95.4078941631755) 
    annotation (Placement(transformation(extent={{72,68},{66,74}})));
    Library.Blocks.Constant Transfusion_PlasmaRate(k=0.) 
    annotation (Placement(transformation(extent={{72,78},{66,84}})));
    Library.Blocks.Constant UT_InterstitialProtein_Mass(k=75.119589586661) 
    annotation (Placement(transformation(extent={{72,88},{66,94}})));
    Library.Blocks.Constant UreaECF_Osmoles(k=90.537885840286) 
    annotation (Placement(transformation(extent={{-96,-100},{-90,-94}})));
    Library.Blocks.Constant UreaICF_Osmoles(k=168.057110884377) 
    annotation (Placement(transformation(extent={{-96,-94},{-90,-88}})));
    Library.Blocks.Constant GlucoseEFC_Osmoles(k=83.9911283434576) 
    annotation (Placement(transformation(extent={{-96,-88},{-90,-82}})));
    equation

    connect(DietIntakeH2O_Rate.y, busConnector.DietIntakeH2O_Rate) annotation (Line(
     points={{-89.7,-23},{-3,-23},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatInsensibleLung_H2O.y, busConnector.HeatInsensibleLung_H2O) annotation (Line(
     points={{-89.7,17},{-3,17},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatInsensibleSkin_H2O.y, busConnector.HeatInsensibleSkin_H2O) annotation (Line(
     points={{-89.7,27},{-3,27},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatSweating_H2O.y, busConnector.HeatSweating_H2O) annotation (Line(
     points={{-89.7,37},{-3,37},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_PlasmaRate.y, busConnector.Hemorrhage_PlasmaRate) annotation (Line(
     points={{-89.7,47},{-3,47},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(IVDrip_H2ORate.y, busConnector.IVDrip_H2ORate) annotation (Line(
     points={{-89.7,57},{-3,57},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OsmCell_NonElectrolytes.y, busConnector.OsmCell_NonElectrolytes) annotation (Line(
     points={{65.7,-29},{-3,-29},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OsmECFV_NonElectrolytes.y, busConnector.OsmECFV_NonElectrolytes) annotation (Line(
     points={{65.7,-9},{-3,-9},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Status_Posture.y, busConnector.Status_Posture) annotation (Line(
     points={{65.7,61},{-3,61},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_PlasmaRate.y, busConnector.Transfusion_PlasmaRate) annotation (Line(
     points={{65.7,81},{-3,81},{-3,-1}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),       graphics));
    end inc5WaterConstInputs;

  model GasesAB

  Library.Interfaces.BusConnector busConnector 
      annotation (Placement(transformation(extent={{72,-2},{86,12}}),
           iconTransformation(extent={{-40,-20},{0,20}})));
  Library.Blocks.Constant ArtysVol(k=1587.76521066473) 
  annotation (Placement(transformation(extent={{-40,-216},{-34,-210}})));
  Library.Blocks.Constant BladderVolume_Mass(k=5365.4292713828) 
  annotation (Placement(transformation(extent={{-40,-206},{-34,-200}})));
  Library.Blocks.Constant CardiacOutput(k=5402.99570595689) 
  annotation (Placement(transformation(extent={{-40,-196},{-34,-190}})));
  Library.Blocks.Constant CD_KA_Outflow(k=6.08968322729714e-005) 
  annotation (Placement(transformation(extent={{-40,-186},{-34,-180}})));
  Library.Blocks.Constant CD_PO4_Outflow(k=2.28968543265027e-002) 
  annotation (Placement(transformation(extent={{-40,-176},{-34,-170}})));
  Library.Blocks.Constant CD_NH4_Outflow(k=3.45950195621061e-002) 
  annotation (Placement(transformation(extent={{-40,-166},{-34,-160}})));
  Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
  annotation (Placement(transformation(extent={{-40,-156},{-34,-150}})));
  Library.Blocks.Constant PotasiumToCells(k=0) 
  annotation (Placement(transformation(extent={{-130,-146},{-124,-140}})));
  Library.Blocks.Constant LactateFromTissues(k=1.45802146223154e-004) 
  annotation (Placement(transformation(extent={{-40,-136},{-34,-130}})));
  Library.Blocks.Constant ctPO4(k=0.171693430695613) 
  annotation (Placement(transformation(extent={{-40,-126},{-34,-120}})));
  Library.Blocks.Constant VeinsVol(k=3777.66406071807) 
  annotation (Placement(transformation(extent={{-40,-116},{-34,-110}})));
  Library.Blocks.Constant bone_cHCO3(k=25.7101865525707) 
  annotation (Placement(transformation(extent={{-40,-106},{-34,-100}})));
  Library.Blocks.Constant brain_cHCO3(k=26.1490847006339) 
  annotation (Placement(transformation(extent={{-40,-96},{-34,-90}})));
  Library.Blocks.Constant CO2Artys_cHCO3(k=24.0255789300596) 
  annotation (Placement(transformation(extent={{-40,-86},{-34,-80}})));
  Library.Blocks.Constant CO2Veins_cHCO3(k=25.7178569224208) 
  annotation (Placement(transformation(extent={{-40,-76},{-34,-70}})));
  Library.Blocks.Constant fat_cHCO3(k=24.998410903777) 
  annotation (Placement(transformation(extent={{-40,-66},{-34,-60}})));
  Library.Blocks.Constant GITract_cHCO3(k=24.961910915335) 
  annotation (Placement(transformation(extent={{-40,-56},{-34,-50}})));
  Library.Blocks.Constant kidney_cHCO3(k=24.5582727136756) 
  annotation (Placement(transformation(extent={{-40,-46},{-34,-40}})));
  Library.Blocks.Constant leftHeart_cHCO3(k=29.2699412254444) 
  annotation (Placement(transformation(extent={{-40,-36},{-34,-30}})));
  Library.Blocks.Constant liver_cHCO3(k=23.7403956696023) 
  annotation (Placement(transformation(extent={{-40,-26},{-34,-20}})));
  Library.Blocks.Constant otherTissue_cHCO3(k=25.0697464384421) 
  annotation (Placement(transformation(extent={{-40,-16},{-34,-10}})));
  Library.Blocks.Constant respiratoryMuscle_cHCO3(k=26.3476239539683) 
  annotation (Placement(transformation(extent={{-40,-6},{-34,0}})));
  Library.Blocks.Constant rightHeart_cHCO3(k=29.3320888337204) 
  annotation (Placement(transformation(extent={{-40,4},{-34,10}})));
  Library.Blocks.Constant skeletalMuscle_cHCO3(k=25.7767823282171) 
  annotation (Placement(transformation(extent={{-40,14},{-34,20}})));
  Library.Blocks.Constant skin_cHCO3(k=26.5750345302478) 
  annotation (Placement(transformation(extent={{-40,24},{-34,30}})));
  Library.Blocks.Constant bone_sO2(k=.7369676776) 
  annotation (Placement(transformation(extent={{-40,34},{-34,40}})));
  Library.Blocks.Constant brain_sO2(k=.6757024462) 
  annotation (Placement(transformation(extent={{-40,44},{-34,50}})));
  Library.Blocks.Constant fat_sO2(k=.8354732713) 
  annotation (Placement(transformation(extent={{-40,54},{-34,60}})));
  Library.Blocks.Constant GITract_sO2(k=.8403163888) 
  annotation (Placement(transformation(extent={{-40,64},{-34,70}})));
  Library.Blocks.Constant kidney_sO2(k=.8814419008) 
  annotation (Placement(transformation(extent={{-40,74},{-34,80}})));
  Library.Blocks.Constant leftHeart_sO2(k=.2430556345) 
  annotation (Placement(transformation(extent={{-40,84},{-34,90}})));
  Library.Blocks.Constant liver_sO2(k=.6999649778) 
  annotation (Placement(transformation(extent={{-40,94},{-34,100}})));
  Library.Blocks.Constant O2Artys_sO2(k=.9719730265) 
  annotation (Placement(transformation(extent={{-40,104},{-34,110}})));
  Library.Blocks.Constant O2Veins_sO2(k=.7357091911) 
  annotation (Placement(transformation(extent={{-40,114},{-34,120}})));
  Library.Blocks.Constant otherTissue_sO2(k=.8257508675) 
  annotation (Placement(transformation(extent={{-40,124},{-34,130}})));
  Library.Blocks.Constant respiratoryMuscle_sO2(k=.646289708) 
  annotation (Placement(transformation(extent={{-40,134},{-34,140}})));
  Library.Blocks.Constant rightHeart_sO2(k=.2343884422) 
  annotation (Placement(transformation(extent={{-40,144},{-34,150}})));
  Library.Blocks.Constant skeletalMuscle_sO2(k=.7257633704) 
  annotation (Placement(transformation(extent={{-40,154},{-34,160}})));
  Library.Blocks.Constant skin_sO2(k=.6149145222) 
  annotation (Placement(transformation(extent={{-40,164},{-34,170}})));
  Library.Blocks.Constant ctAlb(k=0.66) 
  annotation (Placement(transformation(extent={{-40,174},{-34,180}})));
  Library.Blocks.Constant ctGlb(k=28) 
  annotation (Placement(transformation(extent={{-40,184},{-34,190}})));
  Library.Blocks.Constant ctHb_ery(k=21) 
  annotation (Placement(transformation(extent={{-40,194},{-34,200}})));
  Library.Blocks.Constant DT_AldosteroneEffect(k=1) 
  annotation (Placement(transformation(extent={{-40,204},{-34,210}})));
  Library.Blocks.Constant bone_cHCO3_interstitial(k=25.7101865525707) 
  annotation (Placement(transformation(extent={{-40,214},{-34,220}})));
  Library.Blocks.Constant brain_cHCO3_interstitial(k=26.1490847006339) 
  annotation (Placement(transformation(extent={{-40,224},{-34,230}})));
  Library.Blocks.Constant CO2Artys_cHCO3_interstitial(k=24.0255789300596) 
  annotation (Placement(transformation(extent={{-40,234},{-34,240}})));
  Library.Blocks.Constant CO2Veins_cHCO3_interstitial(k=25.7178569224208) 
  annotation (Placement(transformation(extent={{-40,244},{-34,250}})));
  Library.Blocks.Constant fat_cHCO3_interstitial(k=24.998410903777) 
  annotation (Placement(transformation(extent={{-40,254},{-34,260}})));
  Library.Blocks.Constant GITract_cHCO3_interstitial(k=24.961910915335) 
  annotation (Placement(transformation(extent={{-40,264},{-34,270}})));
  Library.Blocks.Constant kidney_cHCO3_interstitial(k=24.5582727136756) 
  annotation (Placement(transformation(extent={{-40,274},{-34,280}})));
  Library.Blocks.Constant leftHeart_cHCO3_interstitial(k=29.2699412254444) 
  annotation (Placement(transformation(extent={{-40,284},{-34,290}})));
  Library.Blocks.Constant liver_cHCO3_interstitial(k=23.7403956696023) 
  annotation (Placement(transformation(extent={{-40,294},{-34,300}})));
  Library.Blocks.Constant otherTissue_cHCO3_interstitial(k=25.0697464384421) 
  annotation (Placement(transformation(extent={{-40,304},{-34,310}})));
  Library.Blocks.Constant respiratoryMuscle_cHCO3_interstitial(k=26.3476239539683) 
  annotation (Placement(transformation(extent={{-40,314},{-34,320}})));
  Library.Blocks.Constant rightHeart_cHCO3_interstitial(k=29.3320888337204) 
  annotation (Placement(transformation(extent={{-40,324},{-34,330}})));
  Library.Blocks.Constant skeletalMuscle_cHCO3_interstitial(k=25.7767823282171) 
  annotation (Placement(transformation(extent={{-40,334},{-34,340}})));
  Library.Blocks.Constant skin_cHCO3_interstitial(k=26.5750345302478) 
  annotation (Placement(transformation(extent={{-40,344},{-34,350}})));
  Library.Blocks.Constant bone_BloodFlow(k=411.529549648395) 
  annotation (Placement(transformation(extent={{-40,354},{-34,360}})));
  Library.Blocks.Constant brain_BloodFlow(k=870.480358845086) 
  annotation (Placement(transformation(extent={{-40,364},{-34,370}})));
  Library.Blocks.Constant fat_BloodFlow(k=236.170497748735) 
  annotation (Placement(transformation(extent={{-40,374},{-34,380}})));
  Library.Blocks.Constant GITract_BloodFlow(k=971.271094732174) 
  annotation (Placement(transformation(extent={{-40,384},{-34,390}})));
  Library.Blocks.Constant HepaticArty_BloodFlow(k=245.489746000535) 
  annotation (Placement(transformation(extent={{-40,394},{-34,400}})));
  Library.Blocks.Constant kidney_BloodFlow(k=1231.77885077347) 
  annotation (Placement(transformation(extent={{-40,404},{-34,410}})));
  Library.Blocks.Constant leftHeart_BloodFlow(k=187.141403158598) 
  annotation (Placement(transformation(extent={{-40,414},{-34,420}})));
  Library.Blocks.Constant AlveolarVentilated_BloodFlow(k=5182.99570595689) 
  annotation (Placement(transformation(extent={{-40,424},{-34,430}})));
  Library.Blocks.Constant otherTissue_BloodFlow(k=367.445620022139) 
  annotation (Placement(transformation(extent={{-40,434},{-34,440}})));
  Library.Blocks.Constant respiratoryMuscle_BloodFlow(k=96.4514390299406) 
  annotation (Placement(transformation(extent={{-40,444},{-34,450}})));
  Library.Blocks.Constant rightHeart_BloodFlow(k=35.2508578572206) 
  annotation (Placement(transformation(extent={{-40,454},{-34,460}})));
  Library.Blocks.Constant skeletalMuscle_BloodFlow(k=630.94639202895) 
  annotation (Placement(transformation(extent={{-40,464},{-34,470}})));
  Library.Blocks.Constant skin_BloodFlow(k=116.996639739554) 
  annotation (Placement(transformation(extent={{-40,474},{-34,480}})));
  Library.Blocks.Constant liver_BloodFlow(k=1216.760840732709) 
  annotation (Placement(transformation(extent={{-138,-130},{-134,-126}})));
  Library.Blocks.Constant GITract_InterstitialWater(k=1095.27) 
  annotation (Placement(transformation(extent={{-40,494},{-34,500}})));
  Library.Blocks.Constant bone_InterstitialWater(k=3442.29) 
  annotation (Placement(transformation(extent={{-40,504},{-34,510}})));
  Library.Blocks.Constant brain_InterstitialWater(k=704.104) 
  annotation (Placement(transformation(extent={{-40,514},{-34,520}})));
  Library.Blocks.Constant fat_InterstitialWater(k=2425.25) 
  annotation (Placement(transformation(extent={{-40,524},{-34,530}})));
  Library.Blocks.Constant kidney_InterstitialWater(k=234.701) 
  annotation (Placement(transformation(extent={{-40,534},{-34,540}})));
  Library.Blocks.Constant leftHeart_InterstitialWater(k=195.585) 
  annotation (Placement(transformation(extent={{-40,544},{-34,550}})));
  Library.Blocks.Constant liver_InterstitialWater(k=1721.14) 
  annotation (Placement(transformation(extent={{-40,554},{-34,560}})));
  Library.Blocks.Constant otherTissue_InterstitialWater(k=3090.24) 
  annotation (Placement(transformation(extent={{-40,564},{-34,570}})));
  Library.Blocks.Constant respiratoryMuscle_InterstitialWater(k=2738.18) 
  annotation (Placement(transformation(extent={{-40,574},{-34,580}})));
  Library.Blocks.Constant rightHeart_InterstitialWater(k=39.1169) 
  annotation (Placement(transformation(extent={{-40,584},{-34,590}})));
  Library.Blocks.Constant skeletalMuscle_InterstitialWater(k=18463.2) 
  annotation (Placement(transformation(extent={{-202,-86},{-196,-80}})));
  Library.Blocks.Constant skin_InterstitialWater(k=4967.85) 
  annotation (Placement(transformation(extent={{-202,-76},{-196,-70}})));
  Library.Blocks.Constant GITract_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,-66},{-196,-60}})));
  Library.Blocks.Constant bone_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,-56},{-196,-50}})));
  Library.Blocks.Constant brain_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,-46},{-196,-40}})));
  Library.Blocks.Constant fat_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,-36},{-196,-30}})));
  Library.Blocks.Constant kidney_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,-26},{-196,-20}})));
  Library.Blocks.Constant leftHeart_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,-16},{-196,-10}})));
  Library.Blocks.Constant liver_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,-6},{-196,0}})));
  Library.Blocks.Constant otherTissue_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,4},{-196,10}})));
  Library.Blocks.Constant respiratoryMuscle_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,14},{-196,20}})));
  Library.Blocks.Constant rightHeart_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,24},{-196,30}})));
  Library.Blocks.Constant skeletalMuscle_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,34},{-196,40}})));
  Library.Blocks.Constant skin_LactateFromMetabolism(k=0) 
  annotation (Placement(transformation(extent={{-202,44},{-196,50}})));
  Library.Blocks.Constant GITract_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-202,54},{-196,60}})));
  Library.Blocks.Constant HeatCore_Temp(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-202,64},{-196,70}})));
  Library.Blocks.Constant bone_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-202,74},{-196,80}})));
  Library.Blocks.Constant brain_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-202,84},{-196,90}})));
  Library.Blocks.Constant fat_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-40,774},{-34,780}})));
  Library.Blocks.Constant kidney_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-40,784},{-34,790}})));
  Library.Blocks.Constant leftHeart_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-40,794},{-34,800}})));
  Library.Blocks.Constant liver_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-40,804},{-34,810}})));
  Library.Blocks.Constant otherTissue_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-40,814},{-34,820}})));
  Library.Blocks.Constant respiratoryMuscle_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-40,824},{-34,830}})));
  Library.Blocks.Constant rightHeart_T(k=36.9631174702302) 
  annotation (Placement(transformation(extent={{-40,834},{-34,840}})));
  Library.Blocks.Constant skeletalMuscle_T(k=37.239827522926) 
  annotation (Placement(transformation(extent={{-40,844},{-34,850}})));
  Library.Blocks.Constant skin_T(k=28.6404308069366) 
  annotation (Placement(transformation(extent={{-40,854},{-34,860}})));
  Library.Blocks.Constant bone_pCO2(k=46.4557951901599) 
  annotation (Placement(transformation(extent={{-40,864},{-34,870}})));
  Library.Blocks.Constant brain_pCO2(k=47.6749567125577) 
  annotation (Placement(transformation(extent={{-40,874},{-34,880}})));
  Library.Blocks.Constant CO2Artys_pCO2(k=41.7544049802257) 
  annotation (Placement(transformation(extent={{-40,884},{-34,890}})));
  Library.Blocks.Constant CO2Veins_pCO2(k=46.4492835152696) 
  annotation (Placement(transformation(extent={{-40,894},{-34,900}})));
  Library.Blocks.Constant fat_pCO2(k=44.4786406101774) 
  annotation (Placement(transformation(extent={{-40,904},{-34,910}})));
  Library.Blocks.Constant GITract_pCO2(k=44.3772517533942) 
  annotation (Placement(transformation(extent={{-40,914},{-34,920}})));
  Library.Blocks.Constant kidney_pCO2(k=43.2560345265624) 
  annotation (Placement(transformation(extent={{-40,924},{-34,930}})));
  Library.Blocks.Constant leftHeart_pCO2(k=56.344002614809) 
  annotation (Placement(transformation(extent={{-40,934},{-34,940}})));
  Library.Blocks.Constant liver_pCO2(k=40.984153848581) 
  annotation (Placement(transformation(extent={{-40,944},{-34,950}})));
  Library.Blocks.Constant CO2Lung_pCO2(k=41.6036252824923) 
  annotation (Placement(transformation(extent={{-40,954},{-34,960}})));
  Library.Blocks.Constant otherTissue_pCO2(k=44.6767948731359) 
  annotation (Placement(transformation(extent={{-40,964},{-34,970}})));
  Library.Blocks.Constant respiratoryMuscle_pCO2(k=48.2264546384865) 
  annotation (Placement(transformation(extent={{-40,974},{-34,980}})));
  Library.Blocks.Constant rightHeart_pCO2(k=56.5166348600201) 
  annotation (Placement(transformation(extent={{-40,984},{-34,990}})));
  Library.Blocks.Constant skeletalMuscle_pCO2(k=46.6407834558443) 
  annotation (Placement(transformation(extent={{-40,994},{-34,1000}})));
  Library.Blocks.Constant skin_pCO2(k=48.858150683707) 
  annotation (Placement(transformation(extent={{-40,1004},{-34,1010}})));
  Library.Blocks.Constant bone_cLactate(k=1.17864964797693) 
  annotation (Placement(transformation(extent={{-40,1014},{-34,1020}})));
  Library.Blocks.Constant brain_cLactate(k=1.17824818197653) 
  annotation (Placement(transformation(extent={{-40,1024},{-34,1030}})));
  Library.Blocks.Constant fat_cLactate(k=1.17872566761662) 
  annotation (Placement(transformation(extent={{-40,1034},{-34,1040}})));
  Library.Blocks.Constant GITract_cLactate(k=1.17853264928685) 
  annotation (Placement(transformation(extent={{-40,1044},{-34,1050}})));
  Library.Blocks.Constant kidney_cLactate(k=1.17768541381456) 
  annotation (Placement(transformation(extent={{-40,1054},{-34,1060}})));
  Library.Blocks.Constant leftHeart_cLactate(k=1.1772823164353) 
  annotation (Placement(transformation(extent={{-40,1064},{-34,1070}})));
  Library.Blocks.Constant liver_cLactate(k=1.17837719280468) 
  annotation (Placement(transformation(extent={{-40,1074},{-34,1080}})));
  Library.Blocks.Constant otherTissue_cLactate(k=1.17872358416974) 
  annotation (Placement(transformation(extent={{-40,1084},{-34,1090}})));
  Library.Blocks.Constant respiratoryMuscle_cLactate(k=1.17873921576527) 
  annotation (Placement(transformation(extent={{-40,1094},{-34,1100}})));
  Library.Blocks.Constant rightHeart_cLactate(k=1.17710930900017) 
  annotation (Placement(transformation(extent={{-40,1104},{-34,1110}})));
  Library.Blocks.Constant skeletalMuscle_cLactate(k=1.17874448371875) 
  annotation (Placement(transformation(extent={{-40,1114},{-34,1120}})));
  Library.Blocks.Constant skin_cLactate(k=1.17866886042046) 
  annotation (Placement(transformation(extent={{-40,1124},{-34,1130}})));
  Library.Blocks.Constant KCell_conc(k=145.580640839212) 
  annotation (Placement(transformation(extent={{-40,1134},{-34,1140}})));
    Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
      annotation (Placement(transformation(extent={{-40,-242},{-34,-236}})));
  Library.Blocks.Constant KA_Change(k=0) 
  annotation (Placement(transformation(extent={{-40,-228},{-34,-222}})));
  equation

  connect(ArtysVol.y, busConnector.ArtysVol) annotation (Line(
   points={{-33.7,-213},{79,-213},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
   points={{-33.7,-203},{79,-203},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CardiacOutput.y, busConnector.CardiacOutput) annotation (Line(
   points={{-33.7,-193},{79,-193},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
   points={{-33.7,-183},{79,-183},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
   points={{-33.7,-173},{79,-173},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
   points={{-33.7,-153},{79,-153},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(PotasiumToCells.y, busConnector.PotassiumToCells) annotation (Line(
   points={{-123.7,-143},{79,-143},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(LactateFromTissues.y, busConnector.LactateFromTissues) annotation (Line(
   points={{-33.7,-133},{79,-133},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
   points={{-33.7,-123},{79,-123},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(VeinsVol.y, busConnector.VeinsVol) annotation (Line(
   points={{-33.7,-113},{79,-113},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(bone_cHCO3.y, busConnector.bone_cHCO3) annotation (Line(
   points={{-33.7,-103},{79,-103},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(brain_cHCO3.y, busConnector.brain_cHCO3) annotation (Line(
   points={{-33.7,-93},{79,-93},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CO2Artys_cHCO3.y, busConnector.CO2Artys_cHCO3) annotation (Line(
   points={{-33.7,-83},{79,-83},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
   points={{-33.7,-73},{79,-73},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(fat_cHCO3.y, busConnector.fat_cHCO3) annotation (Line(
   points={{-33.7,-63},{79,-63},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(GITract_cHCO3.y, busConnector.GITract_cHCO3) annotation (Line(
   points={{-33.7,-53},{79,-53},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(kidney_cHCO3.y, busConnector.kidney_cHCO3) annotation (Line(
   points={{-33.7,-43},{79,-43},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(leftHeart_cHCO3.y, busConnector.leftHeart_cHCO3) annotation (Line(
   points={{-33.7,-33},{79,-33},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(liver_cHCO3.y, busConnector.liver_cHCO3) annotation (Line(
   points={{-33.7,-23},{79,-23},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(otherTissue_cHCO3.y, busConnector.otherTissue_cHCO3) annotation (Line(
   points={{-33.7,-13},{79,-13},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(respiratoryMuscle_cHCO3.y, busConnector.respiratoryMuscle_cHCO3) annotation (Line(
   points={{-33.7,-3},{79,-3},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(rightHeart_cHCO3.y, busConnector.rightHeart_cHCO3) annotation (Line(
   points={{-33.7,7},{79,7},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skeletalMuscle_cHCO3.y, busConnector.skeletalMuscle_cHCO3) annotation (Line(
   points={{-33.7,17},{79,17},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skin_cHCO3.y, busConnector.skin_cHCO3) annotation (Line(
   points={{-33.7,27},{79,27},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(bone_sO2.y, busConnector.bone_sO2) annotation (Line(
   points={{-33.7,37},{79,37},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(brain_sO2.y, busConnector.brain_sO2) annotation (Line(
   points={{-33.7,47},{79,47},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(fat_sO2.y, busConnector.fat_sO2) annotation (Line(
   points={{-33.7,57},{79,57},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(GITract_sO2.y, busConnector.GITract_sO2) annotation (Line(
   points={{-33.7,67},{79,67},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(kidney_sO2.y, busConnector.kidney_sO2) annotation (Line(
   points={{-33.7,77},{79,77},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(leftHeart_sO2.y, busConnector.leftHeart_sO2) annotation (Line(
   points={{-33.7,87},{79,87},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(liver_sO2.y, busConnector.liver_sO2) annotation (Line(
   points={{-33.7,97},{79,97},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(O2Artys_sO2.y, busConnector.O2Artys_sO2) annotation (Line(
   points={{-33.7,107},{79,107},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(O2Veins_sO2.y, busConnector.O2Veins_sO2) annotation (Line(
   points={{-33.7,117},{79,117},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(otherTissue_sO2.y, busConnector.otherTissue_sO2) annotation (Line(
   points={{-33.7,127},{79,127},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(respiratoryMuscle_sO2.y, busConnector.respiratoryMuscle_sO2) annotation (Line(
   points={{-33.7,137},{79,137},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(rightHeart_sO2.y, busConnector.rightHeart_sO2) annotation (Line(
   points={{-33.7,147},{79,147},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skeletalMuscle_sO2.y, busConnector.skeletalMuscle_sO2) annotation (Line(
   points={{-33.7,157},{79,157},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skin_sO2.y, busConnector.skin_sO2) annotation (Line(
   points={{-33.7,167},{79,167},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
   points={{-33.7,177},{79,177},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
   points={{-33.7,187},{79,187},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(ctHb_ery.y, busConnector.ctHb_ery) annotation (Line(
   points={{-33.7,197},{79,197},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
   points={{-33.7,207},{79,207},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(bone_cHCO3_interstitial.y, busConnector.bone_cHCO3_interstitial) annotation (Line(
   points={{-33.7,217},{79,217},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(brain_cHCO3_interstitial.y, busConnector.brain_cHCO3_interstitial) annotation (Line(
   points={{-33.7,227},{79,227},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CO2Artys_cHCO3_interstitial.y, busConnector.CO2Artys_cHCO3_interstitial) annotation (Line(
   points={{-33.7,237},{79,237},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CO2Veins_cHCO3_interstitial.y, busConnector.CO2Veins_cHCO3_interstitial) annotation (Line(
   points={{-33.7,247},{79,247},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(fat_cHCO3_interstitial.y, busConnector.fat_cHCO3_interstitial) annotation (Line(
   points={{-33.7,257},{79,257},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(GITract_cHCO3_interstitial.y, busConnector.GITract_cHCO3_interstitial) annotation (Line(
   points={{-33.7,267},{79,267},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(kidney_cHCO3_interstitial.y, busConnector.kidney_cHCO3_interstitial) annotation (Line(
   points={{-33.7,277},{79,277},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(leftHeart_cHCO3_interstitial.y, busConnector.leftHeart_cHCO3_interstitial) annotation (Line(
   points={{-33.7,287},{79,287},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(liver_cHCO3_interstitial.y, busConnector.liver_cHCO3_interstitial) annotation (Line(
   points={{-33.7,297},{79,297},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(otherTissue_cHCO3_interstitial.y, busConnector.otherTissue_cHCO3_interstitial) annotation (Line(
   points={{-33.7,307},{79,307},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(respiratoryMuscle_cHCO3_interstitial.y, busConnector.respiratoryMuscle_cHCO3_interstitial) annotation (Line(
   points={{-33.7,317},{79,317},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(rightHeart_cHCO3_interstitial.y, busConnector.rightHeart_cHCO3_interstitial) annotation (Line(
   points={{-33.7,327},{79,327},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skeletalMuscle_cHCO3_interstitial.y, busConnector.skeletalMuscle_cHCO3_interstitial) annotation (Line(
   points={{-33.7,337},{79,337},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skin_cHCO3_interstitial.y, busConnector.skin_cHCO3_interstitial) annotation (Line(
   points={{-33.7,347},{79,347},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(bone_BloodFlow.y, busConnector.bone_BloodFlow) annotation (Line(
   points={{-33.7,357},{79,357},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(brain_BloodFlow.y, busConnector.brain_BloodFlow) annotation (Line(
   points={{-33.7,367},{79,367},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(fat_BloodFlow.y, busConnector.fat_BloodFlow) annotation (Line(
   points={{-33.7,377},{79,377},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
   points={{-33.7,387},{79,387},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
   points={{-33.7,397},{79,397},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(kidney_BloodFlow.y, busConnector.kidney_BloodFlow) annotation (Line(
   points={{-33.7,407},{79,407},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(leftHeart_BloodFlow.y, busConnector.leftHeart_BloodFlow) annotation (Line(
   points={{-33.7,417},{79,417},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
   points={{-33.7,427},{79,427},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(otherTissue_BloodFlow.y, busConnector.otherTissue_BloodFlow) annotation (Line(
   points={{-33.7,437},{79,437},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(respiratoryMuscle_BloodFlow.y, busConnector.respiratoryMuscle_BloodFlow) annotation (Line(
   points={{-33.7,447},{79,447},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(rightHeart_BloodFlow.y, busConnector.rightHeart_BloodFlow) annotation (Line(
   points={{-33.7,457},{79,457},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) annotation (Line(
   points={{-33.7,467},{79,467},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) annotation (Line(
   points={{-33.7,477},{79,477},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
   points={{-133.8,-128},{79,-128},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
   points={{-33.7,497},{79,497},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
   points={{-33.7,507},{79,507},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
   points={{-33.7,517},{79,517},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
   points={{-33.7,527},{79,527},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
   points={{-33.7,537},{79,537},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
   points={{-33.7,547},{79,547},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
   points={{-33.7,557},{79,557},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
   points={{-33.7,567},{79,567},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
   points={{-33.7,577},{79,577},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
   points={{-33.7,587},{79,587},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
   points={{-195.7,-83},{79,-83},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
   points={{-195.7,-73},{79,-73},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(GITract_LactateFromMetabolism.y, busConnector.GITract_LactateFromMetabolism) annotation (Line(
   points={{-195.7,-63},{79,-63},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(bone_LactateFromMetabolism.y, busConnector.bone_LactateFromMetabolism) annotation (Line(
   points={{-195.7,-53},{79,-53},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(brain_LactateFromMetabolism.y, busConnector.brain_LactateFromMetabolism) annotation (Line(
   points={{-195.7,-43},{79,-43},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(fat_LactateFromMetabolism.y, busConnector.fat_LactateFromMetabolism) annotation (Line(
   points={{-195.7,-33},{79,-33},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(kidney_LactateFromMetabolism.y, busConnector.kidney_LactateFromMetabolism) annotation (Line(
   points={{-195.7,-23},{79,-23},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(leftHeart_LactateFromMetabolism.y, busConnector.leftHeart_LactateFromMetabolism) annotation (Line(
   points={{-195.7,-13},{79,-13},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(liver_LactateFromMetabolism.y, busConnector.liver_LactateFromMetabolism) annotation (Line(
   points={{-195.7,-3},{79,-3},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(otherTissue_LactateFromMetabolism.y, busConnector.otherTissue_LactateFromMetabolism) annotation (Line(
   points={{-195.7,7},{79,7},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(respiratoryMuscle_LactateFromMetabolism.y, busConnector.respiratoryMuscle_LactateFromMetabolism) annotation (Line(
   points={{-195.7,17},{79,17},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(rightHeart_LactateFromMetabolism.y, busConnector.rightHeart_LactateFromMetabolism) annotation (Line(
   points={{-195.7,27},{79,27},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skeletalMuscle_LactateFromMetabolism.y, busConnector.skeletalMuscle_LactateFromMetabolism) annotation (Line(
   points={{-195.7,37},{79,37},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skin_LactateFromMetabolism.y, busConnector.skin_LactateFromMetabolism) annotation (Line(
   points={{-195.7,47},{79,47},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(GITract_T.y, busConnector.GITract_T) annotation (Line(
   points={{-195.7,57},{79,57},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
   points={{-195.7,67},{79,67},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(bone_T.y, busConnector.bone_T) annotation (Line(
   points={{-195.7,77},{79,77},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(brain_T.y, busConnector.brain_T) annotation (Line(
   points={{-195.7,87},{79,87},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(fat_T.y, busConnector.fat_T) annotation (Line(
   points={{-33.7,777},{79,777},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(kidney_T.y, busConnector.kidney_T) annotation (Line(
   points={{-33.7,787},{79,787},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(leftHeart_T.y, busConnector.leftHeart_T) annotation (Line(
   points={{-33.7,797},{79,797},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(liver_T.y, busConnector.liver_T) annotation (Line(
   points={{-33.7,807},{79,807},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(otherTissue_T.y, busConnector.otherTissue_T) annotation (Line(
   points={{-33.7,817},{79,817},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(respiratoryMuscle_T.y, busConnector.respiratoryMuscle_T) annotation (Line(
   points={{-33.7,827},{79,827},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(rightHeart_T.y, busConnector.rightHeart_T) annotation (Line(
   points={{-33.7,837},{79,837},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skeletalMuscle_T.y, busConnector.skeletalMuscle_T) annotation (Line(
   points={{-33.7,847},{79,847},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skin_T.y, busConnector.skin_T) annotation (Line(
   points={{-33.7,857},{79,857},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(bone_pCO2.y, busConnector.bone_pCO2) annotation (Line(
   points={{-33.7,867},{79,867},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(brain_pCO2.y, busConnector.brain_pCO2) annotation (Line(
   points={{-33.7,877},{79,877},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CO2Artys_pCO2.y, busConnector.CO2Artys_pCO2) annotation (Line(
   points={{-33.7,887},{79,887},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CO2Veins_pCO2.y, busConnector.CO2Veins_pCO2) annotation (Line(
   points={{-33.7,897},{79,897},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(fat_pCO2.y, busConnector.fat_pCO2) annotation (Line(
   points={{-33.7,907},{79,907},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(GITract_pCO2.y, busConnector.GITract_pCO2) annotation (Line(
   points={{-33.7,917},{79,917},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(kidney_pCO2.y, busConnector.kidney_pCO2) annotation (Line(
   points={{-33.7,927},{79,927},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(leftHeart_pCO2.y, busConnector.leftHeart_pCO2) annotation (Line(
   points={{-33.7,937},{79,937},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(liver_pCO2.y, busConnector.liver_pCO2) annotation (Line(
   points={{-33.7,947},{79,947},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(CO2Lung_pCO2.y, busConnector.CO2Lung_pCO2) annotation (Line(
   points={{-33.7,957},{79,957},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(otherTissue_pCO2.y, busConnector.otherTissue_pCO2) annotation (Line(
   points={{-33.7,967},{79,967},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(respiratoryMuscle_pCO2.y, busConnector.respiratoryMuscle_pCO2) annotation (Line(
   points={{-33.7,977},{79,977},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(rightHeart_pCO2.y, busConnector.rightHeart_pCO2) annotation (Line(
   points={{-33.7,987},{79,987},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skeletalMuscle_pCO2.y, busConnector.skeletalMuscle_pCO2) annotation (Line(
   points={{-33.7,997},{79,997},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skin_pCO2.y, busConnector.skin_pCO2) annotation (Line(
   points={{-33.7,1007},{79,1007},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(bone_cLactate.y, busConnector.bone_cLactate) annotation (Line(
   points={{-33.7,1017},{79,1017},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(brain_cLactate.y, busConnector.brain_cLactate) annotation (Line(
   points={{-33.7,1027},{79,1027},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(fat_cLactate.y, busConnector.fat_cLactate) annotation (Line(
   points={{-33.7,1037},{79,1037},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(GITract_cLactate.y, busConnector.GITract_cLactate) annotation (Line(
   points={{-33.7,1047},{79,1047},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(kidney_cLactate.y, busConnector.kidney_cLactate) annotation (Line(
   points={{-33.7,1057},{79,1057},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(leftHeart_cLactate.y, busConnector.leftHeart_cLactate) annotation (Line(
   points={{-33.7,1067},{79,1067},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(liver_cLactate.y, busConnector.liver_cLactate) annotation (Line(
   points={{-33.7,1077},{79,1077},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(otherTissue_cLactate.y, busConnector.otherTissue_cLactate) annotation (Line(
   points={{-33.7,1087},{79,1087},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(respiratoryMuscle_cLactate.y, busConnector.respiratoryMuscle_cLactate) annotation (Line(
   points={{-33.7,1097},{79,1097},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(rightHeart_cLactate.y, busConnector.rightHeart_cLactate) annotation (Line(
   points={{-33.7,1107},{79,1107},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skeletalMuscle_cLactate.y, busConnector.skeletalMuscle_cLactate) annotation (Line(
   points={{-33.7,1117},{79,1117},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(skin_cLactate.y, busConnector.skin_cLactate) annotation (Line(
   points={{-33.7,1127},{79,1127},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
   points={{-33.7,1137},{79,1137},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

    connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
        points={{-33.7,-239},{79,-239},{79,5}},
      color={0,0,127},
      smooth=Smooth.None), Text(
      string="%second",
      index=1,
      extent={{6,3},{6,3}}));
      connect(KA_Change.y, busConnector.KA_Change) annotation (Line(
          points={{-33.7,-225},{20.15,-225},{20.15,5},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),       graphics));
  end GasesAB;

    model GM

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-38,-42},{-24,-28}}),
             iconTransformation(extent={{-40,-20},{0,20}})));

    Library.Blocks.Constant AirSupplyInspiredAirPressure(k=760.) 
    annotation (Placement(transformation(extent={{42,-100},{36,-94}})));
    Library.Blocks.Constant ArtysVol(k=1587.76521066473) 
    annotation (Placement(transformation(extent={{42,-90},{36,-84}})));
    Library.Blocks.Constant BarometerPressure(k=760.) 
    annotation (Placement(transformation(extent={{42,-80},{36,-74}})));
    Library.Blocks.Constant bone_BloodFlow(k=411.529549648395) 
    annotation (Placement(transformation(extent={{42,-40},{36,-34}})));
    Library.Blocks.Constant brain_BloodFlow(k=870.480358845086) 
    annotation (Placement(transformation(extent={{42,-10},{36,-4}})));
    Library.Blocks.Constant CardiacOutput(k=5402.99570595689) 
    annotation (Placement(transformation(extent={{42,30},{36,36}})));
    Library.Blocks.Constant ExcessLungWater_Volume(k=0.) 
    annotation (Placement(transformation(extent={{42,40},{36,46}})));
    Library.Blocks.Constant fat_BloodFlow(k=236.170497748735) 
    annotation (Placement(transformation(extent={{42,60},{36,66}})));
    Library.Blocks.Constant GITract_BloodFlow(k=971.271094732174) 
    annotation (Placement(transformation(extent={{100,-90},{94,-84}})));
    Library.Blocks.Constant HepaticArty_BloodFlow(k=245.489746000535) 
    annotation (Placement(transformation(extent={{100,60},{94,66}})));
    Library.Blocks.Constant kidney_BloodFlow(k=1231.77885077347) 
    annotation (Placement(transformation(extent={{100,80},{94,86}})));
    Library.Blocks.Constant leftHeart_BloodFlow(k=187.141403158598) 
    annotation (Placement(transformation(extent={{-40,-100},{-34,-94}})));
    Library.Blocks.Constant AlveolarVentilated_BloodFlow(k=5182.99570595689) 
    annotation (Placement(transformation(extent={{-40,-60},{-34,-54}})));
    Library.Blocks.Constant otherTissue_BloodFlow(k=367.445620022139) 
    annotation (Placement(transformation(extent={{-40,-30},{-34,-24}})));
    Library.Blocks.Constant RespiratoryCenter_MotorNerveActivity(k=0.993694435232649) 
    annotation (Placement(transformation(extent={{-40,-10},{-34,-4}})));
    Library.Blocks.Constant RespiratoryCenter_RespRate(k=11.9741435842595) 
    annotation (Placement(transformation(extent={{-40,0},{-34,6}})));
    Library.Blocks.Constant respiratoryMuscle_BloodFlow(k=96.4514390299406) 
    annotation (Placement(transformation(extent={{-40,20},{-34,26}})));
    Library.Blocks.Constant RespiratorMuscle_FunctionEffect(k=0.995580586980285) 
    annotation (Placement(transformation(extent={{-40,40},{-34,46}})));
    Library.Blocks.Constant rightHeart_BloodFlow(k=35.2508578572206) 
    annotation (Placement(transformation(extent={{-40,60},{-34,66}})));
    Library.Blocks.Constant skeletalMuscle_BloodFlow(k=630.94639202895) 
    annotation (Placement(transformation(extent={{-40,90},{-34,96}})));
    Library.Blocks.Constant skin_BloodFlow(k=116.996639739554) 
    annotation (Placement(transformation(extent={{-90,20},{-84,26}})));
    Library.Blocks.Constant Thorax_LungInflation(k=1.) 
    annotation (Placement(transformation(extent={{-98,-78},{-92,-72}})));
    Library.Blocks.Constant VeinsVol(k=3777.66406071807) 
    annotation (Placement(transformation(extent={{-98,-68},{-92,-62}})));
    Library.Blocks.Constant ctHb(k=8.4) 
    annotation (Placement(transformation(extent={{-98,-58},{-92,-52}})));
    Library.Blocks.Constant pCO(k=0) 
    annotation (Placement(transformation(extent={{-98,-48},{-92,-42}})));
    Library.Blocks.Constant FHbF(k=.005) 
    annotation (Placement(transformation(extent={{-98,-38},{-92,-32}})));
    Library.Blocks.Constant FMetHb(k=.005) 
    annotation (Placement(transformation(extent={{-98,-28},{-92,-22}})));
    Library.Blocks.Constant cDPG(k=5.4) 
    annotation (Placement(transformation(extent={{-98,-18},{-92,-12}})));
    Library.Blocks.Constant ctPO4(k=0.171693430695613) 
    annotation (Placement(transformation(extent={{292,14},{298,20}})));
    Library.Blocks.Constant CD_PO4_Outflow(k=2.28968543265027e-002) 
    annotation (Placement(transformation(extent={{292,-36},{298,-30}})));
    Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
    annotation (Placement(transformation(extent={{292,-16},{298,-10}})));
    Library.Blocks.Constant BladderVolume_Mass(k=5365.4292713828) 
    annotation (Placement(transformation(extent={{292,-66},{298,-60}})));
    Library.Blocks.Constant KCell_conc(k=145.580640839212) 
    annotation (Placement(transformation(extent={{276,110},{282,116}})));
    Library.Blocks.Constant PotasiumToCells(k=0) 
    annotation (Placement(transformation(extent={{202,-6},{208,0}})));
    Library.Blocks.Constant GITract_InterstitialWater(k=1095.27) 
    annotation (Placement(transformation(extent={{88,-272},{94,-266}})));
    Library.Blocks.Constant bone_InterstitialWater(k=3442.29) 
    annotation (Placement(transformation(extent={{88,-262},{94,-256}})));
    Library.Blocks.Constant brain_InterstitialWater(k=704.104) 
    annotation (Placement(transformation(extent={{88,-252},{94,-246}})));
    Library.Blocks.Constant fat_InterstitialWater(k=2425.25) 
    annotation (Placement(transformation(extent={{88,-242},{94,-236}})));
    Library.Blocks.Constant kidney_InterstitialWater(k=234.701) 
    annotation (Placement(transformation(extent={{88,-232},{94,-226}})));
    Library.Blocks.Constant leftHeart_InterstitialWater(k=195.585) 
    annotation (Placement(transformation(extent={{88,-222},{94,-216}})));
    Library.Blocks.Constant liver_InterstitialWater(k=1721.14) 
    annotation (Placement(transformation(extent={{88,-212},{94,-206}})));
    Library.Blocks.Constant otherTissue_InterstitialWater(k=3090.24) 
    annotation (Placement(transformation(extent={{88,-202},{94,-196}})));
    Library.Blocks.Constant respiratoryMuscle_InterstitialWater(k=2738.18) 
    annotation (Placement(transformation(extent={{88,-192},{94,-186}})));
    Library.Blocks.Constant rightHeart_InterstitialWater(k=39.1169) 
    annotation (Placement(transformation(extent={{88,-182},{94,-176}})));
    Library.Blocks.Constant skeletalMuscle_InterstitialWater(k=18463.2) 
    annotation (Placement(transformation(extent={{92,-154},{98,-148}})));
    Library.Blocks.Constant skin_InterstitialWater(k=4967.85) 
    annotation (Placement(transformation(extent={{92,-144},{98,-138}})));
    Library.Blocks.Constant BloodVol_Hct(k=0.44254397591206) 
    annotation (Placement(transformation(extent={{-88,-48},{-82,-42}})));
      Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
        annotation (Placement(transformation(extent={{312,-222},{318,-216}})));
    Library.Blocks.Constant liver_BloodFlow(k=1216.760840732709) 
    annotation (Placement(transformation(extent={{214,-110},{218,-106}})));
    Library.Blocks.Constant ctHb_ery(k=21) 
    annotation (Placement(transformation(extent={{72,128},{78,134}})));
    Library.Blocks.Constant ctGlb(k=28) 
    annotation (Placement(transformation(extent={{72,118},{78,124}})));
    Library.Blocks.Constant ctAlb(k=0.66) 
    annotation (Placement(transformation(extent={{72,108},{78,114}})));
    Library.Blocks.Constant DT_AldosteroneEffect(k=1) 
    annotation (Placement(transformation(extent={{72,138},{78,144}})));
    Library.Blocks.Constant BloodCations(k=143.21792523492) 
    annotation (Placement(transformation(extent={{-452,-266},{-446,-260}})));
    Library.Blocks.Constant BloodIons_Cations(k=143.21792523492) 
    annotation (Placement(transformation(extent={{-452,-256},{-446,-250}})));
    Library.Blocks.Constant BloodVol_PVCrit(k=0.55745602408794) 
    annotation (Placement(transformation(extent={{-452,-246},{-446,-240}})));
    Library.Blocks.Constant CD_H2O_Outflow(k=0.78) 
    annotation (Placement(transformation(extent={{-452,-226},{-446,-220}})));
    Library.Blocks.Constant DT_Na_Reab(k=1.18778011790507) 
    annotation (Placement(transformation(extent={{-452,-206},{-446,-200}})));
    Library.Blocks.Constant DietIntakeNutrition_Carbo(k=156.357) 
    annotation (Placement(transformation(extent={{-452,-196},{-446,-190}})));
    Library.Blocks.Constant DietIntakeNutrition_Fat(k=61.2725) 
    annotation (Placement(transformation(extent={{-452,-186},{-446,-180}})));
    Library.Blocks.Constant DietIntakeNutrition_Protein(k=81.8727) 
    annotation (Placement(transformation(extent={{-452,-176},{-446,-170}})));
    Library.Blocks.Constant EpiPool_Epi(k=39.7221841190692) 
    annotation (Placement(transformation(extent={{-452,-166},{-446,-160}})));
    Library.Blocks.Constant ExerciseMetabolism_MotionCals(k=0.) 
    annotation (Placement(transformation(extent={{-452,-156},{-446,-150}})));
    Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
    annotation (Placement(transformation(extent={{-452,-146},{-446,-140}})));
    Library.Blocks.Constant Glomerulus_GFR(k=127.333064117169) 
    annotation (Placement(transformation(extent={{-452,-136},{-446,-130}})));
    Library.Blocks.Constant Glucagon_conc(k=66.2000580531595) 
    annotation (Placement(transformation(extent={{-452,-126},{-446,-120}})));
    Library.Blocks.Constant HeatShivering_Cals(k=0.) 
    annotation (Placement(transformation(extent={{-452,-116},{-446,-110}})));
    Library.Blocks.Constant Insulin(k=18.6374543866765) 
    annotation (Placement(transformation(extent={{-452,-106},{-446,-100}})));
    Library.Blocks.Constant LH_Na_Reab(k=5.27397681954503) 
    annotation (Placement(transformation(extent={{-452,-96},{-446,-90}})));
    Library.Blocks.Constant LiverFunctionEffect(k=0.995580586980285) 
    annotation (Placement(transformation(extent={{-452,-86},{-446,-80}})));
    Library.Blocks.Constant Medulla_Volume(k=31.) 
    annotation (Placement(transformation(extent={{-452,-76},{-446,-70}})));
    Library.Blocks.Constant MetabolismCaloriesUsed_CoreHeat(k=0.796973)
        "kCal/min" 
    annotation (Placement(transformation(extent={{-452,-66},{-446,-60}})));
    Library.Blocks.Constant PT_Na_Reab(k=9.90733252672894) 
    annotation (Placement(transformation(extent={{-452,-16},{-446,-10}})));
    Library.Blocks.Constant PortalVein_Glucagon(k=160.797005448649) 
    annotation (Placement(transformation(extent={{-452,-6},{-446,0}})));
    Library.Blocks.Constant PortalVein_Insulin(k=30.4355) 
    annotation (Placement(transformation(extent={{-452,4},{-446,10}})));
    Library.Blocks.Constant PortalVein_BloodFlow(k=971.271094732174) 
    annotation (Placement(transformation(extent={{-452,14},{-446,20}})));
    Library.Blocks.Constant PortalVein_PlasmaFlow(k=541.440922780939) 
    annotation (Placement(transformation(extent={{-452,24},{-446,30}})));
    Library.Blocks.Constant skeletalMuscle_SizeMass(k=26743.5620376591) 
    annotation (Placement(transformation(extent={{-452,44},{-446,50}})));
    Library.Blocks.Constant skinSizeMass(k=2792.87262585285) 
    annotation (Placement(transformation(extent={{-452,64},{-446,70}})));
    Library.Blocks.Constant ThyroidEffect(k=1.04253448385606) 
    annotation (Placement(transformation(extent={{-452,74},{-446,80}})));
    Library.Blocks.Constant VasaRecta_Outflow(k=21.7865579572364) 
    annotation (Placement(transformation(extent={{-452,84},{-446,90}})));
    Library.Blocks.Constant WeightCore(k=48332.738903116) 
    annotation (Placement(transformation(extent={{-452,94},{-446,100}})));
    Library.Blocks.Constant BladderVoidFlow(k=0) 
    annotation (Placement(transformation(extent={{-452,104},{-446,110}})));
    Library.Blocks.Constant Bone_BloodFlow(k=411.529549648395) 
    annotation (Placement(transformation(extent={{-452,134},{-446,140}})));
    Library.Blocks.Constant Brain_BloodFlow(k=870.480358845086) 
    annotation (Placement(transformation(extent={{-452,144},{-446,150}})));
    Library.Blocks.Constant Fat_BloodFlow(k=236.170497748735) 
    annotation (Placement(transformation(extent={{-452,154},{-446,160}})));
    Library.Blocks.Constant Kidney_BloodFlow(k=1231.77885077347) 
    annotation (Placement(transformation(extent={{-290,-174},{-284,-168}})));
    Library.Blocks.Constant LeftHeart_BloodFlow(k=187.141403158598) 
    annotation (Placement(transformation(extent={{-290,-164},{-284,-158}})));
    Library.Blocks.Constant OtherTissue_BloodFlow(k=367.445620022139) 
    annotation (Placement(transformation(extent={{-290,-144},{-284,-138}})));
    Library.Blocks.Constant RespiratoryMuscle_BloodFlow(k=96.4514390299406) 
    annotation (Placement(transformation(extent={{-290,-134},{-284,-128}})));
    Library.Blocks.Constant RightHeart_BloodFlow(k=35.2508578572206) 
    annotation (Placement(transformation(extent={{-290,-124},{-284,-118}})));
    Library.Blocks.Constant SkeletalMuscle_BloodFlow(k=630.94639202895) 
    annotation (Placement(transformation(extent={{-290,-114},{-284,-108}})));
    Library.Blocks.Constant Skin_BloodFlow(k=116.996639739554) 
    annotation (Placement(transformation(extent={{-76,20},{-70,26}})));
    Library.Blocks.Constant Bone_LiquidVol(k=3642.26580997869) 
    annotation (Placement(transformation(extent={{-290,-84},{-284,-78}})));
    Library.Blocks.Constant Brain_LiquidVol(k=1236.43378761903) 
    annotation (Placement(transformation(extent={{-290,-74},{-284,-68}})));
    Library.Blocks.Constant Fat_LiquidVol(k=2579.18849868295) 
    annotation (Placement(transformation(extent={{-290,-64},{-284,-58}})));
    Library.Blocks.Constant GITract_LiquidVol(k=1142.74972779574) 
    annotation (Placement(transformation(extent={{-290,-54},{-284,-48}})));
    Library.Blocks.Constant Kidney_LiquidVol(k=266.353146295739) 
    annotation (Placement(transformation(extent={{-290,-44},{-284,-38}})));
    Library.Blocks.Constant LeftHeart_LiquidVol(k=226.516938045739) 
    annotation (Placement(transformation(extent={{-290,-34},{-284,-28}})));
    Library.Blocks.Constant Liver_LiquidVol(k=1479.43419504262) 
    annotation (Placement(transformation(extent={{-290,-24},{-284,-18}})));
    Library.Blocks.Constant OtherTissue_LiquidVol(k=3283.73993572869) 
    annotation (Placement(transformation(extent={{-290,-14},{-284,-8}})));
    Library.Blocks.Constant RespiratoryMuscle_LiquidVol(k=3116.56533904886) 
    annotation (Placement(transformation(extent={{-290,-4},{-284,2}})));
    Library.Blocks.Constant RightHeart_LiquidVol(k=39.83620825) 
    annotation (Placement(transformation(extent={{-290,6},{-284,12}})));
    Library.Blocks.Constant SkeletalMuscle_LiquidVol(k=20989.5620376591) 
    annotation (Placement(transformation(extent={{-290,16},{-284,22}})));
    Library.Blocks.Constant Skin_LiquidVol(k=1833.56262585285) 
    annotation (Placement(transformation(extent={{-290,26},{-284,32}})));
    Library.Blocks.Constant Bone_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,36},{-284,42}})));
    Library.Blocks.Constant Brain_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,46},{-284,52}})));
    Library.Blocks.Constant Fat_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,56},{-284,62}})));
    Library.Blocks.Constant GITract_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,66},{-284,72}})));
    Library.Blocks.Constant Kidney_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,76},{-284,82}})));
    Library.Blocks.Constant LeftHeart_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,86},{-284,92}})));
    Library.Blocks.Constant Liver_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,96},{-284,102}})));
    Library.Blocks.Constant OtherTissue_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,106},{-284,112}})));
    Library.Blocks.Constant RespiratoryMuscle_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,116},{-284,122}})));
    Library.Blocks.Constant RightHeart_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,126},{-284,132}})));
    Library.Blocks.Constant SkeletalMuscle_StructureEffect(k=0.98811727215541) 
    annotation (Placement(transformation(extent={{-290,136},{-284,142}})));
    Library.Blocks.Constant Skin_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,146},{-284,152}})));
    Library.Blocks.Constant c2(k=52.0752) 
    annotation (Placement(transformation(extent={{-516,200},{-510,206}})));
    Library.Blocks.Constant c(k=1009.99) 
    annotation (Placement(transformation(extent={{-516,188},{-510,194}})));
    Library.Blocks.Constant Leptin(k=8) 
    annotation (Placement(transformation(extent={{-430,-44},{-424,-38}})));
    Library.Blocks.Constant BloodIons_ProteinAnions(k=15) 
    annotation (Placement(transformation(extent={{-428,-58},{-420,-50}})));
    Library.Blocks.Constant DietGoalH2O_DegK(k=294.261111111111) 
    annotation (Placement(transformation(extent={{-436,-30},{-430,-24}})));
    Library.Blocks.Constant GILumenVolume_Intake(k=1.3) 
    annotation (Placement(transformation(extent={{-454,-36},{-448,-30}})));
    Library.Blocks.Constant HypothalamusShivering_NerveActivity(k=1) 
    annotation (Placement(transformation(extent={{-464,-54},{-458,-48}})));
    Library.Blocks.Constant GILumenVolume_Absorbtion(k=1.3) 
    annotation (Placement(transformation(extent={{-514,174},{-508,180}})));
    equation

    connect(AirSupplyInspiredAirPressure.y,busConnector. AirSupplyInspiredAirPressure) annotation (Line(
     points={{35.7,-97},{-31,-97},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ArtysVol.y,busConnector. ArtysVol) annotation (Line(
     points={{35.7,-87},{-31,-87},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BarometerPressure.y,busConnector. BarometerPressure) annotation (Line(
     points={{35.7,-77},{-31,-77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_BloodFlow.y,busConnector. bone_BloodFlow) annotation (Line(
     points={{35.7,-37},{-31,-37},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_BloodFlow.y,busConnector. brain_BloodFlow) annotation (Line(
     points={{35.7,-7},{-31,-7},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CardiacOutput.y,busConnector. CardiacOutput) annotation (Line(
     points={{35.7,33},{-31,33},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExcessLungWater_Volume.y,busConnector. ExcessLungWater_Volume) annotation (Line(
     points={{35.7,43},{-31,43},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_BloodFlow.y,busConnector. fat_BloodFlow) annotation (Line(
     points={{35.7,63},{-31,63},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_BloodFlow.y,busConnector. GITract_BloodFlow) annotation (Line(
     points={{93.7,-87},{-31,-87},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HepaticArty_BloodFlow.y,busConnector. HepaticArty_BloodFlow) annotation (Line(
     points={{93.7,63},{-31,63},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_BloodFlow.y,busConnector. kidney_BloodFlow) annotation (Line(
     points={{93.7,83},{-31,83},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_BloodFlow.y,busConnector. leftHeart_BloodFlow) annotation (Line(
     points={{-33.7,-97},{-31,-97},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AlveolarVentilated_BloodFlow.y,busConnector. AlveolarVentilated_BloodFlow) annotation (Line(
     points={{-33.7,-57},{-31,-57},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_BloodFlow.y,busConnector. otherTissue_BloodFlow) annotation (Line(
     points={{-33.7,-27},{16,-28},{16,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_MotorNerveActivity.y,busConnector. RespiratoryCenter_MotorNerveActivity) annotation (Line(
     points={{-33.7,-7},{-31,-7},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_RespRate.y,busConnector. RespiratoryCenter_RespRate) annotation (Line(
     points={{-33.7,3},{-31,3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_BloodFlow.y,busConnector. respiratoryMuscle_BloodFlow) annotation (Line(
     points={{-33.7,23},{-31,23},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratorMuscle_FunctionEffect.y,busConnector. RespiratoryMuscleFunctionEffect) annotation (Line(
     points={{-33.7,43},{-31,43},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_BloodFlow.y,busConnector. rightHeart_BloodFlow) annotation (Line(
     points={{-33.7,63},{-31,63},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_BloodFlow.y,busConnector. skeletalMuscle_BloodFlow) annotation (Line(
     points={{-33.7,93},{-31,93},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_BloodFlow.y,busConnector. skin_BloodFlow) annotation (Line(
     points={{-83.7,23},{-31,23},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Thorax_LungInflation.y,busConnector. Thorax_LungInflation) annotation (Line(
     points={{-91.7,-75},{-31,-75},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VeinsVol.y,busConnector. VeinsVol) annotation (Line(
     points={{-91.7,-65},{-31,-65},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctHb.y,busConnector. ctHb) annotation (Line(
     points={{-91.7,-55},{-31,-55},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(pCO.y,busConnector. pCO) annotation (Line(
     points={{-91.7,-45},{-31,-45},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FHbF.y,busConnector. FHbF) annotation (Line(
     points={{-91.7,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FMetHb.y,busConnector. FMetHb) annotation (Line(
     points={{-91.7,-25},{-31,-25},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(cDPG.y,busConnector. cDPG) annotation (Line(
     points={{-91.7,-15},{-31,-15},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
     points={{298.3,17},{-31,17},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

    connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
     points={{298.3,-33},{-31,-33},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
     points={{298.3,-13},{-31,-13},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{298.3,-63},{-31,-63},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
     points={{282.3,113},{-31,113},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PotasiumToCells.y, busConnector.PotassiumToCells) annotation (Line(
     points={{208.3,-3},{-31,-3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
     points={{94.3,-269},{-31,-269},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
     points={{94.3,-259},{-31,-259},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
     points={{94.3,-249},{-31,-249},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
     points={{94.3,-239},{-31,-239},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
     points={{94.3,-229},{-31,-229},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
     points={{94.3,-219},{-31,-219},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
     points={{94.3,-209},{-31,-209},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
     points={{94.3,-199},{-31,-199},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
     points={{94.3,-189},{-31,-189},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
     points={{94.3,-179},{-31,-179},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
     points={{98.3,-151},{-31,-151},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
     points={{98.3,-141},{-31,-141},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodVol_Hct.y, busConnector.BloodVol_Hct) annotation (Line(
     points={{-81.7,-45},{-31,-45},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
          points={{318.3,-219},{-31,-219},{-31,-35}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
     points={{218.2,-108},{-31,-108},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctHb_ery.y, busConnector.ctHb_ery) annotation (Line(
     points={{78.3,131},{-31,131},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
     points={{78.3,121},{-31,121},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
     points={{78.3,111},{-31,111},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
     points={{78.3,141},{-31,141},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
     points={{-445.7,-263},{-31,-263},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodIons_Cations.y, busConnector.BloodIons_Cations) annotation (Line(
     points={{-445.7,-253},{-31,-253},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
     points={{-445.7,-243},{-31,-243},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
     points={{-445.7,-223},{-31,-223},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_Na_Reab.y, busConnector.DT_Na_Reab) annotation (Line(
     points={{-445.7,-203},{-31,-203},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Carbo.y, busConnector.DietIntakeNutrition_Carbo) annotation (Line(
     points={{-445.7,-193},{-31,-193},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Fat.y, busConnector.DietIntakeNutrition_Fat) annotation (Line(
     points={{-445.7,-183},{-31,-183},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Protein.y, busConnector.DietIntakeNutrition_Protein) annotation (Line(
     points={{-445.7,-173},{-31,-173},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(EpiPool_Epi.y, busConnector.EpiPool_Epi) annotation (Line(
     points={{-445.7,-163},{-31,-163},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
     points={{-445.7,-153},{-31,-153},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-445.7,-143},{-31,-143},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
     points={{-445.7,-133},{-31,-133},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
     points={{-445.7,-123},{-31,-123},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatShivering_Cals.y, busConnector.HeatShivering_Cals) annotation (Line(
     points={{-445.7,-113},{-31,-113},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Insulin.y, busConnector.Insulin) annotation (Line(
     points={{-445.7,-103},{-31,-103},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LH_Na_Reab.y, busConnector.LH_Na_Reab) annotation (Line(
     points={{-445.7,-93},{-31,-93},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect.y, busConnector.LiverFunctionEffect) annotation (Line(
     points={{-445.7,-83},{-31,-83},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{-445.7,-73},{-31,-73},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PT_Na_Reab.y, busConnector.PT_Na_Reab) annotation (Line(
     points={{-445.7,-13},{-31,-13},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
     points={{-445.7,-3},{-31,-3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
     points={{-445.7,7},{-31,7},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_BloodFlow.y, busConnector.PortalVein_BloodFlow) annotation (Line(
     points={{-445.7,17},{-31,17},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_PlasmaFlow.y, busConnector.PortalVein_PlasmaFlow) annotation (Line(
     points={{-445.7,27},{-31,27},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{-445.7,47},{-31,47},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
     points={{-445.7,67},{-31,67},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ThyroidEffect.y, busConnector.ThyroidEffect) annotation (Line(
     points={{-445.7,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
     points={{-445.7,87},{-31,87},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
     points={{-445.7,97},{-31,97},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-445.7,107},{-31,107},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_BloodFlow.y, busConnector.Bone_BloodFlow) annotation (Line(
     points={{-445.7,137},{-31,137},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_BloodFlow.y, busConnector.Brain_BloodFlow) annotation (Line(
     points={{-445.7,147},{-31,147},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_BloodFlow.y, busConnector.Fat_BloodFlow) annotation (Line(
     points={{-445.7,157},{-31,157},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_BloodFlow.y, busConnector.Kidney_BloodFlow) annotation (Line(
     points={{-283.7,-171},{-31,-171},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_BloodFlow.y, busConnector.LeftHeart_BloodFlow) annotation (Line(
     points={{-283.7,-161},{-31,-161},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_BloodFlow.y, busConnector.OtherTissue_BloodFlow) annotation (Line(
     points={{-283.7,-141},{-31,-141},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_BloodFlow.y, busConnector.RespiratoryMuscle_BloodFlow) annotation (Line(
     points={{-283.7,-131},{-31,-131},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_BloodFlow.y, busConnector.RightHeart_BloodFlow) annotation (Line(
     points={{-283.7,-121},{-31,-121},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_BloodFlow.y, busConnector.SkeletalMuscle_BloodFlow) annotation (Line(
     points={{-283.7,-111},{-31,-111},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_BloodFlow.y, busConnector.Skin_BloodFlow) annotation (Line(
     points={{-69.7,23},{-31,23},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
     points={{-283.7,-81},{-31,-81},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
     points={{-283.7,-71},{-31,-71},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
     points={{-283.7,-61},{-31,-61},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
     points={{-283.7,-51},{-31,-51},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
     points={{-283.7,-41},{-31,-41},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
     points={{-283.7,-31},{-31,-31},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
     points={{-283.7,-21},{-31,-21},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
     points={{-283.7,-11},{-31,-11},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
     points={{-283.7,-1},{-31,-1},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
     points={{-283.7,9},{-31,9},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
     points={{-283.7,19},{-31,19},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
     points={{-283.7,29},{-31,29},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_StructureEffect.y, busConnector.Bone_StructureEffect) annotation (Line(
     points={{-283.7,39},{-31,39},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_StructureEffect.y, busConnector.Brain_StructureEffect) annotation (Line(
     points={{-283.7,49},{-31,49},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_StructureEffect.y, busConnector.Fat_StructureEffect) annotation (Line(
     points={{-283.7,59},{-31,59},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_StructureEffect.y, busConnector.GITract_StructureEffect) annotation (Line(
     points={{-283.7,69},{-31,69},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_StructureEffect.y, busConnector.Kidney_StructureEffect) annotation (Line(
     points={{-283.7,79},{-31,79},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_StructureEffect.y, busConnector.LeftHeart_StructureEffect) annotation (Line(
     points={{-283.7,89},{-31,89},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_StructureEffect.y, busConnector.Liver_StructureEffect) annotation (Line(
     points={{-283.7,99},{-31,99},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_StructureEffect.y, busConnector.OtherTissue_StructureEffect) annotation (Line(
     points={{-283.7,109},{-31,109},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_StructureEffect.y, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
     points={{-283.7,119},{-31,119},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_StructureEffect.y, busConnector.RightHeart_StructureEffect) annotation (Line(
     points={{-283.7,129},{-31,129},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_StructureEffect.y, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
     points={{-283.7,139},{-31,139},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_StructureEffect.y, busConnector.Skin_StructureEffect) annotation (Line(
     points={{-283.7,149},{-31,149},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(c2.y, busConnector.LM_Insulin_InsulinDelayed) annotation (Line(
          points={{-509.7,203},{-213.85,203},{-213.85,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(c.y, busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume) 
        annotation (Line(
          points={{-509.7,191},{-234.85,191},{-234.85,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Leptin.y, busConnector.Leptin) annotation (Line(
          points={{-423.7,-41},{-216,-41},{-216,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-429.7,-27},{-207.85,-27},{-207.85,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) 
        annotation (Line(
          points={{-419.6,-54},{-210,-54},{-210,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) 
        annotation (Line(
          points={{-447.7,-33},{-214,-33},{-214,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(HypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity) 
        annotation (Line(
          points={{-457.7,-51},{-212,-51},{-212,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVolume_Absorbtion.y, busConnector.GILumenVolume_Absorption) 
        annotation (Line(
          points={{-507.7,177},{-286,178},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),       graphics));
    end GM;

    model BGM
    Library.Blocks.Constant AirSupplyInspiredAirPressure(k=760.) 
    annotation (Placement(transformation(extent={{42,-100},{36,-94}})));
    Library.Blocks.Constant BarometerPressure(k=760.) 
    annotation (Placement(transformation(extent={{42,-80},{36,-74}})));
    Library.Blocks.Constant ExcessLungWater_Volume(k=0.) 
    annotation (Placement(transformation(extent={{42,40},{36,46}})));
    Library.Blocks.Constant RespiratoryCenter_MotorNerveActivity(k=0.993694435232649) 
    annotation (Placement(transformation(extent={{-40,-10},{-34,-4}})));
    Library.Blocks.Constant RespiratoryCenter_RespRate(k=11.9741435842595) 
    annotation (Placement(transformation(extent={{-40,0},{-34,6}})));
    Library.Blocks.Constant RespiratorMuscle_FunctionEffect(k=0.995580586980285) 
    annotation (Placement(transformation(extent={{-40,40},{-34,46}})));
    Library.Blocks.Constant Thorax_LungInflation(k=1.) 
    annotation (Placement(transformation(extent={{-98,-62},{-92,-56}})));
    Library.Blocks.Constant pCO(k=0) 
    annotation (Placement(transformation(extent={{-98,-48},{-92,-42}})));
    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-38,-42},{-24,-28}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant ctPO4(k=0.171693430695613) 
    annotation (Placement(transformation(extent={{292,14},{298,20}})));
    Library.Blocks.Constant CD_PO4_Outflow(k=2.28968543265027e-002) 
    annotation (Placement(transformation(extent={{292,-36},{298,-30}})));
    Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
    annotation (Placement(transformation(extent={{292,-16},{298,-10}})));
    Library.Blocks.Constant BladderVolume_Mass(k=5365.4292713828) 
    annotation (Placement(transformation(extent={{292,-66},{298,-60}})));
    Library.Blocks.Constant KCell_conc(k=145.580640839212) 
    annotation (Placement(transformation(extent={{72,90},{78,96}})));
    Library.Blocks.Constant PotasiumToCells(k=0) 
    annotation (Placement(transformation(extent={{202,-6},{208,0}})));
    Library.Blocks.Constant GITract_InterstitialWater(k=1095.27) 
    annotation (Placement(transformation(extent={{88,-272},{94,-266}})));
    Library.Blocks.Constant bone_InterstitialWater(k=3442.29) 
    annotation (Placement(transformation(extent={{88,-262},{94,-256}})));
    Library.Blocks.Constant brain_InterstitialWater(k=704.104) 
    annotation (Placement(transformation(extent={{88,-252},{94,-246}})));
    Library.Blocks.Constant fat_InterstitialWater(k=2425.25) 
    annotation (Placement(transformation(extent={{88,-242},{94,-236}})));
    Library.Blocks.Constant kidney_InterstitialWater(k=234.701) 
    annotation (Placement(transformation(extent={{88,-232},{94,-226}})));
    Library.Blocks.Constant leftHeart_InterstitialWater(k=195.585) 
    annotation (Placement(transformation(extent={{88,-222},{94,-216}})));
    Library.Blocks.Constant liver_InterstitialWater(k=1721.14) 
    annotation (Placement(transformation(extent={{88,-212},{94,-206}})));
    Library.Blocks.Constant otherTissue_InterstitialWater(k=3090.24) 
    annotation (Placement(transformation(extent={{88,-202},{94,-196}})));
    Library.Blocks.Constant respiratoryMuscle_InterstitialWater(k=2738.18) 
    annotation (Placement(transformation(extent={{88,-192},{94,-186}})));
    Library.Blocks.Constant rightHeart_InterstitialWater(k=39.1169) 
    annotation (Placement(transformation(extent={{88,-182},{94,-176}})));
    Library.Blocks.Constant skeletalMuscle_InterstitialWater(k=18463.2) 
    annotation (Placement(transformation(extent={{92,-154},{98,-148}})));
    Library.Blocks.Constant skin_InterstitialWater(k=4967.85) 
    annotation (Placement(transformation(extent={{92,-144},{98,-138}})));
      Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
        annotation (Placement(transformation(extent={{312,-222},{318,-216}})));
    Library.Blocks.Constant ctGlb(k=28) 
    annotation (Placement(transformation(extent={{72,118},{78,124}})));
    Library.Blocks.Constant ctAlb(k=0.66) 
    annotation (Placement(transformation(extent={{72,108},{78,114}})));
    Library.Blocks.Constant DT_AldosteroneEffect(k=1) 
    annotation (Placement(transformation(extent={{72,138},{78,144}})));
    Library.Blocks.Constant BloodCations(k=143.21792523492) 
    annotation (Placement(transformation(extent={{-452,-266},{-446,-260}})));
    Library.Blocks.Constant BloodIons_Cations(k=143.21792523492) 
    annotation (Placement(transformation(extent={{-452,-256},{-446,-250}})));
    Library.Blocks.Constant CD_H2O_Outflow(k=1.81253965687863) 
    annotation (Placement(transformation(extent={{-452,-226},{-446,-220}})));
    Library.Blocks.Constant DT_Na_Reab(k=1.18778011790507) 
    annotation (Placement(transformation(extent={{-452,-206},{-446,-200}})));
    Library.Blocks.Constant DietIntakeNutrition_Carbo(k=156.357) 
    annotation (Placement(transformation(extent={{-452,-196},{-446,-190}})));
    Library.Blocks.Constant DietIntakeNutrition_Fat(k=61.2725) 
    annotation (Placement(transformation(extent={{-452,-186},{-446,-180}})));
    Library.Blocks.Constant DietIntakeNutrition_Protein(k=81.8727) 
    annotation (Placement(transformation(extent={{-452,-176},{-446,-170}})));
    Library.Blocks.Constant EpiPool_Epi(k=39.7221841190692) 
    annotation (Placement(transformation(extent={{-452,-166},{-446,-160}})));
    Library.Blocks.Constant ExerciseMetabolism_MotionCals(k=0.) 
    annotation (Placement(transformation(extent={{-452,-156},{-446,-150}})));
    Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
    annotation (Placement(transformation(extent={{-452,-146},{-446,-140}})));
    Library.Blocks.Constant Glomerulus_GFR(k=127.333064117169) 
    annotation (Placement(transformation(extent={{-452,-136},{-446,-130}})));
    Library.Blocks.Constant Glucagon_conc(k=66.2000580531595) 
    annotation (Placement(transformation(extent={{-452,-126},{-446,-120}})));
    Library.Blocks.Constant HeatShivering_Cals(k=0.) 
    annotation (Placement(transformation(extent={{-452,-116},{-446,-110}})));
    Library.Blocks.Constant Insulin(k=18.6374543866765) 
    annotation (Placement(transformation(extent={{-452,-106},{-446,-100}})));
    Library.Blocks.Constant LH_Na_Reab(k=5.27397681954503) 
    annotation (Placement(transformation(extent={{-452,-96},{-446,-90}})));
    Library.Blocks.Constant LiverFunctionEffect(k=0.995580586980285) 
    annotation (Placement(transformation(extent={{-452,-86},{-446,-80}})));
    Library.Blocks.Constant Medulla_Volume(k=31.) 
    annotation (Placement(transformation(extent={{-452,-76},{-446,-70}})));
    Library.Blocks.Constant MetabolismCaloriesUsed_CoreHeat(k=0.796973)
        "kCal/min" 
    annotation (Placement(transformation(extent={{-452,-66},{-446,-60}})));
    Library.Blocks.Constant PT_Na_Reab(k=9.90733252672894) 
    annotation (Placement(transformation(extent={{-452,-16},{-446,-10}})));
    Library.Blocks.Constant PortalVein_Glucagon(k=160.797005448649) 
    annotation (Placement(transformation(extent={{-452,-6},{-446,0}})));
    Library.Blocks.Constant PortalVein_Insulin(k=30.4355) 
    annotation (Placement(transformation(extent={{-452,4},{-446,10}})));
    Library.Blocks.Constant skeletalMuscle_SizeMass(k=26743.5620376591) 
    annotation (Placement(transformation(extent={{-452,44},{-446,50}})));
    Library.Blocks.Constant skinSizeMass(k=2792.87262585285) 
    annotation (Placement(transformation(extent={{-452,64},{-446,70}})));
    Library.Blocks.Constant ThyroidEffect(k=1.04253448385606) 
    annotation (Placement(transformation(extent={{-452,74},{-446,80}})));
    Library.Blocks.Constant WeightCore(k=48332.738903116) 
    annotation (Placement(transformation(extent={{-452,94},{-446,100}})));
    Library.Blocks.Constant BladderVoidFlow(k=0) 
    annotation (Placement(transformation(extent={{-452,104},{-446,110}})));
    Library.Blocks.Constant Bone_LiquidVol(k=3642.26580997869) 
    annotation (Placement(transformation(extent={{-290,-84},{-284,-78}})));
    Library.Blocks.Constant Brain_LiquidVol(k=1236.43378761903) 
    annotation (Placement(transformation(extent={{-290,-74},{-284,-68}})));
    Library.Blocks.Constant Fat_LiquidVol(k=2579.18849868295) 
    annotation (Placement(transformation(extent={{-290,-64},{-284,-58}})));
    Library.Blocks.Constant GITract_LiquidVol(k=1142.74972779574) 
    annotation (Placement(transformation(extent={{-290,-54},{-284,-48}})));
    Library.Blocks.Constant Kidney_LiquidVol(k=266.353146295739) 
    annotation (Placement(transformation(extent={{-290,-44},{-284,-38}})));
    Library.Blocks.Constant LeftHeart_LiquidVol(k=226.516938045739) 
    annotation (Placement(transformation(extent={{-290,-34},{-284,-28}})));
    Library.Blocks.Constant Liver_LiquidVol(k=1479.43419504262) 
    annotation (Placement(transformation(extent={{-290,-24},{-284,-18}})));
    Library.Blocks.Constant OtherTissue_LiquidVol(k=3283.73993572869) 
    annotation (Placement(transformation(extent={{-290,-14},{-284,-8}})));
    Library.Blocks.Constant RespiratoryMuscle_LiquidVol(k=3116.56533904886) 
    annotation (Placement(transformation(extent={{-290,-4},{-284,2}})));
    Library.Blocks.Constant RightHeart_LiquidVol(k=39.83620825) 
    annotation (Placement(transformation(extent={{-290,6},{-284,12}})));
    Library.Blocks.Constant SkeletalMuscle_LiquidVol(k=20989.5620376591) 
    annotation (Placement(transformation(extent={{-290,16},{-284,22}})));
    Library.Blocks.Constant Skin_LiquidVol(k=1833.56262585285) 
    annotation (Placement(transformation(extent={{-290,26},{-284,32}})));
    Library.Blocks.Constant Bone_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,36},{-284,42}})));
    Library.Blocks.Constant Brain_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,46},{-284,52}})));
    Library.Blocks.Constant Fat_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,56},{-284,62}})));
    Library.Blocks.Constant GITract_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,66},{-284,72}})));
    Library.Blocks.Constant Kidney_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,76},{-284,82}})));
    Library.Blocks.Constant LeftHeart_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,86},{-284,92}})));
    Library.Blocks.Constant Liver_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,96},{-284,102}})));
    Library.Blocks.Constant OtherTissue_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,106},{-284,112}})));
    Library.Blocks.Constant RespiratoryMuscle_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,116},{-284,122}})));
    Library.Blocks.Constant RightHeart_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,126},{-284,132}})));
    Library.Blocks.Constant SkeletalMuscle_StructureEffect(k=0.98811727215541) 
    annotation (Placement(transformation(extent={{-290,136},{-284,142}})));
    Library.Blocks.Constant Skin_StructureEffect(k=1.) 
    annotation (Placement(transformation(extent={{-290,146},{-284,152}})));
    Library.Blocks.Constant c2(k=52.0752) 
    annotation (Placement(transformation(extent={{-516,200},{-510,206}})));
    Library.Blocks.Constant Leptin(k=8) 
    annotation (Placement(transformation(extent={{-430,-44},{-424,-38}})));
    Library.Blocks.Constant BloodIons_ProteinAnions(k=15) 
    annotation (Placement(transformation(extent={{-428,-58},{-420,-50}})));
    Library.Blocks.Constant DietGoalH2O_DegK(k=294.261111111111) 
    annotation (Placement(transformation(extent={{-436,-30},{-430,-24}})));
    Library.Blocks.Constant GILumenVolume_Intake(k=3) 
    annotation (Placement(transformation(extent={{-454,-36},{-448,-30}})));
    Library.Blocks.Constant HypothalamusShivering_NerveActivity(k=1) 
    annotation (Placement(transformation(extent={{-464,-50},{-458,-44}})));
    Library.Blocks.Constant GILumenVolume_Absorbtion(k=1.3) 
    annotation (Placement(transformation(extent={{-514,174},{-508,180}})));
      Library.Blocks.Constant const1(k=72.2) 
        annotation (Placement(transformation(extent={{226,200},{220,206}})));
      Library.Blocks.Constant const2(k=9.81) 
        annotation (Placement(transformation(extent={{226,206},{220,212}})));
      Library.Blocks.Constant const7(
                              k=1) 
        annotation (Placement(transformation(extent={{132,98},{138,104}})));
      Library.Blocks.Constant const8(
                              k=1.3) 
        annotation (Placement(transformation(extent={{240,252},{234,258}})));
      Library.Blocks.Constant const9(k=1.49317) 
        annotation (Placement(transformation(extent={{190,242},{184,248}})));
      Library.Blocks.Constant const11(k=0.997136) 
        annotation (Placement(transformation(extent={{238,238},{234,242}})));
      Library.Blocks.Constant const12(
                              k=1) 
        annotation (Placement(transformation(extent={{238,232},{234,236}})));
      Library.Blocks.Constant const13(
                              k=1) 
        annotation (Placement(transformation(extent={{132,122},{138,128}})));
      Library.Blocks.BooleanConstant booleanConstant1(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.BooleanConstant booleanConstant2(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.BooleanConstant booleanConstant3(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.BooleanConstant booleanConstant4(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.BooleanConstant booleanConstant5(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.BooleanConstant booleanConstant6(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.Constant const14(
                               k=.8) 
        annotation (Placement(transformation(extent={{240,244},{234,250}})));
      Library.Blocks.Constant const21(
                               k=1.3) 
        annotation (Placement(transformation(extent={{278,242},{272,236}})));
      Library.Blocks.Constant const23(
                               k=1) 
        annotation (Placement(transformation(extent={{278,252},{272,258}})));
      Library.Blocks.Constant c3(k=0.877724) 
        annotation (Placement(transformation(extent={{184,250},{178,256}})));
      Library.Blocks.BooleanConstant booleanConstant7(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.BooleanConstant booleanConstant8(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.BooleanConstant booleanConstant11(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.Constant const24(
                               k=0) 
        annotation (Placement(transformation(extent={{132,106},{138,112}})));
      Modelica.Blocks.Sources.Step const25(
        startTime=600,
        height=0,
        offset=0) 
        annotation (Placement(transformation(extent={{132,114},{138,120}})));
      Library.Blocks.BooleanConstant booleanConstant9(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,138},{138,144}})));
      Library.Blocks.Constant const27(
                               k=1) 
        annotation (Placement(transformation(extent={{226,218},{220,224}})));
      Library.Blocks.Constant const34(
                               k=1) 
        annotation (Placement(transformation(extent={{226,212},{220,218}})));
      Library.Blocks.Constant const35(k=1) 
        annotation (Placement(transformation(extent={{276,208},{270,214}})));
      Library.Blocks.Constant const36(k=0) 
        annotation (Placement(transformation(extent={{276,220},{270,226}})));
      Library.Blocks.Constant const37(k=0) 
        annotation (Placement(transformation(extent={{276,214},{270,220}})));
      Library.Blocks.Constant const10(k=0) 
        annotation (Placement(transformation(extent={{276,202},{270,208}})));
      Library.Blocks.Constant const39(k=1.25839) 
        annotation (Placement(transformation(extent={{306,68},{300,74}})));
      Library.Blocks.Constant const22(k=44.3) 
        annotation (Placement(transformation(extent={{306,80},{300,86}})));
      Library.Blocks.Constant const38(k=0) 
        annotation (Placement(transformation(extent={{306,74},{300,80}})));
      Library.Blocks.Constant const4(k=1.3) 
        annotation (Placement(transformation(extent={{236,162},{230,168}})));
      Library.Blocks.Constant const5(k=3000) 
        annotation (Placement(transformation(extent={{236,168},{230,174}})));
      Library.Blocks.Constant const40(k=0) 
        annotation (Placement(transformation(extent={{236,180},{230,186}})));
      Library.Blocks.Constant const41(k=0) 
        annotation (Placement(transformation(extent={{236,174},{230,180}})));
      Library.Blocks.BooleanConstant booleanConstant10(
                                               k=false) 
        annotation (Placement(transformation(extent={{132,92},{138,98}})));
      Library.Blocks.Constant const3( k=1) 
        annotation (Placement(transformation(extent={{246,128},{240,134}})));
      Library.Blocks.Constant Constant1(k=1122.53390426779) 
        annotation (Placement(transformation(extent={{246,102},{234,114}})));
      Library.Blocks.Constant const42(k=1.99078) 
        annotation (Placement(transformation(extent={{246,146},{238,154}})));
      Library.Blocks.Constant const44(k=-4) 
        annotation (Placement(transformation(extent={{134,74},{140,80}})));
      Library.Blocks.Constant const45(k=-3) 
        annotation (Placement(transformation(extent={{134,66},{140,72}})));
      Library.Blocks.Constant const46(k=47.834) 
        annotation (Placement(transformation(extent={{264,152},{258,158}})));
      Library.Blocks.Constant const47(k=2) 
        annotation (Placement(transformation(extent={{246,92},{238,100}})));
      Library.Blocks.Constant const43(k=3.06978620259696) 
        annotation (Placement(transformation(extent={{32,-28},{24,-20}})));
    equation
    connect(AirSupplyInspiredAirPressure.y,busConnector. AirSupplyInspiredAirPressure) annotation (Line(
     points={{35.7,-97},{-31,-97},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BarometerPressure.y,busConnector. BarometerPressure) annotation (Line(
     points={{35.7,-77},{-31,-77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExcessLungWater_Volume.y,busConnector. ExcessLungWater_Volume) annotation (Line(
     points={{35.7,43},{-31,43},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_MotorNerveActivity.y,busConnector. RespiratoryCenter_MotorNerveActivity) annotation (Line(
     points={{-33.7,-7},{-31,-7},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_RespRate.y,busConnector. RespiratoryCenter_RespRate) annotation (Line(
     points={{-33.7,3},{-31,3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratorMuscle_FunctionEffect.y,busConnector. RespiratoryMuscleFunctionEffect) annotation (Line(
     points={{-33.7,43},{-31,43},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Thorax_LungInflation.y,busConnector. Thorax_LungInflation) annotation (Line(
     points={{-91.7,-59},{-31,-59},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(pCO.y,busConnector. pCO) annotation (Line(
     points={{-91.7,-45},{-31,-45},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
     points={{298.3,17},{-31,17},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
     points={{298.3,-33},{-31,-33},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
     points={{298.3,-13},{-31,-13},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{298.3,-63},{-31,-63},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
     points={{78.3,93},{-31,93},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PotasiumToCells.y, busConnector.PotassiumToCells) annotation (Line(
     points={{208.3,-3},{-31,-3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
     points={{94.3,-269},{-31,-269},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
     points={{94.3,-259},{-31,-259},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
     points={{94.3,-249},{-31,-249},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
     points={{94.3,-239},{-31,-239},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
     points={{94.3,-229},{-31,-229},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
     points={{94.3,-219},{-31,-219},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
     points={{94.3,-209},{-31,-209},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
     points={{94.3,-199},{-31,-199},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
     points={{94.3,-189},{-31,-189},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
     points={{94.3,-179},{-31,-179},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
     points={{98.3,-151},{-31,-151},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
     points={{98.3,-141},{-31,-141},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
          points={{318.3,-219},{-31,-219},{-31,-35}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
     points={{78.3,121},{-31,121},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
     points={{78.3,111},{-31,111},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
     points={{78.3,141},{-31,141},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
     points={{-445.7,-263},{-31,-263},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodIons_Cations.y, busConnector.BloodIons_Cations) annotation (Line(
     points={{-445.7,-253},{-31,-253},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
     points={{-445.7,-223},{-31,-223},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_Na_Reab.y, busConnector.DT_Na_Reab) annotation (Line(
     points={{-445.7,-203},{-31,-203},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Carbo.y, busConnector.DietIntakeNutrition_Carbo) annotation (Line(
     points={{-445.7,-193},{-31,-193},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Fat.y, busConnector.DietIntakeNutrition_Fat) annotation (Line(
     points={{-445.7,-183},{-31,-183},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Protein.y, busConnector.DietIntakeNutrition_Protein) annotation (Line(
     points={{-445.7,-173},{-31,-173},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(EpiPool_Epi.y, busConnector.EpiPool_Epi) annotation (Line(
     points={{-445.7,-163},{-31,-163},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
     points={{-445.7,-153},{-31,-153},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-445.7,-143},{-31,-143},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
     points={{-445.7,-133},{-31,-133},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
     points={{-445.7,-123},{-31,-123},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatShivering_Cals.y, busConnector.HeatShivering_Cals) annotation (Line(
     points={{-445.7,-113},{-31,-113},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Insulin.y, busConnector.Insulin) annotation (Line(
     points={{-445.7,-103},{-31,-103},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LH_Na_Reab.y, busConnector.LH_Na_Reab) annotation (Line(
     points={{-445.7,-93},{-31,-93},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect.y, busConnector.LiverFunctionEffect) annotation (Line(
     points={{-445.7,-83},{-31,-83},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{-445.7,-73},{-31,-73},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PT_Na_Reab.y, busConnector.PT_Na_Reab) annotation (Line(
     points={{-445.7,-13},{-31,-13},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
     points={{-445.7,-3},{-31,-3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
     points={{-445.7,7},{-31,7},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{-445.7,47},{-31,47},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
     points={{-445.7,67},{-31,67},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ThyroidEffect.y, busConnector.ThyroidEffect) annotation (Line(
     points={{-445.7,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
     points={{-445.7,97},{-31,97},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-445.7,107},{-31,107},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
     points={{-283.7,-81},{-31,-81},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
     points={{-283.7,-71},{-31,-71},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
     points={{-283.7,-61},{-31,-61},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
     points={{-283.7,-51},{-31,-51},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
     points={{-283.7,-41},{-31,-41},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
     points={{-283.7,-31},{-31,-31},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
     points={{-283.7,-21},{-31,-21},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
     points={{-283.7,-11},{-31,-11},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
     points={{-283.7,-1},{-31,-1},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
     points={{-283.7,9},{-31,9},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
     points={{-283.7,19},{-31,19},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
     points={{-283.7,29},{-31,29},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_StructureEffect.y, busConnector.Bone_StructureEffect) annotation (Line(
     points={{-283.7,39},{-31,39},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_StructureEffect.y, busConnector.Brain_StructureEffect) annotation (Line(
     points={{-283.7,49},{-31,49},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_StructureEffect.y, busConnector.Fat_StructureEffect) annotation (Line(
     points={{-283.7,59},{-31,59},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_StructureEffect.y, busConnector.GITract_StructureEffect) annotation (Line(
     points={{-283.7,69},{-31,69},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_StructureEffect.y, busConnector.Kidney_StructureEffect) annotation (Line(
     points={{-283.7,79},{-31,79},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_StructureEffect.y, busConnector.LeftHeart_StructureEffect) annotation (Line(
     points={{-283.7,89},{-31,89},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_StructureEffect.y, busConnector.Liver_StructureEffect) annotation (Line(
     points={{-283.7,99},{-31,99},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_StructureEffect.y, busConnector.OtherTissue_StructureEffect) annotation (Line(
     points={{-283.7,109},{-31,109},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_StructureEffect.y, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
     points={{-283.7,119},{-31,119},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_StructureEffect.y, busConnector.RightHeart_StructureEffect) annotation (Line(
     points={{-283.7,129},{-31,129},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_StructureEffect.y, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
     points={{-283.7,139},{-31,139},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_StructureEffect.y, busConnector.Skin_StructureEffect) annotation (Line(
     points={{-283.7,149},{-31,149},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(c2.y, busConnector.LM_Insulin_InsulinDelayed) annotation (Line(
          points={{-509.7,203},{-213.85,203},{-213.85,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Leptin.y, busConnector.Leptin) annotation (Line(
          points={{-423.7,-41},{-216,-41},{-216,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-429.7,-27},{-207.85,-27},{-207.85,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) 
        annotation (Line(
          points={{-419.6,-54},{-210,-54},{-210,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) 
        annotation (Line(
          points={{-447.7,-33},{-214,-33},{-214,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(HypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity) 
        annotation (Line(
          points={{-457.7,-47},{-212,-47},{-212,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVolume_Absorbtion.y, busConnector.GILumenVolume_Absorption) 
        annotation (Line(
          points={{-507.7,177},{-286,178},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const7.y, busConnector.Exercise_MusclePump_Effect) annotation (
          Line(
          points={{138.3,101},{174,101},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const11.y, busConnector.AlphaPool_Effect) annotation (Line(
          points={{233.8,240},{228,240},{228,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const12.y, busConnector.AlphaBlocade_Effect) annotation (Line(
          points={{233.8,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const13.y, busConnector.Anesthesia_VascularConductance) annotation (
          Line(
          points={{138.3,125},{174,125},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(booleanConstant1.y, busConnector.GITract_Function_Failed) annotation (
          Line(
          points={{138.3,141},{174,141},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None), Text(
          string="*_Failed",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const14.y, busConnector.ADHPool_Log10Conc) annotation (Line(
          points={{233.7,247},{228,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(booleanConstant2.y, busConnector.Bone_Function_Failed) annotation (
          Line(
          points={{138.3,141},{174,141},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(booleanConstant3.y, busConnector.Brain_Function_Failed) annotation (
          Line(
          points={{138.3,141},{174,141},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(booleanConstant4.y, busConnector.Fat_Function_Failed) annotation (
          Line(
          points={{138.3,141},{174,141},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(booleanConstant5.y, busConnector.OtherTissue_Function_Failed) 
        annotation (Line(
          points={{138.3,141},{174,141},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(booleanConstant6.y, busConnector.Skin_Function_Fainled) annotation (
          Line(
          points={{138.3,141},{174,141},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(c3.y, busConnector.HypothalamusSkinFlow_NervesActivity) annotation (
          Line(
          points={{177.7,253},{174,253},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(booleanConstant7.y, busConnector.SkeletalMuscle_Function_Failed) 
        annotation (Line(
          points={{138.3,141},{174,141},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(booleanConstant8.y, busConnector.LeftHeart_Function_Failed) 
        annotation (Line(
          points={{138.3,141},{174,141},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(booleanConstant11.y, busConnector.RightHeart_Function_Failed) 
        annotation (Line(
          points={{138.3,141},{174,141},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(const24.y, busConnector.Exercise_Metabolism_ContractionRate) 
        annotation (Line(
          points={{138.3,109},{174,109},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const25.y, busConnector.Exercise_Metabolism_MotionWatts) 
        annotation (Line(
          points={{138.3,117},{174,117},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const8.y, busConnector.A2Pool_Log10Conc)          annotation (Line(
          points={{233.7,255},{228,255},{228,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const21.y, busConnector.TGF_Vascular_signal)          annotation (
          Line(
          points={{271.7,239},{270,239},{270,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const23.y, busConnector.Kidney_NephronCount_Total_xNormal) 
        annotation (Line(
          points={{271.7,255},{270,255},{270,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(booleanConstant9.y, busConnector.RespiratoryMuscle_Function_Failed) 
        annotation (Line(
          points={{138.3,141},{174,141},{174,148},{-31,148},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(const27.y, busConnector.BetaPool_Effect)          annotation (
          Line(
          points={{219.7,221},{174,221},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const34.y, busConnector.BetaBlocade_Effect) 
        annotation (Line(
          points={{219.7,215},{174,215},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const36.y, busConnector.LowerTorsoArtyHeight) 
        annotation (Line(
          points={{269.7,223},{264,223},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const37.y, busConnector.LowerTorsoVeinHeight) 
        annotation (Line(
          points={{269.7,217},{264,217},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const35.y, busConnector.LegMusclePump_Effect) 
        annotation (Line(
          points={{269.7,211},{264,211},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const10.y, busConnector.CarotidSinusHeight) 
        annotation (Line(
          points={{269.7,205},{264,205},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const1.y, busConnector.HeartVentricleRate)          annotation (
         Line(
          points={{219.7,203},{-31,203},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const9.y, busConnector.GangliaGeneral_NA)          annotation (
          Line(
          points={{183.7,245},{183.7,197.5},{-31,197.5},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const2.y, busConnector.G)          annotation (Line(
          points={{219.7,209},{-31,209},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const22.y, busConnector.MedullaNa_conc) annotation (Line(
          points={{299.7,83},{-31,83},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const38.y, busConnector.FurosemidePool_Loss) annotation (Line(
          points={{299.7,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const39.y, busConnector.ANPPool_Log10Conc) annotation (Line(
          points={{299.7,71},{-31,71},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Transfusion_RBCRate,const40. y) annotation (Line(
          points={{-31,-35},{-31,183},{229.7,183}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Hemorrhage_RBCRate,const41. y) annotation (Line(
          points={{-31,-35},{-31,177},{229.7,177}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.PlasmaVol_Vol,const5. y) annotation (Line(
          points={{-31,-35},{-31,171},{229.7,171}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.EPOPool_Log10Conc,const4. y) annotation (Line(
          points={{-31,-35},{-31,165},{229.7,165}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(booleanConstant10.y, busConnector.Skin_Function_Failed) annotation (
          Line(
          points={{138.3,95},{156,94},{174,94},{174,-35},{-31,-35}},
          color={255,0,255},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Kidney_Alpha_NA,const3. y) annotation (Line(
          points={{-31,-35},{210.5,-35},{210.5,131},{239.7,131}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.MedullaNa_Osmolarity,Constant1. y) annotation (
          Line(
          points={{-31,-35},{210,-35},{210,108},{233.4,108}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ADH,const42. y) annotation (Line(
          points={{-31,-35},{211.5,-35},{211.5,150},{237.6,150}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(const44.y, busConnector.Thorax_AvePressure) annotation (Line(
          points={{140.3,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const45.y, busConnector.Pericardium_Pressure) annotation (Line(
          points={{140.3,69},{-31,69},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.MD_Na,const46. y) annotation (Line(
          points={{-31,-35},{-31,155},{257.7,155}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.NephronADH,const47. y) annotation (Line(
          points={{-31,-35},{210,-35},{210,96},{237.6,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_H2O_Reab,const43. y) annotation (Line(
          points={{-31,-35},{-4,-35},{-4,-24},{23.6,-24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),       graphics));
    end BGM;

    model BGMS
    Library.Blocks.Constant AirSupplyInspiredAirPressure(k=760.) 
    annotation (Placement(transformation(extent={{42,-100},{36,-94}})));
    Library.Blocks.Constant BarometerPressure(k=760.) 
    annotation (Placement(transformation(extent={{42,-80},{36,-74}})));
    Library.Blocks.Constant ExcessLungWater_Volume(k=0.) 
    annotation (Placement(transformation(extent={{42,40},{36,46}})));
    Library.Blocks.Constant RespiratoryCenter_MotorNerveActivity(k=0.993694435232649) 
    annotation (Placement(transformation(extent={{-40,-10},{-34,-4}})));
    Library.Blocks.Constant RespiratoryCenter_RespRate(k=11.9741435842595) 
    annotation (Placement(transformation(extent={{-40,0},{-34,6}})));
    Library.Blocks.Constant Thorax_LungInflation(k=1.) 
    annotation (Placement(transformation(extent={{-98,-62},{-92,-56}})));
    Library.Blocks.Constant pCO(k=0) 
    annotation (Placement(transformation(extent={{-98,-48},{-92,-42}})));
    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-38,-42},{-24,-28}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant ctPO4(k=0.171693430695613) 
    annotation (Placement(transformation(extent={{292,14},{298,20}})));
    Library.Blocks.Constant CD_PO4_Outflow(k=2.28968543265027e-002) 
    annotation (Placement(transformation(extent={{292,-36},{298,-30}})));
    Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
    annotation (Placement(transformation(extent={{292,-16},{298,-10}})));
    Library.Blocks.Constant BladderVolume_Mass(k=5365.4292713828) 
    annotation (Placement(transformation(extent={{292,-66},{298,-60}})));
    Library.Blocks.Constant KCell_conc(k=145.580640839212) 
    annotation (Placement(transformation(extent={{72,90},{78,96}})));
    Library.Blocks.Constant PotasiumToCells(k=0) 
    annotation (Placement(transformation(extent={{202,-6},{208,0}})));
    Library.Blocks.Constant GITract_InterstitialWater(k=1095.27) 
    annotation (Placement(transformation(extent={{88,-272},{94,-266}})));
    Library.Blocks.Constant bone_InterstitialWater(k=3442.29) 
    annotation (Placement(transformation(extent={{88,-262},{94,-256}})));
    Library.Blocks.Constant brain_InterstitialWater(k=704.104) 
    annotation (Placement(transformation(extent={{88,-252},{94,-246}})));
    Library.Blocks.Constant fat_InterstitialWater(k=2425.25) 
    annotation (Placement(transformation(extent={{88,-242},{94,-236}})));
    Library.Blocks.Constant kidney_InterstitialWater(k=234.701) 
    annotation (Placement(transformation(extent={{88,-232},{94,-226}})));
    Library.Blocks.Constant leftHeart_InterstitialWater(k=195.585) 
    annotation (Placement(transformation(extent={{88,-222},{94,-216}})));
    Library.Blocks.Constant liver_InterstitialWater(k=1721.14) 
    annotation (Placement(transformation(extent={{88,-212},{94,-206}})));
    Library.Blocks.Constant otherTissue_InterstitialWater(k=3090.24) 
    annotation (Placement(transformation(extent={{88,-202},{94,-196}})));
    Library.Blocks.Constant respiratoryMuscle_InterstitialWater(k=2738.18) 
    annotation (Placement(transformation(extent={{88,-192},{94,-186}})));
    Library.Blocks.Constant rightHeart_InterstitialWater(k=39.1169) 
    annotation (Placement(transformation(extent={{88,-182},{94,-176}})));
    Library.Blocks.Constant skeletalMuscle_InterstitialWater(k=18463.2) 
    annotation (Placement(transformation(extent={{92,-154},{98,-148}})));
    Library.Blocks.Constant skin_InterstitialWater(k=4967.85) 
    annotation (Placement(transformation(extent={{92,-144},{98,-138}})));
      Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
        annotation (Placement(transformation(extent={{312,-222},{318,-216}})));
    Library.Blocks.Constant ctGlb(k=28) 
    annotation (Placement(transformation(extent={{72,118},{78,124}})));
    Library.Blocks.Constant ctAlb(k=0.66) 
    annotation (Placement(transformation(extent={{72,108},{78,114}})));
    Library.Blocks.Constant DT_AldosteroneEffect(k=1) 
    annotation (Placement(transformation(extent={{26,128},{32,134}})));
    Library.Blocks.Constant BloodCations(k=143.21792523492) 
    annotation (Placement(transformation(extent={{-452,-266},{-446,-260}})));
    Library.Blocks.Constant BloodIons_Cations(k=143.21792523492) 
    annotation (Placement(transformation(extent={{-452,-256},{-446,-250}})));
    Library.Blocks.Constant CD_H2O_Outflow(k=1.81253965687863) 
    annotation (Placement(transformation(extent={{-452,-226},{-446,-220}})));
    Library.Blocks.Constant DT_Na_Reab(k=1.18778011790507) 
    annotation (Placement(transformation(extent={{-452,-206},{-446,-200}})));
    Library.Blocks.Constant DietIntakeNutrition_Carbo(k=156.357) 
    annotation (Placement(transformation(extent={{-452,-196},{-446,-190}})));
    Library.Blocks.Constant DietIntakeNutrition_Fat(k=61.2725) 
    annotation (Placement(transformation(extent={{-452,-186},{-446,-180}})));
    Library.Blocks.Constant DietIntakeNutrition_Protein(k=81.8727) 
    annotation (Placement(transformation(extent={{-452,-176},{-446,-170}})));
    Library.Blocks.Constant EpiPool_Epi(k=39.7221841190692) 
    annotation (Placement(transformation(extent={{-452,-166},{-446,-160}})));
    Library.Blocks.Constant ExerciseMetabolism_MotionCals(k=0.) 
    annotation (Placement(transformation(extent={{-452,-156},{-446,-150}})));
    Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
    annotation (Placement(transformation(extent={{-452,-146},{-446,-140}})));
    Library.Blocks.Constant Glomerulus_GFR(k=127.333064117169) 
    annotation (Placement(transformation(extent={{-452,-136},{-446,-130}})));
    Library.Blocks.Constant Glucagon_conc(k=66.2000580531595) 
    annotation (Placement(transformation(extent={{-452,-126},{-446,-120}})));
    Library.Blocks.Constant HeatShivering_Cals(k=0.) 
    annotation (Placement(transformation(extent={{-452,-116},{-446,-110}})));
    Library.Blocks.Constant Insulin(k=18.6374543866765) 
    annotation (Placement(transformation(extent={{-452,-106},{-446,-100}})));
    Library.Blocks.Constant LH_Na_Reab(k=5.27397681954503) 
    annotation (Placement(transformation(extent={{-452,-96},{-446,-90}})));
    Library.Blocks.Constant Medulla_Volume(k=31.) 
    annotation (Placement(transformation(extent={{-452,-76},{-446,-70}})));
    Library.Blocks.Constant MetabolismCaloriesUsed_CoreHeat(k=0.796973)
        "kCal/min" 
    annotation (Placement(transformation(extent={{-452,-66},{-446,-60}})));
    Library.Blocks.Constant PT_Na_Reab(k=9.90733252672894) 
    annotation (Placement(transformation(extent={{-452,-16},{-446,-10}})));
    Library.Blocks.Constant PortalVein_Glucagon(k=160.797005448649) 
    annotation (Placement(transformation(extent={{-452,-6},{-446,0}})));
    Library.Blocks.Constant PortalVein_Insulin(k=30.4355) 
    annotation (Placement(transformation(extent={{-452,4},{-446,10}})));
    Library.Blocks.Constant skeletalMuscle_SizeMass(k=26743.5620376591) 
    annotation (Placement(transformation(extent={{-452,44},{-446,50}})));
    Library.Blocks.Constant skinSizeMass(k=2792.87262585285) 
    annotation (Placement(transformation(extent={{-452,64},{-446,70}})));
    Library.Blocks.Constant ThyroidEffect(k=1.04253448385606) 
    annotation (Placement(transformation(extent={{-452,74},{-446,80}})));
    Library.Blocks.Constant WeightCore(k=48332.738903116) 
    annotation (Placement(transformation(extent={{-452,94},{-446,100}})));
    Library.Blocks.Constant BladderVoidFlow(k=0) 
    annotation (Placement(transformation(extent={{-452,104},{-446,110}})));
    Library.Blocks.Constant Bone_LiquidVol(k=3642.26580997869) 
    annotation (Placement(transformation(extent={{-290,-84},{-284,-78}})));
    Library.Blocks.Constant Brain_LiquidVol(k=1236.43378761903) 
    annotation (Placement(transformation(extent={{-290,-74},{-284,-68}})));
    Library.Blocks.Constant Fat_LiquidVol(k=2579.18849868295) 
    annotation (Placement(transformation(extent={{-290,-64},{-284,-58}})));
    Library.Blocks.Constant GITract_LiquidVol(k=1142.74972779574) 
    annotation (Placement(transformation(extent={{-290,-54},{-284,-48}})));
    Library.Blocks.Constant Kidney_LiquidVol(k=266.353146295739) 
    annotation (Placement(transformation(extent={{-290,-44},{-284,-38}})));
    Library.Blocks.Constant LeftHeart_LiquidVol(k=226.516938045739) 
    annotation (Placement(transformation(extent={{-290,-34},{-284,-28}})));
    Library.Blocks.Constant Liver_LiquidVol(k=1479.43419504262) 
    annotation (Placement(transformation(extent={{-290,-24},{-284,-18}})));
    Library.Blocks.Constant OtherTissue_LiquidVol(k=3283.73993572869) 
    annotation (Placement(transformation(extent={{-290,-14},{-284,-8}})));
    Library.Blocks.Constant RespiratoryMuscle_LiquidVol(k=3116.56533904886) 
    annotation (Placement(transformation(extent={{-290,-4},{-284,2}})));
    Library.Blocks.Constant RightHeart_LiquidVol(k=39.83620825) 
    annotation (Placement(transformation(extent={{-290,6},{-284,12}})));
    Library.Blocks.Constant SkeletalMuscle_LiquidVol(k=20989.5620376591) 
    annotation (Placement(transformation(extent={{-290,16},{-284,22}})));
    Library.Blocks.Constant Skin_LiquidVol(k=1833.56262585285) 
    annotation (Placement(transformation(extent={{-290,26},{-284,32}})));
    Library.Blocks.Constant c2(k=52.0752) 
    annotation (Placement(transformation(extent={{-516,200},{-510,206}})));
    Library.Blocks.Constant Leptin(k=8) 
    annotation (Placement(transformation(extent={{-430,-44},{-424,-38}})));
    Library.Blocks.Constant BloodIons_ProteinAnions(k=15) 
    annotation (Placement(transformation(extent={{-428,-58},{-420,-50}})));
    Library.Blocks.Constant DietGoalH2O_DegK(k=294.261111111111) 
    annotation (Placement(transformation(extent={{-436,-30},{-430,-24}})));
    Library.Blocks.Constant GILumenVolume_Intake(k=3) 
    annotation (Placement(transformation(extent={{-454,-36},{-448,-30}})));
    Library.Blocks.Constant HypothalamusShivering_NerveActivity(k=1) 
    annotation (Placement(transformation(extent={{-464,-50},{-458,-44}})));
    Library.Blocks.Constant GILumenVolume_Absorbtion(k=1.3) 
    annotation (Placement(transformation(extent={{-514,174},{-508,180}})));
      Library.Blocks.Constant const1(k=72.2) 
        annotation (Placement(transformation(extent={{226,200},{220,206}})));
      Library.Blocks.Constant const2(k=9.81) 
        annotation (Placement(transformation(extent={{226,206},{220,212}})));
      Library.Blocks.Constant const7(
                              k=1) 
        annotation (Placement(transformation(extent={{132,98},{138,104}})));
      Library.Blocks.Constant const8(
                              k=1.3) 
        annotation (Placement(transformation(extent={{240,252},{234,258}})));
      Library.Blocks.Constant const9(k=1.49317) 
        annotation (Placement(transformation(extent={{190,242},{184,248}})));
      Library.Blocks.Constant const11(k=0.997136) 
        annotation (Placement(transformation(extent={{238,238},{234,242}})));
      Library.Blocks.Constant const12(
                              k=1) 
        annotation (Placement(transformation(extent={{238,232},{234,236}})));
      Library.Blocks.Constant const13(
                              k=1) 
        annotation (Placement(transformation(extent={{132,122},{138,128}})));
      Library.Blocks.Constant const14(
                               k=.8) 
        annotation (Placement(transformation(extent={{240,244},{234,250}})));
      Library.Blocks.Constant const21(
                               k=1.3) 
        annotation (Placement(transformation(extent={{278,242},{272,236}})));
      Library.Blocks.Constant const23(
                               k=1) 
        annotation (Placement(transformation(extent={{278,252},{272,258}})));
      Library.Blocks.Constant c3(k=0.877724) 
        annotation (Placement(transformation(extent={{184,250},{178,256}})));
      Library.Blocks.Constant const24(
                               k=0) 
        annotation (Placement(transformation(extent={{132,106},{138,112}})));
      Modelica.Blocks.Sources.Step const25(
        startTime=600,
        height=0,
        offset=0) 
        annotation (Placement(transformation(extent={{132,114},{138,120}})));
      Library.Blocks.Constant const27(
                               k=1) 
        annotation (Placement(transformation(extent={{226,218},{220,224}})));
      Library.Blocks.Constant const34(
                               k=1) 
        annotation (Placement(transformation(extent={{226,212},{220,218}})));
      Library.Blocks.Constant const35(k=1) 
        annotation (Placement(transformation(extent={{276,208},{270,214}})));
      Library.Blocks.Constant const36(k=0) 
        annotation (Placement(transformation(extent={{276,220},{270,226}})));
      Library.Blocks.Constant const37(k=0) 
        annotation (Placement(transformation(extent={{276,214},{270,220}})));
      Library.Blocks.Constant const10(k=0) 
        annotation (Placement(transformation(extent={{276,202},{270,208}})));
      Library.Blocks.Constant const39(k=1.25839) 
        annotation (Placement(transformation(extent={{306,68},{300,74}})));
      Library.Blocks.Constant const22(k=44.3) 
        annotation (Placement(transformation(extent={{306,80},{300,86}})));
      Library.Blocks.Constant const38(k=0) 
        annotation (Placement(transformation(extent={{306,74},{300,80}})));
      Library.Blocks.Constant const4(k=1.3) 
        annotation (Placement(transformation(extent={{236,162},{230,168}})));
      Library.Blocks.Constant const5(k=3000) 
        annotation (Placement(transformation(extent={{236,168},{230,174}})));
      Library.Blocks.Constant const40(k=0) 
        annotation (Placement(transformation(extent={{236,180},{230,186}})));
      Library.Blocks.Constant const41(k=0) 
        annotation (Placement(transformation(extent={{236,174},{230,180}})));
      Library.Blocks.Constant const3( k=1) 
        annotation (Placement(transformation(extent={{246,128},{240,134}})));
      Library.Blocks.Constant Constant1(k=1122.53390426779) 
        annotation (Placement(transformation(extent={{246,102},{234,114}})));
      Library.Blocks.Constant const42(k=1.99078) 
        annotation (Placement(transformation(extent={{246,146},{238,154}})));
      Library.Blocks.Constant const44(k=-4) 
        annotation (Placement(transformation(extent={{134,74},{140,80}})));
      Library.Blocks.Constant const45(k=-3) 
        annotation (Placement(transformation(extent={{134,66},{140,72}})));
      Library.Blocks.Constant const46(k=47.834) 
        annotation (Placement(transformation(extent={{264,152},{258,158}})));
      Library.Blocks.Constant const47(k=2) 
        annotation (Placement(transformation(extent={{246,92},{238,100}})));
      Library.Blocks.Constant const43(k=3.06978620259696) 
        annotation (Placement(transformation(extent={{32,-28},{24,-20}})));
    equation
    connect(AirSupplyInspiredAirPressure.y,busConnector. AirSupplyInspiredAirPressure) annotation (Line(
     points={{35.7,-97},{-31,-97},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BarometerPressure.y,busConnector. BarometerPressure) annotation (Line(
     points={{35.7,-77},{-31,-77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExcessLungWater_Volume.y,busConnector. ExcessLungWater_Volume) annotation (Line(
     points={{35.7,43},{-31,43},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_MotorNerveActivity.y,busConnector. RespiratoryCenter_MotorNerveActivity) annotation (Line(
     points={{-33.7,-7},{-31,-7},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_RespRate.y,busConnector. RespiratoryCenter_RespRate) annotation (Line(
     points={{-33.7,3},{-31,3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Thorax_LungInflation.y,busConnector. Thorax_LungInflation) annotation (Line(
     points={{-91.7,-59},{-31,-59},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(pCO.y,busConnector. pCO) annotation (Line(
     points={{-91.7,-45},{-31,-45},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
     points={{298.3,17},{-31,17},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
     points={{298.3,-33},{-31,-33},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
     points={{298.3,-13},{-31,-13},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{298.3,-63},{-31,-63},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
     points={{78.3,93},{-31,93},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PotasiumToCells.y, busConnector.PotassiumToCells) annotation (Line(
     points={{208.3,-3},{-31,-3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
     points={{94.3,-269},{-31,-269},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
     points={{94.3,-259},{-31,-259},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
     points={{94.3,-249},{-31,-249},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
     points={{94.3,-239},{-31,-239},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
     points={{94.3,-229},{-31,-229},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
     points={{94.3,-219},{-31,-219},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
     points={{94.3,-209},{-31,-209},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
     points={{94.3,-199},{-31,-199},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
     points={{94.3,-189},{-31,-189},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
     points={{94.3,-179},{-31,-179},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
     points={{98.3,-151},{-31,-151},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
     points={{98.3,-141},{-31,-141},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
          points={{318.3,-219},{-31,-219},{-31,-35}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
     points={{78.3,121},{-31,121},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
     points={{78.3,111},{-31,111},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
     points={{32.3,131},{-31,131},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
     points={{-445.7,-263},{-31,-263},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodIons_Cations.y, busConnector.BloodIons_Cations) annotation (Line(
     points={{-445.7,-253},{-31,-253},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
     points={{-445.7,-223},{-31,-223},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_Na_Reab.y, busConnector.DT_Na_Reab) annotation (Line(
     points={{-445.7,-203},{-31,-203},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Carbo.y, busConnector.DietIntakeNutrition_Carbo) annotation (Line(
     points={{-445.7,-193},{-31,-193},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Fat.y, busConnector.DietIntakeNutrition_Fat) annotation (Line(
     points={{-445.7,-183},{-31,-183},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Protein.y, busConnector.DietIntakeNutrition_Protein) annotation (Line(
     points={{-445.7,-173},{-31,-173},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(EpiPool_Epi.y, busConnector.EpiPool_Epi) annotation (Line(
     points={{-445.7,-163},{-31,-163},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
     points={{-445.7,-153},{-31,-153},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-445.7,-143},{-31,-143},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
     points={{-445.7,-133},{-31,-133},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
     points={{-445.7,-123},{-31,-123},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatShivering_Cals.y, busConnector.HeatShivering_Cals) annotation (Line(
     points={{-445.7,-113},{-31,-113},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Insulin.y, busConnector.Insulin) annotation (Line(
     points={{-445.7,-103},{-31,-103},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LH_Na_Reab.y, busConnector.LH_Na_Reab) annotation (Line(
     points={{-445.7,-93},{-31,-93},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{-445.7,-73},{-31,-73},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PT_Na_Reab.y, busConnector.PT_Na_Reab) annotation (Line(
     points={{-445.7,-13},{-31,-13},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
     points={{-445.7,-3},{-31,-3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
     points={{-445.7,7},{-31,7},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{-445.7,47},{-31,47},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
     points={{-445.7,67},{-31,67},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ThyroidEffect.y, busConnector.ThyroidEffect) annotation (Line(
     points={{-445.7,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
     points={{-445.7,97},{-31,97},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-445.7,107},{-31,107},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
     points={{-283.7,-81},{-31,-81},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
     points={{-283.7,-71},{-31,-71},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
     points={{-283.7,-61},{-31,-61},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
     points={{-283.7,-51},{-31,-51},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
     points={{-283.7,-41},{-31,-41},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
     points={{-283.7,-31},{-31,-31},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
     points={{-283.7,-21},{-31,-21},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
     points={{-283.7,-11},{-31,-11},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
     points={{-283.7,-1},{-31,-1},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
     points={{-283.7,9},{-31,9},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
     points={{-283.7,19},{-31,19},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
     points={{-283.7,29},{-31,29},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(c2.y, busConnector.LM_Insulin_InsulinDelayed) annotation (Line(
          points={{-509.7,203},{-213.85,203},{-213.85,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Leptin.y, busConnector.Leptin) annotation (Line(
          points={{-423.7,-41},{-216,-41},{-216,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-429.7,-27},{-207.85,-27},{-207.85,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) 
        annotation (Line(
          points={{-419.6,-54},{-210,-54},{-210,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) 
        annotation (Line(
          points={{-447.7,-33},{-214,-33},{-214,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(HypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity) 
        annotation (Line(
          points={{-457.7,-47},{-212,-47},{-212,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVolume_Absorbtion.y, busConnector.GILumenVolume_Absorption) 
        annotation (Line(
          points={{-507.7,177},{-286,178},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const7.y, busConnector.Exercise_MusclePump_Effect) annotation (
          Line(
          points={{138.3,101},{174,101},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const11.y, busConnector.AlphaPool_Effect) annotation (Line(
          points={{233.8,240},{228,240},{228,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const12.y, busConnector.AlphaBlocade_Effect) annotation (Line(
          points={{233.8,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const13.y, busConnector.Anesthesia_VascularConductance) annotation (
          Line(
          points={{138.3,125},{174,125},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const14.y, busConnector.ADHPool_Log10Conc) annotation (Line(
          points={{233.7,247},{228,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(c3.y, busConnector.HypothalamusSkinFlow_NervesActivity) annotation (
          Line(
          points={{177.7,253},{174,253},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const24.y, busConnector.Exercise_Metabolism_ContractionRate) 
        annotation (Line(
          points={{138.3,109},{174,109},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const25.y, busConnector.Exercise_Metabolism_MotionWatts) 
        annotation (Line(
          points={{138.3,117},{174,117},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const8.y, busConnector.A2Pool_Log10Conc)          annotation (Line(
          points={{233.7,255},{228,255},{228,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const21.y, busConnector.TGF_Vascular_signal)          annotation (
          Line(
          points={{271.7,239},{270,239},{270,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const23.y, busConnector.Kidney_NephronCount_Total_xNormal) 
        annotation (Line(
          points={{271.7,255},{270,255},{270,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const27.y, busConnector.BetaPool_Effect)          annotation (
          Line(
          points={{219.7,221},{174,221},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const34.y, busConnector.BetaBlocade_Effect) 
        annotation (Line(
          points={{219.7,215},{174,215},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const36.y, busConnector.LowerTorsoArtyHeight) 
        annotation (Line(
          points={{269.7,223},{264,223},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const37.y, busConnector.LowerTorsoVeinHeight) 
        annotation (Line(
          points={{269.7,217},{264,217},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const35.y, busConnector.LegMusclePump_Effect) 
        annotation (Line(
          points={{269.7,211},{264,211},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const10.y, busConnector.CarotidSinusHeight) 
        annotation (Line(
          points={{269.7,205},{264,205},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const1.y, busConnector.HeartVentricleRate)          annotation (
         Line(
          points={{219.7,203},{-31,203},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const9.y, busConnector.GangliaGeneral_NA)          annotation (
          Line(
          points={{183.7,245},{183.7,197.5},{-31,197.5},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const2.y, busConnector.G)          annotation (Line(
          points={{219.7,209},{-31,209},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const22.y, busConnector.MedullaNa_conc) annotation (Line(
          points={{299.7,83},{-31,83},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const38.y, busConnector.FurosemidePool_Loss) annotation (Line(
          points={{299.7,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const39.y, busConnector.ANPPool_Log10Conc) annotation (Line(
          points={{299.7,71},{-31,71},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Transfusion_RBCRate,const40. y) annotation (Line(
          points={{-31,-35},{-31,183},{229.7,183}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Hemorrhage_RBCRate,const41. y) annotation (Line(
          points={{-31,-35},{-31,177},{229.7,177}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.PlasmaVol_Vol,const5. y) annotation (Line(
          points={{-31,-35},{-31,171},{229.7,171}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.EPOPool_Log10Conc,const4. y) annotation (Line(
          points={{-31,-35},{-31,165},{229.7,165}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Kidney_Alpha_NA,const3. y) annotation (Line(
          points={{-31,-35},{210.5,-35},{210.5,131},{239.7,131}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.MedullaNa_Osmolarity,Constant1. y) annotation (
          Line(
          points={{-31,-35},{210,-35},{210,108},{233.4,108}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ADH,const42. y) annotation (Line(
          points={{-31,-35},{211.5,-35},{211.5,150},{237.6,150}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(const44.y, busConnector.Thorax_AvePressure) annotation (Line(
          points={{140.3,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const45.y, busConnector.Pericardium_Pressure) annotation (Line(
          points={{140.3,69},{-31,69},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.MD_Na,const46. y) annotation (Line(
          points={{-31,-35},{-31,155},{257.7,155}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.NephronADH,const47. y) annotation (Line(
          points={{-31,-35},{210,-35},{210,96},{237.6,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_H2O_Reab,const43. y) annotation (Line(
          points={{-31,-35},{-4,-35},{-4,-24},{23.6,-24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),       graphics));
    end BGMS;

    model BEGMS

    Library.Blocks.Constant AirSupplyInspiredAirPressure(k=760.) 
    annotation (Placement(transformation(extent={{42,-100},{36,-94}})));
    Library.Blocks.Constant BarometerPressure(k=760.) 
    annotation (Placement(transformation(extent={{42,-80},{36,-74}})));
    Library.Blocks.Constant ExcessLungWater_Volume(k=0.) 
    annotation (Placement(transformation(extent={{42,40},{36,46}})));
    Library.Blocks.Constant RespiratoryCenter_MotorNerveActivity(k=0.993694435232649) 
    annotation (Placement(transformation(extent={{-40,-10},{-34,-4}})));
    Library.Blocks.Constant RespiratoryCenter_RespRate(k=11.9741435842595) 
    annotation (Placement(transformation(extent={{-40,0},{-34,6}})));
    Library.Blocks.Constant Thorax_LungInflation(k=1.) 
    annotation (Placement(transformation(extent={{-98,-62},{-92,-56}})));
    Library.Blocks.Constant pCO(k=0) 
    annotation (Placement(transformation(extent={{-98,-48},{-92,-42}})));
    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-38,-42},{-24,-28}}),
             iconTransformation(extent={{-40,-20},{0,20}})));
    Library.Blocks.Constant ICFV_Vol(k=28903.0261412121) 
    annotation (Placement(transformation(extent={{292,-16},{298,-10}})));
    Library.Blocks.Constant BladderVolume_Mass(k=5365.4292713828) 
    annotation (Placement(transformation(extent={{292,-66},{298,-60}})));
    Library.Blocks.Constant GITract_InterstitialWater(k=1095.27) 
    annotation (Placement(transformation(extent={{88,-272},{94,-266}})));
    Library.Blocks.Constant bone_InterstitialWater(k=3442.29) 
    annotation (Placement(transformation(extent={{88,-262},{94,-256}})));
    Library.Blocks.Constant brain_InterstitialWater(k=704.104) 
    annotation (Placement(transformation(extent={{88,-252},{94,-246}})));
    Library.Blocks.Constant fat_InterstitialWater(k=2425.25) 
    annotation (Placement(transformation(extent={{88,-242},{94,-236}})));
    Library.Blocks.Constant kidney_InterstitialWater(k=234.701) 
    annotation (Placement(transformation(extent={{88,-232},{94,-226}})));
    Library.Blocks.Constant leftHeart_InterstitialWater(k=195.585) 
    annotation (Placement(transformation(extent={{88,-222},{94,-216}})));
    Library.Blocks.Constant liver_InterstitialWater(k=1721.14) 
    annotation (Placement(transformation(extent={{88,-212},{94,-206}})));
    Library.Blocks.Constant otherTissue_InterstitialWater(k=3090.24) 
    annotation (Placement(transformation(extent={{88,-202},{94,-196}})));
    Library.Blocks.Constant respiratoryMuscle_InterstitialWater(k=2738.18) 
    annotation (Placement(transformation(extent={{88,-192},{94,-186}})));
    Library.Blocks.Constant rightHeart_InterstitialWater(k=39.1169) 
    annotation (Placement(transformation(extent={{88,-182},{94,-176}})));
    Library.Blocks.Constant skeletalMuscle_InterstitialWater(k=18463.2) 
    annotation (Placement(transformation(extent={{92,-154},{98,-148}})));
    Library.Blocks.Constant skin_InterstitialWater(k=4967.85) 
    annotation (Placement(transformation(extent={{92,-144},{98,-138}})));
      Library.Blocks.Constant ECFV_Vol(k=15491.3023234116) 
        annotation (Placement(transformation(extent={{312,-222},{318,-216}})));
    Library.Blocks.Constant ctGlb(k=28) 
    annotation (Placement(transformation(extent={{72,118},{78,124}})));
    Library.Blocks.Constant ctAlb(k=0.66) 
    annotation (Placement(transformation(extent={{72,108},{78,114}})));
    Library.Blocks.Constant CD_H2O_Outflow(k=1.81253965687863) 
    annotation (Placement(transformation(extent={{-452,-226},{-446,-220}})));
    Library.Blocks.Constant DietIntakeNutrition_Carbo(k=156.357) 
    annotation (Placement(transformation(extent={{-452,-196},{-446,-190}})));
    Library.Blocks.Constant DietIntakeNutrition_Fat(k=61.2725) 
    annotation (Placement(transformation(extent={{-452,-186},{-446,-180}})));
    Library.Blocks.Constant DietIntakeNutrition_Protein(k=81.8727) 
    annotation (Placement(transformation(extent={{-452,-176},{-446,-170}})));
    Library.Blocks.Constant EpiPool_Epi(k=39.7221841190692) 
    annotation (Placement(transformation(extent={{-452,-166},{-446,-160}})));
    Library.Blocks.Constant ExerciseMetabolism_MotionCals(k=0.) 
    annotation (Placement(transformation(extent={{-452,-156},{-446,-150}})));
    Library.Blocks.Constant GILumenVolume_Mass(k=959.290660950713) 
    annotation (Placement(transformation(extent={{-452,-146},{-446,-140}})));
    Library.Blocks.Constant Glomerulus_GFR(k=127.333064117169) 
    annotation (Placement(transformation(extent={{-452,-136},{-446,-130}})));
    Library.Blocks.Constant Glucagon_conc(k=66.2000580531595) 
    annotation (Placement(transformation(extent={{-452,-126},{-446,-120}})));
    Library.Blocks.Constant HeatShivering_Cals(k=0.) 
    annotation (Placement(transformation(extent={{-452,-116},{-446,-110}})));
    Library.Blocks.Constant Insulin(k=18.6374543866765) 
    annotation (Placement(transformation(extent={{-452,-106},{-446,-100}})));
    Library.Blocks.Constant Medulla_Volume(k=31.) 
    annotation (Placement(transformation(extent={{-452,-76},{-446,-70}})));
    Library.Blocks.Constant MetabolismCaloriesUsed_CoreHeat(k=0.796973)
        "kCal/min" 
    annotation (Placement(transformation(extent={{-452,-66},{-446,-60}})));
    Library.Blocks.Constant PortalVein_Glucagon(k=160.797005448649) 
    annotation (Placement(transformation(extent={{-452,-6},{-446,0}})));
    Library.Blocks.Constant PortalVein_Insulin(k=30.4355) 
    annotation (Placement(transformation(extent={{-452,4},{-446,10}})));
    Library.Blocks.Constant skeletalMuscle_SizeMass(k=26743.5620376591) 
    annotation (Placement(transformation(extent={{-452,44},{-446,50}})));
    Library.Blocks.Constant skinSizeMass(k=2792.87262585285) 
    annotation (Placement(transformation(extent={{-452,64},{-446,70}})));
    Library.Blocks.Constant ThyroidEffect(k=1.04253448385606) 
    annotation (Placement(transformation(extent={{-452,74},{-446,80}})));
    Library.Blocks.Constant WeightCore(k=48332.738903116) 
    annotation (Placement(transformation(extent={{-452,94},{-446,100}})));
    Library.Blocks.Constant BladderVoidFlow(k=0) 
    annotation (Placement(transformation(extent={{-452,104},{-446,110}})));
    Library.Blocks.Constant Bone_LiquidVol(k=3642.26580997869) 
    annotation (Placement(transformation(extent={{-290,-84},{-284,-78}})));
    Library.Blocks.Constant Brain_LiquidVol(k=1236.43378761903) 
    annotation (Placement(transformation(extent={{-290,-74},{-284,-68}})));
    Library.Blocks.Constant Fat_LiquidVol(k=2579.18849868295) 
    annotation (Placement(transformation(extent={{-290,-64},{-284,-58}})));
    Library.Blocks.Constant GITract_LiquidVol(k=1142.74972779574) 
    annotation (Placement(transformation(extent={{-290,-54},{-284,-48}})));
    Library.Blocks.Constant Kidney_LiquidVol(k=266.353146295739) 
    annotation (Placement(transformation(extent={{-290,-44},{-284,-38}})));
    Library.Blocks.Constant LeftHeart_LiquidVol(k=226.516938045739) 
    annotation (Placement(transformation(extent={{-290,-34},{-284,-28}})));
    Library.Blocks.Constant Liver_LiquidVol(k=1479.43419504262) 
    annotation (Placement(transformation(extent={{-290,-24},{-284,-18}})));
    Library.Blocks.Constant OtherTissue_LiquidVol(k=3283.73993572869) 
    annotation (Placement(transformation(extent={{-290,-14},{-284,-8}})));
    Library.Blocks.Constant RespiratoryMuscle_LiquidVol(k=3116.56533904886) 
    annotation (Placement(transformation(extent={{-290,-4},{-284,2}})));
    Library.Blocks.Constant RightHeart_LiquidVol(k=39.83620825) 
    annotation (Placement(transformation(extent={{-290,6},{-284,12}})));
    Library.Blocks.Constant SkeletalMuscle_LiquidVol(k=20989.5620376591) 
    annotation (Placement(transformation(extent={{-290,16},{-284,22}})));
    Library.Blocks.Constant Skin_LiquidVol(k=1833.56262585285) 
    annotation (Placement(transformation(extent={{-290,26},{-284,32}})));
    Library.Blocks.Constant c2(k=52.0752) 
    annotation (Placement(transformation(extent={{-516,200},{-510,206}})));
    Library.Blocks.Constant Leptin(k=8) 
    annotation (Placement(transformation(extent={{-430,-44},{-424,-38}})));
    Library.Blocks.Constant DietGoalH2O_DegK(k=294.261111111111) 
    annotation (Placement(transformation(extent={{-436,-30},{-430,-24}})));
    Library.Blocks.Constant GILumenVolume_Intake(k=3) 
    annotation (Placement(transformation(extent={{-454,-36},{-448,-30}})));
    Library.Blocks.Constant HypothalamusShivering_NerveActivity(k=1) 
    annotation (Placement(transformation(extent={{-464,-50},{-458,-44}})));
    Library.Blocks.Constant GILumenVolume_Absorbtion(k=1.3) 
    annotation (Placement(transformation(extent={{-514,174},{-508,180}})));
      Library.Blocks.Constant const1(k=72.2) 
        annotation (Placement(transformation(extent={{226,200},{220,206}})));
      Library.Blocks.Constant const2(k=9.81) 
        annotation (Placement(transformation(extent={{226,206},{220,212}})));
      Library.Blocks.Constant const7(
                              k=1) 
        annotation (Placement(transformation(extent={{132,98},{138,104}})));
      Library.Blocks.Constant const8(
                              k=1.3) 
        annotation (Placement(transformation(extent={{240,252},{234,258}})));
      Library.Blocks.Constant const9(k=1.49317) 
        annotation (Placement(transformation(extent={{190,242},{184,248}})));
      Library.Blocks.Constant const11(k=0.997136) 
        annotation (Placement(transformation(extent={{238,238},{234,242}})));
      Library.Blocks.Constant const12(
                              k=1) 
        annotation (Placement(transformation(extent={{238,232},{234,236}})));
      Library.Blocks.Constant const13(
                              k=1) 
        annotation (Placement(transformation(extent={{132,122},{138,128}})));
      Library.Blocks.Constant const14(
                               k=.8) 
        annotation (Placement(transformation(extent={{240,244},{234,250}})));
      Library.Blocks.Constant const21(
                               k=1.3) 
        annotation (Placement(transformation(extent={{278,242},{272,236}})));
      Library.Blocks.Constant const23(
                               k=1) 
        annotation (Placement(transformation(extent={{278,252},{272,258}})));
      Library.Blocks.Constant c3(k=0.877724) 
        annotation (Placement(transformation(extent={{184,250},{178,256}})));
      Library.Blocks.Constant const24(
                               k=0) 
        annotation (Placement(transformation(extent={{132,106},{138,112}})));
      Modelica.Blocks.Sources.Step const25(
        startTime=600,
        height=0,
        offset=0) 
        annotation (Placement(transformation(extent={{132,114},{138,120}})));
      Library.Blocks.Constant const27(
                               k=1) 
        annotation (Placement(transformation(extent={{226,218},{220,224}})));
      Library.Blocks.Constant const34(
                               k=1) 
        annotation (Placement(transformation(extent={{226,212},{220,218}})));
      Library.Blocks.Constant const35(k=1) 
        annotation (Placement(transformation(extent={{276,208},{270,214}})));
      Library.Blocks.Constant const36(k=0) 
        annotation (Placement(transformation(extent={{276,220},{270,226}})));
      Library.Blocks.Constant const37(k=0) 
        annotation (Placement(transformation(extent={{276,214},{270,220}})));
      Library.Blocks.Constant const10(k=0) 
        annotation (Placement(transformation(extent={{276,202},{270,208}})));
      Library.Blocks.Constant const39(k=1.25839) 
        annotation (Placement(transformation(extent={{306,68},{300,74}})));
      Library.Blocks.Constant const38(k=0) 
        annotation (Placement(transformation(extent={{306,74},{300,80}})));
      Library.Blocks.Constant const4(k=1.3) 
        annotation (Placement(transformation(extent={{236,162},{230,168}})));
      Library.Blocks.Constant const5(k=3000) 
        annotation (Placement(transformation(extent={{236,168},{230,174}})));
      Library.Blocks.Constant const40(k=0) 
        annotation (Placement(transformation(extent={{236,180},{230,186}})));
      Library.Blocks.Constant const41(k=0) 
        annotation (Placement(transformation(extent={{236,174},{230,180}})));
      Library.Blocks.Constant Constant1(k=1122.53390426779) 
        annotation (Placement(transformation(extent={{246,102},{234,114}})));
      Library.Blocks.Constant const42(k=1.99078) 
        annotation (Placement(transformation(extent={{246,146},{238,154}})));
      Library.Blocks.Constant const44(k=-4) 
        annotation (Placement(transformation(extent={{134,74},{140,80}})));
      Library.Blocks.Constant const45(k=-3) 
        annotation (Placement(transformation(extent={{134,66},{140,72}})));
      Library.Blocks.Constant const47(k=2) 
        annotation (Placement(transformation(extent={{246,92},{238,100}})));
      Library.Blocks.Constant const43(k=3.06978620259696) 
        annotation (Placement(transformation(extent={{32,-28},{24,-20}})));
      Library.Blocks.Constant Constant14(k=0) 
        annotation (Placement(transformation(extent={{-96,100},{-88,108}})));
      Library.Blocks.Constant Constant15(k=0) 
        annotation (Placement(transformation(extent={{-96,108},{-88,116}})));
      Library.Blocks.Constant Constant16(k=0) 
        annotation (Placement(transformation(extent={{-96,116},{-88,124}})));
      Library.Blocks.Constant Constant17(k=0) 
        annotation (Placement(transformation(extent={{-96,124},{-88,132}})));
      Library.Blocks.Constant Constant18(k=0) 
        annotation (Placement(transformation(extent={{-96,132},{-88,140}})));
      Library.Blocks.Constant Constant19(k=0.125199) 
        annotation (Placement(transformation(extent={{-96,140},{-88,148}})));
      Library.Blocks.Constant Constant20(k=0) 
        annotation (Placement(transformation(extent={{-96,148},{-88,156}})));
      Library.Blocks.Constant Constant28(k=0) 
        annotation (Placement(transformation(extent={{70,-12},{62,-4}})));
      Library.Blocks.Constant Constant29(k=0) 
        annotation (Placement(transformation(extent={{70,-4},{62,4}})));
      Library.Blocks.Constant Constant30(k=0) 
        annotation (Placement(transformation(extent={{70,4},{62,12}})));
      Library.Blocks.Constant Constant31(k=0) 
        annotation (Placement(transformation(extent={{70,12},{62,20}})));
      Library.Blocks.Constant Constant32(k=0) 
        annotation (Placement(transformation(extent={{70,20},{62,28}})));
      Library.Blocks.Constant Constant33(k=0.142459) 
        annotation (Placement(transformation(extent={{70,28},{62,36}})));
      Library.Blocks.Constant Constant34(k=0) 
        annotation (Placement(transformation(extent={{70,36},{62,44}})));
      Library.Blocks.Constant Constant21(k=0) 
        annotation (Placement(transformation(extent={{-102,-34},{-94,-26}})));
      Library.Blocks.Constant Constant22(k=0) 
        annotation (Placement(transformation(extent={{-102,-26},{-94,-18}})));
      Library.Blocks.Constant Constant23(k=0) 
        annotation (Placement(transformation(extent={{-102,-18},{-94,-10}})));
      Library.Blocks.Constant Constant24(k=0) 
        annotation (Placement(transformation(extent={{-102,-10},{-94,-2}})));
      Library.Blocks.Constant Constant25(k=0) 
        annotation (Placement(transformation(extent={{-102,-2},{-94,6}})));
      Library.Blocks.Constant Constant26(k=5.2e-002) 
        annotation (Placement(transformation(extent={{-102,6},{-94,14}})));
      Library.Blocks.Constant Constant27(k=0) 
        annotation (Placement(transformation(extent={{-102,14},{-94,22}})));
    Library.Blocks.Constant AldoPool_Aldo(k=0.33) 
    annotation (Placement(transformation(extent={{-40,-20},{-34,-14}})));
    Library.Blocks.Constant CellH2O_Vol(k=27335.8967957385) 
    annotation (Placement(transformation(extent={{-40,30},{-34,36}})));
    Library.Blocks.Constant GlomerulusFiltrate_GFR(k=129.497) 
    annotation (Placement(transformation(extent={{-20,12},{-14,18}})));
    Library.Blocks.Constant KidneyAlpha_PT_NA(k=1.) 
    annotation (Placement(transformation(extent={{-20,30},{-14,36}})));
      Library.Blocks.Constant ThiazidePool_Thiazide_conc(k=0) annotation (Placement(
            transformation(extent={{-84,-14},{-76,-6}})));
    Library.Blocks.Constant Kidney_NephronCount_Filtering_xNormal(
                                                              k=1.) 
    annotation (Placement(transformation(extent={{-20,48},{-14,54}})));
    Library.Blocks.Constant Kidney_NephronCount_Total_xNormal(k=1.) 
    annotation (Placement(transformation(extent={{-20,42},{-14,48}})));
      Library.Blocks.Constant LH_H2O_Outflow(k=39.1458) 
        annotation (Placement(transformation(extent={{-72,-24},{-64,-16}})));
    Library.Blocks.Constant NephronANP_Log10Conc(k=1.30103) 
    annotation (Placement(transformation(extent={{88,38},{82,44}})));
    Library.Blocks.Constant NephronAldo_conc_in_nG_per_dl(k=11) 
    annotation (Placement(transformation(extent={{88,48},{82,54}})));
    Library.Blocks.Constant GlomerulusFiltrate_GFR1(
                                                   k=129.497) 
    annotation (Placement(transformation(extent={{-76,58},{-70,64}})));
    Library.Blocks.Constant KidneyAlpha_PT_NA1(
                                              k=1.) 
    annotation (Placement(transformation(extent={{-76,76},{-70,82}})));
      Library.Blocks.Constant Constant4(k=0) annotation (Placement(
            transformation(extent={{-140,32},{-132,40}})));
    Library.Blocks.Constant Kidney_NephronCount_Filtering_xNormal1(
                                                              k=1.) 
    annotation (Placement(transformation(extent={{-76,94},{-70,100}})));
    Library.Blocks.Constant Kidney_NephronCount_Total_xNormal1(
                                                              k=1.) 
    annotation (Placement(transformation(extent={{-76,88},{-70,94}})));
      Library.Blocks.Constant Constant5(k=39.1458) 
        annotation (Placement(transformation(extent={{-128,22},{-120,30}})));
    Library.Blocks.Constant NephronANP_Log10Conc1(
                                                 k=1.30103) 
    annotation (Placement(transformation(extent={{32,84},{26,90}})));
    Library.Blocks.Constant NephronAldo_conc_in_nG_per_dl1(
                                                          k=11) 
    annotation (Placement(transformation(extent={{32,94},{26,100}})));
      Library.Blocks.Constant Kidney_Alpha_NA( k=1) 
        annotation (Placement(transformation(extent={{256,138},{250,144}})));
      Library.Blocks.Constant FurosemidePool_Furosemide_conc(k=0) annotation (Placement(
            transformation(extent={{-84,0},{-76,8}})));
    equation

    connect(AirSupplyInspiredAirPressure.y,busConnector. AirSupplyInspiredAirPressure) annotation (Line(
     points={{35.7,-97},{-31,-97},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BarometerPressure.y,busConnector. BarometerPressure) annotation (Line(
     points={{35.7,-77},{-31,-77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExcessLungWater_Volume.y,busConnector. ExcessLungWater_Volume) annotation (Line(
     points={{35.7,43},{-31,43},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_MotorNerveActivity.y,busConnector. RespiratoryCenter_MotorNerveActivity) annotation (Line(
     points={{-33.7,-7},{-31,-7},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_RespRate.y,busConnector. RespiratoryCenter_RespRate) annotation (Line(
     points={{-33.7,3},{-31,3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Thorax_LungInflation.y,busConnector. Thorax_LungInflation) annotation (Line(
     points={{-91.7,-59},{-31,-59},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(pCO.y,busConnector. pCO) annotation (Line(
     points={{-91.7,-45},{-31,-45},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
     points={{298.3,-13},{-31,-13},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{298.3,-63},{-31,-63},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
     points={{94.3,-269},{-31,-269},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
     points={{94.3,-259},{-31,-259},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
     points={{94.3,-249},{-31,-249},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
     points={{94.3,-239},{-31,-239},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
     points={{94.3,-229},{-31,-229},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
     points={{94.3,-219},{-31,-219},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
     points={{94.3,-209},{-31,-209},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
     points={{94.3,-199},{-31,-199},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
     points={{94.3,-189},{-31,-189},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
     points={{94.3,-179},{-31,-179},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
     points={{98.3,-151},{-31,-151},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
     points={{98.3,-141},{-31,-141},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
          points={{318.3,-219},{-31,-219},{-31,-35}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
     points={{78.3,121},{-31,121},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
     points={{78.3,111},{-31,111},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
     points={{-445.7,-223},{-31,-223},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Carbo.y, busConnector.DietIntakeNutrition_Carbo) annotation (Line(
     points={{-445.7,-193},{-31,-193},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Fat.y, busConnector.DietIntakeNutrition_Fat) annotation (Line(
     points={{-445.7,-183},{-31,-183},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Protein.y, busConnector.DietIntakeNutrition_Protein) annotation (Line(
     points={{-445.7,-173},{-31,-173},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(EpiPool_Epi.y, busConnector.EpiPool_Epi) annotation (Line(
     points={{-445.7,-163},{-31,-163},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
     points={{-445.7,-153},{-31,-153},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-445.7,-143},{-31,-143},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
     points={{-445.7,-133},{-31,-133},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
     points={{-445.7,-123},{-31,-123},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatShivering_Cals.y, busConnector.HeatShivering_Cals) annotation (Line(
     points={{-445.7,-113},{-31,-113},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Insulin.y, busConnector.Insulin) annotation (Line(
     points={{-445.7,-103},{-31,-103},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{-445.7,-73},{-31,-73},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
     points={{-445.7,-3},{-31,-3},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
     points={{-445.7,7},{-31,7},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{-445.7,47},{-31,47},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
     points={{-445.7,67},{-31,67},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ThyroidEffect.y, busConnector.ThyroidEffect) annotation (Line(
     points={{-445.7,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
     points={{-445.7,97},{-31,97},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-445.7,107},{-31,107},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
     points={{-283.7,-81},{-31,-81},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
     points={{-283.7,-71},{-31,-71},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
     points={{-283.7,-61},{-31,-61},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
     points={{-283.7,-51},{-31,-51},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
     points={{-283.7,-41},{-31,-41},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
     points={{-283.7,-31},{-31,-31},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
     points={{-283.7,-21},{-31,-21},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
     points={{-283.7,-11},{-31,-11},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
     points={{-283.7,-1},{-31,-1},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
     points={{-283.7,9},{-31,9},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
     points={{-283.7,19},{-31,19},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
     points={{-283.7,29},{-31,29},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(c2.y, busConnector.LM_Insulin_InsulinDelayed) annotation (Line(
          points={{-509.7,203},{-213.85,203},{-213.85,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Leptin.y, busConnector.Leptin) annotation (Line(
          points={{-423.7,-41},{-216,-41},{-216,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-429.7,-27},{-207.85,-27},{-207.85,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) 
        annotation (Line(
          points={{-447.7,-33},{-214,-33},{-214,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(HypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity) 
        annotation (Line(
          points={{-457.7,-47},{-212,-47},{-212,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVolume_Absorbtion.y, busConnector.GILumenVolume_Absorption) 
        annotation (Line(
          points={{-507.7,177},{-286,178},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const7.y, busConnector.Exercise_MusclePump_Effect) annotation (
          Line(
          points={{138.3,101},{174,101},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const11.y, busConnector.AlphaPool_Effect) annotation (Line(
          points={{233.8,240},{228,240},{228,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const12.y, busConnector.AlphaBlocade_Effect) annotation (Line(
          points={{233.8,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const13.y, busConnector.Anesthesia_VascularConductance) annotation (
          Line(
          points={{138.3,125},{174,125},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const14.y, busConnector.ADHPool_Log10Conc) annotation (Line(
          points={{233.7,247},{228,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(c3.y, busConnector.HypothalamusSkinFlow_NervesActivity) annotation (
          Line(
          points={{177.7,253},{174,253},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const24.y, busConnector.Exercise_Metabolism_ContractionRate) 
        annotation (Line(
          points={{138.3,109},{174,109},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const25.y, busConnector.Exercise_Metabolism_MotionWatts) 
        annotation (Line(
          points={{138.3,117},{174,117},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const8.y, busConnector.A2Pool_Log10Conc)          annotation (Line(
          points={{233.7,255},{228,255},{228,234},{174,234},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const21.y, busConnector.TGF_Vascular_signal)          annotation (
          Line(
          points={{271.7,239},{270,239},{270,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const27.y, busConnector.BetaPool_Effect)          annotation (
          Line(
          points={{219.7,221},{174,221},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const34.y, busConnector.BetaBlocade_Effect) 
        annotation (Line(
          points={{219.7,215},{174,215},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const36.y, busConnector.LowerTorsoArtyHeight) 
        annotation (Line(
          points={{269.7,223},{264,223},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const37.y, busConnector.LowerTorsoVeinHeight) 
        annotation (Line(
          points={{269.7,217},{264,217},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const35.y, busConnector.LegMusclePump_Effect) 
        annotation (Line(
          points={{269.7,211},{264,211},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const10.y, busConnector.CarotidSinusHeight) 
        annotation (Line(
          points={{269.7,205},{264,205},{264,228},{174,228},{174,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const1.y, busConnector.HeartVentricleRate)          annotation (
         Line(
          points={{219.7,203},{-31,203},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const9.y, busConnector.GangliaGeneral_NA)          annotation (
          Line(
          points={{183.7,245},{183.7,197.5},{-31,197.5},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const2.y, busConnector.G)          annotation (Line(
          points={{219.7,209},{-31,209},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const38.y, busConnector.FurosemidePool_Loss) annotation (Line(
          points={{299.7,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const39.y, busConnector.ANPPool_Log10Conc) annotation (Line(
          points={{299.7,71},{-31,71},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Transfusion_RBCRate,const40. y) annotation (Line(
          points={{-31,-35},{-31,183},{229.7,183}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Hemorrhage_RBCRate,const41. y) annotation (Line(
          points={{-31,-35},{-31,177},{229.7,177}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.PlasmaVol_Vol,const5. y) annotation (Line(
          points={{-31,-35},{-31,171},{229.7,171}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.EPOPool_Log10Conc,const4. y) annotation (Line(
          points={{-31,-35},{-31,165},{229.7,165}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ADH,const42. y) annotation (Line(
          points={{-31,-35},{211.5,-35},{211.5,150},{237.6,150}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(const44.y, busConnector.Thorax_AvePressure) annotation (Line(
          points={{140.3,77},{-31,77},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const45.y, busConnector.Pericardium_Pressure) annotation (Line(
          points={{140.3,69},{-31,69},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.NephronADH,const47. y) annotation (Line(
          points={{-31,-35},{210,-35},{210,96},{237.6,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_H2O_Reab,const43. y) annotation (Line(
          points={{-31,-35},{-4,-35},{-4,-24},{23.6,-24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant14.y,busConnector.IVDrip_NaRate) annotation (Line(
          points={{-87.6,104},{-31,104},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant15.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{-87.6,112},{-31,112},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant16.y,busConnector. SweatDuct_NaRate) annotation (Line(
          points={{-87.6,120},{-31,120},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant17.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{-87.6,128},{-31,128},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant18.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{-87.6,136},{-31,136},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant19.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{-87.6,144},{-31,144},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant20.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{-87.6,152},{-31,152},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant28.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{61.6,-8},{-31,-8},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant29.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{61.6,0},{-31,0},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant30.y,busConnector. SweatDuct_ClRate) annotation (Line(
          points={{61.6,8},{-31,8},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant31.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{61.6,16},{-31,16},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant32.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{61.6,24},{-31,24},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant33.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{61.6,32},{-31,32},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant34.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{61.6,40},{-31,40},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant21.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{-93.6,-30},{-68,-30},{-68,18},{24,18},{24,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant22.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{-93.6,-22},{-68,-22},{-68,18},{24,18},{24,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant23.y,busConnector. SweatDuct_KRate) annotation (Line(
          points={{-93.6,-14},{-68,-14},{-68,18},{24,18},{24,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant24.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{-93.6,-6},{-68,-6},{-68,18},{24,18},{24,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant25.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{-93.6,2},{-68,2},{-68,18},{24,18},{24,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant26.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{-93.6,10},{-68,10},{-68,18},{24,18},{24,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant27.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{-93.6,18},{-31,18},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(AldoPool_Aldo.y, busConnector.AldoPool_Aldo) annotation (Line(
     points={{-33.7,-17},{-31,-17},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CellH2O_Vol.y, busConnector.CellH2O_Vol) annotation (Line(
     points={{-33.7,33},{-31,33},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GlomerulusFiltrate_GFR.y, busConnector.GlomerulusFiltrate_GFR) annotation (Line(
     points={{-13.7,15},{-31,15},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
     points={{-13.7,33},{-31,33},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ThiazidePool_Thiazide_conc.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{-75.6,-10},{-52,-10},{-52,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Kidney_NephronCount_Filtering_xNormal.y, busConnector.Kidney_NephronCount_Filtering_xNormal) 
                                                                                                 annotation (Line(
     points={{-13.7,51},{-31,51},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
     points={{-13.7,45},{-31,45},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(LH_H2O_Outflow.y, busConnector.LH_H2O_Outflow) annotation (Line(
            points={{-63.6,-20},{-52,-20},{-52,10},{-31,10},{-31,-35}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
    connect(NephronANP_Log10Conc.y, busConnector.NephronANP_Log10Conc) annotation (Line(
     points={{81.7,41},{-31,41},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronAldo_conc_in_nG_per_dl.y, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (Line(
     points={{81.7,51},{-31,51},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Kidney_Alpha_NA,Kidney_Alpha_NA. y) annotation (Line(
          points={{-31,-35},{222.5,-35},{222.5,141},{249.7,141}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(FurosemidePool_Furosemide_conc.y,busConnector. FurosemidePool_Furosemide_conc) 
        annotation (Line(
          points={{-75.6,4},{-52,4},{-52,-35},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}),       graphics));
    end BEGMS;

    model WriteVariablesToFile

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-20,10},{-6,24}}),
             iconTransformation(extent={{-20,60},{20,100}})));

    Library.Utilities.VariableToFile A2Pool_Log10Con(varName="A2Pool.Log10Conc") 
    annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
    Library.Utilities.VariableToFile A2Pool_Log10Conc(varName="A2Pool.Log10Conc") 
    annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
    Library.Utilities.VariableToFile ADH(varName="ADHPool.[ADH]") 
    annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
    Library.Utilities.VariableToFile ADHPool_Log10Conc(varName="ADHPool.Log10Conc") 
    annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
    Library.Utilities.VariableToFile AdrenalNerve_NA(varName="AdrenalNerve.NA") 
    annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
    Library.Utilities.VariableToFile AirSupplyInspiredAirPressure(varName="AirSupply-InspiredAir.Pressure") 
    annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
    Library.Utilities.VariableToFile Aldo_conc_in_nG_per_dl(varName="AldoPool.[Aldo(nG/dL)]") 
    annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
    Library.Utilities.VariableToFile AldoPool_Aldo(varName="AldoPool.[Aldo(pMol/L)]") 
    annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
    Library.Utilities.VariableToFile AlphaBlocade_Effect(varName="AlphaBlockade.Effect") 
    annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
    Library.Utilities.VariableToFile AlphaPool_Effect(varName="AlphaPool.Effect") 
    annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
    Library.Utilities.VariableToFile AlveolarVentilated_BloodFlow(varName="LungBloodFlow.AlveolarVentilated") 
    annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
    Library.Utilities.VariableToFile Anesthesia_VascularConductance(varName="Anesthesia.VascularConductance") 
    annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
    Library.Utilities.VariableToFile AnesthesiaTidalVolume(varName="Anesthesia.TidalVolume") 
    annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
    Library.Utilities.VariableToFile ANPPool_Log10Conc(varName="ANPPool.Log10Conc") 
    annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
    Library.Utilities.VariableToFile Artys_pH(varName="BloodPh.ArtysPh") 
    annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
    Library.Utilities.VariableToFile ArtysVol(varName="ArtysVol.Vol") 
    annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
    Library.Utilities.VariableToFile BarometerPressure(varName="Barometer.Pressure") 
    annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
    Library.Utilities.VariableToFile BetaBlocade_Effect(varName="BetaBlockade.Effect") 
    annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
    Library.Utilities.VariableToFile BetaPool_Effect(varName="BetaPool.Effect") 
    annotation (Placement(transformation(extent={{-36,190},{-30,196}})));
    Library.Utilities.VariableToFile BladderVoidFlow(varName="BladerVoidFlow") 
    annotation (Placement(transformation(extent={{-36,200},{-30,206}})));
    Library.Utilities.VariableToFile BladderVolume_Mass(varName="BladderVolume.Mass") 
    annotation (Placement(transformation(extent={{-36,210},{-30,216}})));
    Library.Utilities.VariableToFile BloodCations(varName="BloodIons.Cations") 
    annotation (Placement(transformation(extent={{-36,220},{-30,226}})));
    Library.Utilities.VariableToFile BloodIons_Cations(varName="BloodIons.Cations") 
    annotation (Placement(transformation(extent={{-36,230},{-30,236}})));
    Library.Utilities.VariableToFile BloodIons_ProteinAnions(varName="BloodIons.Protein") 
    annotation (Placement(transformation(extent={{-36,240},{-30,246}})));
    Library.Utilities.VariableToFile BloodPh_ArtysPh(varName="BloodPh.ArtysPh") 
    annotation (Placement(transformation(extent={{-36,250},{-30,256}})));
    Library.Utilities.VariableToFile BloodVol_Hct(varName="BloodVol.Hct") 
    annotation (Placement(transformation(extent={{-36,260},{-30,266}})));
    Library.Utilities.VariableToFile BloodVol_PVCrit(varName="BloodVol.PVCrit") 
    annotation (Placement(transformation(extent={{-36,270},{-30,276}})));
    Library.Utilities.VariableToFile BodyH2O_Vol(varName="BodyH2O.Vol") 
    annotation (Placement(transformation(extent={{-36,280},{-30,286}})));
    Library.Utilities.VariableToFile bone_BloodFlow(varName="Bone-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,290},{-30,296}})));
    Library.Utilities.VariableToFile Bone_BloodFlow(varName="Bone-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,300},{-30,306}})));
    Library.Utilities.VariableToFile bone_cLactate(varName="Bone-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,310},{-30,316}})));
    Library.Utilities.VariableToFile bone_CO2FromMetabolism(varName="Bone-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,320},{-30,326}})));
    Library.Utilities.VariableToFile bone_Fuel_FractUseDelay(varName="Bone-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,330},{-30,336}})));
    Library.Utilities.VariableToFile bone_InterstitialWater(varName="Bone-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,340},{-30,346}})));
    Library.Utilities.VariableToFile bone_LactateFromMetabolism(varName="Bone-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,350},{-30,356}})));
    Library.Utilities.VariableToFile Bone_LiquidVol(varName="Bone-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,360},{-30,366}})));
    Library.Utilities.VariableToFile bone_O2Use(varName="Bone-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,370},{-30,376}})));
    Library.Utilities.VariableToFile bone_pH_intracellular(varName="Bone-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,380},{-30,386}})));
    Library.Utilities.VariableToFile Bone_PO2(varName="Bone-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,390},{-30,396}})));
    Library.Utilities.VariableToFile Bone_StructureEffect(varName="Bone-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,400},{-30,406}})));
    Library.Utilities.VariableToFile bone_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,410},{-30,416}})));
    Library.Utilities.VariableToFile brain_BloodFlow(varName="Brain-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,420},{-30,426}})));
    Library.Utilities.VariableToFile Brain_BloodFlow(varName="Brain-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,430},{-30,436}})));
    Library.Utilities.VariableToFile brain_cLactate(varName="Brain-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,440},{-30,446}})));
    Library.Utilities.VariableToFile brain_CO2FromMetabolism(varName="Brain-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,450},{-30,456}})));
    Library.Utilities.VariableToFile brain_Fuel_FractUseDelay(varName="Brain-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,460},{-30,466}})));
    Library.Utilities.VariableToFile brain_FunctionEffect(varName="Brain-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,470},{-30,476}})));
    Library.Utilities.VariableToFile brain_InterstitialWater(varName="Brain-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,480},{-30,486}})));
    Library.Utilities.VariableToFile brain_LactateFromMetabolism(varName="Brain-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,490},{-30,496}})));
    Library.Utilities.VariableToFile Brain_LiquidVol(varName="Brain-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,500},{-30,506}})));
    Library.Utilities.VariableToFile brain_O2Use(varName="Brain-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,510},{-30,516}})));
    Library.Utilities.VariableToFile Brain_PCO2(varName="Brain-CO2.PCO2") 
    annotation (Placement(transformation(extent={{-36,520},{-30,526}})));
    Library.Utilities.VariableToFile brain_pH_intracellular(varName="Brain-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,530},{-30,536}})));
    Library.Utilities.VariableToFile Brain_PO2(varName="Brain-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,540},{-30,546}})));
    Library.Utilities.VariableToFile Brain_StructureEffect(varName="Brain-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,550},{-30,556}})));
    Library.Utilities.VariableToFile brain_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,560},{-30,566}})));
    Library.Utilities.VariableToFile BreathingTotalVentilation(varName="Breathing.TotalVentilation") 
    annotation (Placement(transformation(extent={{-36,570},{-30,576}})));
    Library.Utilities.VariableToFile CardiacOutput(varName="CardiacOutput.Flow") 
    annotation (Placement(transformation(extent={{-36,580},{-30,586}})));
    Library.Utilities.VariableToFile CarotidSinusArteryPressure(varName="CarotidSinus.Pressure") 
    annotation (Placement(transformation(extent={{-36,590},{-30,596}})));
    Library.Utilities.VariableToFile CarotidSinusHeight(varName="CarotidSinus.Level") 
    annotation (Placement(transformation(extent={{-36,600},{-30,606}})));
    Library.Utilities.VariableToFile CD_Glucose_Outflow(varName="CD_Glucose.Outflow") 
    annotation (Placement(transformation(extent={{-36,610},{-30,616}})));
    Library.Utilities.VariableToFile CD_H2O_Outflow(varName="CD_H2O.Outflow") 
    annotation (Placement(transformation(extent={{-36,620},{-30,626}})));
    Library.Utilities.VariableToFile CD_H2O_Reab(varName="CD_H2O.Reab") 
    annotation (Placement(transformation(extent={{-36,630},{-30,636}})));
    Library.Utilities.VariableToFile CD_K_Outflow(varName="CD_K.Outflow") 
    annotation (Placement(transformation(extent={{-36,640},{-30,646}})));
    Library.Utilities.VariableToFile CD_KA_Outflow(varName="CD_KA.Outflow") 
    annotation (Placement(transformation(extent={{-36,650},{-30,656}})));
    Library.Utilities.VariableToFile CD_Na_Outflow(varName="CD_Na.Outflow") 
    annotation (Placement(transformation(extent={{-36,660},{-30,666}})));
    Library.Utilities.VariableToFile CD_NH4_Outflow(varName="CD_NH4.Outflow") 
    annotation (Placement(transformation(extent={{-36,670},{-30,676}})));
    Library.Utilities.VariableToFile CD_PO4_Outflow(varName="CD_PO4.Outflow") 
    annotation (Placement(transformation(extent={{-36,680},{-30,686}})));
    Library.Utilities.VariableToFile cDPG(varName="cDPG") 
    annotation (Placement(transformation(extent={{-36,690},{-30,696}})));
    Library.Utilities.VariableToFile CellH2O_Vol(varName="CellH2O.Vol") 
    annotation (Placement(transformation(extent={{-36,700},{-30,706}})));
    Library.Utilities.VariableToFile CellProtein_Mass(varName="CellProtein.Mass") 
    annotation (Placement(transformation(extent={{-36,710},{-30,716}})));
    Library.Utilities.VariableToFile CO2Veins_cHCO3(varName="CO2Veins.[HCO3(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,720},{-30,726}})));
    Library.Utilities.VariableToFile core_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,730},{-30,736}})));
    Library.Utilities.VariableToFile ctAlb(varName="ctAlb") 
    annotation (Placement(transformation(extent={{-36,740},{-30,746}})));
    Library.Utilities.VariableToFile ctGlb(varName="ctGlb") 
    annotation (Placement(transformation(extent={{-36,750},{-30,756}})));
    Library.Utilities.VariableToFile ctHb_ery(varName="ctHb_ery") 
    annotation (Placement(transformation(extent={{-36,760},{-30,766}})));
    Library.Utilities.VariableToFile ctHb(varName="ctHb") 
    annotation (Placement(transformation(extent={{-36,770},{-30,776}})));
    Library.Utilities.VariableToFile ctPO4(varName="PO4Pool.[PO4--(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,780},{-30,786}})));
    Library.Utilities.VariableToFile DialyzerActivity_Cl_Flux(varName="DialyzerActivity.Cl-Flux") 
    annotation (Placement(transformation(extent={{-36,790},{-30,796}})));
    Library.Utilities.VariableToFile DialyzerActivity_K_Flux(varName="DialyzerActivity.K+Flux") 
    annotation (Placement(transformation(extent={{-36,800},{-30,806}})));
    Library.Utilities.VariableToFile DialyzerActivity_Na_Flux(varName="DialyzerActivity.Na+Flux") 
    annotation (Placement(transformation(extent={{-36,810},{-30,816}})));
    Library.Utilities.VariableToFile DietGoalH2O_DegK(varName="DietGoalH2O.DegK") 
    annotation (Placement(transformation(extent={{-36,820},{-30,826}})));
    Library.Utilities.VariableToFile DietIntakeElectrolytes_Cl(varName="DietIntakeElectrolytes.Cl-_mEq/Min") 
    annotation (Placement(transformation(extent={{-36,830},{-30,836}})));
    Library.Utilities.VariableToFile DietIntakeElectrolytes_K(varName="DietIntakeElectrolytes.K+_mEq/Min") 
    annotation (Placement(transformation(extent={{-36,840},{-30,846}})));
    Library.Utilities.VariableToFile DietIntakeElectrolytes_Na(varName="DietIntakeElectrolytes.Na+_mEq/Min") 
    annotation (Placement(transformation(extent={{-36,850},{-30,856}})));
    Library.Utilities.VariableToFile DietIntakeElectrolytes_PO4(varName="DietIntakeElectrolytes.PO4--mEq/Min") 
    annotation (Placement(transformation(extent={{-36,860},{-30,866}})));
    Library.Utilities.VariableToFile DietIntakeElectrolytes_SO4(varName="DietIntakeElectrolytes.SO4--mEq/Min") 
    annotation (Placement(transformation(extent={{-36,870},{-30,876}})));
    Library.Utilities.VariableToFile DT_AldosteroneEffect(varName="DT_AldosteroneEffect") 
    annotation (Placement(transformation(extent={{-36,880},{-30,886}})));
    Library.Utilities.VariableToFile DT_Na_Outflow(varName="DT_Na.Outflow") 
    annotation (Placement(transformation(extent={{-36,890},{-30,896}})));
    Library.Utilities.VariableToFile DT_Na_Reab(varName="DT_Na.Reab") 
    annotation (Placement(transformation(extent={{-36,900},{-30,906}})));
    Library.Utilities.VariableToFile ECFV_Vol(varName="ECFV.Vol") 
    annotation (Placement(transformation(extent={{-36,910},{-30,916}})));
    Library.Utilities.VariableToFile EpiPool_Epi(varName="EpiPool.[Epi(pG/mL)]") 
    annotation (Placement(transformation(extent={{-36,920},{-30,926}})));
    Library.Utilities.VariableToFile EPOPool_Log10Conc(varName="EPOPool.Log10Conc") 
    annotation (Placement(transformation(extent={{-36,930},{-30,936}})));
    Library.Utilities.VariableToFile ExcessLungWater_Volume(varName="ExcessLungWater.Volume") 
    annotation (Placement(transformation(extent={{-36,940},{-30,946}})));
    Library.Utilities.VariableToFile Exercise_Metabolism_ContractionRate(varName="Exercise-Metabolism.ContractionRate") 
    annotation (Placement(transformation(extent={{-36,950},{-30,956}})));
    Library.Utilities.VariableToFile Exercise_Metabolism_MotionWatts(varName="Exercise-Metabolism.MotionWatts") 
    annotation (Placement(transformation(extent={{-36,960},{-30,966}})));
    Library.Utilities.VariableToFile Exercise_MusclePump_Effect(varName="Exercise-MusclePump.Effect") 
    annotation (Placement(transformation(extent={{-36,970},{-30,976}})));
    Library.Utilities.VariableToFile ExerciseMetabolism_MotionCals(varName="Exercise-Metabolism.MotionCals") 
    annotation (Placement(transformation(extent={{-36,980},{-30,986}})));
    Library.Utilities.VariableToFile ExerciseMetabolism_TotalWatts(varName="Exercise-Metabolism.TotalWatts") 
    annotation (Placement(transformation(extent={{-36,990},{-30,996}})));
    Library.Utilities.VariableToFile fat_BloodFlow(varName="Fat-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1000},{-30,1006}})));
    Library.Utilities.VariableToFile Fat_BloodFlow(varName="Fat-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1010},{-30,1016}})));
    Library.Utilities.VariableToFile fat_cLactate(varName="Fat-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,1020},{-30,1026}})));
    Library.Utilities.VariableToFile fat_CO2FromMetabolism(varName="Fat-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,1030},{-30,1036}})));
    Library.Utilities.VariableToFile fat_Fuel_FractUseDelay(varName="Fat-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,1040},{-30,1046}})));
    Library.Utilities.VariableToFile fat_InterstitialWater(varName="Fat-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1050},{-30,1056}})));
    Library.Utilities.VariableToFile fat_LactateFromMetabolism(varName="Fat-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,1060},{-30,1066}})));
    Library.Utilities.VariableToFile Fat_LiquidVol(varName="Fat-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,1070},{-30,1076}})));
    Library.Utilities.VariableToFile fat_O2Use(varName="Fat-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,1080},{-30,1086}})));
    Library.Utilities.VariableToFile fat_pH_intracellular(varName="Fat-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,1090},{-30,1096}})));
    Library.Utilities.VariableToFile Fat_PO2(varName="Fat-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,1100},{-30,1106}})));
    Library.Utilities.VariableToFile Fat_StructureEffect(varName="Fat-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,1110},{-30,1116}})));
    Library.Utilities.VariableToFile fat_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,1120},{-30,1126}})));
    Library.Utilities.VariableToFile FatFunctionEffect(varName="Fat-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,1130},{-30,1136}})));
    Library.Utilities.VariableToFile FHbF(varName="FHbF") 
    annotation (Placement(transformation(extent={{-36,1140},{-30,1146}})));
    Library.Utilities.VariableToFile FMetHb(varName="FMetHb") 
    annotation (Placement(transformation(extent={{-36,1150},{-30,1156}})));
    Library.Utilities.VariableToFile FurosemidePool_Furosemide_conc(varName="FurosemidePool.[Furosemide]") 
    annotation (Placement(transformation(extent={{-36,1160},{-30,1166}})));
    Library.Utilities.VariableToFile FurosemidePool_Loss(varName="FurosemidePool.Loss") 
    annotation (Placement(transformation(extent={{-36,1170},{-30,1176}})));
    Library.Utilities.VariableToFile Gravity_Gz(varName="Gravity.Gz") 
    annotation (Placement(transformation(extent={{-36,1180},{-30,1186}})));
    Library.Utilities.VariableToFile GangliaGeneral_NA(varName="GangliaGeneral.NA(Hz)") 
    annotation (Placement(transformation(extent={{-36,1190},{-30,1196}})));
    Library.Utilities.VariableToFile GangliaKidney_NA(varName="GangliaKidney.NA(Hz)") 
    annotation (Placement(transformation(extent={{-36,1200},{-30,1206}})));
    Library.Utilities.VariableToFile GILumenDiarrhea_KLoss(varName="GILumenDiarrhea.K+Loss") 
    annotation (Placement(transformation(extent={{-36,1210},{-30,1216}})));
    Library.Utilities.VariableToFile GILumenDiarrhea_NaLoss(varName="GILumenDiarrhea.Na+Loss") 
    annotation (Placement(transformation(extent={{-36,1220},{-30,1226}})));
    Library.Utilities.VariableToFile GILumenPotassium_Mass(varName="GILumenPotassium.Mass") 
    annotation (Placement(transformation(extent={{-36,1230},{-30,1236}})));
    Library.Utilities.VariableToFile GILumenSodium_Mass(varName="GILumenSodium.Mass") 
    annotation (Placement(transformation(extent={{-36,1240},{-30,1246}})));
    Library.Utilities.VariableToFile GILumenVolume_Absorption(varName="GILumenVolume.Absorption") 
    annotation (Placement(transformation(extent={{-36,1250},{-30,1256}})));
    Library.Utilities.VariableToFile GILumenVolume_Intake(varName="GILumenVolume.Intake") 
    annotation (Placement(transformation(extent={{-36,1260},{-30,1266}})));
    Library.Utilities.VariableToFile GILumenVolume_Mass(varName="GILumenVolume.Mass") 
    annotation (Placement(transformation(extent={{-36,1270},{-30,1276}})));
    Library.Utilities.VariableToFile GILumenVomitus_ClLoss(varName="GILumenVomitus.Cl-Loss") 
    annotation (Placement(transformation(extent={{-36,1280},{-30,1286}})));
    Library.Utilities.VariableToFile GITract_BloodFlow(varName="GITract-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1290},{-30,1296}})));
    Library.Utilities.VariableToFile GITract_cLactate(varName="GITract-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,1300},{-30,1306}})));
    Library.Utilities.VariableToFile GITract_CO2FromMetabolism(varName="GITract-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,1310},{-30,1316}})));
    Library.Utilities.VariableToFile GITract_Fuel_FractUseDelay(varName="GITract-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,1320},{-30,1326}})));
    Library.Utilities.VariableToFile GITract_InterstitialWater(varName="GITract-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1330},{-30,1336}})));
    Library.Utilities.VariableToFile GITract_LactateFromMetabolism(varName="GITract-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,1340},{-30,1346}})));
    Library.Utilities.VariableToFile GITract_LiquidVol(varName="GITract-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,1350},{-30,1356}})));
    Library.Utilities.VariableToFile GITract_O2Use(varName="GITract-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,1360},{-30,1366}})));
    Library.Utilities.VariableToFile GITract_pH_intracellular(varName="GITract-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,1370},{-30,1376}})));
    Library.Utilities.VariableToFile GITract_PO2(varName="GITract-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,1380},{-30,1386}})));
    Library.Utilities.VariableToFile GITract_StructureEffect(varName="GITract-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,1390},{-30,1396}})));
    Library.Utilities.VariableToFile GITract_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,1400},{-30,1406}})));
    Library.Utilities.VariableToFile GITractFunctionEffect(varName="GITract-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,1410},{-30,1416}})));
    Library.Utilities.VariableToFile Glomerulus_GFR(varName="GlomerulusFiltrate.GFR") 
    annotation (Placement(transformation(extent={{-36,1420},{-30,1426}})));
    Library.Utilities.VariableToFile GlomerulusBloodPressure(varName="GlomerulusFiltrate.Pressure") 
    annotation (Placement(transformation(extent={{-36,1430},{-30,1436}})));
    Library.Utilities.VariableToFile GlomerulusFiltrate_GFR(varName="GlomerulusFiltrate.GFR") 
    annotation (Placement(transformation(extent={{-36,1440},{-30,1446}})));
    Library.Utilities.VariableToFile Glucagon_conc(varName="GlucagonPool.[Glucagon]") 
    annotation (Placement(transformation(extent={{-36,1450},{-30,1456}})));
    Library.Utilities.VariableToFile Glucose(varName="GlucosePool.[Glucose(mG/dL)]") 
    annotation (Placement(transformation(extent={{-36,1460},{-30,1466}})));
    Library.Utilities.VariableToFile GlucoseECF_Osmoles(varName="GlucosePool.Osmoles") 
    annotation (Placement(transformation(extent={{-36,1470},{-30,1476}})));
    Library.Utilities.VariableToFile HeartVentricleRate(varName="Heart-Ventricles.Rate") 
    annotation (Placement(transformation(extent={{-36,1480},{-30,1486}})));
    Library.Utilities.VariableToFile HeatCore_Temp(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,1490},{-30,1496}})));
    Library.Utilities.VariableToFile HeatInsensibleLung_H2O(varName="HeatInsensibleLung.H2O") 
    annotation (Placement(transformation(extent={{-36,1500},{-30,1506}})));
    Library.Utilities.VariableToFile HeatInsensibleSkin_H2O(varName="HeatInsensibleSkin.H2O") 
    annotation (Placement(transformation(extent={{-36,1510},{-30,1516}})));
    Library.Utilities.VariableToFile Hemorrhage_ClRate(varName="Hemorrhage.ClRate") 
    annotation (Placement(transformation(extent={{-36,1520},{-30,1526}})));
    Library.Utilities.VariableToFile Hemorrhage_KRate(varName="Hemorrhage.KRate") 
    annotation (Placement(transformation(extent={{-36,1530},{-30,1536}})));
    Library.Utilities.VariableToFile Hemorrhage_NaRate(varName="Hemorrhage.NaRate") 
    annotation (Placement(transformation(extent={{-36,1540},{-30,1546}})));
    Library.Utilities.VariableToFile Hemorrhage_PlasmaRate(varName="Hemorrhage.PlasmaRate") 
    annotation (Placement(transformation(extent={{-36,1550},{-30,1556}})));
    Library.Utilities.VariableToFile Hemorrhage_ProteinRate(varName="Hemorrhage.ProteinRate") 
    annotation (Placement(transformation(extent={{-36,1560},{-30,1566}})));
    Library.Utilities.VariableToFile Hemorrhage_RBCRate(varName="Hemorrhage.RBCRate") 
    annotation (Placement(transformation(extent={{-36,1570},{-30,1576}})));
    Library.Utilities.VariableToFile HepaticArty_BloodFlow(varName="HepaticArty.Flow") 
    annotation (Placement(transformation(extent={{-36,1580},{-30,1586}})));
    Library.Utilities.VariableToFile HypothalamusShivering_NerveActivity(varName="HypothalamusShivering.NerveActivity") 
    annotation (Placement(transformation(extent={{-36,1590},{-30,1596}})));
    Library.Utilities.VariableToFile HypothalamusSkinFlow_NervesActivity(varName="HypothalamusSkinFlow.NerveActivity") 
    annotation (Placement(transformation(extent={{-36,1600},{-30,1606}})));
    Library.Utilities.VariableToFile ICFV_Vol(varName="ICFV.Vol") 
    annotation (Placement(transformation(extent={{-36,1610},{-30,1616}})));
    Library.Utilities.VariableToFile Insulin(varName="InsulinPool.[Insulin]") 
    annotation (Placement(transformation(extent={{-36,1620},{-30,1626}})));
    Library.Utilities.VariableToFile IVDrip_ClRate(varName="IVDrip.ClRate") 
    annotation (Placement(transformation(extent={{-36,1630},{-30,1636}})));
    Library.Utilities.VariableToFile IVDrip_H2ORate(varName="IVDrip.H2ORate") 
    annotation (Placement(transformation(extent={{-36,1640},{-30,1646}})));
    Library.Utilities.VariableToFile IVDrip_KRate(varName="IVDrip.KRate") 
    annotation (Placement(transformation(extent={{-36,1650},{-30,1656}})));
    Library.Utilities.VariableToFile IVDrip_NaRate(varName="IVDrip.NaRate") 
    annotation (Placement(transformation(extent={{-36,1660},{-30,1666}})));
    Library.Utilities.VariableToFile KA_Change_mmol_per_min(varName="KAPool.Change[mMol/min]") 
    annotation (Placement(transformation(extent={{-36,1670},{-30,1676}})));
    Library.Utilities.VariableToFile KAPool_conc_per_liter(varName="KAPool.[KA(mMol/L)]") 
    annotation (Placement(transformation(extent={{-36,1680},{-30,1686}})));
    Library.Utilities.VariableToFile KAPool_Osmoles(varName="KAPool.Osmoles") 
    annotation (Placement(transformation(extent={{-36,1690},{-30,1696}})));
    Library.Utilities.VariableToFile KAPool(varName="KAPool.[KA(mG/dL)]") 
    annotation (Placement(transformation(extent={{-36,1700},{-30,1706}})));
    Library.Utilities.VariableToFile KCell_conc(varName="KCell.[K+(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,1710},{-30,1716}})));
    Library.Utilities.VariableToFile Kidney_Alpha_NA(varName="Kidney-Alpha.NA") 
    annotation (Placement(transformation(extent={{-36,1720},{-30,1726}})));
    Library.Utilities.VariableToFile kidney_BloodFlow(varName="Kidney-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1730},{-30,1736}})));
    Library.Utilities.VariableToFile Kidney_BloodFlow(varName="Kidney-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1740},{-30,1746}})));
    Library.Utilities.VariableToFile kidney_cLactate(varName="Kidney-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,1750},{-30,1756}})));
    Library.Utilities.VariableToFile kidney_CO2FromMetabolism(varName="Kidney-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,1760},{-30,1766}})));
    Library.Utilities.VariableToFile kidney_Fuel_FractUseDelay(varName="Kidney-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,1770},{-30,1776}})));
    Library.Utilities.VariableToFile kidney_InterstitialWater(varName="Kidney-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1780},{-30,1786}})));
    Library.Utilities.VariableToFile kidney_LactateFromMetabolism(varName="Kidney-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,1790},{-30,1796}})));
    Library.Utilities.VariableToFile Kidney_LiquidVol(varName="Kidney-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,1800},{-30,1806}})));
    Library.Utilities.VariableToFile Kidney_NephronCount_Filtering_xNormal(varName="Kidney-NephronCount.Filtering(xNormal)") 
    annotation (Placement(transformation(extent={{-36,1810},{-30,1816}})));
    Library.Utilities.VariableToFile Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)") 
    annotation (Placement(transformation(extent={{-36,1820},{-30,1826}})));
    Library.Utilities.VariableToFile kidney_O2Use(varName="Kidney-O2.O2Use") 
    annotation (Placement(transformation(extent={{-36,1830},{-30,1836}})));
    Library.Utilities.VariableToFile kidney_pH_intracellular(varName="Kidney-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,1840},{-30,1846}})));
    Library.Utilities.VariableToFile Kidney_PO2(varName="Kidney-O2.VeinPO2") 
    annotation (Placement(transformation(extent={{-36,1850},{-30,1856}})));
    Library.Utilities.VariableToFile Kidney_StructureEffect(varName="Kidney-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,1860},{-30,1866}})));
    Library.Utilities.VariableToFile kidney_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,1870},{-30,1876}})));
    Library.Utilities.VariableToFile KidneyAlpha_PT_NA(varName="Kidney-Alpha.PT_NA") 
    annotation (Placement(transformation(extent={{-36,1880},{-30,1886}})));
    Library.Utilities.VariableToFile KidneyFunctionEffect(varName="Kidney-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,1890},{-30,1896}})));
    Library.Utilities.VariableToFile KidneyO2_TubulePO2(varName="Kidney-O2.TubulePO2") 
    annotation (Placement(transformation(extent={{-36,1900},{-30,1906}})));
    Library.Utilities.VariableToFile KidneyPlasmaFlow(varName="Kidney-Flow.PlasmaFlow") 
    annotation (Placement(transformation(extent={{-36,1910},{-30,1916}})));
    Library.Utilities.VariableToFile KPool_per_liter(varName="KPool.[K+(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,1920},{-30,1926}})));
    Library.Utilities.VariableToFile LacPool_Lac_mEq_per_litre(varName="LacPool.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,1930},{-30,1936}})));
    Library.Utilities.VariableToFile LacPool_Mass_mEq(varName="LacPool.Mass") 
    annotation (Placement(transformation(extent={{-36,1940},{-30,1946}})));
    Library.Utilities.VariableToFile LactateFromTissues(varName="LacPool.Change") 
    annotation (Placement(transformation(extent={{-36,1950},{-30,1956}})));
    Library.Utilities.VariableToFile leftAtrium_TMP(varName="LeftAtrium.TMP") 
    annotation (Placement(transformation(extent={{-36,1960},{-30,1966}})));
    Library.Utilities.VariableToFile leftHeart_BloodFlow(varName="LeftHeart-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1970},{-30,1976}})));
    Library.Utilities.VariableToFile LeftHeart_BloodFlow(varName="LeftHeart-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1980},{-30,1986}})));
    Library.Utilities.VariableToFile leftHeart_cLactate(varName="LeftHeart-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,1990},{-30,1996}})));
    Library.Utilities.VariableToFile leftHeart_CO2FromMetabolism(varName="LeftHeart-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,2000},{-30,2006}})));
    Library.Utilities.VariableToFile leftHeart_Fuel_FractUseDelay(varName="LeftHeart-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,2010},{-30,2016}})));
    Library.Utilities.VariableToFile leftHeart_InterstitialWater(varName="LeftHeart-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,2020},{-30,2026}})));
    Library.Utilities.VariableToFile leftHeart_LactateFromMetabolism(varName="LeftHeart-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,2030},{-30,2036}})));
    Library.Utilities.VariableToFile LeftHeart_LiquidVol(varName="LeftHeart-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,2040},{-30,2046}})));
    Library.Utilities.VariableToFile LeftHeart_O2Need(varName="LeftHeart-Metabolism.O2Need") 
    annotation (Placement(transformation(extent={{-36,2050},{-30,2056}})));
    Library.Utilities.VariableToFile leftHeart_O2Use(varName="LeftHeart-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,2060},{-30,2066}})));
    Library.Utilities.VariableToFile leftHeart_pH_intracellular(varName="LeftHeart-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,2070},{-30,2076}})));
    Library.Utilities.VariableToFile LeftHeart_PO2(varName="LeftHeart-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,2080},{-30,2086}})));
    Library.Utilities.VariableToFile LeftHeart_StructureEffect(varName="LeftHeart-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,2090},{-30,2096}})));
    Library.Utilities.VariableToFile leftHeart_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,2100},{-30,2106}})));
    Library.Utilities.VariableToFile LegMusclePump_Effect(varName="LegMusclePump.Effect") 
    annotation (Placement(transformation(extent={{-36,2110},{-30,2116}})));
    Library.Utilities.VariableToFile Leptin(varName="LeptinPool.[Leptin(nG/mL)]") 
    annotation (Placement(transformation(extent={{-36,2120},{-30,2126}})));
    Library.Utilities.VariableToFile LH_H2O_Outflow(varName="LH_H2O.Outflow") 
    annotation (Placement(transformation(extent={{-36,2130},{-30,2136}})));
    Library.Utilities.VariableToFile LH_Na_FractReab(varName="LH_Na.FractReab") 
    annotation (Placement(transformation(extent={{-36,2140},{-30,2146}})));
    Library.Utilities.VariableToFile LH_Na_Reab(varName="LH_Na.Reab") 
    annotation (Placement(transformation(extent={{-36,2150},{-30,2156}})));
    Library.Utilities.VariableToFile LipidDeposits_Mass(varName="LipidDeposits.Mass") 
    annotation (Placement(transformation(extent={{-36,2160},{-30,2166}})));
    Library.Utilities.VariableToFile Liver_BloodFlow(varName="OrganFlow.HepaticVeinFlow") 
    annotation (Placement(transformation(extent={{-36,2170},{-30,2176}})));
    Library.Utilities.VariableToFile liver_cLactate(varName="Liver-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,2180},{-30,2186}})));
    Library.Utilities.VariableToFile liver_CO2FromMetabolism(varName="Liver-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,2190},{-30,2196}})));
    Library.Utilities.VariableToFile liver_Fuel_FractUseDelay(varName="Liver-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,2200},{-30,2206}})));
    Library.Utilities.VariableToFile liver_GlucoseToCellStorageFlow(varName="Liver-Fuel.GlucoseToCellStorageFlow") 
    annotation (Placement(transformation(extent={{-36,2210},{-30,2216}})));
    Library.Utilities.VariableToFile liver_InterstitialWater(varName="Liver-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,2220},{-30,2226}})));
    Library.Utilities.VariableToFile liver_LactateFromMetabolism(varName="Liver-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,2230},{-30,2236}})));
    Library.Utilities.VariableToFile Liver_LiquidVol(varName="Liver-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,2240},{-30,2246}})));
    Library.Utilities.VariableToFile liver_O2Use(varName="Liver-O2.O2Use") 
    annotation (Placement(transformation(extent={{-36,2250},{-30,2256}})));
    Library.Utilities.VariableToFile liver_pH_intracellular(varName="Liver-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,2260},{-30,2266}})));
    Library.Utilities.VariableToFile Liver_PO2(varName="Liver-O2.PO2") 
    annotation (Placement(transformation(extent={{-36,2270},{-30,2276}})));
    Library.Utilities.VariableToFile Liver_StructureEffect(varName="Liver-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,2280},{-30,2286}})));
    Library.Utilities.VariableToFile liver_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,2290},{-30,2296}})));
    Library.Utilities.VariableToFile LiverFunctionEffect(varName="Liver-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,2300},{-30,2306}})));
    Library.Utilities.VariableToFile LM_Insulin_InsulinDelayed(varName="LM_Insulin.[InsulinDelayed]") 
    annotation (Placement(transformation(extent={{-36,2310},{-30,2316}})));
    Library.Utilities.VariableToFile LowerTorsoArtyHeight(varName="Hydrostatics.LowerTorsoArtyGradient") 
    annotation (Placement(transformation(extent={{-36,2320},{-30,2326}})));
    Library.Utilities.VariableToFile LowerTorsoVeinHeight(varName="Hydrostatics.LowerTorsoVeinGradient") 
    annotation (Placement(transformation(extent={{-36,2330},{-30,2336}})));
    Library.Utilities.VariableToFile LT_InterstitialProtein_Mass(varName="LT_InterstitialProtein.Mass") 
    annotation (Placement(transformation(extent={{-36,2340},{-30,2346}})));
    Library.Utilities.VariableToFile LT_InterstitialWater_Vol(varName="LT_InterstitialWater.Vol") 
    annotation (Placement(transformation(extent={{-36,2350},{-30,2356}})));
    Library.Utilities.VariableToFile LT_LymphFlow(varName="LT_LymphWater.Rate") 
    annotation (Placement(transformation(extent={{-36,2360},{-30,2366}})));
    Library.Utilities.VariableToFile MD_Na(varName="MD_Na.[Na+(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,2370},{-30,2376}})));
    Library.Utilities.VariableToFile Medulla_Volume(varName="Medulla.Volume") 
    annotation (Placement(transformation(extent={{-36,2380},{-30,2386}})));
    Library.Utilities.VariableToFile MedullaNa_conc(varName="MedullaNa.[Na+]") 
    annotation (Placement(transformation(extent={{-36,2390},{-30,2396}})));
    Library.Utilities.VariableToFile MedullaNa_Osmolarity(varName="MedullaNa.Osmolarity") 
    annotation (Placement(transformation(extent={{-36,2410},{-30,2416}})));
    Library.Utilities.VariableToFile MedullaUrea_Osmolarity(varName="MedullaUrea.Osmolarity") 
    annotation (Placement(transformation(extent={{-36,2420},{-30,2426}})));
    Library.Utilities.VariableToFile MetabolicH2O_Rate(varName="MetabolicH2O.Rate") 
    annotation (Placement(transformation(extent={{-36,2430},{-30,2436}})));
    Library.Utilities.VariableToFile MT_InterstitialProtein_Mass(varName="MT_InterstitialProtein.Mass") 
    annotation (Placement(transformation(extent={{-36,2440},{-30,2446}})));
    Library.Utilities.VariableToFile MT_InterstitialWater_Vol(varName="MT_InterstitialWater.Vol") 
    annotation (Placement(transformation(extent={{-36,2450},{-30,2456}})));
    Library.Utilities.VariableToFile MT_LymphFlow(varName="MT_LymphWater.Rate") 
    annotation (Placement(transformation(extent={{-36,2460},{-30,2466}})));
    Library.Utilities.VariableToFile NephronADH(varName="NephronADH.[ADH]") 
    annotation (Placement(transformation(extent={{-36,2470},{-30,2476}})));
    Library.Utilities.VariableToFile NephronAldo_conc_in_nG_per_dl(varName="NephronAldo.[Aldo(nG/dL)]") 
    annotation (Placement(transformation(extent={{-36,2480},{-30,2486}})));
    Library.Utilities.VariableToFile NephronANP_Log10Conc(varName="NephronANP.Log10Conc") 
    annotation (Placement(transformation(extent={{-36,2490},{-30,2496}})));
    Library.Utilities.VariableToFile OsmCell_Electrolytes(varName="OsmCell.Electrolytes") 
    annotation (Placement(transformation(extent={{-36,2500},{-30,2506}})));
    Library.Utilities.VariableToFile OsmECFV_Electrolytes(varName="OsmECFV.Electrolytes") 
    annotation (Placement(transformation(extent={{-36,2510},{-30,2516}})));
    Library.Utilities.VariableToFile Osmreceptors(varName="OsmBody.[Osm]-Osmoreceptors") 
    annotation (Placement(transformation(extent={{-36,2520},{-30,2526}})));
    Library.Utilities.VariableToFile otherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,2530},{-30,2536}})));
    Library.Utilities.VariableToFile OtherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,2540},{-30,2546}})));
    Library.Utilities.VariableToFile otherTissue_cLactate(varName="OtherTissue-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,2550},{-30,2556}})));
    Library.Utilities.VariableToFile otherTissue_CO2FromMetabolism(varName="OtherTissue-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,2560},{-30,2566}})));
    Library.Utilities.VariableToFile otherTissue_Fuel_FractUseDelay(varName="OtherTissue-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,2570},{-30,2576}})));
    Library.Utilities.VariableToFile otherTissue_InterstitialWater(varName="OtherTissue-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,2580},{-30,2586}})));
    Library.Utilities.VariableToFile otherTissue_LactateFromMetabolism(varName="OtherTissue-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,2590},{-30,2596}})));
    Library.Utilities.VariableToFile OtherTissue_LiquidVol(varName="OtherTissue-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,2600},{-30,2606}})));
    Library.Utilities.VariableToFile otherTissue_O2Use(varName="OtherTissue-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,2610},{-30,2616}})));
    Library.Utilities.VariableToFile otherTissue_pH_intracellular(varName="OtherTissue-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,2620},{-30,2626}})));
    Library.Utilities.VariableToFile OtherTissue_PO2(varName="OtherTissue-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,2630},{-30,2636}})));
    Library.Utilities.VariableToFile OtherTissue_StructureEffect(varName="OtherTissue-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,2640},{-30,2646}})));
    Library.Utilities.VariableToFile otherTissue_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,2650},{-30,2656}})));
    Library.Utilities.VariableToFile OtherTissueFunctionEffect(varName="OtherTissue-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,2660},{-30,2666}})));
    Library.Utilities.VariableToFile pCO(varName="pCO") 
    annotation (Placement(transformation(extent={{-36,2670},{-30,2676}})));
    Library.Utilities.VariableToFile Pericardium_Pressure(varName="Pericardium-Cavity.Pressure") 
    annotation (Placement(transformation(extent={{-36,2680},{-30,2686}})));
    Library.Utilities.VariableToFile PeritoneumSpace_Gain(varName="PeritoneumSpace.Gain") 
    annotation (Placement(transformation(extent={{-36,2690},{-30,2696}})));
    Library.Utilities.VariableToFile PeritoneumSpace_Loss(varName="PeritoneumSpace.Loss") 
    annotation (Placement(transformation(extent={{-36,2700},{-30,2706}})));
    Library.Utilities.VariableToFile PeritoneumSpace_Vol(varName="PeritoneumSpace.Volume") 
    annotation (Placement(transformation(extent={{-36,2710},{-30,2716}})));
    Library.Utilities.VariableToFile PlasmaProtein_Mass(varName="PlasmaProtein.Mass") 
    annotation (Placement(transformation(extent={{-36,2720},{-30,2726}})));
    Library.Utilities.VariableToFile PlasmaVol_Vol(varName="PlasmaVol.Vol") 
    annotation (Placement(transformation(extent={{-36,2730},{-30,2736}})));
    Library.Utilities.VariableToFile PlasmaVol(varName="PlasmaVol.Vol") 
    annotation (Placement(transformation(extent={{-36,2740},{-30,2746}})));
    Library.Utilities.VariableToFile PortalVein_BloodFlow(varName="PortalVein.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,2750},{-30,2756}})));
    Library.Utilities.VariableToFile PortalVein_Glucagon(varName="PortalVein-Glucagon.[Glucagon]") 
    annotation (Placement(transformation(extent={{-36,2760},{-30,2766}})));
    Library.Utilities.VariableToFile PortalVein_Insulin(varName="PortalVein-Insulin.[Insulin]") 
    annotation (Placement(transformation(extent={{-36,2770},{-30,2776}})));
    Library.Utilities.VariableToFile PortalVein_PlasmaFlow(varName="PortalVein.PlasmaFlow") 
    annotation (Placement(transformation(extent={{-36,2780},{-30,2786}})));
    Library.Utilities.VariableToFile PT_Na_FractReab(varName="PT_Na.FractReab") 
    annotation (Placement(transformation(extent={{-36,2790},{-30,2796}})));
    Library.Utilities.VariableToFile PT_Na_Reab(varName="PT_Na.Reab") 
    annotation (Placement(transformation(extent={{-36,2800},{-30,2806}})));
    Library.Utilities.VariableToFile PulmCapys_Pressure(varName="PulmCapys.Pressure") 
    annotation (Placement(transformation(extent={{-36,2810},{-30,2816}})));
    Library.Utilities.VariableToFile RBCH2O_Vol(varName="RBCH2O.Vol") 
    annotation (Placement(transformation(extent={{-36,2820},{-30,2826}})));
    Library.Utilities.VariableToFile RespiratoryCenter_MotorNerveActivity(varName="RespiratoryCenter-Output.MotorNerveActivity") 
    annotation (Placement(transformation(extent={{-36,2830},{-30,2836}})));
    Library.Utilities.VariableToFile RespiratoryCenter_RespRate(varName="RespiratoryCenter-Output.Rate") 
    annotation (Placement(transformation(extent={{-36,2840},{-30,2846}})));
    Library.Utilities.VariableToFile respiratoryMuscle_BloodFlow(varName="RespiratoryMuscle-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,2850},{-30,2856}})));
    Library.Utilities.VariableToFile RespiratoryMuscle_BloodFlow(varName="RespiratoryMuscle-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,2860},{-30,2866}})));
    Library.Utilities.VariableToFile respiratoryMuscle_cLactate(varName="RespiratoryMuscle-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,2870},{-30,2876}})));
    Library.Utilities.VariableToFile respiratoryMuscle_CO2FromMetabolism(varName="RespiratoryMuscle-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,2880},{-30,2886}})));
    Library.Utilities.VariableToFile respiratoryMuscle_Fuel_FractUseDelay(varName="RespiratoryMuscle-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,2890},{-30,2896}})));
    Library.Utilities.VariableToFile respiratoryMuscle_GlucoseToCellStorageFlow(varName="RespiratoryMuscle-Glycogen.Synthesis") 
    annotation (Placement(transformation(extent={{-36,2900},{-30,2906}})));
    Library.Utilities.VariableToFile respiratoryMuscle_InterstitialWater(varName="RespiratoryMuscle-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,2910},{-30,2916}})));
    Library.Utilities.VariableToFile respiratoryMuscle_LactateFromMetabolism(varName="RespiratoryMuscle-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,2920},{-30,2926}})));
    Library.Utilities.VariableToFile RespiratoryMuscle_LiquidVol(varName="RespiratoryMuscle-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,2930},{-30,2936}})));
    Library.Utilities.VariableToFile RespiratoryMuscle_O2Need(varName="RespiratoryMuscle-Metabolism.O2Need") 
    annotation (Placement(transformation(extent={{-36,2940},{-30,2946}})));
    Library.Utilities.VariableToFile respiratoryMuscle_O2Use(varName="RespiratoryMuscle-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,2950},{-30,2956}})));
    Library.Utilities.VariableToFile respiratoryMuscle_pH_intracellular(varName="RespiratoryMuscle-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,2960},{-30,2966}})));
    Library.Utilities.VariableToFile RespiratoryMuscle_PO2(varName="RespiratoryMuscle-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,2970},{-30,2976}})));
    Library.Utilities.VariableToFile RespiratoryMuscle_StructureEffect(varName="RespiratoryMuscle-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,2980},{-30,2986}})));
    Library.Utilities.VariableToFile respiratoryMuscle_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,2990},{-30,2996}})));
    Library.Utilities.VariableToFile RespiratoryMuscleFunctionEffect(varName="RespiratoryMuscle-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,3000},{-30,3006}})));
    Library.Utilities.VariableToFile RightAtrium_Pressure(varName="RightAtrium.Pressure") 
    annotation (Placement(transformation(extent={{-36,3010},{-30,3016}})));
    Library.Utilities.VariableToFile rightAtrium_TMP(varName="RightAtrium.TMP") 
    annotation (Placement(transformation(extent={{-36,3020},{-30,3026}})));
    Library.Utilities.VariableToFile rightHeart_BloodFlow(varName="RightHeart-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,3030},{-30,3036}})));
    Library.Utilities.VariableToFile RightHeart_BloodFlow(varName="RightHeart-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,3040},{-30,3046}})));
    Library.Utilities.VariableToFile rightHeart_cLactate(varName="RightHeart-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,3050},{-30,3056}})));
    Library.Utilities.VariableToFile rightHeart_CO2FromMetabolism(varName="RightHeart-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,3060},{-30,3066}})));
    Library.Utilities.VariableToFile rightHeart_Fuel_FractUseDelay(varName="RightHeart-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,3070},{-30,3076}})));
    Library.Utilities.VariableToFile rightHeart_InterstitialWater(varName="RightHeart-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,3080},{-30,3086}})));
    Library.Utilities.VariableToFile rightHeart_LactateFromMetabolism(varName="RightHeart-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,3090},{-30,3096}})));
    Library.Utilities.VariableToFile RightHeart_LiquidVol(varName="RightHeart-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,3100},{-30,3106}})));
    Library.Utilities.VariableToFile rightHeart_O2Use(varName="RightHeart-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,3110},{-30,3116}})));
    Library.Utilities.VariableToFile rightHeart_pH_intracellular(varName="RightHeart-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,3120},{-30,3126}})));
    Library.Utilities.VariableToFile RightHeart_PO2(varName="RightHeart-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,3130},{-30,3136}})));
    Library.Utilities.VariableToFile RightHeart_StructureEffect(varName="RightHeart-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,3140},{-30,3146}})));
    Library.Utilities.VariableToFile rightHeart_T(varName="HeatCore.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,3150},{-30,3156}})));
    Library.Utilities.VariableToFile skeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,3160},{-30,3166}})));
    Library.Utilities.VariableToFile SkeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,3170},{-30,3176}})));
    Library.Utilities.VariableToFile skeletalMuscle_cLactate(varName="SkeletalMuscle-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,3180},{-30,3186}})));
    Library.Utilities.VariableToFile skeletalMuscle_CO2FromMetabolism(varName="SkeletalMuscle-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,3190},{-30,3196}})));
    Library.Utilities.VariableToFile skeletalMuscle_Fuel_FractUseDelay(varName="SkeletalMuscle-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,3200},{-30,3206}})));
    Library.Utilities.VariableToFile skeletalMuscle_GlucoseToCellStorageFlow(varName="SkeletalMuscle-Glycogen.Synthesis") 
    annotation (Placement(transformation(extent={{-36,3210},{-30,3216}})));
    Library.Utilities.VariableToFile skeletalMuscle_InterstitialWater(varName="SkeletalMuscle-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,3220},{-30,3226}})));
    Library.Utilities.VariableToFile skeletalMuscle_LactateFromMetabolism(varName="SkeletalMuscle-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,3230},{-30,3236}})));
    Library.Utilities.VariableToFile SkeletalMuscle_LiquidVol(varName="SkeletalMuscle-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,3240},{-30,3246}})));
    Library.Utilities.VariableToFile SkeletalMuscle_O2Need(varName="SkeletalMuscle-Metabolism.O2Need") 
    annotation (Placement(transformation(extent={{-36,3250},{-30,3256}})));
    Library.Utilities.VariableToFile skeletalMuscle_O2Use(varName="SkeletalMuscle-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,3260},{-30,3266}})));
    Library.Utilities.VariableToFile skeletalMuscle_pH_intracellular(varName="SkeletalMuscle-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,3270},{-30,3276}})));
    Library.Utilities.VariableToFile SkeletalMuscle_PO2(varName="SkeletalMuscle-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,3280},{-30,3286}})));
    Library.Utilities.VariableToFile skeletalMuscle_SizeMass(varName="SkeletalMuscle-Size.Mass") 
    annotation (Placement(transformation(extent={{-36,3290},{-30,3296}})));
    Library.Utilities.VariableToFile SkeletalMuscle_StructureEffect(varName="SkeletalMuscle-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,3300},{-30,3306}})));
    Library.Utilities.VariableToFile skeletalMuscle_T(varName="HeatSkeletalMuscle.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,3310},{-30,3316}})));
    Library.Utilities.VariableToFile skin_BloodFlow(varName="Skin-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,3320},{-30,3326}})));
    Library.Utilities.VariableToFile Skin_BloodFlow(varName="Skin-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,3330},{-30,3336}})));
    Library.Utilities.VariableToFile skin_cLactate(varName="Skin-Lactate.[Lac-(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,3340},{-30,3346}})));
    Library.Utilities.VariableToFile skin_CO2FromMetabolism(varName="Skin-CO2.OutflowBase") 
    annotation (Placement(transformation(extent={{-36,3350},{-30,3356}})));
    Library.Utilities.VariableToFile skin_Fuel_FractUseDelay(varName="Skin-Fuel.FractUseDelay") 
    annotation (Placement(transformation(extent={{-36,3360},{-30,3366}})));
    Library.Utilities.VariableToFile skin_InterstitialWater(varName="Skin-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,3370},{-30,3376}})));
    Library.Utilities.VariableToFile skin_LactateFromMetabolism(varName="Skin-Lactate.Outflux") 
    annotation (Placement(transformation(extent={{-36,3380},{-30,3386}})));
    Library.Utilities.VariableToFile Skin_LiquidVol(varName="Skin-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,3390},{-30,3396}})));
    Library.Utilities.VariableToFile skin_O2Use(varName="Skin-Flow.O2Use") 
    annotation (Placement(transformation(extent={{-36,3400},{-30,3406}})));
    Library.Utilities.VariableToFile skin_pH_intracellular(varName="Skin-Ph.Ph") 
    annotation (Placement(transformation(extent={{-36,3410},{-30,3416}})));
    Library.Utilities.VariableToFile Skin_PO2(varName="Skin-Flow.PO2") 
    annotation (Placement(transformation(extent={{-36,3420},{-30,3426}})));
    Library.Utilities.VariableToFile Skin_StructureEffect(varName="Skin-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,3430},{-30,3436}})));
    Library.Utilities.VariableToFile skin_T(varName="HeatSkin.Temp(C)") 
    annotation (Placement(transformation(extent={{-36,3440},{-30,3446}})));
    Library.Utilities.VariableToFile skinSizeMass(varName="Skin-Size.Mass") 
    annotation (Placement(transformation(extent={{-36,3450},{-30,3456}})));
    Library.Utilities.VariableToFile
        SplanchnicCirculation_DeoxygenatedBloodVolume(                             varName="SplanchnicVeins.Vol") 
    annotation (Placement(transformation(extent={{-36,3460},{-30,3466}})));
    Library.Utilities.VariableToFile SplanchnicVeins_Pressure(varName="SplanchnicVeins.Pressure") 
    annotation (Placement(transformation(extent={{-36,3470},{-30,3476}})));
    Library.Utilities.VariableToFile Status_Posture(varName="Status.Posture") 
    annotation (Placement(transformation(extent={{-36,3480},{-30,3486}})));
    Library.Utilities.VariableToFile SweatDuct_ClRate(varName="SweatDuct.ClOutflow") 
    annotation (Placement(transformation(extent={{-36,3490},{-30,3496}})));
    Library.Utilities.VariableToFile SweatDuct_H2OOutflow(varName="SweatDuct.H2OOutflow") 
    annotation (Placement(transformation(extent={{-36,3500},{-30,3506}})));
    Library.Utilities.VariableToFile SweatDuct_KRate(varName="SweatDuct.KOutflow") 
    annotation (Placement(transformation(extent={{-36,3510},{-30,3516}})));
    Library.Utilities.VariableToFile SweatDuct_NaRate(varName="SweatDuct.NaOutflow") 
    annotation (Placement(transformation(extent={{-36,3520},{-30,3526}})));
    Library.Utilities.VariableToFile SympsCNS_PituitaryNA(varName="SympsCNS.PituitaryNA") 
    annotation (Placement(transformation(extent={{-36,3530},{-30,3536}})));
    Library.Utilities.VariableToFile SystemicArtys_Pressure(varName="SystemicArtys.Pressure") 
    annotation (Placement(transformation(extent={{-36,3540},{-30,3546}})));
    Library.Utilities.VariableToFile ThiazidePool_Thiazide_conc(varName="ThiazidePool.[Thiazide]") 
    annotation (Placement(transformation(extent={{-36,3550},{-30,3556}})));
    Library.Utilities.VariableToFile Thorax_AvePressure(varName="Thorax.AvePressure") 
    annotation (Placement(transformation(extent={{-36,3560},{-30,3566}})));
    Library.Utilities.VariableToFile Thorax_LungInflation(varName="Thorax.LungInflation") 
    annotation (Placement(transformation(extent={{-36,3570},{-30,3576}})));
    Library.Utilities.VariableToFile ThyroidEffect(varName="Thyroid.Effect") 
    annotation (Placement(transformation(extent={{-36,3580},{-30,3586}})));
    Library.Utilities.VariableToFile Transfusion_ClRate(varName="Transfusion.ClRate") 
    annotation (Placement(transformation(extent={{-36,3590},{-30,3596}})));
    Library.Utilities.VariableToFile Transfusion_KRate(varName="Transfusion.KRate") 
    annotation (Placement(transformation(extent={{-36,3600},{-30,3606}})));
    Library.Utilities.VariableToFile Transfusion_NaRate(varName="Transfusion.NaRate") 
    annotation (Placement(transformation(extent={{-36,3610},{-30,3616}})));
    Library.Utilities.VariableToFile Transfusion_PlasmaRate(varName="Transfusion.PlasmaRate") 
    annotation (Placement(transformation(extent={{-36,3620},{-30,3626}})));
    Library.Utilities.VariableToFile Transfusion_ProteinRate(varName="Transfusion.ProteinRate") 
    annotation (Placement(transformation(extent={{-36,3630},{-30,3636}})));
    Library.Utilities.VariableToFile Transfusion_RBCRate(varName="Transfusion.RBCRate") 
    annotation (Placement(transformation(extent={{-36,3640},{-30,3646}})));
    Library.Utilities.VariableToFile UreaECF_Osmoles(varName="UreaPool.Osmoles") 
    annotation (Placement(transformation(extent={{-36,3650},{-30,3656}})));
    Library.Utilities.VariableToFile UreaICF_Osmoles(varName="UreaCell.Osmoles") 
    annotation (Placement(transformation(extent={{-36,3660},{-30,3666}})));
    Library.Utilities.VariableToFile Urine_pH(varName="Urine_pH") 
    annotation (Placement(transformation(extent={{-36,3670},{-30,3676}})));
    Library.Utilities.VariableToFile UT_InterstitialProtein_Mass(varName="UT_InterstitialProtein.Mass") 
    annotation (Placement(transformation(extent={{-36,3680},{-30,3686}})));
    Library.Utilities.VariableToFile UT_InterstitialWater_Vol(varName="UT_InterstitialWater.Vol") 
    annotation (Placement(transformation(extent={{-36,3690},{-30,3696}})));
    Library.Utilities.VariableToFile UT_LymphFlow(varName="UT_LymphWater.Rate") 
    annotation (Placement(transformation(extent={{-36,3700},{-30,3706}})));
    Library.Utilities.VariableToFile VasaRecta_Outflow(varName="VasaRecta.Outflow") 
    annotation (Placement(transformation(extent={{-36,3710},{-30,3716}})));
    Library.Utilities.VariableToFile VeinsVol(varName="VeinsVol.Vol") 
    annotation (Placement(transformation(extent={{-36,3720},{-30,3726}})));
    Library.Utilities.VariableToFile WeightCore(varName="Weight.Core") 
    annotation (Placement(transformation(extent={{-36,3730},{-30,3736}})));

    equation
    connect(A2Pool_Log10Con.y, busConnector.A2Pool_Log10Con) annotation (Line(
     points={{-36.3,13},{-13,13},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(A2Pool_Log10Conc.y, busConnector.A2Pool_Log10Conc) annotation (Line(
     points={{-36.3,23},{-13,23},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ADH.y, busConnector.ADH) annotation (Line(
     points={{-36.3,33},{-13,33},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ADHPool_Log10Conc.y, busConnector.ADHPool_Log10Conc) annotation (Line(
     points={{-36.3,43},{-13,43},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AdrenalNerve_NA.y, busConnector.AdrenalNerve_NA) annotation (Line(
     points={{-36.3,53},{-13,53},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AirSupplyInspiredAirPressure.y, busConnector.AirSupplyInspiredAirPressure) annotation (Line(
     points={{-36.3,63},{-13,63},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Aldo_conc_in_nG_per_dl.y, busConnector.Aldo_conc_in_nG_per_dl) annotation (Line(
     points={{-36.3,73},{-13,73},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AldoPool_Aldo.y, busConnector.AldoPool_Aldo) annotation (Line(
     points={{-36.3,83},{-13,83},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AlphaBlocade_Effect.y, busConnector.AlphaBlocade_Effect) annotation (Line(
     points={{-36.3,93},{-13,93},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AlphaPool_Effect.y, busConnector.AlphaPool_Effect) annotation (Line(
     points={{-36.3,103},{-13,103},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
     points={{-36.3,113},{-13,113},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Anesthesia_VascularConductance.y, busConnector.Anesthesia_VascularConductance) annotation (Line(
     points={{-36.3,123},{-13,123},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AnesthesiaTidalVolume.y, busConnector.AnesthesiaTidalVolume) annotation (Line(
     points={{-36.3,133},{-13,133},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ANPPool_Log10Conc.y, busConnector.ANPPool_Log10Conc) annotation (Line(
     points={{-36.3,143},{-13,143},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
     points={{-36.3,153},{-13,153},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ArtysVol.y, busConnector.ArtysVol) annotation (Line(
     points={{-36.3,163},{-13,163},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BarometerPressure.y, busConnector.BarometerPressure) annotation (Line(
     points={{-36.3,173},{-13,173},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BetaBlocade_Effect.y, busConnector.BetaBlocade_Effect) annotation (Line(
     points={{-36.3,183},{-13,183},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BetaPool_Effect.y, busConnector.BetaPool_Effect) annotation (Line(
     points={{-36.3,193},{-13,193},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-36.3,203},{-13,203},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{-36.3,213},{-13,213},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
     points={{-36.3,223},{-13,223},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodIons_Cations.y, busConnector.BloodIons_Cations) annotation (Line(
     points={{-36.3,233},{-13,233},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) annotation (Line(
     points={{-36.3,243},{-13,243},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodPh_ArtysPh.y, busConnector.BloodPh_ArtysPh) annotation (Line(
     points={{-36.3,253},{-13,253},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodVol_Hct.y, busConnector.BloodVol_Hct) annotation (Line(
     points={{-36.3,263},{-13,263},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
     points={{-36.3,273},{-13,273},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BodyH2O_Vol.y, busConnector.BodyH2O_Vol) annotation (Line(
     points={{-36.3,283},{-13,283},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_BloodFlow.y, busConnector.bone_BloodFlow) annotation (Line(
     points={{-36.3,293},{-13,293},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_BloodFlow.y, busConnector.Bone_BloodFlow) annotation (Line(
     points={{-36.3,303},{-13,303},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_cLactate.y, busConnector.bone_cLactate) annotation (Line(
     points={{-36.3,313},{-13,313},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_CO2FromMetabolism.y, busConnector.bone_CO2FromMetabolism) annotation (Line(
     points={{-36.3,323},{-13,323},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_Fuel_FractUseDelay.y, busConnector.bone_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,333},{-13,333},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
     points={{-36.3,343},{-13,343},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_LactateFromMetabolism.y, busConnector.bone_LactateFromMetabolism) annotation (Line(
     points={{-36.3,353},{-13,353},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
     points={{-36.3,363},{-13,363},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_O2Use.y, busConnector.bone_O2Use) annotation (Line(
     points={{-36.3,373},{-13,373},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_pH_intracellular.y, busConnector.bone_pH_intracellular) annotation (Line(
     points={{-36.3,383},{-13,383},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_PO2.y, busConnector.Bone_PO2) annotation (Line(
     points={{-36.3,393},{-13,393},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_StructureEffect.y, busConnector.Bone_StructureEffect) annotation (Line(
     points={{-36.3,403},{-13,403},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_T.y, busConnector.bone_T) annotation (Line(
     points={{-36.3,413},{-13,413},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_BloodFlow.y, busConnector.brain_BloodFlow) annotation (Line(
     points={{-36.3,423},{-13,423},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_BloodFlow.y, busConnector.Brain_BloodFlow) annotation (Line(
     points={{-36.3,433},{-13,433},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_cLactate.y, busConnector.brain_cLactate) annotation (Line(
     points={{-36.3,443},{-13,443},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_CO2FromMetabolism.y, busConnector.brain_CO2FromMetabolism) annotation (Line(
     points={{-36.3,453},{-13,453},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_Fuel_FractUseDelay.y, busConnector.brain_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,463},{-13,463},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_FunctionEffect.y, busConnector.brain_FunctionEffect) annotation (Line(
     points={{-36.3,473},{-13,473},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
     points={{-36.3,483},{-13,483},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_LactateFromMetabolism.y, busConnector.brain_LactateFromMetabolism) annotation (Line(
     points={{-36.3,493},{-13,493},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
     points={{-36.3,503},{-13,503},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_O2Use.y, busConnector.brain_O2Use) annotation (Line(
     points={{-36.3,513},{-13,513},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_PCO2.y, busConnector.Brain_PCO2) annotation (Line(
     points={{-36.3,523},{-13,523},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_pH_intracellular.y, busConnector.brain_pH_intracellular) annotation (Line(
     points={{-36.3,533},{-13,533},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_PO2.y, busConnector.Brain_PO2) annotation (Line(
     points={{-36.3,543},{-13,543},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_StructureEffect.y, busConnector.Brain_StructureEffect) annotation (Line(
     points={{-36.3,553},{-13,553},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_T.y, busConnector.brain_T) annotation (Line(
     points={{-36.3,563},{-13,563},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BreathingTotalVentilation.y, busConnector.BreathingTotalVentilation) annotation (Line(
     points={{-36.3,573},{-13,573},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CardiacOutput.y, busConnector.CardiacOutput) annotation (Line(
     points={{-36.3,583},{-13,583},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CarotidSinusArteryPressure.y, busConnector.CarotidSinusArteryPressure) annotation (Line(
     points={{-36.3,593},{-13,593},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CarotidSinusHeight.y, busConnector.CarotidSinusHeight) annotation (Line(
     points={{-36.3,603},{-13,603},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_Glucose_Outflow.y, busConnector.CD_Glucose_Outflow) annotation (Line(
     points={{-36.3,613},{-13,613},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
     points={{-36.3,623},{-13,623},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_H2O_Reab.y, busConnector.CD_H2O_Reab) annotation (Line(
     points={{-36.3,633},{-13,633},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_K_Outflow.y, busConnector.CD_K_Outflow) annotation (Line(
     points={{-36.3,643},{-13,643},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
     points={{-36.3,653},{-13,653},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_Na_Outflow.y, busConnector.CD_Na_Outflow) annotation (Line(
     points={{-36.3,663},{-13,663},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_NH4_Outflow.y, busConnector.CD_NH4_Outflow) annotation (Line(
     points={{-36.3,673},{-13,673},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
     points={{-36.3,683},{-13,683},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(cDPG.y, busConnector.cDPG) annotation (Line(
     points={{-36.3,693},{-13,693},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CellH2O_Vol.y, busConnector.CellH2O_Vol) annotation (Line(
     points={{-36.3,703},{-13,703},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CellProtein_Mass.y, busConnector.CellProtein_Mass) annotation (Line(
     points={{-36.3,713},{-13,713},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
     points={{-36.3,723},{-13,723},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(core_T.y, busConnector.core_T) annotation (Line(
     points={{-36.3,733},{-13,733},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
     points={{-36.3,743},{-13,743},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
     points={{-36.3,753},{-13,753},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctHb_ery.y, busConnector.ctHb_ery) annotation (Line(
     points={{-36.3,763},{-13,763},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctHb.y, busConnector.ctHb) annotation (Line(
     points={{-36.3,773},{-13,773},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
     points={{-36.3,783},{-13,783},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DialyzerActivity_Cl_Flux.y, busConnector.DialyzerActivity_Cl_Flux) annotation (Line(
     points={{-36.3,793},{-13,793},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DialyzerActivity_K_Flux.y, busConnector.DialyzerActivity_K_Flux) annotation (Line(
     points={{-36.3,803},{-13,803},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DialyzerActivity_Na_Flux.y, busConnector.DialyzerActivity_Na_Flux) annotation (Line(
     points={{-36.3,813},{-13,813},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK) annotation (Line(
     points={{-36.3,823},{-13,823},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_Cl.y, busConnector.DietIntakeElectrolytes_Cl) annotation (Line(
     points={{-36.3,833},{-13,833},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_K.y, busConnector.DietIntakeElectrolytes_K) annotation (Line(
     points={{-36.3,843},{-13,843},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_Na.y, busConnector.DietIntakeElectrolytes_Na) annotation (Line(
     points={{-36.3,853},{-13,853},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_PO4.y, busConnector.DietIntakeElectrolytes_PO4) annotation (Line(
     points={{-36.3,863},{-13,863},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeElectrolytes_SO4.y, busConnector.DietIntakeElectrolytes_SO4) annotation (Line(
     points={{-36.3,873},{-13,873},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
     points={{-36.3,883},{-13,883},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_Na_Outflow.y, busConnector.DT_Na_Outflow) annotation (Line(
     points={{-36.3,893},{-13,893},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_Na_Reab.y, busConnector.DT_Na_Reab) annotation (Line(
     points={{-36.3,903},{-13,903},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
     points={{-36.3,913},{-13,913},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(EpiPool_Epi.y, busConnector.EpiPool_Epi) annotation (Line(
     points={{-36.3,923},{-13,923},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(EPOPool_Log10Conc.y, busConnector.EPOPool_Log10Conc) annotation (Line(
     points={{-36.3,933},{-13,933},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExcessLungWater_Volume.y, busConnector.ExcessLungWater_Volume) annotation (Line(
     points={{-36.3,943},{-13,943},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Exercise_Metabolism_ContractionRate.y, busConnector.Exercise_Metabolism_ContractionRate) annotation (Line(
     points={{-36.3,953},{-13,953},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Exercise_Metabolism_MotionWatts.y, busConnector.Exercise_Metabolism_MotionWatts) annotation (Line(
     points={{-36.3,963},{-13,963},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Exercise_MusclePump_Effect.y, busConnector.Exercise_MusclePump_Effect) annotation (Line(
     points={{-36.3,973},{-13,973},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
     points={{-36.3,983},{-13,983},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_TotalWatts.y, busConnector.ExerciseMetabolism_TotalWatts) annotation (Line(
     points={{-36.3,993},{-13,993},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_BloodFlow.y, busConnector.fat_BloodFlow) annotation (Line(
     points={{-36.3,1003},{-13,1003},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_BloodFlow.y, busConnector.Fat_BloodFlow) annotation (Line(
     points={{-36.3,1013},{-13,1013},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_cLactate.y, busConnector.fat_cLactate) annotation (Line(
     points={{-36.3,1023},{-13,1023},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_CO2FromMetabolism.y, busConnector.fat_CO2FromMetabolism) annotation (Line(
     points={{-36.3,1033},{-13,1033},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_Fuel_FractUseDelay.y, busConnector.fat_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,1043},{-13,1043},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
     points={{-36.3,1053},{-13,1053},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_LactateFromMetabolism.y, busConnector.fat_LactateFromMetabolism) annotation (Line(
     points={{-36.3,1063},{-13,1063},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
     points={{-36.3,1073},{-13,1073},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_O2Use.y, busConnector.fat_O2Use) annotation (Line(
     points={{-36.3,1083},{-13,1083},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_pH_intracellular.y, busConnector.fat_pH_intracellular) annotation (Line(
     points={{-36.3,1093},{-13,1093},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_PO2.y, busConnector.Fat_PO2) annotation (Line(
     points={{-36.3,1103},{-13,1103},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_StructureEffect.y, busConnector.Fat_StructureEffect) annotation (Line(
     points={{-36.3,1113},{-13,1113},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_T.y, busConnector.fat_T) annotation (Line(
     points={{-36.3,1123},{-13,1123},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FatFunctionEffect.y, busConnector.FatFunctionEffect) annotation (Line(
     points={{-36.3,1133},{-13,1133},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FHbF.y, busConnector.FHbF) annotation (Line(
     points={{-36.3,1143},{-13,1143},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FMetHb.y, busConnector.FMetHb) annotation (Line(
     points={{-36.3,1153},{-13,1153},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FurosemidePool_Furosemide_conc.y, busConnector.FurosemidePool_Furosemide_conc) annotation (Line(
     points={{-36.3,1163},{-13,1163},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FurosemidePool_Loss.y, busConnector.FurosemidePool_Loss) annotation (Line(
     points={{-36.3,1173},{-13,1173},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Gravity_Gz.y, busConnector.Gravity_Gz) annotation (Line(
     points={{-36.3,1183},{-13,1183},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GangliaGeneral_NA.y, busConnector.GangliaGeneral_NA) annotation (Line(
     points={{-36.3,1193},{-13,1193},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GangliaKidney_NA.y, busConnector.GangliaKidney_NA) annotation (Line(
     points={{-36.3,1203},{-13,1203},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenDiarrhea_KLoss.y, busConnector.GILumenDiarrhea_KLoss) annotation (Line(
     points={{-36.3,1213},{-13,1213},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenDiarrhea_NaLoss.y, busConnector.GILumenDiarrhea_NaLoss) annotation (Line(
     points={{-36.3,1223},{-13,1223},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenPotassium_Mass.y, busConnector.GILumenPotassium_Mass) annotation (Line(
     points={{-36.3,1233},{-13,1233},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenSodium_Mass.y, busConnector.GILumenSodium_Mass) annotation (Line(
     points={{-36.3,1243},{-13,1243},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Absorption.y, busConnector.GILumenVolume_Absorption) annotation (Line(
     points={{-36.3,1253},{-13,1253},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) annotation (Line(
     points={{-36.3,1263},{-13,1263},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-36.3,1273},{-13,1273},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVomitus_ClLoss.y, busConnector.GILumenVomitus_ClLoss) annotation (Line(
     points={{-36.3,1283},{-13,1283},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
     points={{-36.3,1293},{-13,1293},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_cLactate.y, busConnector.GITract_cLactate) annotation (Line(
     points={{-36.3,1303},{-13,1303},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_CO2FromMetabolism.y, busConnector.GITract_CO2FromMetabolism) annotation (Line(
     points={{-36.3,1313},{-13,1313},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_Fuel_FractUseDelay.y, busConnector.GITract_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,1323},{-13,1323},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
     points={{-36.3,1333},{-13,1333},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_LactateFromMetabolism.y, busConnector.GITract_LactateFromMetabolism) annotation (Line(
     points={{-36.3,1343},{-13,1343},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
     points={{-36.3,1353},{-13,1353},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_O2Use.y, busConnector.GITract_O2Use) annotation (Line(
     points={{-36.3,1363},{-13,1363},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_pH_intracellular.y, busConnector.GITract_pH_intracellular) annotation (Line(
     points={{-36.3,1373},{-13,1373},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_PO2.y, busConnector.GITract_PO2) annotation (Line(
     points={{-36.3,1383},{-13,1383},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_StructureEffect.y, busConnector.GITract_StructureEffect) annotation (Line(
     points={{-36.3,1393},{-13,1393},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_T.y, busConnector.GITract_T) annotation (Line(
     points={{-36.3,1403},{-13,1403},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITractFunctionEffect.y, busConnector.GITractFunctionEffect) annotation (Line(
     points={{-36.3,1413},{-13,1413},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
     points={{-36.3,1423},{-13,1423},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GlomerulusBloodPressure.y, busConnector.GlomerulusBloodPressure) annotation (Line(
     points={{-36.3,1433},{-13,1433},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GlomerulusFiltrate_GFR.y, busConnector.GlomerulusFiltrate_GFR) annotation (Line(
     points={{-36.3,1443},{-13,1443},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
     points={{-36.3,1453},{-13,1453},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glucose.y, busConnector.Glucose) annotation (Line(
     points={{-36.3,1463},{-13,1463},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GlucoseECF_Osmoles.y, busConnector.GlucoseECF_Osmoles) annotation (Line(
     points={{-36.3,1473},{-13,1473},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeartVentricleRate.y, busConnector.HeartVentricleRate) annotation (Line(
     points={{-36.3,1483},{-13,1483},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
     points={{-36.3,1493},{-13,1493},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatInsensibleLung_H2O.y, busConnector.HeatInsensibleLung_H2O) annotation (Line(
     points={{-36.3,1503},{-13,1503},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatInsensibleSkin_H2O.y, busConnector.HeatInsensibleSkin_H2O) annotation (Line(
     points={{-36.3,1513},{-13,1513},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_ClRate.y, busConnector.Hemorrhage_ClRate) annotation (Line(
     points={{-36.3,1523},{-13,1523},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_KRate.y, busConnector.Hemorrhage_KRate) annotation (Line(
     points={{-36.3,1533},{-13,1533},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_NaRate.y, busConnector.Hemorrhage_NaRate) annotation (Line(
     points={{-36.3,1543},{-13,1543},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_PlasmaRate.y, busConnector.Hemorrhage_PlasmaRate) annotation (Line(
     points={{-36.3,1553},{-13,1553},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_ProteinRate.y, busConnector.Hemorrhage_ProteinRate) annotation (Line(
     points={{-36.3,1563},{-13,1563},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Hemorrhage_RBCRate.y, busConnector.Hemorrhage_RBCRate) annotation (Line(
     points={{-36.3,1573},{-13,1573},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
     points={{-36.3,1583},{-13,1583},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity) annotation (Line(
     points={{-36.3,1593},{-13,1593},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HypothalamusSkinFlow_NervesActivity.y, busConnector.HypothalamusSkinFlow_NervesActivity) annotation (Line(
     points={{-36.3,1603},{-13,1603},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
     points={{-36.3,1613},{-13,1613},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Insulin.y, busConnector.Insulin) annotation (Line(
     points={{-36.3,1623},{-13,1623},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(IVDrip_ClRate.y, busConnector.IVDrip_ClRate) annotation (Line(
     points={{-36.3,1633},{-13,1633},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(IVDrip_H2ORate.y, busConnector.IVDrip_H2ORate) annotation (Line(
     points={{-36.3,1643},{-13,1643},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(IVDrip_KRate.y, busConnector.IVDrip_KRate) annotation (Line(
     points={{-36.3,1653},{-13,1653},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(IVDrip_NaRate.y, busConnector.IVDrip_NaRate) annotation (Line(
     points={{-36.3,1663},{-13,1663},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KA_Change_mmol_per_min.y, busConnector.KA_Change_mmol_per_min) annotation (Line(
     points={{-36.3,1673},{-13,1673},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool_conc_per_liter.y, busConnector.KAPool_conc_per_liter) annotation (Line(
     points={{-36.3,1683},{-13,1683},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool_Osmoles.y, busConnector.KAPool_Osmoles) annotation (Line(
     points={{-36.3,1693},{-13,1693},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KAPool.y, busConnector.KAPool) annotation (Line(
     points={{-36.3,1703},{-13,1703},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
     points={{-36.3,1713},{-13,1713},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_Alpha_NA.y, busConnector.Kidney_Alpha_NA) annotation (Line(
     points={{-36.3,1723},{-13,1723},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_BloodFlow.y, busConnector.kidney_BloodFlow) annotation (Line(
     points={{-36.3,1733},{-13,1733},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_BloodFlow.y, busConnector.Kidney_BloodFlow) annotation (Line(
     points={{-36.3,1743},{-13,1743},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_cLactate.y, busConnector.kidney_cLactate) annotation (Line(
     points={{-36.3,1753},{-13,1753},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_CO2FromMetabolism.y, busConnector.kidney_CO2FromMetabolism) annotation (Line(
     points={{-36.3,1763},{-13,1763},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_Fuel_FractUseDelay.y, busConnector.kidney_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,1773},{-13,1773},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
     points={{-36.3,1783},{-13,1783},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_LactateFromMetabolism.y, busConnector.kidney_LactateFromMetabolism) annotation (Line(
     points={{-36.3,1793},{-13,1793},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
     points={{-36.3,1803},{-13,1803},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_NephronCount_Filtering_xNormal.y, busConnector.Kidney_NephronCount_Filtering_xNormal) annotation (Line(
     points={{-36.3,1813},{-13,1813},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
     points={{-36.3,1823},{-13,1823},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_O2Use.y, busConnector.kidney_O2Use) annotation (Line(
     points={{-36.3,1833},{-13,1833},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_pH_intracellular.y, busConnector.kidney_pH_intracellular) annotation (Line(
     points={{-36.3,1843},{-13,1843},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_PO2.y, busConnector.Kidney_PO2) annotation (Line(
     points={{-36.3,1853},{-13,1853},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_StructureEffect.y, busConnector.Kidney_StructureEffect) annotation (Line(
     points={{-36.3,1863},{-13,1863},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_T.y, busConnector.kidney_T) annotation (Line(
     points={{-36.3,1873},{-13,1873},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
     points={{-36.3,1883},{-13,1883},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyFunctionEffect.y, busConnector.KidneyFunctionEffect) annotation (Line(
     points={{-36.3,1893},{-13,1893},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyO2_TubulePO2.y, busConnector.KidneyO2_TubulePO2) annotation (Line(
     points={{-36.3,1903},{-13,1903},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KidneyPlasmaFlow.y, busConnector.KidneyPlasmaFlow) annotation (Line(
     points={{-36.3,1913},{-13,1913},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KPool_per_liter.y, busConnector.KPool_per_liter) annotation (Line(
     points={{-36.3,1923},{-13,1923},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Lac_mEq_per_litre.y, busConnector.LacPool_Lac_mEq_per_litre) annotation (Line(
     points={{-36.3,1933},{-13,1933},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LacPool_Mass_mEq.y, busConnector.LacPool_Mass_mEq) annotation (Line(
     points={{-36.3,1943},{-13,1943},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LactateFromTissues.y, busConnector.LactateFromTissues) annotation (Line(
     points={{-36.3,1953},{-13,1953},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftAtrium_TMP.y, busConnector.leftAtrium_TMP) annotation (Line(
     points={{-36.3,1963},{-13,1963},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_BloodFlow.y, busConnector.leftHeart_BloodFlow) annotation (Line(
     points={{-36.3,1973},{-13,1973},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_BloodFlow.y, busConnector.LeftHeart_BloodFlow) annotation (Line(
     points={{-36.3,1983},{-13,1983},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_cLactate.y, busConnector.leftHeart_cLactate) annotation (Line(
     points={{-36.3,1993},{-13,1993},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_CO2FromMetabolism.y, busConnector.leftHeart_CO2FromMetabolism) annotation (Line(
     points={{-36.3,2003},{-13,2003},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_Fuel_FractUseDelay.y, busConnector.leftHeart_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,2013},{-13,2013},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
     points={{-36.3,2023},{-13,2023},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_LactateFromMetabolism.y, busConnector.leftHeart_LactateFromMetabolism) annotation (Line(
     points={{-36.3,2033},{-13,2033},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
     points={{-36.3,2043},{-13,2043},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_O2Need.y, busConnector.LeftHeart_O2Need) annotation (Line(
     points={{-36.3,2053},{-13,2053},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_O2Use.y, busConnector.leftHeart_O2Use) annotation (Line(
     points={{-36.3,2063},{-13,2063},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_pH_intracellular.y, busConnector.leftHeart_pH_intracellular) annotation (Line(
     points={{-36.3,2073},{-13,2073},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_PO2.y, busConnector.LeftHeart_PO2) annotation (Line(
     points={{-36.3,2083},{-13,2083},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_StructureEffect.y, busConnector.LeftHeart_StructureEffect) annotation (Line(
     points={{-36.3,2093},{-13,2093},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_T.y, busConnector.leftHeart_T) annotation (Line(
     points={{-36.3,2103},{-13,2103},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LegMusclePump_Effect.y, busConnector.LegMusclePump_Effect) annotation (Line(
     points={{-36.3,2113},{-13,2113},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Leptin.y, busConnector.Leptin) annotation (Line(
     points={{-36.3,2123},{-13,2123},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LH_H2O_Outflow.y, busConnector.LH_H2O_Outflow) annotation (Line(
     points={{-36.3,2133},{-13,2133},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LH_Na_FractReab.y, busConnector.LH_Na_FractReab) annotation (Line(
     points={{-36.3,2143},{-13,2143},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LH_Na_Reab.y, busConnector.LH_Na_Reab) annotation (Line(
     points={{-36.3,2153},{-13,2153},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LipidDeposits_Mass.y, busConnector.LipidDeposits_Mass) annotation (Line(
     points={{-36.3,2163},{-13,2163},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
     points={{-36.3,2173},{-13,2173},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_cLactate.y, busConnector.liver_cLactate) annotation (Line(
     points={{-36.3,2183},{-13,2183},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_CO2FromMetabolism.y, busConnector.liver_CO2FromMetabolism) annotation (Line(
     points={{-36.3,2193},{-13,2193},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_Fuel_FractUseDelay.y, busConnector.liver_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,2203},{-13,2203},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_GlucoseToCellStorageFlow.y, busConnector.liver_GlucoseToCellStorageFlow) annotation (Line(
     points={{-36.3,2213},{-13,2213},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
     points={{-36.3,2223},{-13,2223},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_LactateFromMetabolism.y, busConnector.liver_LactateFromMetabolism) annotation (Line(
     points={{-36.3,2233},{-13,2233},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
     points={{-36.3,2243},{-13,2243},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_O2Use.y, busConnector.liver_O2Use) annotation (Line(
     points={{-36.3,2253},{-13,2253},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_pH_intracellular.y, busConnector.liver_pH_intracellular) annotation (Line(
     points={{-36.3,2263},{-13,2263},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_PO2.y, busConnector.Liver_PO2) annotation (Line(
     points={{-36.3,2273},{-13,2273},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_StructureEffect.y, busConnector.Liver_StructureEffect) annotation (Line(
     points={{-36.3,2283},{-13,2283},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_T.y, busConnector.liver_T) annotation (Line(
     points={{-36.3,2293},{-13,2293},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect.y, busConnector.LiverFunctionEffect) annotation (Line(
     points={{-36.3,2303},{-13,2303},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LM_Insulin_InsulinDelayed.y, busConnector.LM_Insulin_InsulinDelayed) annotation (Line(
     points={{-36.3,2313},{-13,2313},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LowerTorsoArtyHeight.y, busConnector.LowerTorsoArtyHeight) annotation (Line(
     points={{-36.3,2323},{-13,2323},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LowerTorsoVeinHeight.y, busConnector.LowerTorsoVeinHeight) annotation (Line(
     points={{-36.3,2333},{-13,2333},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LT_InterstitialProtein_Mass.y, busConnector.LT_InterstitialProtein_Mass) annotation (Line(
     points={{-36.3,2343},{-13,2343},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LT_InterstitialWater_Vol.y, busConnector.LT_InterstitialWater_Vol) annotation (Line(
     points={{-36.3,2353},{-13,2353},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LT_LymphFlow.y, busConnector.LT_LymphFlow) annotation (Line(
     points={{-36.3,2363},{-13,2363},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MD_Na.y, busConnector.MD_Na) annotation (Line(
     points={{-36.3,2373},{-13,2373},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{-36.3,2383},{-13,2383},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MedullaNa_conc.y, busConnector.MedullaNa_conc) annotation (Line(
     points={{-36.3,2393},{-13,2393},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MedullaNa_conc.y, busConnector.MedullaNa_conc) annotation (Line(
     points={{-36.3,2393},{-13,2393},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MedullaNa_Osmolarity.y, busConnector.MedullaNa_Osmolarity) annotation (Line(
     points={{-36.3,2413},{-13,2413},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MedullaUrea_Osmolarity.y, busConnector.MedullaUrea_Osmolarity) annotation (Line(
     points={{-36.3,2423},{-13,2423},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MetabolicH2O_Rate.y, busConnector.MetabolicH2O_Rate) annotation (Line(
     points={{-36.3,2433},{-13,2433},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MT_InterstitialProtein_Mass.y, busConnector.MT_InterstitialProtein_Mass) annotation (Line(
     points={{-36.3,2443},{-13,2443},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MT_InterstitialWater_Vol.y, busConnector.MT_InterstitialWater_Vol) annotation (Line(
     points={{-36.3,2453},{-13,2453},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(MT_LymphFlow.y, busConnector.MT_LymphFlow) annotation (Line(
     points={{-36.3,2463},{-13,2463},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronADH.y, busConnector.NephronADH) annotation (Line(
     points={{-36.3,2473},{-13,2473},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronAldo_conc_in_nG_per_dl.y, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (Line(
     points={{-36.3,2483},{-13,2483},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(NephronANP_Log10Conc.y, busConnector.NephronANP_Log10Conc) annotation (Line(
     points={{-36.3,2493},{-13,2493},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OsmCell_Electrolytes.y, busConnector.OsmCell_Electrolytes) annotation (Line(
     points={{-36.3,2503},{-13,2503},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OsmECFV_Electrolytes.y, busConnector.OsmECFV_Electrolytes) annotation (Line(
     points={{-36.3,2513},{-13,2513},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Osmreceptors.y, busConnector.Osmreceptors) annotation (Line(
     points={{-36.3,2523},{-13,2523},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_BloodFlow.y, busConnector.otherTissue_BloodFlow) annotation (Line(
     points={{-36.3,2533},{-13,2533},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_BloodFlow.y, busConnector.OtherTissue_BloodFlow) annotation (Line(
     points={{-36.3,2543},{-13,2543},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_cLactate.y, busConnector.otherTissue_cLactate) annotation (Line(
     points={{-36.3,2553},{-13,2553},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_CO2FromMetabolism.y, busConnector.otherTissue_CO2FromMetabolism) annotation (Line(
     points={{-36.3,2563},{-13,2563},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_Fuel_FractUseDelay.y, busConnector.otherTissue_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,2573},{-13,2573},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
     points={{-36.3,2583},{-13,2583},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_LactateFromMetabolism.y, busConnector.otherTissue_LactateFromMetabolism) annotation (Line(
     points={{-36.3,2593},{-13,2593},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
     points={{-36.3,2603},{-13,2603},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_O2Use.y, busConnector.otherTissue_O2Use) annotation (Line(
     points={{-36.3,2613},{-13,2613},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_pH_intracellular.y, busConnector.otherTissue_pH_intracellular) annotation (Line(
     points={{-36.3,2623},{-13,2623},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_PO2.y, busConnector.OtherTissue_PO2) annotation (Line(
     points={{-36.3,2633},{-13,2633},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_StructureEffect.y, busConnector.OtherTissue_StructureEffect) annotation (Line(
     points={{-36.3,2643},{-13,2643},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_T.y, busConnector.otherTissue_T) annotation (Line(
     points={{-36.3,2653},{-13,2653},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissueFunctionEffect.y, busConnector.OtherTissueFunctionEffect) annotation (Line(
     points={{-36.3,2663},{-13,2663},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(pCO.y, busConnector.pCO) annotation (Line(
     points={{-36.3,2673},{-13,2673},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Pericardium_Pressure.y, busConnector.Pericardium_Pressure) annotation (Line(
     points={{-36.3,2683},{-13,2683},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PeritoneumSpace_Gain.y, busConnector.PeritoneumSpace_Gain) annotation (Line(
     points={{-36.3,2693},{-13,2693},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PeritoneumSpace_Loss.y, busConnector.PeritoneumSpace_Loss) annotation (Line(
     points={{-36.3,2703},{-13,2703},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PeritoneumSpace_Vol.y, busConnector.PeritoneumSpace_Vol) annotation (Line(
     points={{-36.3,2713},{-13,2713},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PlasmaProtein_Mass.y, busConnector.PlasmaProtein_Mass) annotation (Line(
     points={{-36.3,2723},{-13,2723},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PlasmaVol_Vol.y, busConnector.PlasmaVol_Vol) annotation (Line(
     points={{-36.3,2733},{-13,2733},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PlasmaVol.y, busConnector.PlasmaVol) annotation (Line(
     points={{-36.3,2743},{-13,2743},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_BloodFlow.y, busConnector.PortalVein_BloodFlow) annotation (Line(
     points={{-36.3,2753},{-13,2753},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
     points={{-36.3,2763},{-13,2763},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
     points={{-36.3,2773},{-13,2773},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_PlasmaFlow.y, busConnector.PortalVein_PlasmaFlow) annotation (Line(
     points={{-36.3,2783},{-13,2783},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PT_Na_FractReab.y, busConnector.PT_Na_FractReab) annotation (Line(
     points={{-36.3,2793},{-13,2793},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PT_Na_Reab.y, busConnector.PT_Na_Reab) annotation (Line(
     points={{-36.3,2803},{-13,2803},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PulmCapys_Pressure.y, busConnector.PulmCapys_Pressure) annotation (Line(
     points={{-36.3,2813},{-13,2813},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RBCH2O_Vol.y, busConnector.RBCH2O_Vol) annotation (Line(
     points={{-36.3,2823},{-13,2823},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_MotorNerveActivity.y, busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
     points={{-36.3,2833},{-13,2833},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_RespRate.y, busConnector.RespiratoryCenter_RespRate) annotation (Line(
     points={{-36.3,2843},{-13,2843},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_BloodFlow.y, busConnector.respiratoryMuscle_BloodFlow) annotation (Line(
     points={{-36.3,2853},{-13,2853},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_BloodFlow.y, busConnector.RespiratoryMuscle_BloodFlow) annotation (Line(
     points={{-36.3,2863},{-13,2863},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_cLactate.y, busConnector.respiratoryMuscle_cLactate) annotation (Line(
     points={{-36.3,2873},{-13,2873},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_CO2FromMetabolism.y, busConnector.respiratoryMuscle_CO2FromMetabolism) annotation (Line(
     points={{-36.3,2883},{-13,2883},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_Fuel_FractUseDelay.y, busConnector.respiratoryMuscle_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,2893},{-13,2893},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_GlucoseToCellStorageFlow.y, busConnector.respiratoryMuscle_GlucoseToCellStorageFlow) annotation (Line(
     points={{-36.3,2903},{-13,2903},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
     points={{-36.3,2913},{-13,2913},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_LactateFromMetabolism.y, busConnector.respiratoryMuscle_LactateFromMetabolism) annotation (Line(
     points={{-36.3,2923},{-13,2923},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
     points={{-36.3,2933},{-13,2933},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_O2Need.y, busConnector.RespiratoryMuscle_O2Need) annotation (Line(
     points={{-36.3,2943},{-13,2943},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_O2Use.y, busConnector.respiratoryMuscle_O2Use) annotation (Line(
     points={{-36.3,2953},{-13,2953},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_pH_intracellular.y, busConnector.respiratoryMuscle_pH_intracellular) annotation (Line(
     points={{-36.3,2963},{-13,2963},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_PO2.y, busConnector.RespiratoryMuscle_PO2) annotation (Line(
     points={{-36.3,2973},{-13,2973},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_StructureEffect.y, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
     points={{-36.3,2983},{-13,2983},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_T.y, busConnector.respiratoryMuscle_T) annotation (Line(
     points={{-36.3,2993},{-13,2993},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscleFunctionEffect.y, busConnector.RespiratoryMuscleFunctionEffect) annotation (Line(
     points={{-36.3,3003},{-13,3003},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightAtrium_Pressure.y, busConnector.RightAtrium_Pressure) annotation (Line(
     points={{-36.3,3013},{-13,3013},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightAtrium_TMP.y, busConnector.rightAtrium_TMP) annotation (Line(
     points={{-36.3,3023},{-13,3023},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_BloodFlow.y, busConnector.rightHeart_BloodFlow) annotation (Line(
     points={{-36.3,3033},{-13,3033},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_BloodFlow.y, busConnector.RightHeart_BloodFlow) annotation (Line(
     points={{-36.3,3043},{-13,3043},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_cLactate.y, busConnector.rightHeart_cLactate) annotation (Line(
     points={{-36.3,3053},{-13,3053},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_CO2FromMetabolism.y, busConnector.rightHeart_CO2FromMetabolism) annotation (Line(
     points={{-36.3,3063},{-13,3063},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_Fuel_FractUseDelay.y, busConnector.rightHeart_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,3073},{-13,3073},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
     points={{-36.3,3083},{-13,3083},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_LactateFromMetabolism.y, busConnector.rightHeart_LactateFromMetabolism) annotation (Line(
     points={{-36.3,3093},{-13,3093},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
     points={{-36.3,3103},{-13,3103},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_O2Use.y, busConnector.rightHeart_O2Use) annotation (Line(
     points={{-36.3,3113},{-13,3113},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_pH_intracellular.y, busConnector.rightHeart_pH_intracellular) annotation (Line(
     points={{-36.3,3123},{-13,3123},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_PO2.y, busConnector.RightHeart_PO2) annotation (Line(
     points={{-36.3,3133},{-13,3133},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_StructureEffect.y, busConnector.RightHeart_StructureEffect) annotation (Line(
     points={{-36.3,3143},{-13,3143},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_T.y, busConnector.rightHeart_T) annotation (Line(
     points={{-36.3,3153},{-13,3153},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) annotation (Line(
     points={{-36.3,3163},{-13,3163},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_BloodFlow.y, busConnector.SkeletalMuscle_BloodFlow) annotation (Line(
     points={{-36.3,3173},{-13,3173},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_cLactate.y, busConnector.skeletalMuscle_cLactate) annotation (Line(
     points={{-36.3,3183},{-13,3183},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_CO2FromMetabolism.y, busConnector.skeletalMuscle_CO2FromMetabolism) annotation (Line(
     points={{-36.3,3193},{-13,3193},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_Fuel_FractUseDelay.y, busConnector.skeletalMuscle_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,3203},{-13,3203},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_GlucoseToCellStorageFlow.y, busConnector.skeletalMuscle_GlucoseToCellStorageFlow) annotation (Line(
     points={{-36.3,3213},{-13,3213},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
     points={{-36.3,3223},{-13,3223},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_LactateFromMetabolism.y, busConnector.skeletalMuscle_LactateFromMetabolism) annotation (Line(
     points={{-36.3,3233},{-13,3233},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
     points={{-36.3,3243},{-13,3243},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_O2Need.y, busConnector.SkeletalMuscle_O2Need) annotation (Line(
     points={{-36.3,3253},{-13,3253},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_O2Use.y, busConnector.skeletalMuscle_O2Use) annotation (Line(
     points={{-36.3,3263},{-13,3263},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_pH_intracellular.y, busConnector.skeletalMuscle_pH_intracellular) annotation (Line(
     points={{-36.3,3273},{-13,3273},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_PO2.y, busConnector.SkeletalMuscle_PO2) annotation (Line(
     points={{-36.3,3283},{-13,3283},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{-36.3,3293},{-13,3293},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_StructureEffect.y, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
     points={{-36.3,3303},{-13,3303},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_T.y, busConnector.skeletalMuscle_T) annotation (Line(
     points={{-36.3,3313},{-13,3313},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) annotation (Line(
     points={{-36.3,3323},{-13,3323},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_BloodFlow.y, busConnector.Skin_BloodFlow) annotation (Line(
     points={{-36.3,3333},{-13,3333},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_cLactate.y, busConnector.skin_cLactate) annotation (Line(
     points={{-36.3,3343},{-13,3343},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_CO2FromMetabolism.y, busConnector.skin_CO2FromMetabolism) annotation (Line(
     points={{-36.3,3353},{-13,3353},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_Fuel_FractUseDelay.y, busConnector.skin_Fuel_FractUseDelay) annotation (Line(
     points={{-36.3,3363},{-13,3363},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
     points={{-36.3,3373},{-13,3373},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_LactateFromMetabolism.y, busConnector.skin_LactateFromMetabolism) annotation (Line(
     points={{-36.3,3383},{-13,3383},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
     points={{-36.3,3393},{-13,3393},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_O2Use.y, busConnector.skin_O2Use) annotation (Line(
     points={{-36.3,3403},{-13,3403},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_pH_intracellular.y, busConnector.skin_pH_intracellular) annotation (Line(
     points={{-36.3,3413},{-13,3413},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_PO2.y, busConnector.Skin_PO2) annotation (Line(
     points={{-36.3,3423},{-13,3423},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_StructureEffect.y, busConnector.Skin_StructureEffect) annotation (Line(
     points={{-36.3,3433},{-13,3433},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_T.y, busConnector.skin_T) annotation (Line(
     points={{-36.3,3443},{-13,3443},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
     points={{-36.3,3453},{-13,3453},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SplanchnicCirculation_DeoxygenatedBloodVolume.y, busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume) annotation (Line(
     points={{-36.3,3463},{-13,3463},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SplanchnicVeins_Pressure.y, busConnector.SplanchnicVeins_Pressure) annotation (Line(
     points={{-36.3,3473},{-13,3473},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Status_Posture.y, busConnector.Status_Posture) annotation (Line(
     points={{-36.3,3483},{-13,3483},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SweatDuct_ClRate.y, busConnector.SweatDuct_ClRate) annotation (Line(
     points={{-36.3,3493},{-13,3493},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SweatDuct_H2OOutflow.y, busConnector.SweatDuct_H2OOutflow) annotation (Line(
     points={{-36.3,3503},{-13,3503},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SweatDuct_KRate.y, busConnector.SweatDuct_KRate) annotation (Line(
     points={{-36.3,3513},{-13,3513},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SweatDuct_NaRate.y, busConnector.SweatDuct_NaRate) annotation (Line(
     points={{-36.3,3523},{-13,3523},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SympsCNS_PituitaryNA.y, busConnector.SympsCNS_PituitaryNA) annotation (Line(
     points={{-36.3,3533},{-13,3533},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SystemicArtys_Pressure.y, busConnector.SystemicArtys_Pressure) annotation (Line(
     points={{-36.3,3543},{-13,3543},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ThiazidePool_Thiazide_conc.y, busConnector.ThiazidePool_Thiazide_conc) annotation (Line(
     points={{-36.3,3553},{-13,3553},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Thorax_AvePressure.y, busConnector.Thorax_AvePressure) annotation (Line(
     points={{-36.3,3563},{-13,3563},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Thorax_LungInflation.y, busConnector.Thorax_LungInflation) annotation (Line(
     points={{-36.3,3573},{-13,3573},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ThyroidEffect.y, busConnector.ThyroidEffect) annotation (Line(
     points={{-36.3,3583},{-13,3583},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_ClRate.y, busConnector.Transfusion_ClRate) annotation (Line(
     points={{-36.3,3593},{-13,3593},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_KRate.y, busConnector.Transfusion_KRate) annotation (Line(
     points={{-36.3,3603},{-13,3603},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_NaRate.y, busConnector.Transfusion_NaRate) annotation (Line(
     points={{-36.3,3613},{-13,3613},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_PlasmaRate.y, busConnector.Transfusion_PlasmaRate) annotation (Line(
     points={{-36.3,3623},{-13,3623},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_ProteinRate.y, busConnector.Transfusion_ProteinRate) annotation (Line(
     points={{-36.3,3633},{-13,3633},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Transfusion_RBCRate.y, busConnector.Transfusion_RBCRate) annotation (Line(
     points={{-36.3,3643},{-13,3643},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(UreaECF_Osmoles.y, busConnector.UreaECF_Osmoles) annotation (Line(
     points={{-36.3,3653},{-13,3653},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(UreaICF_Osmoles.y, busConnector.UreaICF_Osmoles) annotation (Line(
     points={{-36.3,3663},{-13,3663},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Urine_pH.y, busConnector.Urine_pH) annotation (Line(
     points={{-36.3,3673},{-13,3673},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(UT_InterstitialProtein_Mass.y, busConnector.UT_InterstitialProtein_Mass) annotation (Line(
     points={{-36.3,3683},{-13,3683},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(UT_InterstitialWater_Vol.y, busConnector.UT_InterstitialWater_Vol) annotation (Line(
     points={{-36.3,3693},{-13,3693},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(UT_LymphFlow.y, busConnector.UT_LymphFlow) annotation (Line(
     points={{-36.3,3703},{-13,3703},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
     points={{-36.3,3713},{-13,3713},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VeinsVol.y, busConnector.VeinsVol) annotation (Line(
     points={{-36.3,3723},{-13,3723},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
     points={{-36.3,3733},{-13,3733},{-13,17}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics));
    end WriteVariablesToFile;

    model GM_fromFile

    Library.Interfaces.BusConnector busConnector 
        annotation (Placement(transformation(extent={{-38,-42},{-24,-28}}),
             iconTransformation(extent={{-40,-20},{0,20}})));

    Library.Utilities.ConstantFromFile PotassiumToCells(varName="KCell.Change") 
    annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
    Library.Utilities.ConstantFromFile ctHb(varName="ctHb") 
    annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
    Library.Utilities.ConstantFromFile AirSupplyInspiredAirPressure(varName="AirSupply-InspiredAir.Pressure") 
    annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
    Library.Utilities.ConstantFromFile AlveolarVentilated_BloodFlow(varName="LungBloodFlow.AlveolarVentilated") 
    annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
    Library.Utilities.ConstantFromFile ArtysVol(varName="ArtysVol.Vol") 
    annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
    Library.Utilities.ConstantFromFile BarometerPressure(varName="Barometer.Pressure") 
    annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
    Library.Utilities.ConstantFromFile BladderVoidFlow(varName="BladderVoidFlow") 
    annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
    Library.Utilities.ConstantFromFile BladderVolume_Mass(varName="BladderVolume.Mass") 
    annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
    Library.Utilities.ConstantFromFile BloodCations(varName="BloodIons.Cations") 
    annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
    Library.Utilities.ConstantFromFile BloodIons_Cations(varName="BloodIons.Cations") 
    annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
    Library.Utilities.ConstantFromFile BloodIons_ProteinAnions(varName="BloodIons.Protein") 
    annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
    Library.Utilities.ConstantFromFile BloodVol_Hct(varName="BloodVol.Hct") 
    annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
    Library.Utilities.ConstantFromFile BloodVol_PVCrit(varName="BloodVol.PVCrit") 
    annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
    Library.Utilities.ConstantFromFile Bone_BloodFlow(varName="Bone-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
    Library.Utilities.ConstantFromFile Bone_LiquidVol(varName="Bone-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
    Library.Utilities.ConstantFromFile Bone_StructureEffect(varName="Bone-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
    Library.Utilities.ConstantFromFile Brain_BloodFlow(varName="Brain-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
    Library.Utilities.ConstantFromFile Brain_LiquidVol(varName="Brain-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
    Library.Utilities.ConstantFromFile Brain_StructureEffect(varName="Brain-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,190},{-30,196}})));
    Library.Utilities.ConstantFromFile CD_H2O_Outflow(varName="CD_H2O.Outflow") 
    annotation (Placement(transformation(extent={{-36,200},{-30,206}})));
    Library.Utilities.ConstantFromFile CD_PO4_Outflow(varName="CD_PO4.Outflow") 
    annotation (Placement(transformation(extent={{-36,210},{-30,216}})));
    Library.Utilities.ConstantFromFile CardiacOutput(varName="CardiacOutput.Flow") 
    annotation (Placement(transformation(extent={{-36,220},{-30,226}})));
    Library.Utilities.ConstantFromFile DT_AldosteroneEffect(varName="DT_AldosteroneEffect") 
    annotation (Placement(transformation(extent={{-36,230},{-30,236}})));
    Library.Utilities.ConstantFromFile DT_Na_Reab(varName="DT_Na.Reab") 
    annotation (Placement(transformation(extent={{-36,240},{-30,246}})));
    Library.Utilities.ConstantFromFile DietGoalH2O_DegK(varName="DietGoalH2O.DegK") 
    annotation (Placement(transformation(extent={{-36,250},{-30,256}})));
    Library.Utilities.ConstantFromFile DietIntakeNutrition_Carbo(varName="DietIntakeNutrition.Carbo_mG/Min") 
    annotation (Placement(transformation(extent={{-36,260},{-30,266}})));
    Library.Utilities.ConstantFromFile DietIntakeNutrition_Fat(varName="DietIntakeNutrition.Fat_mG/Min") 
    annotation (Placement(transformation(extent={{-36,270},{-30,276}})));
    Library.Utilities.ConstantFromFile DietIntakeNutrition_Protein(varName="DietIntakeNutrition.Protein_mG/Min") 
    annotation (Placement(transformation(extent={{-36,280},{-30,286}})));
    Library.Utilities.ConstantFromFile ECFV_Vol(varName="ECFV.Vol") 
    annotation (Placement(transformation(extent={{-36,290},{-30,296}})));
    Library.Utilities.ConstantFromFile EpiPool_Epi(varName="EpiPool.[Epi(pG/mL)]") 
    annotation (Placement(transformation(extent={{-36,300},{-30,306}})));
    Library.Utilities.ConstantFromFile ExcessLungWater_Volume(varName="ExcessLungWater.Volume") 
    annotation (Placement(transformation(extent={{-36,310},{-30,316}})));
    Library.Utilities.ConstantFromFile ExerciseMetabolism_MotionCals(varName="Exercise-Metabolism.MotionCals") 
    annotation (Placement(transformation(extent={{-36,320},{-30,326}})));
    Library.Utilities.ConstantFromFile FHbF(varName="FHbF") 
    annotation (Placement(transformation(extent={{-36,330},{-30,336}})));
    Library.Utilities.ConstantFromFile FMetHb(varName="FMetHb") 
    annotation (Placement(transformation(extent={{-36,340},{-30,346}})));
    Library.Utilities.ConstantFromFile Fat_BloodFlow(varName="Fat-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,350},{-30,356}})));
    Library.Utilities.ConstantFromFile Fat_LiquidVol(varName="Fat-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,360},{-30,366}})));
    Library.Utilities.ConstantFromFile Fat_StructureEffect(varName="Fat-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,370},{-30,376}})));
    Library.Utilities.ConstantFromFile GILumenVolume_Absorption(varName="GILumenVolume.Absorption") 
    annotation (Placement(transformation(extent={{-36,380},{-30,386}})));
    Library.Utilities.ConstantFromFile GILumenVolume_Intake(varName="GILumenVolume.Intake") 
    annotation (Placement(transformation(extent={{-36,390},{-30,396}})));
    Library.Utilities.ConstantFromFile GILumenVolume_Mass(varName="GILumenVolume.Mass") 
    annotation (Placement(transformation(extent={{-36,400},{-30,406}})));
    Library.Utilities.ConstantFromFile GITract_BloodFlow(varName="GITract-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,410},{-30,416}})));
    Library.Utilities.ConstantFromFile GITract_InterstitialWater(varName="GITract-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,420},{-30,426}})));
    Library.Utilities.ConstantFromFile GITract_LiquidVol(varName="GITract-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,430},{-30,436}})));
    Library.Utilities.ConstantFromFile GITract_StructureEffect(varName="GITract-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,440},{-30,446}})));
    Library.Utilities.ConstantFromFile Glomerulus_GFR(varName="GlomerulusFiltrate.GFR") 
    annotation (Placement(transformation(extent={{-36,450},{-30,456}})));
    Library.Utilities.ConstantFromFile Glucagon_conc(varName="GlucagonPool.[Glucagon]") 
    annotation (Placement(transformation(extent={{-36,460},{-30,466}})));
    Library.Utilities.ConstantFromFile HeatShivering_Cals(varName="HeatShivering.Cals") 
    annotation (Placement(transformation(extent={{-36,470},{-30,476}})));
    Library.Utilities.ConstantFromFile HepaticArty_BloodFlow(varName="HepaticArty.Flow") 
    annotation (Placement(transformation(extent={{-36,480},{-30,486}})));
    Library.Utilities.ConstantFromFile HypothalamusShivering_NerveActivity(varName="HypothalamusShivering.NerveActivity") 
    annotation (Placement(transformation(extent={{-36,490},{-30,496}})));
    Library.Utilities.ConstantFromFile ICFV_Vol(varName="ICFV.Vol") 
    annotation (Placement(transformation(extent={{-36,500},{-30,506}})));
    Library.Utilities.ConstantFromFile Insulin(varName="InsulinPool.[Insulin]") 
    annotation (Placement(transformation(extent={{-36,510},{-30,516}})));
    Library.Utilities.ConstantFromFile KCell_conc(varName="KCell.[K+(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,520},{-30,526}})));
    Library.Utilities.ConstantFromFile Kidney_BloodFlow(varName="Kidney-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,530},{-30,536}})));
    Library.Utilities.ConstantFromFile Kidney_LiquidVol(varName="Kidney-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,540},{-30,546}})));
    Library.Utilities.ConstantFromFile Kidney_StructureEffect(varName="Kidney-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,550},{-30,556}})));
    Library.Utilities.ConstantFromFile LH_Na_Reab(varName="LH_Na.Reab") 
    annotation (Placement(transformation(extent={{-36,560},{-30,566}})));
    Library.Utilities.ConstantFromFile LM_Insulin_InsulinDelayed(varName="LM_Insulin.[InsulinDelayed]") 
    annotation (Placement(transformation(extent={{-36,570},{-30,576}})));
    Library.Utilities.ConstantFromFile LeftHeart_BloodFlow(varName="LeftHeart-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,580},{-30,586}})));
    Library.Utilities.ConstantFromFile LeftHeart_LiquidVol(varName="LeftHeart-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,590},{-30,596}})));
    Library.Utilities.ConstantFromFile LeftHeart_StructureEffect(varName="LeftHeart-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,600},{-30,606}})));
    Library.Utilities.ConstantFromFile Leptin(varName="LeptinPool.[Leptin(nG/mL)]") 
    annotation (Placement(transformation(extent={{-36,610},{-30,616}})));
    Library.Utilities.ConstantFromFile LiverFunctionEffect(varName="Liver-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,620},{-30,626}})));
    Library.Utilities.ConstantFromFile Liver_BloodFlow(varName="Liver-O2.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,630},{-30,636}})));
    Library.Utilities.ConstantFromFile Liver_LiquidVol(varName="Liver-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,640},{-30,646}})));
    Library.Utilities.ConstantFromFile Liver_StructureEffect(varName="Liver-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,650},{-30,656}})));
    Library.Utilities.ConstantFromFile Medulla_Volume(varName="Medulla.Volume") 
    annotation (Placement(transformation(extent={{-36,660},{-30,666}})));
    Library.Utilities.ConstantFromFile OtherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,670},{-30,676}})));
    Library.Utilities.ConstantFromFile OtherTissue_LiquidVol(varName="OtherTissue-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,680},{-30,686}})));
    Library.Utilities.ConstantFromFile OtherTissue_StructureEffect(varName="OtherTissue-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,690},{-30,696}})));
    Library.Utilities.ConstantFromFile PT_Na_Reab(varName="PT_Na.Reab") 
    annotation (Placement(transformation(extent={{-36,700},{-30,706}})));
    Library.Utilities.ConstantFromFile PortalVein_BloodFlow(varName="PortalVein.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,710},{-30,716}})));
    Library.Utilities.ConstantFromFile PortalVein_Glucagon(varName="PortalVein-Glucagon.[Glucagon]") 
    annotation (Placement(transformation(extent={{-36,720},{-30,726}})));
    Library.Utilities.ConstantFromFile PortalVein_Insulin(varName="PortalVein-Insulin.[Insulin]") 
    annotation (Placement(transformation(extent={{-36,730},{-30,736}})));
    Library.Utilities.ConstantFromFile PortalVein_PlasmaFlow(varName="PortalVein.PlasmaFlow") 
    annotation (Placement(transformation(extent={{-36,740},{-30,746}})));
    Library.Utilities.ConstantFromFile RespiratoryCenter_MotorNerveActivity(varName="RespiratoryCenter-Output.MotorNerveActivity") 
    annotation (Placement(transformation(extent={{-36,750},{-30,756}})));
    Library.Utilities.ConstantFromFile RespiratoryCenter_RespRate(varName="RespiratoryCenter-Output.Rate") 
    annotation (Placement(transformation(extent={{-36,760},{-30,766}})));
    Library.Utilities.ConstantFromFile RespiratoryMuscleFunctionEffect(varName="RespiratoryMuscle-Function.Effect") 
    annotation (Placement(transformation(extent={{-36,770},{-30,776}})));
    Library.Utilities.ConstantFromFile RespiratoryMuscle_BloodFlow(varName="RespiratoryMuscle-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,780},{-30,786}})));
    Library.Utilities.ConstantFromFile RespiratoryMuscle_LiquidVol(varName="RespiratoryMuscle-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,790},{-30,796}})));
    Library.Utilities.ConstantFromFile RespiratoryMuscle_StructureEffect(varName="RespiratoryMuscle-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,800},{-30,806}})));
    Library.Utilities.ConstantFromFile RightHeart_BloodFlow(varName="RightHeart-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,810},{-30,816}})));
    Library.Utilities.ConstantFromFile RightHeart_LiquidVol(varName="RightHeart-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,820},{-30,826}})));
    Library.Utilities.ConstantFromFile RightHeart_StructureEffect(varName="RightHeart-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,830},{-30,836}})));
    Library.Utilities.ConstantFromFile SkeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,840},{-30,846}})));
    Library.Utilities.ConstantFromFile SkeletalMuscle_LiquidVol(varName="SkeletalMuscle-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,850},{-30,856}})));
    Library.Utilities.ConstantFromFile SkeletalMuscle_StructureEffect(varName="SkeletalMuscle-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,860},{-30,866}})));
    Library.Utilities.ConstantFromFile Skin_BloodFlow(varName="Skin-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,870},{-30,876}})));
    Library.Utilities.ConstantFromFile Skin_LiquidVol(varName="Skin-Size.LiquidVol") 
    annotation (Placement(transformation(extent={{-36,880},{-30,886}})));
    Library.Utilities.ConstantFromFile Skin_StructureEffect(varName="Skin-Structure.Effect") 
    annotation (Placement(transformation(extent={{-36,890},{-30,896}})));
    Library.Utilities.ConstantFromFile
        SplanchnicCirculation_DeoxygenatedBloodVolume(                               varName="SplanchnicVeins.Vol") 
    annotation (Placement(transformation(extent={{-36,900},{-30,906}})));
    Library.Utilities.ConstantFromFile Thorax_LungInflation(varName="Thorax.LungInflation") 
    annotation (Placement(transformation(extent={{-36,910},{-30,916}})));
    Library.Utilities.ConstantFromFile ThyroidEffect(varName="Thyroid.Effect") 
    annotation (Placement(transformation(extent={{-36,920},{-30,926}})));
    Library.Utilities.ConstantFromFile VasaRecta_Outflow(varName="VasaRecta.Outflow") 
    annotation (Placement(transformation(extent={{-36,930},{-30,936}})));
    Library.Utilities.ConstantFromFile VeinsVol(varName="VeinsVol.Vol") 
    annotation (Placement(transformation(extent={{-36,940},{-30,946}})));
    Library.Utilities.ConstantFromFile WeightCore(varName="Weight.Core") 
    annotation (Placement(transformation(extent={{-36,950},{-30,956}})));
    Library.Utilities.ConstantFromFile bone_BloodFlow(varName="Bone-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,960},{-30,966}})));
    Library.Utilities.ConstantFromFile bone_InterstitialWater(varName="Bone-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,970},{-30,976}})));
    Library.Utilities.ConstantFromFile brain_BloodFlow(varName="Brain-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,980},{-30,986}})));
    Library.Utilities.ConstantFromFile brain_InterstitialWater(varName="Brain-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,990},{-30,996}})));
    Library.Utilities.ConstantFromFile cDPG(varName="cDPG") 
    annotation (Placement(transformation(extent={{-36,1000},{-30,1006}})));
    Library.Utilities.ConstantFromFile ctAlb(varName="ctAlb") 
    annotation (Placement(transformation(extent={{-36,1010},{-30,1016}})));
    Library.Utilities.ConstantFromFile ctGlb(varName="ctGlb") 
    annotation (Placement(transformation(extent={{-36,1020},{-30,1026}})));
    Library.Utilities.ConstantFromFile ctHb_ery(varName="ctHb_ery") 
    annotation (Placement(transformation(extent={{-36,1030},{-30,1036}})));
    Library.Utilities.ConstantFromFile ctPO4(varName="PO4Pool.[PO4--(mEq/L)]") 
    annotation (Placement(transformation(extent={{-36,1040},{-30,1046}})));
    Library.Utilities.ConstantFromFile fat_BloodFlow(varName="Fat-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1050},{-30,1056}})));
    Library.Utilities.ConstantFromFile fat_InterstitialWater(varName="Fat-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1060},{-30,1066}})));
    Library.Utilities.ConstantFromFile kidney_BloodFlow(varName="Kidney-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1070},{-30,1076}})));
    Library.Utilities.ConstantFromFile kidney_InterstitialWater(varName="Kidney-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1080},{-30,1086}})));
    Library.Utilities.ConstantFromFile leftHeart_BloodFlow(varName="LeftHeart-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1090},{-30,1096}})));
    Library.Utilities.ConstantFromFile leftHeart_InterstitialWater(varName="LeftHeart-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1100},{-30,1106}})));
    Library.Utilities.ConstantFromFile liver_InterstitialWater(varName="Liver-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1110},{-30,1116}})));
    Library.Utilities.ConstantFromFile otherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1120},{-30,1126}})));
    Library.Utilities.ConstantFromFile otherTissue_InterstitialWater(varName="OtherTissue-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1130},{-30,1136}})));
    Library.Utilities.ConstantFromFile pCO(varName="pCO") 
    annotation (Placement(transformation(extent={{-36,1140},{-30,1146}})));
    Library.Utilities.ConstantFromFile respiratoryMuscle_BloodFlow(varName="RespiratoryMuscle-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1150},{-30,1156}})));
    Library.Utilities.ConstantFromFile respiratoryMuscle_InterstitialWater(varName="RespiratoryMuscle-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1160},{-30,1166}})));
    Library.Utilities.ConstantFromFile rightHeart_BloodFlow(varName="RightHeart-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1170},{-30,1176}})));
    Library.Utilities.ConstantFromFile rightHeart_InterstitialWater(varName="RightHeart-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1180},{-30,1186}})));
    Library.Utilities.ConstantFromFile skeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1190},{-30,1196}})));
    Library.Utilities.ConstantFromFile skeletalMuscle_InterstitialWater(varName="SkeletalMuscle-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1200},{-30,1206}})));
    Library.Utilities.ConstantFromFile skeletalMuscle_SizeMass(varName="SkeletalMuscle-Size.Mass") 
    annotation (Placement(transformation(extent={{-36,1210},{-30,1216}})));
    Library.Utilities.ConstantFromFile skinSizeMass(varName="Skin-Size.Mass") 
    annotation (Placement(transformation(extent={{-36,1220},{-30,1226}})));
    Library.Utilities.ConstantFromFile skin_BloodFlow(varName="Skin-Flow.BloodFlow") 
    annotation (Placement(transformation(extent={{-36,1230},{-30,1236}})));
    Library.Utilities.ConstantFromFile skin_InterstitialWater(varName="Skin-Size.IFV") 
    annotation (Placement(transformation(extent={{-36,1240},{-30,1246}})));

    equation
      connect(PotassiumToCells.y, busConnector.PotassiumToCells) annotation (Line(
     points={{-29.7,13},{-31,13},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctHb.y, busConnector.ctHb) annotation (Line(
     points={{-29.7,23},{-31,23},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AirSupplyInspiredAirPressure.y, busConnector.AirSupplyInspiredAirPressure) annotation (Line(
     points={{-29.7,33},{-31,33},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
     points={{-29.7,43},{-31,43},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ArtysVol.y, busConnector.ArtysVol) annotation (Line(
     points={{-29.7,53},{-31,53},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BarometerPressure.y, busConnector.BarometerPressure) annotation (Line(
     points={{-29.7,63},{-31,63},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
     points={{-29.7,73},{-31,73},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
     points={{-29.7,83},{-31,83},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
     points={{-29.7,93},{-31,93},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodIons_Cations.y, busConnector.BloodIons_Cations) annotation (Line(
     points={{-29.7,103},{-31,103},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) annotation (Line(
     points={{-29.7,113},{-31,113},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodVol_Hct.y, busConnector.BloodVol_Hct) annotation (Line(
     points={{-29.7,123},{-31,123},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
     points={{-29.7,133},{-31,133},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_BloodFlow.y, busConnector.Bone_BloodFlow) annotation (Line(
     points={{-29.7,143},{-31,143},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
     points={{-29.7,153},{-31,153},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Bone_StructureEffect.y, busConnector.Bone_StructureEffect) annotation (Line(
     points={{-29.7,163},{-31,163},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_BloodFlow.y, busConnector.Brain_BloodFlow) annotation (Line(
     points={{-29.7,173},{-31,173},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
     points={{-29.7,183},{-31,183},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain_StructureEffect.y, busConnector.Brain_StructureEffect) annotation (Line(
     points={{-29.7,193},{-31,193},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
     points={{-29.7,203},{-31,203},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
     points={{-29.7,213},{-31,213},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(CardiacOutput.y, busConnector.CardiacOutput) annotation (Line(
     points={{-29.7,223},{-31,223},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
     points={{-29.7,233},{-31,233},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DT_Na_Reab.y, busConnector.DT_Na_Reab) annotation (Line(
     points={{-29.7,243},{-31,243},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK) annotation (Line(
     points={{-29.7,253},{-31,253},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Carbo.y, busConnector.DietIntakeNutrition_Carbo) annotation (Line(
     points={{-29.7,263},{-31,263},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Fat.y, busConnector.DietIntakeNutrition_Fat) annotation (Line(
     points={{-29.7,273},{-31,273},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeNutrition_Protein.y, busConnector.DietIntakeNutrition_Protein) annotation (Line(
     points={{-29.7,283},{-31,283},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
     points={{-29.7,293},{-31,293},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(EpiPool_Epi.y, busConnector.EpiPool_Epi) annotation (Line(
     points={{-29.7,303},{-31,303},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExcessLungWater_Volume.y, busConnector.ExcessLungWater_Volume) annotation (Line(
     points={{-29.7,313},{-31,313},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ExerciseMetabolism_MotionCals.y, busConnector.ExerciseMetabolism_MotionCals) annotation (Line(
     points={{-29.7,323},{-31,323},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FHbF.y, busConnector.FHbF) annotation (Line(
     points={{-29.7,333},{-31,333},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(FMetHb.y, busConnector.FMetHb) annotation (Line(
     points={{-29.7,343},{-31,343},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_BloodFlow.y, busConnector.Fat_BloodFlow) annotation (Line(
     points={{-29.7,353},{-31,353},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
     points={{-29.7,363},{-31,363},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Fat_StructureEffect.y, busConnector.Fat_StructureEffect) annotation (Line(
     points={{-29.7,373},{-31,373},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Absorption.y, busConnector.GILumenVolume_Absorption) annotation (Line(
     points={{-29.7,383},{-31,383},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) annotation (Line(
     points={{-29.7,393},{-31,393},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
     points={{-29.7,403},{-31,403},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
     points={{-29.7,413},{-31,413},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
     points={{-29.7,423},{-31,423},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
     points={{-29.7,433},{-31,433},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(GITract_StructureEffect.y, busConnector.GITract_StructureEffect) annotation (Line(
     points={{-29.7,443},{-31,443},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
     points={{-29.7,453},{-31,453},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
     points={{-29.7,463},{-31,463},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HeatShivering_Cals.y, busConnector.HeatShivering_Cals) annotation (Line(
     points={{-29.7,473},{-31,473},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
     points={{-29.7,483},{-31,483},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(HypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity) annotation (Line(
     points={{-29.7,493},{-31,493},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
     points={{-29.7,503},{-31,503},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Insulin.y, busConnector.Insulin) annotation (Line(
     points={{-29.7,513},{-31,513},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
     points={{-29.7,523},{-31,523},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_BloodFlow.y, busConnector.Kidney_BloodFlow) annotation (Line(
     points={{-29.7,533},{-31,533},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
     points={{-29.7,543},{-31,543},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Kidney_StructureEffect.y, busConnector.Kidney_StructureEffect) annotation (Line(
     points={{-29.7,553},{-31,553},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LH_Na_Reab.y, busConnector.LH_Na_Reab) annotation (Line(
     points={{-29.7,563},{-31,563},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LM_Insulin_InsulinDelayed.y, busConnector.LM_Insulin_InsulinDelayed) annotation (Line(
     points={{-29.7,573},{-31,573},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_BloodFlow.y, busConnector.LeftHeart_BloodFlow) annotation (Line(
     points={{-29.7,583},{-31,583},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
     points={{-29.7,593},{-31,593},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart_StructureEffect.y, busConnector.LeftHeart_StructureEffect) annotation (Line(
     points={{-29.7,603},{-31,603},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Leptin.y, busConnector.Leptin) annotation (Line(
     points={{-29.7,613},{-31,613},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect.y, busConnector.LiverFunctionEffect) annotation (Line(
     points={{-29.7,623},{-31,623},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
     points={{-29.7,633},{-31,633},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
     points={{-29.7,643},{-31,643},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Liver_StructureEffect.y, busConnector.Liver_StructureEffect) annotation (Line(
     points={{-29.7,653},{-31,653},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
     points={{-29.7,663},{-31,663},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_BloodFlow.y, busConnector.OtherTissue_BloodFlow) annotation (Line(
     points={{-29.7,673},{-31,673},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
     points={{-29.7,683},{-31,683},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(OtherTissue_StructureEffect.y, busConnector.OtherTissue_StructureEffect) annotation (Line(
     points={{-29.7,693},{-31,693},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PT_Na_Reab.y, busConnector.PT_Na_Reab) annotation (Line(
     points={{-29.7,703},{-31,703},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_BloodFlow.y, busConnector.PortalVein_BloodFlow) annotation (Line(
     points={{-29.7,713},{-31,713},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
     points={{-29.7,723},{-31,723},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
     points={{-29.7,733},{-31,733},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(PortalVein_PlasmaFlow.y, busConnector.PortalVein_PlasmaFlow) annotation (Line(
     points={{-29.7,743},{-31,743},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_MotorNerveActivity.y, busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
     points={{-29.7,753},{-31,753},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryCenter_RespRate.y, busConnector.RespiratoryCenter_RespRate) annotation (Line(
     points={{-29.7,763},{-31,763},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscleFunctionEffect.y, busConnector.RespiratoryMuscleFunctionEffect) annotation (Line(
     points={{-29.7,773},{-31,773},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_BloodFlow.y, busConnector.RespiratoryMuscle_BloodFlow) annotation (Line(
     points={{-29.7,783},{-31,783},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
     points={{-29.7,793},{-31,793},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle_StructureEffect.y, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
     points={{-29.7,803},{-31,803},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_BloodFlow.y, busConnector.RightHeart_BloodFlow) annotation (Line(
     points={{-29.7,813},{-31,813},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
     points={{-29.7,823},{-31,823},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RightHeart_StructureEffect.y, busConnector.RightHeart_StructureEffect) annotation (Line(
     points={{-29.7,833},{-31,833},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_BloodFlow.y, busConnector.SkeletalMuscle_BloodFlow) annotation (Line(
     points={{-29.7,843},{-31,843},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
     points={{-29.7,853},{-31,853},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SkeletalMuscle_StructureEffect.y, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
     points={{-29.7,863},{-31,863},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_BloodFlow.y, busConnector.Skin_BloodFlow) annotation (Line(
     points={{-29.7,873},{-31,873},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
     points={{-29.7,883},{-31,883},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Skin_StructureEffect.y, busConnector.Skin_StructureEffect) annotation (Line(
     points={{-29.7,893},{-31,893},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(SplanchnicCirculation_DeoxygenatedBloodVolume.y, busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume) annotation (Line(
     points={{-29.7,903},{-31,903},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Thorax_LungInflation.y, busConnector.Thorax_LungInflation) annotation (Line(
     points={{-29.7,913},{-31,913},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ThyroidEffect.y, busConnector.ThyroidEffect) annotation (Line(
     points={{-29.7,923},{-31,923},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
     points={{-29.7,933},{-31,933},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(VeinsVol.y, busConnector.VeinsVol) annotation (Line(
     points={{-29.7,943},{-31,943},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
     points={{-29.7,953},{-31,953},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_BloodFlow.y, busConnector.bone_BloodFlow) annotation (Line(
     points={{-29.7,963},{-31,963},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
     points={{-29.7,973},{-31,973},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_BloodFlow.y, busConnector.brain_BloodFlow) annotation (Line(
     points={{-29.7,983},{-31,983},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
     points={{-29.7,993},{-31,993},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(cDPG.y, busConnector.cDPG) annotation (Line(
     points={{-29.7,1003},{-31,1003},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
     points={{-29.7,1013},{-31,1013},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
     points={{-29.7,1023},{-31,1023},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctHb_ery.y, busConnector.ctHb_ery) annotation (Line(
     points={{-29.7,1033},{-31,1033},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
     points={{-29.7,1043},{-31,1043},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_BloodFlow.y, busConnector.fat_BloodFlow) annotation (Line(
     points={{-29.7,1053},{-31,1053},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
     points={{-29.7,1063},{-31,1063},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_BloodFlow.y, busConnector.kidney_BloodFlow) annotation (Line(
     points={{-29.7,1073},{-31,1073},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
     points={{-29.7,1083},{-31,1083},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_BloodFlow.y, busConnector.leftHeart_BloodFlow) annotation (Line(
     points={{-29.7,1093},{-31,1093},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
     points={{-29.7,1103},{-31,1103},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
     points={{-29.7,1113},{-31,1113},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_BloodFlow.y, busConnector.otherTissue_BloodFlow) annotation (Line(
     points={{-29.7,1123},{-31,1123},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
     points={{-29.7,1133},{-31,1133},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(pCO.y, busConnector.pCO) annotation (Line(
     points={{-29.7,1143},{-31,1143},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_BloodFlow.y, busConnector.respiratoryMuscle_BloodFlow) annotation (Line(
     points={{-29.7,1153},{-31,1153},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
     points={{-29.7,1163},{-31,1163},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_BloodFlow.y, busConnector.rightHeart_BloodFlow) annotation (Line(
     points={{-29.7,1173},{-31,1173},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
     points={{-29.7,1183},{-31,1183},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) annotation (Line(
     points={{-29.7,1193},{-31,1193},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
     points={{-29.7,1203},{-31,1203},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{-29.7,1213},{-31,1213},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
     points={{-29.7,1223},{-31,1223},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) annotation (Line(
     points={{-29.7,1233},{-31,1233},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
     points={{-29.7,1243},{-31,1243},{-31,-35}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

    end GM_fromFile;
  end setup;
  annotation (uses(Modelica(version="3.1")), Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Copyright:</p></td>
<td><p>In public domains</p></td>
</tr>
<tr>
<td><p>By:</p></td>
<td><p>Charles University, Prague</p></td>
</tr>
<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
<tr>
<td></td>
<td><p><br/><br/>Siggaard Andersen: OSA (2005), University of Copenhagen</p></td>
</tr>
<tr>
<td></td>
<td><p><br/><br/>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</p></td>
</tr>
</table>
</html>"));
end HumMod;
